code
proc CG_ObjectivesDown_f 0 0
file "../cg_consolecmds.c"
line 10
;1:// Copyright (C) 1999-2000 Id Software, Inc.
;2://
;3:// cg_consolecmds.c -- text commands typed in at the local console, or
;4:// executed by a key binding
;5:
;6:#include "cg_local.h"
;7:
;8:
;9:
;10:static void CG_ObjectivesDown_f( void ) {
line 11
;11:	cg.showObjectives = qtrue;
ADDRGP4 cg+114104
CNSTI4 1
ASGNI4
line 12
;12:}
LABELV $86
endproc CG_ObjectivesDown_f 0 0
proc CG_ObjectivesUp_f 0 0
line 15
;13:
;14:static void CG_ObjectivesUp_f( void ) 
;15:{
line 16
;16:	cg.showObjectives = qfalse;
ADDRGP4 cg+114104
CNSTI4 0
ASGNI4
line 17
;17:}
LABELV $88
endproc CG_ObjectivesUp_f 0 0
export CG_TargetCommand_f
proc CG_TargetCommand_f 20 12
line 19
;18:
;19:void CG_TargetCommand_f( void ) {
line 23
;20:	int		targetNum;
;21:	char	test[4];
;22:
;23:	targetNum = CG_CrosshairPlayer();
ADDRLP4 8
ADDRGP4 CG_CrosshairPlayer
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 8
INDIRI4
ASGNI4
line 24
;24:	if (!targetNum ) {
ADDRLP4 0
INDIRI4
CNSTI4 0
NEI4 $91
line 25
;25:		return;
ADDRGP4 $90
JUMPV
LABELV $91
line 28
;26:	}
;27:
;28:	trap_Argv( 1, test, 4 );
CNSTI4 1
ARGI4
ADDRLP4 4
ARGP4
CNSTI4 4
ARGI4
ADDRGP4 trap_Argv
CALLV
pop
line 29
;29:	trap_SendConsoleCommand( va( "gc %i %i", targetNum, atoi( test ) ) );
ADDRLP4 4
ARGP4
ADDRLP4 12
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRGP4 $93
ARGP4
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 12
INDIRI4
ARGI4
ADDRLP4 16
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 16
INDIRP4
ARGP4
ADDRGP4 trap_SendConsoleCommand
CALLV
pop
line 30
;30:}
LABELV $90
endproc CG_TargetCommand_f 20 12
proc CG_SizeUp_f 4 8
line 41
;31:
;32:
;33:
;34:/*
;35:=================
;36:CG_SizeUp_f
;37:
;38:Keybinding command
;39:=================
;40:*/
;41:static void CG_SizeUp_f (void) {
line 42
;42:	trap_Cvar_Set("cg_viewsize", va("%i",(int)(cg_viewsize.integer+10)));
ADDRGP4 $96
ARGP4
ADDRGP4 cg_viewsize+12
INDIRI4
CNSTI4 10
ADDI4
ARGI4
ADDRLP4 0
ADDRGP4 va
CALLP4
ASGNP4
ADDRGP4 $95
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 43
;43:}
LABELV $94
endproc CG_SizeUp_f 4 8
proc CG_SizeDown_f 4 8
line 53
;44:
;45:
;46:/*
;47:=================
;48:CG_SizeDown_f
;49:
;50:Keybinding command
;51:=================
;52:*/
;53:static void CG_SizeDown_f (void) {
line 54
;54:	trap_Cvar_Set("cg_viewsize", va("%i",(int)(cg_viewsize.integer-10)));
ADDRGP4 $96
ARGP4
ADDRGP4 cg_viewsize+12
INDIRI4
CNSTI4 10
SUBI4
ARGI4
ADDRLP4 0
ADDRGP4 va
CALLP4
ASGNP4
ADDRGP4 $95
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 55
;55:}
LABELV $98
endproc CG_SizeDown_f 4 8
proc CG_Viewpos_f 0 24
line 65
;56:
;57:
;58:/*
;59:=============
;60:CG_Viewpos_f
;61:
;62:Debugging command to print the current position
;63:=============
;64:*/
;65:static void CG_Viewpos_f (void) {
line 66
;66:	CG_Printf ("%s (%i %i %i) : %i\n", cgs.mapname, (int)cg.refdef.vieworg[0],
ADDRGP4 $101
ARGP4
ADDRGP4 cgs+25364
ARGP4
ADDRGP4 cg+106840+24
INDIRF4
CVFI4 4
ARGI4
ADDRGP4 cg+106840+24+4
INDIRF4
CVFI4 4
ARGI4
ADDRGP4 cg+106840+24+8
INDIRF4
CVFI4 4
ARGI4
ADDRGP4 cg+106952+4
INDIRF4
CVFI4 4
ARGI4
ADDRGP4 CG_Printf
CALLV
pop
line 69
;67:		(int)cg.refdef.vieworg[1], (int)cg.refdef.vieworg[2], 
;68:		(int)cg.refdefViewAngles[YAW]);
;69:}
LABELV $100
endproc CG_Viewpos_f 0 24
proc CG_ScoresDown_f 0 4
line 72
;70:
;71:
;72:static void CG_ScoresDown_f( void ) {
line 73
;73:	if ( cg.scoresRequestTime + 2000 < cg.time ) {
ADDRGP4 cg+108004
INDIRI4
CNSTI4 2000
ADDI4
ADDRGP4 cg+105552
INDIRI4
GEI4 $114
line 76
;74:		// the scores are more than two seconds out of data,
;75:		// so request new ones
;76:		cg.scoresRequestTime = cg.time;
ADDRGP4 cg+108004
ADDRGP4 cg+105552
INDIRI4
ASGNI4
line 77
;77:		trap_SendClientCommand( "score" );
ADDRGP4 $120
ARGP4
ADDRGP4 trap_SendClientCommand
CALLV
pop
line 81
;78:
;79:		// leave the current scores up if they were already
;80:		// displayed, but if this is the first hit, clear them out
;81:		if ( !cg.showScores ) {
ADDRGP4 cg+112628
INDIRI4
CNSTI4 0
NEI4 $115
line 82
;82:			cg.showScores = qtrue;
ADDRGP4 cg+112628
CNSTI4 1
ASGNI4
line 83
;83:			cg.numScores = 0;
ADDRGP4 cg+108008
CNSTI4 0
ASGNI4
line 84
;84:		}
line 85
;85:	} else {
ADDRGP4 $115
JUMPV
LABELV $114
line 88
;86:		// show the cached contents even if they just pressed if it
;87:		// is within two seconds
;88:		cg.showScores = qtrue;
ADDRGP4 cg+112628
CNSTI4 1
ASGNI4
line 89
;89:	}
LABELV $115
line 90
;90:}
LABELV $113
endproc CG_ScoresDown_f 0 4
proc CG_ScoresUp_f 0 0
line 92
;91:
;92:static void CG_ScoresUp_f( void ) {
line 93
;93:	cg.showScores = qfalse;
ADDRGP4 cg+112628
CNSTI4 0
ASGNI4
line 94
;94:	cg.scoreFadeTime = cg.time;
ADDRGP4 cg+112632
ADDRGP4 cg+105552
INDIRI4
ASGNI4
line 95
;95:}
LABELV $127
endproc CG_ScoresUp_f 0 0
proc CG_TellTarget_f 264 20
line 97
;96:
;97:static void CG_TellTarget_f( void ) {
line 102
;98:	int		clientNum;
;99:	char	command[128];
;100:	char	message[128];
;101:
;102:	clientNum = CG_CrosshairPlayer();
ADDRLP4 260
ADDRGP4 CG_CrosshairPlayer
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 260
INDIRI4
ASGNI4
line 103
;103:	if ( clientNum == -1 ) {
ADDRLP4 0
INDIRI4
CNSTI4 -1
NEI4 $132
line 104
;104:		return;
ADDRGP4 $131
JUMPV
LABELV $132
line 107
;105:	}
;106:
;107:	trap_Args( message, 128 );
ADDRLP4 132
ARGP4
CNSTI4 128
ARGI4
ADDRGP4 trap_Args
CALLV
pop
line 108
;108:	Com_sprintf( command, 128, "tell %i %s", clientNum, message );
ADDRLP4 4
ARGP4
CNSTI4 128
ARGI4
ADDRGP4 $134
ARGP4
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 132
ARGP4
ADDRGP4 Com_sprintf
CALLV
pop
line 109
;109:	trap_SendClientCommand( command );
ADDRLP4 4
ARGP4
ADDRGP4 trap_SendClientCommand
CALLV
pop
line 110
;110:}
LABELV $131
endproc CG_TellTarget_f 264 20
proc CG_TellAttacker_f 264 20
line 112
;111:
;112:static void CG_TellAttacker_f( void ) {
line 117
;113:	int		clientNum;
;114:	char	command[128];
;115:	char	message[128];
;116:
;117:	clientNum = CG_LastAttacker();
ADDRLP4 260
ADDRGP4 CG_LastAttacker
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 260
INDIRI4
ASGNI4
line 118
;118:	if ( clientNum == -1 ) {
ADDRLP4 0
INDIRI4
CNSTI4 -1
NEI4 $136
line 119
;119:		return;
ADDRGP4 $135
JUMPV
LABELV $136
line 122
;120:	}
;121:
;122:	trap_Args( message, 128 );
ADDRLP4 132
ARGP4
CNSTI4 128
ARGI4
ADDRGP4 trap_Args
CALLV
pop
line 123
;123:	Com_sprintf( command, 128, "tell %i %s", clientNum, message );
ADDRLP4 4
ARGP4
CNSTI4 128
ARGI4
ADDRGP4 $134
ARGP4
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 132
ARGP4
ADDRGP4 Com_sprintf
CALLV
pop
line 124
;124:	trap_SendClientCommand( command );
ADDRLP4 4
ARGP4
ADDRGP4 trap_SendClientCommand
CALLV
pop
line 125
;125:}
LABELV $135
endproc CG_TellAttacker_f 264 20
data
align 4
LABELV commands
address $139
address CG_TestGun_f
address $140
address CG_TestModel_f
address $141
address CG_TestModelNextFrame_f
address $142
address CG_TestModelPrevFrame_f
address $143
address CG_TestModelNextSkin_f
address $144
address CG_TestModelPrevSkin_f
address $145
address CG_Viewpos_f
address $146
address CG_ScoresDown_f
address $147
address CG_ScoresUp_f
address $148
address CG_ZoomDown_f
address $149
address CG_ZoomUp_f
address $150
address CG_SizeUp_f
address $151
address CG_SizeDown_f
address $152
address CG_NextWeapon_f
address $153
address CG_PrevWeapon_f
address $154
address CG_Weapon_f
address $155
address CG_TellTarget_f
address $156
address CG_TellAttacker_f
address $157
address CG_TargetCommand_f
address $158
address CG_LoadDeferredPlayers
address $159
address CG_ObjectivesDown_f
address $160
address CG_ObjectivesUp_f
export CG_ConsoleCommand
code
proc CG_ConsoleCommand 16 8
line 168
;126:
;127:
;128:typedef struct {
;129:	char	*cmd;
;130:	void	(*function)(void);
;131:} consoleCommand_t;
;132:
;133:static consoleCommand_t	commands[] = {
;134:	{ "testgun", CG_TestGun_f },
;135:	{ "testmodel", CG_TestModel_f },
;136:	{ "nextframe", CG_TestModelNextFrame_f },
;137:	{ "prevframe", CG_TestModelPrevFrame_f },
;138:	{ "nextskin", CG_TestModelNextSkin_f },
;139:	{ "prevskin", CG_TestModelPrevSkin_f },
;140:	{ "viewpos", CG_Viewpos_f },
;141:	{ "+info", CG_ScoresDown_f },
;142:	{ "-info", CG_ScoresUp_f },
;143:	{ "+zoom", CG_ZoomDown_f },
;144:	{ "-zoom", CG_ZoomUp_f },
;145:	{ "sizeup", CG_SizeUp_f },
;146:	{ "sizedown", CG_SizeDown_f },
;147:	{ "weapnext", CG_NextWeapon_f },
;148:	{ "weapprev", CG_PrevWeapon_f },
;149:	{ "weapon", CG_Weapon_f },
;150:	{ "tell_target", CG_TellTarget_f },
;151:	{ "tell_attacker", CG_TellAttacker_f },
;152:	{ "tcmd", CG_TargetCommand_f },
;153:	{ "loaddefered", CG_LoadDeferredPlayers },	// spelled wrong, but not changing for demo...
;154:	{ "+analysis", CG_ObjectivesDown_f },
;155:	{ "-analysis", CG_ObjectivesUp_f },
;156:
;157:};
;158:
;159:
;160:/*
;161:=================
;162:CG_ConsoleCommand
;163:
;164:The string has been tokenized and can be retrieved with
;165:Cmd_Argc() / Cmd_Argv()
;166:=================
;167:*/
;168:qboolean CG_ConsoleCommand( void ) {
line 172
;169:	const char	*cmd;
;170:	int		i;
;171:
;172:	cmd = CG_Argv(0);
CNSTI4 0
ARGI4
ADDRLP4 8
ADDRGP4 CG_Argv
CALLP4
ASGNP4
ADDRLP4 4
ADDRLP4 8
INDIRP4
ASGNP4
line 174
;173:
;174:	for ( i = 0 ; i < sizeof( commands ) / sizeof( commands[0] ) ; i++ ) {
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $165
JUMPV
LABELV $162
line 175
;175:		if ( !Q_stricmp( cmd, commands[i].cmd ) ) {
ADDRLP4 4
INDIRP4
ARGP4
ADDRLP4 0
INDIRI4
CNSTI4 3
LSHI4
ADDRGP4 commands
ADDP4
INDIRP4
ARGP4
ADDRLP4 12
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 12
INDIRI4
CNSTI4 0
NEI4 $166
line 176
;176:			commands[i].function();
ADDRLP4 0
INDIRI4
CNSTI4 3
LSHI4
ADDRGP4 commands+4
ADDP4
INDIRP4
CALLV
pop
line 177
;177:			return qtrue;
CNSTI4 1
RETI4
ADDRGP4 $161
JUMPV
LABELV $166
line 179
;178:		}
;179:	}
LABELV $163
line 174
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $165
ADDRLP4 0
INDIRI4
CVIU4 4
CNSTU4 22
LTU4 $162
line 181
;180:
;181:	return qfalse;
CNSTI4 0
RETI4
LABELV $161
endproc CG_ConsoleCommand 16 8
export CG_InitConsoleCommands
proc CG_InitConsoleCommands 4 4
line 193
;182:}
;183:
;184:
;185:/*
;186:=================
;187:CG_InitConsoleCommands
;188:
;189:Let the client system know about all of our commands
;190:so it can perform tab completion
;191:=================
;192:*/
;193:void CG_InitConsoleCommands( void ) {
line 196
;194:	int		i;
;195:
;196:	for ( i = 0 ; i < sizeof( commands ) / sizeof( commands[0] ) ; i++ ) {
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $173
JUMPV
LABELV $170
line 197
;197:		trap_AddCommand( commands[i].cmd );
ADDRLP4 0
INDIRI4
CNSTI4 3
LSHI4
ADDRGP4 commands
ADDP4
INDIRP4
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 198
;198:	}
LABELV $171
line 196
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $173
ADDRLP4 0
INDIRI4
CVIU4 4
CNSTU4 22
LTU4 $170
line 204
;199:
;200:	//
;201:	// the game server will interpret these commands, which will be automatically
;202:	// forwarded to the server after they are not recognized locally
;203:	//
;204:	trap_AddCommand ("kill");
ADDRGP4 $174
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 205
;205:	trap_AddCommand ("say");
ADDRGP4 $175
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 206
;206:	trap_AddCommand ("say_team");
ADDRGP4 $176
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 207
;207:	trap_AddCommand ("give");
ADDRGP4 $177
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 208
;208:	trap_AddCommand ("god");
ADDRGP4 $178
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 209
;209:	trap_AddCommand ("notarget");
ADDRGP4 $179
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 210
;210:	trap_AddCommand ("noclip");
ADDRGP4 $180
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 211
;211:	trap_AddCommand ("team");
ADDRGP4 $181
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 212
;212:	trap_AddCommand ("class");
ADDRGP4 $182
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 213
;213:	trap_AddCommand ("follow");
ADDRGP4 $183
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 214
;214:	trap_AddCommand ("levelshot");
ADDRGP4 $184
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 215
;215:	trap_AddCommand ("addbot");
ADDRGP4 $185
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 216
;216:	trap_AddCommand ("setviewpos");
ADDRGP4 $186
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 217
;217:	trap_AddCommand ("vote");
ADDRGP4 $187
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 218
;218:	trap_AddCommand ("callvote");
ADDRGP4 $188
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 219
;219:	trap_AddCommand ("loaddefered");	// spelled wrong, but not changing for demo
ADDRGP4 $158
ARGP4
ADDRGP4 trap_AddCommand
CALLV
pop
line 220
;220:}
LABELV $169
endproc CG_InitConsoleCommands 4 4
import trap_MemoryRemaining
import testPrintFloat
import testPrintInt
import trap_SetUserCmdValue
import trap_GetUserCmd
import trap_GetCurrentCmdNumber
import trap_GetServerCommand
import trap_GetSnapshot
import trap_GetCurrentSnapshotNumber
import trap_GetGameState
import trap_GetGlconfig
import trap_R_LerpTag
import trap_R_ModelBounds
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_RenderScene
import trap_R_AddLightToScene
import trap_R_AddPolyToScene
import trap_R_AddRefEntityToScene
import trap_R_ClearScene
import trap_R_RegisterShaderNoMip
import trap_R_RegisterShader3D
import trap_R_RegisterShader
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_R_LoadWorldMap
import trap_S_StartBackgroundTrack
import trap_S_RegisterSound
import trap_S_Respatialize
import trap_S_UpdateEntityPosition
import trap_S_AddLoopingSound
import trap_S_ClearLoopingSounds
import trap_S_StartLocalSound
import trap_S_StartSound
import trap_CM_MarkFragments
import trap_CM_TransformedBoxTrace
import trap_CM_BoxTrace
import trap_CM_TransformedPointContents
import trap_CM_PointContents
import trap_CM_TempBoxModel
import trap_CM_InlineModel
import trap_CM_NumInlineModels
import trap_CM_LoadMap
import trap_UpdateScreen
import trap_SendClientCommand
import trap_AddCommand
import trap_SendConsoleCommand
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Cvar_VariableStringBuffer
import trap_Cvar_Set_No_Modify
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import updateSkin
import CG_TransitionPlayerState
import CG_Respawn
import CG_SetConfigValues
import CG_ParseServerinfo
import CG_ExecuteNewServerCommands
import AW_SPPostgameMenu_f
import cg_medalStreakSounds
import cg_medalStreakPicNames
import cg_medalTeamSounds
import cg_medalTeamPicNames
import cg_medalSounds
import cg_medalPicNames
import CG_DrawTourneyScoreboard
import CG_DrawScoreboard
import CG_DrawInformation
import CG_LoadingClient
import CG_LoadingItem
import CG_LoadingString
import CG_ProcessSnapshots
import CG_ExplosionEffects
import CG_SurfaceExplosion
import CG_MakeExplosion2
import CG_MakeExplosion
import CG_Seeker
import CG_Bleed
import CG_SpawnEffect
import CG_BubbleTrail
import CG_SmokePuff
import CG_AddLocalEntities
import CG_GetActiveList
import CG_AllocLocalEntity
import CG_InitLocalEntities
import CG_ImpactMark
import CG_AddMarks
import CG_InitMarkPolys
import CG_BounceEffect
import CG_OutOfAmmoChange
import CG_DrawWeaponSelect
import CG_AddPlayerWeapon
import CG_AddViewWeapon
import CG_MissileHitPlayer
import CG_MissileHitWall
import CG_FireSeeker
import CG_FireWeapon
import CG_RegisterItemVisuals
import CG_RegisterWeapon
import CG_Weapon_f
import CG_PrevWeapon_f
import CG_NextWeapon_f
import CG_Chunks
import CG_Drip
import CG_TransporterPad
import CG_Bolt
import CG_Steam
import CG_Spark
import CG_PositionRotatedEntityOnTag
import CG_PositionEntityOnTag
import CG_AdjustPositionForMover
import CG_Beam
import CG_AddPacketEntities
import CG_SetEntitySoundPosition
import CG_PainEvent
import CG_EntityEvent
import CG_PlaceString
import CG_CheckEvents
import CG_LoadDeferredPlayers
import CG_PredictPlayerState
import CG_Trace
import CG_PointContents
import CG_BuildSolidList
import CG_CustomSound
import CG_NewClientInfo
import CG_AddRefEntityWithPowerups
import CG_ResetPlayerEntity
import CG_Player
import CG_PlayerShieldHit
import CG_DrawObjectiveInformation
import CG_DrawNumField
import CG_DrawTeamBackground
import CG_DrawFlagModel
import CG_DrawActive
import CG_DrawHead
import CG_CenterPrint
import CG_AddLagometerSnapshotInfo
import CG_AddLagometerFrameInfo
import drawTeamOverlayModificationCount
import numSortedTeamPlayers
import sortedTeamPlayers
import interface_graphics
import UI_ProportionalStringWidth
import CG_GetColorForHealth
import CG_ColorForHealth
import CG_TileClear
import CG_TeamColor
import CG_FadeColor
import CG_DrawStrlen
import CG_DrawSmallStringColor
import CG_DrawSmallString
import CG_DrawBigStringColor
import CG_DrawBigString
import CG_DrawStringExt
import CG_LoadFonts
import UI_DrawProportionalString
import CG_DrawString
import CG_DrawPic
import CG_FillRect
import CG_AdjustFrom640
import CG_PrintInterfaceGraphics
import CG_DrawActiveFrame
import CG_CameraShake
import CG_ZoomUp_f
import CG_ZoomDown_f
import CG_TestModelPrevSkin_f
import CG_TestModelNextSkin_f
import CG_TestModelPrevFrame_f
import CG_TestModelNextFrame_f
import CG_TestGun_f
import CG_TestModel_f
import CG_LastAttacker
import CG_CrosshairPlayer
import CG_UpdateCvars
import CG_StartMusic
import CG_Error
import CG_Printf
import CG_Argv
import CG_ConfigString
import cg_deferPlayers
import cg_predictItems
import cg_blood
import cg_paused
import cg_buildScript
import cg_forceModel
import cg_reportDamage
import cg_stats
import cg_teamChatHeight
import cg_teamChatTime
import cg_synchronousClients
import cg_drawAttacker
import cg_lagometer
import cg_stereoSeparation
import cg_thirdPerson
import cg_thirdPersonAngle
import cg_thirdPersonRange
import cg_zoomFov
import cg_fov
import cg_simpleItems
import cg_ignore
import cg_autoswitch
import cg_viewsize
import cg_drawGun
import cg_gun_z
import cg_gun_y
import cg_gun_x
import cg_gun_frame
import cg_addMarks
import cg_footsteps
import cg_showmiss
import cg_noPlayerAnims
import cg_nopredict
import cg_errorDecay
import cg_debugEvents
import cg_debugPosition
import cg_debugAnim
import cg_animSpeed
import cg_draw2D
import cg_drawStatus
import cg_crosshairHealth
import cg_crosshairSize
import cg_crosshairY
import cg_crosshairX
import cg_teamOverlayUserinfo
import cg_drawTeamOverlay
import cg_drawRewards
import cg_drawCrosshairNames
import cg_drawCrosshair
import cg_drawAmmoWarning
import cg_drawIcons
import cg_draw3dIcons
import cg_drawSnapshot
import cg_drawFPS
import cg_drawTimer
import cg_gibs
import cg_shadows
import cg_swingSpeed
import cg_bobroll
import cg_bobpitch
import cg_bobup
import cg_runroll
import cg_runpitch
import cg_centertime
import cg_markPolys
import cg_items
import cg_weapons
import cg_entities
import cg
import cgs
import CG_AddElectricity
import CG_AddCylinder
import CG_AddBezier
import CG_AddViewSprite
import CG_AddTrail
import CG_AddLine2
import CG_AddOLine
import CG_AddLine
import CG_AddQuad
import CG_AddScaleFadeSprite
import CG_AddSpriteExplosion
import CG_AddExplosion
import CG_AddFallScaleFade
import CG_AddScaleFade
import CG_AddMoveScaleFade
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $188
byte 1 99
byte 1 97
byte 1 108
byte 1 108
byte 1 118
byte 1 111
byte 1 116
byte 1 101
byte 1 0
align 1
LABELV $187
byte 1 118
byte 1 111
byte 1 116
byte 1 101
byte 1 0
align 1
LABELV $186
byte 1 115
byte 1 101
byte 1 116
byte 1 118
byte 1 105
byte 1 101
byte 1 119
byte 1 112
byte 1 111
byte 1 115
byte 1 0
align 1
LABELV $185
byte 1 97
byte 1 100
byte 1 100
byte 1 98
byte 1 111
byte 1 116
byte 1 0
align 1
LABELV $184
byte 1 108
byte 1 101
byte 1 118
byte 1 101
byte 1 108
byte 1 115
byte 1 104
byte 1 111
byte 1 116
byte 1 0
align 1
LABELV $183
byte 1 102
byte 1 111
byte 1 108
byte 1 108
byte 1 111
byte 1 119
byte 1 0
align 1
LABELV $182
byte 1 99
byte 1 108
byte 1 97
byte 1 115
byte 1 115
byte 1 0
align 1
LABELV $181
byte 1 116
byte 1 101
byte 1 97
byte 1 109
byte 1 0
align 1
LABELV $180
byte 1 110
byte 1 111
byte 1 99
byte 1 108
byte 1 105
byte 1 112
byte 1 0
align 1
LABELV $179
byte 1 110
byte 1 111
byte 1 116
byte 1 97
byte 1 114
byte 1 103
byte 1 101
byte 1 116
byte 1 0
align 1
LABELV $178
byte 1 103
byte 1 111
byte 1 100
byte 1 0
align 1
LABELV $177
byte 1 103
byte 1 105
byte 1 118
byte 1 101
byte 1 0
align 1
LABELV $176
byte 1 115
byte 1 97
byte 1 121
byte 1 95
byte 1 116
byte 1 101
byte 1 97
byte 1 109
byte 1 0
align 1
LABELV $175
byte 1 115
byte 1 97
byte 1 121
byte 1 0
align 1
LABELV $174
byte 1 107
byte 1 105
byte 1 108
byte 1 108
byte 1 0
align 1
LABELV $160
byte 1 45
byte 1 97
byte 1 110
byte 1 97
byte 1 108
byte 1 121
byte 1 115
byte 1 105
byte 1 115
byte 1 0
align 1
LABELV $159
byte 1 43
byte 1 97
byte 1 110
byte 1 97
byte 1 108
byte 1 121
byte 1 115
byte 1 105
byte 1 115
byte 1 0
align 1
LABELV $158
byte 1 108
byte 1 111
byte 1 97
byte 1 100
byte 1 100
byte 1 101
byte 1 102
byte 1 101
byte 1 114
byte 1 101
byte 1 100
byte 1 0
align 1
LABELV $157
byte 1 116
byte 1 99
byte 1 109
byte 1 100
byte 1 0
align 1
LABELV $156
byte 1 116
byte 1 101
byte 1 108
byte 1 108
byte 1 95
byte 1 97
byte 1 116
byte 1 116
byte 1 97
byte 1 99
byte 1 107
byte 1 101
byte 1 114
byte 1 0
align 1
LABELV $155
byte 1 116
byte 1 101
byte 1 108
byte 1 108
byte 1 95
byte 1 116
byte 1 97
byte 1 114
byte 1 103
byte 1 101
byte 1 116
byte 1 0
align 1
LABELV $154
byte 1 119
byte 1 101
byte 1 97
byte 1 112
byte 1 111
byte 1 110
byte 1 0
align 1
LABELV $153
byte 1 119
byte 1 101
byte 1 97
byte 1 112
byte 1 112
byte 1 114
byte 1 101
byte 1 118
byte 1 0
align 1
LABELV $152
byte 1 119
byte 1 101
byte 1 97
byte 1 112
byte 1 110
byte 1 101
byte 1 120
byte 1 116
byte 1 0
align 1
LABELV $151
byte 1 115
byte 1 105
byte 1 122
byte 1 101
byte 1 100
byte 1 111
byte 1 119
byte 1 110
byte 1 0
align 1
LABELV $150
byte 1 115
byte 1 105
byte 1 122
byte 1 101
byte 1 117
byte 1 112
byte 1 0
align 1
LABELV $149
byte 1 45
byte 1 122
byte 1 111
byte 1 111
byte 1 109
byte 1 0
align 1
LABELV $148
byte 1 43
byte 1 122
byte 1 111
byte 1 111
byte 1 109
byte 1 0
align 1
LABELV $147
byte 1 45
byte 1 105
byte 1 110
byte 1 102
byte 1 111
byte 1 0
align 1
LABELV $146
byte 1 43
byte 1 105
byte 1 110
byte 1 102
byte 1 111
byte 1 0
align 1
LABELV $145
byte 1 118
byte 1 105
byte 1 101
byte 1 119
byte 1 112
byte 1 111
byte 1 115
byte 1 0
align 1
LABELV $144
byte 1 112
byte 1 114
byte 1 101
byte 1 118
byte 1 115
byte 1 107
byte 1 105
byte 1 110
byte 1 0
align 1
LABELV $143
byte 1 110
byte 1 101
byte 1 120
byte 1 116
byte 1 115
byte 1 107
byte 1 105
byte 1 110
byte 1 0
align 1
LABELV $142
byte 1 112
byte 1 114
byte 1 101
byte 1 118
byte 1 102
byte 1 114
byte 1 97
byte 1 109
byte 1 101
byte 1 0
align 1
LABELV $141
byte 1 110
byte 1 101
byte 1 120
byte 1 116
byte 1 102
byte 1 114
byte 1 97
byte 1 109
byte 1 101
byte 1 0
align 1
LABELV $140
byte 1 116
byte 1 101
byte 1 115
byte 1 116
byte 1 109
byte 1 111
byte 1 100
byte 1 101
byte 1 108
byte 1 0
align 1
LABELV $139
byte 1 116
byte 1 101
byte 1 115
byte 1 116
byte 1 103
byte 1 117
byte 1 110
byte 1 0
align 1
LABELV $134
byte 1 116
byte 1 101
byte 1 108
byte 1 108
byte 1 32
byte 1 37
byte 1 105
byte 1 32
byte 1 37
byte 1 115
byte 1 0
align 1
LABELV $120
byte 1 115
byte 1 99
byte 1 111
byte 1 114
byte 1 101
byte 1 0
align 1
LABELV $101
byte 1 37
byte 1 115
byte 1 32
byte 1 40
byte 1 37
byte 1 105
byte 1 32
byte 1 37
byte 1 105
byte 1 32
byte 1 37
byte 1 105
byte 1 41
byte 1 32
byte 1 58
byte 1 32
byte 1 37
byte 1 105
byte 1 10
byte 1 0
align 1
LABELV $96
byte 1 37
byte 1 105
byte 1 0
align 1
LABELV $95
byte 1 99
byte 1 103
byte 1 95
byte 1 118
byte 1 105
byte 1 101
byte 1 119
byte 1 115
byte 1 105
byte 1 122
byte 1 101
byte 1 0
align 1
LABELV $93
byte 1 103
byte 1 99
byte 1 32
byte 1 37
byte 1 105
byte 1 32
byte 1 37
byte 1 105
byte 1 0
