export CG_PositionEntityOnTag
code
proc CG_PositionEntityOnTag 84 24
file "../cg_ents.c"
line 18
;1:// Copyright (C) 1999-2000 Id Software, Inc.
;2://
;3:// cg_ents.c -- present snapshot entities, happens every single frame
;4:
;5:#include "cg_local.h"
;6:#include "fx_local.h"
;7:
;8:
;9:/*
;10:======================
;11:CG_PositionEntityOnTag
;12:
;13:Modifies the entities position and axis by the given
;14:tag location
;15:======================
;16:*/
;17:void CG_PositionEntityOnTag( refEntity_t *entity, const refEntity_t *parent, 
;18:							qhandle_t parentModel, char *tagName ) {
line 23
;19:	int				i;
;20:	orientation_t	lerped;
;21:	
;22:	// lerp the tag
;23:	trap_R_LerpTag( &lerped, parentModel, parent->oldframe, parent->frame,
ADDRLP4 4
ARGP4
ADDRFP4 8
INDIRI4
ARGI4
ADDRLP4 52
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 52
INDIRP4
CNSTI4 96
ADDP4
INDIRI4
ARGI4
ADDRLP4 52
INDIRP4
CNSTI4 80
ADDP4
INDIRI4
ARGI4
CNSTF4 1065353216
ADDRLP4 52
INDIRP4
CNSTI4 100
ADDP4
INDIRF4
SUBF4
ARGF4
ADDRFP4 12
INDIRP4
ARGP4
ADDRGP4 trap_R_LerpTag
CALLV
pop
line 27
;24:		1.0 - parent->backlerp, tagName );
;25:
;26:	// FIXME: allow origin offsets along tag?
;27:	VectorCopy( parent->origin, entity->origin );
ADDRLP4 56
CNSTI4 68
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 56
INDIRI4
ADDP4
ADDRFP4 4
INDIRP4
ADDRLP4 56
INDIRI4
ADDP4
INDIRB
ASGNB 12
line 28
;28:	for ( i = 0 ; i < 3 ; i++ ) {
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $87
line 29
;29:		VectorMA( entity->origin, lerped.origin[i], parent->axis[i], entity->origin );
ADDRLP4 60
ADDRFP4 0
INDIRP4
CNSTI4 68
ADDP4
ASGNP4
ADDRLP4 60
INDIRP4
ADDRLP4 60
INDIRP4
INDIRF4
CNSTI4 12
ADDRLP4 0
INDIRI4
MULI4
ADDRFP4 4
INDIRP4
CNSTI4 28
ADDP4
ADDP4
INDIRF4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 4
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 68
ADDRFP4 0
INDIRP4
CNSTI4 72
ADDP4
ASGNP4
ADDRLP4 68
INDIRP4
ADDRLP4 68
INDIRP4
INDIRF4
CNSTI4 12
ADDRLP4 0
INDIRI4
MULI4
ADDRFP4 4
INDIRP4
CNSTI4 28
ADDP4
ADDP4
CNSTI4 4
ADDP4
INDIRF4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 4
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 76
ADDRFP4 0
INDIRP4
CNSTI4 76
ADDP4
ASGNP4
ADDRLP4 76
INDIRP4
ADDRLP4 76
INDIRP4
INDIRF4
CNSTI4 12
ADDRLP4 0
INDIRI4
MULI4
ADDRFP4 4
INDIRP4
CNSTI4 28
ADDP4
ADDP4
CNSTI4 8
ADDP4
INDIRF4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 4
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
line 30
;30:	}
LABELV $88
line 28
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 3
LTI4 $87
line 33
;31:
;32:	// had to cast away the const to avoid compiler problems...
;33:	MatrixMultiply( lerped.axis, ((refEntity_t *)parent)->axis, entity->axis );
ADDRLP4 4+12
ARGP4
ADDRLP4 60
CNSTI4 28
ASGNI4
ADDRFP4 4
INDIRP4
ADDRLP4 60
INDIRI4
ADDP
ARGP4
ADDRFP4 0
INDIRP4
ADDRLP4 60
INDIRI4
ADDP4
ARGP4
ADDRGP4 MatrixMultiply
CALLV
pop
line 34
;34:	entity->backlerp = parent->backlerp;
ADDRLP4 64
CNSTI4 100
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 64
INDIRI4
ADDP4
ADDRFP4 4
INDIRP4
ADDRLP4 64
INDIRI4
ADDP4
INDIRF4
ASGNF4
line 35
;35:}
LABELV $86
endproc CG_PositionEntityOnTag 84 24
export CG_PositionRotatedEntityOnTag
proc CG_PositionRotatedEntityOnTag 120 24
line 47
;36:
;37:
;38:/*
;39:======================
;40:CG_PositionRotatedEntityOnTag
;41:
;42:Modifies the entities position and axis by the given
;43:tag location
;44:======================
;45:*/
;46:void CG_PositionRotatedEntityOnTag( refEntity_t *entity, const refEntity_t *parent, 
;47:							qhandle_t parentModel, char *tagName ) {
line 54
;48:	int				i;
;49:	orientation_t	lerped;
;50:	vec3_t			tempAxis[3];
;51:
;52://AxisClear( entity->axis );
;53:	// lerp the tag
;54:	trap_R_LerpTag( &lerped, parentModel, parent->oldframe, parent->frame,
ADDRLP4 4
ARGP4
ADDRFP4 8
INDIRI4
ARGI4
ADDRLP4 88
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 88
INDIRP4
CNSTI4 96
ADDP4
INDIRI4
ARGI4
ADDRLP4 88
INDIRP4
CNSTI4 80
ADDP4
INDIRI4
ARGI4
CNSTF4 1065353216
ADDRLP4 88
INDIRP4
CNSTI4 100
ADDP4
INDIRF4
SUBF4
ARGF4
ADDRFP4 12
INDIRP4
ARGP4
ADDRGP4 trap_R_LerpTag
CALLV
pop
line 58
;55:		1.0 - parent->backlerp, tagName );
;56:
;57:	// FIXME: allow origin offsets along tag?
;58:	VectorCopy( parent->origin, entity->origin );
ADDRLP4 92
CNSTI4 68
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 92
INDIRI4
ADDP4
ADDRFP4 4
INDIRP4
ADDRLP4 92
INDIRI4
ADDP4
INDIRB
ASGNB 12
line 59
;59:	for ( i = 0 ; i < 3 ; i++ ) {
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $93
line 60
;60:		VectorMA( entity->origin, lerped.origin[i], parent->axis[i], entity->origin );
ADDRLP4 96
ADDRFP4 0
INDIRP4
CNSTI4 68
ADDP4
ASGNP4
ADDRLP4 96
INDIRP4
ADDRLP4 96
INDIRP4
INDIRF4
CNSTI4 12
ADDRLP4 0
INDIRI4
MULI4
ADDRFP4 4
INDIRP4
CNSTI4 28
ADDP4
ADDP4
INDIRF4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 4
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 104
ADDRFP4 0
INDIRP4
CNSTI4 72
ADDP4
ASGNP4
ADDRLP4 104
INDIRP4
ADDRLP4 104
INDIRP4
INDIRF4
CNSTI4 12
ADDRLP4 0
INDIRI4
MULI4
ADDRFP4 4
INDIRP4
CNSTI4 28
ADDP4
ADDP4
CNSTI4 4
ADDP4
INDIRF4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 4
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 112
ADDRFP4 0
INDIRP4
CNSTI4 76
ADDP4
ASGNP4
ADDRLP4 112
INDIRP4
ADDRLP4 112
INDIRP4
INDIRF4
CNSTI4 12
ADDRLP4 0
INDIRI4
MULI4
ADDRFP4 4
INDIRP4
CNSTI4 28
ADDP4
ADDP4
CNSTI4 8
ADDP4
INDIRF4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 4
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
line 61
;61:	}
LABELV $94
line 59
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 3
LTI4 $93
line 64
;62:
;63:	// had to cast away the const to avoid compiler problems...
;64:	MatrixMultiply( entity->axis, lerped.axis, tempAxis );
ADDRFP4 0
INDIRP4
CNSTI4 28
ADDP4
ARGP4
ADDRLP4 4+12
ARGP4
ADDRLP4 52
ARGP4
ADDRGP4 MatrixMultiply
CALLV
pop
line 65
;65:	MatrixMultiply( tempAxis, ((refEntity_t *)parent)->axis, entity->axis );
ADDRLP4 52
ARGP4
ADDRLP4 96
CNSTI4 28
ASGNI4
ADDRFP4 4
INDIRP4
ADDRLP4 96
INDIRI4
ADDP
ARGP4
ADDRFP4 0
INDIRP4
ADDRLP4 96
INDIRI4
ADDP4
ARGP4
ADDRGP4 MatrixMultiply
CALLV
pop
line 66
;66:}
LABELV $92
endproc CG_PositionRotatedEntityOnTag 120 24
export CG_SetEntitySoundPosition
proc CG_SetEntitySoundPosition 24 8
line 85
;67:
;68:
;69:
;70:/*
;71:==========================================================================
;72:
;73:FUNCTIONS CALLED EACH FRAME
;74:
;75:==========================================================================
;76:*/
;77:
;78:/*
;79:======================
;80:CG_SetEntitySoundPosition
;81:
;82:Also called by event processing code
;83:======================
;84:*/
;85:void CG_SetEntitySoundPosition( centity_t *cent ) {
line 86
;86:	if ( cent->currentState.solid == SOLID_BMODEL ) {
ADDRFP4 0
INDIRP4
CNSTI4 176
ADDP4
INDIRI4
CNSTI4 16777215
NEI4 $99
line 90
;87:		vec3_t	origin;
;88:		float	*v;
;89:
;90:		v = cgs.inlineModelMidpoints[ cent->currentState.modelindex ];
ADDRLP4 12
CNSTI4 12
ADDRFP4 0
INDIRP4
CNSTI4 160
ADDP4
INDIRI4
MULI4
ADDRGP4 cgs+28796
ADDP4
ASGNP4
line 91
;91:		VectorAdd( cent->lerpOrigin, v, origin );
ADDRLP4 16
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 20
ADDRLP4 12
INDIRP4
ASGNP4
ADDRLP4 0
ADDRLP4 16
INDIRP4
CNSTI4 624
ADDP4
INDIRF4
ADDRLP4 20
INDIRP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 16
INDIRP4
CNSTI4 628
ADDP4
INDIRF4
ADDRLP4 20
INDIRP4
CNSTI4 4
ADDP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 0+8
ADDRFP4 0
INDIRP4
CNSTI4 632
ADDP4
INDIRF4
ADDRLP4 12
INDIRP4
CNSTI4 8
ADDP4
INDIRF4
ADDF4
ASGNF4
line 92
;92:		trap_S_UpdateEntityPosition( cent->currentState.number, origin );
ADDRFP4 0
INDIRP4
INDIRI4
ARGI4
ADDRLP4 0
ARGP4
ADDRGP4 trap_S_UpdateEntityPosition
CALLV
pop
line 93
;93:	} else {
ADDRGP4 $100
JUMPV
LABELV $99
line 94
;94:		trap_S_UpdateEntityPosition( cent->currentState.number, cent->lerpOrigin );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
INDIRI4
ARGI4
ADDRLP4 0
INDIRP4
CNSTI4 624
ADDP4
ARGP4
ADDRGP4 trap_S_UpdateEntityPosition
CALLV
pop
line 95
;95:	}
LABELV $100
line 96
;96:}
LABELV $98
endproc CG_SetEntitySoundPosition 24 8
proc CG_EntityEffects 20 20
line 105
;97:
;98:/*
;99:==================
;100:CG_EntityEffects
;101:
;102:Add continuous entity effects, like local entity emission and lighting
;103:==================
;104:*/
;105:static void CG_EntityEffects( centity_t *cent ) {
line 108
;106:
;107:	// update sound origins
;108:	CG_SetEntitySoundPosition( cent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 CG_SetEntitySoundPosition
CALLV
pop
line 111
;109:
;110:	// add loop sound
;111:	if ( cent->currentState.loopSound ) {
ADDRFP4 0
INDIRP4
CNSTI4 156
ADDP4
INDIRI4
CNSTI4 0
EQI4 $105
line 112
;112:		trap_S_AddLoopingSound( cent->currentState.number, cent->lerpOrigin, vec3_origin, 
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
INDIRI4
ARGI4
ADDRLP4 0
INDIRP4
CNSTI4 624
ADDP4
ARGP4
ADDRGP4 vec3_origin
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 156
ADDP4
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 cgs+26744
ADDP4
INDIRI4
ARGI4
ADDRGP4 trap_S_AddLoopingSound
CALLV
pop
line 114
;113:			cgs.gameSounds[ cent->currentState.loopSound ] );
;114:	}
LABELV $105
line 118
;115:
;116:
;117:	// constant light glow
;118:	if ( cent->currentState.constantLight ) {
ADDRFP4 0
INDIRP4
CNSTI4 152
ADDP4
INDIRI4
CNSTI4 0
EQI4 $108
line 122
;119:		int		cl;
;120:		int		i, r, g, b;
;121:
;122:		cl = cent->currentState.constantLight;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 152
ADDP4
INDIRI4
ASGNI4
line 123
;123:		r = cl & 255;
ADDRLP4 8
ADDRLP4 0
INDIRI4
CNSTI4 255
BANDI4
ASGNI4
line 124
;124:		g = ( cl >> 8 ) & 255;
ADDRLP4 12
ADDRLP4 0
INDIRI4
CNSTI4 8
RSHI4
CNSTI4 255
BANDI4
ASGNI4
line 125
;125:		b = ( cl >> 16 ) & 255;
ADDRLP4 16
ADDRLP4 0
INDIRI4
CNSTI4 16
RSHI4
CNSTI4 255
BANDI4
ASGNI4
line 126
;126:		i = ( ( cl >> 24 ) & 255 ) * 4;
ADDRLP4 4
ADDRLP4 0
INDIRI4
CNSTI4 24
RSHI4
CNSTI4 255
BANDI4
CNSTI4 2
LSHI4
ASGNI4
line 127
;127:		trap_R_AddLightToScene( cent->lerpOrigin, i, r, g, b );
ADDRFP4 0
INDIRP4
CNSTI4 624
ADDP4
ARGP4
ADDRLP4 4
INDIRI4
CVIF4 4
ARGF4
ADDRLP4 8
INDIRI4
CVIF4 4
ARGF4
ADDRLP4 12
INDIRI4
CVIF4 4
ARGF4
ADDRLP4 16
INDIRI4
CVIF4 4
ARGF4
ADDRGP4 trap_R_AddLightToScene
CALLV
pop
line 128
;128:	}
LABELV $108
line 130
;129:
;130:}
LABELV $104
endproc CG_EntityEffects 20 20
proc CG_Useable 204 16
line 138
;131:
;132:
;133:/*
;134:==================
;135:CG_Useable
;136:==================
;137:*/
;138:static void CG_Useable( centity_t *cent ) {
line 142
;139:	refEntity_t			ent;
;140:	entityState_t		*s1;
;141:
;142:	s1 = &cent->currentState;
ADDRLP4 160
ADDRFP4 0
INDIRP4
ASGNP4
line 145
;143:
;144:	// if set to invisible, skip
;145:	if (!s1->modelindex) {
ADDRLP4 160
INDIRP4
CNSTI4 160
ADDP4
INDIRI4
CNSTI4 0
NEI4 $111
line 146
;146:		return;
ADDRGP4 $110
JUMPV
LABELV $111
line 149
;147:	}
;148:
;149:	if (s1->modelindex == HI_SHIELD) 
ADDRLP4 160
INDIRP4
CNSTI4 160
ADDP4
INDIRI4
CNSTI4 4
NEI4 $113
line 150
;150:	{	// The portable shield should go through a different rendering function.
line 151
;151:		FX_DrawPortableShield(cent);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 FX_DrawPortableShield
CALLV
pop
line 152
;152:		return;
ADDRGP4 $110
JUMPV
LABELV $113
line 156
;153:	}
;154:
;155:
;156:	memset (&ent, 0, sizeof(ent));
ADDRLP4 0
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 160
;157:
;158:	// set frame
;159:
;160:	if (s1->eFlags & EF_ANIM_ALLFAST)
ADDRLP4 160
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
CNSTI4 65536
BANDI4
CNSTI4 0
EQI4 $115
line 161
;161:	{
line 162
;162:		ent.frame = (cg.time / 100);
ADDRLP4 0+80
ADDRGP4 cg+105552
INDIRI4
CNSTI4 100
DIVI4
ASGNI4
line 163
;163:		ent.renderfx|=RF_WRAP_FRAMES;
ADDRLP4 0+4
ADDRLP4 0+4
INDIRI4
CNSTI4 512
BORI4
ASGNI4
line 164
;164:	}
ADDRGP4 $116
JUMPV
LABELV $115
line 166
;165:	else
;166:	{
line 167
;167:		ent.frame = s1->frame;
ADDRLP4 0+80
ADDRLP4 160
INDIRP4
CNSTI4 172
ADDP4
INDIRI4
ASGNI4
line 168
;168:	}
LABELV $116
line 169
;169:	ent.oldframe = ent.frame;
ADDRLP4 0+96
ADDRLP4 0+80
INDIRI4
ASGNI4
line 170
;170:	ent.backlerp = 0;
ADDRLP4 0+100
CNSTF4 0
ASGNF4
line 172
;171:
;172:	VectorCopy( cent->lerpOrigin, ent.origin);
ADDRLP4 0+68
ADDRFP4 0
INDIRP4
CNSTI4 624
ADDP4
INDIRB
ASGNB 12
line 173
;173:	VectorCopy( cent->lerpOrigin, ent.oldorigin);
ADDRLP4 0+84
ADDRFP4 0
INDIRP4
CNSTI4 624
ADDP4
INDIRB
ASGNB 12
line 175
;174:
;175:	ent.hModel = cg_items[s1->modelindex2].model;//cgs.useableModels[s1->modelindex];
ADDRLP4 0+8
CNSTI4 12
ADDRLP4 160
INDIRP4
CNSTI4 164
ADDP4
INDIRI4
MULI4
ADDRGP4 cg_items+4
ADDP4
INDIRI4
ASGNI4
line 178
;176:
;177:	// player model
;178:	if (s1->number == cg.snap->ps.clientNum) {
ADDRLP4 160
INDIRP4
INDIRI4
ADDRGP4 cg+32
INDIRP4
CNSTI4 200
ADDP4
INDIRI4
NEI4 $128
line 179
;179:		ent.renderfx |= RF_THIRD_PERSON;	// only draw from mirrors
ADDRLP4 0+4
ADDRLP4 0+4
INDIRI4
CNSTI4 2
BORI4
ASGNI4
line 180
;180:	}
LABELV $128
line 184
;181:
;182:	// convert angles to axis
;183://	AnglesToAxis( cent->lerpAngles, ent.axis );
;184:	{
line 187
;185:		// hack to keep dropped detpacks from rotating 
;186:		vec3_t vecs[3];
;187:		AngleVectors(s1->angles, vecs[0], vecs[1], vecs[2]);
ADDRLP4 160
INDIRP4
CNSTI4 116
ADDP4
ARGP4
ADDRLP4 164
ARGP4
ADDRLP4 164+12
ARGP4
ADDRLP4 164+24
ARGP4
ADDRGP4 AngleVectors
CALLV
pop
line 188
;188:		VectorNegate(vecs[1], vecs[1]);
ADDRLP4 164+12
ADDRLP4 164+12
INDIRF4
NEGF4
ASGNF4
ADDRLP4 164+12+4
ADDRLP4 164+12+4
INDIRF4
NEGF4
ASGNF4
ADDRLP4 164+12+8
ADDRLP4 164+12+8
INDIRF4
NEGF4
ASGNF4
line 189
;189:		if (s1->modelindex == HI_DETPACK) // as stated, HACK for detpack
ADDRLP4 160
INDIRP4
CNSTI4 160
ADDP4
INDIRI4
CNSTI4 3
NEI4 $144
line 190
;190:		{
line 191
;191:			VectorScale(vecs[0], .5, vecs[0]);
ADDRLP4 200
CNSTF4 1056964608
ASGNF4
ADDRLP4 164
ADDRLP4 200
INDIRF4
ADDRLP4 164
INDIRF4
MULF4
ASGNF4
ADDRLP4 164+4
ADDRLP4 200
INDIRF4
ADDRLP4 164+4
INDIRF4
MULF4
ASGNF4
ADDRLP4 164+8
CNSTF4 1056964608
ADDRLP4 164+8
INDIRF4
MULF4
ASGNF4
line 192
;192:			VectorScale(vecs[1], .5, vecs[1]);
ADDRLP4 164+12
CNSTF4 1056964608
ADDRLP4 164+12
INDIRF4
MULF4
ASGNF4
ADDRLP4 164+12+4
CNSTF4 1056964608
ADDRLP4 164+12+4
INDIRF4
MULF4
ASGNF4
ADDRLP4 164+12+8
CNSTF4 1056964608
ADDRLP4 164+12+8
INDIRF4
MULF4
ASGNF4
line 193
;193:			VectorScale(vecs[2], .5, vecs[2]);
ADDRLP4 164+24
CNSTF4 1056964608
ADDRLP4 164+24
INDIRF4
MULF4
ASGNF4
ADDRLP4 164+24+4
CNSTF4 1056964608
ADDRLP4 164+24+4
INDIRF4
MULF4
ASGNF4
ADDRLP4 164+24+8
CNSTF4 1056964608
ADDRLP4 164+24+8
INDIRF4
MULF4
ASGNF4
line 194
;194:		}
LABELV $144
line 195
;195:		AxisCopy( vecs, ent.axis );
ADDRLP4 164
ARGP4
ADDRLP4 0+28
ARGP4
ADDRGP4 AxisCopy
CALLV
pop
line 196
;196:	}
line 199
;197:
;198:	// add to refresh list
;199:	trap_R_AddRefEntityToScene (&ent);
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 200
;200:}
LABELV $110
endproc CG_Useable 204 16
proc CG_General 185 12
line 207
;201:
;202:/*
;203:==================
;204:CG_General
;205:==================
;206:*/
;207:static void CG_General( centity_t *cent ) {
line 211
;208:	refEntity_t			ent;
;209:	entityState_t		*s1;
;210:
;211:	s1 = &cent->currentState;
ADDRLP4 160
ADDRFP4 0
INDIRP4
ASGNP4
line 214
;212:
;213:	// if set to invisible, skip
;214:	if (!s1->modelindex) {
ADDRLP4 160
INDIRP4
CNSTI4 160
ADDP4
INDIRI4
CNSTI4 0
NEI4 $172
line 215
;215:		return;
ADDRGP4 $171
JUMPV
LABELV $172
line 218
;216:	}
;217:
;218:	memset (&ent, 0, sizeof(ent));
ADDRLP4 0
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 222
;219:
;220:	// set frame
;221:
;222:	if ( s1->eFlags & EF_ANIM_ONCE )
ADDRLP4 160
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
CNSTI4 33554432
BANDI4
CNSTI4 0
EQI4 $174
line 223
;223:	{
line 224
;224:		ent.frame = s1->frame;
ADDRLP4 0+80
ADDRLP4 160
INDIRP4
CNSTI4 172
ADDP4
INDIRI4
ASGNI4
line 225
;225:		ent.renderfx|=RF_CAP_FRAMES;
ADDRLP4 0+4
ADDRLP4 0+4
INDIRI4
CNSTI4 1024
BORI4
ASGNI4
line 226
;226:	}
ADDRGP4 $175
JUMPV
LABELV $174
line 227
;227:	else if (s1->eFlags & EF_ANIM_ALLFAST)
ADDRLP4 160
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
CNSTI4 65536
BANDI4
CNSTI4 0
EQI4 $178
line 228
;228:	{
line 229
;229:		ent.frame = (cg.time / 100);
ADDRLP4 0+80
ADDRGP4 cg+105552
INDIRI4
CNSTI4 100
DIVI4
ASGNI4
line 230
;230:		ent.renderfx|=RF_WRAP_FRAMES;
ADDRLP4 0+4
ADDRLP4 0+4
INDIRI4
CNSTI4 512
BORI4
ASGNI4
line 231
;231:	}
ADDRGP4 $179
JUMPV
LABELV $178
line 233
;232:	else
;233:	{
line 234
;234:		ent.frame = s1->frame;
ADDRLP4 0+80
ADDRLP4 160
INDIRP4
CNSTI4 172
ADDP4
INDIRI4
ASGNI4
line 235
;235:		ent.renderfx|=RF_CAP_FRAMES;
ADDRLP4 0+4
ADDRLP4 0+4
INDIRI4
CNSTI4 1024
BORI4
ASGNI4
line 236
;236:	}
LABELV $179
LABELV $175
line 238
;237:
;238:	ent.oldframe = ent.frame;
ADDRLP4 0+96
ADDRLP4 0+80
INDIRI4
ASGNI4
line 239
;239:	ent.backlerp = 0;
ADDRLP4 0+100
CNSTF4 0
ASGNF4
line 241
;240:
;241:	VectorCopy( cent->lerpOrigin, ent.origin);
ADDRLP4 0+68
ADDRFP4 0
INDIRP4
CNSTI4 624
ADDP4
INDIRB
ASGNB 12
line 242
;242:	VectorCopy( cent->lerpOrigin, ent.oldorigin);
ADDRLP4 0+84
ADDRFP4 0
INDIRP4
CNSTI4 624
ADDP4
INDIRB
ASGNB 12
line 244
;243:
;244:	ent.hModel = cgs.gameModels[s1->modelindex];
ADDRLP4 0+8
ADDRLP4 160
INDIRP4
CNSTI4 160
ADDP4
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 cgs+25720
ADDP4
INDIRI4
ASGNI4
line 247
;245:
;246:	// player model
;247:	if (s1->number == cg.snap->ps.clientNum) {
ADDRLP4 160
INDIRP4
INDIRI4
ADDRGP4 cg+32
INDIRP4
CNSTI4 200
ADDP4
INDIRI4
NEI4 $192
line 248
;248:		ent.renderfx |= RF_THIRD_PERSON;	// only draw from mirrors
ADDRLP4 0+4
ADDRLP4 0+4
INDIRI4
CNSTI4 2
BORI4
ASGNI4
line 249
;249:	}
LABELV $192
line 252
;250:
;251:	// convert angles to axis
;252:	AnglesToAxis( cent->lerpAngles, ent.axis );
ADDRFP4 0
INDIRP4
CNSTI4 636
ADDP4
ARGP4
ADDRLP4 0+28
ARGP4
ADDRGP4 AnglesToAxis
CALLV
pop
line 255
;253:
;254:	// add to refresh list
;255:	if ( s1->eFlags & EF_ITEMPLACEHOLDER )		// object is "spawning" in
ADDRLP4 160
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
CNSTI4 2
BANDI4
CNSTI4 0
EQI4 $197
line 256
;256:	{
line 259
;257:		int	msec;
;258:
;259:		if ( !cent->miscTime )
ADDRFP4 0
INDIRP4
CNSTI4 432
ADDP4
INDIRI4
CNSTI4 0
NEI4 $199
line 260
;260:		{
line 261
;261:			cent->miscTime = cg.time;
ADDRFP4 0
INDIRP4
CNSTI4 432
ADDP4
ADDRGP4 cg+105552
INDIRI4
ASGNI4
line 262
;262:		}
LABELV $199
line 264
;263:
;264:		msec = cg.time - cent->miscTime;
ADDRLP4 164
ADDRGP4 cg+105552
INDIRI4
ADDRFP4 0
INDIRP4
CNSTI4 432
ADDP4
INDIRI4
SUBI4
ASGNI4
line 265
;265:		if ( msec < ITEM_SCALEUP_TIME )
ADDRLP4 164
INDIRI4
CNSTI4 1000
GEI4 $203
line 266
;266:		{
line 269
;267:			float alpha;
;268:			int a;
;269:			alpha = (float)msec / ITEM_SCALEUP_TIME;
ADDRLP4 172
ADDRLP4 164
INDIRI4
CVIF4 4
CNSTF4 1148846080
DIVF4
ASGNF4
line 270
;270:			if ( s1->eventParm == 255 )
ADDRLP4 160
INDIRP4
CNSTI4 184
ADDP4
INDIRI4
CNSTI4 255
NEI4 $205
line 271
;271:			{
line 272
;272:				alpha = 1.0f-alpha;
ADDRLP4 172
CNSTF4 1065353216
ADDRLP4 172
INDIRF4
SUBF4
ASGNF4
line 273
;273:			}
LABELV $205
line 274
;274:			a = alpha * 255.0;
ADDRLP4 168
CNSTF4 1132396544
ADDRLP4 172
INDIRF4
MULF4
CVFI4 4
ASGNI4
line 275
;275:			if (a <= 0)
ADDRLP4 168
INDIRI4
CNSTI4 0
GTI4 $207
line 276
;276:				a=1;
ADDRLP4 168
CNSTI4 1
ASGNI4
LABELV $207
line 277
;277:			ent.shaderRGBA[0] =
ADDRLP4 176
CNSTU1 255
ASGNU1
ADDRLP4 0+116+2
ADDRLP4 176
INDIRU1
ASGNU1
ADDRLP4 0+116+1
ADDRLP4 176
INDIRU1
ASGNU1
ADDRLP4 0+116
ADDRLP4 176
INDIRU1
ASGNU1
line 280
;278:			ent.shaderRGBA[1] =
;279:			ent.shaderRGBA[2] = 255;
;280:			ent.shaderRGBA[3] = a;
ADDRLP4 0+116+3
ADDRLP4 168
INDIRI4
CVIU4 4
CVUU1 4
ASGNU1
line 281
;281:			ent.renderfx |= RF_FORCE_ENT_ALPHA;
ADDRLP4 0+4
ADDRLP4 0+4
INDIRI4
CNSTI4 2048
BORI4
ASGNI4
line 282
;282:			trap_R_AddRefEntityToScene(&ent);
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 283
;283:			ent.renderfx &= ~RF_FORCE_ENT_ALPHA;
ADDRLP4 0+4
ADDRLP4 0+4
INDIRI4
CNSTI4 -2049
BANDI4
ASGNI4
line 287
;284:		
;285:			// Now draw the static shader over it.
;286:			// Alpha in over half the time, out over half.
;287:			alpha = sin(M_PI*alpha);
CNSTF4 1078530011
ADDRLP4 172
INDIRF4
MULF4
ARGF4
ADDRLP4 180
ADDRGP4 sin
CALLF4
ASGNF4
ADDRLP4 172
ADDRLP4 180
INDIRF4
ASGNF4
line 288
;288:			a = alpha * 255.0;
ADDRLP4 168
CNSTF4 1132396544
ADDRLP4 172
INDIRF4
MULF4
CVFI4 4
ASGNI4
line 289
;289:			if (a <= 0)
ADDRLP4 168
INDIRI4
CNSTI4 0
GTI4 $218
line 290
;290:				a=1;
ADDRLP4 168
CNSTI4 1
ASGNI4
LABELV $218
line 291
;291:			ent.customShader = cgs.media.rezOutShader;
ADDRLP4 0+112
ADDRGP4 cgs+195628+736
INDIRI4
ASGNI4
line 292
;292:			ent.shaderRGBA[0] =
ADDRLP4 184
ADDRLP4 168
INDIRI4
CVIU4 4
CVUU1 4
ASGNU1
ADDRLP4 0+116+2
ADDRLP4 184
INDIRU1
ASGNU1
ADDRLP4 0+116+1
ADDRLP4 184
INDIRU1
ASGNU1
ADDRLP4 0+116
ADDRLP4 184
INDIRU1
ASGNU1
line 295
;293:			ent.shaderRGBA[1] =
;294:			ent.shaderRGBA[2] = a;
;295:			trap_R_AddRefEntityToScene( &ent );
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 296
;296:		}
ADDRGP4 $198
JUMPV
LABELV $203
line 298
;297:		else
;298:		{
line 299
;299:			trap_R_AddRefEntityToScene (&ent);
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 300
;300:		}
line 301
;301:	}
ADDRGP4 $198
JUMPV
LABELV $197
line 303
;302:	else
;303:	{
line 304
;304:		cent->miscTime = 0;
ADDRFP4 0
INDIRP4
CNSTI4 432
ADDP4
CNSTI4 0
ASGNI4
line 305
;305:		trap_R_AddRefEntityToScene (&ent);
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 306
;306:	}
LABELV $198
line 307
;307:}
LABELV $171
endproc CG_General 185 12
proc CG_Speaker 16 16
line 317
;308:
;309:
;310:/*
;311:==================
;312:CG_Speaker
;313:
;314:Speaker entities can automatically play sounds
;315:==================
;316:*/
;317:static void CG_Speaker( centity_t *cent ) {
line 318
;318:	if ( ! cent->currentState.clientNum ) {	// FIXME: use something other than clientNum...
ADDRFP4 0
INDIRP4
CNSTI4 168
ADDP4
INDIRI4
CNSTI4 0
NEI4 $229
line 319
;319:		return;		// not auto triggering
ADDRGP4 $228
JUMPV
LABELV $229
line 322
;320:	}
;321:
;322:	if ( cg.time < cent->miscTime ) {
ADDRGP4 cg+105552
INDIRI4
ADDRFP4 0
INDIRP4
CNSTI4 432
ADDP4
INDIRI4
GEI4 $231
line 323
;323:		return;
ADDRGP4 $228
JUMPV
LABELV $231
line 326
;324:	}
;325:
;326:	trap_S_StartSound (NULL, cent->currentState.number, CHAN_ITEM, cgs.gameSounds[cent->currentState.eventParm] );
CNSTP4 0
ARGP4
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
INDIRI4
ARGI4
CNSTI4 4
ARGI4
ADDRLP4 0
INDIRP4
CNSTI4 184
ADDP4
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 cgs+26744
ADDP4
INDIRI4
ARGI4
ADDRGP4 trap_S_StartSound
CALLV
pop
line 330
;327:
;328:	//	ent->s.frame = ent->wait * 10;
;329:	//	ent->s.clientNum = ent->random * 10;
;330:	cent->miscTime = cg.time + cent->currentState.frame * 100 + cent->currentState.clientNum * 100 * crandom();
ADDRLP4 4
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12
CNSTI4 100
ASGNI4
ADDRLP4 8
INDIRP4
CNSTI4 432
ADDP4
ADDRGP4 cg+105552
INDIRI4
ADDRLP4 12
INDIRI4
ADDRLP4 8
INDIRP4
CNSTI4 172
ADDP4
INDIRI4
MULI4
ADDI4
CVIF4 4
ADDRLP4 12
INDIRI4
ADDRLP4 8
INDIRP4
CNSTI4 168
ADDP4
INDIRI4
MULI4
CVIF4 4
CNSTF4 1073741824
ADDRLP4 4
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
MULF4
ADDF4
CVFI4 4
ASGNI4
line 331
;331:}
LABELV $228
endproc CG_Speaker 16 16
proc CG_Item 224 16
line 338
;332:
;333:/*
;334:==================
;335:CG_Item
;336:==================
;337:*/
;338:static void CG_Item( centity_t *cent ) {
line 345
;339:	refEntity_t			ent;
;340:	entityState_t		*es;
;341:	gitem_t				*item;
;342:	int					msec;
;343://	float				scale;
;344:
;345:	es = &cent->currentState;
ADDRLP4 160
ADDRFP4 0
INDIRP4
ASGNP4
line 346
;346:	if ( es->modelindex >= bg_numItems ) {
ADDRLP4 160
INDIRP4
CNSTI4 160
ADDP4
INDIRI4
ADDRGP4 bg_numItems
INDIRI4
LTI4 $237
line 347
;347:		CG_Error( "Bad item index %i on entity", es->modelindex );
ADDRGP4 $239
ARGP4
ADDRLP4 160
INDIRP4
CNSTI4 160
ADDP4
INDIRI4
ARGI4
ADDRGP4 CG_Error
CALLV
pop
line 348
;348:	}
LABELV $237
line 351
;349:
;350:	// if set to invisible, skip
;351:	if ( !es->modelindex || ( es->eFlags & EF_NODRAW ) ) {
ADDRLP4 176
CNSTI4 0
ASGNI4
ADDRLP4 160
INDIRP4
CNSTI4 160
ADDP4
INDIRI4
ADDRLP4 176
INDIRI4
EQI4 $242
ADDRLP4 160
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
CNSTI4 128
BANDI4
ADDRLP4 176
INDIRI4
EQI4 $240
LABELV $242
line 352
;352:		return;
ADDRGP4 $236
JUMPV
LABELV $240
line 355
;353:	}
;354:
;355:	item = &bg_itemlist[ es->modelindex ];
ADDRLP4 164
CNSTI4 44
ADDRLP4 160
INDIRP4
CNSTI4 160
ADDP4
INDIRI4
MULI4
ADDRGP4 bg_itemlist
ADDP4
ASGNP4
line 356
;356:	if ( cg_simpleItems.integer && item->giType != IT_TEAM ) {
ADDRGP4 cg_simpleItems+12
INDIRI4
CNSTI4 0
EQI4 $243
ADDRLP4 164
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
CNSTI4 7
EQI4 $243
line 357
;357:		memset( &ent, 0, sizeof( ent ) );
ADDRLP4 0
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 358
;358:		ent.reType = RT_SPRITE;
ADDRLP4 0
CNSTI4 1
ASGNI4
line 359
;359:		VectorCopy( cent->lerpOrigin, ent.origin );
ADDRLP4 0+68
ADDRFP4 0
INDIRP4
CNSTI4 624
ADDP4
INDIRB
ASGNB 12
line 360
;360:		ent.data.sprite.radius = 14;
ADDRLP4 0+132+4
CNSTF4 1096810496
ASGNF4
line 362
;361:	
;362:		ent.customShader = cg_items[es->modelindex].icon;
ADDRLP4 0+112
CNSTI4 12
ADDRLP4 160
INDIRP4
CNSTI4 160
ADDP4
INDIRI4
MULI4
ADDRGP4 cg_items+8
ADDP4
INDIRI4
ASGNI4
line 363
;363:		ent.shaderRGBA[0] = 255;
ADDRLP4 0+116
CNSTU1 255
ASGNU1
line 364
;364:		ent.shaderRGBA[1] = 255;
ADDRLP4 0+116+1
CNSTU1 255
ASGNU1
line 365
;365:		ent.shaderRGBA[2] = 255;
ADDRLP4 0+116+2
CNSTU1 255
ASGNU1
line 367
;366:
;367:		if ( es->eFlags & EF_ITEMPLACEHOLDER )
ADDRLP4 160
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
CNSTI4 2
BANDI4
CNSTI4 0
EQI4 $256
line 368
;368:		{
line 369
;369:			ent.renderfx |= RF_FORCE_ENT_ALPHA;
ADDRLP4 0+4
ADDRLP4 0+4
INDIRI4
CNSTI4 2048
BORI4
ASGNI4
line 370
;370:			ent.shaderRGBA[3] = 50 + sin(cg.time*0.01)*30;
CNSTF4 1008981770
ADDRGP4 cg+105552
INDIRI4
CVIF4 4
MULF4
ARGF4
ADDRLP4 184
ADDRGP4 sin
CALLF4
ASGNF4
ADDRLP4 188
CNSTF4 1106247680
ADDRLP4 184
INDIRF4
MULF4
CNSTF4 1112014848
ADDF4
ASGNF4
ADDRLP4 192
CNSTF4 1325400064
ASGNF4
ADDRLP4 188
INDIRF4
ADDRLP4 192
INDIRF4
LTF4 $263
ADDRLP4 180
ADDRLP4 188
INDIRF4
ADDRLP4 192
INDIRF4
SUBF4
CVFI4 4
CVIU4 4
CNSTU4 2147483648
ADDU4
ASGNU4
ADDRGP4 $264
JUMPV
LABELV $263
ADDRLP4 180
ADDRLP4 188
INDIRF4
CVFI4 4
CVIU4 4
ASGNU4
LABELV $264
ADDRLP4 0+116+3
ADDRLP4 180
INDIRU4
CVUU1 4
ASGNU1
line 371
;371:		}
ADDRGP4 $257
JUMPV
LABELV $256
line 373
;372:		else
;373:		{
line 374
;374:			ent.shaderRGBA[3] = 255;
ADDRLP4 0+116+3
CNSTU1 255
ASGNU1
line 375
;375:		}
LABELV $257
line 377
;376:
;377:		trap_R_AddRefEntityToScene(&ent);
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 379
;378:
;379:		return;
ADDRGP4 $236
JUMPV
LABELV $243
line 386
;380:	}
;381:
;382:	// items bob up and down continuously
;383://	scale = 0.005 + cent->currentState.number * 0.00001;
;384://	cent->lerpOrigin[2] += 4 + cos( ( cg.time + 1000 ) *  scale ) * 4;
;385:
;386:	memset (&ent, 0, sizeof(ent));
ADDRLP4 0
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 389
;387:
;388:	// autorotate at one of two speeds
;389:	if ( item->giType == IT_HEALTH ) 
ADDRLP4 164
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
CNSTI4 4
NEI4 $267
line 390
;390:	{
line 391
;391:		VectorCopy( cg.autoAnglesFast, cent->lerpAngles );
ADDRFP4 0
INDIRP4
CNSTI4 636
ADDP4
ADDRGP4 cg+106792
INDIRB
ASGNB 12
line 392
;392:		AxisCopy( cg.autoAxisFast, ent.axis );
ADDRGP4 cg+106804
ARGP4
ADDRLP4 0+28
ARGP4
ADDRGP4 AxisCopy
CALLV
pop
line 393
;393:	} 
ADDRGP4 $268
JUMPV
LABELV $267
line 394
;394:	else if (item->giType != IT_TEAM)
ADDRLP4 164
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
CNSTI4 7
EQI4 $272
line 395
;395:	{
line 396
;396:		VectorCopy( cg.autoAngles, cent->lerpAngles );
ADDRFP4 0
INDIRP4
CNSTI4 636
ADDP4
ADDRGP4 cg+106744
INDIRB
ASGNB 12
line 397
;397:		AxisCopy( cg.autoAxis, ent.axis );
ADDRGP4 cg+106756
ARGP4
ADDRLP4 0+28
ARGP4
ADDRGP4 AxisCopy
CALLV
pop
line 398
;398:	}
ADDRGP4 $273
JUMPV
LABELV $272
line 400
;399:	else
;400:	{	// Flags don't rotate at all...
line 406
;401:		float frame;
;402:		vec3_t vecs[3];
;403:
;404:
;405:		// ...but they do animate.
;406:		frame = (cg.time / 100.0);
ADDRLP4 216
ADDRGP4 cg+105552
INDIRI4
CVIF4 4
CNSTF4 1120403456
DIVF4
ASGNF4
line 407
;407:		ent.renderfx|=RF_WRAP_FRAMES;
ADDRLP4 0+4
ADDRLP4 0+4
INDIRI4
CNSTI4 512
BORI4
ASGNI4
line 409
;408:
;409:		ent.oldframe = (int)frame;
ADDRLP4 0+96
ADDRLP4 216
INDIRF4
CVFI4 4
ASGNI4
line 410
;410:		ent.frame = (int)frame+1;
ADDRLP4 0+80
ADDRLP4 216
INDIRF4
CVFI4 4
CNSTI4 1
ADDI4
ASGNI4
line 411
;411:		ent.backlerp = (float)(ent.frame) - frame;
ADDRLP4 0+100
ADDRLP4 0+80
INDIRI4
CVIF4 4
ADDRLP4 216
INDIRF4
SUBF4
ASGNF4
line 414
;412:
;413:		// and they are scaled too
;414:		if (1)
line 415
;415:		{
line 416
;416:			AngleVectors(es->angles, vecs[0], vecs[1], vecs[2]);
ADDRLP4 160
INDIRP4
CNSTI4 116
ADDP4
ARGP4
ADDRLP4 180
ARGP4
ADDRLP4 180+12
ARGP4
ADDRLP4 180+24
ARGP4
ADDRGP4 AngleVectors
CALLV
pop
line 417
;417:			VectorScale( vecs[0], 1.6, vecs[0] );
ADDRLP4 220
CNSTF4 1070386381
ASGNF4
ADDRLP4 180
ADDRLP4 220
INDIRF4
ADDRLP4 180
INDIRF4
MULF4
ASGNF4
ADDRLP4 180+4
ADDRLP4 220
INDIRF4
ADDRLP4 180+4
INDIRF4
MULF4
ASGNF4
ADDRLP4 180+8
CNSTF4 1070386381
ADDRLP4 180+8
INDIRF4
MULF4
ASGNF4
line 418
;418:			VectorScale( vecs[1], 1.6, vecs[1] );
ADDRLP4 180+12
CNSTF4 1070386381
ADDRLP4 180+12
INDIRF4
MULF4
ASGNF4
ADDRLP4 180+12+4
CNSTF4 1070386381
ADDRLP4 180+12+4
INDIRF4
MULF4
ASGNF4
ADDRLP4 180+12+8
CNSTF4 1070386381
ADDRLP4 180+12+8
INDIRF4
MULF4
ASGNF4
line 419
;419:			VectorScale( vecs[2], 1.6, vecs[2] );
ADDRLP4 180+24
CNSTF4 1070386381
ADDRLP4 180+24
INDIRF4
MULF4
ASGNF4
ADDRLP4 180+24+4
CNSTF4 1070386381
ADDRLP4 180+24+4
INDIRF4
MULF4
ASGNF4
ADDRLP4 180+24+8
CNSTF4 1070386381
ADDRLP4 180+24+8
INDIRF4
MULF4
ASGNF4
line 420
;420:			AxisCopy( vecs, ent.axis );
ADDRLP4 180
ARGP4
ADDRLP4 0+28
ARGP4
ADDRGP4 AxisCopy
CALLV
pop
line 421
;421:		}
ADDRGP4 $284
JUMPV
LABELV $283
line 423
;422:		else
;423:		{
line 424
;424:			AnglesToAxis(cent->lerpAngles, ent.axis);
ADDRFP4 0
INDIRP4
CNSTI4 636
ADDP4
ARGP4
ADDRLP4 0+28
ARGP4
ADDRGP4 AnglesToAxis
CALLV
pop
line 425
;425:			VectorScale( ent.axis[0], 1.6, ent.axis[0] );
ADDRLP4 0+28
CNSTF4 1070386381
ADDRLP4 0+28
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+28+4
CNSTF4 1070386381
ADDRLP4 0+28+4
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+28+8
CNSTF4 1070386381
ADDRLP4 0+28+8
INDIRF4
MULF4
ASGNF4
line 426
;426:			VectorScale( ent.axis[1], 1.6, ent.axis[1] );
ADDRLP4 0+28+12
CNSTF4 1070386381
ADDRLP4 0+28+12
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+28+12+4
CNSTF4 1070386381
ADDRLP4 0+28+12+4
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+28+12+8
CNSTF4 1070386381
ADDRLP4 0+28+12+8
INDIRF4
MULF4
ASGNF4
line 427
;427:			VectorScale( ent.axis[2], 1.6, ent.axis[2] );
ADDRLP4 0+28+24
CNSTF4 1070386381
ADDRLP4 0+28+24
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+28+24+4
CNSTF4 1070386381
ADDRLP4 0+28+24+4
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+28+24+8
CNSTF4 1070386381
ADDRLP4 0+28+24+8
INDIRF4
MULF4
ASGNF4
line 428
;428:			ent.nonNormalizedAxes = qtrue;
ADDRLP4 0+64
CNSTI4 1
ASGNI4
line 429
;429:		}
LABELV $284
line 430
;430:		if (item->giTag == PW_BLUEFLAG)
ADDRLP4 164
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
CNSTI4 9
NEI4 $356
line 431
;431:		{ 
line 432
;432:			ent.customShader = cgs.media.blueFlagShader[3];
ADDRLP4 0+112
ADDRGP4 cgs+195628+48+12
INDIRI4
ASGNI4
line 433
;433:		}
ADDRGP4 $357
JUMPV
LABELV $356
line 435
;434:		else
;435:		{
line 436
;436:			ent.customShader = cgs.media.redFlagShader[3];
ADDRLP4 0+112
ADDRGP4 cgs+195628+32+12
INDIRI4
ASGNI4
line 437
;437:		}
LABELV $357
line 438
;438:	}
LABELV $273
LABELV $268
line 443
;439:
;440:	// the weapons have their origin where they attatch to player
;441:	// models, so we need to offset them or they will rotate
;442:	// eccentricly
;443:	if ( item->giType == IT_WEAPON ) {
ADDRLP4 164
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
CNSTI4 1
NEI4 $366
line 446
;444:		weaponInfo_t	*wi;
;445:
;446:		wi = &cg_weapons[item->giTag];
ADDRLP4 180
CNSTI4 140
ADDRLP4 164
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
MULI4
ADDRGP4 cg_weapons
ADDP4
ASGNP4
line 447
;447:		cent->lerpOrigin[0] -= 
ADDRLP4 184
ADDRFP4 0
INDIRP4
CNSTI4 624
ADDP4
ASGNP4
ADDRLP4 184
INDIRP4
ADDRLP4 184
INDIRP4
INDIRF4
ADDRLP4 180
INDIRP4
CNSTI4 40
ADDP4
INDIRF4
ADDRLP4 0+28
INDIRF4
MULF4
ADDRLP4 180
INDIRP4
CNSTI4 44
ADDP4
INDIRF4
ADDRLP4 0+28+12
INDIRF4
MULF4
ADDF4
ADDRLP4 180
INDIRP4
CNSTI4 48
ADDP4
INDIRF4
ADDRLP4 0+28+24
INDIRF4
MULF4
ADDF4
SUBF4
ASGNF4
line 451
;448:			wi->weaponMidpoint[0] * ent.axis[0][0] +
;449:			wi->weaponMidpoint[1] * ent.axis[1][0] +
;450:			wi->weaponMidpoint[2] * ent.axis[2][0];
;451:		cent->lerpOrigin[1] -= 
ADDRLP4 192
ADDRFP4 0
INDIRP4
CNSTI4 628
ADDP4
ASGNP4
ADDRLP4 192
INDIRP4
ADDRLP4 192
INDIRP4
INDIRF4
ADDRLP4 180
INDIRP4
CNSTI4 40
ADDP4
INDIRF4
ADDRLP4 0+28+4
INDIRF4
MULF4
ADDRLP4 180
INDIRP4
CNSTI4 44
ADDP4
INDIRF4
ADDRLP4 0+28+12+4
INDIRF4
MULF4
ADDF4
ADDRLP4 180
INDIRP4
CNSTI4 48
ADDP4
INDIRF4
ADDRLP4 0+28+24+4
INDIRF4
MULF4
ADDF4
SUBF4
ASGNF4
line 455
;452:			wi->weaponMidpoint[0] * ent.axis[0][1] +
;453:			wi->weaponMidpoint[1] * ent.axis[1][1] +
;454:			wi->weaponMidpoint[2] * ent.axis[2][1];
;455:		cent->lerpOrigin[2] -= 
ADDRLP4 200
ADDRFP4 0
INDIRP4
CNSTI4 632
ADDP4
ASGNP4
ADDRLP4 200
INDIRP4
ADDRLP4 200
INDIRP4
INDIRF4
ADDRLP4 180
INDIRP4
CNSTI4 40
ADDP4
INDIRF4
ADDRLP4 0+28+8
INDIRF4
MULF4
ADDRLP4 180
INDIRP4
CNSTI4 44
ADDP4
INDIRF4
ADDRLP4 0+28+12+8
INDIRF4
MULF4
ADDF4
ADDRLP4 180
INDIRP4
CNSTI4 48
ADDP4
INDIRF4
ADDRLP4 0+28+24+8
INDIRF4
MULF4
ADDF4
SUBF4
ASGNF4
line 460
;456:			wi->weaponMidpoint[0] * ent.axis[0][2] +
;457:			wi->weaponMidpoint[1] * ent.axis[1][2] +
;458:			wi->weaponMidpoint[2] * ent.axis[2][2];
;459:
;460:		cent->lerpOrigin[2] += 8;	// an extra height boost
ADDRLP4 208
ADDRFP4 0
INDIRP4
CNSTI4 632
ADDP4
ASGNP4
ADDRLP4 208
INDIRP4
ADDRLP4 208
INDIRP4
INDIRF4
CNSTF4 1090519040
ADDF4
ASGNF4
line 461
;461:	}
LABELV $366
line 463
;462:
;463:	ent.hModel = cg_items[es->modelindex].model;
ADDRLP4 0+8
CNSTI4 12
ADDRLP4 160
INDIRP4
CNSTI4 160
ADDP4
INDIRI4
MULI4
ADDRGP4 cg_items+4
ADDP4
INDIRI4
ASGNI4
line 465
;464:
;465:	VectorCopy( cent->lerpOrigin, ent.origin);
ADDRLP4 0+68
ADDRFP4 0
INDIRP4
CNSTI4 624
ADDP4
INDIRB
ASGNB 12
line 466
;466:	VectorCopy( cent->lerpOrigin, ent.oldorigin);
ADDRLP4 0+84
ADDRFP4 0
INDIRP4
CNSTI4 624
ADDP4
INDIRB
ASGNB 12
line 468
;467:
;468:	ent.nonNormalizedAxes = qfalse;
ADDRLP4 0+64
CNSTI4 0
ASGNI4
line 470
;469:
;470:	if ( es->eFlags & EF_ITEMPLACEHOLDER )		// item has been picked up
ADDRLP4 160
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
CNSTI4 2
BANDI4
CNSTI4 0
EQI4 $394
line 471
;471:	{
line 472
;472:		if ( es->eFlags & EF_DEAD )				// if item had been droped, don't show at all
ADDRLP4 160
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
EQI4 $396
line 473
;473:			return;
ADDRGP4 $236
JUMPV
LABELV $396
line 475
;474:
;475:		ent.customShader = cgs.media.weaponPlaceholderShader;
ADDRLP4 0+112
ADDRGP4 cgs+195628+732
INDIRI4
ASGNI4
line 476
;476:	}
LABELV $394
line 479
;477:
;478:	// increase the size of the weapons when they are presented as items
;479:	if ( item->giType == IT_WEAPON ) {
ADDRLP4 164
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
CNSTI4 1
NEI4 $401
line 480
;480:		VectorScale( ent.axis[0], 1.5, ent.axis[0] );
ADDRLP4 0+28
CNSTF4 1069547520
ADDRLP4 0+28
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+28+4
CNSTF4 1069547520
ADDRLP4 0+28+4
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+28+8
CNSTF4 1069547520
ADDRLP4 0+28+8
INDIRF4
MULF4
ASGNF4
line 481
;481:		VectorScale( ent.axis[1], 1.5, ent.axis[1] );
ADDRLP4 0+28+12
CNSTF4 1069547520
ADDRLP4 0+28+12
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+28+12+4
CNSTF4 1069547520
ADDRLP4 0+28+12+4
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+28+12+8
CNSTF4 1069547520
ADDRLP4 0+28+12+8
INDIRF4
MULF4
ASGNF4
line 482
;482:		VectorScale( ent.axis[2], 1.5, ent.axis[2] );
ADDRLP4 0+28+24
CNSTF4 1069547520
ADDRLP4 0+28+24
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+28+24+4
CNSTF4 1069547520
ADDRLP4 0+28+24+4
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+28+24+8
CNSTF4 1069547520
ADDRLP4 0+28+24+8
INDIRF4
MULF4
ASGNF4
line 483
;483:		ent.nonNormalizedAxes = qtrue;
ADDRLP4 0+64
CNSTI4 1
ASGNI4
line 484
;484:	}
LABELV $401
line 486
;485:
;486:	msec = cg.time - cent->miscTime;	// Count from last respawn.
ADDRLP4 168
ADDRGP4 cg+105552
INDIRI4
ADDRFP4 0
INDIRP4
CNSTI4 432
ADDP4
INDIRI4
SUBI4
ASGNI4
line 487
;487:	if (cg.predictedPlayerState.introTime > cg.time)
ADDRGP4 cg+105580+56
INDIRI4
ADDRGP4 cg+105552
INDIRI4
LEI4 $447
line 488
;488:	{	// The stuff is "holodecking in".
line 491
;489:		int dtime;
;490:
;491:		dtime = cg.predictedPlayerState.introTime - cg.time;
ADDRLP4 180
ADDRGP4 cg+105580+56
INDIRI4
ADDRGP4 cg+105552
INDIRI4
SUBI4
ASGNI4
line 492
;492:		if (dtime < TIME_FADE_DUR)
ADDRLP4 180
INDIRI4
CNSTI4 2000
GEI4 $448
line 493
;493:		{	// "rez" in.
line 497
;494:			float alpha;
;495:			int a;
;496:			
;497:			alpha = 1.0 - ((float)dtime / (float)TIME_FADE_DUR);
ADDRLP4 188
CNSTF4 1065353216
ADDRLP4 180
INDIRI4
CVIF4 4
CNSTF4 1157234688
DIVF4
SUBF4
ASGNF4
line 498
;498:			a = alpha * 255.0;
ADDRLP4 184
CNSTF4 1132396544
ADDRLP4 188
INDIRF4
MULF4
CVFI4 4
ASGNI4
line 499
;499:			if (a <= 0)
ADDRLP4 184
INDIRI4
CNSTI4 0
GTI4 $457
line 500
;500:				a=1;
ADDRLP4 184
CNSTI4 1
ASGNI4
LABELV $457
line 501
;501:			ent.shaderRGBA[3] = a;
ADDRLP4 0+116+3
ADDRLP4 184
INDIRI4
CVIU4 4
CVUU1 4
ASGNU1
line 502
;502:			ent.renderfx |= RF_FORCE_ENT_ALPHA;
ADDRLP4 0+4
ADDRLP4 0+4
INDIRI4
CNSTI4 2048
BORI4
ASGNI4
line 503
;503:			trap_R_AddRefEntityToScene(&ent);
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 504
;504:			ent.renderfx &= ~RF_FORCE_ENT_ALPHA;
ADDRLP4 0+4
ADDRLP4 0+4
INDIRI4
CNSTI4 -2049
BANDI4
ASGNI4
line 508
;505:		
;506:			// Now draw the static shader over it.
;507:			// Alpha in over half the time, out over half.
;508:			alpha = sin(M_PI*alpha);
CNSTF4 1078530011
ADDRLP4 188
INDIRF4
MULF4
ARGF4
ADDRLP4 192
ADDRGP4 sin
CALLF4
ASGNF4
ADDRLP4 188
ADDRLP4 192
INDIRF4
ASGNF4
line 509
;509:			a = alpha * 255.0;
ADDRLP4 184
CNSTF4 1132396544
ADDRLP4 188
INDIRF4
MULF4
CVFI4 4
ASGNI4
line 510
;510:			if (a <= 0)
ADDRLP4 184
INDIRI4
CNSTI4 0
GTI4 $463
line 511
;511:				a=1;
ADDRLP4 184
CNSTI4 1
ASGNI4
LABELV $463
line 512
;512:			ent.customShader = cgs.media.rezOutShader;
ADDRLP4 0+112
ADDRGP4 cgs+195628+736
INDIRI4
ASGNI4
line 513
;513:			ent.shaderRGBA[0] =
ADDRLP4 196
ADDRLP4 184
INDIRI4
CVIU4 4
CVUU1 4
ASGNU1
ADDRLP4 0+116+2
ADDRLP4 196
INDIRU1
ASGNU1
ADDRLP4 0+116+1
ADDRLP4 196
INDIRU1
ASGNU1
ADDRLP4 0+116
ADDRLP4 196
INDIRU1
ASGNU1
line 516
;514:			ent.shaderRGBA[1] =
;515:			ent.shaderRGBA[2] = a;
;516:			trap_R_AddRefEntityToScene( &ent );
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 517
;517:			ent.shaderRGBA[0] =
ADDRLP4 197
CNSTU1 255
ASGNU1
ADDRLP4 0+116+2
ADDRLP4 197
INDIRU1
ASGNU1
ADDRLP4 0+116+1
ADDRLP4 197
INDIRU1
ASGNU1
ADDRLP4 0+116
ADDRLP4 197
INDIRU1
ASGNU1
line 520
;518:			ent.shaderRGBA[1] =
;519:			ent.shaderRGBA[2] = 255;
;520:		}
line 521
;521:	}
ADDRGP4 $448
JUMPV
LABELV $447
line 522
;522:	else if (item->giType != IT_TEAM && msec >= 0 && msec < ITEM_SCALEUP_TIME && !(es->eFlags & EF_ITEMPLACEHOLDER)) 
ADDRLP4 164
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
CNSTI4 7
EQI4 $478
ADDRLP4 180
ADDRLP4 168
INDIRI4
ASGNI4
ADDRLP4 184
CNSTI4 0
ASGNI4
ADDRLP4 180
INDIRI4
ADDRLP4 184
INDIRI4
LTI4 $478
ADDRLP4 180
INDIRI4
CNSTI4 1000
GEI4 $478
ADDRLP4 160
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
CNSTI4 2
BANDI4
ADDRLP4 184
INDIRI4
NEI4 $478
line 523
;523:	{	// if just respawned, fade in, but don't do this for flags.
line 527
;524:		float alpha;
;525:		int a;
;526:		
;527:		alpha = (float)msec / ITEM_SCALEUP_TIME;
ADDRLP4 192
ADDRLP4 168
INDIRI4
CVIF4 4
CNSTF4 1148846080
DIVF4
ASGNF4
line 528
;528:		a = alpha * 255.0;
ADDRLP4 188
CNSTF4 1132396544
ADDRLP4 192
INDIRF4
MULF4
CVFI4 4
ASGNI4
line 529
;529:		if (a <= 0)
ADDRLP4 188
INDIRI4
CNSTI4 0
GTI4 $480
line 530
;530:			a=1;
ADDRLP4 188
CNSTI4 1
ASGNI4
LABELV $480
line 531
;531:		ent.shaderRGBA[3] = a;
ADDRLP4 0+116+3
ADDRLP4 188
INDIRI4
CVIU4 4
CVUU1 4
ASGNU1
line 532
;532:		ent.renderfx |= RF_FORCE_ENT_ALPHA;
ADDRLP4 0+4
ADDRLP4 0+4
INDIRI4
CNSTI4 2048
BORI4
ASGNI4
line 533
;533:		trap_R_AddRefEntityToScene(&ent);
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 534
;534:		ent.renderfx &= ~RF_FORCE_ENT_ALPHA;
ADDRLP4 0+4
ADDRLP4 0+4
INDIRI4
CNSTI4 -2049
BANDI4
ASGNI4
line 538
;535:	
;536:		// Now draw the static shader over it.
;537:		// Alpha in over half the time, out over half.
;538:		alpha = sin(M_PI*alpha);
CNSTF4 1078530011
ADDRLP4 192
INDIRF4
MULF4
ARGF4
ADDRLP4 196
ADDRGP4 sin
CALLF4
ASGNF4
ADDRLP4 192
ADDRLP4 196
INDIRF4
ASGNF4
line 539
;539:		a = alpha * 255.0;
ADDRLP4 188
CNSTF4 1132396544
ADDRLP4 192
INDIRF4
MULF4
CVFI4 4
ASGNI4
line 540
;540:		if (a <= 0)
ADDRLP4 188
INDIRI4
CNSTI4 0
GTI4 $486
line 541
;541:			a=1;
ADDRLP4 188
CNSTI4 1
ASGNI4
LABELV $486
line 542
;542:		ent.customShader = cgs.media.rezOutShader;
ADDRLP4 0+112
ADDRGP4 cgs+195628+736
INDIRI4
ASGNI4
line 543
;543:		ent.shaderRGBA[0] =
ADDRLP4 200
ADDRLP4 188
INDIRI4
CVIU4 4
CVUU1 4
ASGNU1
ADDRLP4 0+116+2
ADDRLP4 200
INDIRU1
ASGNU1
ADDRLP4 0+116+1
ADDRLP4 200
INDIRU1
ASGNU1
ADDRLP4 0+116
ADDRLP4 200
INDIRU1
ASGNU1
line 546
;544:		ent.shaderRGBA[1] =
;545:		ent.shaderRGBA[2] = a;
;546:		trap_R_AddRefEntityToScene( &ent );
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 548
;547:		//what is the point of this next bit???
;548:		ent.shaderRGBA[0] =
ADDRLP4 201
CNSTU1 255
ASGNU1
ADDRLP4 0+116+2
ADDRLP4 201
INDIRU1
ASGNU1
ADDRLP4 0+116+1
ADDRLP4 201
INDIRU1
ASGNU1
ADDRLP4 0+116
ADDRLP4 201
INDIRU1
ASGNU1
line 551
;549:		ent.shaderRGBA[1] =
;550:		ent.shaderRGBA[2] = 255;
;551:	}
ADDRGP4 $479
JUMPV
LABELV $478
line 553
;552:	else
;553:	{	// add to refresh list  -- normal item
line 554
;554:		trap_R_AddRefEntityToScene(&ent);
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 555
;555:	}	
LABELV $479
LABELV $448
line 556
;556:}
LABELV $236
endproc CG_Item 224 16
proc CG_Missile 332 52
line 565
;557:
;558://============================================================================
;559:
;560:/*
;561:===============
;562:CG_Missile
;563:===============
;564:*/
;565:static void CG_Missile( centity_t *cent, qboolean altfire ) {
line 568
;566:	refEntity_t			ent;
;567:	entityState_t		*s1;
;568:	qhandle_t			missile = 0;
ADDRLP4 168
CNSTI4 0
ASGNI4
line 571
;569:	const weaponInfo_t		*weapon;
;570:
;571:	s1 = &cent->currentState;
ADDRLP4 160
ADDRFP4 0
INDIRP4
ASGNP4
line 572
;572:	if ( s1->weapon > WP_NUM_WEAPONS ) {
ADDRLP4 160
INDIRP4
CNSTI4 192
ADDP4
INDIRI4
CNSTI4 13
LEI4 $502
line 573
;573:		s1->weapon = 0;
ADDRLP4 160
INDIRP4
CNSTI4 192
ADDP4
CNSTI4 0
ASGNI4
line 574
;574:	}
LABELV $502
line 575
;575:	weapon = &cg_weapons[s1->weapon];
ADDRLP4 164
CNSTI4 140
ADDRLP4 160
INDIRP4
CNSTI4 192
ADDP4
INDIRI4
MULI4
ADDRGP4 cg_weapons
ADDP4
ASGNP4
line 578
;576:
;577:	// calculate the axis
;578:	VectorCopy( s1->angles, cent->lerpAngles);
ADDRFP4 0
INDIRP4
CNSTI4 636
ADDP4
ADDRLP4 160
INDIRP4
CNSTI4 116
ADDP4
INDIRB
ASGNB 12
line 581
;579:
;580://	if (cent->currentState.eFlags & EF_ALT_FIRING)
;581:	if (altfire)
ADDRFP4 4
INDIRI4
CNSTI4 0
EQI4 $504
line 582
;582:	{
line 584
;583:		// add trails
;584:		if ( weapon->alt_missileTrailFunc ) 
ADDRLP4 164
INDIRP4
CNSTI4 132
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $506
line 585
;585:		{
line 586
;586:			weapon->alt_missileTrailFunc( cent, weapon );
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 164
INDIRP4
ARGP4
ADDRLP4 164
INDIRP4
CNSTI4 132
ADDP4
INDIRP4
CALLV
pop
line 587
;587:		}
LABELV $506
line 590
;588:
;589:		// add dynamic light
;590:		if ( weapon->alt_missileDlight ) {
ADDRLP4 164
INDIRP4
CNSTI4 136
ADDP4
INDIRF4
CNSTF4 0
EQF4 $508
line 591
;591:			trap_R_AddLightToScene(cent->lerpOrigin, weapon->alt_missileDlight, 
ADDRFP4 0
INDIRP4
CNSTI4 624
ADDP4
ARGP4
ADDRLP4 164
INDIRP4
CNSTI4 136
ADDP4
INDIRF4
ARGF4
ADDRLP4 164
INDIRP4
CNSTI4 116
ADDP4
INDIRF4
ARGF4
ADDRLP4 164
INDIRP4
CNSTI4 120
ADDP4
INDIRF4
ARGF4
ADDRLP4 164
INDIRP4
CNSTI4 124
ADDP4
INDIRF4
ARGF4
ADDRGP4 trap_R_AddLightToScene
CALLV
pop
line 593
;592:				weapon->missileDlightColor[0], weapon->missileDlightColor[1], weapon->missileDlightColor[2] );
;593:		}
LABELV $508
line 596
;594:
;595:		// add missile sound
;596:		if ( weapon->alt_missileSound ) 
ADDRLP4 164
INDIRP4
CNSTI4 88
ADDP4
INDIRI4
CNSTI4 0
EQI4 $510
line 597
;597:		{
line 600
;598:			vec3_t	velocity;
;599:
;600:			BG_EvaluateTrajectoryDelta( &cent->currentState.pos, cg.time, velocity );
ADDRFP4 0
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRGP4 cg+105552
INDIRI4
ARGI4
ADDRLP4 172
ARGP4
ADDRGP4 BG_EvaluateTrajectoryDelta
CALLV
pop
line 601
;601:			if (velocity[0] || velocity[1] || velocity[2])
ADDRLP4 184
CNSTF4 0
ASGNF4
ADDRLP4 172
INDIRF4
ADDRLP4 184
INDIRF4
NEF4 $518
ADDRLP4 172+4
INDIRF4
ADDRLP4 184
INDIRF4
NEF4 $518
ADDRLP4 172+8
INDIRF4
ADDRLP4 184
INDIRF4
EQF4 $513
LABELV $518
line 602
;602:			{
line 603
;603:				trap_S_AddLoopingSound( cent->currentState.number, cent->lerpOrigin, velocity, weapon->alt_missileSound );
ADDRLP4 188
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 188
INDIRP4
INDIRI4
ARGI4
ADDRLP4 188
INDIRP4
CNSTI4 624
ADDP4
ARGP4
ADDRLP4 172
ARGP4
ADDRLP4 164
INDIRP4
CNSTI4 88
ADDP4
INDIRI4
ARGI4
ADDRGP4 trap_S_AddLoopingSound
CALLV
pop
line 604
;604:			}
LABELV $513
line 605
;605:		}
LABELV $510
line 607
;606:
;607:		if (!weapon->alt_missileModel) {	//if there is no missile then we're done
ADDRLP4 164
INDIRP4
CNSTI4 128
ADDP4
INDIRI4
CNSTI4 0
NEI4 $519
line 608
;608:			return;
ADDRGP4 $501
JUMPV
LABELV $519
line 610
;609:		}
;610:		missile = weapon->alt_missileModel;
ADDRLP4 168
ADDRLP4 164
INDIRP4
CNSTI4 128
ADDP4
INDIRI4
ASGNI4
line 611
;611:	}
ADDRGP4 $505
JUMPV
LABELV $504
line 613
;612:	else
;613:	{
line 614
;614:		if (cent->thinkFlag)
ADDRFP4 0
INDIRP4
CNSTI4 424
ADDP4
INDIRI4
CNSTI4 0
EQI4 $521
line 615
;615:		{	// we already grabbed info that was stored on the game side, so use what's already in cent->rawAngles
line 617
;616:			//and cent->rawOrigin
;617:		}
ADDRGP4 $522
JUMPV
LABELV $521
line 619
;618:		else
;619:		{
line 621
;620:			// kef -- get out some info we stored in a very unfortunate manner on the game side
;621:			VectorCopy(cent->currentState.angles2,cent->rawAngles);
ADDRLP4 172
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 172
INDIRP4
CNSTI4 600
ADDP4
ADDRLP4 172
INDIRP4
CNSTI4 128
ADDP4
INDIRB
ASGNB 12
line 622
;622:			VectorCopy(cent->currentState.angles2,cent->rawOrigin);
ADDRLP4 176
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 176
INDIRP4
CNSTI4 588
ADDP4
ADDRLP4 176
INDIRP4
CNSTI4 128
ADDP4
INDIRB
ASGNB 12
line 623
;623:			cent->thinkFlag = 1;
ADDRFP4 0
INDIRP4
CNSTI4 424
ADDP4
CNSTI4 1
ASGNI4
line 624
;624:		}
LABELV $522
line 626
;625:		// add trails
;626:		if ( weapon->missileTrailFunc ) 
ADDRLP4 164
INDIRP4
CNSTI4 108
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $523
line 627
;627:		{
line 628
;628:			weapon->missileTrailFunc( cent, weapon );
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 164
INDIRP4
ARGP4
ADDRLP4 164
INDIRP4
CNSTI4 108
ADDP4
INDIRP4
CALLV
pop
line 629
;629:		}
LABELV $523
line 632
;630:
;631:		// add dynamic light
;632:		if ( weapon->missileDlight ) {
ADDRLP4 164
INDIRP4
CNSTI4 112
ADDP4
INDIRF4
CNSTF4 0
EQF4 $525
line 633
;633:			trap_R_AddLightToScene(cent->lerpOrigin, weapon->missileDlight, 
ADDRFP4 0
INDIRP4
CNSTI4 624
ADDP4
ARGP4
ADDRLP4 164
INDIRP4
CNSTI4 112
ADDP4
INDIRF4
ARGF4
ADDRLP4 164
INDIRP4
CNSTI4 116
ADDP4
INDIRF4
ARGF4
ADDRLP4 164
INDIRP4
CNSTI4 120
ADDP4
INDIRF4
ARGF4
ADDRLP4 164
INDIRP4
CNSTI4 124
ADDP4
INDIRF4
ARGF4
ADDRGP4 trap_R_AddLightToScene
CALLV
pop
line 635
;634:				weapon->missileDlightColor[0], weapon->missileDlightColor[1], weapon->missileDlightColor[2] );
;635:		}
LABELV $525
line 646
;636:
;637:		// add missile sound
;638:/*		if ( weapon->missileSound ) {
;639:			vec3_t	velocity;
;640:
;641:			BG_EvaluateTrajectoryDelta( &cent->currentState.pos, cg.time, velocity );
;642:
;643:			trap_S_AddLoopingSound( cent->currentState.number, cent->lerpOrigin, velocity, weapon->missileSound );
;644:		}
;645:*/
;646:		if (!weapon->missileModel) {	//if ther is no missile then we're done
ADDRLP4 164
INDIRP4
CNSTI4 104
ADDP4
INDIRI4
CNSTI4 0
NEI4 $527
line 647
;647:			return;
ADDRGP4 $501
JUMPV
LABELV $527
line 649
;648:		}
;649:		missile = weapon->missileModel;
ADDRLP4 168
ADDRLP4 164
INDIRP4
CNSTI4 104
ADDP4
INDIRI4
ASGNI4
line 650
;650:	}
LABELV $505
line 653
;651:
;652:	// create the render entity
;653:	memset (&ent, 0, sizeof(ent));
ADDRLP4 0
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 654
;654:	VectorCopy( cent->lerpOrigin, ent.origin);
ADDRLP4 0+68
ADDRFP4 0
INDIRP4
CNSTI4 624
ADDP4
INDIRB
ASGNB 12
line 655
;655:	VectorCopy( cent->lerpOrigin, ent.oldorigin);
ADDRLP4 0+84
ADDRFP4 0
INDIRP4
CNSTI4 624
ADDP4
INDIRB
ASGNB 12
line 657
;656:
;657:	if ( cent->currentState.weapon == WP_QUANTUM_BURST ) {
ADDRFP4 0
INDIRP4
CNSTI4 192
ADDP4
INDIRI4
CNSTI4 8
NEI4 $531
line 658
;658:		ent.reType = RT_SPRITE;
ADDRLP4 0
CNSTI4 1
ASGNI4
line 659
;659:		ent.data.sprite.radius = 16;
ADDRLP4 0+132+4
CNSTF4 1098907648
ASGNF4
line 660
;660:		ent.data.sprite.rotation = 0;
ADDRLP4 0+132
CNSTF4 0
ASGNF4
line 661
;661:		trap_R_AddRefEntityToScene( &ent );
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 662
;662:		return;
ADDRGP4 $501
JUMPV
LABELV $531
line 666
;663:	}
;664:
;665:	// flicker between two skins
;666:	ent.skinNum = cg.clientFrame & 1;
ADDRLP4 0+104
ADDRGP4 cg
INDIRI4
CNSTI4 1
BANDI4
ASGNI4
line 667
;667:	ent.hModel = missile;
ADDRLP4 0+8
ADDRLP4 168
INDIRI4
ASGNI4
line 668
;668:	ent.renderfx = RF_NOSHADOW;
ADDRLP4 0+4
CNSTI4 64
ASGNI4
line 670
;669:
;670:	if ( s1->pos.trType == TR_STATIONARY )
ADDRLP4 160
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
CNSTI4 0
NEI4 $539
line 671
;671:	{
line 672
;672:		AnglesToAxis( s1->angles, ent.axis );
ADDRLP4 160
INDIRP4
CNSTI4 116
ADDP4
ARGP4
ADDRLP4 0+28
ARGP4
ADDRGP4 AnglesToAxis
CALLV
pop
line 673
;673:	}
ADDRGP4 $540
JUMPV
LABELV $539
line 675
;674:	else
;675:	{
line 677
;676:		// convert direction of travel into axis
;677:		if ( VectorNormalize2( s1->pos.trDelta, ent.axis[0] ) == 0 ) {
ADDRLP4 160
INDIRP4
CNSTI4 36
ADDP4
ARGP4
ADDRLP4 0+28
ARGP4
ADDRLP4 172
ADDRGP4 VectorNormalize2
CALLF4
ASGNF4
ADDRLP4 172
INDIRF4
CNSTF4 0
NEF4 $542
line 678
;678:			ent.axis[0][2] = 1;
ADDRLP4 0+28+8
CNSTF4 1065353216
ASGNF4
line 679
;679:		}
LABELV $542
line 682
;680:
;681:		// spin as it moves
;682:		if ( s1->pos.trType != TR_STATIONARY ) {
ADDRLP4 160
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
CNSTI4 0
EQI4 $547
line 683
;683:			RotateAroundDirection( ent.axis, cg.time / 4 );
ADDRLP4 0+28
ARGP4
ADDRGP4 cg+105552
INDIRI4
CNSTI4 4
DIVI4
CVIF4 4
ARGF4
ADDRGP4 RotateAroundDirection
CALLV
pop
line 684
;684:		} else {
ADDRGP4 $548
JUMPV
LABELV $547
line 685
;685:			RotateAroundDirection( ent.axis, s1->time );
ADDRLP4 0+28
ARGP4
ADDRLP4 160
INDIRP4
CNSTI4 84
ADDP4
INDIRI4
CVIF4 4
ARGF4
ADDRGP4 RotateAroundDirection
CALLV
pop
line 686
;686:		}
LABELV $548
line 687
;687:	}
LABELV $540
line 690
;688:
;689:	// add to refresh list, possibly with quad glow
;690:	CG_AddRefEntityWithPowerups( &ent, s1->powerups, s1->eFlags, qfalse );
ADDRLP4 0
ARGP4
ADDRLP4 160
INDIRP4
CNSTI4 188
ADDP4
INDIRI4
ARGI4
ADDRLP4 160
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
ARGI4
CNSTI4 0
ARGI4
ADDRGP4 CG_AddRefEntityWithPowerups
CALLV
pop
line 691
;691:	if ( s1->eFlags & EF_FIRING )
ADDRLP4 160
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
CNSTI4 256
BANDI4
CNSTI4 0
EQI4 $552
line 692
;692:	{//special code for adding the beam to the attached tripwire mine
line 698
;693:		trace_t	trace;
;694:		vec3_t	beamOrg, beamEnd, rgb;
;695:		float	alpha;
;696:		qhandle_t	flareShader;
;697:
;698:		if ( s1->otherEntityNum2 == TEAM_BLUE )
ADDRLP4 160
INDIRP4
CNSTI4 144
ADDP4
INDIRI4
CNSTI4 2
NEI4 $554
line 699
;699:		{
line 700
;700:			VectorSet( rgb, 0.0f, 0.3f, 1.0f );
ADDRLP4 200
CNSTF4 0
ASGNF4
ADDRLP4 200+4
CNSTF4 1050253722
ASGNF4
ADDRLP4 200+8
CNSTF4 1065353216
ASGNF4
line 701
;701:			alpha = 1.0f - (random() * 0.2);
ADDRLP4 276
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 268
CNSTF4 1065353216
CNSTF4 1045220557
ADDRLP4 276
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
MULF4
SUBF4
ASGNF4
line 702
;702:			flareShader = cgs.media.blueParticleShader;
ADDRLP4 272
ADDRGP4 cgs+195628+308
INDIRI4
ASGNI4
line 703
;703:		}
ADDRGP4 $555
JUMPV
LABELV $554
line 705
;704:		else
;705:		{
line 706
;706:			VectorSet( rgb, 1.0f, 0.0f, 0.0f );
ADDRLP4 200
CNSTF4 1065353216
ASGNF4
ADDRLP4 200+4
CNSTF4 0
ASGNF4
ADDRLP4 200+8
CNSTF4 0
ASGNF4
line 707
;707:			alpha = 1.0f - (random() * 0.5);
ADDRLP4 276
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 268
CNSTF4 1065353216
CNSTF4 1056964608
ADDRLP4 276
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
MULF4
SUBF4
ASGNF4
line 708
;708:			flareShader = cgs.media.borgEyeFlareShader;
ADDRLP4 272
ADDRGP4 cgs+195628+748
INDIRI4
ASGNI4
line 709
;709:		}
LABELV $555
line 710
;710:		VectorCopy( ent.origin, beamOrg );
ADDRLP4 176
ADDRLP4 0+68
INDIRB
ASGNB 12
line 711
;711:		VectorMA( beamOrg, -2, ent.axis[0], beamOrg );//forward
ADDRLP4 276
CNSTF4 3221225472
ASGNF4
ADDRLP4 176
ADDRLP4 176
INDIRF4
ADDRLP4 276
INDIRF4
ADDRLP4 0+28
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 176+4
ADDRLP4 176+4
INDIRF4
ADDRLP4 276
INDIRF4
ADDRLP4 0+28+4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 176+8
ADDRLP4 176+8
INDIRF4
CNSTF4 3221225472
ADDRLP4 0+28+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 712
;712:		VectorMA( beamOrg, -1022, ent.axis[0], beamEnd);//forward to end, have to reverse it because it actually faces other way
ADDRLP4 280
CNSTF4 3296690176
ASGNF4
ADDRLP4 188
ADDRLP4 176
INDIRF4
ADDRLP4 280
INDIRF4
ADDRLP4 0+28
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 188+4
ADDRLP4 176+4
INDIRF4
ADDRLP4 280
INDIRF4
ADDRLP4 0+28+4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 188+8
ADDRLP4 176+8
INDIRF4
CNSTF4 3296690176
ADDRLP4 0+28+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 714
;713:
;714:		trap_CM_BoxTrace( &trace, beamOrg, beamEnd, NULL, NULL, 0, MASK_SHOT );
ADDRLP4 212
ARGP4
ADDRLP4 176
ARGP4
ADDRLP4 188
ARGP4
ADDRLP4 284
CNSTP4 0
ASGNP4
ADDRLP4 284
INDIRP4
ARGP4
ADDRLP4 284
INDIRP4
ARGP4
CNSTI4 0
ARGI4
CNSTI4 100925441
ARGI4
ADDRGP4 trap_CM_BoxTrace
CALLV
pop
line 715
;715:		VectorCopy(trace.endpos, beamEnd);
ADDRLP4 188
ADDRLP4 212+12
INDIRB
ASGNB 12
line 716
;716:		FX_AddLine2( beamOrg, beamEnd, 1.0f, 0.35f + ( crandom() * 0.1 ), 0.0f, 0.35f + ( crandom() * 0.1 ), 0.0f, alpha, alpha, rgb, rgb,1.0f, cgs.media.whiteLaserShader );
ADDRLP4 288
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 292
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 176
ARGP4
ADDRLP4 188
ARGP4
ADDRLP4 296
CNSTF4 1065353216
ASGNF4
ADDRLP4 296
INDIRF4
ARGF4
CNSTF4 1036831949
CNSTF4 1073741824
ADDRLP4 288
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
MULF4
CNSTF4 1051931443
ADDF4
ARGF4
ADDRLP4 300
CNSTF4 0
ASGNF4
ADDRLP4 300
INDIRF4
ARGF4
CNSTF4 1036831949
CNSTF4 1073741824
ADDRLP4 292
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
MULF4
CNSTF4 1051931443
ADDF4
ARGF4
ADDRLP4 300
INDIRF4
ARGF4
ADDRLP4 304
ADDRLP4 268
INDIRF4
ASGNF4
ADDRLP4 304
INDIRF4
ARGF4
ADDRLP4 304
INDIRF4
ARGF4
ADDRLP4 200
ARGP4
ADDRLP4 200
ARGP4
ADDRLP4 296
INDIRF4
ARGF4
ADDRGP4 cgs+195628+744
INDIRI4
ARGI4
ADDRGP4 FX_AddLine2
CALLP4
pop
line 718
;717:		//FX_AddSprite( beamOrg, NULL, qfalse, 1.0f + (random() * 2.0f), 0.0f, 0.9f, 0.9f, 0.0f, 0.0f, 0.0f, flareShader );
;718:		FX_AddQuad( beamOrg, ent.axis[0], 1.0f, 1.0f, 2.0f + (crandom() * 1.0f), 0.0f, 0.0f, 1.0f, flareShader );
ADDRLP4 308
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 176
ARGP4
ADDRLP4 0+28
ARGP4
ADDRLP4 312
CNSTF4 1065353216
ASGNF4
ADDRLP4 312
INDIRF4
ARGF4
ADDRLP4 312
INDIRF4
ARGF4
CNSTF4 1065353216
CNSTF4 1073741824
ADDRLP4 308
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
MULF4
CNSTF4 1073741824
ADDF4
ARGF4
ADDRLP4 316
CNSTF4 0
ASGNF4
ADDRLP4 316
INDIRF4
ARGF4
ADDRLP4 316
INDIRF4
ARGF4
ADDRLP4 312
INDIRF4
ARGF4
ADDRLP4 272
INDIRI4
ARGI4
ADDRGP4 FX_AddQuad
CALLP4
pop
line 719
;719:		FX_AddQuad( beamEnd, trace.plane.normal, 1.0f, 1.0f, 2.0f + (crandom() * 1.0f), 0.0f, 0.0f, 1.0f, flareShader );
ADDRLP4 320
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 188
ARGP4
ADDRLP4 212+24
ARGP4
ADDRLP4 324
CNSTF4 1065353216
ASGNF4
ADDRLP4 324
INDIRF4
ARGF4
ADDRLP4 324
INDIRF4
ARGF4
CNSTF4 1065353216
CNSTF4 1073741824
ADDRLP4 320
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
MULF4
CNSTF4 1073741824
ADDF4
ARGF4
ADDRLP4 328
CNSTF4 0
ASGNF4
ADDRLP4 328
INDIRF4
ARGF4
ADDRLP4 328
INDIRF4
ARGF4
ADDRLP4 324
INDIRF4
ARGF4
ADDRLP4 272
INDIRI4
ARGI4
ADDRGP4 FX_AddQuad
CALLP4
pop
line 720
;720:	}
LABELV $552
line 721
;721:}
LABELV $501
endproc CG_Missile 332 52
proc CG_Mover 164 12
line 728
;722:
;723:/*
;724:===============
;725:CG_Mover
;726:===============
;727:*/
;728:static void CG_Mover( centity_t *cent ) {
line 732
;729:	refEntity_t			ent;
;730:	entityState_t		*s1;
;731:
;732:	s1 = &cent->currentState;
ADDRLP4 160
ADDRFP4 0
INDIRP4
ASGNP4
line 735
;733:
;734:	// create the render entity
;735:	memset (&ent, 0, sizeof(ent));
ADDRLP4 0
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 736
;736:	VectorCopy( cent->lerpOrigin, ent.origin);
ADDRLP4 0+68
ADDRFP4 0
INDIRP4
CNSTI4 624
ADDP4
INDIRB
ASGNB 12
line 737
;737:	VectorCopy( cent->lerpOrigin, ent.oldorigin);
ADDRLP4 0+84
ADDRFP4 0
INDIRP4
CNSTI4 624
ADDP4
INDIRB
ASGNB 12
line 738
;738:	AnglesToAxis( cent->lerpAngles, ent.axis );
ADDRFP4 0
INDIRP4
CNSTI4 636
ADDP4
ARGP4
ADDRLP4 0+28
ARGP4
ADDRGP4 AnglesToAxis
CALLV
pop
line 740
;739:
;740:	ent.renderfx = RF_NOSHADOW;
ADDRLP4 0+4
CNSTI4 64
ASGNI4
line 743
;741:
;742:	// flicker between two skins (FIXME?)
;743:	ent.skinNum = ( cg.time >> 6 ) & 1;
ADDRLP4 0+104
ADDRGP4 cg+105552
INDIRI4
CNSTI4 6
RSHI4
CNSTI4 1
BANDI4
ASGNI4
line 746
;744:
;745:	// get the model, either as a bmodel or a modelindex
;746:	if ( s1->solid == SOLID_BMODEL ) {
ADDRLP4 160
INDIRP4
CNSTI4 176
ADDP4
INDIRI4
CNSTI4 16777215
NEI4 $595
line 747
;747:		ent.hModel = cgs.inlineDrawModel[s1->modelindex];
ADDRLP4 0+8
ADDRLP4 160
INDIRP4
CNSTI4 160
ADDP4
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 cgs+27772
ADDP4
INDIRI4
ASGNI4
line 748
;748:	} else {
ADDRGP4 $596
JUMPV
LABELV $595
line 749
;749:		ent.hModel = cgs.gameModels[s1->modelindex];
ADDRLP4 0+8
ADDRLP4 160
INDIRP4
CNSTI4 160
ADDP4
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 cgs+25720
ADDP4
INDIRI4
ASGNI4
line 750
;750:	}
LABELV $596
line 753
;751:
;752:	// add to refresh list
;753:	trap_R_AddRefEntityToScene(&ent);
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 756
;754:
;755:	// add the secondary model
;756:	if ( s1->modelindex2 ) {
ADDRLP4 160
INDIRP4
CNSTI4 164
ADDP4
INDIRI4
CNSTI4 0
EQI4 $601
line 757
;757:		ent.skinNum = 0;
ADDRLP4 0+104
CNSTI4 0
ASGNI4
line 758
;758:		ent.hModel = cgs.gameModels[s1->modelindex2];
ADDRLP4 0+8
ADDRLP4 160
INDIRP4
CNSTI4 164
ADDP4
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 cgs+25720
ADDP4
INDIRI4
ASGNI4
line 759
;759:		trap_R_AddRefEntityToScene(&ent);
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 760
;760:	}
LABELV $601
line 762
;761:
;762:}
LABELV $588
endproc CG_Mover 164 12
export CG_Beam
proc CG_Beam 164 12
line 771
;763:
;764:/*
;765:===============
;766:CG_Beam
;767:
;768:Also called as an event
;769:===============
;770:*/
;771:void CG_Beam( centity_t *cent ) {
line 775
;772:	refEntity_t			ent;
;773:	entityState_t		*s1;
;774:
;775:	s1 = &cent->currentState;
ADDRLP4 160
ADDRFP4 0
INDIRP4
ASGNP4
line 778
;776:
;777:	// create the render entity
;778:	memset (&ent, 0, sizeof(ent));
ADDRLP4 0
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 779
;779:	VectorCopy( s1->pos.trBase, ent.origin );
ADDRLP4 0+68
ADDRLP4 160
INDIRP4
CNSTI4 24
ADDP4
INDIRB
ASGNB 12
line 780
;780:	VectorCopy( s1->origin2, ent.oldorigin );
ADDRLP4 0+84
ADDRLP4 160
INDIRP4
CNSTI4 104
ADDP4
INDIRB
ASGNB 12
line 781
;781:	AxisClear( ent.axis );
ADDRLP4 0+28
ARGP4
ADDRGP4 AxisClear
CALLV
pop
line 782
;782:	ent.reType = RT_BEAM;
ADDRLP4 0
CNSTI4 4
ASGNI4
line 784
;783:
;784:	ent.renderfx = RF_NOSHADOW;
ADDRLP4 0+4
CNSTI4 64
ASGNI4
line 787
;785:
;786:	// add to refresh list
;787:	trap_R_AddRefEntityToScene(&ent);
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 788
;788:}
LABELV $606
endproc CG_Beam 164 12
proc CG_Portal 164 12
line 796
;789:
;790:
;791:/*
;792:===============
;793:CG_Portal
;794:===============
;795:*/
;796:static void CG_Portal( centity_t *cent ) {
line 800
;797:	refEntity_t			ent;
;798:	entityState_t		*s1;
;799:
;800:	s1 = &cent->currentState;
ADDRLP4 160
ADDRFP4 0
INDIRP4
ASGNP4
line 803
;801:
;802:	// create the render entity
;803:	memset (&ent, 0, sizeof(ent));
ADDRLP4 0
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 804
;804:	VectorCopy( cent->lerpOrigin, ent.origin );
ADDRLP4 0+68
ADDRFP4 0
INDIRP4
CNSTI4 624
ADDP4
INDIRB
ASGNB 12
line 805
;805:	VectorCopy( s1->origin2, ent.oldorigin );
ADDRLP4 0+84
ADDRLP4 160
INDIRP4
CNSTI4 104
ADDP4
INDIRB
ASGNB 12
line 806
;806:	ByteToDir( s1->eventParm, ent.axis[0] );
ADDRLP4 160
INDIRP4
CNSTI4 184
ADDP4
INDIRI4
ARGI4
ADDRLP4 0+28
ARGP4
ADDRGP4 ByteToDir
CALLV
pop
line 807
;807:	PerpendicularVector( ent.axis[1], ent.axis[0] );
ADDRLP4 0+28+12
ARGP4
ADDRLP4 0+28
ARGP4
ADDRGP4 PerpendicularVector
CALLV
pop
line 811
;808:
;809:	// negating this tends to get the directions like they want
;810:	// we really should have a camera roll value
;811:	VectorSubtract( vec3_origin, ent.axis[1], ent.axis[1] );
ADDRLP4 0+28+12
ADDRGP4 vec3_origin
INDIRF4
ADDRLP4 0+28+12
INDIRF4
SUBF4
ASGNF4
ADDRLP4 0+28+12+4
ADDRGP4 vec3_origin+4
INDIRF4
ADDRLP4 0+28+12+4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 0+28+12+8
ADDRGP4 vec3_origin+8
INDIRF4
ADDRLP4 0+28+12+8
INDIRF4
SUBF4
ASGNF4
line 813
;812:
;813:	CrossProduct( ent.axis[0], ent.axis[1], ent.axis[2] );
ADDRLP4 0+28
ARGP4
ADDRLP4 0+28+12
ARGP4
ADDRLP4 0+28+24
ARGP4
ADDRGP4 CrossProduct
CALLV
pop
line 814
;814:	ent.reType = RT_PORTALSURFACE;
ADDRLP4 0
CNSTI4 8
ASGNI4
line 815
;815:	ent.frame = s1->frame;		// rotation speed
ADDRLP4 0+80
ADDRLP4 160
INDIRP4
CNSTI4 172
ADDP4
INDIRI4
ASGNI4
line 816
;816:	ent.skinNum = s1->clientNum/256.0 * 360;	// roll offset
ADDRLP4 0+104
CNSTF4 1135869952
ADDRLP4 160
INDIRP4
CNSTI4 168
ADDP4
INDIRI4
CVIF4 4
CNSTF4 1132462080
DIVF4
MULF4
CVFI4 4
ASGNI4
line 819
;817:
;818:	// add to refresh list
;819:	trap_R_AddRefEntityToScene(&ent);
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 820
;820:}
LABELV $611
endproc CG_Portal 164 12
export CG_AdjustPositionForMover
proc CG_AdjustPositionForMover 88 12
line 830
;821:
;822:
;823:/*
;824:=========================
;825:CG_AdjustPositionForMover
;826:
;827:Also called by client movement prediction code
;828:=========================
;829:*/
;830:void CG_AdjustPositionForMover( const vec3_t in, int moverNum, int fromTime, int toTime, vec3_t out ) {
line 835
;831:	centity_t	*cent;
;832:	vec3_t	oldOrigin, origin, deltaOrigin;
;833:	vec3_t	oldAngles, angles, deltaAngles;
;834:
;835:	if ( moverNum <= 0 || moverNum >= ENTITYNUM_MAX_NORMAL ) {
ADDRLP4 76
ADDRFP4 4
INDIRI4
ASGNI4
ADDRLP4 76
INDIRI4
CNSTI4 0
LEI4 $646
ADDRLP4 76
INDIRI4
CNSTI4 1022
LTI4 $644
LABELV $646
line 836
;836:		VectorCopy( in, out );
ADDRFP4 16
INDIRP4
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 837
;837:		return;
ADDRGP4 $643
JUMPV
LABELV $644
line 840
;838:	}
;839:
;840:	cent = &cg_entities[ moverNum ];
ADDRLP4 0
CNSTI4 648
ADDRFP4 4
INDIRI4
MULI4
ADDRGP4 cg_entities
ADDP4
ASGNP4
line 841
;841:	if ( cent->currentState.eType != ET_MOVER ) {
ADDRLP4 0
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
CNSTI4 5
EQI4 $647
line 842
;842:		VectorCopy( in, out );
ADDRFP4 16
INDIRP4
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 843
;843:		return;
ADDRGP4 $643
JUMPV
LABELV $647
line 846
;844:	}
;845:
;846:	BG_EvaluateTrajectory( &cent->currentState.pos, fromTime, oldOrigin );
ADDRLP4 0
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRFP4 8
INDIRI4
ARGI4
ADDRLP4 16
ARGP4
ADDRGP4 BG_EvaluateTrajectory
CALLV
pop
line 847
;847:	BG_EvaluateTrajectory( &cent->currentState.apos, fromTime, oldAngles );
ADDRLP4 0
INDIRP4
CNSTI4 48
ADDP4
ARGP4
ADDRFP4 8
INDIRI4
ARGI4
ADDRLP4 40
ARGP4
ADDRGP4 BG_EvaluateTrajectory
CALLV
pop
line 849
;848:
;849:	BG_EvaluateTrajectory( &cent->currentState.pos, toTime, origin );
ADDRLP4 0
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRFP4 12
INDIRI4
ARGI4
ADDRLP4 28
ARGP4
ADDRGP4 BG_EvaluateTrajectory
CALLV
pop
line 850
;850:	BG_EvaluateTrajectory( &cent->currentState.apos, toTime, angles );
ADDRLP4 0
INDIRP4
CNSTI4 48
ADDP4
ARGP4
ADDRFP4 12
INDIRI4
ARGI4
ADDRLP4 52
ARGP4
ADDRGP4 BG_EvaluateTrajectory
CALLV
pop
line 852
;851:
;852:	VectorSubtract( origin, oldOrigin, deltaOrigin );
ADDRLP4 4
ADDRLP4 28
INDIRF4
ADDRLP4 16
INDIRF4
SUBF4
ASGNF4
ADDRLP4 4+4
ADDRLP4 28+4
INDIRF4
ADDRLP4 16+4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 4+8
ADDRLP4 28+8
INDIRF4
ADDRLP4 16+8
INDIRF4
SUBF4
ASGNF4
line 853
;853:	VectorSubtract( angles, oldAngles, deltaAngles );
ADDRLP4 64
ADDRLP4 52
INDIRF4
ADDRLP4 40
INDIRF4
SUBF4
ASGNF4
ADDRLP4 64+4
ADDRLP4 52+4
INDIRF4
ADDRLP4 40+4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 64+8
ADDRLP4 52+8
INDIRF4
ADDRLP4 40+8
INDIRF4
SUBF4
ASGNF4
line 855
;854:
;855:	VectorAdd( in, deltaOrigin, out );
ADDRFP4 16
INDIRP4
ADDRFP4 0
INDIRP4
INDIRF4
ADDRLP4 4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 80
CNSTI4 4
ASGNI4
ADDRFP4 16
INDIRP4
ADDRLP4 80
INDIRI4
ADDP4
ADDRFP4 0
INDIRP4
ADDRLP4 80
INDIRI4
ADDP4
INDIRF4
ADDRLP4 4+4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 84
CNSTI4 8
ASGNI4
ADDRFP4 16
INDIRP4
ADDRLP4 84
INDIRI4
ADDP4
ADDRFP4 0
INDIRP4
ADDRLP4 84
INDIRI4
ADDP4
INDIRF4
ADDRLP4 4+8
INDIRF4
ADDF4
ASGNF4
line 858
;856:
;857:	// FIXME: origin change when on a rotating object
;858:}
LABELV $643
endproc CG_AdjustPositionForMover 88 12
proc CG_InterpolateEntityPosition 44 12
line 866
;859:
;860:
;861:/*
;862:=============================
;863:CG_InterpolateEntityPosition
;864:=============================
;865:*/
;866:static void CG_InterpolateEntityPosition( centity_t *cent ) {
line 872
;867:	vec3_t		current, next;
;868:	float		f;
;869:
;870:	// it would be an internal error to find an entity that interpolates without
;871:	// a snapshot ahead of the current one
;872:	if ( cg.nextSnap == NULL ) {
ADDRGP4 cg+36
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $664
line 873
;873:		CG_Error( "CG_InterpoateEntityPosition: cg.nextSnap == NULL" );
ADDRGP4 $667
ARGP4
ADDRGP4 CG_Error
CALLV
pop
line 874
;874:	}
LABELV $664
line 876
;875:
;876:	f = cg.frameInterpolation;
ADDRLP4 24
ADDRGP4 cg+105536
INDIRF4
ASGNF4
line 880
;877:
;878:	// this will linearize a sine or parabolic curve, but it is important
;879:	// to not extrapolate player positions if more recent data is available
;880:	BG_EvaluateTrajectory( &cent->currentState.pos, cg.snap->serverTime, current );
ADDRFP4 0
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRGP4 cg+32
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
ARGI4
ADDRLP4 0
ARGP4
ADDRGP4 BG_EvaluateTrajectory
CALLV
pop
line 881
;881:	BG_EvaluateTrajectory( &cent->nextState.pos, cg.nextSnap->serverTime, next );
ADDRFP4 0
INDIRP4
CNSTI4 216
ADDP4
ARGP4
ADDRGP4 cg+36
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
ARGI4
ADDRLP4 12
ARGP4
ADDRGP4 BG_EvaluateTrajectory
CALLV
pop
line 883
;882:
;883:	cent->lerpOrigin[0] = current[0] + f * ( next[0] - current[0] );
ADDRLP4 28
ADDRLP4 0
INDIRF4
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 624
ADDP4
ADDRLP4 28
INDIRF4
ADDRLP4 24
INDIRF4
ADDRLP4 12
INDIRF4
ADDRLP4 28
INDIRF4
SUBF4
MULF4
ADDF4
ASGNF4
line 884
;884:	cent->lerpOrigin[1] = current[1] + f * ( next[1] - current[1] );
ADDRFP4 0
INDIRP4
CNSTI4 628
ADDP4
ADDRLP4 0+4
INDIRF4
ADDRLP4 24
INDIRF4
ADDRLP4 12+4
INDIRF4
ADDRLP4 0+4
INDIRF4
SUBF4
MULF4
ADDF4
ASGNF4
line 885
;885:	cent->lerpOrigin[2] = current[2] + f * ( next[2] - current[2] );
ADDRFP4 0
INDIRP4
CNSTI4 632
ADDP4
ADDRLP4 0+8
INDIRF4
ADDRLP4 24
INDIRF4
ADDRLP4 12+8
INDIRF4
ADDRLP4 0+8
INDIRF4
SUBF4
MULF4
ADDF4
ASGNF4
line 887
;886:
;887:	BG_EvaluateTrajectory( &cent->currentState.apos, cg.snap->serverTime, current );
ADDRFP4 0
INDIRP4
CNSTI4 48
ADDP4
ARGP4
ADDRGP4 cg+32
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
ARGI4
ADDRLP4 0
ARGP4
ADDRGP4 BG_EvaluateTrajectory
CALLV
pop
line 888
;888:	BG_EvaluateTrajectory( &cent->nextState.apos, cg.nextSnap->serverTime, next );
ADDRFP4 0
INDIRP4
CNSTI4 252
ADDP4
ARGP4
ADDRGP4 cg+36
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
ARGI4
ADDRLP4 12
ARGP4
ADDRGP4 BG_EvaluateTrajectory
CALLV
pop
line 890
;889:
;890:	cent->lerpAngles[0] = LerpAngle( current[0], next[0], f );
ADDRLP4 0
INDIRF4
ARGF4
ADDRLP4 12
INDIRF4
ARGF4
ADDRLP4 24
INDIRF4
ARGF4
ADDRLP4 32
ADDRGP4 LerpAngle
CALLF4
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 636
ADDP4
ADDRLP4 32
INDIRF4
ASGNF4
line 891
;891:	cent->lerpAngles[1] = LerpAngle( current[1], next[1], f );
ADDRLP4 0+4
INDIRF4
ARGF4
ADDRLP4 12+4
INDIRF4
ARGF4
ADDRLP4 24
INDIRF4
ARGF4
ADDRLP4 36
ADDRGP4 LerpAngle
CALLF4
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 640
ADDP4
ADDRLP4 36
INDIRF4
ASGNF4
line 892
;892:	cent->lerpAngles[2] = LerpAngle( current[2], next[2], f );
ADDRLP4 0+8
INDIRF4
ARGF4
ADDRLP4 12+8
INDIRF4
ARGF4
ADDRLP4 24
INDIRF4
ARGF4
ADDRLP4 40
ADDRGP4 LerpAngle
CALLF4
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 644
ADDP4
ADDRLP4 40
INDIRF4
ASGNF4
line 894
;893:
;894:}
LABELV $663
endproc CG_InterpolateEntityPosition 44 12
proc CG_CalcEntityLerpPositions 20 20
line 902
;895:
;896:/*
;897:===============
;898:CG_CalcEntityLerpPositions
;899:
;900:===============
;901:*/
;902:static void CG_CalcEntityLerpPositions( centity_t *cent ) {
line 903
;903:	if ( cent->interpolate && cent->currentState.pos.trType == TR_INTERPOLATE ) {
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
CNSTI4 408
ADDP4
INDIRI4
CNSTI4 0
EQI4 $684
ADDRLP4 0
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
CNSTI4 1
NEI4 $684
line 904
;904:		CG_InterpolateEntityPosition( cent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 CG_InterpolateEntityPosition
CALLV
pop
line 905
;905:		return;
ADDRGP4 $683
JUMPV
LABELV $684
line 909
;906:	}
;907:	
;908:	// just use the current frame and evaluate as best we can
;909:	BG_EvaluateTrajectory( &cent->currentState.pos, cg.time, cent->lerpOrigin );
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRGP4 cg+105552
INDIRI4
ARGI4
ADDRLP4 4
INDIRP4
CNSTI4 624
ADDP4
ARGP4
ADDRGP4 BG_EvaluateTrajectory
CALLV
pop
line 910
;910:	BG_EvaluateTrajectory( &cent->currentState.apos, cg.time, cent->lerpAngles );
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
CNSTI4 48
ADDP4
ARGP4
ADDRGP4 cg+105552
INDIRI4
ARGI4
ADDRLP4 8
INDIRP4
CNSTI4 636
ADDP4
ARGP4
ADDRGP4 BG_EvaluateTrajectory
CALLV
pop
line 914
;911:
;912:	// adjust for riding a mover if it wasn't rolled into the predicted
;913:	// player state
;914:	if ( cent != &cg.predictedPlayerEntity ) {
ADDRFP4 0
INDIRP4
CVPU4 4
ADDRGP4 cg+106048
CVPU4 4
EQU4 $688
line 915
;915:		CG_AdjustPositionForMover( cent->lerpOrigin, cent->currentState.groundEntityNum, 
ADDRLP4 12
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 16
ADDRLP4 12
INDIRP4
CNSTI4 624
ADDP4
ASGNP4
ADDRLP4 16
INDIRP4
ARGP4
ADDRLP4 12
INDIRP4
CNSTI4 148
ADDP4
INDIRI4
ARGI4
ADDRGP4 cg+32
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
ARGI4
ADDRGP4 cg+105552
INDIRI4
ARGI4
ADDRLP4 16
INDIRP4
ARGP4
ADDRGP4 CG_AdjustPositionForMover
CALLV
pop
line 917
;916:		cg.snap->serverTime, cg.time, cent->lerpOrigin );
;917:	}
LABELV $688
line 918
;918:}
LABELV $683
endproc CG_CalcEntityLerpPositions 20 20
proc CG_AddCEntity 8 8
line 926
;919:
;920:/*
;921:===============
;922:CG_AddCEntity
;923:
;924:===============
;925:*/
;926:static void CG_AddCEntity( centity_t *cent ) {
line 928
;927:	// event-only entities will have been dealt with already
;928:	if ( cent->currentState.eType >= ET_EVENTS ) {
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
CNSTI4 13
LTI4 $694
line 929
;929:		return;
ADDRGP4 $693
JUMPV
LABELV $694
line 933
;930:	}
;931:
;932:	// calculate the current origin
;933:	CG_CalcEntityLerpPositions( cent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 CG_CalcEntityLerpPositions
CALLV
pop
line 936
;934:
;935:	// add automatic effects
;936:	CG_EntityEffects( cent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 CG_EntityEffects
CALLV
pop
line 938
;937:
;938:	switch ( cent->currentState.eType ) {
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 0
LTI4 $696
ADDRLP4 0
INDIRI4
CNSTI4 12
GTI4 $696
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 $711
ADDP4
INDIRP4
JUMPV
lit
align 4
LABELV $711
address $702
address $703
address $704
address $706
address $705
address $707
address $708
address $709
address $710
address $697
address $697
address $697
address $701
code
LABELV $696
line 940
;939:	default:
;940:		CG_Error( "Bad entity type: %i\n", cent->currentState.eType );
ADDRGP4 $699
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
ARGI4
ADDRGP4 CG_Error
CALLV
pop
line 941
;941:		break;
ADDRGP4 $697
JUMPV
line 945
;942:	case ET_INVISIBLE:
;943:	case ET_PUSH_TRIGGER:
;944:	case ET_TELEPORT_TRIGGER:
;945:		break;
LABELV $701
line 947
;946:	case ET_USEABLE:		// e.g. detpacks
;947:		CG_Useable( cent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 CG_Useable
CALLV
pop
line 948
;948:		break;
ADDRGP4 $697
JUMPV
LABELV $702
line 950
;949:	case ET_GENERAL:
;950:		CG_General( cent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 CG_General
CALLV
pop
line 951
;951:		break;
ADDRGP4 $697
JUMPV
LABELV $703
line 953
;952:	case ET_PLAYER:
;953:		CG_Player( cent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 CG_Player
CALLV
pop
line 954
;954:		break;
ADDRGP4 $697
JUMPV
LABELV $704
line 956
;955:	case ET_ITEM:
;956:		CG_Item( cent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 CG_Item
CALLV
pop
line 957
;957:		break;
ADDRGP4 $697
JUMPV
LABELV $705
line 959
;958:	case ET_ALT_MISSILE:
;959:		CG_Missile( cent, qtrue );
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 1
ARGI4
ADDRGP4 CG_Missile
CALLV
pop
line 960
;960:		break;
ADDRGP4 $697
JUMPV
LABELV $706
line 962
;961:	case ET_MISSILE:
;962:		CG_Missile( cent, qfalse );
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 0
ARGI4
ADDRGP4 CG_Missile
CALLV
pop
line 963
;963:		break;
ADDRGP4 $697
JUMPV
LABELV $707
line 965
;964:	case ET_MOVER:
;965:		CG_Mover( cent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 CG_Mover
CALLV
pop
line 966
;966:		break;
ADDRGP4 $697
JUMPV
LABELV $708
line 968
;967:	case ET_BEAM:
;968:		CG_Beam( cent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 CG_Beam
CALLV
pop
line 969
;969:		break;
ADDRGP4 $697
JUMPV
LABELV $709
line 971
;970:	case ET_PORTAL:
;971:		CG_Portal( cent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 CG_Portal
CALLV
pop
line 972
;972:		break;
ADDRGP4 $697
JUMPV
LABELV $710
line 974
;973:	case ET_SPEAKER:
;974:		CG_Speaker( cent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 CG_Speaker
CALLV
pop
line 975
;975:		break;
LABELV $697
line 977
;976:	}
;977:}
LABELV $693
endproc CG_AddCEntity 8 8
export CG_AddPacketEntities
proc CG_AddPacketEntities 20 12
line 985
;978:
;979:/*
;980:===============
;981:CG_AddPacketEntities
;982:
;983:===============
;984:*/
;985:void CG_AddPacketEntities( void ) {
line 991
;986:	int					num;
;987:	centity_t			*cent;
;988:	playerState_t		*ps;
;989:
;990:	// set cg.frameInterpolation
;991:	if ( cg.nextSnap ) {
ADDRGP4 cg+36
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $713
line 994
;992:		int		delta;
;993:
;994:		delta = (cg.nextSnap->serverTime - cg.snap->serverTime);
ADDRLP4 16
CNSTI4 8
ASGNI4
ADDRLP4 12
ADDRGP4 cg+36
INDIRP4
ADDRLP4 16
INDIRI4
ADDP4
INDIRI4
ADDRGP4 cg+32
INDIRP4
ADDRLP4 16
INDIRI4
ADDP4
INDIRI4
SUBI4
ASGNI4
line 995
;995:		if ( delta == 0 ) {
ADDRLP4 12
INDIRI4
CNSTI4 0
NEI4 $718
line 996
;996:			cg.frameInterpolation = 0;
ADDRGP4 cg+105536
CNSTF4 0
ASGNF4
line 997
;997:		} else {
ADDRGP4 $714
JUMPV
LABELV $718
line 998
;998:			cg.frameInterpolation = (float)( cg.time - cg.snap->serverTime ) / delta;
ADDRGP4 cg+105536
ADDRGP4 cg+105552
INDIRI4
ADDRGP4 cg+32
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
SUBI4
CVIF4 4
ADDRLP4 12
INDIRI4
CVIF4 4
DIVF4
ASGNF4
line 999
;999:		}
line 1000
;1000:	} else {
ADDRGP4 $714
JUMPV
LABELV $713
line 1001
;1001:		cg.frameInterpolation = 0;	// actually, it should never be used, because 
ADDRGP4 cg+105536
CNSTF4 0
ASGNF4
line 1003
;1002:									// no entities should be marked as interpolating
;1003:	}
LABELV $714
line 1006
;1004:
;1005:	// the auto-rotating items will all have the same axis
;1006:	cg.autoAngles[0] = 0;
ADDRGP4 cg+106744
CNSTF4 0
ASGNF4
line 1007
;1007:	cg.autoAngles[1] = ( cg.time & 2047 ) * 360 / 2048.0;
ADDRGP4 cg+106744+4
CNSTI4 360
ADDRGP4 cg+105552
INDIRI4
CNSTI4 2047
BANDI4
MULI4
CVIF4 4
CNSTF4 1157627904
DIVF4
ASGNF4
line 1008
;1008:	cg.autoAngles[2] = 0;
ADDRGP4 cg+106744+8
CNSTF4 0
ASGNF4
line 1010
;1009:
;1010:	cg.autoAnglesFast[0] = 0;
ADDRGP4 cg+106792
CNSTF4 0
ASGNF4
line 1011
;1011:	cg.autoAnglesFast[1] = ( cg.time & 1023 ) * 360 / 1024.0f;
ADDRGP4 cg+106792+4
CNSTI4 360
ADDRGP4 cg+105552
INDIRI4
CNSTI4 1023
BANDI4
MULI4
CVIF4 4
CNSTF4 1149239296
DIVF4
ASGNF4
line 1012
;1012:	cg.autoAnglesFast[2] = 0;
ADDRGP4 cg+106792+8
CNSTF4 0
ASGNF4
line 1014
;1013:
;1014:	AnglesToAxis( cg.autoAngles, cg.autoAxis );
ADDRGP4 cg+106744
ARGP4
ADDRGP4 cg+106756
ARGP4
ADDRGP4 AnglesToAxis
CALLV
pop
line 1015
;1015:	AnglesToAxis( cg.autoAnglesFast, cg.autoAxisFast );
ADDRGP4 cg+106792
ARGP4
ADDRGP4 cg+106804
ARGP4
ADDRGP4 AnglesToAxis
CALLV
pop
line 1018
;1016:
;1017:	// generate and add the entity from the playerstate
;1018:	ps = &cg.predictedPlayerState;
ADDRLP4 8
ADDRGP4 cg+105580
ASGNP4
line 1019
;1019:	BG_PlayerStateToEntityState( ps, &cg.predictedPlayerEntity.currentState, qfalse );
ADDRLP4 8
INDIRP4
ARGP4
ADDRGP4 cg+106048
ARGP4
CNSTI4 0
ARGI4
ADDRGP4 BG_PlayerStateToEntityState
CALLV
pop
line 1020
;1020:	CG_AddCEntity( &cg.predictedPlayerEntity );
ADDRGP4 cg+106048
ARGP4
ADDRGP4 CG_AddCEntity
CALLV
pop
line 1023
;1021:
;1022:	// lerp the non-predicted value for lightning gun origins
;1023:	CG_CalcEntityLerpPositions( &cg_entities[ cg.snap->ps.clientNum ] );
CNSTI4 648
ADDRGP4 cg+32
INDIRP4
CNSTI4 200
ADDP4
INDIRI4
MULI4
ADDRGP4 cg_entities
ADDP4
ARGP4
ADDRGP4 CG_CalcEntityLerpPositions
CALLV
pop
line 1026
;1024:
;1025:	// add each entity sent over by the server
;1026:	for ( num = 0 ; num < cg.snap->numEntities ; num++ ) {
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $748
JUMPV
LABELV $745
line 1027
;1027:		cent = &cg_entities[ cg.snap->entities[ num ].number ];
ADDRLP4 4
CNSTI4 648
CNSTI4 204
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 cg+32
INDIRP4
CNSTI4 516
ADDP4
ADDP4
INDIRI4
MULI4
ADDRGP4 cg_entities
ADDP4
ASGNP4
line 1028
;1028:		CG_AddCEntity( cent );
ADDRLP4 4
INDIRP4
ARGP4
ADDRGP4 CG_AddCEntity
CALLV
pop
line 1029
;1029:	}
LABELV $746
line 1026
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $748
ADDRLP4 0
INDIRI4
ADDRGP4 cg+32
INDIRP4
CNSTI4 512
ADDP4
INDIRI4
LTI4 $745
line 1030
;1030:}
LABELV $712
endproc CG_AddPacketEntities 20 12
import fxRandCircumferencePos
import FX_ExplodeBits
import FX_Disruptor
import FX_PlayerShieldHit
import FX_DrawPortableShield
import FX_TransporterPad
import FX_Transporter
import FX_DreadnoughtShotMiss
import FX_DreadnoughtProjectileThink
import FX_DreadnoughtFire
import FX_DreadnoughtHitWall
import FX_QuantumColumns
import FX_QuantumAltHitWall
import FX_QuantumHitWall
import FX_QuantumAltThink
import FX_QuantumThink
import FX_StasisShotMiss
import FX_StasisShotImpact
import FX_StasisShot
import FX_StasisWeaponHitPlayer
import FX_StasisWeaponHitWall
import FX_StasisProjectileThink
import FX_Detpack
import FX_BorgTeleportTrails
import FX_BorgTeleport
import FX_BorgEyeBeam
import FX_BorgTaser
import FX_BorgWeaponHitWall
import FX_BorgProjectileThink
import FX_GrenadeShrapnelBits
import FX_GrenadeShrapnelExplode
import FX_GrenadeExplode
import FX_GrenadeHitPlayer
import FX_GrenadeHitWall
import FX_GrenadeThink
import FX_ScavengerAltExplode
import FX_ScavengerWeaponHitPlayer
import FX_ScavengerWeaponHitWall
import FX_ScavengerAltFireThink
import FX_ScavengerProjectileThink
import FX_TetrionAltHitPlayer
import FX_TetrionAltHitWall
import FX_TetrionRicochet
import FX_TetrionWeaponHitWall
import FX_TetrionShot
import FX_TetrionProjectileThink
import FX_AltIMODExplosion
import FX_AltIMODShot
import FX_IMODExplosion
import FX_IMODShot
import FX_CompressionHit
import FX_CompressionExplosion
import FX_CompressionAltShot
import FX_CompressionShot
import FX_PhaserAltFire
import FX_PhaserFire
import FX_AddSpawner
import FX_AddParticle
import FX_AddElectricity
import FX_AddCylinder
import FX_AddQuad2
import FX_AddQuad
import FX_AddBezier
import FX_AddSprite2
import FX_AddSprite
import FX_AddTrail2
import FX_AddTrail
import FX_AddOrientedLine
import FX_AddLine2
import FX_AddLine
import FXE_Spray
import trap_MemoryRemaining
import testPrintFloat
import testPrintInt
import trap_SetUserCmdValue
import trap_GetUserCmd
import trap_GetCurrentCmdNumber
import trap_GetServerCommand
import trap_GetSnapshot
import trap_GetCurrentSnapshotNumber
import trap_GetGameState
import trap_GetGlconfig
import trap_R_LerpTag
import trap_R_ModelBounds
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_RenderScene
import trap_R_AddLightToScene
import trap_R_AddPolyToScene
import trap_R_AddRefEntityToScene
import trap_R_ClearScene
import trap_R_RegisterShaderNoMip
import trap_R_RegisterShader3D
import trap_R_RegisterShader
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_R_LoadWorldMap
import trap_S_StartBackgroundTrack
import trap_S_RegisterSound
import trap_S_Respatialize
import trap_S_UpdateEntityPosition
import trap_S_AddLoopingSound
import trap_S_ClearLoopingSounds
import trap_S_StartLocalSound
import trap_S_StartSound
import trap_CM_MarkFragments
import trap_CM_TransformedBoxTrace
import trap_CM_BoxTrace
import trap_CM_TransformedPointContents
import trap_CM_PointContents
import trap_CM_TempBoxModel
import trap_CM_InlineModel
import trap_CM_NumInlineModels
import trap_CM_LoadMap
import trap_UpdateScreen
import trap_SendClientCommand
import trap_AddCommand
import trap_SendConsoleCommand
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Cvar_VariableStringBuffer
import trap_Cvar_Set_No_Modify
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import updateSkin
import CG_TransitionPlayerState
import CG_Respawn
import CG_SetConfigValues
import CG_ParseServerinfo
import CG_ExecuteNewServerCommands
import CG_InitConsoleCommands
import CG_ConsoleCommand
import AW_SPPostgameMenu_f
import cg_medalStreakSounds
import cg_medalStreakPicNames
import cg_medalTeamSounds
import cg_medalTeamPicNames
import cg_medalSounds
import cg_medalPicNames
import CG_DrawTourneyScoreboard
import CG_DrawScoreboard
import CG_DrawInformation
import CG_LoadingClient
import CG_LoadingItem
import CG_LoadingString
import CG_ProcessSnapshots
import CG_ExplosionEffects
import CG_SurfaceExplosion
import CG_MakeExplosion2
import CG_MakeExplosion
import CG_Seeker
import CG_Bleed
import CG_SpawnEffect
import CG_BubbleTrail
import CG_SmokePuff
import CG_AddLocalEntities
import CG_GetActiveList
import CG_AllocLocalEntity
import CG_InitLocalEntities
import CG_ImpactMark
import CG_AddMarks
import CG_InitMarkPolys
import CG_BounceEffect
import CG_OutOfAmmoChange
import CG_DrawWeaponSelect
import CG_AddPlayerWeapon
import CG_AddViewWeapon
import CG_MissileHitPlayer
import CG_MissileHitWall
import CG_FireSeeker
import CG_FireWeapon
import CG_RegisterItemVisuals
import CG_RegisterWeapon
import CG_Weapon_f
import CG_PrevWeapon_f
import CG_NextWeapon_f
import CG_Chunks
import CG_Drip
import CG_TransporterPad
import CG_Bolt
import CG_Steam
import CG_Spark
import CG_PainEvent
import CG_EntityEvent
import CG_PlaceString
import CG_CheckEvents
import CG_LoadDeferredPlayers
import CG_PredictPlayerState
import CG_Trace
import CG_PointContents
import CG_BuildSolidList
import CG_CustomSound
import CG_NewClientInfo
import CG_AddRefEntityWithPowerups
import CG_ResetPlayerEntity
import CG_Player
import CG_PlayerShieldHit
import CG_DrawObjectiveInformation
import CG_DrawNumField
import CG_DrawTeamBackground
import CG_DrawFlagModel
import CG_DrawActive
import CG_DrawHead
import CG_CenterPrint
import CG_AddLagometerSnapshotInfo
import CG_AddLagometerFrameInfo
import drawTeamOverlayModificationCount
import numSortedTeamPlayers
import sortedTeamPlayers
import interface_graphics
import UI_ProportionalStringWidth
import CG_GetColorForHealth
import CG_ColorForHealth
import CG_TileClear
import CG_TeamColor
import CG_FadeColor
import CG_DrawStrlen
import CG_DrawSmallStringColor
import CG_DrawSmallString
import CG_DrawBigStringColor
import CG_DrawBigString
import CG_DrawStringExt
import CG_LoadFonts
import UI_DrawProportionalString
import CG_DrawString
import CG_DrawPic
import CG_FillRect
import CG_AdjustFrom640
import CG_PrintInterfaceGraphics
import CG_DrawActiveFrame
import CG_CameraShake
import CG_ZoomUp_f
import CG_ZoomDown_f
import CG_TestModelPrevSkin_f
import CG_TestModelNextSkin_f
import CG_TestModelPrevFrame_f
import CG_TestModelNextFrame_f
import CG_TestGun_f
import CG_TestModel_f
import CG_LastAttacker
import CG_CrosshairPlayer
import CG_UpdateCvars
import CG_StartMusic
import CG_Error
import CG_Printf
import CG_Argv
import CG_ConfigString
import cg_deferPlayers
import cg_predictItems
import cg_blood
import cg_paused
import cg_buildScript
import cg_forceModel
import cg_reportDamage
import cg_stats
import cg_teamChatHeight
import cg_teamChatTime
import cg_synchronousClients
import cg_drawAttacker
import cg_lagometer
import cg_stereoSeparation
import cg_thirdPerson
import cg_thirdPersonAngle
import cg_thirdPersonRange
import cg_zoomFov
import cg_fov
import cg_simpleItems
import cg_ignore
import cg_autoswitch
import cg_viewsize
import cg_drawGun
import cg_gun_z
import cg_gun_y
import cg_gun_x
import cg_gun_frame
import cg_addMarks
import cg_footsteps
import cg_showmiss
import cg_noPlayerAnims
import cg_nopredict
import cg_errorDecay
import cg_debugEvents
import cg_debugPosition
import cg_debugAnim
import cg_animSpeed
import cg_draw2D
import cg_drawStatus
import cg_crosshairHealth
import cg_crosshairSize
import cg_crosshairY
import cg_crosshairX
import cg_teamOverlayUserinfo
import cg_drawTeamOverlay
import cg_drawRewards
import cg_drawCrosshairNames
import cg_drawCrosshair
import cg_drawAmmoWarning
import cg_drawIcons
import cg_draw3dIcons
import cg_drawSnapshot
import cg_drawFPS
import cg_drawTimer
import cg_gibs
import cg_shadows
import cg_swingSpeed
import cg_bobroll
import cg_bobpitch
import cg_bobup
import cg_runroll
import cg_runpitch
import cg_centertime
import cg_markPolys
import cg_items
import cg_weapons
import cg_entities
import cg
import cgs
import CG_AddElectricity
import CG_AddCylinder
import CG_AddBezier
import CG_AddViewSprite
import CG_AddTrail
import CG_AddLine2
import CG_AddOLine
import CG_AddLine
import CG_AddQuad
import CG_AddScaleFadeSprite
import CG_AddSpriteExplosion
import CG_AddExplosion
import CG_AddFallScaleFade
import CG_AddScaleFade
import CG_AddMoveScaleFade
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $699
byte 1 66
byte 1 97
byte 1 100
byte 1 32
byte 1 101
byte 1 110
byte 1 116
byte 1 105
byte 1 116
byte 1 121
byte 1 32
byte 1 116
byte 1 121
byte 1 112
byte 1 101
byte 1 58
byte 1 32
byte 1 37
byte 1 105
byte 1 10
byte 1 0
align 1
LABELV $667
byte 1 67
byte 1 71
byte 1 95
byte 1 73
byte 1 110
byte 1 116
byte 1 101
byte 1 114
byte 1 112
byte 1 111
byte 1 97
byte 1 116
byte 1 101
byte 1 69
byte 1 110
byte 1 116
byte 1 105
byte 1 116
byte 1 121
byte 1 80
byte 1 111
byte 1 115
byte 1 105
byte 1 116
byte 1 105
byte 1 111
byte 1 110
byte 1 58
byte 1 32
byte 1 99
byte 1 103
byte 1 46
byte 1 110
byte 1 101
byte 1 120
byte 1 116
byte 1 83
byte 1 110
byte 1 97
byte 1 112
byte 1 32
byte 1 61
byte 1 61
byte 1 32
byte 1 78
byte 1 85
byte 1 76
byte 1 76
byte 1 0
align 1
LABELV $239
byte 1 66
byte 1 97
byte 1 100
byte 1 32
byte 1 105
byte 1 116
byte 1 101
byte 1 109
byte 1 32
byte 1 105
byte 1 110
byte 1 100
byte 1 101
byte 1 120
byte 1 32
byte 1 37
byte 1 105
byte 1 32
byte 1 111
byte 1 110
byte 1 32
byte 1 101
byte 1 110
byte 1 116
byte 1 105
byte 1 116
byte 1 121
byte 1 0
