export CG_CheckAmmo
code
proc CG_CheckAmmo 24 8
file "../cg_playerstate.c"
line 17
;1:// Copyright (C) 1999-2000 Id Software, Inc.
;2://
;3:// cg_playerstate.c -- this file acts on changes in a new playerState_t
;4:// With normal play, this will be done after local prediction, but when
;5:// following another player or playing back a demo, it will be checked
;6:// when the snapshot transitions like all the other entities
;7:
;8:#include "cg_local.h"
;9:
;10:/*
;11:==============
;12:CG_CheckAmmo
;13:
;14:If the ammo has gone low enough to generate the warning, play a sound
;15:==============
;16:*/
;17:void CG_CheckAmmo( void ) {
line 23
;18:	int		i;
;19:	int		total;
;20:	int		previous;
;21:	int		weapons;
;22:
;23:	if ( cg.lowAmmoWarning > 2 )
ADDRGP4 cg+113708
INDIRI4
CNSTI4 2
LEI4 $87
line 24
;24:	{//a timed message, draws for a specific amount of time
line 25
;25:		if ( cg.lowAmmoWarning > cg.frametime )
ADDRGP4 cg+113708
INDIRI4
ADDRGP4 cg+105548
INDIRI4
LEI4 $90
line 26
;26:		{
line 27
;27:			cg.lowAmmoWarning -= cg.frametime;
ADDRLP4 16
ADDRGP4 cg+113708
ASGNP4
ADDRLP4 16
INDIRP4
ADDRLP4 16
INDIRP4
INDIRI4
ADDRGP4 cg+105548
INDIRI4
SUBI4
ASGNI4
line 28
;28:		}
ADDRGP4 $86
JUMPV
LABELV $90
line 30
;29:		else
;30:		{
line 31
;31:			cg.lowAmmoWarning = 0;
ADDRGP4 cg+113708
CNSTI4 0
ASGNI4
line 32
;32:		}
line 33
;33:		return;
ADDRGP4 $86
JUMPV
LABELV $87
line 36
;34:	}
;35:	// see about how many seconds of ammo we have remaining
;36:	weapons = cg.snap->ps.stats[ STAT_WEAPONS ];
ADDRLP4 8
ADDRGP4 cg+32
INDIRP4
CNSTI4 256
ADDP4
INDIRI4
ASGNI4
line 37
;37:	total = 0;
ADDRLP4 4
CNSTI4 0
ASGNI4
line 38
;38:	for ( i = WP_PHASER ; i < WP_NUM_WEAPONS ; i++ ) {
ADDRLP4 0
CNSTI4 1
ASGNI4
LABELV $98
line 39
;39:		if ( ! ( weapons & ( 1 << i ) ) ) {
ADDRLP4 8
INDIRI4
CNSTI4 1
ADDRLP4 0
INDIRI4
LSHI4
BANDI4
CNSTI4 0
NEI4 $102
line 40
;40:			continue;
ADDRGP4 $99
JUMPV
LABELV $102
line 42
;41:		}
;42:		switch ( i ) {
ADDRLP4 20
CNSTI4 2
ASGNI4
ADDRLP4 0
INDIRI4
ADDRLP4 20
INDIRI4
LTI4 $104
ADDRLP4 0
INDIRI4
CNSTI4 6
GTI4 $104
ADDRLP4 0
INDIRI4
ADDRLP4 20
INDIRI4
LSHI4
ADDRGP4 $109-8
ADDP4
INDIRP4
JUMPV
lit
align 4
LABELV $109
address $106
address $106
address $104
address $106
address $106
code
LABELV $106
line 47
;43:		case WP_STASIS:
;44:		case WP_GRENADE_LAUNCHER:
;45:		case WP_IMOD:
;46:		case WP_COMPRESSION_RIFLE:
;47:			total += cg.snap->ps.ammo[i] * 1000;
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1000
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 cg+32
INDIRP4
CNSTI4 440
ADDP4
ADDP4
INDIRI4
MULI4
ADDI4
ASGNI4
line 48
;48:			break;
ADDRGP4 $105
JUMPV
LABELV $104
line 50
;49:		default:
;50:			total += cg.snap->ps.ammo[i] * 200;
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 200
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 cg+32
INDIRP4
CNSTI4 440
ADDP4
ADDP4
INDIRI4
MULI4
ADDI4
ASGNI4
line 51
;51:			break;
LABELV $105
line 53
;52:		}
;53:		if ( total >= 5000 ) {
ADDRLP4 4
INDIRI4
CNSTI4 5000
LTI4 $111
line 54
;54:			cg.lowAmmoWarning = 0;
ADDRGP4 cg+113708
CNSTI4 0
ASGNI4
line 55
;55:			return;
ADDRGP4 $86
JUMPV
LABELV $111
line 57
;56:		}
;57:	}
LABELV $99
line 38
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 13
LTI4 $98
line 59
;58:
;59:	previous = cg.lowAmmoWarning;
ADDRLP4 12
ADDRGP4 cg+113708
INDIRI4
ASGNI4
line 61
;60:
;61:	if ( total == 0 ) {
ADDRLP4 4
INDIRI4
CNSTI4 0
NEI4 $115
line 62
;62:		cg.lowAmmoWarning = 2;
ADDRGP4 cg+113708
CNSTI4 2
ASGNI4
line 63
;63:	} else {
ADDRGP4 $116
JUMPV
LABELV $115
line 64
;64:		cg.lowAmmoWarning = 1;
ADDRGP4 cg+113708
CNSTI4 1
ASGNI4
line 65
;65:	}
LABELV $116
line 68
;66:
;67:	// play a sound on transitions
;68:	if ( cg.lowAmmoWarning != previous ) {
ADDRGP4 cg+113708
INDIRI4
ADDRLP4 12
INDIRI4
EQI4 $119
line 69
;69:		trap_S_StartLocalSound( cgs.media.noAmmoSound, CHAN_LOCAL_SOUND );
ADDRGP4 cgs+195628+1148
INDIRI4
ARGI4
CNSTI4 6
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 70
;70:	}
LABELV $119
line 71
;71:}
LABELV $86
endproc CG_CheckAmmo 24 8
export CG_DamageFeedback
proc CG_DamageFeedback 72 16
line 78
;72:
;73:/*
;74:==============
;75:CG_DamageFeedback
;76:==============
;77:*/
;78:void CG_DamageFeedback( int yawByte, int pitchByte, int damage, int shielddamage ) {
line 89
;79:	float		left, front, up;
;80:	float		kick;
;81:	int			health;
;82:	float		scale;
;83:	vec3_t		dir;
;84:	vec3_t		angles;
;85:	float		dist;
;86:	float		yaw, pitch;
;87:
;88:	// show the attacking player's head and name in corner
;89:	cg.attackerTime = cg.time;
ADDRGP4 cg+113732
ADDRGP4 cg+105552
INDIRI4
ASGNI4
line 92
;90:
;91:	// the lower on health you are, the greater the view kick will be
;92:	health = cg.snap->ps.stats[STAT_HEALTH];
ADDRLP4 24
ADDRGP4 cg+32
INDIRP4
CNSTI4 248
ADDP4
INDIRI4
ASGNI4
line 93
;93:	if ( health < 40 ) {
ADDRLP4 24
INDIRI4
CNSTI4 40
GEI4 $128
line 94
;94:		scale = 1;
ADDRLP4 16
CNSTF4 1065353216
ASGNF4
line 95
;95:	} else {
ADDRGP4 $129
JUMPV
LABELV $128
line 96
;96:		scale = 40.0 / health;
ADDRLP4 16
CNSTF4 1109393408
ADDRLP4 24
INDIRI4
CVIF4 4
DIVF4
ASGNF4
line 97
;97:	}
LABELV $129
line 99
;98:
;99:	kick = (damage + shielddamage*0.5) * scale;
ADDRLP4 12
ADDRFP4 8
INDIRI4
CVIF4 4
CNSTF4 1056964608
ADDRFP4 12
INDIRI4
CVIF4 4
MULF4
ADDF4
ADDRLP4 16
INDIRF4
MULF4
ASGNF4
line 101
;100:
;101:	if (kick < 5)
ADDRLP4 12
INDIRF4
CNSTF4 1084227584
GEF4 $130
line 102
;102:		kick = 5;
ADDRLP4 12
CNSTF4 1084227584
ASGNF4
LABELV $130
line 103
;103:	if (kick > 10)
ADDRLP4 12
INDIRF4
CNSTF4 1092616192
LEF4 $132
line 104
;104:		kick = 10;
ADDRLP4 12
CNSTF4 1092616192
ASGNF4
LABELV $132
line 107
;105:
;106:	// if yaw and pitch are both 255, make the damage always centered (falling, etc)
;107:	if ( yawByte == 255 && pitchByte == 255 ) {
ADDRLP4 60
CNSTI4 255
ASGNI4
ADDRFP4 0
INDIRI4
ADDRLP4 60
INDIRI4
NEI4 $134
ADDRFP4 4
INDIRI4
ADDRLP4 60
INDIRI4
NEI4 $134
line 108
;108:		cg.damageX = 0;
ADDRGP4 cg+113784
CNSTF4 0
ASGNF4
line 109
;109:		cg.damageY = 0;
ADDRGP4 cg+113788
CNSTF4 0
ASGNF4
line 110
;110:		cg.v_dmg_roll = 0;
ADDRGP4 cg+113816
CNSTF4 0
ASGNF4
line 111
;111:		cg.v_dmg_pitch = -kick;
ADDRGP4 cg+113812
ADDRLP4 12
INDIRF4
NEGF4
ASGNF4
line 112
;112:	} else {
ADDRGP4 $135
JUMPV
LABELV $134
line 114
;113:		// positional
;114:		pitch = pitchByte / 255.0 * 360;
ADDRLP4 56
CNSTF4 1135869952
ADDRFP4 4
INDIRI4
CVIF4 4
CNSTF4 1132396544
DIVF4
MULF4
ASGNF4
line 115
;115:		yaw = yawByte / 255.0 * 360;
ADDRLP4 52
CNSTF4 1135869952
ADDRFP4 0
INDIRI4
CVIF4 4
CNSTF4 1132396544
DIVF4
MULF4
ASGNF4
line 117
;116:
;117:		angles[PITCH] = pitch;
ADDRLP4 32
ADDRLP4 56
INDIRF4
ASGNF4
line 118
;118:		angles[YAW] = yaw;
ADDRLP4 32+4
ADDRLP4 52
INDIRF4
ASGNF4
line 119
;119:		angles[ROLL] = 0;
ADDRLP4 32+8
CNSTF4 0
ASGNF4
line 121
;120:
;121:		AngleVectors( angles, dir, NULL, NULL );
ADDRLP4 32
ARGP4
ADDRLP4 0
ARGP4
ADDRLP4 64
CNSTP4 0
ASGNP4
ADDRLP4 64
INDIRP4
ARGP4
ADDRLP4 64
INDIRP4
ARGP4
ADDRGP4 AngleVectors
CALLV
pop
line 122
;122:		VectorSubtract( vec3_origin, dir, dir );
ADDRLP4 0
ADDRGP4 vec3_origin
INDIRF4
ADDRLP4 0
INDIRF4
SUBF4
ASGNF4
ADDRLP4 0+4
ADDRGP4 vec3_origin+4
INDIRF4
ADDRLP4 0+4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 0+8
ADDRGP4 vec3_origin+8
INDIRF4
ADDRLP4 0+8
INDIRF4
SUBF4
ASGNF4
line 124
;123:
;124:		front = DotProduct (dir, cg.refdef.viewaxis[0] );
ADDRLP4 20
ADDRLP4 0
INDIRF4
ADDRGP4 cg+106840+36
INDIRF4
MULF4
ADDRLP4 0+4
INDIRF4
ADDRGP4 cg+106840+36+4
INDIRF4
MULF4
ADDF4
ADDRLP4 0+8
INDIRF4
ADDRGP4 cg+106840+36+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 125
;125:		left = DotProduct (dir, cg.refdef.viewaxis[1] );
ADDRLP4 28
ADDRLP4 0
INDIRF4
ADDRGP4 cg+106840+36+12
INDIRF4
MULF4
ADDRLP4 0+4
INDIRF4
ADDRGP4 cg+106840+36+12+4
INDIRF4
MULF4
ADDF4
ADDRLP4 0+8
INDIRF4
ADDRGP4 cg+106840+36+12+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 126
;126:		up = DotProduct (dir, cg.refdef.viewaxis[2] );
ADDRLP4 48
ADDRLP4 0
INDIRF4
ADDRGP4 cg+106840+36+24
INDIRF4
MULF4
ADDRLP4 0+4
INDIRF4
ADDRGP4 cg+106840+36+24+4
INDIRF4
MULF4
ADDF4
ADDRLP4 0+8
INDIRF4
ADDRGP4 cg+106840+36+24+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 128
;127:
;128:		dir[0] = front;
ADDRLP4 0
ADDRLP4 20
INDIRF4
ASGNF4
line 129
;129:		dir[1] = left;
ADDRLP4 0+4
ADDRLP4 28
INDIRF4
ASGNF4
line 130
;130:		dir[2] = 0;
ADDRLP4 0+8
CNSTF4 0
ASGNF4
line 131
;131:		dist = VectorLength( dir );
ADDRLP4 0
ARGP4
ADDRLP4 68
ADDRGP4 VectorLength
CALLF4
ASGNF4
ADDRLP4 44
ADDRLP4 68
INDIRF4
ASGNF4
line 132
;132:		if ( dist < 0.1 ) {
ADDRLP4 44
INDIRF4
CNSTF4 1036831949
GEF4 $186
line 133
;133:			dist = 0.1;
ADDRLP4 44
CNSTF4 1036831949
ASGNF4
line 134
;134:		}
LABELV $186
line 136
;135:
;136:		cg.v_dmg_roll = kick * left;
ADDRGP4 cg+113816
ADDRLP4 12
INDIRF4
ADDRLP4 28
INDIRF4
MULF4
ASGNF4
line 138
;137:		
;138:		cg.v_dmg_pitch = -kick * front;
ADDRGP4 cg+113812
ADDRLP4 12
INDIRF4
NEGF4
ADDRLP4 20
INDIRF4
MULF4
ASGNF4
line 140
;139:
;140:		if ( front <= 0.1 ) {
ADDRLP4 20
INDIRF4
CNSTF4 1036831949
GTF4 $190
line 141
;141:			front = 0.1;
ADDRLP4 20
CNSTF4 1036831949
ASGNF4
line 142
;142:		}
LABELV $190
line 143
;143:		cg.damageX = -left / front;
ADDRGP4 cg+113784
ADDRLP4 28
INDIRF4
NEGF4
ADDRLP4 20
INDIRF4
DIVF4
ASGNF4
line 144
;144:		cg.damageY = up / dist;
ADDRGP4 cg+113788
ADDRLP4 48
INDIRF4
ADDRLP4 44
INDIRF4
DIVF4
ASGNF4
line 145
;145:	}
LABELV $135
line 148
;146:
;147:	// clamp the position
;148:	if ( cg.damageX > 1.0 ) {
ADDRGP4 cg+113784
INDIRF4
CNSTF4 1065353216
LEF4 $194
line 149
;149:		cg.damageX = 1.0;
ADDRGP4 cg+113784
CNSTF4 1065353216
ASGNF4
line 150
;150:	}
LABELV $194
line 151
;151:	if ( cg.damageX < - 1.0 ) {
ADDRGP4 cg+113784
INDIRF4
CNSTF4 3212836864
GEF4 $198
line 152
;152:		cg.damageX = -1.0;
ADDRGP4 cg+113784
CNSTF4 3212836864
ASGNF4
line 153
;153:	}
LABELV $198
line 155
;154:
;155:	if ( cg.damageY > 1.0 ) {
ADDRGP4 cg+113788
INDIRF4
CNSTF4 1065353216
LEF4 $202
line 156
;156:		cg.damageY = 1.0;
ADDRGP4 cg+113788
CNSTF4 1065353216
ASGNF4
line 157
;157:	}
LABELV $202
line 158
;158:	if ( cg.damageY < - 1.0 ) {
ADDRGP4 cg+113788
INDIRF4
CNSTF4 3212836864
GEF4 $206
line 159
;159:		cg.damageY = -1.0;
ADDRGP4 cg+113788
CNSTF4 3212836864
ASGNF4
line 160
;160:	}
LABELV $206
line 162
;161:
;162:	cg.damageValue = damage * scale;
ADDRGP4 cg+113792
ADDRFP4 8
INDIRI4
CVIF4 4
ADDRLP4 16
INDIRF4
MULF4
ASGNF4
line 163
;163:	if (cg.damageValue > 10)
ADDRGP4 cg+113792
INDIRF4
CNSTF4 1092616192
LEF4 $211
line 164
;164:	{
line 165
;165:		cg.damageValue = 1.0;
ADDRGP4 cg+113792
CNSTF4 1065353216
ASGNF4
line 166
;166:	}
ADDRGP4 $212
JUMPV
LABELV $211
line 168
;167:	else
;168:	{
line 169
;169:		cg.damageValue *= 0.1;
ADDRLP4 64
ADDRGP4 cg+113792
ASGNP4
ADDRLP4 64
INDIRP4
CNSTF4 1036831949
ADDRLP4 64
INDIRP4
INDIRF4
MULF4
ASGNF4
line 170
;170:	}
LABELV $212
line 171
;171:	cg.damageShieldValue = shielddamage;
ADDRGP4 cg+113796
ADDRFP4 12
INDIRI4
CVIF4 4
ASGNF4
line 172
;172:	if (cg.damageShieldValue > 10)
ADDRGP4 cg+113796
INDIRF4
CNSTF4 1092616192
LEF4 $217
line 173
;173:	{
line 174
;174:		cg.damageShieldValue = 1.0;
ADDRGP4 cg+113796
CNSTF4 1065353216
ASGNF4
line 175
;175:	}
ADDRGP4 $218
JUMPV
LABELV $217
line 177
;176:	else
;177:	{
line 178
;178:		cg.damageShieldValue *= 0.1;
ADDRLP4 64
ADDRGP4 cg+113796
ASGNP4
ADDRLP4 64
INDIRP4
CNSTF4 1036831949
ADDRLP4 64
INDIRP4
INDIRF4
MULF4
ASGNF4
line 179
;179:	}
LABELV $218
line 181
;180:
;181:	cg.v_dmg_time = cg.time + DAMAGE_TIME;
ADDRGP4 cg+113808
ADDRGP4 cg+105552
INDIRI4
CNSTI4 500
ADDI4
CVIF4 4
ASGNF4
line 182
;182:	cg.damageTime = cg.snap->serverTime;
ADDRGP4 cg+113780
ADDRGP4 cg+32
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
CVIF4 4
ASGNF4
line 183
;183:}
LABELV $124
endproc CG_DamageFeedback 72 16
export CG_Respawn
proc CG_Respawn 0 0
line 195
;184:
;185:
;186:
;187:
;188:/*
;189:================
;190:CG_Respawn
;191:
;192:A respawn happened this snapshot
;193:================
;194:*/
;195:void CG_Respawn( void ) {
line 197
;196:	// no error decay on player movement
;197:	cg.thisFrameTeleport = qtrue;
ADDRGP4 cg+105540
CNSTI4 1
ASGNI4
line 200
;198:
;199:	// display weapons available
;200:	cg.weaponSelectTime = cg.time;
ADDRGP4 cg+113768
ADDRGP4 cg+105552
INDIRI4
ASGNI4
line 203
;201:
;202:	// select the weapon the server says we are using
;203:	cg.weaponSelect = cg.snap->ps.weapon;
ADDRGP4 cg+106740
ADDRGP4 cg+32
INDIRP4
CNSTI4 204
ADDP4
INDIRI4
ASGNI4
line 204
;204:}
LABELV $226
endproc CG_Respawn 0 0
export CG_CheckPlayerstateEvents
proc CG_CheckPlayerstateEvents 44 8
line 212
;205:
;206:
;207:/*
;208:==============
;209:CG_CheckPlayerstateEvents
;210:==============
;211:*/
;212:void CG_CheckPlayerstateEvents( playerState_t *ps, playerState_t *ops ) {
line 217
;213:	int			i;
;214:	int			event;
;215:	centity_t	*cent;
;216:
;217:	if ( ps->externalEvent && ps->externalEvent != ops->externalEvent ) {
ADDRLP4 12
CNSTI4 144
ASGNI4
ADDRLP4 16
ADDRFP4 0
INDIRP4
ADDRLP4 12
INDIRI4
ADDP4
INDIRI4
ASGNI4
ADDRLP4 16
INDIRI4
CNSTI4 0
EQI4 $233
ADDRLP4 16
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 12
INDIRI4
ADDP4
INDIRI4
EQI4 $233
line 218
;218:		cent = &cg_entities[ ps->clientNum ];
ADDRLP4 4
CNSTI4 648
ADDRFP4 0
INDIRP4
CNSTI4 156
ADDP4
INDIRI4
MULI4
ADDRGP4 cg_entities
ADDP4
ASGNP4
line 219
;219:		cent->currentState.event = ps->externalEvent;
ADDRLP4 4
INDIRP4
CNSTI4 180
ADDP4
ADDRFP4 0
INDIRP4
CNSTI4 144
ADDP4
INDIRI4
ASGNI4
line 220
;220:		cent->currentState.eventParm = ps->externalEventParm;
ADDRLP4 4
INDIRP4
CNSTI4 184
ADDP4
ADDRFP4 0
INDIRP4
CNSTI4 148
ADDP4
INDIRI4
ASGNI4
line 221
;221:		CG_EntityEvent( cent, cent->lerpOrigin );
ADDRLP4 4
INDIRP4
ARGP4
ADDRLP4 4
INDIRP4
CNSTI4 624
ADDP4
ARGP4
ADDRGP4 CG_EntityEvent
CALLV
pop
line 222
;222:	}
LABELV $233
line 224
;223:
;224:	cent = &cg.predictedPlayerEntity; // cg_entities[ ps->clientNum ];
ADDRLP4 4
ADDRGP4 cg+106048
ASGNP4
line 226
;225:	// go through the predictable events buffer
;226:	for ( i = ps->eventSequence - MAX_PS_EVENTS ; i < ps->eventSequence ; i++ ) {
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 108
ADDP4
INDIRI4
CNSTI4 4
SUBI4
ASGNI4
ADDRGP4 $239
JUMPV
LABELV $236
line 228
;227:		// if we have a new predictable event
;228:		if ( i >= ops->eventSequence
ADDRLP4 24
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 28
ADDRLP4 24
INDIRP4
CNSTI4 108
ADDP4
INDIRI4
ASGNI4
ADDRLP4 0
INDIRI4
ADDRLP4 28
INDIRI4
GEI4 $242
ADDRLP4 0
INDIRI4
ADDRLP4 28
INDIRI4
CNSTI4 4
SUBI4
LEI4 $240
ADDRLP4 32
ADDRLP4 0
INDIRI4
CNSTI4 3
BANDI4
CNSTI4 2
LSHI4
ASGNI4
ADDRLP4 36
CNSTI4 112
ASGNI4
ADDRLP4 32
INDIRI4
ADDRFP4 0
INDIRP4
ADDRLP4 36
INDIRI4
ADDP4
ADDP4
INDIRI4
ADDRLP4 32
INDIRI4
ADDRLP4 24
INDIRP4
ADDRLP4 36
INDIRI4
ADDP4
ADDP4
INDIRI4
EQI4 $240
LABELV $242
line 231
;229:			// or the server told us to play another event instead of a predicted event we already issued
;230:			// or something the server told us changed our prediction causing a different event
;231:			|| (i > ops->eventSequence - MAX_PS_EVENTS && ps->events[i & (MAX_PS_EVENTS-1)] != ops->events[i & (MAX_PS_EVENTS-1)]) ) {
line 233
;232:			
;233:			event = ps->events[ i & (MAX_PS_EVENTS-1) ];
ADDRLP4 8
ADDRLP4 0
INDIRI4
CNSTI4 3
BANDI4
CNSTI4 2
LSHI4
ADDRFP4 0
INDIRP4
CNSTI4 112
ADDP4
ADDP4
INDIRI4
ASGNI4
line 234
;234:			cent->currentState.event = event;
ADDRLP4 4
INDIRP4
CNSTI4 180
ADDP4
ADDRLP4 8
INDIRI4
ASGNI4
line 235
;235:			cent->currentState.eventParm = ps->eventParms[ i & (MAX_PS_EVENTS-1) ];
ADDRLP4 4
INDIRP4
CNSTI4 184
ADDP4
ADDRLP4 0
INDIRI4
CNSTI4 3
BANDI4
CNSTI4 2
LSHI4
ADDRFP4 0
INDIRP4
CNSTI4 128
ADDP4
ADDP4
INDIRI4
ASGNI4
line 236
;236:			CG_EntityEvent( cent, cent->lerpOrigin );
ADDRLP4 4
INDIRP4
ARGP4
ADDRLP4 4
INDIRP4
CNSTI4 624
ADDP4
ARGP4
ADDRGP4 CG_EntityEvent
CALLV
pop
line 241
;237:
;238://			cg.predictableEvents[ i & (MAX_PREDICTED_EVENTS-1) ] = event;
;239:
;240://			cg.eventSequence++;
;241:		}
LABELV $240
line 242
;242:	}
LABELV $237
line 226
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $239
ADDRLP4 0
INDIRI4
ADDRFP4 0
INDIRP4
CNSTI4 108
ADDP4
INDIRI4
LTI4 $236
line 243
;243:}
LABELV $232
endproc CG_CheckPlayerstateEvents 44 8
export CG_CheckLocalSounds
proc CG_CheckLocalSounds 36 8
line 251
;244:
;245:/*
;246:==================
;247:CG_CheckLocalSounds
;248:==================
;249:*/
;250:void CG_CheckLocalSounds( playerState_t *ps, playerState_t *ops )
;251:{
line 255
;252:	int			highScore;
;253:
;254:	// The most important thing to know is if you are doing damage.
;255:	if ( ps->persistant[PERS_HITS] > ops->persistant[PERS_HITS] )
ADDRLP4 4
CNSTI4 272
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 4
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 4
INDIRI4
ADDP4
INDIRI4
LEI4 $244
line 256
;256:	{
line 259
;257:		int diffhit, diffshields;
;258:
;259:		diffhit = ps->persistant[PERS_HITS] - ops->persistant[PERS_HITS];
ADDRLP4 16
CNSTI4 272
ASGNI4
ADDRLP4 8
ADDRFP4 0
INDIRP4
ADDRLP4 16
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 16
INDIRI4
ADDP4
INDIRI4
SUBI4
ASGNI4
line 260
;260:		diffshields = ps->persistant[PERS_SHIELDS] - ops->persistant[PERS_SHIELDS];
ADDRLP4 20
CNSTI4 276
ASGNI4
ADDRLP4 12
ADDRFP4 0
INDIRP4
ADDRLP4 20
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 20
INDIRI4
ADDP4
INDIRI4
SUBI4
ASGNI4
line 261
;261:		if (diffshields > diffhit/2)
ADDRLP4 12
INDIRI4
ADDRLP4 8
INDIRI4
CNSTI4 2
DIVI4
LEI4 $246
line 262
;262:		{	// We also hit shields along the way, so consider them "pierced".
line 263
;263:			trap_S_StartLocalSound( cgs.media.shieldPierceSound, CHAN_LOCAL_SOUND );
ADDRGP4 cgs+195628+1200
INDIRI4
ARGI4
CNSTI4 6
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 264
;264:		}
ADDRGP4 $245
JUMPV
LABELV $246
line 266
;265:		else
;266:		{	// Shields didn't really stand in our way.
line 267
;267:			trap_S_StartLocalSound( cgs.media.hitSound, CHAN_LOCAL_SOUND );
ADDRGP4 cgs+195628+1192
INDIRI4
ARGI4
CNSTI4 6
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 268
;268:		}
line 269
;269:	}
ADDRGP4 $245
JUMPV
LABELV $244
line 271
;270:	// The second most important thing to worry about is whether you hurt a friend.
;271:	else if ( ps->persistant[PERS_HITS] < ops->persistant[PERS_HITS] )
ADDRLP4 8
CNSTI4 272
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 8
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 8
INDIRI4
ADDP4
INDIRI4
GEI4 $252
line 272
;272:	{
line 273
;273:		trap_S_StartLocalSound( cgs.media.hitTeamSound, CHAN_LOCAL_SOUND );
ADDRGP4 cgs+195628+1204
INDIRI4
ARGI4
CNSTI4 6
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 274
;274:	}
ADDRGP4 $253
JUMPV
LABELV $252
line 276
;275:	// Finally if all this damage bounced off the shields, indicate this.
;276:	else if (ps->persistant[PERS_SHIELDS] > ops->persistant[PERS_SHIELDS])
ADDRLP4 12
CNSTI4 276
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 12
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 12
INDIRI4
ADDP4
INDIRI4
LEI4 $256
line 277
;277:	{
line 279
;278:		// hit shields and the damage didn't go through
;279:		trap_S_StartLocalSound( cgs.media.shieldHitSound, CHAN_LOCAL_SOUND );
ADDRGP4 cgs+195628+1196
INDIRI4
ARGI4
CNSTI4 6
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 280
;280:	}
LABELV $256
LABELV $253
LABELV $245
line 283
;281:
;282:	// health changes of more than -1 should make pain sounds
;283:	if ( ps->stats[STAT_HEALTH] < ops->stats[STAT_HEALTH] - 1 ) {
ADDRLP4 16
CNSTI4 204
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 16
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 16
INDIRI4
ADDP4
INDIRI4
CNSTI4 1
SUBI4
GEI4 $260
line 284
;284:		if ( ps->stats[STAT_HEALTH] > 0 ) {
ADDRFP4 0
INDIRP4
CNSTI4 204
ADDP4
INDIRI4
CNSTI4 0
LEI4 $262
line 285
;285:			CG_PainEvent( &cg.predictedPlayerEntity, ps->stats[STAT_HEALTH] );
ADDRGP4 cg+106048
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 204
ADDP4
INDIRI4
ARGI4
ADDRGP4 CG_PainEvent
CALLV
pop
line 286
;286:		}
LABELV $262
line 287
;287:	}
LABELV $260
line 291
;288:
;289:
;290:	// if we are going into the intermission, don't start any voices
;291:	if ( cg.intermissionStarted ) {
ADDRGP4 cg+20
INDIRI4
CNSTI4 0
EQI4 $265
line 292
;292:		return;
ADDRGP4 $243
JUMPV
LABELV $265
line 296
;293:	}
;294:
;295:	// reward sounds
;296:	if ( ps->persistant[PERS_REWARD_COUNT] > ops->persistant[PERS_REWARD_COUNT] ) {
ADDRLP4 20
CNSTI4 292
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 20
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 20
INDIRI4
ADDP4
INDIRI4
LEI4 $268
line 297
;297:		switch ( ps->persistant[PERS_REWARD] ) {
ADDRLP4 24
ADDRFP4 0
INDIRP4
CNSTI4 296
ADDP4
INDIRI4
ASGNI4
ADDRLP4 24
INDIRI4
CNSTI4 1
LTI4 $270
ADDRLP4 24
INDIRI4
CNSTI4 5
GTI4 $270
ADDRLP4 24
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 $336-4
ADDP4
INDIRP4
JUMPV
lit
align 4
LABELV $336
address $273
address $282
address $291
address $294
address $303
code
LABELV $273
line 299
;298:		case REWARD_IMPRESSIVE:
;299:			trap_S_StartLocalSound( cgs.media.rewardImpressiveSound, CHAN_ANNOUNCER );
ADDRGP4 cgs+195628+1208
INDIRI4
ARGI4
CNSTI4 7
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 300
;300:			cg.rewardTime = cg.time;
ADDRGP4 cg+113736
ADDRGP4 cg+105552
INDIRI4
ASGNI4
line 301
;301:			cg.rewardShader = cgs.media.medalImpressive;
ADDRGP4 cg+113744
ADDRGP4 cgs+195628+960
INDIRI4
ASGNI4
line 302
;302:			cg.rewardCount = ps->persistant[PERS_IMPRESSIVE_COUNT];
ADDRGP4 cg+113740
ADDRFP4 0
INDIRP4
CNSTI4 308
ADDP4
INDIRI4
ASGNI4
line 303
;303:			break;
ADDRGP4 $269
JUMPV
LABELV $282
line 305
;304:		case REWARD_EXCELLENT:
;305:			trap_S_StartLocalSound( cgs.media.rewardExcellentSound, CHAN_ANNOUNCER );
ADDRGP4 cgs+195628+1212
INDIRI4
ARGI4
CNSTI4 7
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 306
;306:			cg.rewardTime = cg.time;
ADDRGP4 cg+113736
ADDRGP4 cg+105552
INDIRI4
ASGNI4
line 307
;307:			cg.rewardShader = cgs.media.medalExcellent;
ADDRGP4 cg+113744
ADDRGP4 cgs+195628+964
INDIRI4
ASGNI4
line 308
;308:			cg.rewardCount = ps->persistant[PERS_EXCELLENT_COUNT];
ADDRGP4 cg+113740
ADDRFP4 0
INDIRP4
CNSTI4 312
ADDP4
INDIRI4
ASGNI4
line 309
;309:			break;
ADDRGP4 $269
JUMPV
LABELV $291
line 311
;310:		case REWARD_DENIED:
;311:			trap_S_StartLocalSound( cgs.media.rewardDeniedSound, CHAN_ANNOUNCER );
ADDRGP4 cgs+195628+1216
INDIRI4
ARGI4
CNSTI4 7
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 312
;312:			break;
ADDRGP4 $269
JUMPV
LABELV $294
line 314
;313:		case REWARD_FIRST_STRIKE:
;314:			trap_S_StartLocalSound( cgs.media.rewardFirstStrikeSound, CHAN_ANNOUNCER);
ADDRGP4 cgs+195628+1220
INDIRI4
ARGI4
CNSTI4 7
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 315
;315:			cg.rewardTime = cg.time;
ADDRGP4 cg+113736
ADDRGP4 cg+105552
INDIRI4
ASGNI4
line 316
;316:			cg.rewardShader = cgs.media.medalFirstStrike;
ADDRGP4 cg+113744
ADDRGP4 cgs+195628+968
INDIRI4
ASGNI4
line 317
;317:			cg.rewardCount = 1;
ADDRGP4 cg+113740
CNSTI4 1
ASGNI4
line 318
;318:			break;
ADDRGP4 $269
JUMPV
LABELV $303
line 321
;319:		case REWARD_STREAK:
;320:			// Play a different sound depending on how long the streak is.
;321:			cg.rewardTime = cg.time;
ADDRGP4 cg+113736
ADDRGP4 cg+105552
INDIRI4
ASGNI4
line 322
;322:			cg.rewardCount = 1;
ADDRGP4 cg+113740
CNSTI4 1
ASGNI4
line 323
;323:			if (ps->persistant[PERS_STREAK_COUNT] >= STREAK_CHAMPION)
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRI4
CNSTI4 20
LTI4 $307
line 324
;324:			{
line 325
;325:				trap_S_StartLocalSound( cgs.media.rewardChampionSound, CHAN_ANNOUNCER);
ADDRGP4 cgs+195628+1236
INDIRI4
ARGI4
CNSTI4 7
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 326
;326:				cg.rewardShader = cgs.media.medalChampion;
ADDRGP4 cg+113744
ADDRGP4 cgs+195628+984
INDIRI4
ASGNI4
line 327
;327:			}
ADDRGP4 $269
JUMPV
LABELV $307
line 328
;328:			else if (ps->persistant[PERS_STREAK_COUNT] >= STREAK_MASTER)
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRI4
CNSTI4 15
LTI4 $314
line 329
;329:			{
line 330
;330:				trap_S_StartLocalSound( cgs.media.rewardMasterSound, CHAN_ANNOUNCER);
ADDRGP4 cgs+195628+1232
INDIRI4
ARGI4
CNSTI4 7
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 331
;331:				cg.rewardShader = cgs.media.medalMaster;
ADDRGP4 cg+113744
ADDRGP4 cgs+195628+980
INDIRI4
ASGNI4
line 332
;332:			}
ADDRGP4 $269
JUMPV
LABELV $314
line 333
;333:			else if (ps->persistant[PERS_STREAK_COUNT] >= STREAK_EXPERT)
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRI4
CNSTI4 10
LTI4 $321
line 334
;334:			{
line 335
;335:				trap_S_StartLocalSound( cgs.media.rewardExpertSound, CHAN_ANNOUNCER);
ADDRGP4 cgs+195628+1228
INDIRI4
ARGI4
CNSTI4 7
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 336
;336:				cg.rewardShader = cgs.media.medalExpert;
ADDRGP4 cg+113744
ADDRGP4 cgs+195628+976
INDIRI4
ASGNI4
line 337
;337:			}
ADDRGP4 $269
JUMPV
LABELV $321
line 338
;338:			else if (ps->persistant[PERS_STREAK_COUNT] >= STREAK_ACE)
ADDRFP4 0
INDIRP4
CNSTI4 328
ADDP4
INDIRI4
CNSTI4 5
LTI4 $269
line 339
;339:			{
line 340
;340:				trap_S_StartLocalSound( cgs.media.rewardAceSound, CHAN_ANNOUNCER);
ADDRGP4 cgs+195628+1224
INDIRI4
ARGI4
CNSTI4 7
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 341
;341:				cg.rewardShader = cgs.media.medalAce;
ADDRGP4 cg+113744
ADDRGP4 cgs+195628+972
INDIRI4
ASGNI4
line 342
;342:			}
line 343
;343:			break;
ADDRGP4 $269
JUMPV
LABELV $270
line 345
;344:		default:
;345:			CG_Error( "Bad reward_t" );
ADDRGP4 $335
ARGP4
ADDRGP4 CG_Error
CALLV
pop
line 346
;346:		}
line 347
;347:	} else {
ADDRGP4 $269
JUMPV
LABELV $268
line 349
;348:		// lead changes (only if no reward)
;349:		if ( !cg.warmup && !(cg.predictedPlayerState.introTime > cg.time) )
ADDRGP4 cg+113748
INDIRI4
CNSTI4 0
NEI4 $338
ADDRGP4 cg+105580+56
INDIRI4
ADDRGP4 cg+105552
INDIRI4
GTI4 $338
line 350
;350:		{
line 352
;351:			// never play lead changes during warmup or holo doors
;352:			if ( ps->persistant[PERS_RANK] != ops->persistant[PERS_RANK] ) {
ADDRLP4 24
CNSTI4 280
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
INDIRI4
EQI4 $344
line 353
;353:				if ( cgs.gametype >= GT_TEAM ) {
ADDRGP4 cgs+25316
INDIRI4
CNSTI4 3
LTI4 $346
line 354
;354:					if ( ps->persistant[PERS_RANK] == 2 ) {
ADDRFP4 0
INDIRP4
CNSTI4 280
ADDP4
INDIRI4
CNSTI4 2
NEI4 $349
line 355
;355:						trap_S_StartLocalSound( cgs.media.teamsTiedSound, CHAN_ANNOUNCER );
ADDRGP4 cgs+195628+1288
INDIRI4
ARGI4
CNSTI4 7
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 356
;356:					} else if (  ps->persistant[PERS_RANK] == 0 ) {
ADDRGP4 $347
JUMPV
LABELV $349
ADDRFP4 0
INDIRP4
CNSTI4 280
ADDP4
INDIRI4
CNSTI4 0
NEI4 $353
line 357
;357:						trap_S_StartLocalSound( cgs.media.redLeadsSound, CHAN_ANNOUNCER );
ADDRGP4 cgs+195628+1280
INDIRI4
ARGI4
CNSTI4 7
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 358
;358:					} else if ( ps->persistant[PERS_RANK] == 1 ) {
ADDRGP4 $347
JUMPV
LABELV $353
ADDRFP4 0
INDIRP4
CNSTI4 280
ADDP4
INDIRI4
CNSTI4 1
NEI4 $347
line 359
;359:						trap_S_StartLocalSound( cgs.media.blueLeadsSound, CHAN_ANNOUNCER );
ADDRGP4 cgs+195628+1284
INDIRI4
ARGI4
CNSTI4 7
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 360
;360:					}
line 361
;361:				} else {
ADDRGP4 $347
JUMPV
LABELV $346
line 362
;362:					if (  ps->persistant[PERS_RANK] == 0 ) {
ADDRFP4 0
INDIRP4
CNSTI4 280
ADDP4
INDIRI4
CNSTI4 0
NEI4 $361
line 363
;363:						trap_S_StartLocalSound( cgs.media.takenLeadSound, CHAN_ANNOUNCER );
ADDRGP4 cgs+195628+1240
INDIRI4
ARGI4
CNSTI4 7
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 364
;364:					} else if ( ps->persistant[PERS_RANK] == RANK_TIED_FLAG ) {
ADDRGP4 $362
JUMPV
LABELV $361
ADDRFP4 0
INDIRP4
CNSTI4 280
ADDP4
INDIRI4
CNSTI4 16384
NEI4 $365
line 365
;365:						trap_S_StartLocalSound( cgs.media.tiedLeadSound, CHAN_ANNOUNCER );
ADDRGP4 cgs+195628+1244
INDIRI4
ARGI4
CNSTI4 7
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 366
;366:					} else if ( ( ops->persistant[PERS_RANK] & ~RANK_TIED_FLAG ) == 0 ) {
ADDRGP4 $366
JUMPV
LABELV $365
ADDRFP4 4
INDIRP4
CNSTI4 280
ADDP4
INDIRI4
CNSTI4 -16385
BANDI4
CNSTI4 0
NEI4 $369
line 367
;367:						trap_S_StartLocalSound( cgs.media.lostLeadSound, CHAN_ANNOUNCER );
ADDRGP4 cgs+195628+1248
INDIRI4
ARGI4
CNSTI4 7
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 368
;368:					}
LABELV $369
LABELV $366
LABELV $362
line 369
;369:				}
LABELV $347
line 370
;370:			}
LABELV $344
line 371
;371:		}
LABELV $338
line 372
;372:	}
LABELV $269
line 375
;373:
;374:	// timelimit warnings
;375:	if ( cgs.timelimit > 0 ) {
ADDRGP4 cgs+25356
INDIRI4
CNSTI4 0
LEI4 $373
line 378
;376:		int		msec;
;377:
;378:		msec = cg.time - cgs.levelStartTime;
ADDRLP4 24
ADDRGP4 cg+105552
INDIRI4
ADDRGP4 cgs+25700
INDIRI4
SUBI4
ASGNI4
line 380
;379:
;380:		if ( cgs.timelimit > 5 && !( cg.timelimitWarnings & 1 ) && msec > (cgs.timelimit - 5) * 60 * 1000 ) {
ADDRGP4 cgs+25356
INDIRI4
CNSTI4 5
LEI4 $378
ADDRGP4 cg+105564
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
NEI4 $378
ADDRLP4 24
INDIRI4
CNSTI4 1000
CNSTI4 60
ADDRGP4 cgs+25356
INDIRI4
MULI4
MULI4
CNSTI4 300000
SUBI4
LEI4 $378
line 381
;381:			cg.timelimitWarnings |= 1;
ADDRLP4 28
ADDRGP4 cg+105564
ASGNP4
ADDRLP4 28
INDIRP4
ADDRLP4 28
INDIRP4
INDIRI4
CNSTI4 1
BORI4
ASGNI4
line 382
;382:			trap_S_StartLocalSound( cgs.media.fiveMinuteSound, CHAN_ANNOUNCER );
ADDRGP4 cgs+195628+1172
INDIRI4
ARGI4
CNSTI4 7
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 383
;383:		}
LABELV $378
line 384
;384:		if ( !( cg.timelimitWarnings & 2 ) && msec > (cgs.timelimit - 1) * 60 * 1000 ) {
ADDRGP4 cg+105564
INDIRI4
CNSTI4 2
BANDI4
CNSTI4 0
NEI4 $386
ADDRLP4 24
INDIRI4
CNSTI4 1000
CNSTI4 60
ADDRGP4 cgs+25356
INDIRI4
MULI4
MULI4
CNSTI4 60000
SUBI4
LEI4 $386
line 385
;385:			cg.timelimitWarnings |= 2;
ADDRLP4 28
ADDRGP4 cg+105564
ASGNP4
ADDRLP4 28
INDIRP4
ADDRLP4 28
INDIRP4
INDIRI4
CNSTI4 2
BORI4
ASGNI4
line 386
;386:			trap_S_StartLocalSound( cgs.media.oneMinuteSound, CHAN_ANNOUNCER );
ADDRGP4 cgs+195628+1168
INDIRI4
ARGI4
CNSTI4 7
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 387
;387:		}
LABELV $386
line 388
;388:		if ( !( cg.timelimitWarnings & 4 ) && msec > ( cgs.timelimit * 60 + 2 ) * 1000 ) {
ADDRGP4 cg+105564
INDIRI4
CNSTI4 4
BANDI4
CNSTI4 0
NEI4 $393
ADDRLP4 24
INDIRI4
CNSTI4 1000
CNSTI4 60
ADDRGP4 cgs+25356
INDIRI4
MULI4
MULI4
CNSTI4 2000
ADDI4
LEI4 $393
line 389
;389:			cg.timelimitWarnings |= 4;
ADDRLP4 28
ADDRGP4 cg+105564
ASGNP4
ADDRLP4 28
INDIRP4
ADDRLP4 28
INDIRP4
INDIRI4
CNSTI4 4
BORI4
ASGNI4
line 390
;390:			trap_S_StartLocalSound( cgs.media.suddenDeathSound, CHAN_ANNOUNCER );
ADDRGP4 cgs+195628+1176
INDIRI4
ARGI4
CNSTI4 7
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 391
;391:		}
LABELV $393
line 392
;392:	}
LABELV $373
line 395
;393:
;394:	// fraglimit warnings
;395:	if ( cgs.fraglimit > 0 && cgs.gametype != GT_CTF ) {
ADDRGP4 cgs+25348
INDIRI4
CNSTI4 0
LEI4 $400
ADDRGP4 cgs+25316
INDIRI4
CNSTI4 4
EQI4 $400
line 396
;396:		highScore = cgs.scores1;
ADDRLP4 0
ADDRGP4 cgs+25704
INDIRI4
ASGNI4
line 397
;397:		if ( cgs.fraglimit > 3 && !( cg.fraglimitWarnings & 1 ) && highScore == (cgs.fraglimit - 3) ) {
ADDRLP4 24
CNSTI4 3
ASGNI4
ADDRGP4 cgs+25348
INDIRI4
ADDRLP4 24
INDIRI4
LEI4 $405
ADDRGP4 cg+105568
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
NEI4 $405
ADDRLP4 0
INDIRI4
ADDRGP4 cgs+25348
INDIRI4
ADDRLP4 24
INDIRI4
SUBI4
NEI4 $405
line 398
;398:			cg.fraglimitWarnings |= 1;
ADDRLP4 28
ADDRGP4 cg+105568
ASGNP4
ADDRLP4 28
INDIRP4
ADDRLP4 28
INDIRP4
INDIRI4
CNSTI4 1
BORI4
ASGNI4
line 399
;399:			trap_S_StartLocalSound( cgs.media.threeFragSound, CHAN_ANNOUNCER );
ADDRGP4 cgs+195628+1180
INDIRI4
ARGI4
CNSTI4 7
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 400
;400:		}
LABELV $405
line 401
;401:		if ( cgs.fraglimit > 2 && !( cg.fraglimitWarnings & 2 ) && highScore == (cgs.fraglimit - 2) ) {
ADDRLP4 28
CNSTI4 2
ASGNI4
ADDRGP4 cgs+25348
INDIRI4
ADDRLP4 28
INDIRI4
LEI4 $413
ADDRGP4 cg+105568
INDIRI4
ADDRLP4 28
INDIRI4
BANDI4
CNSTI4 0
NEI4 $413
ADDRLP4 0
INDIRI4
ADDRGP4 cgs+25348
INDIRI4
ADDRLP4 28
INDIRI4
SUBI4
NEI4 $413
line 402
;402:			cg.fraglimitWarnings |= 2;
ADDRLP4 32
ADDRGP4 cg+105568
ASGNP4
ADDRLP4 32
INDIRP4
ADDRLP4 32
INDIRP4
INDIRI4
CNSTI4 2
BORI4
ASGNI4
line 403
;403:			trap_S_StartLocalSound( cgs.media.twoFragSound, CHAN_ANNOUNCER );
ADDRGP4 cgs+195628+1184
INDIRI4
ARGI4
CNSTI4 7
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 404
;404:		}
LABELV $413
line 405
;405:		if ( !( cg.fraglimitWarnings & 4 ) && highScore == (cgs.fraglimit - 1) ) {
ADDRGP4 cg+105568
INDIRI4
CNSTI4 4
BANDI4
CNSTI4 0
NEI4 $421
ADDRLP4 0
INDIRI4
ADDRGP4 cgs+25348
INDIRI4
CNSTI4 1
SUBI4
NEI4 $421
line 406
;406:			cg.fraglimitWarnings |= 4;
ADDRLP4 32
ADDRGP4 cg+105568
ASGNP4
ADDRLP4 32
INDIRP4
ADDRLP4 32
INDIRP4
INDIRI4
CNSTI4 4
BORI4
ASGNI4
line 407
;407:			trap_S_StartLocalSound( cgs.media.oneFragSound, CHAN_ANNOUNCER );
ADDRGP4 cgs+195628+1188
INDIRI4
ARGI4
CNSTI4 7
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 408
;408:		}
LABELV $421
line 409
;409:	}
LABELV $400
line 410
;410:}
LABELV $243
endproc CG_CheckLocalSounds 36 8
bss
align 4
LABELV $429
skip 4
align 4
LABELV $430
skip 4
export CG_CheckDamageDealt
code
proc CG_CheckDamageDealt 12 8
line 414
;411:
;412:
;413:void CG_CheckDamageDealt(playerState_t *ps, playerState_t *ops)
;414:{
line 418
;415:	static		int damagetime;
;416:	static		int damageamount;
;417:
;418:	if (cg_reportDamage.integer)
ADDRGP4 cg_reportDamage+12
INDIRI4
CNSTI4 0
EQI4 $431
line 419
;419:	{
line 420
;420:		if (ps->persistant[PERS_HITS] > ops->persistant[PERS_HITS])
ADDRLP4 0
CNSTI4 272
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 0
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 0
INDIRI4
ADDP4
INDIRI4
LEI4 $434
line 421
;421:		{	// We did some damage this frame.
line 422
;422:			if (damagetime+1000 < cg.time)
ADDRGP4 $429
INDIRI4
CNSTI4 1000
ADDI4
ADDRGP4 cg+105552
INDIRI4
GEI4 $436
line 423
;423:			{	// Start a new tally.
line 424
;424:				damageamount = ps->persistant[PERS_HITS] - ops->persistant[PERS_HITS];
ADDRLP4 4
CNSTI4 272
ASGNI4
ADDRGP4 $430
ADDRFP4 0
INDIRP4
ADDRLP4 4
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 4
INDIRI4
ADDP4
INDIRI4
SUBI4
ASGNI4
line 425
;425:				damagetime = cg.time;
ADDRGP4 $429
ADDRGP4 cg+105552
INDIRI4
ASGNI4
line 426
;426:			}
ADDRGP4 $437
JUMPV
LABELV $436
line 428
;427:			else
;428:			{	// Add to a tally that's already here.
line 429
;429:				damageamount += ps->persistant[PERS_HITS] - ops->persistant[PERS_HITS];
ADDRLP4 4
ADDRGP4 $430
ASGNP4
ADDRLP4 8
CNSTI4 272
ASGNI4
ADDRLP4 4
INDIRP4
ADDRLP4 4
INDIRP4
INDIRI4
ADDRFP4 0
INDIRP4
ADDRLP4 8
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 8
INDIRI4
ADDP4
INDIRI4
SUBI4
ADDI4
ASGNI4
line 430
;430:			}
LABELV $437
line 431
;431:		}
LABELV $434
line 434
;432:
;433:		// Report the sum of damage done this second.
;434:		if (damageamount > 0 && (damagetime+1000 <= cg.time))
ADDRGP4 $430
INDIRI4
CNSTI4 0
LEI4 $440
ADDRGP4 $429
INDIRI4
CNSTI4 1000
ADDI4
ADDRGP4 cg+105552
INDIRI4
GTI4 $440
line 435
;435:		{
line 436
;436:			Com_Printf("Damage this second:  %d\n", damageamount);
ADDRGP4 $443
ARGP4
ADDRGP4 $430
INDIRI4
ARGI4
ADDRGP4 Com_Printf
CALLV
pop
line 437
;437:			damageamount = 0;
ADDRGP4 $430
CNSTI4 0
ASGNI4
line 438
;438:		}
LABELV $440
line 439
;439:	}			
LABELV $431
line 440
;440:}
LABELV $428
endproc CG_CheckDamageDealt 12 8
export CG_TransitionPlayerState
proc CG_TransitionPlayerState 32 16
line 450
;441:
;442:
;443:
;444:/*
;445:===============
;446:CG_TransitionPlayerState
;447:
;448:===============
;449:*/
;450:void CG_TransitionPlayerState( playerState_t *ps, playerState_t *ops ) {
line 452
;451:	// check for changing follow mode
;452:	if ( ps->clientNum != ops->clientNum ) {
ADDRLP4 0
CNSTI4 156
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 0
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 0
INDIRI4
ADDP4
INDIRI4
EQI4 $445
line 453
;453:		cg.thisFrameTeleport = qtrue;
ADDRGP4 cg+105540
CNSTI4 1
ASGNI4
line 455
;454:		// make sure we don't get any unwanted transition effects
;455:		*ops = *ps;
ADDRFP4 4
INDIRP4
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 468
line 456
;456:	}
LABELV $445
line 459
;457:
;458:	// damage events (player is getting wounded)
;459:	if ( ps->damageEvent != ops->damageEvent && (ps->damageCount || ps->damageShieldCount)) {
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
CNSTI4 184
ASGNI4
ADDRLP4 4
INDIRP4
ADDRLP4 8
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 8
INDIRI4
ADDP4
INDIRI4
EQI4 $448
ADDRLP4 12
CNSTI4 0
ASGNI4
ADDRLP4 4
INDIRP4
CNSTI4 196
ADDP4
INDIRI4
ADDRLP4 12
INDIRI4
NEI4 $450
ADDRLP4 4
INDIRP4
CNSTI4 200
ADDP4
INDIRI4
ADDRLP4 12
INDIRI4
EQI4 $448
LABELV $450
line 460
;460:		CG_DamageFeedback( ps->damageYaw, ps->damagePitch, ps->damageCount, ps->damageShieldCount);
ADDRLP4 16
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 16
INDIRP4
CNSTI4 188
ADDP4
INDIRI4
ARGI4
ADDRLP4 16
INDIRP4
CNSTI4 192
ADDP4
INDIRI4
ARGI4
ADDRLP4 16
INDIRP4
CNSTI4 196
ADDP4
INDIRI4
ARGI4
ADDRLP4 16
INDIRP4
CNSTI4 200
ADDP4
INDIRI4
ARGI4
ADDRGP4 CG_DamageFeedback
CALLV
pop
line 461
;461:	}
LABELV $448
line 464
;462:
;463:	// respawning
;464:	if ( ps->persistant[PERS_SPAWN_COUNT] != ops->persistant[PERS_SPAWN_COUNT] ) {
ADDRLP4 16
CNSTI4 288
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 16
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 16
INDIRI4
ADDP4
INDIRI4
EQI4 $451
line 465
;465:		CG_Respawn();
ADDRGP4 CG_Respawn
CALLV
pop
line 466
;466:	}
LABELV $451
line 473
;467:
;468:/*	if ( cg.mapRestart ) {  //q3 update -not tested yet
;469:		CG_Respawn();
;470:		cg.mapRestart = qfalse;
;471:	}
;472:*/
;473:	if ( cg.snap->ps.pm_type != PM_INTERMISSION 
ADDRGP4 cg+32
INDIRP4
CNSTI4 48
ADDP4
INDIRI4
CNSTI4 5
EQI4 $453
ADDRLP4 20
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 20
INDIRP4
CNSTI4 284
ADDP4
INDIRI4
CNSTI4 3
EQI4 $453
ADDRLP4 20
INDIRP4
CNSTI4 104
ADDP4
INDIRI4
CNSTI4 1024
BANDI4
CNSTI4 0
NEI4 $453
line 474
;474:		&& ps->persistant[PERS_TEAM] != TEAM_SPECTATOR && !(ps->eFlags&EF_ELIMINATED)) {
line 475
;475:		CG_CheckLocalSounds( ps, ops );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRGP4 CG_CheckLocalSounds
CALLV
pop
line 476
;476:	}
LABELV $453
line 479
;477:
;478:	// check for going low on ammo
;479:	CG_CheckAmmo();
ADDRGP4 CG_CheckAmmo
CALLV
pop
line 482
;480:
;481:	// run events
;482:	CG_CheckPlayerstateEvents( ps, ops );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRGP4 CG_CheckPlayerstateEvents
CALLV
pop
line 485
;483:
;484:	// smooth the ducking viewheight change
;485:	if ( ps->viewheight != ops->viewheight ) {
ADDRLP4 24
CNSTI4 180
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
INDIRI4
EQI4 $456
line 486
;486:		cg.duckChange = ps->viewheight - ops->viewheight;
ADDRLP4 28
CNSTI4 180
ASGNI4
ADDRGP4 cg+106724
ADDRFP4 0
INDIRP4
ADDRLP4 28
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 28
INDIRI4
ADDP4
INDIRI4
SUBI4
CVIF4 4
ASGNF4
line 487
;487:		cg.duckTime = cg.time;
ADDRGP4 cg+106728
ADDRGP4 cg+105552
INDIRI4
ASGNI4
line 488
;488:	}
LABELV $456
line 493
;489:
;490:#ifdef _DEBUG
;491:	CG_CheckDamageDealt(ps, ops);
;492:#endif //_DEBUG
;493:}
LABELV $444
endproc CG_TransitionPlayerState 32 16
import trap_MemoryRemaining
import testPrintFloat
import testPrintInt
import trap_SetUserCmdValue
import trap_GetUserCmd
import trap_GetCurrentCmdNumber
import trap_GetServerCommand
import trap_GetSnapshot
import trap_GetCurrentSnapshotNumber
import trap_GetGameState
import trap_GetGlconfig
import trap_R_LerpTag
import trap_R_ModelBounds
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_RenderScene
import trap_R_AddLightToScene
import trap_R_AddPolyToScene
import trap_R_AddRefEntityToScene
import trap_R_ClearScene
import trap_R_RegisterShaderNoMip
import trap_R_RegisterShader3D
import trap_R_RegisterShader
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_R_LoadWorldMap
import trap_S_StartBackgroundTrack
import trap_S_RegisterSound
import trap_S_Respatialize
import trap_S_UpdateEntityPosition
import trap_S_AddLoopingSound
import trap_S_ClearLoopingSounds
import trap_S_StartLocalSound
import trap_S_StartSound
import trap_CM_MarkFragments
import trap_CM_TransformedBoxTrace
import trap_CM_BoxTrace
import trap_CM_TransformedPointContents
import trap_CM_PointContents
import trap_CM_TempBoxModel
import trap_CM_InlineModel
import trap_CM_NumInlineModels
import trap_CM_LoadMap
import trap_UpdateScreen
import trap_SendClientCommand
import trap_AddCommand
import trap_SendConsoleCommand
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Cvar_VariableStringBuffer
import trap_Cvar_Set_No_Modify
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import updateSkin
import CG_SetConfigValues
import CG_ParseServerinfo
import CG_ExecuteNewServerCommands
import CG_InitConsoleCommands
import CG_ConsoleCommand
import AW_SPPostgameMenu_f
import cg_medalStreakSounds
import cg_medalStreakPicNames
import cg_medalTeamSounds
import cg_medalTeamPicNames
import cg_medalSounds
import cg_medalPicNames
import CG_DrawTourneyScoreboard
import CG_DrawScoreboard
import CG_DrawInformation
import CG_LoadingClient
import CG_LoadingItem
import CG_LoadingString
import CG_ProcessSnapshots
import CG_ExplosionEffects
import CG_SurfaceExplosion
import CG_MakeExplosion2
import CG_MakeExplosion
import CG_Seeker
import CG_Bleed
import CG_SpawnEffect
import CG_BubbleTrail
import CG_SmokePuff
import CG_AddLocalEntities
import CG_GetActiveList
import CG_AllocLocalEntity
import CG_InitLocalEntities
import CG_ImpactMark
import CG_AddMarks
import CG_InitMarkPolys
import CG_BounceEffect
import CG_OutOfAmmoChange
import CG_DrawWeaponSelect
import CG_AddPlayerWeapon
import CG_AddViewWeapon
import CG_MissileHitPlayer
import CG_MissileHitWall
import CG_FireSeeker
import CG_FireWeapon
import CG_RegisterItemVisuals
import CG_RegisterWeapon
import CG_Weapon_f
import CG_PrevWeapon_f
import CG_NextWeapon_f
import CG_Chunks
import CG_Drip
import CG_TransporterPad
import CG_Bolt
import CG_Steam
import CG_Spark
import CG_PositionRotatedEntityOnTag
import CG_PositionEntityOnTag
import CG_AdjustPositionForMover
import CG_Beam
import CG_AddPacketEntities
import CG_SetEntitySoundPosition
import CG_PainEvent
import CG_EntityEvent
import CG_PlaceString
import CG_CheckEvents
import CG_LoadDeferredPlayers
import CG_PredictPlayerState
import CG_Trace
import CG_PointContents
import CG_BuildSolidList
import CG_CustomSound
import CG_NewClientInfo
import CG_AddRefEntityWithPowerups
import CG_ResetPlayerEntity
import CG_Player
import CG_PlayerShieldHit
import CG_DrawObjectiveInformation
import CG_DrawNumField
import CG_DrawTeamBackground
import CG_DrawFlagModel
import CG_DrawActive
import CG_DrawHead
import CG_CenterPrint
import CG_AddLagometerSnapshotInfo
import CG_AddLagometerFrameInfo
import drawTeamOverlayModificationCount
import numSortedTeamPlayers
import sortedTeamPlayers
import interface_graphics
import UI_ProportionalStringWidth
import CG_GetColorForHealth
import CG_ColorForHealth
import CG_TileClear
import CG_TeamColor
import CG_FadeColor
import CG_DrawStrlen
import CG_DrawSmallStringColor
import CG_DrawSmallString
import CG_DrawBigStringColor
import CG_DrawBigString
import CG_DrawStringExt
import CG_LoadFonts
import UI_DrawProportionalString
import CG_DrawString
import CG_DrawPic
import CG_FillRect
import CG_AdjustFrom640
import CG_PrintInterfaceGraphics
import CG_DrawActiveFrame
import CG_CameraShake
import CG_ZoomUp_f
import CG_ZoomDown_f
import CG_TestModelPrevSkin_f
import CG_TestModelNextSkin_f
import CG_TestModelPrevFrame_f
import CG_TestModelNextFrame_f
import CG_TestGun_f
import CG_TestModel_f
import CG_LastAttacker
import CG_CrosshairPlayer
import CG_UpdateCvars
import CG_StartMusic
import CG_Error
import CG_Printf
import CG_Argv
import CG_ConfigString
import cg_deferPlayers
import cg_predictItems
import cg_blood
import cg_paused
import cg_buildScript
import cg_forceModel
import cg_reportDamage
import cg_stats
import cg_teamChatHeight
import cg_teamChatTime
import cg_synchronousClients
import cg_drawAttacker
import cg_lagometer
import cg_stereoSeparation
import cg_thirdPerson
import cg_thirdPersonAngle
import cg_thirdPersonRange
import cg_zoomFov
import cg_fov
import cg_simpleItems
import cg_ignore
import cg_autoswitch
import cg_viewsize
import cg_drawGun
import cg_gun_z
import cg_gun_y
import cg_gun_x
import cg_gun_frame
import cg_addMarks
import cg_footsteps
import cg_showmiss
import cg_noPlayerAnims
import cg_nopredict
import cg_errorDecay
import cg_debugEvents
import cg_debugPosition
import cg_debugAnim
import cg_animSpeed
import cg_draw2D
import cg_drawStatus
import cg_crosshairHealth
import cg_crosshairSize
import cg_crosshairY
import cg_crosshairX
import cg_teamOverlayUserinfo
import cg_drawTeamOverlay
import cg_drawRewards
import cg_drawCrosshairNames
import cg_drawCrosshair
import cg_drawAmmoWarning
import cg_drawIcons
import cg_draw3dIcons
import cg_drawSnapshot
import cg_drawFPS
import cg_drawTimer
import cg_gibs
import cg_shadows
import cg_swingSpeed
import cg_bobroll
import cg_bobpitch
import cg_bobup
import cg_runroll
import cg_runpitch
import cg_centertime
import cg_markPolys
import cg_items
import cg_weapons
import cg_entities
import cg
import cgs
import CG_AddElectricity
import CG_AddCylinder
import CG_AddBezier
import CG_AddViewSprite
import CG_AddTrail
import CG_AddLine2
import CG_AddOLine
import CG_AddLine
import CG_AddQuad
import CG_AddScaleFadeSprite
import CG_AddSpriteExplosion
import CG_AddExplosion
import CG_AddFallScaleFade
import CG_AddScaleFade
import CG_AddMoveScaleFade
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $443
byte 1 68
byte 1 97
byte 1 109
byte 1 97
byte 1 103
byte 1 101
byte 1 32
byte 1 116
byte 1 104
byte 1 105
byte 1 115
byte 1 32
byte 1 115
byte 1 101
byte 1 99
byte 1 111
byte 1 110
byte 1 100
byte 1 58
byte 1 32
byte 1 32
byte 1 37
byte 1 100
byte 1 10
byte 1 0
align 1
LABELV $335
byte 1 66
byte 1 97
byte 1 100
byte 1 32
byte 1 114
byte 1 101
byte 1 119
byte 1 97
byte 1 114
byte 1 100
byte 1 95
byte 1 116
byte 1 0
