export CG_TestModel_f
code
proc CG_TestModel_f 36 12
file "../cg_view.c"
line 55
;1:// Copyright (C) 1999-2000 Id Software, Inc.
;2://
;3:// cg_view.c -- setup all the parameters (position, angle, etc)
;4:// for a 3D rendering
;5:#include "cg_local.h"
;6:#include "cg_screenfx.h"
;7:
;8:#define MAX_SHAKE_INTENSITY			16.0f
;9:
;10:#define FRAMES_DOOR		16
;11:
;12:/*
;13:=============================================================================
;14:
;15:  MODEL TESTING
;16:
;17:The viewthing and gun positioning tools from Q2 have been integrated and
;18:enhanced into a single model testing facility.
;19:
;20:Model viewing can begin with either "testmodel <modelname>" or "testgun <modelname>".
;21:
;22:The names must be the full pathname after the basedir, like 
;23:"models/weapons/v_launch/tris.md3" or "players/male/tris.md3"
;24:
;25:Testmodel will create a fake entity 100 units in front of the current view
;26:position, directly facing the viewer.  It will remain immobile, so you can
;27:move around it to view it from different angles.
;28:
;29:Testgun will cause the model to follow the player around and supress the real
;30:view weapon model.  The default frame 0 of most guns is completely off screen,
;31:so you will probably have to cycle a couple frames to see it.
;32:
;33:"nextframe", "prevframe", "nextskin", and "prevskin" commands will change the
;34:frame or skin of the testmodel.  These are bound to F5, F6, F7, and F8 in
;35:q3default.cfg.
;36:
;37:If a gun is being tested, the "gun_x", "gun_y", and "gun_z" variables will let
;38:you adjust the positioning.
;39:
;40:Note that none of the model testing features update while the game is paused, so
;41:it may be convenient to test with deathmatch set to 1 so that bringing down the
;42:console doesn't pause the game.
;43:
;44:=============================================================================
;45:*/
;46:
;47:/*
;48:=================
;49:CG_TestModel_f
;50:
;51:Creates an entity in front of the current position, which
;52:can then be moved around
;53:=================
;54:*/
;55:void CG_TestModel_f (void) {
line 58
;56:	vec3_t		angles;
;57:
;58:	memset( &cg.testModelEntity, 0, sizeof(cg.testModelEntity) );
ADDRGP4 cg+113868
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 59
;59:	if ( trap_Argc() < 2 ) {
ADDRLP4 12
ADDRGP4 trap_Argc
CALLI4
ASGNI4
ADDRLP4 12
INDIRI4
CNSTI4 2
GEI4 $89
line 60
;60:		return;
ADDRGP4 $86
JUMPV
LABELV $89
line 63
;61:	}
;62:
;63:	Q_strncpyz (cg.testModelName, CG_Argv( 1 ), MAX_QPATH );
CNSTI4 1
ARGI4
ADDRLP4 16
ADDRGP4 CG_Argv
CALLP4
ASGNP4
ADDRGP4 cg+114028
ARGP4
ADDRLP4 16
INDIRP4
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 64
;64:	cg.testModelEntity.hModel = trap_R_RegisterModel( cg.testModelName );
ADDRGP4 cg+114028
ARGP4
ADDRLP4 20
ADDRGP4 trap_R_RegisterModel
CALLI4
ASGNI4
ADDRGP4 cg+113868+8
ADDRLP4 20
INDIRI4
ASGNI4
line 66
;65:
;66:	if ( trap_Argc() == 3 ) {
ADDRLP4 24
ADDRGP4 trap_Argc
CALLI4
ASGNI4
ADDRLP4 24
INDIRI4
CNSTI4 3
NEI4 $95
line 67
;67:		cg.testModelEntity.backlerp = atof( CG_Argv( 2 ) );
CNSTI4 2
ARGI4
ADDRLP4 28
ADDRGP4 CG_Argv
CALLP4
ASGNP4
ADDRLP4 28
INDIRP4
ARGP4
ADDRLP4 32
ADDRGP4 atof
CALLF4
ASGNF4
ADDRGP4 cg+113868+100
ADDRLP4 32
INDIRF4
ASGNF4
line 68
;68:		cg.testModelEntity.frame = 1;
ADDRGP4 cg+113868+80
CNSTI4 1
ASGNI4
line 69
;69:		cg.testModelEntity.oldframe = 0;
ADDRGP4 cg+113868+96
CNSTI4 0
ASGNI4
line 70
;70:	}
LABELV $95
line 71
;71:	if (! cg.testModelEntity.hModel ) {
ADDRGP4 cg+113868+8
INDIRI4
CNSTI4 0
NEI4 $103
line 72
;72:		CG_Printf( "Can't register model\n" );
ADDRGP4 $107
ARGP4
ADDRGP4 CG_Printf
CALLV
pop
line 73
;73:		return;
ADDRGP4 $86
JUMPV
LABELV $103
line 76
;74:	}
;75:
;76:	VectorMA( cg.refdef.vieworg, 100, cg.refdef.viewaxis[0], cg.testModelEntity.origin );
ADDRGP4 cg+113868+68
ADDRGP4 cg+106840+24
INDIRF4
CNSTF4 1120403456
ADDRGP4 cg+106840+36
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRGP4 cg+113868+68+4
ADDRGP4 cg+106840+24+4
INDIRF4
CNSTF4 1120403456
ADDRGP4 cg+106840+36+4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRGP4 cg+113868+68+8
ADDRGP4 cg+106840+24+8
INDIRF4
CNSTF4 1120403456
ADDRGP4 cg+106840+36+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 78
;77:
;78:	angles[PITCH] = 0;
ADDRLP4 0
CNSTF4 0
ASGNF4
line 79
;79:	angles[YAW] = 180 + cg.refdefViewAngles[1];
ADDRLP4 0+4
ADDRGP4 cg+106952+4
INDIRF4
CNSTF4 1127481344
ADDF4
ASGNF4
line 80
;80:	angles[ROLL] = 0;
ADDRLP4 0+8
CNSTF4 0
ASGNF4
line 82
;81:
;82:	AnglesToAxis( angles, cg.testModelEntity.axis );
ADDRLP4 0
ARGP4
ADDRGP4 cg+113868+28
ARGP4
ADDRGP4 AnglesToAxis
CALLV
pop
line 83
;83:	cg.testGun = qfalse;
ADDRGP4 cg+114092
CNSTI4 0
ASGNI4
line 84
;84:}
LABELV $86
endproc CG_TestModel_f 36 12
export CG_TestGun_f
proc CG_TestGun_f 0 0
line 93
;85:
;86:/*
;87:=================
;88:CG_TestGun_f
;89:
;90:Replaces the current view weapon with the given model
;91:=================
;92:*/
;93:void CG_TestGun_f (void) {
line 94
;94:	CG_TestModel_f();
ADDRGP4 CG_TestModel_f
CALLV
pop
line 95
;95:	cg.testGun = qtrue;
ADDRGP4 cg+114092
CNSTI4 1
ASGNI4
line 96
;96:	cg.testModelEntity.renderfx = RF_DEPTHHACK | RF_FIRST_PERSON;
ADDRGP4 cg+113868+4
CNSTI4 12
ASGNI4
line 97
;97:}
LABELV $139
endproc CG_TestGun_f 0 0
export CG_TestModelNextFrame_f
proc CG_TestModelNextFrame_f 4 8
line 100
;98:
;99:
;100:void CG_TestModelNextFrame_f (void) {
line 101
;101:	cg.testModelEntity.frame++;
ADDRLP4 0
ADDRGP4 cg+113868+80
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 102
;102:	CG_Printf( "frame %i\n", cg.testModelEntity.frame );
ADDRGP4 $146
ARGP4
ADDRGP4 cg+113868+80
INDIRI4
ARGI4
ADDRGP4 CG_Printf
CALLV
pop
line 103
;103:}
LABELV $143
endproc CG_TestModelNextFrame_f 4 8
export CG_TestModelPrevFrame_f
proc CG_TestModelPrevFrame_f 4 8
line 105
;104:
;105:void CG_TestModelPrevFrame_f (void) {
line 106
;106:	cg.testModelEntity.frame--;
ADDRLP4 0
ADDRGP4 cg+113868+80
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
line 107
;107:	if ( cg.testModelEntity.frame < 0 ) {
ADDRGP4 cg+113868+80
INDIRI4
CNSTI4 0
GEI4 $152
line 108
;108:		cg.testModelEntity.frame = 0;
ADDRGP4 cg+113868+80
CNSTI4 0
ASGNI4
line 109
;109:	}
LABELV $152
line 110
;110:	CG_Printf( "frame %i\n", cg.testModelEntity.frame );
ADDRGP4 $146
ARGP4
ADDRGP4 cg+113868+80
INDIRI4
ARGI4
ADDRGP4 CG_Printf
CALLV
pop
line 111
;111:}
LABELV $149
endproc CG_TestModelPrevFrame_f 4 8
export CG_TestModelNextSkin_f
proc CG_TestModelNextSkin_f 4 8
line 113
;112:
;113:void CG_TestModelNextSkin_f (void) {
line 114
;114:	cg.testModelEntity.skinNum++;
ADDRLP4 0
ADDRGP4 cg+113868+104
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 115
;115:	CG_Printf( "skin %i\n", cg.testModelEntity.skinNum );
ADDRGP4 $163
ARGP4
ADDRGP4 cg+113868+104
INDIRI4
ARGI4
ADDRGP4 CG_Printf
CALLV
pop
line 116
;116:}
LABELV $160
endproc CG_TestModelNextSkin_f 4 8
export CG_TestModelPrevSkin_f
proc CG_TestModelPrevSkin_f 4 8
line 118
;117:
;118:void CG_TestModelPrevSkin_f (void) {
line 119
;119:	cg.testModelEntity.skinNum--;
ADDRLP4 0
ADDRGP4 cg+113868+104
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
line 120
;120:	if ( cg.testModelEntity.skinNum < 0 ) {
ADDRGP4 cg+113868+104
INDIRI4
CNSTI4 0
GEI4 $169
line 121
;121:		cg.testModelEntity.skinNum = 0;
ADDRGP4 cg+113868+104
CNSTI4 0
ASGNI4
line 122
;122:	}
LABELV $169
line 123
;123:	CG_Printf( "skin %i\n", cg.testModelEntity.skinNum );
ADDRGP4 $163
ARGP4
ADDRGP4 cg+113868+104
INDIRI4
ARGI4
ADDRGP4 CG_Printf
CALLV
pop
line 124
;124:}
LABELV $166
endproc CG_TestModelPrevSkin_f 4 8
proc CG_AddTestModel 32 4
line 126
;125:
;126:static void CG_AddTestModel (void) {
line 130
;127:	int		i;
;128:
;129:	// re-register the model, because the level may have changed
;130:	cg.testModelEntity.hModel = trap_R_RegisterModel( cg.testModelName );
ADDRGP4 cg+114028
ARGP4
ADDRLP4 4
ADDRGP4 trap_R_RegisterModel
CALLI4
ASGNI4
ADDRGP4 cg+113868+8
ADDRLP4 4
INDIRI4
ASGNI4
line 131
;131:	if (! cg.testModelEntity.hModel ) {
ADDRGP4 cg+113868+8
INDIRI4
CNSTI4 0
NEI4 $181
line 132
;132:		CG_Printf ("Can't register model\n");
ADDRGP4 $107
ARGP4
ADDRGP4 CG_Printf
CALLV
pop
line 133
;133:		return;
ADDRGP4 $177
JUMPV
LABELV $181
line 137
;134:	}
;135:
;136:	// if testing a gun, set the origin reletive to the view origin
;137:	if ( cg.testGun ) {
ADDRGP4 cg+114092
INDIRI4
CNSTI4 0
EQI4 $185
line 138
;138:		VectorCopy( cg.refdef.vieworg, cg.testModelEntity.origin );
ADDRGP4 cg+113868+68
ADDRGP4 cg+106840+24
INDIRB
ASGNB 12
line 139
;139:		VectorCopy( cg.refdef.viewaxis[0], cg.testModelEntity.axis[0] );
ADDRGP4 cg+113868+28
ADDRGP4 cg+106840+36
INDIRB
ASGNB 12
line 140
;140:		VectorCopy( cg.refdef.viewaxis[1], cg.testModelEntity.axis[1] );
ADDRGP4 cg+113868+28+12
ADDRGP4 cg+106840+36+12
INDIRB
ASGNB 12
line 141
;141:		VectorCopy( cg.refdef.viewaxis[2], cg.testModelEntity.axis[2] );
ADDRGP4 cg+113868+28+24
ADDRGP4 cg+106840+36+24
INDIRB
ASGNB 12
line 144
;142:
;143:		// allow the position to be adjusted
;144:		for (i=0 ; i<3 ; i++) {
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $208
line 145
;145:			cg.testModelEntity.origin[i] += cg.refdef.viewaxis[0][i] * cg_gun_x.value;
ADDRLP4 8
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ASGNI4
ADDRLP4 12
ADDRLP4 8
INDIRI4
ADDRGP4 cg+113868+68
ADDP4
ASGNP4
ADDRLP4 12
INDIRP4
ADDRLP4 12
INDIRP4
INDIRF4
ADDRLP4 8
INDIRI4
ADDRGP4 cg+106840+36
ADDP4
INDIRF4
ADDRGP4 cg_gun_x+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 146
;146:			cg.testModelEntity.origin[i] += cg.refdef.viewaxis[1][i] * cg_gun_y.value;
ADDRLP4 16
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ASGNI4
ADDRLP4 20
ADDRLP4 16
INDIRI4
ADDRGP4 cg+113868+68
ADDP4
ASGNP4
ADDRLP4 20
INDIRP4
ADDRLP4 20
INDIRP4
INDIRF4
ADDRLP4 16
INDIRI4
ADDRGP4 cg+106840+36+12
ADDP4
INDIRF4
ADDRGP4 cg_gun_y+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 147
;147:			cg.testModelEntity.origin[i] += cg.refdef.viewaxis[2][i] * cg_gun_z.value;
ADDRLP4 24
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ASGNI4
ADDRLP4 28
ADDRLP4 24
INDIRI4
ADDRGP4 cg+113868+68
ADDP4
ASGNP4
ADDRLP4 28
INDIRP4
ADDRLP4 28
INDIRP4
INDIRF4
ADDRLP4 24
INDIRI4
ADDRGP4 cg+106840+36+24
ADDP4
INDIRF4
ADDRGP4 cg_gun_z+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 148
;148:		}
LABELV $209
line 144
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 3
LTI4 $208
line 149
;149:	}
LABELV $185
line 151
;150:
;151:	trap_R_AddRefEntityToScene( &cg.testModelEntity );
ADDRGP4 cg+113868
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 152
;152:}
LABELV $177
endproc CG_AddTestModel 32 4
proc CG_CalcVrect 12 8
line 166
;153:
;154:
;155:
;156://============================================================================
;157:
;158:
;159:/*
;160:=================
;161:CG_CalcVrect
;162:
;163:Sets the coordinates of the rendered window
;164:=================
;165:*/
;166:static void CG_CalcVrect (void) {
line 170
;167:	int		size;
;168:
;169:	// the intermission should allways be full screen
;170:	if ( cg.snap->ps.pm_type == PM_INTERMISSION ) {
ADDRGP4 cg+32
INDIRP4
CNSTI4 48
ADDP4
INDIRI4
CNSTI4 5
NEI4 $231
line 171
;171:		size = 100;
ADDRLP4 0
CNSTI4 100
ASGNI4
line 172
;172:	} else {
ADDRGP4 $232
JUMPV
LABELV $231
line 174
;173:		// bound normal viewsize
;174:		if (cg_viewsize.integer < 30) {
ADDRGP4 cg_viewsize+12
INDIRI4
CNSTI4 30
GEI4 $234
line 175
;175:			trap_Cvar_Set ("cg_viewsize","30");
ADDRGP4 $237
ARGP4
ADDRGP4 $238
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 176
;176:			size = 30;
ADDRLP4 0
CNSTI4 30
ASGNI4
line 177
;177:		} else if (cg_viewsize.integer > 100) {
ADDRGP4 $235
JUMPV
LABELV $234
ADDRGP4 cg_viewsize+12
INDIRI4
CNSTI4 100
LEI4 $239
line 178
;178:			trap_Cvar_Set ("cg_viewsize","100");
ADDRGP4 $237
ARGP4
ADDRGP4 $242
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 179
;179:			size = 100;
ADDRLP4 0
CNSTI4 100
ASGNI4
line 180
;180:		} else {
ADDRGP4 $240
JUMPV
LABELV $239
line 181
;181:			size = cg_viewsize.integer;
ADDRLP4 0
ADDRGP4 cg_viewsize+12
INDIRI4
ASGNI4
line 182
;182:		}
LABELV $240
LABELV $235
line 184
;183:
;184:	}
LABELV $232
line 185
;185:	cg.refdef.width = cgs.glconfig.vidWidth*size/100;
ADDRGP4 cg+106840+8
ADDRGP4 cgs+20100+5164
INDIRI4
ADDRLP4 0
INDIRI4
MULI4
CNSTI4 100
DIVI4
ASGNI4
line 186
;186:	cg.refdef.width &= ~1;
ADDRLP4 4
ADDRGP4 cg+106840+8
ASGNP4
ADDRLP4 4
INDIRP4
ADDRLP4 4
INDIRP4
INDIRI4
CNSTI4 -2
BANDI4
ASGNI4
line 188
;187:
;188:	cg.refdef.height = cgs.glconfig.vidHeight*size/100;
ADDRGP4 cg+106840+12
ADDRGP4 cgs+20100+5168
INDIRI4
ADDRLP4 0
INDIRI4
MULI4
CNSTI4 100
DIVI4
ASGNI4
line 189
;189:	cg.refdef.height &= ~1;
ADDRLP4 8
ADDRGP4 cg+106840+12
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRI4
CNSTI4 -2
BANDI4
ASGNI4
line 191
;190:
;191:	cg.refdef.x = (cgs.glconfig.vidWidth - cg.refdef.width)/2;
ADDRGP4 cg+106840
ADDRGP4 cgs+20100+5164
INDIRI4
ADDRGP4 cg+106840+8
INDIRI4
SUBI4
CNSTI4 2
DIVI4
ASGNI4
line 192
;192:	cg.refdef.y = (cgs.glconfig.vidHeight - cg.refdef.height)/2;
ADDRGP4 cg+106840+4
ADDRGP4 cgs+20100+5168
INDIRI4
ADDRGP4 cg+106840+12
INDIRI4
SUBI4
CNSTI4 2
DIVI4
ASGNI4
line 193
;193:}
LABELV $230
endproc CG_CalcVrect 12 8
data
align 4
LABELV $268
byte 4 3229614080
byte 4 3229614080
byte 4 3229614080
align 4
LABELV $269
byte 4 1082130432
byte 4 1082130432
byte 4 1082130432
code
proc CG_OffsetThirdPersonView 188 28
line 205
;194:
;195://==============================================================================
;196:
;197:
;198:/*
;199:===============
;200:CG_OffsetThirdPersonView
;201:
;202:===============
;203:*/
;204:#define	FOCUS_DISTANCE	512
;205:static void CG_OffsetThirdPersonView( void ) {
line 216
;206:	vec3_t		forward, right, up;
;207:	vec3_t		view;
;208:	vec3_t		focusAngles;
;209:	trace_t		trace;
;210:	static vec3_t	mins = { -4, -4, -4 };
;211:	static vec3_t	maxs = { 4, 4, 4 };
;212:	vec3_t		focusPoint;
;213:	float		focusDist;
;214:	float		forwardScale, sideScale;
;215:
;216:	cg.refdef.vieworg[2] += cg.predictedPlayerState.viewheight;
ADDRLP4 140
ADDRGP4 cg+106840+24+8
ASGNP4
ADDRLP4 140
INDIRP4
ADDRLP4 140
INDIRP4
INDIRF4
ADDRGP4 cg+105580+180
INDIRI4
CVIF4 4
ADDF4
ASGNF4
line 218
;217:
;218:	VectorCopy( cg.refdefViewAngles, focusAngles );
ADDRLP4 48
ADDRGP4 cg+106952
INDIRB
ASGNB 12
line 221
;219:
;220:	// if dead, look at killer
;221:	if ( cg.predictedPlayerState.stats[STAT_HEALTH] <= 0 ) {
ADDRGP4 cg+105580+204
INDIRI4
CNSTI4 0
GTI4 $276
line 222
;222:		focusAngles[YAW] = cg.predictedPlayerState.stats[STAT_DEAD_YAW];
ADDRLP4 48+4
ADDRGP4 cg+105580+204+16
INDIRI4
CVIF4 4
ASGNF4
line 223
;223:		cg.refdefViewAngles[YAW] = cg.predictedPlayerState.stats[STAT_DEAD_YAW];
ADDRGP4 cg+106952+4
ADDRGP4 cg+105580+204+16
INDIRI4
CVIF4 4
ASGNF4
line 224
;224:	}
LABELV $276
line 226
;225:
;226:	if ( focusAngles[PITCH] > 45 ) {
ADDRLP4 48
INDIRF4
CNSTF4 1110704128
LEF4 $289
line 227
;227:		focusAngles[PITCH] = 45;		// don't go too far overhead
ADDRLP4 48
CNSTF4 1110704128
ASGNF4
line 228
;228:	}
LABELV $289
line 229
;229:	AngleVectors( focusAngles, forward, NULL, NULL );
ADDRLP4 48
ARGP4
ADDRLP4 24
ARGP4
ADDRLP4 144
CNSTP4 0
ASGNP4
ADDRLP4 144
INDIRP4
ARGP4
ADDRLP4 144
INDIRP4
ARGP4
ADDRGP4 AngleVectors
CALLV
pop
line 231
;230:
;231:	VectorMA( cg.refdef.vieworg, FOCUS_DISTANCE, forward, focusPoint );
ADDRLP4 148
CNSTF4 1140850688
ASGNF4
ADDRLP4 12
ADDRGP4 cg+106840+24
INDIRF4
ADDRLP4 148
INDIRF4
ADDRLP4 24
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 12+4
ADDRGP4 cg+106840+24+4
INDIRF4
ADDRLP4 148
INDIRF4
ADDRLP4 24+4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 12+8
ADDRGP4 cg+106840+24+8
INDIRF4
CNSTF4 1140850688
ADDRLP4 24+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 233
;232:
;233:	VectorCopy( cg.refdef.vieworg, view );
ADDRLP4 0
ADDRGP4 cg+106840+24
INDIRB
ASGNB 12
line 235
;234:
;235:	view[2] += 8;
ADDRLP4 0+8
ADDRLP4 0+8
INDIRF4
CNSTF4 1090519040
ADDF4
ASGNF4
line 237
;236:
;237:	cg.refdefViewAngles[PITCH] *= 0.5;
ADDRLP4 152
ADDRGP4 cg+106952
ASGNP4
ADDRLP4 152
INDIRP4
CNSTF4 1056964608
ADDRLP4 152
INDIRP4
INDIRF4
MULF4
ASGNF4
line 239
;238:
;239:	AngleVectors( cg.refdefViewAngles, forward, right, up );
ADDRGP4 cg+106952
ARGP4
ADDRLP4 24
ARGP4
ADDRLP4 36
ARGP4
ADDRLP4 128
ARGP4
ADDRGP4 AngleVectors
CALLV
pop
line 241
;240:
;241:	forwardScale = cos( cg_thirdPersonAngle.value / 180 * M_PI );
CNSTF4 1078530011
ADDRGP4 cg_thirdPersonAngle+8
INDIRF4
CNSTF4 1127481344
DIVF4
MULF4
ARGF4
ADDRLP4 156
ADDRGP4 cos
CALLF4
ASGNF4
ADDRLP4 116
ADDRLP4 156
INDIRF4
ASGNF4
line 242
;242:	sideScale = sin( cg_thirdPersonAngle.value / 180 * M_PI );
CNSTF4 1078530011
ADDRGP4 cg_thirdPersonAngle+8
INDIRF4
CNSTF4 1127481344
DIVF4
MULF4
ARGF4
ADDRLP4 160
ADDRGP4 sin
CALLF4
ASGNF4
ADDRLP4 120
ADDRLP4 160
INDIRF4
ASGNF4
line 243
;243:	VectorMA( view, -cg_thirdPersonRange.value * forwardScale, forward, view );
ADDRLP4 0
ADDRLP4 0
INDIRF4
ADDRLP4 24
INDIRF4
ADDRGP4 cg_thirdPersonRange+8
INDIRF4
NEGF4
ADDRLP4 116
INDIRF4
MULF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 0+4
INDIRF4
ADDRLP4 24+4
INDIRF4
ADDRGP4 cg_thirdPersonRange+8
INDIRF4
NEGF4
ADDRLP4 116
INDIRF4
MULF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+8
ADDRLP4 0+8
INDIRF4
ADDRLP4 24+8
INDIRF4
ADDRGP4 cg_thirdPersonRange+8
INDIRF4
NEGF4
ADDRLP4 116
INDIRF4
MULF4
MULF4
ADDF4
ASGNF4
line 244
;244:	VectorMA( view, -cg_thirdPersonRange.value * sideScale, right, view );
ADDRLP4 0
ADDRLP4 0
INDIRF4
ADDRLP4 36
INDIRF4
ADDRGP4 cg_thirdPersonRange+8
INDIRF4
NEGF4
ADDRLP4 120
INDIRF4
MULF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 0+4
INDIRF4
ADDRLP4 36+4
INDIRF4
ADDRGP4 cg_thirdPersonRange+8
INDIRF4
NEGF4
ADDRLP4 120
INDIRF4
MULF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+8
ADDRLP4 0+8
INDIRF4
ADDRLP4 36+8
INDIRF4
ADDRGP4 cg_thirdPersonRange+8
INDIRF4
NEGF4
ADDRLP4 120
INDIRF4
MULF4
MULF4
ADDF4
ASGNF4
line 249
;245:
;246:	// trace a ray from the origin to the viewpoint to make sure the view isn't
;247:	// in a solid block.  Use an 8 by 8 block to prevent the view from near clipping anything
;248:
;249:	CG_Trace( &trace, cg.refdef.vieworg, mins, maxs, view, cg.predictedPlayerState.clientNum, MASK_SOLID );
ADDRLP4 60
ARGP4
ADDRGP4 cg+106840+24
ARGP4
ADDRGP4 $268
ARGP4
ADDRGP4 $269
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 cg+105580+156
INDIRI4
ARGI4
CNSTI4 1
ARGI4
ADDRGP4 CG_Trace
CALLV
pop
line 251
;250:
;251:	if ( trace.fraction != 1.0 ) {
ADDRLP4 60+8
INDIRF4
CNSTF4 1065353216
EQF4 $332
line 252
;252:		VectorCopy( trace.endpos, view );
ADDRLP4 0
ADDRLP4 60+12
INDIRB
ASGNB 12
line 253
;253:		view[2] += (1.0 - trace.fraction) * 32;
ADDRLP4 0+8
ADDRLP4 0+8
INDIRF4
CNSTF4 1107296256
CNSTF4 1065353216
ADDRLP4 60+8
INDIRF4
SUBF4
MULF4
ADDF4
ASGNF4
line 257
;254:		// try another trace to this position, because a tunnel may have the ceiling
;255:		// close enogh that this is poking out
;256:
;257:		CG_Trace( &trace, cg.refdef.vieworg, mins, maxs, view, cg.predictedPlayerState.clientNum, MASK_SOLID );
ADDRLP4 60
ARGP4
ADDRGP4 cg+106840+24
ARGP4
ADDRGP4 $268
ARGP4
ADDRGP4 $269
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 cg+105580+156
INDIRI4
ARGI4
CNSTI4 1
ARGI4
ADDRGP4 CG_Trace
CALLV
pop
line 258
;258:		VectorCopy( trace.endpos, view );
ADDRLP4 0
ADDRLP4 60+12
INDIRB
ASGNB 12
line 259
;259:	}
LABELV $332
line 262
;260:
;261:
;262:	VectorCopy( view, cg.refdef.vieworg );
ADDRGP4 cg+106840+24
ADDRLP4 0
INDIRB
ASGNB 12
line 265
;263:
;264:	// select pitch to look at focus point from vieword
;265:	VectorSubtract( focusPoint, cg.refdef.vieworg, focusPoint );
ADDRLP4 12
ADDRLP4 12
INDIRF4
ADDRGP4 cg+106840+24
INDIRF4
SUBF4
ASGNF4
ADDRLP4 12+4
ADDRLP4 12+4
INDIRF4
ADDRGP4 cg+106840+24+4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 12+8
ADDRLP4 12+8
INDIRF4
ADDRGP4 cg+106840+24+8
INDIRF4
SUBF4
ASGNF4
line 266
;266:	focusDist = sqrt( focusPoint[0] * focusPoint[0] + focusPoint[1] * focusPoint[1] );
ADDRLP4 172
ADDRLP4 12
INDIRF4
ASGNF4
ADDRLP4 172
INDIRF4
ADDRLP4 172
INDIRF4
MULF4
ADDRLP4 12+4
INDIRF4
ADDRLP4 12+4
INDIRF4
MULF4
ADDF4
ARGF4
ADDRLP4 176
ADDRGP4 sqrt
CALLF4
ASGNF4
ADDRLP4 124
ADDRLP4 176
INDIRF4
ASGNF4
line 267
;267:	if ( focusDist < 1 ) {
ADDRLP4 124
INDIRF4
CNSTF4 1065353216
GEF4 $359
line 268
;268:		focusDist = 1;	// should never happen
ADDRLP4 124
CNSTF4 1065353216
ASGNF4
line 269
;269:	}
LABELV $359
line 270
;270:	cg.refdefViewAngles[PITCH] = -180 / M_PI * atan2( focusPoint[2], focusDist );
ADDRLP4 12+8
INDIRF4
ARGF4
ADDRLP4 124
INDIRF4
ARGF4
ADDRLP4 180
ADDRGP4 atan2
CALLF4
ASGNF4
ADDRGP4 cg+106952
CNSTF4 3261411041
ADDRLP4 180
INDIRF4
MULF4
ASGNF4
line 271
;271:	cg.refdefViewAngles[YAW] -= cg_thirdPersonAngle.value;
ADDRLP4 184
ADDRGP4 cg+106952+4
ASGNP4
ADDRLP4 184
INDIRP4
ADDRLP4 184
INDIRP4
INDIRF4
ADDRGP4 cg_thirdPersonAngle+8
INDIRF4
SUBF4
ASGNF4
line 272
;272:}
LABELV $267
endproc CG_OffsetThirdPersonView 188 28
proc CG_StepOffset 8 0
line 276
;273:
;274:
;275:// this causes a compiler bug on mac MrC compiler
;276:static void CG_StepOffset( void ) {
line 280
;277:	int		timeDelta;
;278:	
;279:	// smooth out stair climbing
;280:	timeDelta = cg.time - cg.stepTime;
ADDRLP4 0
ADDRGP4 cg+105552
INDIRI4
ADDRGP4 cg+106720
INDIRI4
SUBI4
ASGNI4
line 281
;281:	if ( timeDelta < STEP_TIME ) {
ADDRLP4 0
INDIRI4
CNSTI4 200
GEI4 $369
line 282
;282:		cg.refdef.vieworg[2] -= cg.stepChange 
ADDRLP4 4
ADDRGP4 cg+106840+24+8
ASGNP4
ADDRLP4 4
INDIRP4
ADDRLP4 4
INDIRP4
INDIRF4
ADDRGP4 cg+106716
INDIRF4
CNSTI4 200
ADDRLP4 0
INDIRI4
SUBI4
CVIF4 4
MULF4
CNSTF4 1128792064
DIVF4
SUBF4
ASGNF4
line 284
;283:			* (STEP_TIME - timeDelta) / STEP_TIME;
;284:	}
LABELV $369
line 285
;285:}
LABELV $366
endproc CG_StepOffset 8 0
proc CG_OffsetFirstPersonView 96 0
line 293
;286:
;287:/*
;288:===============
;289:CG_OffsetFirstPersonView
;290:
;291:===============
;292:*/
;293:static void CG_OffsetFirstPersonView( void ) {
line 304
;294:	float			*origin;
;295:	float			*angles;
;296:	float			bob;
;297:	float			ratio;
;298:	float			delta;
;299:	float			speed;
;300:	float			f;
;301:	vec3_t			predictedVelocity;
;302:	int				timeDelta;
;303:	
;304:	if ( cg.snap->ps.pm_type == PM_INTERMISSION ) {
ADDRGP4 cg+32
INDIRP4
CNSTI4 48
ADDP4
INDIRI4
CNSTI4 5
NEI4 $376
line 305
;305:		return;
ADDRGP4 $375
JUMPV
LABELV $376
line 308
;306:	}
;307:
;308:	origin = cg.refdef.vieworg;
ADDRLP4 8
ADDRGP4 cg+106840+24
ASGNP4
line 309
;309:	angles = cg.refdefViewAngles;
ADDRLP4 4
ADDRGP4 cg+106952
ASGNP4
line 312
;310:
;311:	// if dead, fix the angle and don't add any kick
;312:	if ( cg.snap->ps.stats[STAT_HEALTH] <= 0 ) {
ADDRGP4 cg+32
INDIRP4
CNSTI4 248
ADDP4
INDIRI4
CNSTI4 0
GTI4 $382
line 313
;313:		angles[ROLL] = 40;
ADDRLP4 4
INDIRP4
CNSTI4 8
ADDP4
CNSTF4 1109393408
ASGNF4
line 314
;314:		angles[PITCH] = -15;
ADDRLP4 4
INDIRP4
CNSTF4 3245342720
ASGNF4
line 315
;315:		angles[YAW] = cg.snap->ps.stats[STAT_DEAD_YAW];
ADDRLP4 4
INDIRP4
CNSTI4 4
ADDP4
ADDRGP4 cg+32
INDIRP4
CNSTI4 264
ADDP4
INDIRI4
CVIF4 4
ASGNF4
line 316
;316:		origin[2] += cg.predictedPlayerState.viewheight;
ADDRLP4 44
ADDRLP4 8
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 44
INDIRP4
ADDRLP4 44
INDIRP4
INDIRF4
ADDRGP4 cg+105580+180
INDIRI4
CVIF4 4
ADDF4
ASGNF4
line 317
;317:		return;
ADDRGP4 $375
JUMPV
LABELV $382
line 321
;318:	}
;319:
;320:	// add angles based on weapon kick
;321:	VectorAdd (angles, cg.kick_angles, angles);
ADDRLP4 4
INDIRP4
ADDRLP4 4
INDIRP4
INDIRF4
ADDRGP4 cg+113820
INDIRF4
ADDF4
ASGNF4
ADDRLP4 48
ADDRLP4 4
INDIRP4
CNSTI4 4
ADDP4
ASGNP4
ADDRLP4 48
INDIRP4
ADDRLP4 48
INDIRP4
INDIRF4
ADDRGP4 cg+113820+4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 52
ADDRLP4 4
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 52
INDIRP4
ADDRLP4 52
INDIRP4
INDIRF4
ADDRGP4 cg+113820+8
INDIRF4
ADDF4
ASGNF4
line 324
;322:
;323:	// add angles based on damage kick
;324:	if ( cg.damageTime ) {
ADDRGP4 cg+113780
INDIRF4
CNSTF4 0
EQF4 $393
line 325
;325:		ratio = cg.time - cg.damageTime;
ADDRLP4 32
ADDRGP4 cg+105552
INDIRI4
CVIF4 4
ADDRGP4 cg+113780
INDIRF4
SUBF4
ASGNF4
line 326
;326:		if ( ratio < DAMAGE_DEFLECT_TIME ) {
ADDRLP4 32
INDIRF4
CNSTF4 1120403456
GEF4 $398
line 327
;327:			ratio /= DAMAGE_DEFLECT_TIME;
ADDRLP4 32
ADDRLP4 32
INDIRF4
CNSTF4 1120403456
DIVF4
ASGNF4
line 328
;328:			angles[PITCH] += ratio * cg.v_dmg_pitch;
ADDRLP4 4
INDIRP4
ADDRLP4 4
INDIRP4
INDIRF4
ADDRLP4 32
INDIRF4
ADDRGP4 cg+113812
INDIRF4
MULF4
ADDF4
ASGNF4
line 329
;329:			angles[ROLL] += ratio * cg.v_dmg_roll;
ADDRLP4 60
ADDRLP4 4
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 60
INDIRP4
ADDRLP4 60
INDIRP4
INDIRF4
ADDRLP4 32
INDIRF4
ADDRGP4 cg+113816
INDIRF4
MULF4
ADDF4
ASGNF4
line 330
;330:		} else {
ADDRGP4 $399
JUMPV
LABELV $398
line 331
;331:			ratio = 1.0 - ( ratio - DAMAGE_DEFLECT_TIME ) / DAMAGE_RETURN_TIME;
ADDRLP4 32
CNSTF4 1065353216
ADDRLP4 32
INDIRF4
CNSTF4 1120403456
SUBF4
CNSTF4 1137180672
DIVF4
SUBF4
ASGNF4
line 332
;332:			if ( ratio > 0 ) {
ADDRLP4 32
INDIRF4
CNSTF4 0
LEF4 $402
line 333
;333:				angles[PITCH] += ratio * cg.v_dmg_pitch;
ADDRLP4 4
INDIRP4
ADDRLP4 4
INDIRP4
INDIRF4
ADDRLP4 32
INDIRF4
ADDRGP4 cg+113812
INDIRF4
MULF4
ADDF4
ASGNF4
line 334
;334:				angles[ROLL] += ratio * cg.v_dmg_roll;
ADDRLP4 60
ADDRLP4 4
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 60
INDIRP4
ADDRLP4 60
INDIRP4
INDIRF4
ADDRLP4 32
INDIRF4
ADDRGP4 cg+113816
INDIRF4
MULF4
ADDF4
ASGNF4
line 335
;335:			}
LABELV $402
line 336
;336:		}
LABELV $399
line 337
;337:	}
LABELV $393
line 348
;338:
;339:	// add pitch based on fall kick
;340:#if 0
;341:	ratio = ( cg.time - cg.landTime) / FALL_TIME;
;342:	if (ratio < 0)
;343:		ratio = 0;
;344:	angles[PITCH] += ratio * cg.fall_value;
;345:#endif
;346:
;347:	// add angles based on velocity
;348:	VectorCopy( cg.predictedPlayerState.velocity, predictedVelocity );
ADDRLP4 12
ADDRGP4 cg+105580+32
INDIRB
ASGNB 12
line 350
;349:
;350:	delta = DotProduct ( predictedVelocity, cg.refdef.viewaxis[0]);
ADDRLP4 0
ADDRLP4 12
INDIRF4
ADDRGP4 cg+106840+36
INDIRF4
MULF4
ADDRLP4 12+4
INDIRF4
ADDRGP4 cg+106840+36+4
INDIRF4
MULF4
ADDF4
ADDRLP4 12+8
INDIRF4
ADDRGP4 cg+106840+36+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 351
;351:	angles[PITCH] += delta * cg_runpitch.value;
ADDRLP4 4
INDIRP4
ADDRLP4 4
INDIRP4
INDIRF4
ADDRLP4 0
INDIRF4
ADDRGP4 cg_runpitch+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 353
;352:	
;353:	delta = DotProduct ( predictedVelocity, cg.refdef.viewaxis[1]);
ADDRLP4 0
ADDRLP4 12
INDIRF4
ADDRGP4 cg+106840+36+12
INDIRF4
MULF4
ADDRLP4 12+4
INDIRF4
ADDRGP4 cg+106840+36+12+4
INDIRF4
MULF4
ADDF4
ADDRLP4 12+8
INDIRF4
ADDRGP4 cg+106840+36+12+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 354
;354:	angles[ROLL] -= delta * cg_runroll.value;
ADDRLP4 60
ADDRLP4 4
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 60
INDIRP4
ADDRLP4 60
INDIRP4
INDIRF4
ADDRLP4 0
INDIRF4
ADDRGP4 cg_runroll+8
INDIRF4
MULF4
SUBF4
ASGNF4
line 359
;355:
;356:	// add angles based on bob
;357:
;358:	// make sure the bob is visible even at low speeds
;359:	speed = cg.xyspeed > 200 ? cg.xyspeed : 200;
ADDRGP4 cg+113852
INDIRF4
CNSTF4 1128792064
LEF4 $436
ADDRLP4 64
ADDRGP4 cg+113852
INDIRF4
ASGNF4
ADDRGP4 $437
JUMPV
LABELV $436
ADDRLP4 64
CNSTF4 1128792064
ASGNF4
LABELV $437
ADDRLP4 28
ADDRLP4 64
INDIRF4
ASGNF4
line 361
;360:
;361:	delta = cg.bobfracsin * cg_bobpitch.value * speed;
ADDRLP4 0
ADDRGP4 cg+113844
INDIRF4
ADDRGP4 cg_bobpitch+8
INDIRF4
MULF4
ADDRLP4 28
INDIRF4
MULF4
ASGNF4
line 362
;362:	if (cg.predictedPlayerState.pm_flags & PMF_DUCKED)
ADDRGP4 cg+105580+12
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
EQI4 $440
line 363
;363:		delta *= 3;		// crouching
ADDRLP4 0
CNSTF4 1077936128
ADDRLP4 0
INDIRF4
MULF4
ASGNF4
LABELV $440
line 364
;364:	angles[PITCH] += delta;
ADDRLP4 4
INDIRP4
ADDRLP4 4
INDIRP4
INDIRF4
ADDRLP4 0
INDIRF4
ADDF4
ASGNF4
line 365
;365:	delta = cg.bobfracsin * cg_bobroll.value * speed;
ADDRLP4 0
ADDRGP4 cg+113844
INDIRF4
ADDRGP4 cg_bobroll+8
INDIRF4
MULF4
ADDRLP4 28
INDIRF4
MULF4
ASGNF4
line 366
;366:	if (cg.predictedPlayerState.pm_flags & PMF_DUCKED)
ADDRGP4 cg+105580+12
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
EQI4 $446
line 367
;367:		delta *= 3;		// crouching accentuates roll
ADDRLP4 0
CNSTF4 1077936128
ADDRLP4 0
INDIRF4
MULF4
ASGNF4
LABELV $446
line 368
;368:	if (cg.bobcycle & 1)
ADDRGP4 cg+113848
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
EQI4 $450
line 369
;369:		delta = -delta;
ADDRLP4 0
ADDRLP4 0
INDIRF4
NEGF4
ASGNF4
LABELV $450
line 370
;370:	angles[ROLL] += delta;
ADDRLP4 72
ADDRLP4 4
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 72
INDIRP4
ADDRLP4 72
INDIRP4
INDIRF4
ADDRLP4 0
INDIRF4
ADDF4
ASGNF4
line 375
;371:
;372://===================================
;373:
;374:	// add view height
;375:	origin[2] += cg.predictedPlayerState.viewheight;
ADDRLP4 76
ADDRLP4 8
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 76
INDIRP4
ADDRLP4 76
INDIRP4
INDIRF4
ADDRGP4 cg+105580+180
INDIRI4
CVIF4 4
ADDF4
ASGNF4
line 378
;376:
;377:	// smooth out duck height changes
;378:	timeDelta = cg.time - cg.duckTime;
ADDRLP4 36
ADDRGP4 cg+105552
INDIRI4
ADDRGP4 cg+106728
INDIRI4
SUBI4
ASGNI4
line 379
;379:	if ( timeDelta < DUCK_TIME) {
ADDRLP4 36
INDIRI4
CNSTI4 100
GEI4 $457
line 380
;380:		cg.refdef.vieworg[2] -= cg.duckChange 
ADDRLP4 80
ADDRGP4 cg+106840+24+8
ASGNP4
ADDRLP4 80
INDIRP4
ADDRLP4 80
INDIRP4
INDIRF4
ADDRGP4 cg+106724
INDIRF4
CNSTI4 100
ADDRLP4 36
INDIRI4
SUBI4
CVIF4 4
MULF4
CNSTF4 1120403456
DIVF4
SUBF4
ASGNF4
line 382
;381:			* (DUCK_TIME - timeDelta) / DUCK_TIME;
;382:	}
LABELV $457
line 385
;383:
;384:	// add bob height
;385:	bob = cg.bobfracsin * cg.xyspeed * cg_bobup.value;
ADDRLP4 24
ADDRGP4 cg+113844
INDIRF4
ADDRGP4 cg+113852
INDIRF4
MULF4
ADDRGP4 cg_bobup+8
INDIRF4
MULF4
ASGNF4
line 386
;386:	if (bob > 6) {
ADDRLP4 24
INDIRF4
CNSTF4 1086324736
LEF4 $466
line 387
;387:		bob = 6;
ADDRLP4 24
CNSTF4 1086324736
ASGNF4
line 388
;388:	}
LABELV $466
line 390
;389:
;390:	origin[2] += bob;
ADDRLP4 80
ADDRLP4 8
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 80
INDIRP4
ADDRLP4 80
INDIRP4
INDIRF4
ADDRLP4 24
INDIRF4
ADDF4
ASGNF4
line 394
;391:
;392:
;393:	// add fall height
;394:	delta = cg.time - cg.landTime;
ADDRLP4 0
ADDRGP4 cg+105552
INDIRI4
ADDRGP4 cg+106736
INDIRI4
SUBI4
CVIF4 4
ASGNF4
line 395
;395:	if ( delta < LAND_DEFLECT_TIME ) {
ADDRLP4 0
INDIRF4
CNSTF4 1125515264
GEF4 $470
line 396
;396:		f = delta / LAND_DEFLECT_TIME;
ADDRLP4 40
ADDRLP4 0
INDIRF4
CNSTF4 1125515264
DIVF4
ASGNF4
line 397
;397:		cg.refdef.vieworg[2] += cg.landChange * f;
ADDRLP4 84
ADDRGP4 cg+106840+24+8
ASGNP4
ADDRLP4 84
INDIRP4
ADDRLP4 84
INDIRP4
INDIRF4
ADDRGP4 cg+106732
INDIRF4
ADDRLP4 40
INDIRF4
MULF4
ADDF4
ASGNF4
line 398
;398:	} else if ( delta < LAND_DEFLECT_TIME + LAND_RETURN_TIME ) {
ADDRGP4 $471
JUMPV
LABELV $470
ADDRLP4 0
INDIRF4
CNSTF4 1138819072
GEF4 $476
line 399
;399:		delta -= LAND_DEFLECT_TIME;
ADDRLP4 0
ADDRLP4 0
INDIRF4
CNSTF4 1125515264
SUBF4
ASGNF4
line 400
;400:		f = 1.0 - ( delta / LAND_RETURN_TIME );
ADDRLP4 40
CNSTF4 1065353216
ADDRLP4 0
INDIRF4
CNSTF4 1133903872
DIVF4
SUBF4
ASGNF4
line 401
;401:		cg.refdef.vieworg[2] += cg.landChange * f;
ADDRLP4 84
ADDRGP4 cg+106840+24+8
ASGNP4
ADDRLP4 84
INDIRP4
ADDRLP4 84
INDIRP4
INDIRF4
ADDRGP4 cg+106732
INDIRF4
ADDRLP4 40
INDIRF4
MULF4
ADDF4
ASGNF4
line 402
;402:	}
LABELV $476
LABELV $471
line 405
;403:
;404:	// add step offset
;405:	CG_StepOffset();
ADDRGP4 CG_StepOffset
CALLV
pop
line 409
;406:
;407:	// add kick offset
;408:
;409:	VectorAdd (origin, cg.kick_origin, origin);
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRF4
ADDRGP4 cg+113832
INDIRF4
ADDF4
ASGNF4
ADDRLP4 88
ADDRLP4 8
INDIRP4
CNSTI4 4
ADDP4
ASGNP4
ADDRLP4 88
INDIRP4
ADDRLP4 88
INDIRP4
INDIRF4
ADDRGP4 cg+113832+4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 92
ADDRLP4 8
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 92
INDIRP4
ADDRLP4 92
INDIRP4
INDIRF4
ADDRGP4 cg+113832+8
INDIRF4
ADDF4
ASGNF4
line 423
;410:
;411:	// pivot the eye based on a neck length
;412:#if 0
;413:	{
;414:#define	NECK_LENGTH		8
;415:	vec3_t			forward, up;
;416: 
;417:	cg.refdef.vieworg[2] -= NECK_LENGTH;
;418:	AngleVectors( cg.refdefViewAngles, forward, NULL, up );
;419:	VectorMA( cg.refdef.vieworg, 3, forward, cg.refdef.vieworg );
;420:	VectorMA( cg.refdef.vieworg, NECK_LENGTH, up, cg.refdef.vieworg );
;421:	}
;422:#endif
;423:}
LABELV $375
endproc CG_OffsetFirstPersonView 96 0
export CG_CameraShake
proc CG_CameraShake 0 0
line 433
;424:
;425:
;426:/*
;427:-------------------------
;428:CGCam_Shake
;429:-------------------------
;430:*/
;431:
;432:void CG_CameraShake( float intensity, int duration )
;433:{
line 434
;434:	if ( intensity > MAX_SHAKE_INTENSITY )
ADDRFP4 0
INDIRF4
CNSTF4 1098907648
LEF4 $488
line 435
;435:		intensity = MAX_SHAKE_INTENSITY;
ADDRFP4 0
CNSTF4 1098907648
ASGNF4
LABELV $488
line 437
;436:
;437:	cg.shake_intensity = intensity;
ADDRGP4 cg+113856
ADDRFP4 0
INDIRF4
ASGNF4
line 438
;438:	cg.shake_duration = duration;
ADDRGP4 cg+113860
ADDRFP4 4
INDIRI4
ASGNI4
line 439
;439:	cg.shake_start = cg.time;
ADDRGP4 cg+113864
ADDRGP4 cg+105552
INDIRI4
ASGNI4
line 440
;440:}
LABELV $487
endproc CG_CameraShake 0 0
export CG_UpdateCameraShake
proc CG_UpdateCameraShake 56 0
line 454
;441:
;442:
;443:
;444:
;445:/*
;446:-------------------------
;447:CG_UpdateShake
;448:
;449:This doesn't actually affect the camera's info, but passed information instead
;450:-------------------------
;451:*/
;452:
;453:void CG_UpdateCameraShake( vec3_t origin, vec3_t angles )
;454:{
line 459
;455:	vec3_t	moveDir;
;456:	float	intensity_scale, intensity;
;457:	int		i;
;458:
;459:	if ( cg.shake_duration <= 0 )
ADDRGP4 cg+113860
INDIRI4
CNSTI4 0
GTI4 $495
line 460
;460:		return;
ADDRGP4 $494
JUMPV
LABELV $495
line 462
;461:
;462:	if ( cg.time > ( cg.shake_start + cg.shake_duration ) )
ADDRGP4 cg+105552
INDIRI4
ADDRGP4 cg+113864
INDIRI4
ADDRGP4 cg+113860
INDIRI4
ADDI4
LEI4 $498
line 463
;463:	{
line 464
;464:		cg.shake_intensity = 0;
ADDRGP4 cg+113856
CNSTF4 0
ASGNF4
line 465
;465:		cg.shake_duration = 0;
ADDRGP4 cg+113860
CNSTI4 0
ASGNI4
line 466
;466:		cg.shake_start = 0;
ADDRGP4 cg+113864
CNSTI4 0
ASGNI4
line 467
;467:		return;
ADDRGP4 $494
JUMPV
LABELV $498
line 471
;468:	}
;469:
;470:	//intensity_scale now also takes into account FOV with 90.0 as normal
;471:	intensity_scale = 1.0f - ( (float) ( cg.time - cg.shake_start ) / (float) cg.shake_duration ) * (cg.refdef.fov_x/90.0f);
ADDRLP4 20
CNSTF4 1065353216
ADDRGP4 cg+105552
INDIRI4
ADDRGP4 cg+113864
INDIRI4
SUBI4
CVIF4 4
ADDRGP4 cg+113860
INDIRI4
CVIF4 4
DIVF4
ADDRGP4 cg+106840+16
INDIRF4
CNSTF4 1119092736
DIVF4
MULF4
SUBF4
ASGNF4
line 473
;472:
;473:	intensity = cg.shake_intensity * intensity_scale;
ADDRLP4 16
ADDRGP4 cg+113856
INDIRF4
ADDRLP4 20
INDIRF4
MULF4
ASGNF4
line 475
;474:
;475:	for (i=0; i < 3; i++ )
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $512
line 476
;476:		moveDir[i] = ( crandom() * intensity );
ADDRLP4 24
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 4
ADDP4
CNSTF4 1073741824
ADDRLP4 24
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
ADDRLP4 16
INDIRF4
MULF4
ASGNF4
LABELV $513
line 475
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 3
LTI4 $512
line 481
;477:
;478:	//FIXME: Lerp
;479:
;480:	//Move the camera
;481:	VectorAdd( origin, moveDir, origin );
ADDRLP4 28
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 28
INDIRP4
ADDRLP4 28
INDIRP4
INDIRF4
ADDRLP4 4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 32
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
ASGNP4
ADDRLP4 32
INDIRP4
ADDRLP4 32
INDIRP4
INDIRF4
ADDRLP4 4+4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 36
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 36
INDIRP4
ADDRLP4 36
INDIRP4
INDIRF4
ADDRLP4 4+8
INDIRF4
ADDF4
ASGNF4
line 483
;482:
;483:	for ( i=0; i < 3; i++ )
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $518
line 484
;484:		moveDir[i] = ( crandom() * intensity );
ADDRLP4 40
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 4
ADDP4
CNSTF4 1073741824
ADDRLP4 40
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
ADDRLP4 16
INDIRF4
MULF4
ASGNF4
LABELV $519
line 483
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 3
LTI4 $518
line 489
;485:
;486:	//FIXME: Lerp
;487:
;488:	//Move the angles
;489:	VectorAdd( angles, moveDir, angles );
ADDRLP4 44
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 44
INDIRP4
ADDRLP4 44
INDIRP4
INDIRF4
ADDRLP4 4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 48
ADDRFP4 4
INDIRP4
CNSTI4 4
ADDP4
ASGNP4
ADDRLP4 48
INDIRP4
ADDRLP4 48
INDIRP4
INDIRF4
ADDRLP4 4+4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 52
ADDRFP4 4
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 52
INDIRP4
ADDRLP4 52
INDIRP4
INDIRF4
ADDRLP4 4+8
INDIRF4
ADDF4
ASGNF4
line 490
;490:}
LABELV $494
endproc CG_UpdateCameraShake 56 0
export CG_ZoomDown_f
proc CG_ZoomDown_f 4 16
line 496
;491:
;492:
;493://======================================================================
;494:
;495:void CG_ZoomDown_f( void )
;496:{ 
line 497
;497:	if (	cg.snap->ps.persistant[PERS_CLASS] != PC_NOCLASS 
ADDRLP4 0
CNSTI4 360
ASGNI4
ADDRGP4 cg+32
INDIRP4
ADDRLP4 0
INDIRI4
ADDP4
INDIRI4
CNSTI4 0
EQI4 $525
ADDRGP4 cg+32
INDIRP4
ADDRLP4 0
INDIRI4
ADDP4
INDIRI4
CNSTI4 9
EQI4 $525
ADDRGP4 cg+32
INDIRP4
ADDRLP4 0
INDIRI4
ADDP4
INDIRI4
CNSTI4 2
EQI4 $525
ADDRGP4 cg+32
INDIRP4
ADDRLP4 0
INDIRI4
ADDP4
INDIRI4
CNSTI4 7
EQI4 $525
line 501
;498:		&&	cg.snap->ps.persistant[PERS_CLASS] != PC_ACTIONHERO 
;499:		&&	cg.snap->ps.persistant[PERS_CLASS] != PC_SNIPER 
;500:		&&	cg.snap->ps.persistant[PERS_CLASS] != PC_BORG )
;501:	{//in a class-based game, only these can zoom
line 502
;502:		cg.zoomed = qfalse;
ADDRGP4 cg+106964
CNSTI4 0
ASGNI4
line 503
;503:		cg.zoomLocked = qfalse;
ADDRGP4 cg+106968
CNSTI4 0
ASGNI4
line 504
;504:		return;
ADDRGP4 $524
JUMPV
LABELV $525
line 508
;505:	}
;506:
;507:	// The zoom hasn't been started yet, so do it now
;508:	if ( !cg.zoomed )
ADDRGP4 cg+106964
INDIRI4
CNSTI4 0
NEI4 $533
line 509
;509:	{
line 510
;510:		cg.zoomLocked = qfalse;
ADDRGP4 cg+106968
CNSTI4 0
ASGNI4
line 511
;511:		cg.zoomed = qtrue;
ADDRGP4 cg+106964
CNSTI4 1
ASGNI4
line 512
;512:		cg_zoomFov.value = cg_fov.value;
ADDRGP4 cg_zoomFov+8
ADDRGP4 cg_fov+8
INDIRF4
ASGNF4
line 513
;513:		cg.zoomTime = cg.time;
ADDRGP4 cg+106972
ADDRGP4 cg+105552
INDIRI4
ASGNI4
line 514
;514:		trap_S_StartSound( cg.refdef.vieworg, ENTITYNUM_WORLD, CHAN_AUTO, cgs.media.zoomStart );
ADDRGP4 cg+106840+24
ARGP4
CNSTI4 1022
ARGI4
CNSTI4 0
ARGI4
ADDRGP4 cgs+195628+1456
INDIRI4
ARGI4
ADDRGP4 trap_S_StartSound
CALLV
pop
line 515
;515:		return;
ADDRGP4 $524
JUMPV
LABELV $533
line 519
;516:	}
;517:
;518:	// Can only snap out of the zoom mode if it has already been locked (CG_ZoomUp_f has been called)
;519:	if ( cg.zoomLocked )
ADDRGP4 cg+106968
INDIRI4
CNSTI4 0
EQI4 $546
line 520
;520:	{
line 522
;521:		// Snap out of zoom mode
;522:		cg.zoomed = qfalse;
ADDRGP4 cg+106964
CNSTI4 0
ASGNI4
line 523
;523:		cg.zoomTime = cg.time;
ADDRGP4 cg+106972
ADDRGP4 cg+105552
INDIRI4
ASGNI4
line 524
;524:		trap_S_StartSound( cg.refdef.vieworg, ENTITYNUM_WORLD, CHAN_AUTO, cgs.media.zoomEnd );
ADDRGP4 cg+106840+24
ARGP4
CNSTI4 1022
ARGI4
CNSTI4 0
ARGI4
ADDRGP4 cgs+195628+1464
INDIRI4
ARGI4
ADDRGP4 trap_S_StartSound
CALLV
pop
line 525
;525:	}
LABELV $546
line 526
;526:}
LABELV $524
endproc CG_ZoomDown_f 4 16
export CG_ZoomUp_f
proc CG_ZoomUp_f 0 0
line 529
;527: 
;528:void CG_ZoomUp_f( void )
;529:{ 
line 531
;530:
;531:	if ( cg.zoomed ) {
ADDRGP4 cg+106964
INDIRI4
CNSTI4 0
EQI4 $557
line 533
;532:		// Freeze the zoom mode
;533:		cg.zoomLocked = qtrue;
ADDRGP4 cg+106968
CNSTI4 1
ASGNI4
line 534
;534:	}
LABELV $557
line 535
;535:}
LABELV $556
endproc CG_ZoomUp_f 0 0
data
align 4
LABELV $601
byte 4 0
code
proc CG_CalcFov 52 16
line 549
;536:
;537:/*
;538:====================
;539:CG_CalcFov
;540:
;541:Fixed fov at intermissions, otherwise account for fov variable and zooms.
;542:====================
;543:*/
;544:#define	WAVE_AMPLITUDE	1
;545:#define	WAVE_FREQUENCY	0.4
;546:
;547:#define FOV_MAX			120
;548:
;549:static int CG_CalcFov( void ) {
line 559
;550:	float	x;
;551:	float	phase;
;552:	float	v;
;553:	int		contents;
;554:	float	fov_x, fov_y;
;555:	float	zoomFov;
;556:	float	f;
;557:	int		inwater;
;558:
;559:	if ( cg.predictedPlayerState.pm_type == PM_INTERMISSION ) {
ADDRGP4 cg+105580+4
INDIRI4
CNSTI4 5
NEI4 $562
line 561
;560:		// if in intermission, use a fixed value
;561:		fov_x = 90;
ADDRLP4 0
CNSTF4 1119092736
ASGNF4
line 562
;562:	} else {
ADDRGP4 $563
JUMPV
LABELV $562
line 564
;563:		// user selectable
;564:		if ( cgs.dmflags & DF_FIXED_FOV ) {
ADDRGP4 cgs+25340
INDIRI4
CNSTI4 16
BANDI4
CNSTI4 0
EQI4 $566
line 566
;565:			// dmflag to prevent wide fov for all clients
;566:			fov_x = 80;
ADDRLP4 0
CNSTF4 1117782016
ASGNF4
line 567
;567:		} else {
ADDRGP4 $567
JUMPV
LABELV $566
line 568
;568:			fov_x = cg_fov.value;
ADDRLP4 0
ADDRGP4 cg_fov+8
INDIRF4
ASGNF4
line 569
;569:			if ( fov_x < 1 ) {
ADDRLP4 0
INDIRF4
CNSTF4 1065353216
GEF4 $570
line 570
;570:				fov_x = 1;
ADDRLP4 0
CNSTF4 1065353216
ASGNF4
line 571
;571:			} else if ( fov_x > FOV_MAX ) {
ADDRGP4 $571
JUMPV
LABELV $570
ADDRLP4 0
INDIRF4
CNSTF4 1123024896
LEF4 $572
line 572
;572:				fov_x = FOV_MAX;
ADDRLP4 0
CNSTF4 1123024896
ASGNF4
line 573
;573:			}
LABELV $572
LABELV $571
line 574
;574:		}
LABELV $567
line 577
;575:
;576:		// account for zooms
;577:		zoomFov = cg_zoomFov.value;
ADDRLP4 20
ADDRGP4 cg_zoomFov+8
INDIRF4
ASGNF4
line 578
;578:		if ( zoomFov < 1 ) {
ADDRLP4 20
INDIRF4
CNSTF4 1065353216
GEF4 $575
line 579
;579:			zoomFov = 1;
ADDRLP4 20
CNSTF4 1065353216
ASGNF4
line 580
;580:		} else if ( zoomFov > FOV_MAX) {
ADDRGP4 $576
JUMPV
LABELV $575
ADDRLP4 20
INDIRF4
CNSTF4 1123024896
LEF4 $577
line 581
;581:			zoomFov = FOV_MAX;
ADDRLP4 20
CNSTF4 1123024896
ASGNF4
line 582
;582:		}
LABELV $577
LABELV $576
line 585
;583:
;584:		// Disable zooming when in third person
;585:		if ( cg.zoomed && !cg.renderingThirdPerson )
ADDRLP4 36
CNSTI4 0
ASGNI4
ADDRGP4 cg+106964
INDIRI4
ADDRLP4 36
INDIRI4
EQI4 $579
ADDRGP4 cg+105572
INDIRI4
ADDRLP4 36
INDIRI4
NEI4 $579
line 586
;586:		{
line 587
;587:			if ( !cg.zoomLocked )
ADDRGP4 cg+106968
INDIRI4
CNSTI4 0
NEI4 $583
line 588
;588:			{
line 590
;589:				// Interpolate current zoom level
;590:				cg_zoomFov.value = cg_fov.value - ((float)( cg.time - cg.zoomTime ) / ZOOM_IN_TIME + ZOOM_START_PERCENT) 
ADDRGP4 cg_zoomFov+8
ADDRGP4 cg_fov+8
INDIRF4
ADDRGP4 cg+105552
INDIRI4
ADDRGP4 cg+106972
INDIRI4
SUBI4
CVIF4 4
CNSTF4 1148846080
DIVF4
CNSTF4 1050253722
ADDF4
ADDRGP4 cg_fov+8
INDIRF4
CNSTF4 1084227584
SUBF4
MULF4
SUBF4
ASGNF4
line 594
;591:									* ( cg_fov.value - MAX_ZOOM_FOV );
;592:
;593:				// Clamp zoomFov
;594:				if ( cg_zoomFov.value < MAX_ZOOM_FOV )
ADDRGP4 cg_zoomFov+8
INDIRF4
CNSTF4 1084227584
GEF4 $591
line 595
;595:				{
line 596
;596:					cg_zoomFov.value = MAX_ZOOM_FOV;
ADDRGP4 cg_zoomFov+8
CNSTF4 1084227584
ASGNF4
line 597
;597:				}
ADDRGP4 $592
JUMPV
LABELV $591
line 598
;598:				else if ( cg_zoomFov.value > cg_fov.value )
ADDRGP4 cg_zoomFov+8
INDIRF4
ADDRGP4 cg_fov+8
INDIRF4
LEF4 $595
line 599
;599:				{
line 600
;600:					cg_zoomFov.value = cg_fov.value;
ADDRGP4 cg_zoomFov+8
ADDRGP4 cg_fov+8
INDIRF4
ASGNF4
line 601
;601:				}
ADDRGP4 $596
JUMPV
LABELV $595
line 603
;602:				else
;603:				{//still zooming
line 606
;604:					static zoomSoundTime = 0;
;605:
;606:					if ( zoomSoundTime < cg.time )
ADDRGP4 $601
INDIRI4
ADDRGP4 cg+105552
INDIRI4
GEI4 $602
line 607
;607:					{
line 608
;608:						trap_S_StartSound( cg.refdef.vieworg, ENTITYNUM_WORLD, CHAN_LOCAL, cgs.media.zoomLoop );
ADDRGP4 cg+106840+24
ARGP4
CNSTI4 1022
ARGI4
CNSTI4 1
ARGI4
ADDRGP4 cgs+195628+1460
INDIRI4
ARGI4
ADDRGP4 trap_S_StartSound
CALLV
pop
line 609
;609:						zoomSoundTime = cg.time + 300;
ADDRGP4 $601
ADDRGP4 cg+105552
INDIRI4
CNSTI4 300
ADDI4
ASGNI4
line 610
;610:					}
LABELV $602
line 611
;611:				}
LABELV $596
LABELV $592
line 612
;612:			}
LABELV $583
line 614
;613:
;614:			fov_x = cg_zoomFov.value;
ADDRLP4 0
ADDRGP4 cg_zoomFov+8
INDIRF4
ASGNF4
line 615
;615:		} else {
ADDRGP4 $580
JUMPV
LABELV $579
line 616
;616:			f = ( cg.time - cg.zoomTime ) / (float)ZOOM_OUT_TIME;
ADDRLP4 32
ADDRGP4 cg+105552
INDIRI4
ADDRGP4 cg+106972
INDIRI4
SUBI4
CVIF4 4
CNSTF4 1120403456
DIVF4
ASGNF4
line 617
;617:			if ( f > 1.0 ) {
ADDRLP4 32
INDIRF4
CNSTF4 1065353216
LEF4 $613
line 618
;618:				fov_x = fov_x;
ADDRLP4 0
ADDRLP4 0
INDIRF4
ASGNF4
line 619
;619:			} else {
ADDRGP4 $614
JUMPV
LABELV $613
line 620
;620:				fov_x = zoomFov + f * ( fov_x - zoomFov );
ADDRLP4 40
ADDRLP4 20
INDIRF4
ASGNF4
ADDRLP4 0
ADDRLP4 40
INDIRF4
ADDRLP4 32
INDIRF4
ADDRLP4 0
INDIRF4
ADDRLP4 40
INDIRF4
SUBF4
MULF4
ADDF4
ASGNF4
line 621
;621:			}
LABELV $614
line 622
;622:		}
LABELV $580
line 623
;623:	}
LABELV $563
line 625
;624:
;625:	if (cg.predictedPlayerState.introTime > cg.time)
ADDRGP4 cg+105580+56
INDIRI4
ADDRGP4 cg+105552
INDIRI4
LEI4 $615
line 626
;626:	{	// The stuff is "holodecking in".
line 627
;627:		fov_x = 80;
ADDRLP4 0
CNSTF4 1117782016
ASGNF4
line 628
;628:	}
LABELV $615
line 631
;629:
;630:
;631:	x = cg.refdef.width / tan( fov_x / 360 * M_PI );
CNSTF4 1078530011
ADDRLP4 0
INDIRF4
CNSTF4 1135869952
DIVF4
MULF4
ARGF4
ADDRLP4 36
ADDRGP4 tan
CALLF4
ASGNF4
ADDRLP4 8
ADDRGP4 cg+106840+8
INDIRI4
CVIF4 4
ADDRLP4 36
INDIRF4
DIVF4
ASGNF4
line 632
;632:	fov_y = atan2( cg.refdef.height, x );
ADDRGP4 cg+106840+12
INDIRI4
CVIF4 4
ARGF4
ADDRLP4 8
INDIRF4
ARGF4
ADDRLP4 40
ADDRGP4 atan2
CALLF4
ASGNF4
ADDRLP4 4
ADDRLP4 40
INDIRF4
ASGNF4
line 633
;633:	fov_y = fov_y * 360 / M_PI;
ADDRLP4 4
CNSTF4 1135869952
ADDRLP4 4
INDIRF4
MULF4
CNSTF4 1078530011
DIVF4
ASGNF4
line 636
;634:
;635:	// warp if underwater
;636:	contents = CG_PointContents( cg.refdef.vieworg, -1 );
ADDRGP4 cg+106840+24
ARGP4
CNSTI4 -1
ARGI4
ADDRLP4 44
ADDRGP4 CG_PointContents
CALLI4
ASGNI4
ADDRLP4 12
ADDRLP4 44
INDIRI4
ASGNI4
line 637
;637:	if ( contents & ( CONTENTS_WATER | CONTENTS_SLIME | CONTENTS_LAVA ) ){
ADDRLP4 12
INDIRI4
CNSTI4 56
BANDI4
CNSTI4 0
EQI4 $626
line 638
;638:		phase = cg.time / 1000.0 * WAVE_FREQUENCY * M_PI * 2;
ADDRLP4 28
CNSTF4 1073741824
CNSTF4 1078530011
CNSTF4 1053609165
ADDRGP4 cg+105552
INDIRI4
CVIF4 4
CNSTF4 1148846080
DIVF4
MULF4
MULF4
MULF4
ASGNF4
line 639
;639:		v = WAVE_AMPLITUDE * sin( phase );
ADDRLP4 28
INDIRF4
ARGF4
ADDRLP4 48
ADDRGP4 sin
CALLF4
ASGNF4
ADDRLP4 24
CNSTF4 1065353216
ADDRLP4 48
INDIRF4
MULF4
ASGNF4
line 640
;640:		fov_x += v;
ADDRLP4 0
ADDRLP4 0
INDIRF4
ADDRLP4 24
INDIRF4
ADDF4
ASGNF4
line 641
;641:		fov_y -= v;
ADDRLP4 4
ADDRLP4 4
INDIRF4
ADDRLP4 24
INDIRF4
SUBF4
ASGNF4
line 642
;642:		inwater = qtrue;
ADDRLP4 16
CNSTI4 1
ASGNI4
line 643
;643:	}
ADDRGP4 $627
JUMPV
LABELV $626
line 644
;644:	else {
line 645
;645:		inwater = qfalse;
ADDRLP4 16
CNSTI4 0
ASGNI4
line 646
;646:	}
LABELV $627
line 650
;647:
;648:
;649:	// set it
;650:	cg.refdef.fov_x = fov_x;
ADDRGP4 cg+106840+16
ADDRLP4 0
INDIRF4
ASGNF4
line 651
;651:	cg.refdef.fov_y = fov_y;
ADDRGP4 cg+106840+20
ADDRLP4 4
INDIRF4
ASGNF4
line 653
;652:
;653:	if ( !cg.zoomed ) {
ADDRGP4 cg+106964
INDIRI4
CNSTI4 0
NEI4 $633
line 654
;654:		cg.zoomSensitivity = 1;
ADDRGP4 cg+106976
CNSTF4 1065353216
ASGNF4
line 655
;655:	} else {
ADDRGP4 $634
JUMPV
LABELV $633
line 656
;656:		cg.zoomSensitivity = cg.refdef.fov_y / 75.0;
ADDRGP4 cg+106976
ADDRGP4 cg+106840+20
INDIRF4
CNSTF4 1117126656
DIVF4
ASGNF4
line 657
;657:	}
LABELV $634
line 659
;658:
;659:	return inwater;
ADDRLP4 16
INDIRI4
RETI4
LABELV $561
endproc CG_CalcFov 52 16
proc CG_CalcViewValues 40 12
line 672
;660:}
;661:
;662:
;663:
;664:
;665:/*
;666:===============
;667:CG_CalcViewValues
;668:
;669:Sets cg.refdef view values
;670:===============
;671:*/
;672:static int CG_CalcViewValues( void ) {
line 675
;673:	playerState_t	*ps;
;674:
;675:	memset( &cg.refdef, 0, sizeof( cg.refdef ) );
ADDRGP4 cg+106840
ARGP4
CNSTI4 0
ARGI4
CNSTI4 112
ARGI4
ADDRGP4 memset
CALLP4
pop
line 682
;676:
;677:	// strings for in game rendering
;678:	// Q_strncpyz( cg.refdef.text[0], "Park Ranger", sizeof(cg.refdef.text[0]) );
;679:	// Q_strncpyz( cg.refdef.text[1], "19", sizeof(cg.refdef.text[1]) );
;680:
;681:	// calculate size of 3D view
;682:	CG_CalcVrect();
ADDRGP4 CG_CalcVrect
CALLV
pop
line 684
;683:
;684:	ps = &cg.predictedPlayerState;
ADDRLP4 0
ADDRGP4 cg+105580
ASGNP4
line 687
;685:
;686:	// intermission view
;687:	if ( ps->pm_type == PM_INTERMISSION ) {
ADDRLP4 0
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
CNSTI4 5
NEI4 $644
line 688
;688:		VectorCopy( ps->origin, cg.refdef.vieworg );
ADDRGP4 cg+106840+24
ADDRLP4 0
INDIRP4
CNSTI4 20
ADDP4
INDIRB
ASGNB 12
line 689
;689:		VectorCopy( ps->viewangles, cg.refdefViewAngles );
ADDRGP4 cg+106952
ADDRLP4 0
INDIRP4
CNSTI4 168
ADDP4
INDIRB
ASGNB 12
line 690
;690:		AnglesToAxis( cg.refdefViewAngles, cg.refdef.viewaxis );
ADDRGP4 cg+106952
ARGP4
ADDRGP4 cg+106840+36
ARGP4
ADDRGP4 AnglesToAxis
CALLV
pop
line 691
;691:		return CG_CalcFov();
ADDRLP4 4
ADDRGP4 CG_CalcFov
CALLI4
ASGNI4
ADDRLP4 4
INDIRI4
RETI4
ADDRGP4 $640
JUMPV
LABELV $644
line 694
;692:	}
;693:
;694:	cg.bobcycle = ( ps->bobCycle & 128 ) >> 7;
ADDRGP4 cg+113848
ADDRLP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
CNSTI4 128
BANDI4
CNSTI4 7
RSHI4
ASGNI4
line 695
;695:	cg.bobfracsin = fabs( sin( ( ps->bobCycle & 127 ) / 127.0 * M_PI ) );
CNSTF4 1078530011
ADDRLP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
CNSTI4 127
BANDI4
CVIF4 4
CNSTF4 1123942400
DIVF4
MULF4
ARGF4
ADDRLP4 4
ADDRGP4 sin
CALLF4
ASGNF4
ADDRLP4 4
INDIRF4
ARGF4
ADDRLP4 8
ADDRGP4 fabs
CALLF4
ASGNF4
ADDRGP4 cg+113844
ADDRLP4 8
INDIRF4
ASGNF4
line 696
;696:	cg.xyspeed = sqrt( ps->velocity[0] * ps->velocity[0] +
ADDRLP4 16
ADDRLP4 0
INDIRP4
CNSTI4 32
ADDP4
INDIRF4
ASGNF4
ADDRLP4 20
ADDRLP4 0
INDIRP4
CNSTI4 36
ADDP4
INDIRF4
ASGNF4
ADDRLP4 16
INDIRF4
ADDRLP4 16
INDIRF4
MULF4
ADDRLP4 20
INDIRF4
ADDRLP4 20
INDIRF4
MULF4
ADDF4
ARGF4
ADDRLP4 24
ADDRGP4 sqrt
CALLF4
ASGNF4
ADDRGP4 cg+113852
ADDRLP4 24
INDIRF4
ASGNF4
line 700
;697:		ps->velocity[1] * ps->velocity[1] );
;698:
;699:
;700:	VectorCopy( ps->origin, cg.refdef.vieworg );
ADDRGP4 cg+106840+24
ADDRLP4 0
INDIRP4
CNSTI4 20
ADDP4
INDIRB
ASGNB 12
line 701
;701:	VectorCopy( ps->viewangles, cg.refdefViewAngles );
ADDRGP4 cg+106952
ADDRLP4 0
INDIRP4
CNSTI4 168
ADDP4
INDIRB
ASGNB 12
line 704
;702:
;703:	// add error decay
;704:	if ( cg_errorDecay.value > 0 ) {
ADDRGP4 cg_errorDecay+8
INDIRF4
CNSTF4 0
LEF4 $658
line 708
;705:		int		t;
;706:		float	f;
;707:
;708:		t = cg.time - cg.predictedErrorTime;
ADDRLP4 32
ADDRGP4 cg+105552
INDIRI4
ADDRGP4 cg+106700
INDIRI4
SUBI4
ASGNI4
line 709
;709:		f = ( cg_errorDecay.value - t ) / cg_errorDecay.value;
ADDRLP4 28
ADDRGP4 cg_errorDecay+8
INDIRF4
ADDRLP4 32
INDIRI4
CVIF4 4
SUBF4
ADDRGP4 cg_errorDecay+8
INDIRF4
DIVF4
ASGNF4
line 710
;710:		if ( f > 0 && f < 1 ) {
ADDRLP4 36
ADDRLP4 28
INDIRF4
ASGNF4
ADDRLP4 36
INDIRF4
CNSTF4 0
LEF4 $665
ADDRLP4 36
INDIRF4
CNSTF4 1065353216
GEF4 $665
line 711
;711:			VectorMA( cg.refdef.vieworg, f, cg.predictedError, cg.refdef.vieworg );
ADDRGP4 cg+106840+24
ADDRGP4 cg+106840+24
INDIRF4
ADDRGP4 cg+106704
INDIRF4
ADDRLP4 28
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRGP4 cg+106840+24+4
ADDRGP4 cg+106840+24+4
INDIRF4
ADDRGP4 cg+106704+4
INDIRF4
ADDRLP4 28
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRGP4 cg+106840+24+8
ADDRGP4 cg+106840+24+8
INDIRF4
ADDRGP4 cg+106704+8
INDIRF4
ADDRLP4 28
INDIRF4
MULF4
ADDF4
ASGNF4
line 712
;712:		} else {
ADDRGP4 $666
JUMPV
LABELV $665
line 713
;713:			cg.predictedErrorTime = 0;
ADDRGP4 cg+106700
CNSTI4 0
ASGNI4
line 714
;714:		}
LABELV $666
line 715
;715:	}
LABELV $658
line 717
;716:
;717:	if ( cg.renderingThirdPerson ) {
ADDRGP4 cg+105572
INDIRI4
CNSTI4 0
EQI4 $689
line 719
;718:		// back away from character
;719:		CG_OffsetThirdPersonView();
ADDRGP4 CG_OffsetThirdPersonView
CALLV
pop
line 720
;720:	} else {
ADDRGP4 $690
JUMPV
LABELV $689
line 722
;721:		// offset for local bobbing and kicks
;722:		CG_OffsetFirstPersonView();
ADDRGP4 CG_OffsetFirstPersonView
CALLV
pop
line 723
;723:	}
LABELV $690
line 726
;724:
;725:	// shake the camera if necessary
;726:	CG_UpdateCameraShake( cg.refdef.vieworg, cg.refdefViewAngles );
ADDRGP4 cg+106840+24
ARGP4
ADDRGP4 cg+106952
ARGP4
ADDRGP4 CG_UpdateCameraShake
CALLV
pop
line 728
;727:	// position eye reletive to origin
;728:	AnglesToAxis( cg.refdefViewAngles, cg.refdef.viewaxis );
ADDRGP4 cg+106952
ARGP4
ADDRGP4 cg+106840+36
ARGP4
ADDRGP4 AnglesToAxis
CALLV
pop
line 730
;729:
;730:	if ( cg.hyperspace ) {
ADDRGP4 cg+105576
INDIRI4
CNSTI4 0
EQI4 $698
line 731
;731:		cg.refdef.rdflags |= RDF_NOWORLDMODEL | RDF_HYPERSPACE;
ADDRLP4 28
ADDRGP4 cg+106840+76
ASGNP4
ADDRLP4 28
INDIRP4
ADDRLP4 28
INDIRP4
INDIRI4
CNSTI4 5
BORI4
ASGNI4
line 732
;732:	}
LABELV $698
line 735
;733:
;734:	// field of view
;735:	return CG_CalcFov();
ADDRLP4 28
ADDRGP4 CG_CalcFov
CALLI4
ASGNI4
ADDRLP4 28
INDIRI4
RETI4
LABELV $640
endproc CG_CalcViewValues 40 12
proc CG_PowerupTimerSounds 20 16
line 744
;736:}
;737:
;738:
;739:/*
;740:=====================
;741:CG_PowerupTimerSounds
;742:=====================
;743:*/
;744:static void CG_PowerupTimerSounds( void ) {
line 749
;745:	int		i;
;746:	int		t;
;747:
;748:	// powerup timers going away
;749:	for ( i = 0 ; i < MAX_POWERUPS ; i++ ) {
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $704
line 750
;750:		t = cg.snap->ps.powerups[i];
ADDRLP4 4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 cg+32
INDIRP4
CNSTI4 376
ADDP4
ADDP4
INDIRI4
ASGNI4
line 753
;751:
;752:		// kef -- hack hack hack. additionally, hack.
;753:		if ( (PW_OUCH == i) || (PW_GHOST == i))
ADDRLP4 0
INDIRI4
CNSTI4 10
EQI4 $711
ADDRLP4 0
INDIRI4
CNSTI4 12
NEI4 $709
LABELV $711
line 754
;754:		{
line 755
;755:			continue;
ADDRGP4 $705
JUMPV
LABELV $709
line 757
;756:		}
;757:		if ( t <= cg.time ) {
ADDRLP4 4
INDIRI4
ADDRGP4 cg+105552
INDIRI4
GTI4 $712
line 758
;758:			continue;
ADDRGP4 $705
JUMPV
LABELV $712
line 760
;759:		}
;760:		if ( t - cg.time >= POWERUP_BLINKS * POWERUP_BLINK_TIME ) {
ADDRLP4 4
INDIRI4
ADDRGP4 cg+105552
INDIRI4
SUBI4
CNSTI4 5000
LTI4 $715
line 761
;761:			continue;
ADDRGP4 $705
JUMPV
LABELV $715
line 763
;762:		}
;763:		if ( ( t - cg.time ) / POWERUP_BLINK_TIME != ( t - cg.oldTime ) / POWERUP_BLINK_TIME ) {
ADDRLP4 16
CNSTI4 1000
ASGNI4
ADDRLP4 4
INDIRI4
ADDRGP4 cg+105552
INDIRI4
SUBI4
ADDRLP4 16
INDIRI4
DIVI4
ADDRLP4 4
INDIRI4
ADDRGP4 cg+105556
INDIRI4
SUBI4
ADDRLP4 16
INDIRI4
DIVI4
EQI4 $718
line 764
;764:			trap_S_StartSound( NULL, cg.snap->ps.clientNum, CHAN_ITEM, cgs.media.wearOffSound );
CNSTP4 0
ARGP4
ADDRGP4 cg+32
INDIRP4
CNSTI4 200
ADDP4
INDIRI4
ARGI4
CNSTI4 4
ARGI4
ADDRGP4 cgs+195628+1004
INDIRI4
ARGI4
ADDRGP4 trap_S_StartSound
CALLV
pop
line 765
;765:		}
LABELV $718
line 766
;766:	}
LABELV $705
line 749
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 16
LTI4 $704
line 767
;767:}
LABELV $703
endproc CG_PowerupTimerSounds 20 16
data
align 4
LABELV $726
byte 4 0
align 4
LABELV $727
byte 4 999999
export CG_AddIntroModel
code
proc CG_AddIntroModel 180 16
line 781
;768:
;769:
;770:
;771://=========================================================================
;772:
;773:/*
;774:=============
;775:CG_IntroModel
;776:
;777:This is when the player is starting the level.
;778:=============
;779:*/
;780:void CG_AddIntroModel(playerState_t *ps, int time) 
;781:{
line 787
;782:	static int soundpoint=0, lasttime=999999;
;783:	refEntity_t	doorbox;
;784:	float	alpha;
;785:	byte a;
;786:
;787:	if (lasttime > time)
ADDRGP4 $727
INDIRI4
ADDRFP4 4
INDIRI4
LEI4 $728
line 788
;788:	{	// Restart everything.
line 789
;789:		soundpoint=0;
ADDRGP4 $726
CNSTI4 0
ASGNI4
line 790
;790:	}
LABELV $728
line 792
;791:
;792:	lasttime=time;
ADDRGP4 $727
ADDRFP4 4
INDIRI4
ASGNI4
line 795
;793:
;794:	// add the model
;795:	memset( &doorbox, 0, sizeof( doorbox ) );
ADDRLP4 0
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 796
;796:	VectorCopy( cg.refdef.vieworg, doorbox.lightingOrigin );
ADDRLP4 0+12
ADDRGP4 cg+106840+24
INDIRB
ASGNB 12
line 798
;797:
;798:	doorbox.shaderRGBA[0] = 255;
ADDRLP4 0+116
CNSTU1 255
ASGNU1
line 799
;799:	doorbox.shaderRGBA[1] = 255;
ADDRLP4 0+116+1
CNSTU1 255
ASGNU1
line 800
;800:	doorbox.shaderRGBA[2] = 255;
ADDRLP4 0+116+2
CNSTU1 255
ASGNU1
line 801
;801:	doorbox.shaderRGBA[3] = 255;
ADDRLP4 0+116+3
CNSTU1 255
ASGNU1
line 803
;802:
;803:	doorbox.hModel = cgs.media.doorbox;
ADDRLP4 0+8
ADDRGP4 cgs+195628+988
INDIRI4
ASGNI4
line 804
;804:	if (!doorbox.hModel) {
ADDRLP4 0+8
INDIRI4
CNSTI4 0
NEI4 $743
line 805
;805:		return;
ADDRGP4 $725
JUMPV
LABELV $743
line 809
;806:	}
;807:
;808:
;809:	VectorMA(cg.refdef.vieworg, 25, cg.refdef.viewaxis[0], doorbox.origin);
ADDRLP4 0+68
ADDRGP4 cg+106840+24
INDIRF4
CNSTF4 1103626240
ADDRGP4 cg+106840+36
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+68+4
ADDRGP4 cg+106840+24+4
INDIRF4
CNSTF4 1103626240
ADDRGP4 cg+106840+36+4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+68+8
ADDRGP4 cg+106840+24+8
INDIRF4
CNSTF4 1103626240
ADDRGP4 cg+106840+36+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 810
;810:	VectorMA(doorbox.origin, -35, cg.refdef.viewaxis[2], doorbox.origin);
ADDRLP4 0+68
ADDRLP4 0+68
INDIRF4
CNSTF4 3255566336
ADDRGP4 cg+106840+36+24
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+68+4
ADDRLP4 0+68+4
INDIRF4
CNSTF4 3255566336
ADDRGP4 cg+106840+36+24+4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+68+8
ADDRLP4 0+68+8
INDIRF4
CNSTF4 3255566336
ADDRGP4 cg+106840+36+24+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 811
;811:	AnglesToAxis(cg.refdefViewAngles, doorbox.axis);
ADDRGP4 cg+106952
ARGP4
ADDRLP4 0+28
ARGP4
ADDRGP4 AnglesToAxis
CALLV
pop
line 813
;812:
;813:	VectorScale(doorbox.axis[0], -1.0, doorbox.axis[0]);
ADDRLP4 0+28
CNSTF4 3212836864
ADDRLP4 0+28
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+28+4
CNSTF4 3212836864
ADDRLP4 0+28+4
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+28+8
CNSTF4 3212836864
ADDRLP4 0+28+8
INDIRF4
MULF4
ASGNF4
line 814
;814:	VectorScale(doorbox.axis[1], -1.0, doorbox.axis[1]);
ADDRLP4 0+28+12
CNSTF4 3212836864
ADDRLP4 0+28+12
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+28+12+4
CNSTF4 3212836864
ADDRLP4 0+28+12+4
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+28+12+8
CNSTF4 3212836864
ADDRLP4 0+28+12+8
INDIRF4
MULF4
ASGNF4
line 816
;815:
;816:	if (soundpoint <= 0)
ADDRGP4 $726
INDIRI4
CNSTI4 0
GTI4 $816
line 817
;817:	{	// First part...  "Prepare to compete."
line 818
;818:		if (time >= TIME_INIT)
ADDRFP4 4
INDIRI4
CNSTI4 100
LTI4 $818
line 819
;819:		{
line 820
;820:			soundpoint = 1;
ADDRGP4 $726
CNSTI4 1
ASGNI4
line 821
;821:			trap_S_StartSound( cg.refdef.vieworg, ENTITYNUM_WORLD, CHAN_AUTO, cgs.media.holoInitSound );
ADDRGP4 cg+106840+24
ARGP4
CNSTI4 1022
ARGI4
CNSTI4 0
ARGI4
ADDRGP4 cgs+195628+1436
INDIRI4
ARGI4
ADDRGP4 trap_S_StartSound
CALLV
pop
line 822
;822:		}
LABELV $818
line 823
;823:		doorbox.frame = 0;
ADDRLP4 0+80
CNSTI4 0
ASGNI4
line 824
;824:	}
ADDRGP4 $817
JUMPV
LABELV $816
line 825
;825:	else if (soundpoint == 1)
ADDRGP4 $726
INDIRI4
CNSTI4 1
NEI4 $825
line 826
;826:	{	// Second part...  Open door after "prepare".
line 827
;827:		if (time >= TIME_DOOR_START)
ADDRFP4 4
INDIRI4
CNSTI4 1000
LTI4 $827
line 828
;828:		{
line 829
;829:			soundpoint = 2;
ADDRGP4 $726
CNSTI4 2
ASGNI4
line 830
;830:			trap_S_StartSound( cg.refdef.vieworg, ENTITYNUM_WORLD, CHAN_AUTO, cgs.media.holoDoorSound );
ADDRGP4 cg+106840+24
ARGP4
CNSTI4 1022
ARGI4
CNSTI4 0
ARGI4
ADDRGP4 cgs+195628+1440
INDIRI4
ARGI4
ADDRGP4 trap_S_StartSound
CALLV
pop
line 831
;831:		}
LABELV $827
line 832
;832:		doorbox.frame = 0;
ADDRLP4 0+80
CNSTI4 0
ASGNI4
line 833
;833:	}
ADDRGP4 $826
JUMPV
LABELV $825
line 834
;834:	else if (soundpoint == 2)
ADDRGP4 $726
INDIRI4
CNSTI4 2
NEI4 $834
line 835
;835:	{	// Third part...  Fade in after opening door.
line 836
;836:		if (time >= TIME_FADE_START)
ADDRFP4 4
INDIRI4
CNSTI4 3000
LTI4 $836
line 837
;837:		{
line 838
;838:			soundpoint = 3;
ADDRGP4 $726
CNSTI4 3
ASGNI4
line 839
;839:			trap_S_StartSound( cg.refdef.vieworg, ENTITYNUM_WORLD, CHAN_AUTO, cgs.media.holoFadeSound );
ADDRGP4 cg+106840+24
ARGP4
CNSTI4 1022
ARGI4
CNSTI4 0
ARGI4
ADDRGP4 cgs+195628+1444
INDIRI4
ARGI4
ADDRGP4 trap_S_StartSound
CALLV
pop
line 840
;840:			doorbox.frame = FRAMES_DOOR-1;
ADDRLP4 0+80
CNSTI4 15
ASGNI4
line 841
;841:		}
ADDRGP4 $835
JUMPV
LABELV $836
line 843
;842:		else
;843:		{
line 844
;844:			doorbox.frame = ((float)(time - TIME_DOOR_START) / 100.0) + 1;
ADDRLP4 0+80
ADDRFP4 4
INDIRI4
CNSTI4 1000
SUBI4
CVIF4 4
CNSTF4 1120403456
DIVF4
CNSTF4 1065353216
ADDF4
CVFI4 4
ASGNI4
line 845
;845:			if (doorbox.frame >= FRAMES_DOOR)
ADDRLP4 0+80
INDIRI4
CNSTI4 16
LTI4 $844
line 846
;846:			{
line 847
;847:				doorbox.frame=FRAMES_DOOR-1;
ADDRLP4 0+80
CNSTI4 15
ASGNI4
line 848
;848:			}
ADDRGP4 $835
JUMPV
LABELV $844
line 850
;849:			else
;850:			{
line 851
;851:				doorbox.oldframe = doorbox.frame-1;
ADDRLP4 0+96
ADDRLP4 0+80
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
line 852
;852:				doorbox.backlerp = (float)(doorbox.frame) - ((float)(time - TIME_DOOR_START) / 100.0);
ADDRLP4 0+100
ADDRLP4 0+80
INDIRI4
CVIF4 4
ADDRFP4 4
INDIRI4
CNSTI4 1000
SUBI4
CVIF4 4
CNSTF4 1120403456
DIVF4
SUBF4
ASGNF4
line 853
;853:			}
line 854
;854:		}
line 855
;855:	}
ADDRGP4 $835
JUMPV
LABELV $834
line 857
;856:	else
;857:	{	// Final part...  Fade out the model.
line 859
;858:
;859:		alpha = 1.0 - ((float)(time - TIME_FADE_START) / (float)TIME_FADE_DUR);
ADDRLP4 160
CNSTF4 1065353216
ADDRFP4 4
INDIRI4
CNSTI4 3000
SUBI4
CVIF4 4
CNSTF4 1157234688
DIVF4
SUBF4
ASGNF4
line 861
;860:
;861:		if (alpha<0.0)
ADDRLP4 160
INDIRF4
CNSTF4 0
GEF4 $852
line 862
;862:		{
line 863
;863:			alpha=0.0;
ADDRLP4 160
CNSTF4 0
ASGNF4
line 864
;864:		}
LABELV $852
line 866
;865:
;866:		a=255.0*alpha;
ADDRLP4 172
CNSTF4 1132396544
ADDRLP4 160
INDIRF4
MULF4
ASGNF4
ADDRLP4 176
CNSTF4 1325400064
ASGNF4
ADDRLP4 172
INDIRF4
ADDRLP4 176
INDIRF4
LTF4 $855
ADDRLP4 168
ADDRLP4 172
INDIRF4
ADDRLP4 176
INDIRF4
SUBF4
CVFI4 4
CVIU4 4
CNSTU4 2147483648
ADDU4
ASGNU4
ADDRGP4 $856
JUMPV
LABELV $855
ADDRLP4 168
ADDRLP4 172
INDIRF4
CVFI4 4
CVIU4 4
ASGNU4
LABELV $856
ADDRLP4 164
ADDRLP4 168
INDIRU4
CVUU1 4
ASGNU1
line 867
;867:		if (a<=0)
ADDRLP4 164
INDIRU1
CVUI4 1
CNSTI4 0
GTI4 $857
line 868
;868:		{	// An alpha of zero defaults to opaque...  Makes sense, why even send something that is 100% transparent?
line 869
;869:			a=1;
ADDRLP4 164
CNSTU1 1
ASGNU1
line 870
;870:		}
LABELV $857
line 872
;871:
;872:		doorbox.shaderRGBA[0] = 255;
ADDRLP4 0+116
CNSTU1 255
ASGNU1
line 873
;873:		doorbox.shaderRGBA[1] = 255;
ADDRLP4 0+116+1
CNSTU1 255
ASGNU1
line 874
;874:		doorbox.shaderRGBA[2] = 255;
ADDRLP4 0+116+2
CNSTU1 255
ASGNU1
line 875
;875:		doorbox.shaderRGBA[3] = a;
ADDRLP4 0+116+3
ADDRLP4 164
INDIRU1
ASGNU1
line 876
;876:		doorbox.frame = FRAMES_DOOR-1;
ADDRLP4 0+80
CNSTI4 15
ASGNI4
line 877
;877:	}
LABELV $835
LABELV $826
LABELV $817
line 879
;878:
;879:	doorbox.renderfx |= (RF_DEPTHHACK|RF_FORCE_ENT_ALPHA|RF_FULLBRIGHT);
ADDRLP4 0+4
ADDRLP4 0+4
INDIRI4
CNSTI4 2072
BORI4
ASGNI4
line 881
;880:
;881:	trap_R_AddRefEntityToScene(&doorbox);
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 882
;882:}
LABELV $725
endproc CG_AddIntroModel 180 16
export CG_DrawActiveFrame
proc CG_DrawActiveFrame 20 16
line 894
;883:
;884:
;885://=========================================================================
;886:
;887:/*
;888:=================
;889:CG_DrawActiveFrame
;890:
;891:Generates and draws a game scene and status information at the given time.
;892:=================
;893:*/
;894:void CG_DrawActiveFrame( int serverTime, stereoFrame_t stereoView, qboolean demoPlayback ) {
line 897
;895:	int		inwater;
;896:
;897:	cg.time = serverTime;
ADDRGP4 cg+105552
ADDRFP4 0
INDIRI4
ASGNI4
line 898
;898:	cg.demoPlayback = demoPlayback;
ADDRGP4 cg+4
ADDRFP4 8
INDIRI4
ASGNI4
line 901
;899:
;900:	// update cvars
;901:	CG_UpdateCvars();
ADDRGP4 CG_UpdateCvars
CALLV
pop
line 905
;902:
;903:	// if we are only updating the screen as a loading
;904:	// pacifier, don't even try to read snapshots
;905:	if ( cg.infoScreenText[0] != 0 ) {
ADDRGP4 cg+106980
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $871
line 906
;906:		CG_DrawInformation();
ADDRGP4 CG_DrawInformation
CALLV
pop
line 907
;907:		return;
ADDRGP4 $868
JUMPV
LABELV $871
line 912
;908:	}
;909:
;910:	// any looped sounds will be respecified as entities
;911:	// are added to the render list
;912:	trap_S_ClearLoopingSounds();
ADDRGP4 trap_S_ClearLoopingSounds
CALLV
pop
line 915
;913:
;914:	// clear all the render lists
;915:	trap_R_ClearScene();
ADDRGP4 trap_R_ClearScene
CALLV
pop
line 918
;916:
;917:	// set up cg.snap and possibly cg.nextSnap
;918:	CG_ProcessSnapshots();
ADDRGP4 CG_ProcessSnapshots
CALLV
pop
line 922
;919:
;920:	// if we haven't received any snapshots yet, all
;921:	// we can draw is the information screen
;922:	if ( !cg.snap || ( cg.snap->snapFlags & SNAPFLAG_NOT_ACTIVE ) ) {
ADDRGP4 cg+32
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $878
ADDRGP4 cg+32
INDIRP4
INDIRI4
CNSTI4 2
BANDI4
CNSTI4 0
EQI4 $874
LABELV $878
line 923
;923:		CG_DrawInformation();
ADDRGP4 CG_DrawInformation
CALLV
pop
line 924
;924:		return;
ADDRGP4 $868
JUMPV
LABELV $874
line 928
;925:	}
;926:
;927:	// let the client system know what our weapon and zoom settings are
;928:	trap_SetUserCmdValue( cg.weaponSelect, cg.zoomSensitivity );
ADDRGP4 cg+106740
INDIRI4
ARGI4
ADDRGP4 cg+106976
INDIRF4
ARGF4
ADDRGP4 trap_SetUserCmdValue
CALLV
pop
line 931
;929:
;930:	// this counter will be bumped for every valid scene we generate
;931:	cg.clientFrame++;
ADDRLP4 4
ADDRGP4 cg
ASGNP4
ADDRLP4 4
INDIRP4
ADDRLP4 4
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 934
;932:
;933:	// update cg.predictedPlayerState
;934:	CG_PredictPlayerState();
ADDRGP4 CG_PredictPlayerState
CALLV
pop
line 937
;935:
;936:	// decide on third person view
;937:	cg.renderingThirdPerson = cg_thirdPerson.integer || (cg.snap->ps.stats[STAT_HEALTH] <= 0);
ADDRLP4 12
CNSTI4 0
ASGNI4
ADDRGP4 cg_thirdPerson+12
INDIRI4
ADDRLP4 12
INDIRI4
NEI4 $887
ADDRGP4 cg+32
INDIRP4
CNSTI4 248
ADDP4
INDIRI4
ADDRLP4 12
INDIRI4
GTI4 $885
LABELV $887
ADDRLP4 8
CNSTI4 1
ASGNI4
ADDRGP4 $886
JUMPV
LABELV $885
ADDRLP4 8
CNSTI4 0
ASGNI4
LABELV $886
ADDRGP4 cg+105572
ADDRLP4 8
INDIRI4
ASGNI4
line 940
;938:
;939:	// build cg.refdef
;940:	inwater = CG_CalcViewValues();
ADDRLP4 16
ADDRGP4 CG_CalcViewValues
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 16
INDIRI4
ASGNI4
line 943
;941:
;942:	// first person blend blobs, done after AnglesToAxis
;943:	if ( !cg.renderingThirdPerson ) 
ADDRGP4 cg+105572
INDIRI4
CNSTI4 0
NEI4 $888
line 944
;944:	{
line 945
;945:		CG_DrawFullScreenFX();
ADDRGP4 CG_DrawFullScreenFX
CALLV
pop
line 946
;946:	}
LABELV $888
line 950
;947:
;948:
;949:	// build the render lists
;950:	if ( !cg.hyperspace ) {
ADDRGP4 cg+105576
INDIRI4
CNSTI4 0
NEI4 $891
line 951
;951:		CG_AddPacketEntities();			// adter calcViewValues, so predicted player state is correct
ADDRGP4 CG_AddPacketEntities
CALLV
pop
line 952
;952:		CG_AddMarks();
ADDRGP4 CG_AddMarks
CALLV
pop
line 953
;953:		CG_AddLocalEntities();
ADDRGP4 CG_AddLocalEntities
CALLV
pop
line 954
;954:	}
LABELV $891
line 956
;955:
;956:	if (cg.predictedPlayerState.introTime > cg.time)
ADDRGP4 cg+105580+56
INDIRI4
ADDRGP4 cg+105552
INDIRI4
LEI4 $894
line 957
;957:	{	// Render the holodeck doors
line 958
;958:		CG_AddIntroModel(&cg.predictedPlayerState, TIME_INTRO - (cg.predictedPlayerState.introTime - cg.time));
ADDRGP4 cg+105580
ARGP4
CNSTI4 5000
ADDRGP4 cg+105580+56
INDIRI4
ADDRGP4 cg+105552
INDIRI4
SUBI4
SUBI4
ARGI4
ADDRGP4 CG_AddIntroModel
CALLV
pop
line 959
;959:	}
LABELV $894
line 961
;960:
;961:	CG_AddViewWeapon( &cg.predictedPlayerState );
ADDRGP4 cg+105580
ARGP4
ADDRGP4 CG_AddViewWeapon
CALLV
pop
line 964
;962:
;963:	// finish up the rest of the refdef
;964:	if ( cg.testModelEntity.hModel ) {
ADDRGP4 cg+113868+8
INDIRI4
CNSTI4 0
EQI4 $904
line 965
;965:		CG_AddTestModel();
ADDRGP4 CG_AddTestModel
CALLV
pop
line 966
;966:	}
LABELV $904
line 967
;967:	cg.refdef.time = cg.time;
ADDRGP4 cg+106840+72
ADDRGP4 cg+105552
INDIRI4
ASGNI4
line 968
;968:	memcpy( cg.refdef.areamask, cg.snap->areamask, sizeof( cg.refdef.areamask ) );
ADDRGP4 cg+106840+80
ARGP4
ADDRGP4 cg+32
INDIRP4
CNSTI4 12
ADDP4
ARGP4
CNSTI4 32
ARGI4
ADDRGP4 memcpy
CALLP4
pop
line 971
;969:
;970:	// update audio positions
;971:	trap_S_Respatialize( cg.snap->ps.clientNum, cg.refdef.vieworg, cg.refdef.viewaxis, inwater );
ADDRGP4 cg+32
INDIRP4
CNSTI4 200
ADDP4
INDIRI4
ARGI4
ADDRGP4 cg+106840+24
ARGP4
ADDRGP4 cg+106840+36
ARGP4
ADDRLP4 0
INDIRI4
ARGI4
ADDRGP4 trap_S_Respatialize
CALLV
pop
line 974
;972:
;973:	// warning sounds when powerup is wearing off
;974:	CG_PowerupTimerSounds();
ADDRGP4 CG_PowerupTimerSounds
CALLV
pop
line 977
;975:
;976:	// make sure the lagometerSample and frame timing isn't done twice when in stereo
;977:	if ( stereoView != STEREO_RIGHT ) {
ADDRFP4 4
INDIRI4
CNSTI4 2
EQI4 $921
line 978
;978:		cg.frametime = cg.time - cg.oldTime;
ADDRGP4 cg+105548
ADDRGP4 cg+105552
INDIRI4
ADDRGP4 cg+105556
INDIRI4
SUBI4
ASGNI4
line 979
;979:		if ( cg.frametime < 0 ) {
ADDRGP4 cg+105548
INDIRI4
CNSTI4 0
GEI4 $926
line 980
;980:			cg.frametime = 0;
ADDRGP4 cg+105548
CNSTI4 0
ASGNI4
line 981
;981:		}
LABELV $926
line 982
;982:		cg.oldTime = cg.time;
ADDRGP4 cg+105556
ADDRGP4 cg+105552
INDIRI4
ASGNI4
line 983
;983:		CG_AddLagometerFrameInfo();
ADDRGP4 CG_AddLagometerFrameInfo
CALLV
pop
line 984
;984:	}
LABELV $921
line 987
;985:
;986:	// actually issue the rendering calls
;987:	CG_DrawActive( stereoView );
ADDRFP4 4
INDIRI4
ARGI4
ADDRGP4 CG_DrawActive
CALLV
pop
line 989
;988:
;989:	if ( cg_stats.integer ) {
ADDRGP4 cg_stats+12
INDIRI4
CNSTI4 0
EQI4 $932
line 990
;990:		CG_Printf( "cg.clientFrame:%i\n", cg.clientFrame );
ADDRGP4 $935
ARGP4
ADDRGP4 cg
INDIRI4
ARGI4
ADDRGP4 CG_Printf
CALLV
pop
line 991
;991:	}
LABELV $932
line 992
;992:}
LABELV $868
endproc CG_DrawActiveFrame 20 16
import CG_DrawFullScreenFX
import CG_AddFullScreenEffect
import theScreenFX
import trap_MemoryRemaining
import testPrintFloat
import testPrintInt
import trap_SetUserCmdValue
import trap_GetUserCmd
import trap_GetCurrentCmdNumber
import trap_GetServerCommand
import trap_GetSnapshot
import trap_GetCurrentSnapshotNumber
import trap_GetGameState
import trap_GetGlconfig
import trap_R_LerpTag
import trap_R_ModelBounds
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_RenderScene
import trap_R_AddLightToScene
import trap_R_AddPolyToScene
import trap_R_AddRefEntityToScene
import trap_R_ClearScene
import trap_R_RegisterShaderNoMip
import trap_R_RegisterShader3D
import trap_R_RegisterShader
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_R_LoadWorldMap
import trap_S_StartBackgroundTrack
import trap_S_RegisterSound
import trap_S_Respatialize
import trap_S_UpdateEntityPosition
import trap_S_AddLoopingSound
import trap_S_ClearLoopingSounds
import trap_S_StartLocalSound
import trap_S_StartSound
import trap_CM_MarkFragments
import trap_CM_TransformedBoxTrace
import trap_CM_BoxTrace
import trap_CM_TransformedPointContents
import trap_CM_PointContents
import trap_CM_TempBoxModel
import trap_CM_InlineModel
import trap_CM_NumInlineModels
import trap_CM_LoadMap
import trap_UpdateScreen
import trap_SendClientCommand
import trap_AddCommand
import trap_SendConsoleCommand
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Cvar_VariableStringBuffer
import trap_Cvar_Set_No_Modify
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import updateSkin
import CG_TransitionPlayerState
import CG_Respawn
import CG_SetConfigValues
import CG_ParseServerinfo
import CG_ExecuteNewServerCommands
import CG_InitConsoleCommands
import CG_ConsoleCommand
import AW_SPPostgameMenu_f
import cg_medalStreakSounds
import cg_medalStreakPicNames
import cg_medalTeamSounds
import cg_medalTeamPicNames
import cg_medalSounds
import cg_medalPicNames
import CG_DrawTourneyScoreboard
import CG_DrawScoreboard
import CG_DrawInformation
import CG_LoadingClient
import CG_LoadingItem
import CG_LoadingString
import CG_ProcessSnapshots
import CG_ExplosionEffects
import CG_SurfaceExplosion
import CG_MakeExplosion2
import CG_MakeExplosion
import CG_Seeker
import CG_Bleed
import CG_SpawnEffect
import CG_BubbleTrail
import CG_SmokePuff
import CG_AddLocalEntities
import CG_GetActiveList
import CG_AllocLocalEntity
import CG_InitLocalEntities
import CG_ImpactMark
import CG_AddMarks
import CG_InitMarkPolys
import CG_BounceEffect
import CG_OutOfAmmoChange
import CG_DrawWeaponSelect
import CG_AddPlayerWeapon
import CG_AddViewWeapon
import CG_MissileHitPlayer
import CG_MissileHitWall
import CG_FireSeeker
import CG_FireWeapon
import CG_RegisterItemVisuals
import CG_RegisterWeapon
import CG_Weapon_f
import CG_PrevWeapon_f
import CG_NextWeapon_f
import CG_Chunks
import CG_Drip
import CG_TransporterPad
import CG_Bolt
import CG_Steam
import CG_Spark
import CG_PositionRotatedEntityOnTag
import CG_PositionEntityOnTag
import CG_AdjustPositionForMover
import CG_Beam
import CG_AddPacketEntities
import CG_SetEntitySoundPosition
import CG_PainEvent
import CG_EntityEvent
import CG_PlaceString
import CG_CheckEvents
import CG_LoadDeferredPlayers
import CG_PredictPlayerState
import CG_Trace
import CG_PointContents
import CG_BuildSolidList
import CG_CustomSound
import CG_NewClientInfo
import CG_AddRefEntityWithPowerups
import CG_ResetPlayerEntity
import CG_Player
import CG_PlayerShieldHit
import CG_DrawObjectiveInformation
import CG_DrawNumField
import CG_DrawTeamBackground
import CG_DrawFlagModel
import CG_DrawActive
import CG_DrawHead
import CG_CenterPrint
import CG_AddLagometerSnapshotInfo
import CG_AddLagometerFrameInfo
import drawTeamOverlayModificationCount
import numSortedTeamPlayers
import sortedTeamPlayers
import interface_graphics
import UI_ProportionalStringWidth
import CG_GetColorForHealth
import CG_ColorForHealth
import CG_TileClear
import CG_TeamColor
import CG_FadeColor
import CG_DrawStrlen
import CG_DrawSmallStringColor
import CG_DrawSmallString
import CG_DrawBigStringColor
import CG_DrawBigString
import CG_DrawStringExt
import CG_LoadFonts
import UI_DrawProportionalString
import CG_DrawString
import CG_DrawPic
import CG_FillRect
import CG_AdjustFrom640
import CG_PrintInterfaceGraphics
import CG_LastAttacker
import CG_CrosshairPlayer
import CG_UpdateCvars
import CG_StartMusic
import CG_Error
import CG_Printf
import CG_Argv
import CG_ConfigString
import cg_deferPlayers
import cg_predictItems
import cg_blood
import cg_paused
import cg_buildScript
import cg_forceModel
import cg_reportDamage
import cg_stats
import cg_teamChatHeight
import cg_teamChatTime
import cg_synchronousClients
import cg_drawAttacker
import cg_lagometer
import cg_stereoSeparation
import cg_thirdPerson
import cg_thirdPersonAngle
import cg_thirdPersonRange
import cg_zoomFov
import cg_fov
import cg_simpleItems
import cg_ignore
import cg_autoswitch
import cg_viewsize
import cg_drawGun
import cg_gun_z
import cg_gun_y
import cg_gun_x
import cg_gun_frame
import cg_addMarks
import cg_footsteps
import cg_showmiss
import cg_noPlayerAnims
import cg_nopredict
import cg_errorDecay
import cg_debugEvents
import cg_debugPosition
import cg_debugAnim
import cg_animSpeed
import cg_draw2D
import cg_drawStatus
import cg_crosshairHealth
import cg_crosshairSize
import cg_crosshairY
import cg_crosshairX
import cg_teamOverlayUserinfo
import cg_drawTeamOverlay
import cg_drawRewards
import cg_drawCrosshairNames
import cg_drawCrosshair
import cg_drawAmmoWarning
import cg_drawIcons
import cg_draw3dIcons
import cg_drawSnapshot
import cg_drawFPS
import cg_drawTimer
import cg_gibs
import cg_shadows
import cg_swingSpeed
import cg_bobroll
import cg_bobpitch
import cg_bobup
import cg_runroll
import cg_runpitch
import cg_centertime
import cg_markPolys
import cg_items
import cg_weapons
import cg_entities
import cg
import cgs
import CG_AddElectricity
import CG_AddCylinder
import CG_AddBezier
import CG_AddViewSprite
import CG_AddTrail
import CG_AddLine2
import CG_AddOLine
import CG_AddLine
import CG_AddQuad
import CG_AddScaleFadeSprite
import CG_AddSpriteExplosion
import CG_AddExplosion
import CG_AddFallScaleFade
import CG_AddScaleFade
import CG_AddMoveScaleFade
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $935
byte 1 99
byte 1 103
byte 1 46
byte 1 99
byte 1 108
byte 1 105
byte 1 101
byte 1 110
byte 1 116
byte 1 70
byte 1 114
byte 1 97
byte 1 109
byte 1 101
byte 1 58
byte 1 37
byte 1 105
byte 1 10
byte 1 0
align 1
LABELV $242
byte 1 49
byte 1 48
byte 1 48
byte 1 0
align 1
LABELV $238
byte 1 51
byte 1 48
byte 1 0
align 1
LABELV $237
byte 1 99
byte 1 103
byte 1 95
byte 1 118
byte 1 105
byte 1 101
byte 1 119
byte 1 115
byte 1 105
byte 1 122
byte 1 101
byte 1 0
align 1
LABELV $163
byte 1 115
byte 1 107
byte 1 105
byte 1 110
byte 1 32
byte 1 37
byte 1 105
byte 1 10
byte 1 0
align 1
LABELV $146
byte 1 102
byte 1 114
byte 1 97
byte 1 109
byte 1 101
byte 1 32
byte 1 37
byte 1 105
byte 1 10
byte 1 0
align 1
LABELV $107
byte 1 67
byte 1 97
byte 1 110
byte 1 39
byte 1 116
byte 1 32
byte 1 114
byte 1 101
byte 1 103
byte 1 105
byte 1 115
byte 1 116
byte 1 101
byte 1 114
byte 1 32
byte 1 109
byte 1 111
byte 1 100
byte 1 101
byte 1 108
byte 1 10
byte 1 0
