export SP_info_camp
code
proc SP_info_camp 4 8
file "../g_misc.c"
line 16
;1:// Copyright (C) 1999-2000 Id Software, Inc.
;2://
;3:// g_misc.c
;4:
;5:#include "g_local.h"
;6:
;7:
;8:/*QUAKED func_group (0 0 0) ?
;9:Used to group brushes together just for editor convenience.  They are turned into normal brushes by the utilities.
;10:*/
;11:
;12:
;13:/*QUAKED info_camp (0 0.5 0) (-4 -4 -4) (4 4 4)
;14:Used as a positional target for calculations in the utilities (spotlights, etc), but removed during gameplay.
;15:*/
;16:void SP_info_camp( gentity_t *self ) {
line 17
;17:	G_SetOrigin( self, self->s.origin );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 18
;18:}
LABELV $55
endproc SP_info_camp 4 8
export SP_info_null
proc SP_info_null 0 4
line 24
;19:
;20:
;21:/*QUAKED info_null (0 0.5 0) (-4 -4 -4) (4 4 4)
;22:Used as a positional target for calculations in the utilities (spotlights, etc), but removed during gameplay.
;23:*/
;24:void SP_info_null( gentity_t *self ) {
line 25
;25:	G_FreeEntity( self );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_FreeEntity
CALLV
pop
line 26
;26:}
LABELV $56
endproc SP_info_null 0 4
export SP_info_notnull
proc SP_info_notnull 4 8
line 33
;27:
;28:
;29:/*QUAKED info_notnull (0 0.5 0) (-4 -4 -4) (4 4 4)
;30:Used as a positional target for in-game calculation, like jumppad targets.
;31:target_position does the same thing
;32:*/
;33:void SP_info_notnull( gentity_t *self ){
line 34
;34:	G_SetOrigin( self, self->s.origin );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 35
;35:}
LABELV $57
endproc SP_info_notnull 4 8
export SP_light
proc SP_light 0 4
line 46
;36:
;37:
;38:/*QUAKED light (0 1 0) (-8 -8 -8) (8 8 8) linear noIncidence
;39:Non-displayed light.
;40:"light" overrides the default 300 intensity.
;41:'Linear' checkbox gives linear falloff instead of inverse square
;42:'noIncidence' checkbox makes lighting smoother
;43:Lights pointed at a target will be spotlights.
;44:"radius" overrides the default 64 unit radius of a spotlight at the target point.
;45:*/
;46:void SP_light( gentity_t *self ) {
line 47
;47:	G_FreeEntity( self );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_FreeEntity
CALLV
pop
line 48
;48:}
LABELV $58
endproc SP_light 0 4
export TransportPlayer
proc TransportPlayer 52 16
line 61
;49:
;50:
;51:
;52:/*
;53:=================================================================================
;54:
;55:TELEPORTERS
;56:
;57:=================================================================================
;58:*/
;59:
;60:void TransportPlayer( gentity_t *player, vec3_t origin, vec3_t angles, int speed )
;61:{
line 62
;62:	gentity_t	*tent = NULL;
ADDRLP4 0
CNSTP4 0
ASGNP4
line 66
;63:
;64:	// use temp events at source and destination to prevent the effect
;65:	// from getting dropped by a second player event
;66:	if ( player->client->sess.sessionTeam != TEAM_SPECTATOR && !(player->client->ps.eFlags&EF_ELIMINATED) ) {
ADDRLP4 4
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
CNSTI4 3
EQI4 $60
ADDRLP4 4
INDIRP4
CNSTI4 104
ADDP4
INDIRI4
CNSTI4 1024
BANDI4
CNSTI4 0
NEI4 $60
line 67
;67:		tent = G_TempEntity( player->client->ps.origin, EV_PLAYER_TELEPORT_OUT );
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 20
ADDP4
ARGP4
CNSTI4 46
ARGI4
ADDRLP4 8
ADDRGP4 G_TempEntity
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 8
INDIRP4
ASGNP4
line 68
;68:		tent->s.clientNum = player->s.clientNum;
ADDRLP4 12
CNSTI4 168
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 12
INDIRI4
ADDP4
ADDRFP4 0
INDIRP4
ADDRLP4 12
INDIRI4
ADDP4
INDIRI4
ASGNI4
line 70
;69:
;70:		tent = G_TempEntity( origin, EV_PLAYER_TELEPORT_IN );
ADDRFP4 4
INDIRP4
ARGP4
CNSTI4 45
ARGI4
ADDRLP4 16
ADDRGP4 G_TempEntity
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 16
INDIRP4
ASGNP4
line 71
;71:		tent->s.clientNum = player->s.clientNum;
ADDRLP4 20
CNSTI4 168
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 20
INDIRI4
ADDP4
ADDRFP4 0
INDIRP4
ADDRLP4 20
INDIRI4
ADDP4
INDIRI4
ASGNI4
line 72
;72:	}
LABELV $60
line 75
;73:
;74:	// unlink to make sure it can't possibly interfere with G_KillBox
;75:	trap_UnlinkEntity (player);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_UnlinkEntity
CALLV
pop
line 77
;76:
;77:	VectorCopy ( origin, player->client->ps.origin );
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 20
ADDP4
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 78
;78:	player->client->ps.origin[2] += 1;
ADDRLP4 8
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 28
ADDP4
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRF4
CNSTF4 1065353216
ADDF4
ASGNF4
line 81
;79:
;80:	// spit the player out
;81:	AngleVectors( angles, player->client->ps.velocity, NULL, NULL );
ADDRFP4 8
INDIRP4
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 32
ADDP4
ARGP4
ADDRLP4 12
CNSTP4 0
ASGNP4
ADDRLP4 12
INDIRP4
ARGP4
ADDRLP4 12
INDIRP4
ARGP4
ADDRGP4 AngleVectors
CALLV
pop
line 82
;82:	VectorScale( player->client->ps.velocity, speed, player->client->ps.velocity );
ADDRLP4 16
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 32
ADDP4
ASGNP4
ADDRLP4 16
INDIRP4
ADDRLP4 16
INDIRP4
INDIRF4
ADDRFP4 12
INDIRI4
CVIF4 4
MULF4
ASGNF4
ADDRLP4 20
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 36
ADDP4
ASGNP4
ADDRLP4 20
INDIRP4
ADDRLP4 20
INDIRP4
INDIRF4
ADDRFP4 12
INDIRI4
CVIF4 4
MULF4
ASGNF4
ADDRLP4 24
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 40
ADDP4
ASGNP4
ADDRLP4 24
INDIRP4
ADDRLP4 24
INDIRP4
INDIRF4
ADDRFP4 12
INDIRI4
CVIF4 4
MULF4
ASGNF4
line 83
;83:	player->client->ps.pm_time = 160;		// hold time
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 16
ADDP4
CNSTI4 160
ASGNI4
line 84
;84:	player->client->ps.pm_flags |= PMF_TIME_KNOCKBACK;
ADDRLP4 28
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 12
ADDP4
ASGNP4
ADDRLP4 28
INDIRP4
ADDRLP4 28
INDIRP4
INDIRI4
CNSTI4 64
BORI4
ASGNI4
line 87
;85:
;86:	// toggle the teleport bit so the client knows to not lerp
;87:	player->client->ps.eFlags ^= EF_TELEPORT_BIT;
ADDRLP4 32
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 104
ADDP4
ASGNP4
ADDRLP4 32
INDIRP4
ADDRLP4 32
INDIRP4
INDIRI4
CNSTI4 4
BXORI4
ASGNI4
line 90
;88:
;89:	// set angles
;90:	SetClientViewAngle( player, angles );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRGP4 SetClientViewAngle
CALLV
pop
line 93
;91:
;92:	// kill anything at the destination
;93:	if ( player->client->sess.sessionTeam != TEAM_SPECTATOR && !(player->client->ps.eFlags&EF_ELIMINATED)) {
ADDRLP4 36
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
ASGNP4
ADDRLP4 36
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
CNSTI4 3
EQI4 $62
ADDRLP4 36
INDIRP4
CNSTI4 104
ADDP4
INDIRI4
CNSTI4 1024
BANDI4
CNSTI4 0
NEI4 $62
line 94
;94:		G_KillBox (player);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_KillBox
CALLV
pop
line 95
;95:	}
LABELV $62
line 98
;96:
;97:	// save results of pmove
;98:	BG_PlayerStateToEntityState( &player->client->ps, &player->s, qtrue );
ADDRLP4 40
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 40
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
ARGP4
ADDRLP4 40
INDIRP4
ARGP4
CNSTI4 1
ARGI4
ADDRGP4 BG_PlayerStateToEntityState
CALLV
pop
line 101
;99:
;100:	// use the precise origin for linking
;101:	VectorCopy( player->client->ps.origin, player->r.currentOrigin );
ADDRLP4 44
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 44
INDIRP4
CNSTI4 276
ADDP4
ADDRLP4 44
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 20
ADDP4
INDIRB
ASGNB 12
line 103
;102:
;103:	if ( player->client->sess.sessionTeam != TEAM_SPECTATOR && !(player->client->ps.eFlags&EF_ELIMINATED)) {
ADDRLP4 48
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
ASGNP4
ADDRLP4 48
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
CNSTI4 3
EQI4 $64
ADDRLP4 48
INDIRP4
CNSTI4 104
ADDP4
INDIRI4
CNSTI4 1024
BANDI4
CNSTI4 0
NEI4 $64
line 104
;104:		trap_LinkEntity (player);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 105
;105:	}
LABELV $64
line 106
;106:}
LABELV $59
endproc TransportPlayer 52 16
export TeleportPlayer
proc TeleportPlayer 92 28
line 109
;107:
;108:
;109:void TeleportPlayer( gentity_t *player, vec3_t origin, vec3_t angles, tpType_t tpType ) {
line 114
;110:	gentity_t	*tent;
;111:
;112:	// use temp events at source and destination to prevent the effect
;113:	// from getting dropped by a second player event
;114:	if ( player->client->sess.sessionTeam != TEAM_SPECTATOR && !(player->client->ps.eFlags&EF_ELIMINATED) ) 
ADDRLP4 4
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
CNSTI4 3
EQI4 $67
ADDRLP4 4
INDIRP4
CNSTI4 104
ADDP4
INDIRI4
CNSTI4 1024
BANDI4
CNSTI4 0
NEI4 $67
line 115
;115:	{
line 116
;116:		if ( tpType == TP_BORG )
ADDRFP4 12
INDIRI4
CNSTI4 1
NEI4 $69
line 117
;117:		{
line 119
;118:			// ...we are borg...prepare to be...
;119:			tent = G_TempEntity( origin, EV_BORG_TELEPORT );
ADDRFP4 4
INDIRP4
ARGP4
CNSTI4 91
ARGI4
ADDRLP4 8
ADDRGP4 G_TempEntity
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 8
INDIRP4
ASGNP4
line 120
;120:			tent->s.clientNum = player->s.clientNum;
ADDRLP4 12
CNSTI4 168
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 12
INDIRI4
ADDP4
ADDRFP4 0
INDIRP4
ADDRLP4 12
INDIRI4
ADDP4
INDIRI4
ASGNI4
line 121
;121:		}
ADDRGP4 $70
JUMPV
LABELV $69
line 123
;122:		else
;123:		{
line 124
;124:			tent = G_TempEntity( player->client->ps.origin, EV_PLAYER_TELEPORT_OUT );
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 20
ADDP4
ARGP4
CNSTI4 46
ARGI4
ADDRLP4 8
ADDRGP4 G_TempEntity
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 8
INDIRP4
ASGNP4
line 125
;125:			tent->s.clientNum = player->s.clientNum;
ADDRLP4 12
CNSTI4 168
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 12
INDIRI4
ADDP4
ADDRFP4 0
INDIRP4
ADDRLP4 12
INDIRI4
ADDP4
INDIRI4
ASGNI4
line 127
;126:
;127:			tent = G_TempEntity( origin, EV_PLAYER_TELEPORT_IN );
ADDRFP4 4
INDIRP4
ARGP4
CNSTI4 45
ARGI4
ADDRLP4 16
ADDRGP4 G_TempEntity
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 16
INDIRP4
ASGNP4
line 128
;128:			tent->s.clientNum = player->s.clientNum;
ADDRLP4 20
CNSTI4 168
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 20
INDIRI4
ADDP4
ADDRFP4 0
INDIRP4
ADDRLP4 20
INDIRI4
ADDP4
INDIRI4
ASGNI4
line 129
;129:		}
LABELV $70
line 130
;130:	}
LABELV $67
line 133
;131:
;132:	// unlink to make sure it can't possibly interfere with G_KillBox
;133:	trap_UnlinkEntity (player);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_UnlinkEntity
CALLV
pop
line 135
;134:
;135:	VectorCopy ( origin, player->client->ps.origin );
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 20
ADDP4
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 137
;136:
;137:	{//see if we can move the player up one
line 141
;138:		vec3_t	newOrg;
;139:		trace_t	tr;
;140:
;141:		VectorCopy ( origin, newOrg );
ADDRLP4 64
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 142
;142:		newOrg[2] += 1;
ADDRLP4 64+8
ADDRLP4 64+8
INDIRF4
CNSTF4 1065353216
ADDF4
ASGNF4
line 143
;143:		trap_Trace( &tr, player->client->ps.origin, player->r.mins, player->r.maxs, newOrg, player->client->ps.clientNum, player->clipmask );
ADDRLP4 8
ARGP4
ADDRLP4 76
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 80
ADDRLP4 76
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
ASGNP4
ADDRLP4 80
INDIRP4
CNSTI4 20
ADDP4
ARGP4
ADDRLP4 76
INDIRP4
CNSTI4 224
ADDP4
ARGP4
ADDRLP4 76
INDIRP4
CNSTI4 236
ADDP4
ARGP4
ADDRLP4 64
ARGP4
ADDRLP4 80
INDIRP4
CNSTI4 156
ADDP4
INDIRI4
ARGI4
ADDRLP4 76
INDIRP4
CNSTI4 360
ADDP4
INDIRI4
ARGI4
ADDRGP4 trap_Trace
CALLV
pop
line 144
;144:		if ( !tr.allsolid && !tr.startsolid && tr.fraction == 1.0 )
ADDRLP4 84
CNSTI4 0
ASGNI4
ADDRLP4 8
INDIRI4
ADDRLP4 84
INDIRI4
NEI4 $72
ADDRLP4 8+4
INDIRI4
ADDRLP4 84
INDIRI4
NEI4 $72
ADDRLP4 8+8
INDIRF4
CNSTF4 1065353216
NEF4 $72
line 145
;145:		{
line 146
;146:			player->client->ps.origin[2] += 1;
ADDRLP4 88
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 28
ADDP4
ASGNP4
ADDRLP4 88
INDIRP4
ADDRLP4 88
INDIRP4
INDIRF4
CNSTF4 1065353216
ADDF4
ASGNF4
line 147
;147:		}
LABELV $72
line 148
;148:	}
line 151
;149:
;150:	// spit the player out
;151:	if ( tpType != TP_BORG )
ADDRFP4 12
INDIRI4
CNSTI4 1
EQI4 $76
line 152
;152:	{
line 153
;153:		AngleVectors( angles, player->client->ps.velocity, NULL, NULL );
ADDRFP4 8
INDIRP4
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 32
ADDP4
ARGP4
ADDRLP4 8
CNSTP4 0
ASGNP4
ADDRLP4 8
INDIRP4
ARGP4
ADDRLP4 8
INDIRP4
ARGP4
ADDRGP4 AngleVectors
CALLV
pop
line 154
;154:		VectorScale( player->client->ps.velocity, 400, player->client->ps.velocity );
ADDRLP4 12
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 32
ADDP4
ASGNP4
ADDRLP4 12
INDIRP4
CNSTF4 1137180672
ADDRLP4 12
INDIRP4
INDIRF4
MULF4
ASGNF4
ADDRLP4 16
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 36
ADDP4
ASGNP4
ADDRLP4 16
INDIRP4
CNSTF4 1137180672
ADDRLP4 16
INDIRP4
INDIRF4
MULF4
ASGNF4
ADDRLP4 20
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 40
ADDP4
ASGNP4
ADDRLP4 20
INDIRP4
CNSTF4 1137180672
ADDRLP4 20
INDIRP4
INDIRF4
MULF4
ASGNF4
line 155
;155:		player->client->ps.pm_time = 160;		// hold time
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 16
ADDP4
CNSTI4 160
ASGNI4
line 156
;156:		player->client->ps.pm_flags |= PMF_TIME_KNOCKBACK;
ADDRLP4 24
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 12
ADDP4
ASGNP4
ADDRLP4 24
INDIRP4
ADDRLP4 24
INDIRP4
INDIRI4
CNSTI4 64
BORI4
ASGNI4
line 157
;157:	}
LABELV $76
line 160
;158:
;159:	// toggle the teleport bit so the client knows to not lerp
;160:	player->client->ps.eFlags ^= EF_TELEPORT_BIT;
ADDRLP4 8
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 104
ADDP4
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRI4
CNSTI4 4
BXORI4
ASGNI4
line 163
;161:
;162:	// set angles
;163:	SetClientViewAngle( player, angles );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRGP4 SetClientViewAngle
CALLV
pop
line 166
;164:
;165:	// kill anything at the destination
;166:	if ( player->client->sess.sessionTeam != TEAM_SPECTATOR && !(player->client->ps.eFlags&EF_ELIMINATED)) {
ADDRLP4 12
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
ASGNP4
ADDRLP4 12
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
CNSTI4 3
EQI4 $78
ADDRLP4 12
INDIRP4
CNSTI4 104
ADDP4
INDIRI4
CNSTI4 1024
BANDI4
CNSTI4 0
NEI4 $78
line 167
;167:		G_KillBox (player);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_KillBox
CALLV
pop
line 168
;168:	}
LABELV $78
line 171
;169:
;170:	// save results of pmove
;171:	BG_PlayerStateToEntityState( &player->client->ps, &player->s, qtrue );
ADDRLP4 16
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 16
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
ARGP4
ADDRLP4 16
INDIRP4
ARGP4
CNSTI4 1
ARGI4
ADDRGP4 BG_PlayerStateToEntityState
CALLV
pop
line 174
;172:
;173:	// use the precise origin for linking
;174:	VectorCopy( player->client->ps.origin, player->r.currentOrigin );
ADDRLP4 20
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 20
INDIRP4
CNSTI4 276
ADDP4
ADDRLP4 20
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 20
ADDP4
INDIRB
ASGNB 12
line 176
;175:
;176:	if ( player->client->sess.sessionTeam != TEAM_SPECTATOR && !(player->client->ps.eFlags&EF_ELIMINATED)) {
ADDRLP4 24
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
ASGNP4
ADDRLP4 24
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
CNSTI4 3
EQI4 $80
ADDRLP4 24
INDIRP4
CNSTI4 104
ADDP4
INDIRI4
CNSTI4 1024
BANDI4
CNSTI4 0
NEI4 $80
line 177
;177:		trap_LinkEntity (player);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 178
;178:	}
LABELV $80
line 182
;179:
;180:
;181:    // Insta-Unlagged for ST: Elite Force - reset the origin trail for this player to avoid lerping in a time shift
;182:    G_ResetTrail( player );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_ResetTrail
CALLV
pop
line 186
;183:
;184:
;185:
;186:}
LABELV $66
endproc TeleportPlayer 92 28
export SP_misc_teleporter_dest
proc SP_misc_teleporter_dest 0 0
line 194
;187:
;188:
;189:/*QUAKED misc_teleporter_dest (1 0 0) (-32 -32 -24) (32 32 -16)
;190:Point teleporters at these.
;191:Now that we don't have teleport destination pads, this is just
;192:an info_notnull
;193:*/
;194:void SP_misc_teleporter_dest( gentity_t *ent ) {
line 195
;195:}
LABELV $82
endproc SP_misc_teleporter_dest 0 0
export SP_misc_model
proc SP_misc_model 0 4
line 203
;196:
;197:
;198://===========================================================
;199:
;200:/*QUAKED misc_model (1 0 0) (-16 -16 -16) (16 16 16)
;201:"model"		arbitrary .md3 file to display
;202:*/
;203:void SP_misc_model( gentity_t *ent ) {
line 214
;204:
;205:#if 0
;206:	ent->s.modelindex = G_ModelIndex( ent->model );
;207:	VectorSet (ent->mins, -16, -16, -16);
;208:	VectorSet (ent->maxs, 16, 16, 16);
;209:	trap_LinkEntity (ent);
;210:
;211:	G_SetOrigin( ent, ent->s.origin );
;212:	VectorCopy( ent->s.angles, ent->s.apos.trBase );
;213:#else
;214:	G_FreeEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_FreeEntity
CALLV
pop
line 216
;215:#endif
;216:}
LABELV $83
endproc SP_misc_model 0 4
export setCamera
proc setCamera 48 8
line 221
;217:
;218:
;219://===========================================================
;220:void setCamera ( gentity_t *ent, int ownernum )
;221:{
line 223
;222:	vec3_t		dir;
;223:	gentity_t	*target = NULL;
ADDRLP4 4
CNSTP4 0
ASGNP4
line 224
;224:	gentity_t	*owner = NULL;
ADDRLP4 0
CNSTP4 0
ASGNP4
line 226
;225:
;226:	ent->r.ownerNum = ownernum;
ADDRFP4 0
INDIRP4
CNSTI4 300
ADDP4
ADDRFP4 4
INDIRI4
ASGNI4
line 228
;227:
;228:	owner = &g_entities[ownernum];
ADDRLP4 0
CNSTI4 624
ADDRFP4 4
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 231
;229:
;230:	// frame holds the rotate speed
;231:	if ( owner->spawnflags & 1 ) {
ADDRLP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
EQI4 $85
line 232
;232:		ent->s.frame = 25;
ADDRFP4 0
INDIRP4
CNSTI4 172
ADDP4
CNSTI4 25
ASGNI4
line 233
;233:	} else if ( owner->spawnflags & 2 ) {
ADDRGP4 $86
JUMPV
LABELV $85
ADDRLP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 2
BANDI4
CNSTI4 0
EQI4 $87
line 234
;234:		ent->s.frame = 75;
ADDRFP4 0
INDIRP4
CNSTI4 172
ADDP4
CNSTI4 75
ASGNI4
line 235
;235:	}
LABELV $87
LABELV $86
line 238
;236:
;237:	// clientNum holds the rotate offset
;238:	ent->s.clientNum = owner->s.clientNum;
ADDRLP4 20
CNSTI4 168
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 20
INDIRI4
ADDP4
ADDRLP4 0
INDIRP4
ADDRLP4 20
INDIRI4
ADDP4
INDIRI4
ASGNI4
line 240
;239:
;240:	VectorCopy( owner->s.origin, ent->s.origin2 );
ADDRFP4 0
INDIRP4
CNSTI4 104
ADDP4
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
INDIRB
ASGNB 12
line 243
;241:
;242:	// see if the portal_camera has a target
;243:	target = G_PickTarget( owner->target );
ADDRLP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
ARGP4
ADDRLP4 24
ADDRGP4 G_PickTarget
CALLP4
ASGNP4
ADDRLP4 4
ADDRLP4 24
INDIRP4
ASGNP4
line 244
;244:	if ( target ) {
ADDRLP4 4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $89
line 245
;245:		VectorSubtract( target->s.origin, owner->s.origin, dir );
ADDRLP4 32
CNSTI4 92
ASGNI4
ADDRLP4 8
ADDRLP4 4
INDIRP4
ADDRLP4 32
INDIRI4
ADDP4
INDIRF4
ADDRLP4 0
INDIRP4
ADDRLP4 32
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 40
CNSTI4 96
ASGNI4
ADDRLP4 8+4
ADDRLP4 4
INDIRP4
ADDRLP4 40
INDIRI4
ADDP4
INDIRF4
ADDRLP4 0
INDIRP4
ADDRLP4 40
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 44
CNSTI4 100
ASGNI4
ADDRLP4 8+8
ADDRLP4 4
INDIRP4
ADDRLP4 44
INDIRI4
ADDP4
INDIRF4
ADDRLP4 0
INDIRP4
ADDRLP4 44
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
line 246
;246:		VectorNormalize( dir );
ADDRLP4 8
ARGP4
ADDRGP4 VectorNormalize
CALLF4
pop
line 247
;247:	} else {
ADDRGP4 $90
JUMPV
LABELV $89
line 248
;248:		G_SetMovedir( owner->s.angles, dir );
ADDRLP4 0
INDIRP4
CNSTI4 116
ADDP4
ARGP4
ADDRLP4 8
ARGP4
ADDRGP4 G_SetMovedir
CALLV
pop
line 249
;249:	}
LABELV $90
line 251
;250:
;251:	ent->s.eventParm = DirToByte( dir );
ADDRLP4 8
ARGP4
ADDRLP4 28
ADDRGP4 DirToByte
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
CNSTI4 184
ADDP4
ADDRLP4 28
INDIRI4
ASGNI4
line 252
;252:}
LABELV $84
endproc setCamera 48 8
export cycleCamera
proc cycleCamera 20 12
line 255
;253:
;254:void cycleCamera( gentity_t *self )
;255:{
line 256
;256:	gentity_t *orgOwner = NULL;
ADDRLP4 4
CNSTP4 0
ASGNP4
line 257
;257:	gentity_t *owner = NULL;
ADDRLP4 0
CNSTP4 0
ASGNP4
line 259
;258:
;259:	if ( self->r.ownerNum >= 0 && self->r.ownerNum < ENTITYNUM_WORLD )
ADDRLP4 8
ADDRFP4 0
INDIRP4
CNSTI4 300
ADDP4
INDIRI4
ASGNI4
ADDRLP4 8
INDIRI4
CNSTI4 0
LTI4 $94
ADDRLP4 8
INDIRI4
CNSTI4 1022
GEI4 $94
line 260
;260:	{
line 261
;261:		orgOwner = &g_entities[self->r.ownerNum];
ADDRLP4 4
CNSTI4 624
ADDRFP4 0
INDIRP4
CNSTI4 300
ADDP4
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 262
;262:	}
LABELV $94
line 264
;263:
;264:	owner = G_Find( orgOwner, FOFS(targetname), self->target );
ADDRLP4 4
INDIRP4
ARGP4
CNSTI4 468
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
ARGP4
ADDRLP4 12
ADDRGP4 G_Find
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 12
INDIRP4
ASGNP4
line 266
;265:
;266:	if  ( owner == NULL )
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $96
line 267
;267:	{
line 270
;268:		//Uh oh! Not targeted at any ents!  Or reached end of list?  Which is it?
;269:		//for now assume reached end of list and are cycling
;270:		owner = G_Find( owner, FOFS(targetname), self->target );
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 468
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
ARGP4
ADDRLP4 16
ADDRGP4 G_Find
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 16
INDIRP4
ASGNP4
line 271
;271:		if  ( owner == NULL )
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $98
line 272
;272:		{//still didn't find one
line 273
;273:			G_Printf( "Couldn't find target for misc_portal_surface\n" );
ADDRGP4 $100
ARGP4
ADDRGP4 G_Printf
CALLV
pop
line 274
;274:			G_FreeEntity( self );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_FreeEntity
CALLV
pop
line 275
;275:			return;
ADDRGP4 $93
JUMPV
LABELV $98
line 277
;276:		}
;277:	}
LABELV $96
line 279
;278:
;279:	setCamera( self, owner->s.number );
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
INDIRI4
ARGI4
ADDRGP4 setCamera
CALLV
pop
line 281
;280:
;281:	if ( self->think == cycleCamera )
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
INDIRP4
CVPU4 4
ADDRGP4 cycleCamera
CVPU4 4
NEU4 $101
line 282
;282:	{
line 283
;283:		if ( owner->wait > 0 )
ADDRLP4 0
INDIRP4
CNSTI4 608
ADDP4
INDIRF4
CNSTF4 0
LEF4 $103
line 284
;284:		{
line 285
;285:			self->nextthink = level.time + owner->wait;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CVIF4 4
ADDRLP4 0
INDIRP4
CNSTI4 608
ADDP4
INDIRF4
ADDF4
CVFI4 4
ASGNI4
line 286
;286:		}
ADDRGP4 $104
JUMPV
LABELV $103
line 288
;287:		else
;288:		{
line 289
;289:			self->nextthink = level.time + self->wait;
ADDRLP4 16
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 16
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CVIF4 4
ADDRLP4 16
INDIRP4
CNSTI4 608
ADDP4
INDIRF4
ADDF4
CVFI4 4
ASGNI4
line 290
;290:		}
LABELV $104
line 291
;291:	}
LABELV $101
line 292
;292:}
LABELV $93
endproc cycleCamera 20 12
export misc_portal_use
proc misc_portal_use 0 4
line 295
;293:
;294:void misc_portal_use( gentity_t *self, gentity_t *other, gentity_t *activator )
;295:{
line 296
;296:	cycleCamera( self );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 cycleCamera
CALLV
pop
line 297
;297:}
LABELV $107
endproc misc_portal_use 0 4
export locateCamera
proc locateCamera 16 12
line 299
;298:
;299:void locateCamera( gentity_t *ent ) {
line 301
;300:
;301:	gentity_t *owner = NULL;
ADDRLP4 0
CNSTP4 0
ASGNP4
line 302
;302:	owner = G_Find( NULL, FOFS(targetname), ent->target );
CNSTP4 0
ARGP4
CNSTI4 468
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
ARGP4
ADDRLP4 4
ADDRGP4 G_Find
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 4
INDIRP4
ASGNP4
line 303
;303:	if  ( owner == NULL )
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $109
line 304
;304:	{
line 305
;305:		G_Printf( "Couldn't find target for misc_partal_surface\n" );
ADDRGP4 $111
ARGP4
ADDRGP4 G_Printf
CALLV
pop
line 306
;306:		G_FreeEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_FreeEntity
CALLV
pop
line 307
;307:		return;
ADDRGP4 $108
JUMPV
LABELV $109
line 310
;308:	}
;309:	
;310:	setCamera( ent, owner->s.number );
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
INDIRI4
ARGI4
ADDRGP4 setCamera
CALLV
pop
line 312
;311:
;312:	if ( G_Find( owner, FOFS(targetname), ent->target) != NULL  )
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 468
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
ARGP4
ADDRLP4 8
ADDRGP4 G_Find
CALLP4
ASGNP4
ADDRLP4 8
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $112
line 313
;313:	{//targeted at more than one thing
line 314
;314:		ent->think = cycleCamera;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 cycleCamera
ASGNP4
line 315
;315:		if ( owner->wait > 0 )
ADDRLP4 0
INDIRP4
CNSTI4 608
ADDP4
INDIRF4
CNSTF4 0
LEF4 $114
line 316
;316:		{
line 317
;317:			ent->nextthink = level.time + owner->wait;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CVIF4 4
ADDRLP4 0
INDIRP4
CNSTI4 608
ADDP4
INDIRF4
ADDF4
CVFI4 4
ASGNI4
line 318
;318:		}
ADDRGP4 $115
JUMPV
LABELV $114
line 320
;319:		else
;320:		{
line 321
;321:			ent->nextthink = level.time + ent->wait;
ADDRLP4 12
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CVIF4 4
ADDRLP4 12
INDIRP4
CNSTI4 608
ADDP4
INDIRF4
ADDF4
CVFI4 4
ASGNI4
line 322
;322:		}
LABELV $115
line 323
;323:	}
LABELV $112
line 324
;324:}
LABELV $108
endproc locateCamera 16 12
export SP_misc_portal_surface
proc SP_misc_portal_surface 24 4
line 336
;325:
;326:
;327:/*QUAKED misc_portal_surface (0 0 1) (-8 -8 -8) (8 8 8)
;328:The portal surface nearest this entity will show a view from the targeted misc_portal_camera, or a mirror view if untargeted.
;329:This must be within 64 world units of the surface!
;330:
;331:targetname - When used, cycles to the next misc_portal_camera it's targeted
;332:wait - makes it auto-cycle between all cameras it's pointed at at intevervals of specified number of seconds.
;333:
;334:  cameras will be cycled through in the order they were created on the map.
;335:*/
;336:void SP_misc_portal_surface(gentity_t *ent) {
line 337
;337:	VectorClear( ent->r.mins );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
CNSTF4 0
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 232
ADDP4
ADDRLP4 4
INDIRF4
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 228
ADDP4
ADDRLP4 4
INDIRF4
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 224
ADDP4
ADDRLP4 4
INDIRF4
ASGNF4
line 338
;338:	VectorClear( ent->r.maxs );
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12
CNSTF4 0
ASGNF4
ADDRLP4 8
INDIRP4
CNSTI4 244
ADDP4
ADDRLP4 12
INDIRF4
ASGNF4
ADDRLP4 8
INDIRP4
CNSTI4 240
ADDP4
ADDRLP4 12
INDIRF4
ASGNF4
ADDRLP4 8
INDIRP4
CNSTI4 236
ADDP4
ADDRLP4 12
INDIRF4
ASGNF4
line 339
;339:	trap_LinkEntity (ent);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 341
;340:
;341:	ent->r.svFlags = SVF_PORTAL;
ADDRFP4 0
INDIRP4
CNSTI4 212
ADDP4
CNSTI4 64
ASGNI4
line 342
;342:	ent->s.eType = ET_PORTAL;
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 7
ASGNI4
line 343
;343:	ent->wait *= 1000;
ADDRLP4 16
ADDRFP4 0
INDIRP4
CNSTI4 608
ADDP4
ASGNP4
ADDRLP4 16
INDIRP4
CNSTF4 1148846080
ADDRLP4 16
INDIRP4
INDIRF4
MULF4
ASGNF4
line 345
;344:
;345:	if ( !ent->target ) {
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $119
line 346
;346:		VectorCopy( ent->s.origin, ent->s.origin2 );
ADDRLP4 20
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 20
INDIRP4
CNSTI4 104
ADDP4
ADDRLP4 20
INDIRP4
CNSTI4 92
ADDP4
INDIRB
ASGNB 12
line 347
;347:	} else {
ADDRGP4 $120
JUMPV
LABELV $119
line 348
;348:		ent->think = locateCamera;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 locateCamera
ASGNP4
line 349
;349:		ent->nextthink = level.time + 100;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 100
ADDI4
ASGNI4
line 350
;350:		if ( ent->targetname )
ADDRFP4 0
INDIRP4
CNSTI4 468
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $122
line 351
;351:		{
line 352
;352:			ent->use = misc_portal_use;
ADDRFP4 0
INDIRP4
CNSTI4 516
ADDP4
ADDRGP4 misc_portal_use
ASGNP4
line 353
;353:		}
LABELV $122
line 354
;354:	}
LABELV $120
line 355
;355:}
LABELV $118
endproc SP_misc_portal_surface 24 4
export SP_misc_portal_camera
proc SP_misc_portal_camera 24 12
line 361
;356:
;357:/*QUAKED misc_portal_camera (0 0 1) (-8 -8 -8) (8 8 8) slowrotate fastrotate
;358:The target for a misc_portal_surface.  You can set either angles or target another entity (NOT an info_null) to determine the direction of view.
;359:"roll" an angle modifier to orient the camera around the target vector;
;360:*/
;361:void SP_misc_portal_camera(gentity_t *ent) {
line 364
;362:	float	roll;
;363:
;364:	VectorClear( ent->r.mins );
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
CNSTF4 0
ASGNF4
ADDRLP4 4
INDIRP4
CNSTI4 232
ADDP4
ADDRLP4 8
INDIRF4
ASGNF4
ADDRLP4 4
INDIRP4
CNSTI4 228
ADDP4
ADDRLP4 8
INDIRF4
ASGNF4
ADDRLP4 4
INDIRP4
CNSTI4 224
ADDP4
ADDRLP4 8
INDIRF4
ASGNF4
line 365
;365:	VectorClear( ent->r.maxs );
ADDRLP4 12
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 16
CNSTF4 0
ASGNF4
ADDRLP4 12
INDIRP4
CNSTI4 244
ADDP4
ADDRLP4 16
INDIRF4
ASGNF4
ADDRLP4 12
INDIRP4
CNSTI4 240
ADDP4
ADDRLP4 16
INDIRF4
ASGNF4
ADDRLP4 12
INDIRP4
CNSTI4 236
ADDP4
ADDRLP4 16
INDIRF4
ASGNF4
line 366
;366:	trap_LinkEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 368
;367:
;368:	G_SpawnFloat( "roll", "0", &roll );
ADDRGP4 $125
ARGP4
ADDRGP4 $126
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 G_SpawnFloat
CALLI4
pop
line 370
;369:
;370:	ent->s.clientNum = roll/360.0 * 256;
ADDRFP4 0
INDIRP4
CNSTI4 168
ADDP4
CNSTF4 1132462080
ADDRLP4 0
INDIRF4
CNSTF4 1135869952
DIVF4
MULF4
CVFI4 4
ASGNI4
line 371
;371:	ent->wait *= 1000;
ADDRLP4 20
ADDRFP4 0
INDIRP4
CNSTI4 608
ADDP4
ASGNP4
ADDRLP4 20
INDIRP4
CNSTF4 1148846080
ADDRLP4 20
INDIRP4
INDIRF4
MULF4
ASGNF4
line 372
;372:}
LABELV $124
endproc SP_misc_portal_camera 24 12
export Use_Shooter
proc Use_Shooter 80 12
line 382
;373:
;374:/*
;375:======================================================================
;376:
;377:  SHOOTERS
;378:
;379:======================================================================
;380:*/
;381:
;382:void Use_Shooter( gentity_t *ent, gentity_t *other, gentity_t *activator ) {
line 388
;383:	vec3_t		dir;
;384:	float		deg;
;385:	vec3_t		up, right;
;386:
;387:	// see if we have a target
;388:	if ( ent->enemy ) {
ADDRFP4 0
INDIRP4
CNSTI4 580
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $128
line 389
;389:		VectorSubtract( ent->enemy->r.currentOrigin, ent->s.origin, dir );
ADDRLP4 40
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 44
ADDRLP4 40
INDIRP4
CNSTI4 580
ADDP4
ASGNP4
ADDRLP4 0
ADDRLP4 44
INDIRP4
INDIRP4
CNSTI4 276
ADDP4
INDIRF4
ADDRLP4 40
INDIRP4
CNSTI4 92
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 44
INDIRP4
INDIRP4
CNSTI4 280
ADDP4
INDIRF4
ADDRLP4 40
INDIRP4
CNSTI4 96
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 48
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0+8
ADDRLP4 48
INDIRP4
CNSTI4 580
ADDP4
INDIRP4
CNSTI4 284
ADDP4
INDIRF4
ADDRLP4 48
INDIRP4
CNSTI4 100
ADDP4
INDIRF4
SUBF4
ASGNF4
line 390
;390:		VectorNormalize( dir );
ADDRLP4 0
ARGP4
ADDRGP4 VectorNormalize
CALLF4
pop
line 391
;391:	} else {
ADDRGP4 $129
JUMPV
LABELV $128
line 392
;392:		VectorCopy( ent->movedir, dir );
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 484
ADDP4
INDIRB
ASGNB 12
line 393
;393:	}
LABELV $129
line 396
;394:
;395:	// randomize a bit
;396:	PerpendicularVector( up, dir );
ADDRLP4 16
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 PerpendicularVector
CALLV
pop
line 397
;397:	CrossProduct( up, dir, right );
ADDRLP4 16
ARGP4
ADDRLP4 0
ARGP4
ADDRLP4 28
ARGP4
ADDRGP4 CrossProduct
CALLV
pop
line 399
;398:
;399:	deg = crandom() * ent->random;
ADDRLP4 40
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 12
CNSTF4 1073741824
ADDRLP4 40
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
ADDRFP4 0
INDIRP4
CNSTI4 612
ADDP4
INDIRF4
MULF4
ASGNF4
line 400
;400:	VectorMA( dir, deg, up, dir );
ADDRLP4 0
ADDRLP4 0
INDIRF4
ADDRLP4 16
INDIRF4
ADDRLP4 12
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 0+4
INDIRF4
ADDRLP4 16+4
INDIRF4
ADDRLP4 12
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+8
ADDRLP4 0+8
INDIRF4
ADDRLP4 16+8
INDIRF4
ADDRLP4 12
INDIRF4
MULF4
ADDF4
ASGNF4
line 402
;401:
;402:	deg = crandom() * ent->random;
ADDRLP4 48
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 12
CNSTF4 1073741824
ADDRLP4 48
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
ADDRFP4 0
INDIRP4
CNSTI4 612
ADDP4
INDIRF4
MULF4
ASGNF4
line 403
;403:	VectorMA( dir, deg, right, dir );
ADDRLP4 0
ADDRLP4 0
INDIRF4
ADDRLP4 28
INDIRF4
ADDRLP4 12
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 0+4
INDIRF4
ADDRLP4 28+4
INDIRF4
ADDRLP4 12
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+8
ADDRLP4 0+8
INDIRF4
ADDRLP4 28+8
INDIRF4
ADDRLP4 12
INDIRF4
MULF4
ADDF4
ASGNF4
line 405
;404:
;405:	VectorNormalize( dir );
ADDRLP4 0
ARGP4
ADDRGP4 VectorNormalize
CALLF4
pop
line 407
;406:
;407:	switch ( ent->s.weapon ) {
ADDRLP4 56
ADDRFP4 0
INDIRP4
CNSTI4 192
ADDP4
INDIRI4
ASGNI4
ADDRLP4 56
INDIRI4
CNSTI4 4
LTI4 $144
ADDRLP4 56
INDIRI4
CNSTI4 8
GTI4 $144
ADDRLP4 56
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 $151-16
ADDP4
INDIRP4
JUMPV
lit
align 4
LABELV $151
address $149
address $148
address $147
address $144
address $150
code
LABELV $147
line 409
;408:	case WP_GRENADE_LAUNCHER:
;409:		fire_grenade( ent, ent->s.origin, dir );
ADDRLP4 64
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 64
INDIRP4
ARGP4
ADDRLP4 64
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 fire_grenade
CALLP4
pop
line 410
;410:		break;
ADDRGP4 $145
JUMPV
LABELV $148
line 412
;411:	case WP_STASIS:
;412:		fire_rocket( ent, ent->s.origin, dir );
ADDRLP4 68
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 68
INDIRP4
ARGP4
ADDRLP4 68
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 fire_rocket
CALLP4
pop
line 413
;413:		break;
ADDRGP4 $145
JUMPV
LABELV $149
line 415
;414:	case WP_SCAVENGER_RIFLE:
;415:		fire_plasma( ent, ent->s.origin, dir );
ADDRLP4 72
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 72
INDIRP4
ARGP4
ADDRLP4 72
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 fire_plasma
CALLP4
pop
line 416
;416:		break;
ADDRGP4 $145
JUMPV
LABELV $150
line 418
;417:	case WP_QUANTUM_BURST:
;418:		fire_quantum( ent, ent->s.origin, dir );
ADDRLP4 76
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 76
INDIRP4
ARGP4
ADDRLP4 76
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 fire_quantum
CALLP4
pop
line 419
;419:		break;
LABELV $144
LABELV $145
line 422
;420:	}
;421:
;422:	G_AddEvent( ent, EV_FIRE_WEAPON, 0 );
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 24
ARGI4
CNSTI4 0
ARGI4
ADDRGP4 G_AddEvent
CALLV
pop
line 423
;423:}
LABELV $127
endproc Use_Shooter 80 12
proc InitShooter_Finish 8 4
line 426
;424:
;425:
;426:static void InitShooter_Finish( gentity_t *ent ) {
line 427
;427:	ent->enemy = G_PickTarget( ent->target );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
ARGP4
ADDRLP4 4
ADDRGP4 G_PickTarget
CALLP4
ASGNP4
ADDRLP4 0
INDIRP4
CNSTI4 580
ADDP4
ADDRLP4 4
INDIRP4
ASGNP4
line 428
;428:	ent->think = 0;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
CNSTP4 0
ASGNP4
line 429
;429:	ent->nextthink = 0;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
CNSTI4 0
ASGNI4
line 430
;430:}
LABELV $153
endproc InitShooter_Finish 8 4
export InitShooter
proc InitShooter 16 8
line 432
;431:
;432:void InitShooter( gentity_t *ent, int weapon ) {
line 433
;433:	ent->use = Use_Shooter;
ADDRFP4 0
INDIRP4
CNSTI4 516
ADDP4
ADDRGP4 Use_Shooter
ASGNP4
line 434
;434:	ent->s.weapon = weapon;
ADDRFP4 0
INDIRP4
CNSTI4 192
ADDP4
ADDRFP4 4
INDIRI4
ASGNI4
line 436
;435:
;436:	RegisterItem( BG_FindItemForWeapon( weapon ) );
ADDRFP4 4
INDIRI4
ARGI4
ADDRLP4 0
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 438
;437:
;438:	G_SetMovedir( ent->s.angles, ent->movedir );
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CNSTI4 116
ADDP4
ARGP4
ADDRLP4 4
INDIRP4
CNSTI4 484
ADDP4
ARGP4
ADDRGP4 G_SetMovedir
CALLV
pop
line 440
;439:
;440:	if ( !ent->random ) {
ADDRFP4 0
INDIRP4
CNSTI4 612
ADDP4
INDIRF4
CNSTF4 0
NEF4 $155
line 441
;441:		ent->random = 1.0;
ADDRFP4 0
INDIRP4
CNSTI4 612
ADDP4
CNSTF4 1065353216
ASGNF4
line 442
;442:	}
LABELV $155
line 443
;443:	ent->random = sin( M_PI * ent->random / 180 );
ADDRLP4 8
ADDRFP4 0
INDIRP4
CNSTI4 612
ADDP4
ASGNP4
CNSTF4 1078530011
ADDRLP4 8
INDIRP4
INDIRF4
MULF4
CNSTF4 1127481344
DIVF4
ARGF4
ADDRLP4 12
ADDRGP4 sin
CALLF4
ASGNF4
ADDRLP4 8
INDIRP4
ADDRLP4 12
INDIRF4
ASGNF4
line 445
;444:	// target might be a moving object, so we can't set movedir for it
;445:	if ( ent->target ) {
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $157
line 446
;446:		ent->think = InitShooter_Finish;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 InitShooter_Finish
ASGNP4
line 447
;447:		ent->nextthink = level.time + 500;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 500
ADDI4
ASGNI4
line 448
;448:	}
LABELV $157
line 449
;449:	trap_LinkEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 450
;450:}
LABELV $154
endproc InitShooter 16 8
export SP_shooter_rocket
proc SP_shooter_rocket 0 8
line 456
;451:
;452:/*QUAKED shooter_rocket (1 0 0) (-16 -16 -16) (16 16 16)
;453:Fires at either the target or the current direction.
;454:"random" the number of degrees of deviance from the taget. (1.0 default)
;455:*/
;456:void SP_shooter_rocket( gentity_t *ent ) {
line 457
;457:	InitShooter( ent, WP_STASIS );
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 5
ARGI4
ADDRGP4 InitShooter
CALLV
pop
line 458
;458:}
LABELV $160
endproc SP_shooter_rocket 0 8
export SP_shooter_plasma
proc SP_shooter_plasma 0 8
line 464
;459:
;460:/*QUAKED shooter_plasma (1 0 0) (-16 -16 -16) (16 16 16)
;461:Fires at either the target or the current direction.
;462:"random" is the number of degrees of deviance from the taget. (1.0 default)
;463:*/
;464:void SP_shooter_plasma( gentity_t *ent ) {
line 465
;465:	InitShooter( ent, WP_SCAVENGER_RIFLE);
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 4
ARGI4
ADDRGP4 InitShooter
CALLV
pop
line 466
;466:}
LABELV $161
endproc SP_shooter_plasma 0 8
export SP_shooter_grenade
proc SP_shooter_grenade 0 8
line 472
;467:
;468:/*QUAKED shooter_grenade (1 0 0) (-16 -16 -16) (16 16 16)
;469:Fires at either the target or the current direction.
;470:"random" is the number of degrees of deviance from the taget. (1.0 default)
;471:*/
;472:void SP_shooter_grenade( gentity_t *ent ) {
line 473
;473:	InitShooter( ent, WP_GRENADE_LAUNCHER);
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 6
ARGI4
ADDRGP4 InitShooter
CALLV
pop
line 474
;474:}
LABELV $162
endproc SP_shooter_grenade 0 8
import G_UnTimeShiftAllClients
import G_UnTimeShiftClient
import G_TimeShiftAllClients
import G_TimeShiftClient
import G_ResetTrail
import G_StoreTrail
import trap_GeneticParentsAndChildSelection
import trap_BotResetWeaponState
import trap_BotFreeWeaponState
import trap_BotAllocWeaponState
import trap_BotLoadWeaponWeights
import trap_BotGetWeaponInfo
import trap_BotChooseBestFightWeapon
import trap_BotInitMoveState
import trap_BotFreeMoveState
import trap_BotAllocMoveState
import trap_BotPredictVisiblePosition
import trap_BotMovementViewTarget
import trap_BotReachabilityArea
import trap_BotResetLastAvoidReach
import trap_BotResetAvoidReach
import trap_BotMoveInDirection
import trap_BotMoveToGoal
import trap_BotResetMoveState
import trap_BotFreeGoalState
import trap_BotAllocGoalState
import trap_BotMutateGoalFuzzyLogic
import trap_BotSaveGoalFuzzyLogic
import trap_BotInterbreedGoalFuzzyLogic
import trap_BotFreeItemWeights
import trap_BotLoadItemWeights
import trap_BotUpdateEntityItems
import trap_BotInitLevelItems
import trap_BotAvoidGoalTime
import trap_BotGetLevelItemGoal
import trap_BotGetMapLocationGoal
import trap_BotGetNextCampSpotGoal
import trap_BotItemGoalInVisButNotVisible
import trap_BotTouchingGoal
import trap_BotChooseNBGItem
import trap_BotChooseLTGItem
import trap_BotGetSecondGoal
import trap_BotGetTopGoal
import trap_BotGoalName
import trap_BotDumpGoalStack
import trap_BotDumpAvoidGoals
import trap_BotEmptyGoalStack
import trap_BotPopGoal
import trap_BotPushGoal
import trap_BotResetAvoidGoals
import trap_BotRemoveFromAvoidGoals
import trap_BotResetGoalState
import trap_BotSetChatName
import trap_BotSetChatGender
import trap_BotLoadChatFile
import trap_BotReplaceSynonyms
import trap_UnifyWhiteSpaces
import trap_BotMatchVariable
import trap_BotFindMatch
import trap_StringContains
import trap_BotGetChatMessage
import trap_BotEnterChat
import trap_BotChatLength
import trap_BotReplyChat
import trap_BotNumInitialChats
import trap_BotInitialChat
import trap_BotNumConsoleMessages
import trap_BotNextConsoleMessage
import trap_BotRemoveConsoleMessage
import trap_BotQueueConsoleMessage
import trap_BotFreeChatState
import trap_BotAllocChatState
import trap_Characteristic_String
import trap_Characteristic_BInteger
import trap_Characteristic_Integer
import trap_Characteristic_BFloat
import trap_Characteristic_Float
import trap_BotFreeCharacter
import trap_BotLoadCharacter
import trap_EA_ResetInput
import trap_EA_GetInput
import trap_EA_EndRegular
import trap_EA_View
import trap_EA_Move
import trap_EA_MoveRight
import trap_EA_MoveLeft
import trap_EA_MoveBack
import trap_EA_MoveForward
import trap_EA_MoveDown
import trap_EA_MoveUp
import trap_EA_Crouch
import trap_EA_DelayedJump
import trap_EA_Jump
import trap_EA_Respawn
import trap_EA_Use
import trap_EA_Alt_Attack
import trap_EA_Attack
import trap_EA_Talk
import trap_EA_SelectWeapon
import trap_EA_Command
import trap_EA_Gesture
import trap_EA_DropInv
import trap_EA_UseInv
import trap_EA_DropItem
import trap_EA_UseItem
import trap_EA_SayTeam
import trap_EA_Say
import trap_AAS_PredictClientMovement
import trap_AAS_Swimming
import trap_AAS_AreaTravelTimeToGoalArea
import trap_AAS_AreaReachability
import trap_AAS_IntForBSPEpairKey
import trap_AAS_FloatForBSPEpairKey
import trap_AAS_VectorForBSPEpairKey
import trap_AAS_ValueForBSPEpairKey
import trap_AAS_NextBSPEntity
import trap_AAS_PointContents
import trap_AAS_TraceAreas
import trap_AAS_PointAreaNum
import trap_AAS_Time
import trap_AAS_PresenceTypeBoundingBox
import trap_AAS_Initialized
import trap_AAS_EntityInfo
import trap_BotUserCommand
import trap_BotGetConsoleMessage
import trap_BotGetSnapshotEntity
import trap_BotLibTest
import trap_BotLibUpdateEntity
import trap_BotLibLoadMap
import trap_BotLibStartFrame
import trap_BotLibDefine
import trap_BotLibVarGet
import trap_BotLibVarSet
import trap_BotLibShutdown
import trap_BotLibSetup
import trap_DebugPolygonDelete
import trap_DebugPolygonCreate
import trap_GetEntityToken
import trap_GetUsercmd
import trap_BotFreeClient
import trap_BotAllocateClient
import trap_EntityContact
import trap_EntitiesInBox
import trap_UnlinkEntity
import trap_LinkEntity
import trap_AreasConnected
import trap_AdjustAreaPortalState
import trap_InPVSIgnorePortals
import trap_InPVS
import trap_PointContents
import trap_Trace
import trap_SetBrushModel
import trap_GetServerinfo
import trap_SetUserinfo
import trap_GetUserinfo
import trap_GetConfigstring
import trap_SetConfigstring
import trap_SendServerCommand
import trap_DropClient
import trap_LocateGameData
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableIntegerValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_SendConsoleCommand
import trap_FS_GetFileList
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Milliseconds
import trap_Error
import trap_Printf
import g_unlaggedVersion
import g_delagHitscan
import g_CStrikeVersion
import g_classChangeDebounceTime
import g_noJoinTimeout
import g_random_skin_limit
import g_team_group_blue
import g_team_group_red
import g_ghostRespawn
import g_holoIntro
import g_debugUp
import g_debugRight
import g_debugForward
import g_filterBan
import g_banIPs
import g_teamForceBalance
import g_teamAutoJoin
import g_allowVote
import g_doWarmup
import g_warmup
import g_motd
import g_synchronousClients
import g_adaptRespawn
import g_weaponRespawn
import g_debugDamage
import g_debugAlloc
import g_debugMove
import g_inactivity
import g_forcerespawn
import g_dmgmult
import g_knockback
import g_speed
import g_gravity
import g_needpass
import g_password
import g_friendlyFire
import g_capturelimit
import g_timelimitWinningTeam
import g_timelimit
import g_fraglimit
import g_dmflags
import g_language
import g_restarted
import g_maxGameClients
import g_maxclients
import g_cheats
import g_dedicated
import g_gametype
import g_pModElimination
import g_pModSpecialties
import g_pModActionHero
import g_pModDisintegration
import g_pModAssimilation
import g_entities
import level
import Pickup_Team
import CheckTeamStatus
import TeamplayInfoMessage
import Team_GetLocationMsg
import Team_GetLocation
import SelectCTFSpawnPoint
import Team_FreeEntity
import Team_ReturnFlag
import Team_InitGame
import Team_CheckHurtCarrier
import Team_FragBonuses
import Team_DroppedFlagThink
import TeamColorString
import OtherTeamName
import TeamName
import OtherTeam
import BotAIStartFrame
import BotAIShutdownClient
import BotAISetupClient
import BotAILoadMap
import BotAIShutdown
import BotAISetup
import BotInterbreedEndMatch
import Svcmd_BotList_f
import Svcmd_AddBot_f
import G_BotConnect
import G_QueueBotBegin
import G_CheckBotSpawn
import G_GetBotInfoByName
import G_GetBotInfoByNumber
import G_InitBots
import Svcmd_AbortPodium_f
import SpawnModelsOnVictoryPads
import UpdateTournamentInfo
import G_WriteSessionData
import G_InitWorldSession
import G_InitSessionData
import G_ReadSessionData
import Svcmd_GameMem_f
import G_InitMemory
import G_Alloc
import Team_CheckDroppedItem
import OnSameTeam
import Cmd_Ready_f
import G_RunClient
import ClientEndFrame
import ClientThink
import ClientCommand
import ClientBegin
import ClientDisconnect
import ClientUserinfoChanged
import ClientConnect
import GetFavoriteWeaponForClient
import GetWorstEnemyForClient
import GetFavoriteTargetForClient
import GetMaxKillsForClient
import GetMaxDeathsForClient
import CalculateTeamMVPByRank
import CalculateAwards
import G_ClearClientLog
import G_LogExit
import G_LogWeaponOutput
import G_LogWeaponInit
import G_LogWeaponItem
import G_LogWeaponPowerup
import G_LogWeaponFrag
import G_LogWeaponDeath
import G_LogWeaponKill
import G_LogWeaponDamage
import G_LogWeaponFire
import G_LogWeaponPickup
import G_LogPrintf
import G_Error
import G_Printf
import SendScoreboardMessageToAllClients
import G_RunThink
import FindIntermissionPoint
import DeathmatchScoreboardMessage
import G_SetStats
import MoveClientToIntermission
import FireWeapon
import G_FilterPacket
import G_ProcessIPBans
import ConsoleCommand
import SpotWouldTelefrag
import CalculateRanks
import AddScore
import player_die
import ClientSpawn
import InitBodyQue
import InitClientResp
import InitClientPersistant
import BeginIntermission
import respawn
import SelectSpawnPoint
import SetClientViewAngle
import PickTeam
import TeamCount
import FireSeeker
import SeekerAcquiresTarget
import SnapVectorTowards
import CalcMuzzlePoint
import LogAccuracyHit
import trigger_teleporter_touch
import Touch_DoorTrigger
import G_RunMover
import fire_grapple
import fire_rocket
import fire_grenade
import fire_quantum
import fire_plasma
import fire_blaster
import G_RunMissile
import TossClientItems
import body_die
import G_RadiusDamage
import G_Damage
import CanDamage
import G_RadiusList
import G_SetOrigin
import G_AddEvent
import G_AddPredictableEvent
import vectoyaw
import vtos
import tv
import G_TouchSolids
import G_TouchTriggers
import G_FreeEntity
import G_Sound
import G_TempEntity
import G_Spawn
import G_InitGentity
import G_SetMovedir
import G_UseTargets2
import G_UseTargets
import G_PickTarget
import G_Find
import G_KillBox
import G_TeamCommand
import G_SoundIndex
import G_ModelIndex
import SaveRegisteredItems
import RegisterItem
import ClearRegisteredItems
import Touch_Item
import Add_Ammo
import ArmorIndex
import Think_Weapon
import FinishSpawningItem
import G_SpawnItem
import SetRespawn
import Drop_Item
import PrecacheItem
import UseHoldableItem
import RespawnItem
import G_RunItem
import G_CheckTeamItems
import Cmd_FollowCycle_f
import SetTeam
import BroadcastTeamChange
import StopFollowing
import Cmd_Score_f
import G_NewString
import G_SpawnEntitiesFromString
import G_SpawnVector
import G_SpawnInt
import G_SpawnFloat
import G_SpawnString
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $126
byte 1 48
byte 1 0
align 1
LABELV $125
byte 1 114
byte 1 111
byte 1 108
byte 1 108
byte 1 0
align 1
LABELV $111
byte 1 67
byte 1 111
byte 1 117
byte 1 108
byte 1 100
byte 1 110
byte 1 39
byte 1 116
byte 1 32
byte 1 102
byte 1 105
byte 1 110
byte 1 100
byte 1 32
byte 1 116
byte 1 97
byte 1 114
byte 1 103
byte 1 101
byte 1 116
byte 1 32
byte 1 102
byte 1 111
byte 1 114
byte 1 32
byte 1 109
byte 1 105
byte 1 115
byte 1 99
byte 1 95
byte 1 112
byte 1 97
byte 1 114
byte 1 116
byte 1 97
byte 1 108
byte 1 95
byte 1 115
byte 1 117
byte 1 114
byte 1 102
byte 1 97
byte 1 99
byte 1 101
byte 1 10
byte 1 0
align 1
LABELV $100
byte 1 67
byte 1 111
byte 1 117
byte 1 108
byte 1 100
byte 1 110
byte 1 39
byte 1 116
byte 1 32
byte 1 102
byte 1 105
byte 1 110
byte 1 100
byte 1 32
byte 1 116
byte 1 97
byte 1 114
byte 1 103
byte 1 101
byte 1 116
byte 1 32
byte 1 102
byte 1 111
byte 1 114
byte 1 32
byte 1 109
byte 1 105
byte 1 115
byte 1 99
byte 1 95
byte 1 112
byte 1 111
byte 1 114
byte 1 116
byte 1 97
byte 1 108
byte 1 95
byte 1 115
byte 1 117
byte 1 114
byte 1 102
byte 1 97
byte 1 99
byte 1 101
byte 1 10
byte 1 0
