export Use_Target_Give
code
proc Use_Target_Give 64 12
file "../g_target.c"
line 10
;1:// Copyright (C) 1999-2000 Id Software, Inc.
;2://
;3:#include "g_local.h"
;4:
;5://==========================================================
;6:
;7:/*QUAKED target_give (1 0 0) (-8 -8 -8) (8 8 8)
;8:Gives the activator all the items pointed to.
;9:*/
;10:void Use_Target_Give( gentity_t *ent, gentity_t *other, gentity_t *activator ) {
line 14
;11:	gentity_t	*t;
;12:	trace_t		trace;
;13:
;14:	if ( !activator->client ) {
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $56
line 15
;15:		return;
ADDRGP4 $55
JUMPV
LABELV $56
line 18
;16:	}
;17:
;18:	if ( !ent->target ) {
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $58
line 19
;19:		return;
ADDRGP4 $55
JUMPV
LABELV $58
line 22
;20:	}
;21:
;22:	memset( &trace, 0, sizeof( trace ) );
ADDRLP4 4
ARGP4
CNSTI4 0
ARGI4
CNSTI4 56
ARGI4
ADDRGP4 memset
CALLP4
pop
line 23
;23:	t = NULL;
ADDRLP4 0
CNSTP4 0
ASGNP4
ADDRGP4 $61
JUMPV
LABELV $60
line 24
;24:	while ( (t = G_Find (t, FOFS(targetname), ent->target)) != NULL ) {
line 25
;25:		if ( !t->item ) {
ADDRLP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $63
line 26
;26:			continue;
ADDRGP4 $61
JUMPV
LABELV $63
line 28
;27:		}
;28:		Touch_Item( t, activator, &trace );
ADDRLP4 0
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRLP4 4
ARGP4
ADDRGP4 Touch_Item
CALLV
pop
line 31
;29:
;30:		// make sure it isn't going to respawn or show any events
;31:		t->nextthink = 0;
ADDRLP4 0
INDIRP4
CNSTI4 496
ADDP4
CNSTI4 0
ASGNI4
line 32
;32:		trap_UnlinkEntity( t );
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 trap_UnlinkEntity
CALLV
pop
line 33
;33:	}
LABELV $61
line 24
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 468
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
ARGP4
ADDRLP4 60
ADDRGP4 G_Find
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 60
INDIRP4
ASGNP4
ADDRLP4 60
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $60
line 34
;34:}
LABELV $55
endproc Use_Target_Give 64 12
export SP_target_give
proc SP_target_give 0 0
line 36
;35:
;36:void SP_target_give( gentity_t *ent ) {
line 37
;37:	ent->use = Use_Target_Give;
ADDRFP4 0
INDIRP4
CNSTI4 516
ADDP4
ADDRGP4 Use_Target_Give
ASGNP4
line 38
;38:}
LABELV $65
endproc SP_target_give 0 0
export Use_target_remove_powerups
proc Use_target_remove_powerups 0 12
line 47
;39:
;40:
;41://==========================================================
;42:
;43:/*QUAKED target_remove_powerups (1 0 0) (-8 -8 -8) (8 8 8)
;44:takes away all the activators powerups.
;45:Used to drop flight powerups into death puts.
;46:*/
;47:void Use_target_remove_powerups( gentity_t *ent, gentity_t *other, gentity_t *activator ) {
line 48
;48:	if ( !activator->client ) {
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $67
line 49
;49:		return;
ADDRGP4 $66
JUMPV
LABELV $67
line 52
;50:	}
;51:
;52:	if ( activator->client->ps.powerups[PW_REDFLAG] ) {
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 364
ADDP4
INDIRI4
CNSTI4 0
EQI4 $69
line 53
;53:		Team_ReturnFlag(TEAM_RED);
CNSTI4 1
ARGI4
ADDRGP4 Team_ReturnFlag
CALLV
pop
line 54
;54:	} else if ( activator->client->ps.powerups[PW_BLUEFLAG] ) {
ADDRGP4 $70
JUMPV
LABELV $69
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 368
ADDP4
INDIRI4
CNSTI4 0
EQI4 $71
line 55
;55:		Team_ReturnFlag(TEAM_BLUE);
CNSTI4 2
ARGI4
ADDRGP4 Team_ReturnFlag
CALLV
pop
line 56
;56:	}
LABELV $71
LABELV $70
line 58
;57:
;58:	memset( activator->client->ps.powerups, 0, sizeof( activator->client->ps.powerups ) );
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 332
ADDP4
ARGP4
CNSTI4 0
ARGI4
CNSTI4 64
ARGI4
ADDRGP4 memset
CALLP4
pop
line 59
;59:}
LABELV $66
endproc Use_target_remove_powerups 0 12
export SP_target_remove_powerups
proc SP_target_remove_powerups 0 0
line 61
;60:
;61:void SP_target_remove_powerups( gentity_t *ent ) {
line 62
;62:	ent->use = Use_target_remove_powerups;
ADDRFP4 0
INDIRP4
CNSTI4 516
ADDP4
ADDRGP4 Use_target_remove_powerups
ASGNP4
line 63
;63:}
LABELV $73
endproc SP_target_remove_powerups 0 0
export Think_Target_Delay
proc Think_Target_Delay 4 8
line 72
;64:
;65:
;66://==========================================================
;67:
;68:/*QUAKED target_delay (1 0 0) (-8 -8 -8) (8 8 8)
;69:"wait" seconds to pause before firing targets.
;70:"random" delay variance, total delay = delay +/- random seconds
;71:*/
;72:void Think_Target_Delay( gentity_t *ent ) {
line 73
;73:	G_UseTargets( ent, ent->activator );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 584
ADDP4
INDIRP4
ARGP4
ADDRGP4 G_UseTargets
CALLV
pop
line 74
;74:}
LABELV $74
endproc Think_Target_Delay 4 8
export Use_Target_Delay
proc Use_Target_Delay 8 0
line 76
;75:
;76:void Use_Target_Delay( gentity_t *ent, gentity_t *other, gentity_t *activator ) {
line 77
;77:	ent->nextthink = level.time + ( ent->wait + ent->random * crandom() ) * 1000;
ADDRLP4 0
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CVIF4 4
CNSTF4 1148846080
ADDRLP4 4
INDIRP4
CNSTI4 608
ADDP4
INDIRF4
ADDRLP4 4
INDIRP4
CNSTI4 612
ADDP4
INDIRF4
CNSTF4 1073741824
ADDRLP4 0
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
MULF4
ADDF4
MULF4
ADDF4
CVFI4 4
ASGNI4
line 78
;78:	ent->think = Think_Target_Delay;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 Think_Target_Delay
ASGNP4
line 79
;79:	ent->activator = activator;
ADDRFP4 0
INDIRP4
CNSTI4 584
ADDP4
ADDRFP4 8
INDIRP4
ASGNP4
line 80
;80:}
LABELV $75
endproc Use_Target_Delay 8 0
export SP_target_delay
proc SP_target_delay 4 12
line 82
;81:
;82:void SP_target_delay( gentity_t *ent ) {
line 84
;83:	// check delay for backwards compatability
;84:	if ( !G_SpawnFloat( "delay", "0", &ent->wait ) ) {
ADDRGP4 $80
ARGP4
ADDRGP4 $81
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 608
ADDP4
ARGP4
ADDRLP4 0
ADDRGP4 G_SpawnFloat
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 0
NEI4 $78
line 85
;85:		G_SpawnFloat( "wait", "1", &ent->wait );
ADDRGP4 $82
ARGP4
ADDRGP4 $83
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 608
ADDP4
ARGP4
ADDRGP4 G_SpawnFloat
CALLI4
pop
line 86
;86:	}
LABELV $78
line 88
;87:
;88:	if ( !ent->wait ) {
ADDRFP4 0
INDIRP4
CNSTI4 608
ADDP4
INDIRF4
CNSTF4 0
NEF4 $84
line 89
;89:		ent->wait = 1;
ADDRFP4 0
INDIRP4
CNSTI4 608
ADDP4
CNSTF4 1065353216
ASGNF4
line 90
;90:	}
LABELV $84
line 91
;91:	ent->use = Use_Target_Delay;
ADDRFP4 0
INDIRP4
CNSTI4 516
ADDP4
ADDRGP4 Use_Target_Delay
ASGNP4
line 92
;92:}
LABELV $77
endproc SP_target_delay 4 12
export Use_Target_Score
proc Use_Target_Score 0 8
line 105
;93:
;94:
;95://==========================================================
;96:
;97:/*QUAKED target_score (1 0 0) (-8 -8 -8) (8 8 8) TEAMSCORE
;98:TEAMSCORE - points are added to activator's team's score, not the individual
;99:
;100:"count" number of points to add, default 1
;101:
;102:The activator is given this many points.
;103:*/
;104:void Team_AddScore( int team, int points );
;105:void Use_Target_Score (gentity_t *ent, gentity_t *other, gentity_t *activator) {
line 106
;106:	if ( ent->spawnflags & 1 )
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
EQI4 $87
line 107
;107:	{
line 108
;108:		if ( activator->client )
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $88
line 109
;109:		{
line 110
;110:			Team_AddScore( activator->client->sess.sessionTeam, ent->count );
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
ARGI4
ADDRGP4 Team_AddScore
CALLV
pop
line 111
;111:		}
line 112
;112:	}
ADDRGP4 $88
JUMPV
LABELV $87
line 114
;113:	else
;114:	{
line 115
;115:		AddScore( activator, ent->count );
ADDRFP4 8
INDIRP4
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
ARGI4
ADDRGP4 AddScore
CALLV
pop
line 116
;116:	}
LABELV $88
line 117
;117:	CalculateRanks( qfalse );
CNSTI4 0
ARGI4
ADDRGP4 CalculateRanks
CALLV
pop
line 118
;118:}
LABELV $86
endproc Use_Target_Score 0 8
export SP_target_score
proc SP_target_score 0 0
line 120
;119:
;120:void SP_target_score( gentity_t *ent ) {
line 121
;121:	if ( !ent->count ) {
ADDRFP4 0
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
CNSTI4 0
NEI4 $92
line 122
;122:		ent->count = 1;
ADDRFP4 0
INDIRP4
CNSTI4 572
ADDP4
CNSTI4 1
ASGNI4
line 123
;123:	}
LABELV $92
line 124
;124:	ent->use = Use_Target_Score;
ADDRFP4 0
INDIRP4
CNSTI4 516
ADDP4
ADDRGP4 Use_Target_Score
ASGNP4
line 125
;125:}
LABELV $91
endproc SP_target_score 0 0
export Use_Target_Print
proc Use_Target_Print 4 8
line 134
;126:
;127:
;128://==========================================================
;129:
;130:/*QUAKED target_print (1 0 0) (-8 -8 -8) (8 8 8) redteam blueteam private
;131:"message"	text to print
;132:If "private", only the activator gets the message.  If no checks, all clients get the message.
;133:*/
;134:void Use_Target_Print (gentity_t *ent, gentity_t *other, gentity_t *activator) {
line 135
;135:	if ( activator->client && ( ent->spawnflags & 4 ) ) {
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $95
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 4
BANDI4
CNSTI4 0
EQI4 $95
line 136
;136:		trap_SendServerCommand( activator-g_entities, va("cp \"%s\"", ent->message ));
ADDRGP4 $97
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 448
ADDP4
INDIRP4
ARGP4
ADDRLP4 0
ADDRGP4 va
CALLP4
ASGNP4
ADDRFP4 8
INDIRP4
CVPU4 4
ADDRGP4 g_entities
CVPU4 4
SUBU4
CVUI4 4
CNSTI4 624
DIVI4
ARGI4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 trap_SendServerCommand
CALLV
pop
line 137
;137:		return;
ADDRGP4 $94
JUMPV
LABELV $95
line 140
;138:	}
;139:
;140:	if ( ent->spawnflags & 3 ) {
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 3
BANDI4
CNSTI4 0
EQI4 $98
line 141
;141:		if ( ent->spawnflags & 1 ) {
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
EQI4 $100
line 142
;142:			G_TeamCommand( TEAM_RED, va("cp \"%s\"", ent->message) );
ADDRGP4 $97
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 448
ADDP4
INDIRP4
ARGP4
ADDRLP4 0
ADDRGP4 va
CALLP4
ASGNP4
CNSTI4 1
ARGI4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 G_TeamCommand
CALLV
pop
line 143
;143:		}
LABELV $100
line 144
;144:		if ( ent->spawnflags & 2 ) {
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 2
BANDI4
CNSTI4 0
EQI4 $94
line 145
;145:			G_TeamCommand( TEAM_BLUE, va("cp \"%s\"", ent->message) );
ADDRGP4 $97
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 448
ADDP4
INDIRP4
ARGP4
ADDRLP4 0
ADDRGP4 va
CALLP4
ASGNP4
CNSTI4 2
ARGI4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 G_TeamCommand
CALLV
pop
line 146
;146:		}
line 147
;147:		return;
ADDRGP4 $94
JUMPV
LABELV $98
line 150
;148:	}
;149:
;150:	trap_SendServerCommand( -1, va("cp \"%s\"", ent->message ));
ADDRGP4 $97
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 448
ADDP4
INDIRP4
ARGP4
ADDRLP4 0
ADDRGP4 va
CALLP4
ASGNP4
CNSTI4 -1
ARGI4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 trap_SendServerCommand
CALLV
pop
line 151
;151:}
LABELV $94
endproc Use_Target_Print 4 8
export SP_target_print
proc SP_target_print 0 0
line 153
;152:
;153:void SP_target_print( gentity_t *ent ) {
line 154
;154:	ent->use = Use_Target_Print;
ADDRFP4 0
INDIRP4
CNSTI4 516
ADDP4
ADDRGP4 Use_Target_Print
ASGNP4
line 155
;155:}
LABELV $104
endproc SP_target_print 0 0
export Use_Target_Speaker
proc Use_Target_Speaker 4 12
line 173
;156:
;157:
;158://==========================================================
;159:
;160:
;161:/*QUAKED target_speaker (1 0 0) (-8 -8 -8) (8 8 8) looped-on looped-off global activator
;162:"noise"		wav file to play
;163:
;164:A global sound will play full volume throughout the level.
;165:Activator sounds will play on the player that activated the target.
;166:Global and activator sounds can't be combined with looping.
;167:Normal sounds play each time the target is used.
;168:Looped sounds will be toggled by use functions.
;169:Multiple identical looping sounds will just increase volume without any speed cost.
;170:"wait" : Seconds between auto triggerings, 0 = don't auto trigger
;171:"random"	wait variance, default is 0
;172:*/
;173:void Use_Target_Speaker (gentity_t *ent, gentity_t *other, gentity_t *activator) {
line 174
;174:	if (ent->spawnflags & 3) {	// looping sound toggles
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 3
BANDI4
CNSTI4 0
EQI4 $106
line 175
;175:		if (ent->s.loopSound)
ADDRFP4 0
INDIRP4
CNSTI4 156
ADDP4
INDIRI4
CNSTI4 0
EQI4 $108
line 176
;176:			ent->s.loopSound = 0;	// turn it off
ADDRFP4 0
INDIRP4
CNSTI4 156
ADDP4
CNSTI4 0
ASGNI4
ADDRGP4 $107
JUMPV
LABELV $108
line 178
;177:		else
;178:			ent->s.loopSound = ent->noise_index;	// start it
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
CNSTI4 156
ADDP4
ADDRLP4 0
INDIRP4
CNSTI4 604
ADDP4
INDIRI4
ASGNI4
line 179
;179:	}else {	// normal sound
ADDRGP4 $107
JUMPV
LABELV $106
line 180
;180:		if ( ent->spawnflags & 8 ) {
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 8
BANDI4
CNSTI4 0
EQI4 $110
line 181
;181:			G_AddEvent( activator, EV_GENERAL_SOUND, ent->noise_index );
ADDRFP4 8
INDIRP4
ARGP4
CNSTI4 49
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 604
ADDP4
INDIRI4
ARGI4
ADDRGP4 G_AddEvent
CALLV
pop
line 182
;182:		} else if (ent->spawnflags & 4) {
ADDRGP4 $111
JUMPV
LABELV $110
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 4
BANDI4
CNSTI4 0
EQI4 $112
line 183
;183:			G_AddEvent( ent, EV_GLOBAL_SOUND, ent->noise_index );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 50
ARGI4
ADDRLP4 0
INDIRP4
CNSTI4 604
ADDP4
INDIRI4
ARGI4
ADDRGP4 G_AddEvent
CALLV
pop
line 184
;184:		} else {
ADDRGP4 $113
JUMPV
LABELV $112
line 185
;185:			G_AddEvent( ent, EV_GENERAL_SOUND, ent->noise_index );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 49
ARGI4
ADDRLP4 0
INDIRP4
CNSTI4 604
ADDP4
INDIRI4
ARGI4
ADDRGP4 G_AddEvent
CALLV
pop
line 186
;186:		}
LABELV $113
LABELV $111
line 187
;187:	}
LABELV $107
line 188
;188:}
LABELV $105
endproc Use_Target_Speaker 4 12
export SP_target_speaker
proc SP_target_speaker 92 12
line 190
;189:
;190:void SP_target_speaker( gentity_t *ent ) {
line 194
;191:	char	buffer[MAX_QPATH];
;192:	char	*s;
;193:
;194:	G_SpawnFloat( "wait", "0", &ent->wait );
ADDRGP4 $82
ARGP4
ADDRGP4 $81
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 608
ADDP4
ARGP4
ADDRGP4 G_SpawnFloat
CALLI4
pop
line 195
;195:	G_SpawnFloat( "random", "0", &ent->random );
ADDRGP4 $115
ARGP4
ADDRGP4 $81
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 612
ADDP4
ARGP4
ADDRGP4 G_SpawnFloat
CALLI4
pop
line 197
;196:
;197:	if ( !G_SpawnString( "noise", "NOSOUND", &s ) ) {
ADDRGP4 $118
ARGP4
ADDRGP4 $119
ARGP4
ADDRLP4 64
ARGP4
ADDRLP4 68
ADDRGP4 G_SpawnString
CALLI4
ASGNI4
ADDRLP4 68
INDIRI4
CNSTI4 0
NEI4 $116
line 198
;198:		G_Printf( "target_speaker without a noise key at %s", vtos( ent->s.origin ) );
ADDRFP4 0
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRLP4 72
ADDRGP4 vtos
CALLP4
ASGNP4
ADDRGP4 $120
ARGP4
ADDRLP4 72
INDIRP4
ARGP4
ADDRGP4 G_Printf
CALLV
pop
line 199
;199:		G_FreeEntity(ent);//let's not error out so that we can use SP maps with their funky speakers.
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_FreeEntity
CALLV
pop
line 200
;200:		return;
ADDRGP4 $114
JUMPV
LABELV $116
line 205
;201:	}
;202:
;203:	// force all client reletive sounds to be "activator" speakers that
;204:	// play on the entity that activates it
;205:	if ( s[0] == '*' ) {
ADDRLP4 64
INDIRP4
INDIRI1
CVII4 1
CNSTI4 42
NEI4 $121
line 206
;206:		ent->spawnflags |= 8;
ADDRLP4 72
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
ASGNP4
ADDRLP4 72
INDIRP4
ADDRLP4 72
INDIRP4
INDIRI4
CNSTI4 8
BORI4
ASGNI4
line 207
;207:	}
LABELV $121
line 209
;208:
;209:	Q_strncpyz( buffer, s, sizeof(buffer) );
ADDRLP4 0
ARGP4
ADDRLP4 64
INDIRP4
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 210
;210:	COM_DefaultExtension( buffer, sizeof(buffer), ".wav");
ADDRLP4 0
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 $123
ARGP4
ADDRGP4 COM_DefaultExtension
CALLV
pop
line 211
;211:	ent->noise_index = G_SoundIndex(buffer);
ADDRLP4 0
ARGP4
ADDRLP4 72
ADDRGP4 G_SoundIndex
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
CNSTI4 604
ADDP4
ADDRLP4 72
INDIRI4
ASGNI4
line 214
;212:
;213:	// a repeating speaker can be done completely client side
;214:	ent->s.eType = ET_SPEAKER;
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 8
ASGNI4
line 215
;215:	ent->s.eventParm = ent->noise_index;
ADDRLP4 76
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 76
INDIRP4
CNSTI4 184
ADDP4
ADDRLP4 76
INDIRP4
CNSTI4 604
ADDP4
INDIRI4
ASGNI4
line 216
;216:	ent->s.frame = ent->wait * 10;
ADDRLP4 80
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 80
INDIRP4
CNSTI4 172
ADDP4
CNSTF4 1092616192
ADDRLP4 80
INDIRP4
CNSTI4 608
ADDP4
INDIRF4
MULF4
CVFI4 4
ASGNI4
line 217
;217:	ent->s.clientNum = ent->random * 10;
ADDRLP4 84
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 84
INDIRP4
CNSTI4 168
ADDP4
CNSTF4 1092616192
ADDRLP4 84
INDIRP4
CNSTI4 612
ADDP4
INDIRF4
MULF4
CVFI4 4
ASGNI4
line 221
;218:
;219:
;220:	// check for prestarted looping sound
;221:	if ( ent->spawnflags & 1 ) {
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
EQI4 $124
line 222
;222:		ent->s.loopSound = ent->noise_index;
ADDRLP4 88
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 88
INDIRP4
CNSTI4 156
ADDP4
ADDRLP4 88
INDIRP4
CNSTI4 604
ADDP4
INDIRI4
ASGNI4
line 223
;223:	}
LABELV $124
line 225
;224:
;225:	ent->use = Use_Target_Speaker;
ADDRFP4 0
INDIRP4
CNSTI4 516
ADDP4
ADDRGP4 Use_Target_Speaker
ASGNP4
line 227
;226:
;227:	if (ent->spawnflags & 4) {
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 4
BANDI4
CNSTI4 0
EQI4 $126
line 228
;228:		ent->r.svFlags |= SVF_BROADCAST;
ADDRLP4 88
ADDRFP4 0
INDIRP4
CNSTI4 212
ADDP4
ASGNP4
ADDRLP4 88
INDIRP4
ADDRLP4 88
INDIRP4
INDIRI4
CNSTI4 32
BORI4
ASGNI4
line 229
;229:	}
LABELV $126
line 231
;230:
;231:	VectorCopy( ent->s.origin, ent->s.pos.trBase );
ADDRLP4 88
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 88
INDIRP4
CNSTI4 24
ADDP4
ADDRLP4 88
INDIRP4
CNSTI4 92
ADDP4
INDIRB
ASGNB 12
line 235
;232:
;233:	// must link the entity so we get areas and clusters so
;234:	// the server can determine who to send updates to
;235:	trap_LinkEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 236
;236:}
LABELV $114
endproc SP_target_speaker 92 12
export target_laser_think
proc target_laser_think 120 32
line 245
;237:
;238:
;239:
;240://==========================================================
;241:
;242:/*QUAKED target_laser (0 .5 .8) (-8 -8 -8) (8 8 8) START_ON
;243:When triggered, fires a laser.  You can either set a target or a direction.
;244:*/
;245:void target_laser_think (gentity_t *self) {
line 251
;246:	vec3_t	end;
;247:	trace_t	tr;
;248:	vec3_t	point;
;249:
;250:	// if pointed at another entity, set movedir to point at it
;251:	if ( self->enemy ) {
ADDRFP4 0
INDIRP4
CNSTI4 580
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $129
line 252
;252:		VectorMA (self->enemy->s.origin, 0.5, self->enemy->r.mins, point);
ADDRLP4 80
ADDRFP4 0
INDIRP4
CNSTI4 580
ADDP4
ASGNP4
ADDRLP4 84
ADDRLP4 80
INDIRP4
INDIRP4
ASGNP4
ADDRLP4 88
CNSTF4 1056964608
ASGNF4
ADDRLP4 0
ADDRLP4 84
INDIRP4
CNSTI4 92
ADDP4
INDIRF4
ADDRLP4 88
INDIRF4
ADDRLP4 84
INDIRP4
CNSTI4 224
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 92
ADDRLP4 80
INDIRP4
INDIRP4
ASGNP4
ADDRLP4 0+4
ADDRLP4 92
INDIRP4
CNSTI4 96
ADDP4
INDIRF4
ADDRLP4 88
INDIRF4
ADDRLP4 92
INDIRP4
CNSTI4 228
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 96
ADDRFP4 0
INDIRP4
CNSTI4 580
ADDP4
INDIRP4
ASGNP4
ADDRLP4 0+8
ADDRLP4 96
INDIRP4
CNSTI4 100
ADDP4
INDIRF4
CNSTF4 1056964608
ADDRLP4 96
INDIRP4
CNSTI4 232
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
line 253
;253:		VectorMA (point, 0.5, self->enemy->r.maxs, point);
ADDRLP4 100
CNSTF4 1056964608
ASGNF4
ADDRLP4 104
ADDRFP4 0
INDIRP4
CNSTI4 580
ADDP4
ASGNP4
ADDRLP4 0
ADDRLP4 0
INDIRF4
ADDRLP4 100
INDIRF4
ADDRLP4 104
INDIRP4
INDIRP4
CNSTI4 236
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 0+4
INDIRF4
ADDRLP4 100
INDIRF4
ADDRLP4 104
INDIRP4
INDIRP4
CNSTI4 240
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+8
ADDRLP4 0+8
INDIRF4
CNSTF4 1056964608
ADDRFP4 0
INDIRP4
CNSTI4 580
ADDP4
INDIRP4
CNSTI4 244
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
line 254
;254:		VectorSubtract (point, self->s.origin, self->movedir);
ADDRLP4 108
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 108
INDIRP4
CNSTI4 484
ADDP4
ADDRLP4 0
INDIRF4
ADDRLP4 108
INDIRP4
CNSTI4 92
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 112
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 112
INDIRP4
CNSTI4 488
ADDP4
ADDRLP4 0+4
INDIRF4
ADDRLP4 112
INDIRP4
CNSTI4 96
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 116
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 116
INDIRP4
CNSTI4 492
ADDP4
ADDRLP4 0+8
INDIRF4
ADDRLP4 116
INDIRP4
CNSTI4 100
ADDP4
INDIRF4
SUBF4
ASGNF4
line 255
;255:		VectorNormalize (self->movedir);
ADDRFP4 0
INDIRP4
CNSTI4 484
ADDP4
ARGP4
ADDRGP4 VectorNormalize
CALLF4
pop
line 256
;256:	}
LABELV $129
line 259
;257:
;258:	// fire forward and see what we hit
;259:	VectorMA (self->s.origin, 2048, self->movedir, end);
ADDRLP4 80
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 84
CNSTF4 1157627904
ASGNF4
ADDRLP4 12
ADDRLP4 80
INDIRP4
CNSTI4 92
ADDP4
INDIRF4
ADDRLP4 84
INDIRF4
ADDRLP4 80
INDIRP4
CNSTI4 484
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 12+4
ADDRLP4 80
INDIRP4
CNSTI4 96
ADDP4
INDIRF4
ADDRLP4 84
INDIRF4
ADDRLP4 80
INDIRP4
CNSTI4 488
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 88
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12+8
ADDRLP4 88
INDIRP4
CNSTI4 100
ADDP4
INDIRF4
CNSTF4 1157627904
ADDRLP4 88
INDIRP4
CNSTI4 492
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
line 261
;260:
;261:	trap_Trace( &tr, self->s.origin, NULL, NULL, end, self->s.number, CONTENTS_SOLID|CONTENTS_BODY|CONTENTS_CORPSE);
ADDRLP4 24
ARGP4
ADDRLP4 92
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 92
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRLP4 96
CNSTP4 0
ASGNP4
ADDRLP4 96
INDIRP4
ARGP4
ADDRLP4 96
INDIRP4
ARGP4
ADDRLP4 12
ARGP4
ADDRLP4 92
INDIRP4
INDIRI4
ARGI4
CNSTI4 100663297
ARGI4
ADDRGP4 trap_Trace
CALLV
pop
line 263
;262:
;263:	if ( tr.entityNum ) {
ADDRLP4 24+52
INDIRI4
CNSTI4 0
EQI4 $141
line 265
;264:		// hurt it if we can
;265:		G_Damage ( &g_entities[tr.entityNum], self, self->activator, self->movedir, 
CNSTI4 624
ADDRLP4 24+52
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ARGP4
ADDRLP4 100
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 100
INDIRP4
ARGP4
ADDRLP4 100
INDIRP4
CNSTI4 584
ADDP4
INDIRP4
ARGP4
ADDRLP4 100
INDIRP4
CNSTI4 484
ADDP4
ARGP4
ADDRLP4 24+12
ARGP4
ADDRLP4 100
INDIRP4
CNSTI4 552
ADDP4
INDIRI4
ARGI4
ADDRLP4 104
CNSTI4 8
ASGNI4
ADDRLP4 104
INDIRI4
ARGI4
ADDRLP4 104
INDIRI4
ARGI4
ADDRGP4 G_Damage
CALLV
pop
line 267
;266:			tr.endpos, self->damage, DAMAGE_NO_KNOCKBACK, MOD_TARGET_LASER);
;267:	}
LABELV $141
line 269
;268:
;269:	VectorCopy (tr.endpos, self->s.origin2);
ADDRFP4 0
INDIRP4
CNSTI4 104
ADDP4
ADDRLP4 24+12
INDIRB
ASGNB 12
line 271
;270:
;271:	trap_LinkEntity( self );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 272
;272:	self->nextthink = level.time + FRAMETIME;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 100
ADDI4
ASGNI4
line 273
;273:}
LABELV $128
endproc target_laser_think 120 32
export target_laser_on
proc target_laser_on 4 4
line 276
;274:
;275:void target_laser_on (gentity_t *self)
;276:{
line 277
;277:	if (!self->activator)
ADDRFP4 0
INDIRP4
CNSTI4 584
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $149
line 278
;278:		self->activator = self;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
CNSTI4 584
ADDP4
ADDRLP4 0
INDIRP4
ASGNP4
LABELV $149
line 279
;279:	target_laser_think (self);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 target_laser_think
CALLV
pop
line 280
;280:}
LABELV $148
endproc target_laser_on 4 4
export target_laser_off
proc target_laser_off 0 4
line 283
;281:
;282:void target_laser_off (gentity_t *self)
;283:{
line 284
;284:	trap_UnlinkEntity( self );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_UnlinkEntity
CALLV
pop
line 285
;285:	self->nextthink = 0;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
CNSTI4 0
ASGNI4
line 286
;286:}
LABELV $151
endproc target_laser_off 0 4
export target_laser_use
proc target_laser_use 0 4
line 289
;287:
;288:void target_laser_use (gentity_t *self, gentity_t *other, gentity_t *activator)
;289:{
line 290
;290:	self->activator = activator;
ADDRFP4 0
INDIRP4
CNSTI4 584
ADDP4
ADDRFP4 8
INDIRP4
ASGNP4
line 291
;291:	if ( self->nextthink > 0 )
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
INDIRI4
CNSTI4 0
LEI4 $153
line 292
;292:		target_laser_off (self);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 target_laser_off
CALLV
pop
ADDRGP4 $154
JUMPV
LABELV $153
line 294
;293:	else
;294:		target_laser_on (self);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 target_laser_on
CALLV
pop
LABELV $154
line 295
;295:}
LABELV $152
endproc target_laser_use 0 4
export target_laser_start
proc target_laser_start 16 16
line 298
;296:
;297:void target_laser_start (gentity_t *self)
;298:{
line 301
;299:	gentity_t *ent;
;300:
;301:	self->s.eType = ET_BEAM;
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 6
ASGNI4
line 303
;302:
;303:	if (self->target) {
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $156
line 304
;304:		ent = G_Find (NULL, FOFS(targetname), self->target);
CNSTP4 0
ARGP4
CNSTI4 468
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
ARGP4
ADDRLP4 4
ADDRGP4 G_Find
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 4
INDIRP4
ASGNP4
line 305
;305:		if (!ent) {
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $158
line 306
;306:			G_Printf ("%s at %s: %s is a bad target\n", self->classname, vtos(self->s.origin), self->target);
ADDRFP4 0
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRLP4 8
ADDRGP4 vtos
CALLP4
ASGNP4
ADDRGP4 $160
ARGP4
ADDRLP4 12
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12
INDIRP4
CNSTI4 312
ADDP4
INDIRP4
ARGP4
ADDRLP4 8
INDIRP4
ARGP4
ADDRLP4 12
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
ARGP4
ADDRGP4 G_Printf
CALLV
pop
line 307
;307:		}
LABELV $158
line 308
;308:		self->enemy = ent;
ADDRFP4 0
INDIRP4
CNSTI4 580
ADDP4
ADDRLP4 0
INDIRP4
ASGNP4
line 309
;309:	} else {
ADDRGP4 $157
JUMPV
LABELV $156
line 310
;310:		G_SetMovedir (self->s.angles, self->movedir);
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CNSTI4 116
ADDP4
ARGP4
ADDRLP4 4
INDIRP4
CNSTI4 484
ADDP4
ARGP4
ADDRGP4 G_SetMovedir
CALLV
pop
line 311
;311:	}
LABELV $157
line 313
;312:
;313:	self->use = target_laser_use;
ADDRFP4 0
INDIRP4
CNSTI4 516
ADDP4
ADDRGP4 target_laser_use
ASGNP4
line 314
;314:	self->think = target_laser_think;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 target_laser_think
ASGNP4
line 316
;315:
;316:	if ( !self->damage ) {
ADDRFP4 0
INDIRP4
CNSTI4 552
ADDP4
INDIRI4
CNSTI4 0
NEI4 $161
line 317
;317:		self->damage = 1;
ADDRFP4 0
INDIRP4
CNSTI4 552
ADDP4
CNSTI4 1
ASGNI4
line 318
;318:	}
LABELV $161
line 320
;319:
;320:	if (self->spawnflags & 1)
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
EQI4 $163
line 321
;321:		target_laser_on (self);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 target_laser_on
CALLV
pop
ADDRGP4 $164
JUMPV
LABELV $163
line 323
;322:	else
;323:		target_laser_off (self);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 target_laser_off
CALLV
pop
LABELV $164
line 324
;324:}
LABELV $155
endproc target_laser_start 16 16
export SP_target_laser
proc SP_target_laser 0 0
line 327
;325:
;326:void SP_target_laser (gentity_t *self)
;327:{
line 329
;328:	// let everything else get spawned before we start firing
;329:	self->think = target_laser_start;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 target_laser_start
ASGNP4
line 330
;330:	self->nextthink = level.time + FRAMETIME;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 100
ADDI4
ASGNI4
line 331
;331:}
LABELV $165
endproc SP_target_laser 0 0
export target_teleporter_use
proc target_teleporter_use 12 16
line 336
;332:
;333:
;334://==========================================================
;335:
;336:void target_teleporter_use( gentity_t *self, gentity_t *other, gentity_t *activator ) {
line 339
;337:	gentity_t	*dest;
;338:
;339:	if (!activator->client)
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $168
line 340
;340:		return;
ADDRGP4 $167
JUMPV
LABELV $168
line 341
;341:	dest = 	G_PickTarget( self->target );
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
ARGP4
ADDRLP4 4
ADDRGP4 G_PickTarget
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 4
INDIRP4
ASGNP4
line 342
;342:	if (!dest) {
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $170
line 343
;343:		G_Printf ("Couldn't find teleporter destination\n");
ADDRGP4 $172
ARGP4
ADDRGP4 G_Printf
CALLV
pop
line 344
;344:		return;
ADDRGP4 $167
JUMPV
LABELV $170
line 347
;345:	}
;346:
;347:	TeleportPlayer( activator, dest->s.origin, dest->s.angles, TP_NORMAL );
ADDRFP4 8
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 116
ADDP4
ARGP4
CNSTI4 0
ARGI4
ADDRGP4 TeleportPlayer
CALLV
pop
line 348
;348:}
LABELV $167
endproc target_teleporter_use 12 16
export SP_target_teleporter
proc SP_target_teleporter 4 12
line 353
;349:
;350:/*QUAKED target_teleporter (1 0 0) (-8 -8 -8) (8 8 8)
;351:The activator will be teleported away.
;352:*/
;353:void SP_target_teleporter( gentity_t *self ) {
line 354
;354:	if (!self->targetname)
ADDRFP4 0
INDIRP4
CNSTI4 468
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $174
line 355
;355:		G_Printf("untargeted %s at %s\n", self->classname, vtos(self->s.origin));
ADDRFP4 0
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRLP4 0
ADDRGP4 vtos
CALLP4
ASGNP4
ADDRGP4 $176
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 312
ADDP4
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 G_Printf
CALLV
pop
LABELV $174
line 357
;356:
;357:	self->use = target_teleporter_use;
ADDRFP4 0
INDIRP4
CNSTI4 516
ADDP4
ADDRGP4 target_teleporter_use
ASGNP4
line 358
;358:}
LABELV $173
endproc SP_target_teleporter 4 12
export target_relay_use
proc target_relay_use 36 12
line 368
;359:
;360://==========================================================
;361:
;362:
;363:/*QUAKED target_relay (.5 .5 .5) (-8 -8 -8) (8 8 8) RED_ONLY BLUE_ONLY RANDOM
;364:This doesn't perform any actions except fire its targets.
;365:The activator can be forced to be from a certain team.
;366:if RANDOM is checked, only one of the targets will be fired, not all of them
;367:*/
;368:void target_relay_use (gentity_t *self, gentity_t *other, gentity_t *activator) {
line 369
;369:	if ( ( self->spawnflags & 1 ) && activator->client 
ADDRLP4 0
CNSTI4 1
ASGNI4
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
ADDRLP4 0
INDIRI4
BANDI4
CNSTI4 0
EQI4 $178
ADDRLP4 4
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $178
ADDRLP4 4
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
ADDRLP4 0
INDIRI4
EQI4 $178
line 370
;370:		&& activator->client->sess.sessionTeam != TEAM_RED ) {
line 371
;371:		return;
ADDRGP4 $177
JUMPV
LABELV $178
line 373
;372:	}
;373:	if ( ( self->spawnflags & 2 ) && activator->client 
ADDRLP4 8
CNSTI4 2
ASGNI4
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
ADDRLP4 8
INDIRI4
BANDI4
CNSTI4 0
EQI4 $180
ADDRLP4 12
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
ASGNP4
ADDRLP4 12
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $180
ADDRLP4 12
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
ADDRLP4 8
INDIRI4
EQI4 $180
line 374
;374:		&& activator->client->sess.sessionTeam != TEAM_BLUE ) {
line 375
;375:		return;
ADDRGP4 $177
JUMPV
LABELV $180
line 377
;376:	}
;377:	if ( self->spawnflags & 4 ) {
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 4
BANDI4
CNSTI4 0
EQI4 $182
line 380
;378:		gentity_t	*ent;
;379:
;380:		ent = G_PickTarget( self->target );
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
ARGP4
ADDRLP4 20
ADDRGP4 G_PickTarget
CALLP4
ASGNP4
ADDRLP4 16
ADDRLP4 20
INDIRP4
ASGNP4
line 381
;381:		if ( ent && ent->use ) {
ADDRLP4 24
ADDRLP4 16
INDIRP4
ASGNP4
ADDRLP4 28
CNSTU4 0
ASGNU4
ADDRLP4 24
INDIRP4
CVPU4 4
ADDRLP4 28
INDIRU4
EQU4 $177
ADDRLP4 24
INDIRP4
CNSTI4 516
ADDP4
INDIRP4
CVPU4 4
ADDRLP4 28
INDIRU4
EQU4 $177
line 382
;382:			ent->use( ent, self, activator );
ADDRLP4 32
ADDRLP4 16
INDIRP4
ASGNP4
ADDRLP4 32
INDIRP4
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRLP4 32
INDIRP4
CNSTI4 516
ADDP4
INDIRP4
CALLV
pop
line 383
;383:		}
line 384
;384:		return;
ADDRGP4 $177
JUMPV
LABELV $182
line 386
;385:	}
;386:	G_UseTargets (self, activator);
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRGP4 G_UseTargets
CALLV
pop
line 387
;387:}
LABELV $177
endproc target_relay_use 36 12
export SP_target_relay
proc SP_target_relay 0 0
line 389
;388:
;389:void SP_target_relay (gentity_t *self) {
line 390
;390:	self->use = target_relay_use;
ADDRFP4 0
INDIRP4
CNSTI4 516
ADDP4
ADDRGP4 target_relay_use
ASGNP4
line 391
;391:}
LABELV $186
endproc SP_target_relay 0 0
export target_kill_use
proc target_kill_use 8 32
line 399
;392:
;393:
;394://==========================================================
;395:
;396:/*QUAKED target_kill (.5 .5 .5) (-8 -8 -8) (8 8 8)
;397:Kills the activator.
;398:*/
;399:void target_kill_use( gentity_t *self, gentity_t *other, gentity_t *activator ) {
line 400
;400:	G_Damage ( activator, NULL, NULL, NULL, NULL, 100000, DAMAGE_NO_PROTECTION, MOD_TELEFRAG);
ADDRFP4 8
INDIRP4
ARGP4
ADDRLP4 0
CNSTP4 0
ASGNP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 4
CNSTP4 0
ASGNP4
ADDRLP4 4
INDIRP4
ARGP4
ADDRLP4 4
INDIRP4
ARGP4
CNSTI4 100000
ARGI4
CNSTI4 32
ARGI4
CNSTI4 5
ARGI4
ADDRGP4 G_Damage
CALLV
pop
line 401
;401:}
LABELV $187
endproc target_kill_use 8 32
export SP_target_kill
proc SP_target_kill 0 0
line 403
;402:
;403:void SP_target_kill( gentity_t *self ) {
line 404
;404:	self->use = target_kill_use;
ADDRFP4 0
INDIRP4
CNSTI4 516
ADDP4
ADDRGP4 target_kill_use
ASGNP4
line 405
;405:}
LABELV $188
endproc SP_target_kill 0 0
export SP_target_position
proc SP_target_position 4 8
line 410
;406:
;407:/*QUAKED target_position (0 0.5 0) (-4 -4 -4) (4 4 4)
;408:Used as a positional target for in-game calculation, like jumppad targets.
;409:*/
;410:void SP_target_position( gentity_t *self ){
line 411
;411:	G_SetOrigin( self, self->s.origin );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 412
;412:}
LABELV $189
endproc SP_target_position 4 8
proc target_location_linkup 16 8
line 415
;413:
;414:static void target_location_linkup(gentity_t *ent)
;415:{
line 419
;416:	int i;
;417:	int n;
;418:
;419:	if (level.locationLinked) 
ADDRGP4 level+4276
INDIRI4
CNSTI4 0
EQI4 $191
line 420
;420:		return;
ADDRGP4 $190
JUMPV
LABELV $191
line 422
;421:
;422:	level.locationLinked = qtrue;
ADDRGP4 level+4276
CNSTI4 1
ASGNI4
line 424
;423:
;424:	level.locationHead = NULL;
ADDRGP4 level+4280
CNSTP4 0
ASGNP4
line 426
;425:
;426:	trap_SetConfigstring( CS_LOCATIONS, "unknown" );
CNSTI4 672
ARGI4
ADDRGP4 $196
ARGP4
ADDRGP4 trap_SetConfigstring
CALLV
pop
line 428
;427:
;428:	for (i = 0, ent = g_entities, n = 1;
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRFP4 0
ADDRGP4 g_entities
ASGNP4
ADDRLP4 4
CNSTI4 1
ASGNI4
ADDRGP4 $200
JUMPV
LABELV $197
line 430
;429:			i < level.num_entities;
;430:			i++, ent++) {
line 431
;431:		if (ent->classname && !Q_stricmp(ent->classname, "target_location")) {
ADDRLP4 8
ADDRFP4 0
INDIRP4
CNSTI4 312
ADDP4
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $202
ADDRLP4 8
INDIRP4
ARGP4
ADDRGP4 $204
ARGP4
ADDRLP4 12
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 12
INDIRI4
CNSTI4 0
NEI4 $202
line 433
;432:			// lets overload some variables!
;433:			ent->health = n; // use for location marking
ADDRFP4 0
INDIRP4
CNSTI4 540
ADDP4
ADDRLP4 4
INDIRI4
ASGNI4
line 434
;434:			trap_SetConfigstring( CS_LOCATIONS + n, ent->message );
ADDRLP4 4
INDIRI4
CNSTI4 672
ADDI4
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 448
ADDP4
INDIRP4
ARGP4
ADDRGP4 trap_SetConfigstring
CALLV
pop
line 435
;435:			n++;
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 436
;436:			ent->nextTrain = level.locationHead;
ADDRFP4 0
INDIRP4
CNSTI4 392
ADDP4
ADDRGP4 level+4280
INDIRP4
ASGNP4
line 437
;437:			level.locationHead = ent;
ADDRGP4 level+4280
ADDRFP4 0
INDIRP4
ASGNP4
line 438
;438:		}
LABELV $202
line 439
;439:	}
LABELV $198
line 430
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRFP4 0
ADDRFP4 0
INDIRP4
CNSTI4 624
ADDP4
ASGNP4
LABELV $200
line 429
ADDRLP4 0
INDIRI4
ADDRGP4 level+12
INDIRI4
LTI4 $197
line 442
;440:
;441:	// All linked together now
;442:}
LABELV $190
endproc target_location_linkup 16 8
export SP_target_location
proc SP_target_location 4 8
line 452
;443:
;444:/*QUAKED target_location (0 0.5 0) (-8 -8 -8) (8 8 8)
;445:Set "message" to the name of this location.
;446:Set "count" to 0-7 for color.
;447:0:white 1:red 2:green 3:yellow 4:blue 5:cyan 6:magenta 7:white
;448:
;449:Closest target_location in sight used for the location, if none
;450:in site, closest in distance
;451:*/
;452:void SP_target_location( gentity_t *self ){
line 453
;453:	self->think = target_location_linkup;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 target_location_linkup
ASGNP4
line 454
;454:	self->nextthink = level.time + 200;  // Let them all spawn first
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 200
ADDI4
ASGNI4
line 456
;455:
;456:	G_SetOrigin( self, self->s.origin );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 457
;457:}
LABELV $207
endproc SP_target_location 4 8
export target_counter_use
proc target_counter_use 4 8
line 466
;458:
;459:/*QUAKED target_counter (1.0 0 0) (-4 -4 -4) (4 4 4) x x x x x x x x
;460:Acts as an intermediary for an action that takes multiple inputs.
;461:
;462:After the counter has been triggered "count" times (default 2), it will fire all of it's targets and remove itself.
;463:*/
;464:
;465:void target_counter_use( gentity_t *self, gentity_t *other, gentity_t *activator )
;466:{
line 467
;467:	if ( self->count == 0 )
ADDRFP4 0
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
CNSTI4 0
NEI4 $210
line 468
;468:	{
line 469
;469:		return;
ADDRGP4 $209
JUMPV
LABELV $210
line 472
;470:	}
;471:	
;472:	self->count--;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 572
ADDP4
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
line 474
;473:
;474:	if ( self->count )
ADDRFP4 0
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
CNSTI4 0
EQI4 $212
line 475
;475:	{
line 476
;476:		return;
ADDRGP4 $209
JUMPV
LABELV $212
line 479
;477:	}
;478:	
;479:	self->activator = activator;
ADDRFP4 0
INDIRP4
CNSTI4 584
ADDP4
ADDRFP4 8
INDIRP4
ASGNP4
line 480
;480:	G_UseTargets( self, activator );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRGP4 G_UseTargets
CALLV
pop
line 481
;481:}
LABELV $209
endproc target_counter_use 4 8
export SP_target_counter
proc SP_target_counter 0 0
line 484
;482:
;483:void SP_target_counter (gentity_t *self)
;484:{
line 485
;485:	self->wait = -1;
ADDRFP4 0
INDIRP4
CNSTI4 608
ADDP4
CNSTF4 3212836864
ASGNF4
line 486
;486:	if (!self->count)
ADDRFP4 0
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
CNSTI4 0
NEI4 $215
line 487
;487:	{
line 488
;488:		self->count = 2;
ADDRFP4 0
INDIRP4
CNSTI4 572
ADDP4
CNSTI4 2
ASGNI4
line 489
;489:	}
LABELV $215
line 491
;490:
;491:	self->use = target_counter_use;
ADDRFP4 0
INDIRP4
CNSTI4 516
ADDP4
ADDRGP4 target_counter_use
ASGNP4
line 492
;492:}
LABELV $214
endproc SP_target_counter 0 0
export target_objective_use
proc target_objective_use 12 8
line 503
;493:
;494:/*QUAKED target_objective (1.0 0 0) (-4 -4 -4) (4 4 4)
;495:When used, the objective in the <mapname>.efo with this objective's "count" will be marked as completed
;496:
;497:count - number of objective (as listed in the maps' <mapname>.efo)
;498:
;499:NOTE: the objective with the lowest "count" will be considered the current objective
;500:*/
;501:
;502:void target_objective_use( gentity_t *self, gentity_t *other, gentity_t *activator )
;503:{
line 506
;504:	gentity_t *tent;
;505:
;506:	tent = G_TempEntity( self->r.currentOrigin, EV_OBJECTIVE_COMPLETE );
ADDRFP4 0
INDIRP4
CNSTI4 276
ADDP4
ARGP4
CNSTI4 88
ARGI4
ADDRLP4 4
ADDRGP4 G_TempEntity
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 4
INDIRP4
ASGNP4
line 508
;507:	//Be sure to send the event to everyone
;508:	tent->r.svFlags |= SVF_BROADCAST;
ADDRLP4 8
ADDRLP4 0
INDIRP4
CNSTI4 212
ADDP4
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRI4
CNSTI4 32
BORI4
ASGNI4
line 509
;509:	tent->s.eventParm = self->count;
ADDRLP4 0
INDIRP4
CNSTI4 184
ADDP4
ADDRFP4 0
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
ASGNI4
line 510
;510:}
LABELV $217
endproc target_objective_use 12 8
export SP_target_objective
proc SP_target_objective 4 4
line 513
;511:
;512:void SP_target_objective (gentity_t *self)
;513:{
line 514
;514:	if ( self->count <= 0 )
ADDRFP4 0
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
CNSTI4 0
GTI4 $219
line 515
;515:	{
line 517
;516:		//FIXME: error msg
;517:		G_FreeEntity( self );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_FreeEntity
CALLV
pop
line 518
;518:		return;
ADDRGP4 $218
JUMPV
LABELV $219
line 520
;519:	}
;520:	if ( self->targetname )
ADDRFP4 0
INDIRP4
CNSTI4 468
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $221
line 521
;521:	{
line 522
;522:		self->use = target_objective_use;
ADDRFP4 0
INDIRP4
CNSTI4 516
ADDP4
ADDRGP4 target_objective_use
ASGNP4
line 523
;523:	}
LABELV $221
line 524
;524:	level.numObjectives++;
ADDRLP4 0
ADDRGP4 level+4320
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 525
;525:}
LABELV $218
endproc SP_target_objective 4 4
import Team_AddScore
import G_UnTimeShiftAllClients
import G_UnTimeShiftClient
import G_TimeShiftAllClients
import G_TimeShiftClient
import G_ResetTrail
import G_StoreTrail
import trap_GeneticParentsAndChildSelection
import trap_BotResetWeaponState
import trap_BotFreeWeaponState
import trap_BotAllocWeaponState
import trap_BotLoadWeaponWeights
import trap_BotGetWeaponInfo
import trap_BotChooseBestFightWeapon
import trap_BotInitMoveState
import trap_BotFreeMoveState
import trap_BotAllocMoveState
import trap_BotPredictVisiblePosition
import trap_BotMovementViewTarget
import trap_BotReachabilityArea
import trap_BotResetLastAvoidReach
import trap_BotResetAvoidReach
import trap_BotMoveInDirection
import trap_BotMoveToGoal
import trap_BotResetMoveState
import trap_BotFreeGoalState
import trap_BotAllocGoalState
import trap_BotMutateGoalFuzzyLogic
import trap_BotSaveGoalFuzzyLogic
import trap_BotInterbreedGoalFuzzyLogic
import trap_BotFreeItemWeights
import trap_BotLoadItemWeights
import trap_BotUpdateEntityItems
import trap_BotInitLevelItems
import trap_BotAvoidGoalTime
import trap_BotGetLevelItemGoal
import trap_BotGetMapLocationGoal
import trap_BotGetNextCampSpotGoal
import trap_BotItemGoalInVisButNotVisible
import trap_BotTouchingGoal
import trap_BotChooseNBGItem
import trap_BotChooseLTGItem
import trap_BotGetSecondGoal
import trap_BotGetTopGoal
import trap_BotGoalName
import trap_BotDumpGoalStack
import trap_BotDumpAvoidGoals
import trap_BotEmptyGoalStack
import trap_BotPopGoal
import trap_BotPushGoal
import trap_BotResetAvoidGoals
import trap_BotRemoveFromAvoidGoals
import trap_BotResetGoalState
import trap_BotSetChatName
import trap_BotSetChatGender
import trap_BotLoadChatFile
import trap_BotReplaceSynonyms
import trap_UnifyWhiteSpaces
import trap_BotMatchVariable
import trap_BotFindMatch
import trap_StringContains
import trap_BotGetChatMessage
import trap_BotEnterChat
import trap_BotChatLength
import trap_BotReplyChat
import trap_BotNumInitialChats
import trap_BotInitialChat
import trap_BotNumConsoleMessages
import trap_BotNextConsoleMessage
import trap_BotRemoveConsoleMessage
import trap_BotQueueConsoleMessage
import trap_BotFreeChatState
import trap_BotAllocChatState
import trap_Characteristic_String
import trap_Characteristic_BInteger
import trap_Characteristic_Integer
import trap_Characteristic_BFloat
import trap_Characteristic_Float
import trap_BotFreeCharacter
import trap_BotLoadCharacter
import trap_EA_ResetInput
import trap_EA_GetInput
import trap_EA_EndRegular
import trap_EA_View
import trap_EA_Move
import trap_EA_MoveRight
import trap_EA_MoveLeft
import trap_EA_MoveBack
import trap_EA_MoveForward
import trap_EA_MoveDown
import trap_EA_MoveUp
import trap_EA_Crouch
import trap_EA_DelayedJump
import trap_EA_Jump
import trap_EA_Respawn
import trap_EA_Use
import trap_EA_Alt_Attack
import trap_EA_Attack
import trap_EA_Talk
import trap_EA_SelectWeapon
import trap_EA_Command
import trap_EA_Gesture
import trap_EA_DropInv
import trap_EA_UseInv
import trap_EA_DropItem
import trap_EA_UseItem
import trap_EA_SayTeam
import trap_EA_Say
import trap_AAS_PredictClientMovement
import trap_AAS_Swimming
import trap_AAS_AreaTravelTimeToGoalArea
import trap_AAS_AreaReachability
import trap_AAS_IntForBSPEpairKey
import trap_AAS_FloatForBSPEpairKey
import trap_AAS_VectorForBSPEpairKey
import trap_AAS_ValueForBSPEpairKey
import trap_AAS_NextBSPEntity
import trap_AAS_PointContents
import trap_AAS_TraceAreas
import trap_AAS_PointAreaNum
import trap_AAS_Time
import trap_AAS_PresenceTypeBoundingBox
import trap_AAS_Initialized
import trap_AAS_EntityInfo
import trap_BotUserCommand
import trap_BotGetConsoleMessage
import trap_BotGetSnapshotEntity
import trap_BotLibTest
import trap_BotLibUpdateEntity
import trap_BotLibLoadMap
import trap_BotLibStartFrame
import trap_BotLibDefine
import trap_BotLibVarGet
import trap_BotLibVarSet
import trap_BotLibShutdown
import trap_BotLibSetup
import trap_DebugPolygonDelete
import trap_DebugPolygonCreate
import trap_GetEntityToken
import trap_GetUsercmd
import trap_BotFreeClient
import trap_BotAllocateClient
import trap_EntityContact
import trap_EntitiesInBox
import trap_UnlinkEntity
import trap_LinkEntity
import trap_AreasConnected
import trap_AdjustAreaPortalState
import trap_InPVSIgnorePortals
import trap_InPVS
import trap_PointContents
import trap_Trace
import trap_SetBrushModel
import trap_GetServerinfo
import trap_SetUserinfo
import trap_GetUserinfo
import trap_GetConfigstring
import trap_SetConfigstring
import trap_SendServerCommand
import trap_DropClient
import trap_LocateGameData
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableIntegerValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_SendConsoleCommand
import trap_FS_GetFileList
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Milliseconds
import trap_Error
import trap_Printf
import g_unlaggedVersion
import g_delagHitscan
import g_CStrikeVersion
import g_classChangeDebounceTime
import g_noJoinTimeout
import g_random_skin_limit
import g_team_group_blue
import g_team_group_red
import g_ghostRespawn
import g_holoIntro
import g_debugUp
import g_debugRight
import g_debugForward
import g_filterBan
import g_banIPs
import g_teamForceBalance
import g_teamAutoJoin
import g_allowVote
import g_doWarmup
import g_warmup
import g_motd
import g_synchronousClients
import g_adaptRespawn
import g_weaponRespawn
import g_debugDamage
import g_debugAlloc
import g_debugMove
import g_inactivity
import g_forcerespawn
import g_dmgmult
import g_knockback
import g_speed
import g_gravity
import g_needpass
import g_password
import g_friendlyFire
import g_capturelimit
import g_timelimitWinningTeam
import g_timelimit
import g_fraglimit
import g_dmflags
import g_language
import g_restarted
import g_maxGameClients
import g_maxclients
import g_cheats
import g_dedicated
import g_gametype
import g_pModElimination
import g_pModSpecialties
import g_pModActionHero
import g_pModDisintegration
import g_pModAssimilation
import g_entities
import level
import Pickup_Team
import CheckTeamStatus
import TeamplayInfoMessage
import Team_GetLocationMsg
import Team_GetLocation
import SelectCTFSpawnPoint
import Team_FreeEntity
import Team_ReturnFlag
import Team_InitGame
import Team_CheckHurtCarrier
import Team_FragBonuses
import Team_DroppedFlagThink
import TeamColorString
import OtherTeamName
import TeamName
import OtherTeam
import BotAIStartFrame
import BotAIShutdownClient
import BotAISetupClient
import BotAILoadMap
import BotAIShutdown
import BotAISetup
import BotInterbreedEndMatch
import Svcmd_BotList_f
import Svcmd_AddBot_f
import G_BotConnect
import G_QueueBotBegin
import G_CheckBotSpawn
import G_GetBotInfoByName
import G_GetBotInfoByNumber
import G_InitBots
import Svcmd_AbortPodium_f
import SpawnModelsOnVictoryPads
import UpdateTournamentInfo
import G_WriteSessionData
import G_InitWorldSession
import G_InitSessionData
import G_ReadSessionData
import Svcmd_GameMem_f
import G_InitMemory
import G_Alloc
import Team_CheckDroppedItem
import OnSameTeam
import Cmd_Ready_f
import G_RunClient
import ClientEndFrame
import ClientThink
import ClientCommand
import ClientBegin
import ClientDisconnect
import ClientUserinfoChanged
import ClientConnect
import GetFavoriteWeaponForClient
import GetWorstEnemyForClient
import GetFavoriteTargetForClient
import GetMaxKillsForClient
import GetMaxDeathsForClient
import CalculateTeamMVPByRank
import CalculateAwards
import G_ClearClientLog
import G_LogExit
import G_LogWeaponOutput
import G_LogWeaponInit
import G_LogWeaponItem
import G_LogWeaponPowerup
import G_LogWeaponFrag
import G_LogWeaponDeath
import G_LogWeaponKill
import G_LogWeaponDamage
import G_LogWeaponFire
import G_LogWeaponPickup
import G_LogPrintf
import G_Error
import G_Printf
import SendScoreboardMessageToAllClients
import G_RunThink
import FindIntermissionPoint
import DeathmatchScoreboardMessage
import G_SetStats
import MoveClientToIntermission
import FireWeapon
import G_FilterPacket
import G_ProcessIPBans
import ConsoleCommand
import SpotWouldTelefrag
import CalculateRanks
import AddScore
import player_die
import ClientSpawn
import InitBodyQue
import InitClientResp
import InitClientPersistant
import BeginIntermission
import respawn
import SelectSpawnPoint
import SetClientViewAngle
import PickTeam
import TeamCount
import FireSeeker
import SeekerAcquiresTarget
import SnapVectorTowards
import CalcMuzzlePoint
import LogAccuracyHit
import TransportPlayer
import TeleportPlayer
import trigger_teleporter_touch
import Touch_DoorTrigger
import G_RunMover
import fire_grapple
import fire_rocket
import fire_grenade
import fire_quantum
import fire_plasma
import fire_blaster
import G_RunMissile
import TossClientItems
import body_die
import G_RadiusDamage
import G_Damage
import CanDamage
import G_RadiusList
import G_SetOrigin
import G_AddEvent
import G_AddPredictableEvent
import vectoyaw
import vtos
import tv
import G_TouchSolids
import G_TouchTriggers
import G_FreeEntity
import G_Sound
import G_TempEntity
import G_Spawn
import G_InitGentity
import G_SetMovedir
import G_UseTargets2
import G_UseTargets
import G_PickTarget
import G_Find
import G_KillBox
import G_TeamCommand
import G_SoundIndex
import G_ModelIndex
import SaveRegisteredItems
import RegisterItem
import ClearRegisteredItems
import Touch_Item
import Add_Ammo
import ArmorIndex
import Think_Weapon
import FinishSpawningItem
import G_SpawnItem
import SetRespawn
import Drop_Item
import PrecacheItem
import UseHoldableItem
import RespawnItem
import G_RunItem
import G_CheckTeamItems
import Cmd_FollowCycle_f
import SetTeam
import BroadcastTeamChange
import StopFollowing
import Cmd_Score_f
import G_NewString
import G_SpawnEntitiesFromString
import G_SpawnVector
import G_SpawnInt
import G_SpawnFloat
import G_SpawnString
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $204
byte 1 116
byte 1 97
byte 1 114
byte 1 103
byte 1 101
byte 1 116
byte 1 95
byte 1 108
byte 1 111
byte 1 99
byte 1 97
byte 1 116
byte 1 105
byte 1 111
byte 1 110
byte 1 0
align 1
LABELV $196
byte 1 117
byte 1 110
byte 1 107
byte 1 110
byte 1 111
byte 1 119
byte 1 110
byte 1 0
align 1
LABELV $176
byte 1 117
byte 1 110
byte 1 116
byte 1 97
byte 1 114
byte 1 103
byte 1 101
byte 1 116
byte 1 101
byte 1 100
byte 1 32
byte 1 37
byte 1 115
byte 1 32
byte 1 97
byte 1 116
byte 1 32
byte 1 37
byte 1 115
byte 1 10
byte 1 0
align 1
LABELV $172
byte 1 67
byte 1 111
byte 1 117
byte 1 108
byte 1 100
byte 1 110
byte 1 39
byte 1 116
byte 1 32
byte 1 102
byte 1 105
byte 1 110
byte 1 100
byte 1 32
byte 1 116
byte 1 101
byte 1 108
byte 1 101
byte 1 112
byte 1 111
byte 1 114
byte 1 116
byte 1 101
byte 1 114
byte 1 32
byte 1 100
byte 1 101
byte 1 115
byte 1 116
byte 1 105
byte 1 110
byte 1 97
byte 1 116
byte 1 105
byte 1 111
byte 1 110
byte 1 10
byte 1 0
align 1
LABELV $160
byte 1 37
byte 1 115
byte 1 32
byte 1 97
byte 1 116
byte 1 32
byte 1 37
byte 1 115
byte 1 58
byte 1 32
byte 1 37
byte 1 115
byte 1 32
byte 1 105
byte 1 115
byte 1 32
byte 1 97
byte 1 32
byte 1 98
byte 1 97
byte 1 100
byte 1 32
byte 1 116
byte 1 97
byte 1 114
byte 1 103
byte 1 101
byte 1 116
byte 1 10
byte 1 0
align 1
LABELV $123
byte 1 46
byte 1 119
byte 1 97
byte 1 118
byte 1 0
align 1
LABELV $120
byte 1 116
byte 1 97
byte 1 114
byte 1 103
byte 1 101
byte 1 116
byte 1 95
byte 1 115
byte 1 112
byte 1 101
byte 1 97
byte 1 107
byte 1 101
byte 1 114
byte 1 32
byte 1 119
byte 1 105
byte 1 116
byte 1 104
byte 1 111
byte 1 117
byte 1 116
byte 1 32
byte 1 97
byte 1 32
byte 1 110
byte 1 111
byte 1 105
byte 1 115
byte 1 101
byte 1 32
byte 1 107
byte 1 101
byte 1 121
byte 1 32
byte 1 97
byte 1 116
byte 1 32
byte 1 37
byte 1 115
byte 1 0
align 1
LABELV $119
byte 1 78
byte 1 79
byte 1 83
byte 1 79
byte 1 85
byte 1 78
byte 1 68
byte 1 0
align 1
LABELV $118
byte 1 110
byte 1 111
byte 1 105
byte 1 115
byte 1 101
byte 1 0
align 1
LABELV $115
byte 1 114
byte 1 97
byte 1 110
byte 1 100
byte 1 111
byte 1 109
byte 1 0
align 1
LABELV $97
byte 1 99
byte 1 112
byte 1 32
byte 1 34
byte 1 37
byte 1 115
byte 1 34
byte 1 0
align 1
LABELV $83
byte 1 49
byte 1 0
align 1
LABELV $82
byte 1 119
byte 1 97
byte 1 105
byte 1 116
byte 1 0
align 1
LABELV $81
byte 1 48
byte 1 0
align 1
LABELV $80
byte 1 100
byte 1 101
byte 1 108
byte 1 97
byte 1 121
byte 1 0
