data
export initialBorgTeam
align 4
LABELV initialBorgTeam
byte 4 0
export borgQueenStartPoint
align 4
LABELV borgQueenStartPoint
byte 4 1023
export Team_InitGame
code
proc Team_InitGame 4 12
file "../g_team.c"
line 29
;1:// Copyright (C) 1999-2000 Id Software, Inc.
;2://
;3:
;4:#include "g_local.h"
;5:
;6:team_t	initialBorgTeam = TEAM_FREE;
;7:int		borgQueenStartPoint = ENTITYNUM_NONE;
;8:extern	int	borgQueenClientNum;
;9:
;10:typedef enum _flag_status {
;11:	FLAG_ATBASE = 0,
;12:	FLAG_TAKEN,
;13:	FLAG_DROPPED
;14:} flagStatus_t;
;15:
;16:typedef struct teamgame_s
;17:{
;18:	float last_flag_capture;
;19:	int last_capture_team;
;20:	flagStatus_t redStatus;
;21:	flagStatus_t blueStatus;
;22:} teamgame_t;
;23:
;24:teamgame_t teamgame;
;25:
;26:void Team_SetFlagStatus( int team, flagStatus_t status );
;27:
;28:void Team_InitGame(void)
;29:{
line 30
;30:	memset(&teamgame, 0, sizeof teamgame);
ADDRGP4 teamgame
ARGP4
CNSTI4 0
ARGI4
CNSTI4 16
ARGI4
ADDRGP4 memset
CALLP4
pop
line 31
;31:	teamgame.redStatus = teamgame.blueStatus = -1; // Invalid to force update
ADDRLP4 0
CNSTI4 -1
ASGNI4
ADDRGP4 teamgame+12
ADDRLP4 0
INDIRI4
ASGNI4
ADDRGP4 teamgame+8
ADDRLP4 0
INDIRI4
ASGNI4
line 33
;32:
;33:	Team_SetFlagStatus( TEAM_RED, FLAG_ATBASE );
CNSTI4 1
ARGI4
CNSTI4 0
ARGI4
ADDRGP4 Team_SetFlagStatus
CALLV
pop
line 34
;34:	Team_SetFlagStatus( TEAM_BLUE, FLAG_ATBASE );
CNSTI4 2
ARGI4
CNSTI4 0
ARGI4
ADDRGP4 Team_SetFlagStatus
CALLV
pop
line 37
;35:
;36:	// set config strings for what the two teams are for use in the cgame that renders the CTF flags
;37:	trap_SetConfigstring( CS_RED_GROUP, g_team_group_red.string);
CNSTI4 16
ARGI4
ADDRGP4 g_team_group_red+16
ARGP4
ADDRGP4 trap_SetConfigstring
CALLV
pop
line 38
;38:	trap_SetConfigstring( CS_BLUE_GROUP, g_team_group_blue.string);
CNSTI4 17
ARGI4
ADDRGP4 g_team_group_blue+16
ARGP4
ADDRGP4 trap_SetConfigstring
CALLV
pop
line 40
;39:
;40:}
LABELV $55
endproc Team_InitGame 4 12
export OtherTeam
proc OtherTeam 0 0
line 42
;41:
;42:int OtherTeam(int team) {
line 43
;43:	if (team==TEAM_RED)
ADDRFP4 0
INDIRI4
CNSTI4 1
NEI4 $61
line 44
;44:		return TEAM_BLUE;
CNSTI4 2
RETI4
ADDRGP4 $60
JUMPV
LABELV $61
line 45
;45:	else if (team==TEAM_BLUE)
ADDRFP4 0
INDIRI4
CNSTI4 2
NEI4 $63
line 46
;46:		return TEAM_RED;
CNSTI4 1
RETI4
ADDRGP4 $60
JUMPV
LABELV $63
line 47
;47:	return team;
ADDRFP4 0
INDIRI4
RETI4
LABELV $60
endproc OtherTeam 0 0
export TeamName
proc TeamName 0 0
line 50
;48:}
;49:
;50:const char *TeamName(int team)  {
line 51
;51:	if (team==TEAM_RED)
ADDRFP4 0
INDIRI4
CNSTI4 1
NEI4 $66
line 52
;52:		return "RED";
ADDRGP4 $68
RETP4
ADDRGP4 $65
JUMPV
LABELV $66
line 53
;53:	else if (team==TEAM_BLUE)
ADDRFP4 0
INDIRI4
CNSTI4 2
NEI4 $69
line 54
;54:		return "BLUE";
ADDRGP4 $71
RETP4
ADDRGP4 $65
JUMPV
LABELV $69
line 55
;55:	else if (team==TEAM_SPECTATOR)
ADDRFP4 0
INDIRI4
CNSTI4 3
NEI4 $72
line 56
;56:		return "SPECTATOR";
ADDRGP4 $74
RETP4
ADDRGP4 $65
JUMPV
LABELV $72
line 57
;57:	return "FREE";
ADDRGP4 $75
RETP4
LABELV $65
endproc TeamName 0 0
export OtherTeamName
proc OtherTeamName 0 0
line 60
;58:}
;59:
;60:const char *OtherTeamName(int team) {
line 61
;61:	if (team==TEAM_RED)
ADDRFP4 0
INDIRI4
CNSTI4 1
NEI4 $77
line 62
;62:		return "BLUE";
ADDRGP4 $71
RETP4
ADDRGP4 $76
JUMPV
LABELV $77
line 63
;63:	else if (team==TEAM_BLUE)
ADDRFP4 0
INDIRI4
CNSTI4 2
NEI4 $79
line 64
;64:		return "RED";
ADDRGP4 $68
RETP4
ADDRGP4 $76
JUMPV
LABELV $79
line 65
;65:	else if (team==TEAM_SPECTATOR)
ADDRFP4 0
INDIRI4
CNSTI4 3
NEI4 $81
line 66
;66:		return "SPECTATOR";
ADDRGP4 $74
RETP4
ADDRGP4 $76
JUMPV
LABELV $81
line 67
;67:	return "FREE";
ADDRGP4 $75
RETP4
LABELV $76
endproc OtherTeamName 0 0
export TeamColorString
proc TeamColorString 0 0
line 70
;68:}
;69:
;70:const char *TeamColorString(int team) {
line 71
;71:	if (team==TEAM_RED)
ADDRFP4 0
INDIRI4
CNSTI4 1
NEI4 $84
line 72
;72:		return S_COLOR_RED;
ADDRGP4 $86
RETP4
ADDRGP4 $83
JUMPV
LABELV $84
line 73
;73:	else if (team==TEAM_BLUE)
ADDRFP4 0
INDIRI4
CNSTI4 2
NEI4 $87
line 74
;74:		return S_COLOR_BLUE;
ADDRGP4 $89
RETP4
ADDRGP4 $83
JUMPV
LABELV $87
line 75
;75:	else if (team==TEAM_SPECTATOR)
ADDRFP4 0
INDIRI4
CNSTI4 3
NEI4 $90
line 76
;76:		return S_COLOR_YELLOW;
ADDRGP4 $92
RETP4
ADDRGP4 $83
JUMPV
LABELV $90
line 77
;77:	return S_COLOR_WHITE;
ADDRGP4 $93
RETP4
LABELV $83
endproc TeamColorString 0 0
export PrintMsg
proc PrintMsg 1048 12
line 81
;78:}
;79:
;80:// NULL for everyone
;81:void QDECL PrintMsg( gentity_t *ent, const char *fmt, ... ) {
line 86
;82:	char		msg[1024];
;83:	va_list		argptr;
;84:	char		*p;
;85:	
;86:	va_start (argptr,fmt);
ADDRLP4 1028
ADDRFP4 4+4
ASGNP4
line 87
;87:	if (vsprintf (msg, fmt, argptr) > sizeof(msg)) {
ADDRLP4 4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 1028
INDIRP4
ARGP4
ADDRLP4 1032
ADDRGP4 vsprintf
CALLI4
ASGNI4
ADDRLP4 1032
INDIRI4
CVIU4 4
CNSTU4 1024
LEU4 $96
line 88
;88:		G_Error ( "PrintMsg overrun" );
ADDRGP4 $98
ARGP4
ADDRGP4 G_Error
CALLV
pop
line 89
;89:	}
LABELV $96
line 90
;90:	va_end (argptr);
ADDRLP4 1028
CNSTP4 0
ASGNP4
ADDRGP4 $100
JUMPV
LABELV $99
line 94
;91:
;92:	// double quotes are bad
;93:	while ((p = strchr(msg, '"')) != NULL)
;94:		*p = '\'';
ADDRLP4 0
INDIRP4
CNSTI1 39
ASGNI1
LABELV $100
line 93
ADDRLP4 4
ARGP4
CNSTI4 34
ARGI4
ADDRLP4 1036
ADDRGP4 strchr
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 1036
INDIRP4
ASGNP4
ADDRLP4 1036
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $99
line 96
;95:
;96:	trap_SendServerCommand ( ( (ent == NULL) ? -1 : ent-g_entities ), va("print \"%s\"", msg ));
ADDRGP4 $103
ARGP4
ADDRLP4 4
ARGP4
ADDRLP4 1044
ADDRGP4 va
CALLP4
ASGNP4
ADDRFP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $104
ADDRLP4 1040
CNSTI4 -1
ASGNI4
ADDRGP4 $105
JUMPV
LABELV $104
ADDRLP4 1040
ADDRFP4 0
INDIRP4
CVPU4 4
ADDRGP4 g_entities
CVPU4 4
SUBU4
CVUI4 4
CNSTI4 624
DIVI4
ASGNI4
LABELV $105
ADDRLP4 1040
INDIRI4
ARGI4
ADDRLP4 1044
INDIRP4
ARGP4
ADDRGP4 trap_SendServerCommand
CALLV
pop
line 97
;97:}
LABELV $94
endproc PrintMsg 1048 12
export OnSameTeam
proc OnSameTeam 36 4
line 104
;98:
;99:/*
;100:==============
;101:OnSameTeam
;102:==============
;103:*/
;104:qboolean OnSameTeam( gentity_t *ent1, gentity_t *ent2 ) {
line 105
;105:	if (( g_gametype.integer == GT_FFA ) || (g_gametype.integer == GT_TOURNAMENT) || (g_gametype.integer == GT_SINGLE_PLAYER))
ADDRGP4 g_gametype+12
INDIRI4
CNSTI4 0
EQI4 $113
ADDRGP4 g_gametype+12
INDIRI4
CNSTI4 1
EQI4 $113
ADDRGP4 g_gametype+12
INDIRI4
CNSTI4 2
NEI4 $107
LABELV $113
line 106
;106:	{
line 107
;107:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $106
JUMPV
LABELV $107
line 110
;108:	}
;109:
;110:	if ( !ent1->client || !ent2->client ) {
ADDRLP4 0
CNSTI4 304
ASGNI4
ADDRLP4 4
CNSTU4 0
ASGNU4
ADDRFP4 0
INDIRP4
ADDRLP4 0
INDIRI4
ADDP4
INDIRP4
CVPU4 4
ADDRLP4 4
INDIRU4
EQU4 $116
ADDRFP4 4
INDIRP4
ADDRLP4 0
INDIRI4
ADDP4
INDIRP4
CVPU4 4
ADDRLP4 4
INDIRU4
NEU4 $114
LABELV $116
line 111
;111:		if ( !ent1->client && !ent2->client )
ADDRLP4 8
CNSTI4 304
ASGNI4
ADDRLP4 12
CNSTU4 0
ASGNU4
ADDRFP4 0
INDIRP4
ADDRLP4 8
INDIRI4
ADDP4
INDIRP4
CVPU4 4
ADDRLP4 12
INDIRU4
NEU4 $117
ADDRFP4 4
INDIRP4
ADDRLP4 8
INDIRI4
ADDP4
INDIRP4
CVPU4 4
ADDRLP4 12
INDIRU4
NEU4 $117
line 112
;112:		{
line 113
;113:			if ( ent1->team && ent2->team && atoi( ent1->team ) == atoi( ent2->team ) )
ADDRLP4 16
CNSTI4 472
ASGNI4
ADDRLP4 20
ADDRFP4 0
INDIRP4
ADDRLP4 16
INDIRI4
ADDP4
INDIRP4
ASGNP4
ADDRLP4 24
CNSTU4 0
ASGNU4
ADDRLP4 20
INDIRP4
CVPU4 4
ADDRLP4 24
INDIRU4
EQU4 $118
ADDRFP4 4
INDIRP4
ADDRLP4 16
INDIRI4
ADDP4
INDIRP4
CVPU4 4
ADDRLP4 24
INDIRU4
EQU4 $118
ADDRLP4 20
INDIRP4
ARGP4
ADDRLP4 28
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRFP4 4
INDIRP4
CNSTI4 472
ADDP4
INDIRP4
ARGP4
ADDRLP4 32
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRLP4 28
INDIRI4
ADDRLP4 32
INDIRI4
NEI4 $118
line 114
;114:			{
line 115
;115:				return qtrue;
CNSTI4 1
RETI4
ADDRGP4 $106
JUMPV
line 117
;116:			}
;117:		}
LABELV $117
line 118
;118:		else if ( !ent1->client )
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $121
line 119
;119:		{
line 120
;120:			if ( ent1->team && atoi( ent1->team ) == ent2->client->sess.sessionTeam )
ADDRLP4 16
ADDRFP4 0
INDIRP4
CNSTI4 472
ADDP4
INDIRP4
ASGNP4
ADDRLP4 16
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $122
ADDRLP4 16
INDIRP4
ARGP4
ADDRLP4 20
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRLP4 20
INDIRI4
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
NEI4 $122
line 121
;121:			{
line 122
;122:				return qtrue;
CNSTI4 1
RETI4
ADDRGP4 $106
JUMPV
line 124
;123:			}
;124:		}
LABELV $121
line 126
;125:		else// if ( !ent2->client )
;126:		{
line 127
;127:			if ( ent2->team && ent1->client->sess.sessionTeam == atoi( ent2->team ) )
ADDRLP4 16
ADDRFP4 4
INDIRP4
CNSTI4 472
ADDP4
INDIRP4
ASGNP4
ADDRLP4 16
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $125
ADDRLP4 16
INDIRP4
ARGP4
ADDRLP4 20
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
ADDRLP4 20
INDIRI4
NEI4 $125
line 128
;128:			{
line 129
;129:				return qtrue;
CNSTI4 1
RETI4
ADDRGP4 $106
JUMPV
LABELV $125
line 131
;130:			}
;131:		}
LABELV $122
LABELV $118
line 133
;132:
;133:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $106
JUMPV
LABELV $114
line 136
;134:	}
;135:
;136:	if ( ent1->client->sess.sessionTeam == ent2->client->sess.sessionTeam ) {
ADDRLP4 8
CNSTI4 304
ASGNI4
ADDRLP4 12
CNSTI4 620
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 8
INDIRI4
ADDP4
INDIRP4
ADDRLP4 12
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 8
INDIRI4
ADDP4
INDIRP4
ADDRLP4 12
INDIRI4
ADDP4
INDIRI4
NEI4 $127
line 137
;137:		return qtrue;
CNSTI4 1
RETI4
ADDRGP4 $106
JUMPV
LABELV $127
line 140
;138:	}
;139:
;140:	return qfalse;
CNSTI4 0
RETI4
LABELV $106
endproc OnSameTeam 36 4
export Team_SetFlagStatus
proc Team_SetFlagStatus 12 8
line 144
;141:}
;142:
;143:void Team_SetFlagStatus( int team, flagStatus_t status )
;144:{
line 145
;145:	qboolean modified = qfalse;
ADDRLP4 0
CNSTI4 0
ASGNI4
line 147
;146:
;147:	switch (team) {
ADDRLP4 4
ADDRFP4 0
INDIRI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 1
EQI4 $132
ADDRLP4 4
INDIRI4
CNSTI4 2
EQI4 $137
ADDRGP4 $130
JUMPV
LABELV $132
line 149
;148:	case TEAM_RED :
;149:		if ( teamgame.redStatus != status ) {
ADDRGP4 teamgame+8
INDIRI4
ADDRFP4 4
INDIRI4
EQI4 $131
line 150
;150:			teamgame.redStatus = status;
ADDRGP4 teamgame+8
ADDRFP4 4
INDIRI4
ASGNI4
line 151
;151:			modified = qtrue;
ADDRLP4 0
CNSTI4 1
ASGNI4
line 152
;152:		}
line 153
;153:		break;
ADDRGP4 $131
JUMPV
LABELV $137
line 155
;154:	case TEAM_BLUE :
;155:		if ( teamgame.blueStatus != status ) {
ADDRGP4 teamgame+12
INDIRI4
ADDRFP4 4
INDIRI4
EQI4 $131
line 156
;156:			teamgame.blueStatus = status;
ADDRGP4 teamgame+12
ADDRFP4 4
INDIRI4
ASGNI4
line 157
;157:			modified = qtrue;
ADDRLP4 0
CNSTI4 1
ASGNI4
line 158
;158:		}
line 159
;159:		break;
LABELV $130
LABELV $131
line 162
;160:	}
;161:
;162:	if (modified) {
ADDRLP4 0
INDIRI4
CNSTI4 0
EQI4 $142
line 165
;163:		char st[4];
;164:
;165:		st[0] = '0' + (int)teamgame.redStatus;
ADDRLP4 8
ADDRGP4 teamgame+8
INDIRI4
CNSTI4 48
ADDI4
CVII1 4
ASGNI1
line 166
;166:		st[1] = '0' + (int)teamgame.blueStatus;
ADDRLP4 8+1
ADDRGP4 teamgame+12
INDIRI4
CNSTI4 48
ADDI4
CVII1 4
ASGNI1
line 167
;167:		st[2] = 0;
ADDRLP4 8+2
CNSTI1 0
ASGNI1
line 169
;168:
;169:		trap_SetConfigstring( CS_FLAGSTATUS, st );
CNSTI4 15
ARGI4
ADDRLP4 8
ARGP4
ADDRGP4 trap_SetConfigstring
CALLV
pop
line 170
;170:	}
LABELV $142
line 171
;171:}
LABELV $129
endproc Team_SetFlagStatus 12 8
export Team_CheckDroppedItem
proc Team_CheckDroppedItem 4 8
line 174
;172:
;173:void Team_CheckDroppedItem( gentity_t *dropped )
;174:{
line 175
;175:	if (dropped->item->giTag == PW_REDFLAG)
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
CNSTI4 8
NEI4 $149
line 176
;176:		Team_SetFlagStatus( TEAM_RED, FLAG_DROPPED );
CNSTI4 1
ARGI4
CNSTI4 2
ARGI4
ADDRGP4 Team_SetFlagStatus
CALLV
pop
ADDRGP4 $150
JUMPV
LABELV $149
line 177
;177:	else if (dropped->item->giTag == PW_BLUEFLAG)
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
CNSTI4 9
NEI4 $151
line 178
;178:		Team_SetFlagStatus( TEAM_BLUE, FLAG_DROPPED );
ADDRLP4 0
CNSTI4 2
ASGNI4
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 0
INDIRI4
ARGI4
ADDRGP4 Team_SetFlagStatus
CALLV
pop
LABELV $151
LABELV $150
line 179
;179:}
LABELV $148
endproc Team_CheckDroppedItem 4 8
export Team_FragBonuses
proc Team_FragBonuses 260 16
line 192
;180:
;181:
;182:/*
;183:================
;184:Team_FragBonuses
;185:
;186:Calculate the bonuses for flag defense, flag carrier defense, etc.
;187:Note that bonuses are not cumlative.  You get one, they are in importance
;188:order.
;189:================
;190:*/
;191:void Team_FragBonuses(gentity_t *targ, gentity_t *inflictor, gentity_t *attacker)
;192:{
line 197
;193:	int i;
;194:	gentity_t *ent;
;195:	int flag_pw, enemy_flag_pw;
;196:	int otherteam;
;197:	gentity_t *flag, *carrier = NULL;
ADDRLP4 0
CNSTP4 0
ASGNP4
line 203
;198:	char *c;
;199:	vec3_t v1, v2;
;200:	int team;
;201:
;202:	// no bonus for fragging yourself
;203:	if (!targ->client || attacker == NULL || !attacker->client || targ == attacker)
ADDRLP4 60
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 64
CNSTI4 304
ASGNI4
ADDRLP4 68
CNSTU4 0
ASGNU4
ADDRLP4 60
INDIRP4
ADDRLP4 64
INDIRI4
ADDP4
INDIRP4
CVPU4 4
ADDRLP4 68
INDIRU4
EQU4 $158
ADDRLP4 72
ADDRFP4 8
INDIRP4
ASGNP4
ADDRLP4 76
ADDRLP4 72
INDIRP4
CVPU4 4
ASGNU4
ADDRLP4 76
INDIRU4
ADDRLP4 68
INDIRU4
EQU4 $158
ADDRLP4 72
INDIRP4
ADDRLP4 64
INDIRI4
ADDP4
INDIRP4
CVPU4 4
ADDRLP4 68
INDIRU4
EQU4 $158
ADDRLP4 60
INDIRP4
CVPU4 4
ADDRLP4 76
INDIRU4
NEU4 $154
LABELV $158
line 204
;204:		return;
ADDRGP4 $153
JUMPV
LABELV $154
line 206
;205:
;206:	team = targ->client->sess.sessionTeam;
ADDRLP4 52
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
ASGNI4
line 207
;207:	otherteam = OtherTeam(targ->client->sess.sessionTeam);
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
ARGI4
ADDRLP4 80
ADDRGP4 OtherTeam
CALLI4
ASGNI4
ADDRLP4 36
ADDRLP4 80
INDIRI4
ASGNI4
line 208
;208:	if (otherteam < 0)
ADDRLP4 36
INDIRI4
CNSTI4 0
GEI4 $159
line 209
;209:		return; // whoever died isn't on a team
ADDRGP4 $153
JUMPV
LABELV $159
line 212
;210:
;211:	// same team, if the flag at base, check to he has the enemy flag
;212:	if (team == TEAM_RED) {
ADDRLP4 52
INDIRI4
CNSTI4 1
NEI4 $161
line 213
;213:		flag_pw = PW_REDFLAG;
ADDRLP4 16
CNSTI4 8
ASGNI4
line 214
;214:		enemy_flag_pw = PW_BLUEFLAG;
ADDRLP4 56
CNSTI4 9
ASGNI4
line 215
;215:	} else {
ADDRGP4 $162
JUMPV
LABELV $161
line 216
;216:		flag_pw = PW_BLUEFLAG;
ADDRLP4 16
CNSTI4 9
ASGNI4
line 217
;217:		enemy_flag_pw = PW_REDFLAG;
ADDRLP4 56
CNSTI4 8
ASGNI4
line 218
;218:	}
LABELV $162
line 221
;219:
;220:	// did the attacker frag the flag carrier?
;221:	if (targ->client->ps.powerups[enemy_flag_pw]) {
ADDRLP4 56
INDIRI4
CNSTI4 2
LSHI4
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 332
ADDP4
ADDP4
INDIRI4
CNSTI4 0
EQI4 $163
line 222
;222:		attacker->client->pers.teamState.lastfraggedcarrier = level.time;
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 604
ADDP4
ADDRGP4 level+32
INDIRI4
CVIF4 4
ASGNF4
line 223
;223:		AddScore(attacker, CTF_FRAG_CARRIER_BONUS);
ADDRFP4 8
INDIRP4
ARGP4
CNSTI4 2
ARGI4
ADDRGP4 AddScore
CALLV
pop
line 224
;224:		attacker->client->pers.teamState.fragcarrier++;
ADDRLP4 84
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 576
ADDP4
ASGNP4
ADDRLP4 84
INDIRP4
ADDRLP4 84
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 225
;225:		PrintMsg(NULL, "%s" S_COLOR_WHITE " eliminated %s's flag carrier!\n",
ADDRLP4 52
INDIRI4
ARGI4
ADDRLP4 88
ADDRGP4 TeamName
CALLP4
ASGNP4
CNSTP4 0
ARGP4
ADDRGP4 $166
ARGP4
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 508
ADDP4
ARGP4
ADDRLP4 88
INDIRP4
ARGP4
ADDRGP4 PrintMsg
CALLV
pop
line 230
;226:			attacker->client->pers.netname, TeamName(team));
;227:
;228:		// the target had the flag, clear the hurt carrier
;229:		// field on the other team
;230:		for (i = 0; i < g_maxclients.integer; i++) {
ADDRLP4 4
CNSTI4 0
ASGNI4
ADDRGP4 $170
JUMPV
LABELV $167
line 231
;231:			ent = g_entities + i;
ADDRLP4 12
CNSTI4 624
ADDRLP4 4
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 232
;232:			if (ent->inuse && ent->client->sess.sessionTeam == otherteam)
ADDRLP4 12
INDIRP4
CNSTI4 308
ADDP4
INDIRI4
CNSTI4 0
EQI4 $172
ADDRLP4 12
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
ADDRLP4 36
INDIRI4
NEI4 $172
line 233
;233:				ent->client->pers.teamState.lasthurtcarrier = 0;
ADDRLP4 12
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 592
ADDP4
CNSTF4 0
ASGNF4
LABELV $172
line 234
;234:		}
LABELV $168
line 230
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $170
ADDRLP4 4
INDIRI4
ADDRGP4 g_maxclients+12
INDIRI4
LTI4 $167
line 235
;235:		return;
ADDRGP4 $153
JUMPV
LABELV $163
line 238
;236:	}
;237:
;238:	if (targ->client->pers.teamState.lasthurtcarrier &&
ADDRLP4 84
CNSTI4 304
ASGNI4
ADDRLP4 88
ADDRFP4 0
INDIRP4
ADDRLP4 84
INDIRI4
ADDP4
INDIRP4
CNSTI4 592
ADDP4
INDIRF4
ASGNF4
ADDRLP4 88
INDIRF4
CNSTF4 0
EQF4 $174
ADDRGP4 level+32
INDIRI4
CVIF4 4
ADDRLP4 88
INDIRF4
SUBF4
CNSTF4 1174011904
GEF4 $174
ADDRLP4 16
INDIRI4
CNSTI4 2
LSHI4
ADDRFP4 8
INDIRP4
ADDRLP4 84
INDIRI4
ADDP4
INDIRP4
CNSTI4 332
ADDP4
ADDP4
INDIRI4
CNSTI4 0
NEI4 $174
line 240
;239:		level.time - targ->client->pers.teamState.lasthurtcarrier < CTF_CARRIER_DANGER_PROTECT_TIMEOUT &&
;240:		!attacker->client->ps.powerups[flag_pw]) {
line 243
;241:		// attacker is on the same team as the flag carrier and
;242:		// fragged a guy who hurt our flag carrier
;243:		AddScore(attacker, CTF_CARRIER_DANGER_PROTECT_BONUS);
ADDRFP4 8
INDIRP4
ARGP4
CNSTI4 2
ARGI4
ADDRGP4 AddScore
CALLV
pop
line 245
;244:
;245:		attacker->client->pers.teamState.carrierdefense++;
ADDRLP4 92
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 568
ADDP4
ASGNP4
ADDRLP4 92
INDIRP4
ADDRLP4 92
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 246
;246:		targ->client->pers.teamState.lasthurtcarrier = 0;
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 592
ADDP4
CNSTF4 0
ASGNF4
line 248
;247:
;248:		team = attacker->client->sess.sessionTeam;
ADDRLP4 52
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
ASGNI4
line 249
;249:		PrintMsg(NULL, "%s" S_COLOR_WHITE " defends %s's flag carrier against an aggressive enemy\n",
ADDRLP4 52
INDIRI4
ARGI4
ADDRLP4 96
ADDRGP4 TeamName
CALLP4
ASGNP4
CNSTP4 0
ARGP4
ADDRGP4 $177
ARGP4
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 508
ADDP4
ARGP4
ADDRLP4 96
INDIRP4
ARGP4
ADDRGP4 PrintMsg
CALLV
pop
line 251
;250:			attacker->client->pers.netname, TeamName(team));
;251:		return;
ADDRGP4 $153
JUMPV
LABELV $174
line 259
;252:	}
;253:
;254:	// flag and flag carrier area defense bonuses
;255:
;256:	// we have to find the flag and carrier entities
;257:
;258:	// find the flag
;259:	switch (attacker->client->sess.sessionTeam) {
ADDRLP4 92
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
ASGNI4
ADDRLP4 92
INDIRI4
CNSTI4 1
EQI4 $181
ADDRLP4 92
INDIRI4
CNSTI4 2
EQI4 $183
ADDRGP4 $153
JUMPV
LABELV $181
line 261
;260:	case TEAM_RED:
;261:		c = "team_CTF_redflag";
ADDRLP4 20
ADDRGP4 $182
ASGNP4
line 262
;262:		break;
ADDRGP4 $179
JUMPV
LABELV $183
line 264
;263:	case TEAM_BLUE:
;264:		c = "team_CTF_blueflag";
ADDRLP4 20
ADDRGP4 $184
ASGNP4
line 265
;265:		break;		
line 267
;266:	default:
;267:		return;
LABELV $179
line 270
;268:	}
;269:
;270:	flag = NULL;
ADDRLP4 8
CNSTP4 0
ASGNP4
ADDRGP4 $186
JUMPV
LABELV $185
line 271
;271:	while ((flag = G_Find (flag, FOFS(classname), c)) != NULL) {
line 272
;272:		if (!(flag->flags & FL_DROPPED_ITEM))
ADDRLP4 8
INDIRP4
CNSTI4 324
ADDP4
INDIRI4
CNSTI4 4096
BANDI4
CNSTI4 0
NEI4 $188
line 273
;273:			break;
ADDRGP4 $187
JUMPV
LABELV $188
line 274
;274:	}
LABELV $186
line 271
ADDRLP4 8
INDIRP4
ARGP4
CNSTI4 312
ARGI4
ADDRLP4 20
INDIRP4
ARGP4
ADDRLP4 100
ADDRGP4 G_Find
CALLP4
ASGNP4
ADDRLP4 8
ADDRLP4 100
INDIRP4
ASGNP4
ADDRLP4 100
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $185
LABELV $187
line 276
;275:
;276:	if (!flag)
ADDRLP4 8
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $190
line 277
;277:		return; // can't find attacker's flag
ADDRGP4 $153
JUMPV
LABELV $190
line 280
;278:
;279:	// find attacker's team's flag carrier
;280:	for (i = 0; i < g_maxclients.integer; i++) {
ADDRLP4 4
CNSTI4 0
ASGNI4
ADDRGP4 $195
JUMPV
LABELV $192
line 281
;281:		carrier = g_entities + i;
ADDRLP4 0
CNSTI4 624
ADDRLP4 4
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 282
;282:		if (carrier->inuse && carrier->client->ps.powerups[flag_pw])
ADDRLP4 108
CNSTI4 0
ASGNI4
ADDRLP4 0
INDIRP4
CNSTI4 308
ADDP4
INDIRI4
ADDRLP4 108
INDIRI4
EQI4 $197
ADDRLP4 16
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 332
ADDP4
ADDP4
INDIRI4
ADDRLP4 108
INDIRI4
EQI4 $197
line 283
;283:			break;
ADDRGP4 $194
JUMPV
LABELV $197
line 284
;284:		carrier = NULL;
ADDRLP4 0
CNSTP4 0
ASGNP4
line 285
;285:	}
LABELV $193
line 280
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $195
ADDRLP4 4
INDIRI4
ADDRGP4 g_maxclients+12
INDIRI4
LTI4 $192
LABELV $194
line 290
;286:
;287:	// ok we have the attackers flag and a pointer to the carrier
;288:
;289:	// check to see if we are defending the base's flag
;290:	VectorSubtract(targ->r.currentOrigin, flag->r.currentOrigin, v1);
ADDRLP4 104
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 108
CNSTI4 276
ASGNI4
ADDRLP4 24
ADDRLP4 104
INDIRP4
ADDRLP4 108
INDIRI4
ADDP4
INDIRF4
ADDRLP4 8
INDIRP4
ADDRLP4 108
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 116
CNSTI4 280
ASGNI4
ADDRLP4 24+4
ADDRLP4 104
INDIRP4
ADDRLP4 116
INDIRI4
ADDP4
INDIRF4
ADDRLP4 8
INDIRP4
ADDRLP4 116
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 120
CNSTI4 284
ASGNI4
ADDRLP4 24+8
ADDRFP4 0
INDIRP4
ADDRLP4 120
INDIRI4
ADDP4
INDIRF4
ADDRLP4 8
INDIRP4
ADDRLP4 120
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
line 291
;291:	VectorSubtract(attacker->r.currentOrigin, flag->r.currentOrigin, v2);
ADDRLP4 124
ADDRFP4 8
INDIRP4
ASGNP4
ADDRLP4 128
CNSTI4 276
ASGNI4
ADDRLP4 40
ADDRLP4 124
INDIRP4
ADDRLP4 128
INDIRI4
ADDP4
INDIRF4
ADDRLP4 8
INDIRP4
ADDRLP4 128
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 136
CNSTI4 280
ASGNI4
ADDRLP4 40+4
ADDRLP4 124
INDIRP4
ADDRLP4 136
INDIRI4
ADDP4
INDIRF4
ADDRLP4 8
INDIRP4
ADDRLP4 136
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 140
CNSTI4 284
ASGNI4
ADDRLP4 40+8
ADDRFP4 8
INDIRP4
ADDRLP4 140
INDIRI4
ADDP4
INDIRF4
ADDRLP4 8
INDIRP4
ADDRLP4 140
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
line 293
;292:
;293:	if ( ( ( VectorLength(v1) < CTF_TARGET_PROTECT_RADIUS &&
ADDRLP4 24
ARGP4
ADDRLP4 144
ADDRGP4 VectorLength
CALLF4
ASGNF4
ADDRLP4 144
INDIRF4
CNSTF4 1148846080
GEF4 $206
ADDRLP4 148
CNSTI4 276
ASGNI4
ADDRLP4 8
INDIRP4
ADDRLP4 148
INDIRI4
ADDP4
ARGP4
ADDRFP4 0
INDIRP4
ADDRLP4 148
INDIRI4
ADDP4
ARGP4
ADDRLP4 152
ADDRGP4 trap_InPVS
CALLI4
ASGNI4
ADDRLP4 152
INDIRI4
CNSTI4 0
NEI4 $205
LABELV $206
ADDRLP4 40
ARGP4
ADDRLP4 156
ADDRGP4 VectorLength
CALLF4
ASGNF4
ADDRLP4 156
INDIRF4
CNSTF4 1148846080
GEF4 $203
ADDRLP4 160
CNSTI4 276
ASGNI4
ADDRLP4 8
INDIRP4
ADDRLP4 160
INDIRI4
ADDP4
ARGP4
ADDRFP4 8
INDIRP4
ADDRLP4 160
INDIRI4
ADDP4
ARGP4
ADDRLP4 164
ADDRGP4 trap_InPVS
CALLI4
ASGNI4
ADDRLP4 164
INDIRI4
CNSTI4 0
EQI4 $203
LABELV $205
ADDRLP4 168
CNSTI4 304
ASGNI4
ADDRLP4 172
CNSTI4 620
ASGNI4
ADDRFP4 8
INDIRP4
ADDRLP4 168
INDIRI4
ADDP4
INDIRP4
ADDRLP4 172
INDIRI4
ADDP4
INDIRI4
ADDRFP4 0
INDIRP4
ADDRLP4 168
INDIRI4
ADDP4
INDIRP4
ADDRLP4 172
INDIRI4
ADDP4
INDIRI4
EQI4 $203
line 297
;294:		trap_InPVS(flag->r.currentOrigin, targ->r.currentOrigin ) ) ||
;295:		( VectorLength(v2) < CTF_TARGET_PROTECT_RADIUS &&
;296:		trap_InPVS(flag->r.currentOrigin, attacker->r.currentOrigin ) ) ) &&
;297:		attacker->client->sess.sessionTeam != targ->client->sess.sessionTeam) {
line 300
;298:
;299:		// we defended the base flag
;300:		AddScore(attacker, CTF_FLAG_DEFENSE_BONUS);
ADDRFP4 8
INDIRP4
ARGP4
CNSTI4 1
ARGI4
ADDRGP4 AddScore
CALLV
pop
line 301
;301:		attacker->client->pers.teamState.basedefense++;
ADDRLP4 176
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 564
ADDP4
ASGNP4
ADDRLP4 176
INDIRP4
ADDRLP4 176
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 302
;302:		if (flag->r.svFlags & SVF_NOCLIENT) {
ADDRLP4 8
INDIRP4
CNSTI4 212
ADDP4
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
EQI4 $207
line 303
;303:			PrintMsg(NULL, "%s" S_COLOR_WHITE " defends the %s base.\n",
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
ARGI4
ADDRLP4 180
ADDRGP4 TeamName
CALLP4
ASGNP4
CNSTP4 0
ARGP4
ADDRGP4 $209
ARGP4
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 508
ADDP4
ARGP4
ADDRLP4 180
INDIRP4
ARGP4
ADDRGP4 PrintMsg
CALLV
pop
line 306
;304:				attacker->client->pers.netname, 
;305:				TeamName(attacker->client->sess.sessionTeam));
;306:		} else {
ADDRGP4 $153
JUMPV
LABELV $207
line 307
;307:			PrintMsg(NULL, "%s" S_COLOR_WHITE " defends the %s flag.\n",
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
ARGI4
ADDRLP4 180
ADDRGP4 TeamName
CALLP4
ASGNP4
CNSTP4 0
ARGP4
ADDRGP4 $210
ARGP4
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 508
ADDP4
ARGP4
ADDRLP4 180
INDIRP4
ARGP4
ADDRGP4 PrintMsg
CALLV
pop
line 310
;308:				attacker->client->pers.netname, 
;309:				TeamName(attacker->client->sess.sessionTeam));
;310:		}
line 311
;311:		return;
ADDRGP4 $153
JUMPV
LABELV $203
line 314
;312:	}
;313:
;314:	if (carrier && carrier != attacker) {
ADDRLP4 176
ADDRLP4 0
INDIRP4
CVPU4 4
ASGNU4
ADDRLP4 176
INDIRU4
CNSTU4 0
EQU4 $211
ADDRLP4 176
INDIRU4
ADDRFP4 8
INDIRP4
CVPU4 4
EQU4 $211
line 315
;315:		VectorSubtract(targ->r.currentOrigin, carrier->r.currentOrigin, v1);
ADDRLP4 180
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 184
CNSTI4 276
ASGNI4
ADDRLP4 24
ADDRLP4 180
INDIRP4
ADDRLP4 184
INDIRI4
ADDP4
INDIRF4
ADDRLP4 0
INDIRP4
ADDRLP4 184
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 192
CNSTI4 280
ASGNI4
ADDRLP4 24+4
ADDRLP4 180
INDIRP4
ADDRLP4 192
INDIRI4
ADDP4
INDIRF4
ADDRLP4 0
INDIRP4
ADDRLP4 192
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 196
CNSTI4 284
ASGNI4
ADDRLP4 24+8
ADDRFP4 0
INDIRP4
ADDRLP4 196
INDIRI4
ADDP4
INDIRF4
ADDRLP4 0
INDIRP4
ADDRLP4 196
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
line 316
;316:		VectorSubtract(attacker->r.currentOrigin, carrier->r.currentOrigin, v1);
ADDRLP4 200
ADDRFP4 8
INDIRP4
ASGNP4
ADDRLP4 204
CNSTI4 276
ASGNI4
ADDRLP4 24
ADDRLP4 200
INDIRP4
ADDRLP4 204
INDIRI4
ADDP4
INDIRF4
ADDRLP4 0
INDIRP4
ADDRLP4 204
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 212
CNSTI4 280
ASGNI4
ADDRLP4 24+4
ADDRLP4 200
INDIRP4
ADDRLP4 212
INDIRI4
ADDP4
INDIRF4
ADDRLP4 0
INDIRP4
ADDRLP4 212
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 216
CNSTI4 284
ASGNI4
ADDRLP4 24+8
ADDRFP4 8
INDIRP4
ADDRLP4 216
INDIRI4
ADDP4
INDIRF4
ADDRLP4 0
INDIRP4
ADDRLP4 216
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
line 318
;317:
;318:		if ( ( ( VectorLength(v1) < CTF_ATTACKER_PROTECT_RADIUS &&
ADDRLP4 24
ARGP4
ADDRLP4 220
ADDRGP4 VectorLength
CALLF4
ASGNF4
ADDRLP4 220
INDIRF4
CNSTF4 1148846080
GEF4 $220
ADDRLP4 224
CNSTI4 276
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 224
INDIRI4
ADDP4
ARGP4
ADDRFP4 0
INDIRP4
ADDRLP4 224
INDIRI4
ADDP4
ARGP4
ADDRLP4 228
ADDRGP4 trap_InPVS
CALLI4
ASGNI4
ADDRLP4 228
INDIRI4
CNSTI4 0
NEI4 $219
LABELV $220
ADDRLP4 40
ARGP4
ADDRLP4 232
ADDRGP4 VectorLength
CALLF4
ASGNF4
ADDRLP4 232
INDIRF4
CNSTF4 1148846080
GEF4 $217
ADDRLP4 236
CNSTI4 276
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 236
INDIRI4
ADDP4
ARGP4
ADDRFP4 8
INDIRP4
ADDRLP4 236
INDIRI4
ADDP4
ARGP4
ADDRLP4 240
ADDRGP4 trap_InPVS
CALLI4
ASGNI4
ADDRLP4 240
INDIRI4
CNSTI4 0
EQI4 $217
LABELV $219
ADDRLP4 244
CNSTI4 304
ASGNI4
ADDRLP4 248
CNSTI4 620
ASGNI4
ADDRFP4 8
INDIRP4
ADDRLP4 244
INDIRI4
ADDP4
INDIRP4
ADDRLP4 248
INDIRI4
ADDP4
INDIRI4
ADDRFP4 0
INDIRP4
ADDRLP4 244
INDIRI4
ADDP4
INDIRP4
ADDRLP4 248
INDIRI4
ADDP4
INDIRI4
EQI4 $217
line 322
;319:			trap_InPVS(carrier->r.currentOrigin, targ->r.currentOrigin ) ) ||
;320:			( VectorLength(v2) < CTF_ATTACKER_PROTECT_RADIUS &&
;321:				trap_InPVS(carrier->r.currentOrigin, attacker->r.currentOrigin ) ) ) &&
;322:			attacker->client->sess.sessionTeam != targ->client->sess.sessionTeam) {
line 323
;323:			AddScore(attacker, CTF_CARRIER_PROTECT_BONUS);
ADDRFP4 8
INDIRP4
ARGP4
CNSTI4 1
ARGI4
ADDRGP4 AddScore
CALLV
pop
line 324
;324:			attacker->client->pers.teamState.carrierdefense++;
ADDRLP4 252
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 568
ADDP4
ASGNP4
ADDRLP4 252
INDIRP4
ADDRLP4 252
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 325
;325:			PrintMsg(NULL, "%s" S_COLOR_WHITE " defends the %s's flag carrier.\n",
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
ARGI4
ADDRLP4 256
ADDRGP4 TeamName
CALLP4
ASGNP4
CNSTP4 0
ARGP4
ADDRGP4 $221
ARGP4
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 508
ADDP4
ARGP4
ADDRLP4 256
INDIRP4
ARGP4
ADDRGP4 PrintMsg
CALLV
pop
line 328
;326:				attacker->client->pers.netname, 
;327:				TeamName(attacker->client->sess.sessionTeam));
;328:			return;
LABELV $217
line 330
;329:		}
;330:	}
LABELV $211
line 331
;331:}
LABELV $153
endproc Team_FragBonuses 260 16
export Team_CheckHurtCarrier
proc Team_CheckHurtCarrier 24 0
line 342
;332:
;333:/*
;334:================
;335:Team_CheckHurtCarrier
;336:
;337:Check to see if attacker hurt the flag carrier.  Needed when handing out bonuses for assistance to flag
;338:carrier defense.
;339:================
;340:*/
;341:void Team_CheckHurtCarrier(gentity_t *targ, gentity_t *attacker)
;342:{
line 345
;343:	int flag_pw;
;344:
;345:	if (!targ->client || !attacker->client)
ADDRLP4 4
CNSTI4 304
ASGNI4
ADDRLP4 8
CNSTU4 0
ASGNU4
ADDRFP4 0
INDIRP4
ADDRLP4 4
INDIRI4
ADDP4
INDIRP4
CVPU4 4
ADDRLP4 8
INDIRU4
EQU4 $225
ADDRFP4 4
INDIRP4
ADDRLP4 4
INDIRI4
ADDP4
INDIRP4
CVPU4 4
ADDRLP4 8
INDIRU4
NEU4 $223
LABELV $225
line 346
;346:		return;
ADDRGP4 $222
JUMPV
LABELV $223
line 348
;347:
;348:	if (targ->client->sess.sessionTeam == TEAM_RED)
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
CNSTI4 1
NEI4 $226
line 349
;349:		flag_pw = PW_BLUEFLAG;
ADDRLP4 0
CNSTI4 9
ASGNI4
ADDRGP4 $227
JUMPV
LABELV $226
line 351
;350:	else
;351:		flag_pw = PW_REDFLAG;
ADDRLP4 0
CNSTI4 8
ASGNI4
LABELV $227
line 353
;352:
;353:	if (targ->client->ps.powerups[flag_pw] &&
ADDRLP4 12
CNSTI4 304
ASGNI4
ADDRLP4 16
ADDRFP4 0
INDIRP4
ADDRLP4 12
INDIRI4
ADDP4
INDIRP4
ASGNP4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 16
INDIRP4
CNSTI4 332
ADDP4
ADDP4
INDIRI4
CNSTI4 0
EQI4 $228
ADDRLP4 20
CNSTI4 620
ASGNI4
ADDRLP4 16
INDIRP4
ADDRLP4 20
INDIRI4
ADDP4
INDIRI4
ADDRFP4 4
INDIRP4
ADDRLP4 12
INDIRI4
ADDP4
INDIRP4
ADDRLP4 20
INDIRI4
ADDP4
INDIRI4
EQI4 $228
line 355
;354:		targ->client->sess.sessionTeam != attacker->client->sess.sessionTeam)
;355:		attacker->client->pers.teamState.lasthurtcarrier = level.time;
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 592
ADDP4
ADDRGP4 level+32
INDIRI4
CVIF4 4
ASGNF4
LABELV $228
line 356
;356:}
LABELV $222
endproc Team_CheckHurtCarrier 24 0
export Team_ResetFlag
proc Team_ResetFlag 20 12
line 360
;357:
;358:
;359:gentity_t *Team_ResetFlag(int team)
;360:{
line 362
;361:	char *c;
;362:	gentity_t *ent, *rent = NULL;
ADDRLP4 8
CNSTP4 0
ASGNP4
line 364
;363:
;364:	switch (team) {
ADDRLP4 12
ADDRFP4 0
INDIRI4
ASGNI4
ADDRLP4 12
INDIRI4
CNSTI4 1
EQI4 $234
ADDRLP4 12
INDIRI4
CNSTI4 2
EQI4 $235
ADDRGP4 $232
JUMPV
LABELV $234
line 366
;365:	case TEAM_RED:
;366:		c = "team_CTF_redflag";
ADDRLP4 4
ADDRGP4 $182
ASGNP4
line 367
;367:		break;
ADDRGP4 $233
JUMPV
LABELV $235
line 369
;368:	case TEAM_BLUE:
;369:		c = "team_CTF_blueflag";
ADDRLP4 4
ADDRGP4 $184
ASGNP4
line 370
;370:		break;
ADDRGP4 $233
JUMPV
LABELV $232
line 372
;371:	default:
;372:		return NULL;
CNSTP4 0
RETP4
ADDRGP4 $231
JUMPV
LABELV $233
line 375
;373:	}
;374:
;375:	ent = NULL;
ADDRLP4 0
CNSTP4 0
ASGNP4
ADDRGP4 $237
JUMPV
LABELV $236
line 376
;376:	while ((ent = G_Find (ent, FOFS(classname), c)) != NULL) {
line 377
;377:		if (ent->flags & FL_DROPPED_ITEM)
ADDRLP4 0
INDIRP4
CNSTI4 324
ADDP4
INDIRI4
CNSTI4 4096
BANDI4
CNSTI4 0
EQI4 $239
line 378
;378:			G_FreeEntity(ent);
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 G_FreeEntity
CALLV
pop
ADDRGP4 $240
JUMPV
LABELV $239
line 379
;379:		else {
line 380
;380:			rent = ent;
ADDRLP4 8
ADDRLP4 0
INDIRP4
ASGNP4
line 381
;381:			RespawnItem(ent);
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 RespawnItem
CALLV
pop
line 382
;382:		}
LABELV $240
line 383
;383:	}
LABELV $237
line 376
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 312
ARGI4
ADDRLP4 4
INDIRP4
ARGP4
ADDRLP4 16
ADDRGP4 G_Find
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 16
INDIRP4
ASGNP4
ADDRLP4 16
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $236
line 385
;384:
;385:	Team_SetFlagStatus( team, FLAG_ATBASE );
ADDRFP4 0
INDIRI4
ARGI4
CNSTI4 0
ARGI4
ADDRGP4 Team_SetFlagStatus
CALLV
pop
line 387
;386:
;387:	return rent;
ADDRLP4 8
INDIRP4
RETP4
LABELV $231
endproc Team_ResetFlag 20 12
export Team_ResetFlags
proc Team_ResetFlags 0 4
line 391
;388:}
;389:
;390:void Team_ResetFlags(void)
;391:{
line 392
;392:	Team_ResetFlag(TEAM_RED);
CNSTI4 1
ARGI4
ADDRGP4 Team_ResetFlag
CALLP4
pop
line 393
;393:	Team_ResetFlag(TEAM_BLUE);
CNSTI4 2
ARGI4
ADDRGP4 Team_ResetFlag
CALLP4
pop
line 394
;394:}
LABELV $241
endproc Team_ResetFlags 0 4
export Team_ReturnFlagSound
proc Team_ReturnFlagSound 12 8
line 397
;395:
;396:void Team_ReturnFlagSound(gentity_t *ent, int team)
;397:{
line 401
;398:	// play powerup spawn sound to all clients
;399:	gentity_t	*te;
;400:
;401:	if (ent == NULL) {
ADDRFP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $243
line 402
;402:		G_Printf ("Warning:  NULL passed to Team_ReturnFlagSound\n");
ADDRGP4 $245
ARGP4
ADDRGP4 G_Printf
CALLV
pop
line 403
;403:		return;
ADDRGP4 $242
JUMPV
LABELV $243
line 407
;404:	}
;405:
;406:
;407:	te = G_TempEntity( ent->s.pos.trBase, EV_TEAM_SOUND );
ADDRFP4 0
INDIRP4
CNSTI4 24
ADDP4
ARGP4
CNSTI4 51
ARGI4
ADDRLP4 4
ADDRGP4 G_TempEntity
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 4
INDIRP4
ASGNP4
line 408
;408:	te->s.eventParm = RETURN_FLAG_SOUND;
ADDRLP4 0
INDIRP4
CNSTI4 184
ADDP4
CNSTI4 0
ASGNI4
line 409
;409:	te->s.otherEntityNum = team;
ADDRLP4 0
INDIRP4
CNSTI4 140
ADDP4
ADDRFP4 4
INDIRI4
ASGNI4
line 411
;410:
;411:	te->r.svFlags |= SVF_BROADCAST;
ADDRLP4 8
ADDRLP4 0
INDIRP4
CNSTI4 212
ADDP4
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRI4
CNSTI4 32
BORI4
ASGNI4
line 412
;412:}
LABELV $242
endproc Team_ReturnFlagSound 12 8
export Team_ReturnFlag
proc Team_ReturnFlag 8 12
line 415
;413:
;414:void Team_ReturnFlag(int team)
;415:{
line 416
;416:	Team_ReturnFlagSound(Team_ResetFlag(team), team);
ADDRFP4 0
INDIRI4
ARGI4
ADDRLP4 0
ADDRGP4 Team_ResetFlag
CALLP4
ASGNP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRFP4 0
INDIRI4
ARGI4
ADDRGP4 Team_ReturnFlagSound
CALLV
pop
line 417
;417:	PrintMsg(NULL, "The %s flag has returned!\n", TeamName(team));
ADDRFP4 0
INDIRI4
ARGI4
ADDRLP4 4
ADDRGP4 TeamName
CALLP4
ASGNP4
CNSTP4 0
ARGP4
ADDRGP4 $247
ARGP4
ADDRLP4 4
INDIRP4
ARGP4
ADDRGP4 PrintMsg
CALLV
pop
line 418
;418:}
LABELV $246
endproc Team_ReturnFlag 8 12
export Team_FreeEntity
proc Team_FreeEntity 0 4
line 421
;419:
;420:void Team_FreeEntity(gentity_t *ent)
;421:{
line 422
;422:	if (ent->item->giTag == PW_REDFLAG)
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
CNSTI4 8
NEI4 $249
line 423
;423:		Team_ReturnFlag(TEAM_RED);
CNSTI4 1
ARGI4
ADDRGP4 Team_ReturnFlag
CALLV
pop
ADDRGP4 $250
JUMPV
LABELV $249
line 424
;424:	else if (ent->item->giTag == PW_BLUEFLAG)
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
CNSTI4 9
NEI4 $251
line 425
;425:		Team_ReturnFlag(TEAM_BLUE);
CNSTI4 2
ARGI4
ADDRGP4 Team_ReturnFlag
CALLV
pop
LABELV $251
LABELV $250
line 426
;426:}
LABELV $248
endproc Team_FreeEntity 0 4
export Team_DroppedFlagThink
proc Team_DroppedFlagThink 8 8
line 438
;427:
;428:/*
;429:==============
;430:Team_DroppedFlagThink
;431:
;432:Automatically set in Launch_Item if the item is one of the flags
;433:
;434:Flags are unique in that if they are dropped, the base flag must be respawned when they time out
;435:==============
;436:*/
;437:void Team_DroppedFlagThink(gentity_t *ent)
;438:{
line 439
;439:	if (ent->item->giTag == PW_REDFLAG)
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
CNSTI4 8
NEI4 $254
line 440
;440:		Team_ReturnFlagSound(Team_ResetFlag(TEAM_RED), TEAM_RED);
CNSTI4 1
ARGI4
ADDRLP4 0
ADDRGP4 Team_ResetFlag
CALLP4
ASGNP4
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 1
ARGI4
ADDRGP4 Team_ReturnFlagSound
CALLV
pop
ADDRGP4 $255
JUMPV
LABELV $254
line 441
;441:	else if (ent->item->giTag == PW_BLUEFLAG)
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
CNSTI4 9
NEI4 $256
line 442
;442:		Team_ReturnFlagSound(Team_ResetFlag(TEAM_BLUE), TEAM_BLUE);
CNSTI4 2
ARGI4
ADDRLP4 4
ADDRGP4 Team_ResetFlag
CALLP4
ASGNP4
ADDRLP4 4
INDIRP4
ARGP4
CNSTI4 2
ARGI4
ADDRGP4 Team_ReturnFlagSound
CALLV
pop
LABELV $256
LABELV $255
line 444
;443:	// Reset Flag will delete this entity
;444:}
LABELV $253
endproc Team_DroppedFlagThink 8 8
export Team_AddScore
proc Team_AddScore 4 0
line 447
;445:
;446:void Team_AddScore( int team, int points )
;447:{
line 448
;448:	teamgame.last_flag_capture = level.time;
ADDRGP4 teamgame
ADDRGP4 level+32
INDIRI4
CVIF4 4
ASGNF4
line 449
;449:	teamgame.last_capture_team = team;
ADDRGP4 teamgame+4
ADDRFP4 0
INDIRI4
ASGNI4
line 452
;450:
;451:	// Increase the team's score
;452:	level.teamScores[team] += points;
ADDRLP4 0
ADDRFP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 level+48
ADDP4
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRI4
ADDRFP4 4
INDIRI4
ADDI4
ASGNI4
line 453
;453:}
LABELV $258
endproc Team_AddScore 4 0
export Team_TouchOurFlag
proc Team_TouchOurFlag 56 16
line 455
;454:
;455:int Team_TouchOurFlag( gentity_t *ent, gentity_t *other, int team ) {
line 458
;456:	int i;
;457:	gentity_t *player;
;458:	gclient_t *cl = other->client;
ADDRLP4 8
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
ASGNP4
line 462
;459:	int our_flag, enemy_flag;
;460:	gentity_t	*te;
;461:
;462:	if (cl->sess.sessionTeam == TEAM_RED) {
ADDRLP4 8
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
CNSTI4 1
NEI4 $263
line 463
;463:		our_flag = PW_REDFLAG;
ADDRLP4 20
CNSTI4 8
ASGNI4
line 464
;464:		enemy_flag = PW_BLUEFLAG;
ADDRLP4 16
CNSTI4 9
ASGNI4
line 465
;465:	} else {
ADDRGP4 $264
JUMPV
LABELV $263
line 466
;466:		our_flag = PW_BLUEFLAG;
ADDRLP4 20
CNSTI4 9
ASGNI4
line 467
;467:		enemy_flag = PW_REDFLAG;
ADDRLP4 16
CNSTI4 8
ASGNI4
line 468
;468:	}
LABELV $264
line 470
;469:
;470:	if ( ent->flags & FL_DROPPED_ITEM ) {
ADDRFP4 0
INDIRP4
CNSTI4 324
ADDP4
INDIRI4
CNSTI4 4096
BANDI4
CNSTI4 0
EQI4 $265
line 472
;471:		// hey, its not home.  return it by teleporting it back
;472:		PrintMsg( NULL, "%s" S_COLOR_WHITE " returned the %s flag!\n", 
ADDRFP4 8
INDIRI4
ARGI4
ADDRLP4 24
ADDRGP4 TeamName
CALLP4
ASGNP4
CNSTP4 0
ARGP4
ADDRGP4 $267
ARGP4
ADDRLP4 8
INDIRP4
CNSTI4 508
ADDP4
ARGP4
ADDRLP4 24
INDIRP4
ARGP4
ADDRGP4 PrintMsg
CALLV
pop
line 474
;473:			cl->pers.netname, TeamName(team));
;474:		AddScore(other, CTF_RECOVERY_BONUS);
ADDRFP4 4
INDIRP4
ARGP4
CNSTI4 1
ARGI4
ADDRGP4 AddScore
CALLV
pop
line 475
;475:		other->client->pers.teamState.flagrecovery++;
ADDRLP4 28
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 572
ADDP4
ASGNP4
ADDRLP4 28
INDIRP4
ADDRLP4 28
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 476
;476:		other->client->pers.teamState.lastreturnedflag = level.time;
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 596
ADDP4
ADDRGP4 level+32
INDIRI4
CVIF4 4
ASGNF4
line 478
;477:		//ResetFlag will remove this entity!  We must return zero
;478:		Team_ReturnFlagSound(Team_ResetFlag(team), team);
ADDRFP4 8
INDIRI4
ARGI4
ADDRLP4 32
ADDRGP4 Team_ResetFlag
CALLP4
ASGNP4
ADDRLP4 32
INDIRP4
ARGP4
ADDRFP4 8
INDIRI4
ARGI4
ADDRGP4 Team_ReturnFlagSound
CALLV
pop
line 479
;479:		return 0;
CNSTI4 0
RETI4
ADDRGP4 $262
JUMPV
LABELV $265
line 484
;480:	}
;481:
;482:	// the flag is at home base.  if the player has the enemy
;483:	// flag, he's just won!
;484:	if (!cl->ps.powerups[enemy_flag])
ADDRLP4 16
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 8
INDIRP4
CNSTI4 332
ADDP4
ADDP4
INDIRI4
CNSTI4 0
NEI4 $269
line 485
;485:		return 0; // We don't have the flag
CNSTI4 0
RETI4
ADDRGP4 $262
JUMPV
LABELV $269
line 487
;486:
;487:	PrintMsg( NULL, "%s" S_COLOR_WHITE " captured the %s flag!\n",
ADDRFP4 8
INDIRI4
ARGI4
ADDRLP4 24
ADDRGP4 OtherTeam
CALLI4
ASGNI4
ADDRLP4 24
INDIRI4
ARGI4
ADDRLP4 28
ADDRGP4 TeamName
CALLP4
ASGNP4
CNSTP4 0
ARGP4
ADDRGP4 $271
ARGP4
ADDRLP4 8
INDIRP4
CNSTI4 508
ADDP4
ARGP4
ADDRLP4 28
INDIRP4
ARGP4
ADDRGP4 PrintMsg
CALLV
pop
line 490
;488:		cl->pers.netname, TeamName(OtherTeam(team)));
;489:
;490:	cl->ps.powerups[enemy_flag] = 0;
ADDRLP4 16
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 8
INDIRP4
CNSTI4 332
ADDP4
ADDP4
CNSTI4 0
ASGNI4
line 492
;491:
;492:	Team_AddScore( team, 1 );
ADDRFP4 8
INDIRI4
ARGI4
CNSTI4 1
ARGI4
ADDRGP4 Team_AddScore
CALLV
pop
line 494
;493:
;494:	other->client->pers.teamState.captures++;
ADDRLP4 32
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 560
ADDP4
ASGNP4
ADDRLP4 32
INDIRP4
ADDRLP4 32
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 497
;495:
;496:	// other gets another 10 frag bonus
;497:	AddScore(other, CTF_CAPTURE_BONUS);
ADDRFP4 4
INDIRP4
ARGP4
CNSTI4 5
ARGI4
ADDRGP4 AddScore
CALLV
pop
line 500
;498:
;499:	// If this is the last capture of the match, don't play the capture sound.
;500:	if (level.teamScores[other->client->sess.sessionTeam ] == g_capturelimit.integer)
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 level+48
ADDP4
INDIRI4
ADDRGP4 g_capturelimit+12
INDIRI4
NEI4 $272
line 501
;501:	{
line 502
;502:		te = G_TempEntity( ent->s.pos.trBase, EV_TEAM_SOUND );
ADDRFP4 0
INDIRP4
CNSTI4 24
ADDP4
ARGP4
CNSTI4 51
ARGI4
ADDRLP4 36
ADDRGP4 G_TempEntity
CALLP4
ASGNP4
ADDRLP4 12
ADDRLP4 36
INDIRP4
ASGNP4
line 503
;503:		te->s.eventParm = SCORED_FLAG_NO_VOICE_SOUND;
ADDRLP4 12
INDIRP4
CNSTI4 184
ADDP4
CNSTI4 3
ASGNI4
line 504
;504:		te->s.otherEntityNum = cl->sess.sessionTeam;
ADDRLP4 12
INDIRP4
CNSTI4 140
ADDP4
ADDRLP4 8
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
ASGNI4
line 505
;505:		te->r.svFlags |= SVF_BROADCAST;
ADDRLP4 40
ADDRLP4 12
INDIRP4
CNSTI4 212
ADDP4
ASGNP4
ADDRLP4 40
INDIRP4
ADDRLP4 40
INDIRP4
INDIRI4
CNSTI4 32
BORI4
ASGNI4
line 506
;506:	}
ADDRGP4 $273
JUMPV
LABELV $272
line 508
;507:	else
;508:	{
line 509
;509:		te = G_TempEntity( ent->s.pos.trBase, EV_TEAM_SOUND );
ADDRFP4 0
INDIRP4
CNSTI4 24
ADDP4
ARGP4
CNSTI4 51
ARGI4
ADDRLP4 36
ADDRGP4 G_TempEntity
CALLP4
ASGNP4
ADDRLP4 12
ADDRLP4 36
INDIRP4
ASGNP4
line 510
;510:		te->s.eventParm = SCORED_FLAG_SOUND;
ADDRLP4 12
INDIRP4
CNSTI4 184
ADDP4
CNSTI4 1
ASGNI4
line 511
;511:		te->s.otherEntityNum = cl->sess.sessionTeam;
ADDRLP4 12
INDIRP4
CNSTI4 140
ADDP4
ADDRLP4 8
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
ASGNI4
line 512
;512:		te->r.svFlags |= SVF_BROADCAST;
ADDRLP4 40
ADDRLP4 12
INDIRP4
CNSTI4 212
ADDP4
ASGNP4
ADDRLP4 40
INDIRP4
ADDRLP4 40
INDIRP4
INDIRI4
CNSTI4 32
BORI4
ASGNI4
line 513
;513:	}
LABELV $273
line 516
;514:
;515:	// Ok, let's do the player loop, hand out the bonuses
;516:	for (i = 0; i < g_maxclients.integer; i++) {
ADDRLP4 4
CNSTI4 0
ASGNI4
ADDRGP4 $279
JUMPV
LABELV $276
line 517
;517:		player = &g_entities[i];
ADDRLP4 0
CNSTI4 624
ADDRLP4 4
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 518
;518:		if (!player->inuse)
ADDRLP4 0
INDIRP4
CNSTI4 308
ADDP4
INDIRI4
CNSTI4 0
NEI4 $281
line 519
;519:			continue;
ADDRGP4 $277
JUMPV
LABELV $281
line 521
;520:
;521:		if (player->client->sess.sessionTeam !=
ADDRLP4 36
CNSTI4 620
ASGNI4
ADDRLP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
ADDRLP4 36
INDIRI4
ADDP4
INDIRI4
ADDRLP4 8
INDIRP4
ADDRLP4 36
INDIRI4
ADDP4
INDIRI4
EQI4 $283
line 522
;522:			cl->sess.sessionTeam) {
line 523
;523:			player->client->pers.teamState.lasthurtcarrier = -5;
ADDRLP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 592
ADDP4
CNSTF4 3231711232
ASGNF4
line 524
;524:		} else if (player->client->sess.sessionTeam ==
ADDRGP4 $284
JUMPV
LABELV $283
ADDRLP4 40
CNSTI4 620
ASGNI4
ADDRLP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
ADDRLP4 40
INDIRI4
ADDP4
INDIRI4
ADDRLP4 8
INDIRP4
ADDRLP4 40
INDIRI4
ADDP4
INDIRI4
NEI4 $285
line 525
;525:			cl->sess.sessionTeam) {
line 526
;526:			if (player != other)
ADDRLP4 0
INDIRP4
CVPU4 4
ADDRFP4 4
INDIRP4
CVPU4 4
EQU4 $287
line 527
;527:				AddScore(player, CTF_TEAM_BONUS);
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 0
ARGI4
ADDRGP4 AddScore
CALLV
pop
LABELV $287
line 529
;528:			// award extra points for capture assists
;529:			if (player->client->pers.teamState.lastreturnedflag + 
ADDRLP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 596
ADDP4
INDIRF4
CNSTF4 1176256512
ADDF4
ADDRGP4 level+32
INDIRI4
CVIF4 4
LEF4 $289
line 530
;530:				CTF_RETURN_FLAG_ASSIST_TIMEOUT > level.time) {
line 531
;531:				PrintMsg( NULL, 
ADDRFP4 8
INDIRI4
ARGI4
ADDRLP4 44
ADDRGP4 TeamName
CALLP4
ASGNP4
CNSTP4 0
ARGP4
ADDRGP4 $292
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 508
ADDP4
ARGP4
ADDRLP4 44
INDIRP4
ARGP4
ADDRGP4 PrintMsg
CALLV
pop
line 535
;532:						"%s" S_COLOR_WHITE " gets an assist for returning the %s flag!\n", 
;533:						player->client->pers.netname,
;534:						TeamName(team));
;535:				AddScore (player, CTF_RETURN_FLAG_ASSIST_BONUS);
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 1
ARGI4
ADDRGP4 AddScore
CALLV
pop
line 536
;536:				other->client->pers.teamState.assists++;
ADDRLP4 48
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 580
ADDP4
ASGNP4
ADDRLP4 48
INDIRP4
ADDRLP4 48
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 537
;537:			}
LABELV $289
line 538
;538:			if (player->client->pers.teamState.lastfraggedcarrier + 
ADDRLP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 604
ADDP4
INDIRF4
CNSTF4 1176256512
ADDF4
ADDRGP4 level+32
INDIRI4
CVIF4 4
LEF4 $293
line 539
;539:				CTF_FRAG_CARRIER_ASSIST_TIMEOUT > level.time) {
line 540
;540:				PrintMsg( NULL, "%s" S_COLOR_WHITE " gets an assist for eliminating the %s flag carrier!\n", 
ADDRFP4 8
INDIRI4
ARGI4
ADDRLP4 44
ADDRGP4 OtherTeam
CALLI4
ASGNI4
ADDRLP4 44
INDIRI4
ARGI4
ADDRLP4 48
ADDRGP4 TeamName
CALLP4
ASGNP4
CNSTP4 0
ARGP4
ADDRGP4 $296
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 508
ADDP4
ARGP4
ADDRLP4 48
INDIRP4
ARGP4
ADDRGP4 PrintMsg
CALLV
pop
line 543
;541:						player->client->pers.netname,
;542:						TeamName(OtherTeam(team)));
;543:				AddScore(player, CTF_FRAG_CARRIER_ASSIST_BONUS);
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 2
ARGI4
ADDRGP4 AddScore
CALLV
pop
line 544
;544:				other->client->pers.teamState.assists++;
ADDRLP4 52
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 580
ADDP4
ASGNP4
ADDRLP4 52
INDIRP4
ADDRLP4 52
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 545
;545:			}
LABELV $293
line 546
;546:		}
LABELV $285
LABELV $284
line 547
;547:	}
LABELV $277
line 516
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $279
ADDRLP4 4
INDIRI4
ADDRGP4 g_maxclients+12
INDIRI4
LTI4 $276
line 548
;548:	Team_ResetFlags();
ADDRGP4 Team_ResetFlags
CALLV
pop
line 550
;549:
;550:	CalculateRanks( qfalse );
CNSTI4 0
ARGI4
ADDRGP4 CalculateRanks
CALLV
pop
line 552
;551:
;552:	return 0; // Do not respawn this automatically
CNSTI4 0
RETI4
LABELV $262
endproc Team_TouchOurFlag 56 16
export Team_TouchEnemyFlag
proc Team_TouchEnemyFlag 8 16
line 555
;553:}
;554:
;555:int Team_TouchEnemyFlag( gentity_t *ent, gentity_t *other, int team ) {
line 556
;556:	gclient_t *cl = other->client;
ADDRLP4 0
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
ASGNP4
line 559
;557:
;558:	// hey, its not our flag, pick it up
;559:	PrintMsg (NULL, "%s" S_COLOR_WHITE " got the %s flag!\n",
ADDRFP4 8
INDIRI4
ARGI4
ADDRLP4 4
ADDRGP4 TeamName
CALLP4
ASGNP4
CNSTP4 0
ARGP4
ADDRGP4 $298
ARGP4
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 508
ADDP4
ARGP4
ADDRLP4 4
INDIRP4
ARGP4
ADDRGP4 PrintMsg
CALLV
pop
line 561
;560:		other->client->pers.netname, TeamName(team));
;561:	AddScore(other, CTF_FLAG_BONUS);
ADDRFP4 4
INDIRP4
ARGP4
CNSTI4 0
ARGI4
ADDRGP4 AddScore
CALLV
pop
line 563
;562:
;563:	if (team == TEAM_RED)
ADDRFP4 8
INDIRI4
CNSTI4 1
NEI4 $299
line 564
;564:		cl->ps.powerups[PW_REDFLAG] = INT_MAX; // flags never expire
ADDRLP4 0
INDIRP4
CNSTI4 364
ADDP4
CNSTI4 2147483647
ASGNI4
ADDRGP4 $300
JUMPV
LABELV $299
line 566
;565:	else
;566:		cl->ps.powerups[PW_BLUEFLAG] = INT_MAX; // flags never expire
ADDRLP4 0
INDIRP4
CNSTI4 368
ADDP4
CNSTI4 2147483647
ASGNI4
LABELV $300
line 568
;567:
;568:	cl->pers.teamState.flagsince = level.time;
ADDRLP4 0
INDIRP4
CNSTI4 600
ADDP4
ADDRGP4 level+32
INDIRI4
CVIF4 4
ASGNF4
line 570
;569:
;570:	Team_SetFlagStatus( team, FLAG_TAKEN );
ADDRFP4 8
INDIRI4
ARGI4
CNSTI4 1
ARGI4
ADDRGP4 Team_SetFlagStatus
CALLV
pop
line 572
;571:	
;572:	return -1; // Do not respawn this automatically, but do delete it if it was FL_DROPPED
CNSTI4 -1
RETI4
LABELV $297
endproc Team_TouchEnemyFlag 8 16
export Pickup_Team
proc Pickup_Team 28 12
line 575
;573:}
;574:
;575:int Pickup_Team( gentity_t *ent, gentity_t *other ) {
line 577
;576:	int team;
;577:	gclient_t *cl = other->client;
ADDRLP4 4
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
ASGNP4
line 580
;578:	
;579:	// figure out what team this flag is
;580:	if (strcmp(ent->classname, "team_CTF_redflag") == 0)
ADDRFP4 0
INDIRP4
CNSTI4 312
ADDP4
INDIRP4
ARGP4
ADDRGP4 $182
ARGP4
ADDRLP4 8
ADDRGP4 strcmp
CALLI4
ASGNI4
ADDRLP4 8
INDIRI4
CNSTI4 0
NEI4 $303
line 581
;581:		team = TEAM_RED;
ADDRLP4 0
CNSTI4 1
ASGNI4
ADDRGP4 $304
JUMPV
LABELV $303
line 582
;582:	else if (strcmp(ent->classname, "team_CTF_blueflag") == 0)
ADDRFP4 0
INDIRP4
CNSTI4 312
ADDP4
INDIRP4
ARGP4
ADDRGP4 $184
ARGP4
ADDRLP4 12
ADDRGP4 strcmp
CALLI4
ASGNI4
ADDRLP4 12
INDIRI4
CNSTI4 0
NEI4 $305
line 583
;583:		team = TEAM_BLUE;
ADDRLP4 0
CNSTI4 2
ASGNI4
ADDRGP4 $306
JUMPV
LABELV $305
line 584
;584:	else {
line 585
;585:		PrintMsg ( other, "Don't know what team the flag is on.\n");
ADDRFP4 4
INDIRP4
ARGP4
ADDRGP4 $307
ARGP4
ADDRGP4 PrintMsg
CALLV
pop
line 586
;586:		return 0;
CNSTI4 0
RETI4
ADDRGP4 $302
JUMPV
LABELV $306
LABELV $304
line 589
;587:	}
;588:
;589:	return ((team == cl->sess.sessionTeam) ?
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 20
ADDRLP4 0
INDIRI4
ASGNI4
ADDRLP4 20
INDIRI4
ARGI4
ADDRLP4 20
INDIRI4
ADDRLP4 4
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
NEI4 $309
ADDRLP4 16
ADDRGP4 Team_TouchOurFlag
ASGNP4
ADDRGP4 $310
JUMPV
LABELV $309
ADDRLP4 16
ADDRGP4 Team_TouchEnemyFlag
ASGNP4
LABELV $310
ADDRLP4 24
ADDRLP4 16
INDIRP4
CALLI4
ASGNI4
ADDRLP4 24
INDIRI4
RETI4
LABELV $302
endproc Pickup_Team 28 12
export Team_GetLocation
proc Team_GetLocation 48 8
line 602
;590:		Team_TouchOurFlag : Team_TouchEnemyFlag)
;591:			(ent, other, team);
;592:}
;593:
;594:/*
;595:===========
;596:Team_GetLocation
;597:
;598:Report a location for the player. Uses placed nearby target_location entities
;599:============
;600:*/
;601:gentity_t *Team_GetLocation(gentity_t *ent)
;602:{
line 607
;603:	gentity_t		*eloc, *best;
;604:	float			bestlen, len;
;605:	vec3_t			origin;
;606:
;607:	best = NULL;
ADDRLP4 24
CNSTP4 0
ASGNP4
line 608
;608:	bestlen = 3*8192.0*8192.0;
ADDRLP4 20
CNSTF4 1296039936
ASGNF4
line 610
;609:
;610:	VectorCopy( ent->r.currentOrigin, origin );
ADDRLP4 4
ADDRFP4 0
INDIRP4
CNSTI4 276
ADDP4
INDIRB
ASGNB 12
line 612
;611:
;612:	for (eloc = level.locationHead; eloc; eloc = eloc->nextTrain) {
ADDRLP4 0
ADDRGP4 level+4280
INDIRP4
ASGNP4
ADDRGP4 $315
JUMPV
LABELV $312
line 613
;613:		len = ( origin[0] - eloc->r.currentOrigin[0] ) * ( origin[0] - eloc->r.currentOrigin[0] )
ADDRLP4 32
ADDRLP4 4
INDIRF4
ADDRLP4 0
INDIRP4
CNSTI4 276
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 36
ADDRLP4 0
INDIRP4
CNSTI4 280
ADDP4
INDIRF4
ASGNF4
ADDRLP4 40
ADDRLP4 0
INDIRP4
CNSTI4 284
ADDP4
INDIRF4
ASGNF4
ADDRLP4 16
ADDRLP4 32
INDIRF4
ADDRLP4 32
INDIRF4
MULF4
ADDRLP4 4+4
INDIRF4
ADDRLP4 36
INDIRF4
SUBF4
ADDRLP4 4+4
INDIRF4
ADDRLP4 36
INDIRF4
SUBF4
MULF4
ADDF4
ADDRLP4 4+8
INDIRF4
ADDRLP4 40
INDIRF4
SUBF4
ADDRLP4 4+8
INDIRF4
ADDRLP4 40
INDIRF4
SUBF4
MULF4
ADDF4
ASGNF4
line 617
;614:			+ ( origin[1] - eloc->r.currentOrigin[1] ) * ( origin[1] - eloc->r.currentOrigin[1] )
;615:			+ ( origin[2] - eloc->r.currentOrigin[2] ) * ( origin[2] - eloc->r.currentOrigin[2] );
;616:
;617:		if ( len > bestlen ) {
ADDRLP4 16
INDIRF4
ADDRLP4 20
INDIRF4
LEF4 $321
line 618
;618:			continue;
ADDRGP4 $313
JUMPV
LABELV $321
line 621
;619:		}
;620:
;621:		if ( !trap_InPVS( origin, eloc->r.currentOrigin ) ) {
ADDRLP4 4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 276
ADDP4
ARGP4
ADDRLP4 44
ADDRGP4 trap_InPVS
CALLI4
ASGNI4
ADDRLP4 44
INDIRI4
CNSTI4 0
NEI4 $323
line 622
;622:			continue;
ADDRGP4 $313
JUMPV
LABELV $323
line 625
;623:		}
;624:
;625:		bestlen = len;
ADDRLP4 20
ADDRLP4 16
INDIRF4
ASGNF4
line 626
;626:		best = eloc;
ADDRLP4 24
ADDRLP4 0
INDIRP4
ASGNP4
line 627
;627:	}
LABELV $313
line 612
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 392
ADDP4
INDIRP4
ASGNP4
LABELV $315
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $312
line 629
;628:
;629:	return best;
ADDRLP4 24
INDIRP4
RETP4
LABELV $311
endproc Team_GetLocation 48 8
export Team_GetLocationMsg
proc Team_GetLocationMsg 12 24
line 641
;630:}
;631:
;632:
;633:/*
;634:===========
;635:Team_GetLocation
;636:
;637:Report a location for the player. Uses placed nearby target_location entities
;638:============
;639:*/
;640:qboolean Team_GetLocationMsg(gentity_t *ent, char *loc, int loclen)
;641:{
line 644
;642:	gentity_t *best;
;643:
;644:	best = Team_GetLocation( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 4
ADDRGP4 Team_GetLocation
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 4
INDIRP4
ASGNP4
line 646
;645:	
;646:	if (!best)
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $326
line 647
;647:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $325
JUMPV
LABELV $326
line 649
;648:
;649:	if (best->count) {
ADDRLP4 0
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
CNSTI4 0
EQI4 $328
line 650
;650:		if (best->count < 0)
ADDRLP4 0
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
CNSTI4 0
GEI4 $330
line 651
;651:			best->count = 0;
ADDRLP4 0
INDIRP4
CNSTI4 572
ADDP4
CNSTI4 0
ASGNI4
LABELV $330
line 652
;652:		if (best->count > 7)
ADDRLP4 0
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
CNSTI4 7
LEI4 $332
line 653
;653:			best->count = 7;
ADDRLP4 0
INDIRP4
CNSTI4 572
ADDP4
CNSTI4 7
ASGNI4
LABELV $332
line 654
;654:		Com_sprintf(loc, loclen, "%c%c%s" S_COLOR_WHITE, Q_COLOR_ESCAPE, best->count + '0', best->message );
ADDRFP4 4
INDIRP4
ARGP4
ADDRFP4 8
INDIRI4
ARGI4
ADDRGP4 $334
ARGP4
CNSTI4 94
ARGI4
ADDRLP4 0
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
CNSTI4 48
ADDI4
ARGI4
ADDRLP4 0
INDIRP4
CNSTI4 448
ADDP4
INDIRP4
ARGP4
ADDRGP4 Com_sprintf
CALLV
pop
line 655
;655:	} else
ADDRGP4 $329
JUMPV
LABELV $328
line 656
;656:		Com_sprintf(loc, loclen, "%s", best->message);
ADDRFP4 4
INDIRP4
ARGP4
ADDRFP4 8
INDIRI4
ARGI4
ADDRGP4 $335
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 448
ADDP4
INDIRP4
ARGP4
ADDRGP4 Com_sprintf
CALLV
pop
LABELV $329
line 658
;657:
;658:	return qtrue;
CNSTI4 1
RETI4
LABELV $325
endproc Team_GetLocationMsg 12 24
export SelectRandomTeamSpawnPoint
proc SelectRandomTeamSpawnPoint 88 12
line 672
;659:}
;660:
;661:
;662:/*---------------------------------------------------------------------------*/
;663:
;664:/*
;665:================
;666:SelectRandomDeathmatchSpawnPoint
;667:
;668:go to a random point that doesn't telefrag
;669:================
;670:*/
;671:#define	MAX_TEAM_SPAWN_POINTS	16
;672:gentity_t *SelectRandomTeamSpawnPoint( gentity_t *ent, int teamstate, team_t team ) {
line 679
;673:	gentity_t	*spot;
;674:	int			count;
;675:	int			selection;
;676:	gentity_t	*spots[MAX_TEAM_SPAWN_POINTS];
;677:	char		*classname;
;678:
;679:	if (teamstate == TEAM_BEGIN||ent->s.number == borgQueenClientNum) {
ADDRFP4 4
INDIRI4
CNSTI4 0
EQI4 $339
ADDRFP4 0
INDIRP4
INDIRI4
ADDRGP4 borgQueenClientNum
INDIRI4
NEI4 $337
LABELV $339
line 680
;680:		if (team == TEAM_RED)
ADDRFP4 8
INDIRI4
CNSTI4 1
NEI4 $340
line 681
;681:			classname = "team_CTF_redplayer";
ADDRLP4 8
ADDRGP4 $342
ASGNP4
ADDRGP4 $338
JUMPV
LABELV $340
line 682
;682:		else if (team == TEAM_BLUE)
ADDRFP4 8
INDIRI4
CNSTI4 2
NEI4 $343
line 683
;683:			classname = "team_CTF_blueplayer";
ADDRLP4 8
ADDRGP4 $345
ASGNP4
ADDRGP4 $338
JUMPV
LABELV $343
line 685
;684:		else
;685:			return NULL;
CNSTP4 0
RETP4
ADDRGP4 $336
JUMPV
line 686
;686:	} else {
LABELV $337
line 687
;687:		if (team == TEAM_RED)
ADDRFP4 8
INDIRI4
CNSTI4 1
NEI4 $346
line 688
;688:			classname = "team_CTF_redspawn";
ADDRLP4 8
ADDRGP4 $348
ASGNP4
ADDRGP4 $347
JUMPV
LABELV $346
line 689
;689:		else if (team == TEAM_BLUE)
ADDRFP4 8
INDIRI4
CNSTI4 2
NEI4 $349
line 690
;690:			classname = "team_CTF_bluespawn";
ADDRLP4 8
ADDRGP4 $351
ASGNP4
ADDRGP4 $350
JUMPV
LABELV $349
line 692
;691:		else
;692:			return NULL;
CNSTP4 0
RETP4
ADDRGP4 $336
JUMPV
LABELV $350
LABELV $347
line 693
;693:	}
LABELV $338
line 694
;694:	count = 0;
ADDRLP4 4
CNSTI4 0
ASGNI4
line 696
;695:
;696:	spot = NULL;
ADDRLP4 0
CNSTP4 0
ASGNP4
ADDRGP4 $353
JUMPV
LABELV $352
line 698
;697:
;698:	while ((spot = G_Find (spot, FOFS(classname), classname)) != NULL) {
line 699
;699:		if ( teamstate == TEAM_BEGIN || ent->s.number == borgQueenClientNum ) {//just starting
ADDRFP4 4
INDIRI4
CNSTI4 0
EQI4 $357
ADDRFP4 0
INDIRP4
INDIRI4
ADDRGP4 borgQueenClientNum
INDIRI4
NEI4 $355
LABELV $357
line 700
;700:			if ( spot->s.number == borgQueenStartPoint ) {
ADDRLP4 0
INDIRP4
INDIRI4
ADDRGP4 borgQueenStartPoint
INDIRI4
NEI4 $358
line 702
;701:				//Borg queen only
;702:				if ( ent->s.number != borgQueenClientNum ) {
ADDRFP4 0
INDIRP4
INDIRI4
ADDRGP4 borgQueenClientNum
INDIRI4
EQI4 $356
line 703
;703:					continue;
ADDRGP4 $353
JUMPV
line 705
;704:				}
;705:			}
LABELV $358
line 706
;706:			else if ( borgQueenStartPoint != ENTITYNUM_NONE && ent->s.number == borgQueenClientNum ) {
ADDRGP4 borgQueenStartPoint
INDIRI4
CNSTI4 1023
EQI4 $356
ADDRFP4 0
INDIRP4
INDIRI4
ADDRGP4 borgQueenClientNum
INDIRI4
NEI4 $356
line 708
;707:				//she must start on the right spot
;708:				continue;
ADDRGP4 $353
JUMPV
line 710
;709:			}
;710:		}
LABELV $355
line 711
;711:		else {
line 712
;712:			if ( spot->spawnflags & 1 ) {
ADDRLP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
EQI4 $364
line 714
;713:				//not an active spawn point
;714:				continue;
ADDRGP4 $353
JUMPV
LABELV $364
line 716
;715:			}
;716:		}
LABELV $356
line 717
;717:		if ( SpotWouldTelefrag( spot ) ) {
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 80
ADDRGP4 SpotWouldTelefrag
CALLI4
ASGNI4
ADDRLP4 80
INDIRI4
CNSTI4 0
EQI4 $366
line 718
;718:			continue;
ADDRGP4 $353
JUMPV
LABELV $366
line 720
;719:		}
;720:		spots[ count ] = spot;
ADDRLP4 4
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 12
ADDP4
ADDRLP4 0
INDIRP4
ASGNP4
line 721
;721:		if (++count == MAX_TEAM_SPAWN_POINTS)
ADDRLP4 84
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 4
ADDRLP4 84
INDIRI4
ASGNI4
ADDRLP4 84
INDIRI4
CNSTI4 16
NEI4 $368
line 722
;722:			break;
ADDRGP4 $354
JUMPV
LABELV $368
line 723
;723:	}
LABELV $353
line 698
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 312
ARGI4
ADDRLP4 8
INDIRP4
ARGP4
ADDRLP4 80
ADDRGP4 G_Find
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 80
INDIRP4
ASGNP4
ADDRLP4 80
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $352
LABELV $354
line 725
;724:
;725:	if ( !count ) {	// no spots that won't telefrag
ADDRLP4 4
INDIRI4
CNSTI4 0
NEI4 $370
line 726
;726:		return G_Find( NULL, FOFS(classname), classname);
CNSTP4 0
ARGP4
CNSTI4 312
ARGI4
ADDRLP4 8
INDIRP4
ARGP4
ADDRLP4 84
ADDRGP4 G_Find
CALLP4
ASGNP4
ADDRLP4 84
INDIRP4
RETP4
ADDRGP4 $336
JUMPV
LABELV $370
line 729
;727:	}
;728:
;729:	selection = rand() % count;
ADDRLP4 84
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 76
ADDRLP4 84
INDIRI4
ADDRLP4 4
INDIRI4
MODI4
ASGNI4
line 730
;730:	return spots[ selection ];
ADDRLP4 76
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 12
ADDP4
INDIRP4
RETP4
LABELV $336
endproc SelectRandomTeamSpawnPoint 88 12
export SelectCTFSpawnPoint
proc SelectCTFSpawnPoint 12 12
line 740
;731:}
;732:
;733:
;734:/*
;735:===========
;736:SelectCTFSpawnPoint
;737:
;738:============
;739:*/
;740:gentity_t *SelectCTFSpawnPoint ( gentity_t *ent, team_t team, int teamstate, vec3_t origin, vec3_t angles ) {
line 743
;741:	gentity_t	*spot;
;742:
;743:	spot = SelectRandomTeamSpawnPoint ( ent, teamstate, team );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 8
INDIRI4
ARGI4
ADDRFP4 4
INDIRI4
ARGI4
ADDRLP4 4
ADDRGP4 SelectRandomTeamSpawnPoint
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 4
INDIRP4
ASGNP4
line 745
;744:
;745:	if (!spot) {
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $373
line 746
;746:		return SelectSpawnPoint( vec3_origin, origin, angles );
ADDRGP4 vec3_origin
ARGP4
ADDRFP4 12
INDIRP4
ARGP4
ADDRFP4 16
INDIRP4
ARGP4
ADDRLP4 8
ADDRGP4 SelectSpawnPoint
CALLP4
ASGNP4
ADDRLP4 8
INDIRP4
RETP4
ADDRGP4 $372
JUMPV
LABELV $373
line 749
;747:	}
;748:
;749:	VectorCopy (spot->s.origin, origin);
ADDRFP4 12
INDIRP4
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
INDIRB
ASGNB 12
line 750
;750:	origin[2] += 9;
ADDRLP4 8
ADDRFP4 12
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRF4
CNSTF4 1091567616
ADDF4
ASGNF4
line 751
;751:	VectorCopy (spot->s.angles, angles);
ADDRFP4 16
INDIRP4
ADDRLP4 0
INDIRP4
CNSTI4 116
ADDP4
INDIRB
ASGNB 12
line 753
;752:
;753:	return spot;
ADDRLP4 0
INDIRP4
RETP4
LABELV $372
endproc SelectCTFSpawnPoint 12 12
proc SortClients 0 0
line 757
;754:}
;755:
;756:/*---------------------------------------------------------------------------*/
;757:static int QDECL SortClients( const void *a, const void *b ) {
line 758
;758:	return *(int *)a - *(int *)b;
ADDRFP4 0
INDIRP4
INDIRI4
ADDRFP4 4
INDIRP4
INDIRI4
SUBI4
RETI4
LABELV $375
endproc SortClients 0 0
export CheckHealthInfoMessage
proc CheckHealthInfoMessage 3520 20
line 773
;759:}
;760:
;761:/*
;762:==================
;763:CheckHealthInfoMessage
;764:
;765:Sends Health Changes to proper clients
;766:
;767:Format:
;768:	clientNum health
;769:
;770:==================
;771:*/
;772:void CheckHealthInfoMessage( void ) 
;773:{
line 785
;774:	char		entry[1024];
;775:	char		string[1400];
;776:	int			stringlength;
;777:	int			i, j, t;
;778:	gentity_t	*player, *ent;
;779:	int			sendToCnt, cnt, sentCnt;
;780:	int			h;
;781:	int			clients[MAX_CLIENTS];
;782:	int			sendToClients[MAX_CLIENTS];
;783:
;784:	//only send this to medics and spectators
;785:	for (i = 0, sendToCnt = 0; i < g_maxclients.integer; i++) 
ADDRLP4 3488
CNSTI4 0
ASGNI4
ADDRLP4 0
ADDRLP4 3488
INDIRI4
ASGNI4
ADDRLP4 3484
ADDRLP4 3488
INDIRI4
ASGNI4
ADDRGP4 $380
JUMPV
LABELV $377
line 786
;786:	{
line 787
;787:		if ( level.clients[i].pers.connected == CON_CONNECTED && level.clients[i].ps.stats[STAT_HEALTH] > 0 &&//make sure they've actually spawned in already
ADDRLP4 3492
CNSTI4 1320
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 level
INDIRP4
ADDP4
ASGNP4
ADDRLP4 3492
INDIRP4
CNSTI4 468
ADDP4
INDIRI4
CNSTI4 2
NEI4 $386
ADDRLP4 3492
INDIRP4
CNSTI4 204
ADDP4
INDIRI4
CNSTI4 0
LEI4 $386
ADDRLP4 3492
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
CNSTI4 3
EQI4 $384
LABELV $386
CNSTI4 1320
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 level
INDIRP4
ADDP4
CNSTI4 624
ADDP4
INDIRI4
CNSTI4 5
NEI4 $382
LABELV $384
line 789
;788:			level.clients[i].sess.sessionTeam == TEAM_SPECTATOR || level.clients[i].sess.sessionClass == PC_MEDIC )
;789:		{
line 790
;790:			sendToClients[sendToCnt++] = i;
ADDRLP4 3496
ADDRLP4 3484
INDIRI4
ASGNI4
ADDRLP4 3484
ADDRLP4 3496
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 3496
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 2972
ADDP4
ADDRLP4 0
INDIRI4
ASGNI4
line 791
;791:		}
LABELV $382
line 792
;792:	}
LABELV $378
line 785
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $380
ADDRLP4 0
INDIRI4
ADDRGP4 g_maxclients+12
INDIRI4
LTI4 $377
line 794
;793:
;794:	if ( !sendToCnt )
ADDRLP4 3484
INDIRI4
CNSTI4 0
NEI4 $387
line 795
;795:	{//no-one to send to
line 796
;796:		return;
ADDRGP4 $376
JUMPV
LABELV $387
line 800
;797:	}
;798:
;799:	//only send those clients whose health has changed this cycle
;800:	for (i = 0, cnt = 0; i < g_maxclients.integer; i++) 
ADDRLP4 3492
CNSTI4 0
ASGNI4
ADDRLP4 0
ADDRLP4 3492
INDIRI4
ASGNI4
ADDRLP4 2964
ADDRLP4 3492
INDIRI4
ASGNI4
ADDRGP4 $392
JUMPV
LABELV $389
line 801
;801:	{
line 802
;802:		player = g_entities + i;
ADDRLP4 4
CNSTI4 624
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 803
;803:		if ( player->inuse && player->old_health != player->health && ( player->health > 0 || player->old_health > 0 )) 
ADDRLP4 3500
CNSTI4 0
ASGNI4
ADDRLP4 4
INDIRP4
CNSTI4 308
ADDP4
INDIRI4
ADDRLP4 3500
INDIRI4
EQI4 $394
ADDRLP4 3504
ADDRLP4 4
INDIRP4
CNSTI4 544
ADDP4
INDIRI4
ASGNI4
ADDRLP4 3508
ADDRLP4 4
INDIRP4
CNSTI4 540
ADDP4
INDIRI4
ASGNI4
ADDRLP4 3504
INDIRI4
ADDRLP4 3508
INDIRI4
EQI4 $394
ADDRLP4 3508
INDIRI4
ADDRLP4 3500
INDIRI4
GTI4 $396
ADDRLP4 3504
INDIRI4
ADDRLP4 3500
INDIRI4
LEI4 $394
LABELV $396
line 804
;804:		{
line 805
;805:			clients[cnt++] = i;
ADDRLP4 3512
ADDRLP4 2964
INDIRI4
ASGNI4
ADDRLP4 2964
ADDRLP4 3512
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 3512
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 2448
ADDP4
ADDRLP4 0
INDIRI4
ASGNI4
line 806
;806:			player->old_health = player->health;
ADDRLP4 4
INDIRP4
CNSTI4 544
ADDP4
ADDRLP4 4
INDIRP4
CNSTI4 540
ADDP4
INDIRI4
ASGNI4
line 807
;807:		}
LABELV $394
line 808
;808:	}
LABELV $390
line 800
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $392
ADDRLP4 0
INDIRI4
ADDRGP4 g_maxclients+12
INDIRI4
LTI4 $389
line 810
;809:
;810:	if ( !cnt )
ADDRLP4 2964
INDIRI4
CNSTI4 0
NEI4 $397
line 811
;811:	{//no-one relevant changed health
line 812
;812:		return;
ADDRGP4 $376
JUMPV
LABELV $397
line 815
;813:	}
;814:
;815:	for ( t = 0; t < sendToCnt; t++ )
ADDRLP4 2968
CNSTI4 0
ASGNI4
ADDRGP4 $402
JUMPV
LABELV $399
line 816
;816:	{
line 817
;817:		ent = g_entities + sendToClients[t];
ADDRLP4 1040
CNSTI4 624
ADDRLP4 2968
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 2972
ADDP4
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 818
;818:		sentCnt = 0;
ADDRLP4 2960
CNSTI4 0
ASGNI4
line 821
;819:
;820:		// send the latest information on all clients
;821:		string[0] = 0;
ADDRLP4 1048
CNSTI1 0
ASGNI1
line 822
;822:		stringlength = 0;
ADDRLP4 1036
CNSTI4 0
ASGNI4
line 824
;823:
;824:		for (i = 0; i < cnt; i++) 
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $406
JUMPV
LABELV $403
line 825
;825:		{
line 826
;826:			player = g_entities + clients[i];
ADDRLP4 4
CNSTI4 624
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 2448
ADDP4
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 827
;827:			if ( ent->client->sess.sessionTeam == player->client->sess.sessionTeam && ent->client->pers.teamInfo )
ADDRLP4 3496
CNSTI4 304
ASGNI4
ADDRLP4 3500
ADDRLP4 1040
INDIRP4
ADDRLP4 3496
INDIRI4
ADDP4
INDIRP4
ASGNP4
ADDRLP4 3504
CNSTI4 620
ASGNI4
ADDRLP4 3500
INDIRP4
ADDRLP4 3504
INDIRI4
ADDP4
INDIRI4
ADDRLP4 4
INDIRP4
ADDRLP4 3496
INDIRI4
ADDP4
INDIRP4
ADDRLP4 3504
INDIRI4
ADDP4
INDIRI4
NEI4 $407
ADDRLP4 3500
INDIRP4
CNSTI4 616
ADDP4
INDIRI4
CNSTI4 0
EQI4 $407
line 828
;828:			{//already sent this player's health to this client because teaminfo is on
line 829
;829:				continue;
ADDRGP4 $404
JUMPV
LABELV $407
line 831
;830:			}
;831:			if ( ent == player )
ADDRLP4 1040
INDIRP4
CVPU4 4
ADDRLP4 4
INDIRP4
CVPU4 4
NEU4 $409
line 832
;832:			{//don't send the ent his own health
line 833
;833:				continue;
ADDRGP4 $404
JUMPV
LABELV $409
line 837
;834:			}
;835:
;836:			//send this one
;837:			sentCnt++;
ADDRLP4 2960
ADDRLP4 2960
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 839
;838:
;839:			h = player->health;
ADDRLP4 1032
ADDRLP4 4
INDIRP4
CNSTI4 540
ADDP4
INDIRI4
ASGNI4
line 840
;840:			if (h < 0) h = 0;
ADDRLP4 1032
INDIRI4
CNSTI4 0
GEI4 $411
ADDRLP4 1032
CNSTI4 0
ASGNI4
LABELV $411
line 842
;841:
;842:			Com_sprintf (entry, sizeof(entry), " %i %i", clients[i], h);
ADDRLP4 8
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 $413
ARGP4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 2448
ADDP4
INDIRI4
ARGI4
ADDRLP4 1032
INDIRI4
ARGI4
ADDRGP4 Com_sprintf
CALLV
pop
line 843
;843:			j = strlen(entry);
ADDRLP4 8
ARGP4
ADDRLP4 3508
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 1044
ADDRLP4 3508
INDIRI4
ASGNI4
line 844
;844:			if (stringlength + j > sizeof(string))
ADDRLP4 1036
INDIRI4
ADDRLP4 1044
INDIRI4
ADDI4
CVIU4 4
CNSTU4 1400
LEU4 $414
line 845
;845:				break;
ADDRGP4 $405
JUMPV
LABELV $414
line 846
;846:			strcpy (string + stringlength, entry);
ADDRLP4 1036
INDIRI4
ADDRLP4 1048
ADDP4
ARGP4
ADDRLP4 8
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 847
;847:			stringlength += j;
ADDRLP4 1036
ADDRLP4 1036
INDIRI4
ADDRLP4 1044
INDIRI4
ADDI4
ASGNI4
line 848
;848:		}
LABELV $404
line 824
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $406
ADDRLP4 0
INDIRI4
ADDRLP4 2964
INDIRI4
LTI4 $403
LABELV $405
line 850
;849:
;850:		if ( sentCnt )
ADDRLP4 2960
INDIRI4
CNSTI4 0
EQI4 $416
line 851
;851:		{
line 852
;852:			trap_SendServerCommand( sendToClients[t], va("hinfo %i%s", sentCnt, string) );
ADDRGP4 $418
ARGP4
ADDRLP4 2960
INDIRI4
ARGI4
ADDRLP4 1048
ARGP4
ADDRLP4 3496
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 2968
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 2972
ADDP4
INDIRI4
ARGI4
ADDRLP4 3496
INDIRP4
ARGP4
ADDRGP4 trap_SendServerCommand
CALLV
pop
line 853
;853:		}
LABELV $416
line 854
;854:	}
LABELV $400
line 815
ADDRLP4 2968
ADDRLP4 2968
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $402
ADDRLP4 2968
INDIRI4
ADDRLP4 3484
INDIRI4
LTI4 $399
line 855
;855:}
LABELV $376
endproc CheckHealthInfoMessage 3520 20
export TeamplayInfoMessage
proc TeamplayInfoMessage 2516 36
line 866
;856:
;857:/*
;858:==================
;859:TeamplayLocationsMessage
;860:
;861:Format:
;862:	clientNum location health armor weapon powerups
;863:
;864:==================
;865:*/
;866:void TeamplayInfoMessage( gentity_t *ent ) {
line 876
;867:	char		entry[1024];
;868:	char		string[1400];
;869:	int			stringlength;
;870:	int			i, j;
;871:	gentity_t	*player;
;872:	int			cnt;
;873:	int			h, a;
;874:	int			clients[TEAM_MAXOVERLAY];
;875:
;876:	if ( ! ent->client->pers.teamInfo )
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 616
ADDP4
INDIRI4
CNSTI4 0
NEI4 $420
line 877
;877:		return;
ADDRGP4 $419
JUMPV
LABELV $420
line 880
;878:
;879:	//don't bother sending during intermission?
;880:	if ( level.intermissiontime )
ADDRGP4 level+4236
INDIRI4
CNSTI4 0
EQI4 $422
line 881
;881:		return;
ADDRGP4 $419
JUMPV
LABELV $422
line 886
;882:
;883:	// figure out what client should be on the display
;884:	// we are limited to 8, but we want to use the top eight players
;885:	// but in client order (so they don't keep changing position on the overlay)
;886:	for (i = 0, cnt = 0; i < g_maxclients.integer && cnt < TEAM_MAXOVERLAY; i++) {
ADDRLP4 2484
CNSTI4 0
ASGNI4
ADDRLP4 4
ADDRLP4 2484
INDIRI4
ASGNI4
ADDRLP4 8
ADDRLP4 2484
INDIRI4
ASGNI4
ADDRGP4 $428
JUMPV
LABELV $425
line 887
;887:		player = g_entities + level.sortedClients[i];
ADDRLP4 0
CNSTI4 624
ADDRLP4 4
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 level+88
ADDP4
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 888
;888:		if (player->inuse && player->client->sess.sessionTeam == 
ADDRLP4 0
INDIRP4
CNSTI4 308
ADDP4
INDIRI4
CNSTI4 0
EQI4 $431
ADDRLP4 2492
CNSTI4 304
ASGNI4
ADDRLP4 2496
CNSTI4 620
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 2492
INDIRI4
ADDP4
INDIRP4
ADDRLP4 2496
INDIRI4
ADDP4
INDIRI4
ADDRFP4 0
INDIRP4
ADDRLP4 2492
INDIRI4
ADDP4
INDIRP4
ADDRLP4 2496
INDIRI4
ADDP4
INDIRI4
NEI4 $431
line 889
;889:			ent->client->sess.sessionTeam ) {
line 890
;890:			clients[cnt++] = level.sortedClients[i];
ADDRLP4 2500
ADDRLP4 8
INDIRI4
ASGNI4
ADDRLP4 8
ADDRLP4 2500
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 2504
CNSTI4 2
ASGNI4
ADDRLP4 2500
INDIRI4
ADDRLP4 2504
INDIRI4
LSHI4
ADDRLP4 2452
ADDP4
ADDRLP4 4
INDIRI4
ADDRLP4 2504
INDIRI4
LSHI4
ADDRGP4 level+88
ADDP4
INDIRI4
ASGNI4
line 891
;891:		}
LABELV $431
line 892
;892:	}
LABELV $426
line 886
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $428
ADDRLP4 4
INDIRI4
ADDRGP4 g_maxclients+12
INDIRI4
GEI4 $434
ADDRLP4 8
INDIRI4
CNSTI4 8
LTI4 $425
LABELV $434
line 895
;893:
;894:	// We have the top eight players, sort them by clientNum
;895:	qsort( clients, cnt, sizeof( clients[0] ), SortClients );
ADDRLP4 2452
ARGP4
ADDRLP4 8
INDIRI4
ARGI4
CNSTI4 4
ARGI4
ADDRGP4 SortClients
ARGP4
ADDRGP4 qsort
CALLV
pop
line 898
;896:
;897:	// send the latest information on all clients
;898:	string[0] = 0;
ADDRLP4 1052
CNSTI1 0
ASGNI1
line 899
;899:	stringlength = 0;
ADDRLP4 1044
CNSTI4 0
ASGNI4
line 901
;900:
;901:	for (i = 0, cnt = 0; i < g_maxclients.integer && cnt < TEAM_MAXOVERLAY; i++) {
ADDRLP4 2488
CNSTI4 0
ASGNI4
ADDRLP4 4
ADDRLP4 2488
INDIRI4
ASGNI4
ADDRLP4 8
ADDRLP4 2488
INDIRI4
ASGNI4
ADDRGP4 $438
JUMPV
LABELV $435
line 902
;902:		player = g_entities + i;
ADDRLP4 0
CNSTI4 624
ADDRLP4 4
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 903
;903:		if (player->inuse && player->client->sess.sessionTeam == 
ADDRLP4 0
INDIRP4
CNSTI4 308
ADDP4
INDIRI4
CNSTI4 0
EQI4 $440
ADDRLP4 2496
CNSTI4 304
ASGNI4
ADDRLP4 2500
CNSTI4 620
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 2496
INDIRI4
ADDP4
INDIRP4
ADDRLP4 2500
INDIRI4
ADDP4
INDIRI4
ADDRFP4 0
INDIRP4
ADDRLP4 2496
INDIRI4
ADDP4
INDIRP4
ADDRLP4 2500
INDIRI4
ADDP4
INDIRI4
NEI4 $440
line 904
;904:			ent->client->sess.sessionTeam ) {
line 906
;905:
;906:			h = player->client->ps.stats[STAT_HEALTH];
ADDRLP4 1036
ADDRLP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 204
ADDP4
INDIRI4
ASGNI4
line 907
;907:			a = player->client->ps.stats[STAT_ARMOR];
ADDRLP4 1040
ADDRLP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 216
ADDP4
INDIRI4
ASGNI4
line 908
;908:			if (h < 0) h = 0;
ADDRLP4 1036
INDIRI4
CNSTI4 0
GEI4 $442
ADDRLP4 1036
CNSTI4 0
ASGNI4
LABELV $442
line 909
;909:			if (a < 0) a = 0;
ADDRLP4 1040
INDIRI4
CNSTI4 0
GEI4 $444
ADDRLP4 1040
CNSTI4 0
ASGNI4
LABELV $444
line 911
;910:
;911:			Com_sprintf (entry, sizeof(entry),
ADDRLP4 12
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 $446
ARGP4
ADDRLP4 4
INDIRI4
ARGI4
ADDRLP4 2508
ADDRLP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
ASGNP4
ADDRLP4 2508
INDIRP4
CNSTI4 556
ADDP4
INDIRI4
ARGI4
ADDRLP4 1036
INDIRI4
ARGI4
ADDRLP4 1040
INDIRI4
ARGI4
ADDRLP4 2508
INDIRP4
CNSTI4 160
ADDP4
INDIRI4
ARGI4
ADDRLP4 0
INDIRP4
CNSTI4 188
ADDP4
INDIRI4
ARGI4
ADDRGP4 Com_sprintf
CALLV
pop
line 916
;912:				" %i %i %i %i %i %i", 
;913://				level.sortedClients[i], player->client->pers.teamState.location, h, a, 
;914:				i, player->client->pers.teamState.location, h, a, 
;915:				player->client->ps.weapon, player->s.powerups);
;916:			j = strlen(entry);
ADDRLP4 12
ARGP4
ADDRLP4 2512
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 1048
ADDRLP4 2512
INDIRI4
ASGNI4
line 917
;917:			if (stringlength + j > sizeof(string))
ADDRLP4 1044
INDIRI4
ADDRLP4 1048
INDIRI4
ADDI4
CVIU4 4
CNSTU4 1400
LEU4 $447
line 918
;918:				break;
ADDRGP4 $437
JUMPV
LABELV $447
line 919
;919:			strcpy (string + stringlength, entry);
ADDRLP4 1044
INDIRI4
ADDRLP4 1052
ADDP4
ARGP4
ADDRLP4 12
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 920
;920:			stringlength += j;
ADDRLP4 1044
ADDRLP4 1044
INDIRI4
ADDRLP4 1048
INDIRI4
ADDI4
ASGNI4
line 921
;921:			cnt++;
ADDRLP4 8
ADDRLP4 8
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 922
;922:		}
LABELV $440
line 923
;923:	}
LABELV $436
line 901
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $438
ADDRLP4 4
INDIRI4
ADDRGP4 g_maxclients+12
INDIRI4
GEI4 $449
ADDRLP4 8
INDIRI4
CNSTI4 8
LTI4 $435
LABELV $449
LABELV $437
line 925
;924:
;925:	trap_SendServerCommand( ent-g_entities, va("tinfo %i%s", cnt, string) );
ADDRGP4 $450
ARGP4
ADDRLP4 8
INDIRI4
ARGI4
ADDRLP4 1052
ARGP4
ADDRLP4 2492
ADDRGP4 va
CALLP4
ASGNP4
ADDRFP4 0
INDIRP4
CVPU4 4
ADDRGP4 g_entities
CVPU4 4
SUBU4
CVUI4 4
CNSTI4 624
DIVI4
ARGI4
ADDRLP4 2492
INDIRP4
ARGP4
ADDRGP4 trap_SendServerCommand
CALLV
pop
line 926
;926:}
LABELV $419
endproc TeamplayInfoMessage 2516 36
export CheckTeamStatus
proc CheckTeamStatus 24 4
line 929
;927:
;928:void CheckTeamStatus(void)
;929:{
line 933
;930:	int i;
;931:	gentity_t *loc, *ent;
;932:
;933:	if (level.time - level.lastTeamLocationTime > TEAM_LOCATION_UPDATE_TIME) {
ADDRGP4 level+32
INDIRI4
ADDRGP4 level+64
INDIRI4
SUBI4
CNSTI4 1000
LEI4 $452
line 935
;934:
;935:		level.lastTeamLocationTime = level.time;
ADDRGP4 level+64
ADDRGP4 level+32
INDIRI4
ASGNI4
line 937
;936:
;937:		for (i = 0; i < g_maxclients.integer; i++) {
ADDRLP4 4
CNSTI4 0
ASGNI4
ADDRGP4 $461
JUMPV
LABELV $458
line 938
;938:			ent = g_entities + i;
ADDRLP4 0
CNSTI4 624
ADDRLP4 4
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 939
;939:			if (ent->inuse && 
ADDRLP4 0
INDIRP4
CNSTI4 308
ADDP4
INDIRI4
CNSTI4 0
EQI4 $463
ADDRLP4 16
ADDRLP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
ASGNI4
ADDRLP4 16
INDIRI4
CNSTI4 1
EQI4 $465
ADDRLP4 16
INDIRI4
CNSTI4 2
NEI4 $463
LABELV $465
line 941
;940:				(ent->client->sess.sessionTeam == TEAM_RED ||
;941:				ent->client->sess.sessionTeam == TEAM_BLUE)) {
line 942
;942:				loc = Team_GetLocation( ent );
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 20
ADDRGP4 Team_GetLocation
CALLP4
ASGNP4
ADDRLP4 8
ADDRLP4 20
INDIRP4
ASGNP4
line 943
;943:				if (loc)
ADDRLP4 8
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $466
line 944
;944:					ent->client->pers.teamState.location = loc->health;
ADDRLP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 556
ADDP4
ADDRLP4 8
INDIRP4
CNSTI4 540
ADDP4
INDIRI4
ASGNI4
ADDRGP4 $467
JUMPV
LABELV $466
line 946
;945:				else
;946:					ent->client->pers.teamState.location = 0;
ADDRLP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 556
ADDP4
CNSTI4 0
ASGNI4
LABELV $467
line 947
;947:			}
LABELV $463
line 948
;948:		}
LABELV $459
line 937
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $461
ADDRLP4 4
INDIRI4
ADDRGP4 g_maxclients+12
INDIRI4
LTI4 $458
line 950
;949:
;950:		for (i = 0; i < g_maxclients.integer; i++) {
ADDRLP4 4
CNSTI4 0
ASGNI4
ADDRGP4 $471
JUMPV
LABELV $468
line 951
;951:			ent = g_entities + i;
ADDRLP4 0
CNSTI4 624
ADDRLP4 4
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 952
;952:			if (ent->inuse && 
ADDRLP4 0
INDIRP4
CNSTI4 308
ADDP4
INDIRI4
CNSTI4 0
EQI4 $473
ADDRLP4 16
ADDRLP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
ASGNI4
ADDRLP4 16
INDIRI4
CNSTI4 1
EQI4 $475
ADDRLP4 16
INDIRI4
CNSTI4 2
NEI4 $473
LABELV $475
line 954
;953:				(ent->client->sess.sessionTeam == TEAM_RED ||
;954:				ent->client->sess.sessionTeam == TEAM_BLUE)) {
line 955
;955:				TeamplayInfoMessage( ent );
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 TeamplayInfoMessage
CALLV
pop
line 956
;956:			}
LABELV $473
line 957
;957:		}
LABELV $469
line 950
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $471
ADDRLP4 4
INDIRI4
ADDRGP4 g_maxclients+12
INDIRI4
LTI4 $468
line 959
;958:
;959:		CheckHealthInfoMessage();
ADDRGP4 CheckHealthInfoMessage
CALLV
pop
line 960
;960:	}
LABELV $452
line 961
;961:}
LABELV $451
endproc CheckTeamStatus 24 4
export SP_team_CTF_redplayer
proc SP_team_CTF_redplayer 0 0
line 970
;962:
;963:/*-----------------------------------------------------------------*/
;964:
;965:/*QUAKED team_CTF_redplayer (1 0 0) (-16 -16 -16) (16 16 32) BORGQUEEN
;966:Only in CTF games.  Red players spawn here at game start.
;967:
;968:BORGQUEEN - The player that is the Borg Queen will spawn here
;969:*/
;970:void SP_team_CTF_redplayer( gentity_t *ent ) {
line 971
;971:	if ( ent->spawnflags & 1 )
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
EQI4 $477
line 972
;972:	{
line 973
;973:		initialBorgTeam = TEAM_RED;
ADDRGP4 initialBorgTeam
CNSTI4 1
ASGNI4
line 974
;974:		borgQueenStartPoint = ent->s.number;
ADDRGP4 borgQueenStartPoint
ADDRFP4 0
INDIRP4
INDIRI4
ASGNI4
line 975
;975:	}
LABELV $477
line 976
;976:}
LABELV $476
endproc SP_team_CTF_redplayer 0 0
export SP_team_CTF_blueplayer
proc SP_team_CTF_blueplayer 0 0
line 984
;977:
;978:
;979:/*QUAKED team_CTF_blueplayer (0 0 1) (-16 -16 -16) (16 16 32) BORGQUEEN
;980:Only in CTF games.  Blue players spawn here at game start.
;981:
;982:BORGQUEEN - The player that is the Borg Queen will spawn here
;983:*/
;984:void SP_team_CTF_blueplayer( gentity_t *ent ) {
line 985
;985:	if ( ent->spawnflags & 1 )
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
EQI4 $480
line 986
;986:	{
line 987
;987:		initialBorgTeam = TEAM_BLUE;
ADDRGP4 initialBorgTeam
CNSTI4 2
ASGNI4
line 988
;988:		borgQueenStartPoint = ent->s.number;
ADDRGP4 borgQueenStartPoint
ADDRFP4 0
INDIRP4
INDIRI4
ASGNI4
line 989
;989:	}
LABELV $480
line 990
;990:}
LABELV $479
endproc SP_team_CTF_blueplayer 0 0
export spawnpoint_toggle_active
proc spawnpoint_toggle_active 4 0
line 994
;991:
;992:
;993:void spawnpoint_toggle_active( gentity_t *ent, gentity_t *other, gentity_t *activator )
;994:{
line 995
;995:	ent->spawnflags ^= 1;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRI4
CNSTI4 1
BXORI4
ASGNI4
line 996
;996:}
LABELV $482
endproc spawnpoint_toggle_active 4 0
export SP_team_CTF_redspawn
proc SP_team_CTF_redspawn 0 0
line 1005
;997:/*QUAKED team_CTF_redspawn (1 0 0) (-16 -16 -24) (16 16 32) STARTOFF
;998:potential spawning position for red team in CTF games, AFTER game start
;999:Targets will be fired when someone spawns in on them.
;1000:
;1001:STARTOFF - won't be considered as a spawn point until used
;1002:
;1003:targetname - when used, toggles between active and incative spawn point
;1004:*/
;1005:void SP_team_CTF_redspawn(gentity_t *ent) {
line 1006
;1006:	if ( ent->targetname )
ADDRFP4 0
INDIRP4
CNSTI4 468
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $484
line 1007
;1007:	{
line 1008
;1008:		ent->use = spawnpoint_toggle_active;
ADDRFP4 0
INDIRP4
CNSTI4 516
ADDP4
ADDRGP4 spawnpoint_toggle_active
ASGNP4
line 1009
;1009:	}
LABELV $484
line 1010
;1010:}
LABELV $483
endproc SP_team_CTF_redspawn 0 0
export SP_team_CTF_bluespawn
proc SP_team_CTF_bluespawn 0 0
line 1020
;1011:
;1012:/*QUAKED team_CTF_bluespawn (0 0 1) (-16 -16 -24) (16 16 32) STARTOFF
;1013:potential spawning position for blue team in CTF games, AFTER game start
;1014:Targets will be fired when someone spawns in on them.
;1015:
;1016:STARTOFF - won't be considered as a spawn point until used
;1017:
;1018:targetname - when used, toggles between active and incative spawn point
;1019:*/
;1020:void SP_team_CTF_bluespawn(gentity_t *ent) {
line 1021
;1021:	if ( ent->targetname )
ADDRFP4 0
INDIRP4
CNSTI4 468
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $487
line 1022
;1022:	{
line 1023
;1023:		ent->use = spawnpoint_toggle_active;
ADDRFP4 0
INDIRP4
CNSTI4 516
ADDP4
ADDRGP4 spawnpoint_toggle_active
ASGNP4
line 1024
;1024:	}
LABELV $487
line 1025
;1025:}
LABELV $486
endproc SP_team_CTF_bluespawn 0 0
bss
export teamgame
align 4
LABELV teamgame
skip 16
import borgQueenClientNum
import G_UnTimeShiftAllClients
import G_UnTimeShiftClient
import G_TimeShiftAllClients
import G_TimeShiftClient
import G_ResetTrail
import G_StoreTrail
import trap_GeneticParentsAndChildSelection
import trap_BotResetWeaponState
import trap_BotFreeWeaponState
import trap_BotAllocWeaponState
import trap_BotLoadWeaponWeights
import trap_BotGetWeaponInfo
import trap_BotChooseBestFightWeapon
import trap_BotInitMoveState
import trap_BotFreeMoveState
import trap_BotAllocMoveState
import trap_BotPredictVisiblePosition
import trap_BotMovementViewTarget
import trap_BotReachabilityArea
import trap_BotResetLastAvoidReach
import trap_BotResetAvoidReach
import trap_BotMoveInDirection
import trap_BotMoveToGoal
import trap_BotResetMoveState
import trap_BotFreeGoalState
import trap_BotAllocGoalState
import trap_BotMutateGoalFuzzyLogic
import trap_BotSaveGoalFuzzyLogic
import trap_BotInterbreedGoalFuzzyLogic
import trap_BotFreeItemWeights
import trap_BotLoadItemWeights
import trap_BotUpdateEntityItems
import trap_BotInitLevelItems
import trap_BotAvoidGoalTime
import trap_BotGetLevelItemGoal
import trap_BotGetMapLocationGoal
import trap_BotGetNextCampSpotGoal
import trap_BotItemGoalInVisButNotVisible
import trap_BotTouchingGoal
import trap_BotChooseNBGItem
import trap_BotChooseLTGItem
import trap_BotGetSecondGoal
import trap_BotGetTopGoal
import trap_BotGoalName
import trap_BotDumpGoalStack
import trap_BotDumpAvoidGoals
import trap_BotEmptyGoalStack
import trap_BotPopGoal
import trap_BotPushGoal
import trap_BotResetAvoidGoals
import trap_BotRemoveFromAvoidGoals
import trap_BotResetGoalState
import trap_BotSetChatName
import trap_BotSetChatGender
import trap_BotLoadChatFile
import trap_BotReplaceSynonyms
import trap_UnifyWhiteSpaces
import trap_BotMatchVariable
import trap_BotFindMatch
import trap_StringContains
import trap_BotGetChatMessage
import trap_BotEnterChat
import trap_BotChatLength
import trap_BotReplyChat
import trap_BotNumInitialChats
import trap_BotInitialChat
import trap_BotNumConsoleMessages
import trap_BotNextConsoleMessage
import trap_BotRemoveConsoleMessage
import trap_BotQueueConsoleMessage
import trap_BotFreeChatState
import trap_BotAllocChatState
import trap_Characteristic_String
import trap_Characteristic_BInteger
import trap_Characteristic_Integer
import trap_Characteristic_BFloat
import trap_Characteristic_Float
import trap_BotFreeCharacter
import trap_BotLoadCharacter
import trap_EA_ResetInput
import trap_EA_GetInput
import trap_EA_EndRegular
import trap_EA_View
import trap_EA_Move
import trap_EA_MoveRight
import trap_EA_MoveLeft
import trap_EA_MoveBack
import trap_EA_MoveForward
import trap_EA_MoveDown
import trap_EA_MoveUp
import trap_EA_Crouch
import trap_EA_DelayedJump
import trap_EA_Jump
import trap_EA_Respawn
import trap_EA_Use
import trap_EA_Alt_Attack
import trap_EA_Attack
import trap_EA_Talk
import trap_EA_SelectWeapon
import trap_EA_Command
import trap_EA_Gesture
import trap_EA_DropInv
import trap_EA_UseInv
import trap_EA_DropItem
import trap_EA_UseItem
import trap_EA_SayTeam
import trap_EA_Say
import trap_AAS_PredictClientMovement
import trap_AAS_Swimming
import trap_AAS_AreaTravelTimeToGoalArea
import trap_AAS_AreaReachability
import trap_AAS_IntForBSPEpairKey
import trap_AAS_FloatForBSPEpairKey
import trap_AAS_VectorForBSPEpairKey
import trap_AAS_ValueForBSPEpairKey
import trap_AAS_NextBSPEntity
import trap_AAS_PointContents
import trap_AAS_TraceAreas
import trap_AAS_PointAreaNum
import trap_AAS_Time
import trap_AAS_PresenceTypeBoundingBox
import trap_AAS_Initialized
import trap_AAS_EntityInfo
import trap_BotUserCommand
import trap_BotGetConsoleMessage
import trap_BotGetSnapshotEntity
import trap_BotLibTest
import trap_BotLibUpdateEntity
import trap_BotLibLoadMap
import trap_BotLibStartFrame
import trap_BotLibDefine
import trap_BotLibVarGet
import trap_BotLibVarSet
import trap_BotLibShutdown
import trap_BotLibSetup
import trap_DebugPolygonDelete
import trap_DebugPolygonCreate
import trap_GetEntityToken
import trap_GetUsercmd
import trap_BotFreeClient
import trap_BotAllocateClient
import trap_EntityContact
import trap_EntitiesInBox
import trap_UnlinkEntity
import trap_LinkEntity
import trap_AreasConnected
import trap_AdjustAreaPortalState
import trap_InPVSIgnorePortals
import trap_InPVS
import trap_PointContents
import trap_Trace
import trap_SetBrushModel
import trap_GetServerinfo
import trap_SetUserinfo
import trap_GetUserinfo
import trap_GetConfigstring
import trap_SetConfigstring
import trap_SendServerCommand
import trap_DropClient
import trap_LocateGameData
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableIntegerValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_SendConsoleCommand
import trap_FS_GetFileList
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Milliseconds
import trap_Error
import trap_Printf
import g_unlaggedVersion
import g_delagHitscan
import g_CStrikeVersion
import g_classChangeDebounceTime
import g_noJoinTimeout
import g_random_skin_limit
import g_team_group_blue
import g_team_group_red
import g_ghostRespawn
import g_holoIntro
import g_debugUp
import g_debugRight
import g_debugForward
import g_filterBan
import g_banIPs
import g_teamForceBalance
import g_teamAutoJoin
import g_allowVote
import g_doWarmup
import g_warmup
import g_motd
import g_synchronousClients
import g_adaptRespawn
import g_weaponRespawn
import g_debugDamage
import g_debugAlloc
import g_debugMove
import g_inactivity
import g_forcerespawn
import g_dmgmult
import g_knockback
import g_speed
import g_gravity
import g_needpass
import g_password
import g_friendlyFire
import g_capturelimit
import g_timelimitWinningTeam
import g_timelimit
import g_fraglimit
import g_dmflags
import g_language
import g_restarted
import g_maxGameClients
import g_maxclients
import g_cheats
import g_dedicated
import g_gametype
import g_pModElimination
import g_pModSpecialties
import g_pModActionHero
import g_pModDisintegration
import g_pModAssimilation
import g_entities
import level
import BotAIStartFrame
import BotAIShutdownClient
import BotAISetupClient
import BotAILoadMap
import BotAIShutdown
import BotAISetup
import BotInterbreedEndMatch
import Svcmd_BotList_f
import Svcmd_AddBot_f
import G_BotConnect
import G_QueueBotBegin
import G_CheckBotSpawn
import G_GetBotInfoByName
import G_GetBotInfoByNumber
import G_InitBots
import Svcmd_AbortPodium_f
import SpawnModelsOnVictoryPads
import UpdateTournamentInfo
import G_WriteSessionData
import G_InitWorldSession
import G_InitSessionData
import G_ReadSessionData
import Svcmd_GameMem_f
import G_InitMemory
import G_Alloc
import Cmd_Ready_f
import G_RunClient
import ClientEndFrame
import ClientThink
import ClientCommand
import ClientBegin
import ClientDisconnect
import ClientUserinfoChanged
import ClientConnect
import GetFavoriteWeaponForClient
import GetWorstEnemyForClient
import GetFavoriteTargetForClient
import GetMaxKillsForClient
import GetMaxDeathsForClient
import CalculateTeamMVPByRank
import CalculateAwards
import G_ClearClientLog
import G_LogExit
import G_LogWeaponOutput
import G_LogWeaponInit
import G_LogWeaponItem
import G_LogWeaponPowerup
import G_LogWeaponFrag
import G_LogWeaponDeath
import G_LogWeaponKill
import G_LogWeaponDamage
import G_LogWeaponFire
import G_LogWeaponPickup
import G_LogPrintf
import G_Error
import G_Printf
import SendScoreboardMessageToAllClients
import G_RunThink
import FindIntermissionPoint
import DeathmatchScoreboardMessage
import G_SetStats
import MoveClientToIntermission
import FireWeapon
import G_FilterPacket
import G_ProcessIPBans
import ConsoleCommand
import SpotWouldTelefrag
import CalculateRanks
import AddScore
import player_die
import ClientSpawn
import InitBodyQue
import InitClientResp
import InitClientPersistant
import BeginIntermission
import respawn
import SelectSpawnPoint
import SetClientViewAngle
import PickTeam
import TeamCount
import FireSeeker
import SeekerAcquiresTarget
import SnapVectorTowards
import CalcMuzzlePoint
import LogAccuracyHit
import TransportPlayer
import TeleportPlayer
import trigger_teleporter_touch
import Touch_DoorTrigger
import G_RunMover
import fire_grapple
import fire_rocket
import fire_grenade
import fire_quantum
import fire_plasma
import fire_blaster
import G_RunMissile
import TossClientItems
import body_die
import G_RadiusDamage
import G_Damage
import CanDamage
import G_RadiusList
import G_SetOrigin
import G_AddEvent
import G_AddPredictableEvent
import vectoyaw
import vtos
import tv
import G_TouchSolids
import G_TouchTriggers
import G_FreeEntity
import G_Sound
import G_TempEntity
import G_Spawn
import G_InitGentity
import G_SetMovedir
import G_UseTargets2
import G_UseTargets
import G_PickTarget
import G_Find
import G_KillBox
import G_TeamCommand
import G_SoundIndex
import G_ModelIndex
import SaveRegisteredItems
import RegisterItem
import ClearRegisteredItems
import Touch_Item
import Add_Ammo
import ArmorIndex
import Think_Weapon
import FinishSpawningItem
import G_SpawnItem
import SetRespawn
import Drop_Item
import PrecacheItem
import UseHoldableItem
import RespawnItem
import G_RunItem
import G_CheckTeamItems
import Cmd_FollowCycle_f
import SetTeam
import BroadcastTeamChange
import StopFollowing
import Cmd_Score_f
import G_NewString
import G_SpawnEntitiesFromString
import G_SpawnVector
import G_SpawnInt
import G_SpawnFloat
import G_SpawnString
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $450
byte 1 116
byte 1 105
byte 1 110
byte 1 102
byte 1 111
byte 1 32
byte 1 37
byte 1 105
byte 1 37
byte 1 115
byte 1 0
align 1
LABELV $446
byte 1 32
byte 1 37
byte 1 105
byte 1 32
byte 1 37
byte 1 105
byte 1 32
byte 1 37
byte 1 105
byte 1 32
byte 1 37
byte 1 105
byte 1 32
byte 1 37
byte 1 105
byte 1 32
byte 1 37
byte 1 105
byte 1 0
align 1
LABELV $418
byte 1 104
byte 1 105
byte 1 110
byte 1 102
byte 1 111
byte 1 32
byte 1 37
byte 1 105
byte 1 37
byte 1 115
byte 1 0
align 1
LABELV $413
byte 1 32
byte 1 37
byte 1 105
byte 1 32
byte 1 37
byte 1 105
byte 1 0
align 1
LABELV $351
byte 1 116
byte 1 101
byte 1 97
byte 1 109
byte 1 95
byte 1 67
byte 1 84
byte 1 70
byte 1 95
byte 1 98
byte 1 108
byte 1 117
byte 1 101
byte 1 115
byte 1 112
byte 1 97
byte 1 119
byte 1 110
byte 1 0
align 1
LABELV $348
byte 1 116
byte 1 101
byte 1 97
byte 1 109
byte 1 95
byte 1 67
byte 1 84
byte 1 70
byte 1 95
byte 1 114
byte 1 101
byte 1 100
byte 1 115
byte 1 112
byte 1 97
byte 1 119
byte 1 110
byte 1 0
align 1
LABELV $345
byte 1 116
byte 1 101
byte 1 97
byte 1 109
byte 1 95
byte 1 67
byte 1 84
byte 1 70
byte 1 95
byte 1 98
byte 1 108
byte 1 117
byte 1 101
byte 1 112
byte 1 108
byte 1 97
byte 1 121
byte 1 101
byte 1 114
byte 1 0
align 1
LABELV $342
byte 1 116
byte 1 101
byte 1 97
byte 1 109
byte 1 95
byte 1 67
byte 1 84
byte 1 70
byte 1 95
byte 1 114
byte 1 101
byte 1 100
byte 1 112
byte 1 108
byte 1 97
byte 1 121
byte 1 101
byte 1 114
byte 1 0
align 1
LABELV $335
byte 1 37
byte 1 115
byte 1 0
align 1
LABELV $334
byte 1 37
byte 1 99
byte 1 37
byte 1 99
byte 1 37
byte 1 115
byte 1 94
byte 1 55
byte 1 0
align 1
LABELV $307
byte 1 68
byte 1 111
byte 1 110
byte 1 39
byte 1 116
byte 1 32
byte 1 107
byte 1 110
byte 1 111
byte 1 119
byte 1 32
byte 1 119
byte 1 104
byte 1 97
byte 1 116
byte 1 32
byte 1 116
byte 1 101
byte 1 97
byte 1 109
byte 1 32
byte 1 116
byte 1 104
byte 1 101
byte 1 32
byte 1 102
byte 1 108
byte 1 97
byte 1 103
byte 1 32
byte 1 105
byte 1 115
byte 1 32
byte 1 111
byte 1 110
byte 1 46
byte 1 10
byte 1 0
align 1
LABELV $298
byte 1 37
byte 1 115
byte 1 94
byte 1 55
byte 1 32
byte 1 103
byte 1 111
byte 1 116
byte 1 32
byte 1 116
byte 1 104
byte 1 101
byte 1 32
byte 1 37
byte 1 115
byte 1 32
byte 1 102
byte 1 108
byte 1 97
byte 1 103
byte 1 33
byte 1 10
byte 1 0
align 1
LABELV $296
byte 1 37
byte 1 115
byte 1 94
byte 1 55
byte 1 32
byte 1 103
byte 1 101
byte 1 116
byte 1 115
byte 1 32
byte 1 97
byte 1 110
byte 1 32
byte 1 97
byte 1 115
byte 1 115
byte 1 105
byte 1 115
byte 1 116
byte 1 32
byte 1 102
byte 1 111
byte 1 114
byte 1 32
byte 1 101
byte 1 108
byte 1 105
byte 1 109
byte 1 105
byte 1 110
byte 1 97
byte 1 116
byte 1 105
byte 1 110
byte 1 103
byte 1 32
byte 1 116
byte 1 104
byte 1 101
byte 1 32
byte 1 37
byte 1 115
byte 1 32
byte 1 102
byte 1 108
byte 1 97
byte 1 103
byte 1 32
byte 1 99
byte 1 97
byte 1 114
byte 1 114
byte 1 105
byte 1 101
byte 1 114
byte 1 33
byte 1 10
byte 1 0
align 1
LABELV $292
byte 1 37
byte 1 115
byte 1 94
byte 1 55
byte 1 32
byte 1 103
byte 1 101
byte 1 116
byte 1 115
byte 1 32
byte 1 97
byte 1 110
byte 1 32
byte 1 97
byte 1 115
byte 1 115
byte 1 105
byte 1 115
byte 1 116
byte 1 32
byte 1 102
byte 1 111
byte 1 114
byte 1 32
byte 1 114
byte 1 101
byte 1 116
byte 1 117
byte 1 114
byte 1 110
byte 1 105
byte 1 110
byte 1 103
byte 1 32
byte 1 116
byte 1 104
byte 1 101
byte 1 32
byte 1 37
byte 1 115
byte 1 32
byte 1 102
byte 1 108
byte 1 97
byte 1 103
byte 1 33
byte 1 10
byte 1 0
align 1
LABELV $271
byte 1 37
byte 1 115
byte 1 94
byte 1 55
byte 1 32
byte 1 99
byte 1 97
byte 1 112
byte 1 116
byte 1 117
byte 1 114
byte 1 101
byte 1 100
byte 1 32
byte 1 116
byte 1 104
byte 1 101
byte 1 32
byte 1 37
byte 1 115
byte 1 32
byte 1 102
byte 1 108
byte 1 97
byte 1 103
byte 1 33
byte 1 10
byte 1 0
align 1
LABELV $267
byte 1 37
byte 1 115
byte 1 94
byte 1 55
byte 1 32
byte 1 114
byte 1 101
byte 1 116
byte 1 117
byte 1 114
byte 1 110
byte 1 101
byte 1 100
byte 1 32
byte 1 116
byte 1 104
byte 1 101
byte 1 32
byte 1 37
byte 1 115
byte 1 32
byte 1 102
byte 1 108
byte 1 97
byte 1 103
byte 1 33
byte 1 10
byte 1 0
align 1
LABELV $247
byte 1 84
byte 1 104
byte 1 101
byte 1 32
byte 1 37
byte 1 115
byte 1 32
byte 1 102
byte 1 108
byte 1 97
byte 1 103
byte 1 32
byte 1 104
byte 1 97
byte 1 115
byte 1 32
byte 1 114
byte 1 101
byte 1 116
byte 1 117
byte 1 114
byte 1 110
byte 1 101
byte 1 100
byte 1 33
byte 1 10
byte 1 0
align 1
LABELV $245
byte 1 87
byte 1 97
byte 1 114
byte 1 110
byte 1 105
byte 1 110
byte 1 103
byte 1 58
byte 1 32
byte 1 32
byte 1 78
byte 1 85
byte 1 76
byte 1 76
byte 1 32
byte 1 112
byte 1 97
byte 1 115
byte 1 115
byte 1 101
byte 1 100
byte 1 32
byte 1 116
byte 1 111
byte 1 32
byte 1 84
byte 1 101
byte 1 97
byte 1 109
byte 1 95
byte 1 82
byte 1 101
byte 1 116
byte 1 117
byte 1 114
byte 1 110
byte 1 70
byte 1 108
byte 1 97
byte 1 103
byte 1 83
byte 1 111
byte 1 117
byte 1 110
byte 1 100
byte 1 10
byte 1 0
align 1
LABELV $221
byte 1 37
byte 1 115
byte 1 94
byte 1 55
byte 1 32
byte 1 100
byte 1 101
byte 1 102
byte 1 101
byte 1 110
byte 1 100
byte 1 115
byte 1 32
byte 1 116
byte 1 104
byte 1 101
byte 1 32
byte 1 37
byte 1 115
byte 1 39
byte 1 115
byte 1 32
byte 1 102
byte 1 108
byte 1 97
byte 1 103
byte 1 32
byte 1 99
byte 1 97
byte 1 114
byte 1 114
byte 1 105
byte 1 101
byte 1 114
byte 1 46
byte 1 10
byte 1 0
align 1
LABELV $210
byte 1 37
byte 1 115
byte 1 94
byte 1 55
byte 1 32
byte 1 100
byte 1 101
byte 1 102
byte 1 101
byte 1 110
byte 1 100
byte 1 115
byte 1 32
byte 1 116
byte 1 104
byte 1 101
byte 1 32
byte 1 37
byte 1 115
byte 1 32
byte 1 102
byte 1 108
byte 1 97
byte 1 103
byte 1 46
byte 1 10
byte 1 0
align 1
LABELV $209
byte 1 37
byte 1 115
byte 1 94
byte 1 55
byte 1 32
byte 1 100
byte 1 101
byte 1 102
byte 1 101
byte 1 110
byte 1 100
byte 1 115
byte 1 32
byte 1 116
byte 1 104
byte 1 101
byte 1 32
byte 1 37
byte 1 115
byte 1 32
byte 1 98
byte 1 97
byte 1 115
byte 1 101
byte 1 46
byte 1 10
byte 1 0
align 1
LABELV $184
byte 1 116
byte 1 101
byte 1 97
byte 1 109
byte 1 95
byte 1 67
byte 1 84
byte 1 70
byte 1 95
byte 1 98
byte 1 108
byte 1 117
byte 1 101
byte 1 102
byte 1 108
byte 1 97
byte 1 103
byte 1 0
align 1
LABELV $182
byte 1 116
byte 1 101
byte 1 97
byte 1 109
byte 1 95
byte 1 67
byte 1 84
byte 1 70
byte 1 95
byte 1 114
byte 1 101
byte 1 100
byte 1 102
byte 1 108
byte 1 97
byte 1 103
byte 1 0
align 1
LABELV $177
byte 1 37
byte 1 115
byte 1 94
byte 1 55
byte 1 32
byte 1 100
byte 1 101
byte 1 102
byte 1 101
byte 1 110
byte 1 100
byte 1 115
byte 1 32
byte 1 37
byte 1 115
byte 1 39
byte 1 115
byte 1 32
byte 1 102
byte 1 108
byte 1 97
byte 1 103
byte 1 32
byte 1 99
byte 1 97
byte 1 114
byte 1 114
byte 1 105
byte 1 101
byte 1 114
byte 1 32
byte 1 97
byte 1 103
byte 1 97
byte 1 105
byte 1 110
byte 1 115
byte 1 116
byte 1 32
byte 1 97
byte 1 110
byte 1 32
byte 1 97
byte 1 103
byte 1 103
byte 1 114
byte 1 101
byte 1 115
byte 1 115
byte 1 105
byte 1 118
byte 1 101
byte 1 32
byte 1 101
byte 1 110
byte 1 101
byte 1 109
byte 1 121
byte 1 10
byte 1 0
align 1
LABELV $166
byte 1 37
byte 1 115
byte 1 94
byte 1 55
byte 1 32
byte 1 101
byte 1 108
byte 1 105
byte 1 109
byte 1 105
byte 1 110
byte 1 97
byte 1 116
byte 1 101
byte 1 100
byte 1 32
byte 1 37
byte 1 115
byte 1 39
byte 1 115
byte 1 32
byte 1 102
byte 1 108
byte 1 97
byte 1 103
byte 1 32
byte 1 99
byte 1 97
byte 1 114
byte 1 114
byte 1 105
byte 1 101
byte 1 114
byte 1 33
byte 1 10
byte 1 0
align 1
LABELV $103
byte 1 112
byte 1 114
byte 1 105
byte 1 110
byte 1 116
byte 1 32
byte 1 34
byte 1 37
byte 1 115
byte 1 34
byte 1 0
align 1
LABELV $98
byte 1 80
byte 1 114
byte 1 105
byte 1 110
byte 1 116
byte 1 77
byte 1 115
byte 1 103
byte 1 32
byte 1 111
byte 1 118
byte 1 101
byte 1 114
byte 1 114
byte 1 117
byte 1 110
byte 1 0
align 1
LABELV $93
byte 1 94
byte 1 55
byte 1 0
align 1
LABELV $92
byte 1 94
byte 1 51
byte 1 0
align 1
LABELV $89
byte 1 94
byte 1 52
byte 1 0
align 1
LABELV $86
byte 1 94
byte 1 49
byte 1 0
align 1
LABELV $75
byte 1 70
byte 1 82
byte 1 69
byte 1 69
byte 1 0
align 1
LABELV $74
byte 1 83
byte 1 80
byte 1 69
byte 1 67
byte 1 84
byte 1 65
byte 1 84
byte 1 79
byte 1 82
byte 1 0
align 1
LABELV $71
byte 1 66
byte 1 76
byte 1 85
byte 1 69
byte 1 0
align 1
LABELV $68
byte 1 82
byte 1 69
byte 1 68
byte 1 0
