export InitTrigger
code
proc InitTrigger 12 8
file "../g_trigger.c"
line 9
;1:// Copyright (C) 1999-2000 Id Software, Inc.
;2://
;3:#include "g_local.h"
;4:
;5:#define SF_SPECTATOR			(1<<0)
;6:#define SF_RANDOM				(1<<1)
;7:
;8:
;9:void InitTrigger( gentity_t *self ) {
line 10
;10:	if (!VectorCompare (self->s.angles, vec3_origin))
ADDRFP4 0
INDIRP4
CNSTI4 116
ADDP4
ARGP4
ADDRGP4 vec3_origin
ARGP4
ADDRLP4 0
ADDRGP4 VectorCompare
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 0
NEI4 $56
line 11
;11:		G_SetMovedir (self->s.angles, self->movedir);
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CNSTI4 116
ADDP4
ARGP4
ADDRLP4 4
INDIRP4
CNSTI4 484
ADDP4
ARGP4
ADDRGP4 G_SetMovedir
CALLV
pop
LABELV $56
line 13
;12:
;13:	trap_SetBrushModel( self, self->model );
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
ARGP4
ADDRLP4 8
INDIRP4
CNSTI4 328
ADDP4
INDIRP4
ARGP4
ADDRGP4 trap_SetBrushModel
CALLV
pop
line 14
;14:	self->r.contents = CONTENTS_TRIGGER;		// replaces the -1 from trap_SetBrushModel
ADDRFP4 0
INDIRP4
CNSTI4 248
ADDP4
CNSTI4 1073741824
ASGNI4
line 15
;15:	self->r.svFlags = SVF_NOCLIENT;
ADDRFP4 0
INDIRP4
CNSTI4 212
ADDP4
CNSTI4 1
ASGNI4
line 16
;16:}
LABELV $55
endproc InitTrigger 12 8
export multi_wait
proc multi_wait 0 0
line 20
;17:
;18:
;19:// the wait time has passed, so set back up for another activation
;20:void multi_wait( gentity_t *ent ) {
line 21
;21:	ent->nextthink = 0;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
CNSTI4 0
ASGNI4
line 22
;22:}
LABELV $58
endproc multi_wait 0 0
export multi_trigger
proc multi_trigger 20 8
line 28
;23:
;24:
;25:// the trigger was just activated
;26:// ent->activator should be set to the activator so it can be held through a delay
;27:// so wait for the delay time before firing
;28:void multi_trigger( gentity_t *ent, gentity_t *activator ) {
line 29
;29:	ent->activator = activator;
ADDRFP4 0
INDIRP4
CNSTI4 584
ADDP4
ADDRFP4 4
INDIRP4
ASGNP4
line 30
;30:	if ( ent->nextthink ) {
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
INDIRI4
CNSTI4 0
EQI4 $60
line 31
;31:		return;		// can't retrigger until the wait is over
ADDRGP4 $59
JUMPV
LABELV $60
line 34
;32:	}
;33:
;34:	if ( activator->client && ((ent->spawnflags&4)||(ent->spawnflags&2)||(ent->spawnflags&1)) )
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $62
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
ASGNI4
ADDRLP4 4
CNSTI4 0
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 4
BANDI4
ADDRLP4 4
INDIRI4
NEI4 $65
ADDRLP4 0
INDIRI4
CNSTI4 2
BANDI4
ADDRLP4 4
INDIRI4
NEI4 $65
ADDRLP4 0
INDIRI4
CNSTI4 1
BANDI4
ADDRLP4 4
INDIRI4
EQI4 $62
LABELV $65
line 35
;35:	{//see if it's usable by this team
line 36
;36:		switch( activator->client->sess.sessionTeam )
ADDRLP4 8
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
ASGNI4
ADDRLP4 8
INDIRI4
CNSTI4 1
EQI4 $69
ADDRLP4 8
INDIRI4
CNSTI4 2
EQI4 $72
ADDRGP4 $66
JUMPV
line 37
;37:		{
LABELV $69
line 39
;38:		case TEAM_RED:
;39:			if ( !(ent->spawnflags&1) ) {
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
NEI4 $67
line 40
;40:				return;//red is not allowed
ADDRGP4 $59
JUMPV
line 42
;41:			}
;42:			break;
LABELV $72
line 44
;43:		case TEAM_BLUE:
;44:			if ( !(ent->spawnflags&2) ) {
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 2
BANDI4
CNSTI4 0
NEI4 $67
line 45
;45:				return;//blue is not allowed
ADDRGP4 $59
JUMPV
line 47
;46:			}
;47:			break;
LABELV $66
line 49
;48:		default:
;49:			if ( (ent->spawnflags&4) ) {
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 4
BANDI4
CNSTI4 0
EQI4 $67
line 50
;50:				return;//must be on a team
ADDRGP4 $59
JUMPV
line 52
;51:			}
;52:			break;
LABELV $67
line 54
;53:		}
;54:	}
LABELV $62
line 56
;55:
;56:	G_UseTargets (ent, ent->activator);
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
ARGP4
ADDRLP4 8
INDIRP4
CNSTI4 584
ADDP4
INDIRP4
ARGP4
ADDRGP4 G_UseTargets
CALLV
pop
line 58
;57:
;58:	if ( ent->wait > 0 ) {
ADDRFP4 0
INDIRP4
CNSTI4 608
ADDP4
INDIRF4
CNSTF4 0
LEF4 $77
line 59
;59:		ent->think = multi_wait;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 multi_wait
ASGNP4
line 60
;60:		ent->nextthink = level.time + ( ent->wait + ent->random * crandom() ) * 1000;
ADDRLP4 12
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 16
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 16
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CVIF4 4
CNSTF4 1148846080
ADDRLP4 16
INDIRP4
CNSTI4 608
ADDP4
INDIRF4
ADDRLP4 16
INDIRP4
CNSTI4 612
ADDP4
INDIRF4
CNSTF4 1073741824
ADDRLP4 12
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
MULF4
ADDF4
MULF4
ADDF4
CVFI4 4
ASGNI4
line 61
;61:	} else {
ADDRGP4 $78
JUMPV
LABELV $77
line 64
;62:		// we can't just remove (self) here, because this is a touch function
;63:		// called while looping through area links...
;64:		ent->touch = 0;
ADDRFP4 0
INDIRP4
CNSTI4 512
ADDP4
CNSTP4 0
ASGNP4
line 65
;65:		ent->nextthink = level.time + FRAMETIME;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 100
ADDI4
ASGNI4
line 66
;66:		ent->think = G_FreeEntity;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 G_FreeEntity
ASGNP4
line 67
;67:	}
LABELV $78
line 68
;68:}
LABELV $59
endproc multi_trigger 20 8
export Use_Multi
proc Use_Multi 0 8
line 70
;69:
;70:void Use_Multi( gentity_t *ent, gentity_t *other, gentity_t *activator ) {
line 71
;71:	multi_trigger( ent, activator );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRGP4 multi_trigger
CALLV
pop
line 72
;72:}
LABELV $81
endproc Use_Multi 0 8
export Touch_Multi
proc Touch_Multi 0 8
line 74
;73:
;74:void Touch_Multi( gentity_t *self, gentity_t *other, trace_t *trace ) {
line 75
;75:	if( !other->client ) {
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $83
line 76
;76:		return;
ADDRGP4 $82
JUMPV
LABELV $83
line 78
;77:	}
;78:	multi_trigger( self, other );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRGP4 multi_trigger
CALLV
pop
line 79
;79:}
LABELV $82
endproc Touch_Multi 0 8
export SP_trigger_multiple
proc SP_trigger_multiple 12 12
line 92
;80:
;81:/*QUAKED trigger_multiple (.5 .5 .5) ? RED_OK BLUE_OK TEAM_ONLY
;82:RED_OK - People on the red team can fire this trigger
;83:BLUE_OK - People on the blue team can fire this trigger
;84:TEAM_ONLY - Only people on red or blue can fire this trigger (not TEAM_FREE like in straight holomatch or spectators)
;85:
;86:"wait" : Seconds between triggerings, 0.5 default, -1 = one time only.
;87:"random"	wait variance, default is 0
;88:Variable sized repeatable trigger.  Must be targeted at one or more entities.
;89:so, the basic time between firing is a random time between
;90:(wait - random) and (wait + random)
;91:*/
;92:void SP_trigger_multiple( gentity_t *ent ) {
line 93
;93:	G_SpawnFloat( "wait", "0.5", &ent->wait );
ADDRGP4 $86
ARGP4
ADDRGP4 $87
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 608
ADDP4
ARGP4
ADDRGP4 G_SpawnFloat
CALLI4
pop
line 94
;94:	G_SpawnFloat( "random", "0", &ent->random );
ADDRGP4 $88
ARGP4
ADDRGP4 $89
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 612
ADDP4
ARGP4
ADDRGP4 G_SpawnFloat
CALLI4
pop
line 96
;95:
;96:	if ( ent->random >= ent->wait && ent->wait >= 0 ) {
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
ADDRLP4 0
INDIRP4
CNSTI4 608
ADDP4
INDIRF4
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 612
ADDP4
INDIRF4
ADDRLP4 4
INDIRF4
LTF4 $90
ADDRLP4 4
INDIRF4
CNSTF4 0
LTF4 $90
line 97
;97:		ent->random = ent->wait - FRAMETIME;
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
CNSTI4 612
ADDP4
ADDRLP4 8
INDIRP4
CNSTI4 608
ADDP4
INDIRF4
CNSTF4 1120403456
SUBF4
ASGNF4
line 98
;98:		G_Printf( "trigger_multiple has random >= wait\n" );
ADDRGP4 $92
ARGP4
ADDRGP4 G_Printf
CALLV
pop
line 99
;99:	}
LABELV $90
line 101
;100:
;101:	ent->touch = Touch_Multi;
ADDRFP4 0
INDIRP4
CNSTI4 512
ADDP4
ADDRGP4 Touch_Multi
ASGNP4
line 102
;102:	ent->use = Use_Multi;
ADDRFP4 0
INDIRP4
CNSTI4 516
ADDP4
ADDRGP4 Use_Multi
ASGNP4
line 104
;103:
;104:	InitTrigger( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 InitTrigger
CALLV
pop
line 105
;105:	trap_LinkEntity (ent);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 106
;106:}
LABELV $85
endproc SP_trigger_multiple 12 12
export trigger_always_think
proc trigger_always_think 4 8
line 118
;107:
;108:
;109:
;110:/*
;111:==============================================================================
;112:
;113:trigger_always
;114:
;115:==============================================================================
;116:*/
;117:
;118:void trigger_always_think( gentity_t *ent ) {
line 119
;119:	G_UseTargets(ent, ent);
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 G_UseTargets
CALLV
pop
line 120
;120:	G_FreeEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_FreeEntity
CALLV
pop
line 121
;121:}
LABELV $93
endproc trigger_always_think 4 8
export SP_trigger_always
proc SP_trigger_always 0 0
line 126
;122:
;123:/*QUAKED trigger_always (.5 .5 .5) (-8 -8 -8) (8 8 8)
;124:This trigger will always fire.  It is activated by the world.
;125:*/
;126:void SP_trigger_always (gentity_t *ent) {
line 128
;127:	// we must have some delay to make sure our use targets are present
;128:	ent->nextthink = level.time + 300;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 300
ADDI4
ASGNI4
line 129
;129:	ent->think = trigger_always_think;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 trigger_always_think
ASGNP4
line 130
;130:}
LABELV $94
endproc SP_trigger_always 0 0
export trigger_push_touch
proc trigger_push_touch 0 12
line 141
;131:
;132:
;133:/*
;134:==============================================================================
;135:
;136:trigger_push
;137:
;138:==============================================================================
;139:*/
;140:
;141:void trigger_push_touch (gentity_t *self, gentity_t *other, trace_t *trace ) {
line 142
;142:	if ( !other->client ) {
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $97
line 143
;143:		return;
ADDRGP4 $96
JUMPV
LABELV $97
line 146
;144:	}
;145:
;146:	if ( other->client->ps.pm_type != PM_NORMAL ) {
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
CNSTI4 0
EQI4 $99
line 147
;147:		return;
ADDRGP4 $96
JUMPV
LABELV $99
line 149
;148:	}
;149:	if ( other->client->ps.powerups[PW_FLIGHT] ) {
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 356
ADDP4
INDIRI4
CNSTI4 0
EQI4 $101
line 150
;150:		return;
ADDRGP4 $96
JUMPV
LABELV $101
line 153
;151:	}
;152:
;153:	if ( other->client->ps.velocity[2] < 100 ) {
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 40
ADDP4
INDIRF4
CNSTF4 1120403456
GEF4 $103
line 155
;154:		// don't play the event sound again if we are in a fat trigger
;155:		G_AddPredictableEvent( other, EV_JUMP_PAD, 0 );
ADDRFP4 4
INDIRP4
ARGP4
CNSTI4 13
ARGI4
CNSTI4 0
ARGI4
ADDRGP4 G_AddPredictableEvent
CALLV
pop
line 156
;156:	}
LABELV $103
line 157
;157:	VectorCopy (self->s.origin2, other->client->ps.velocity);
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 32
ADDP4
ADDRFP4 0
INDIRP4
CNSTI4 104
ADDP4
INDIRB
ASGNB 12
line 158
;158:}
LABELV $96
endproc trigger_push_touch 0 12
export AimAtTarget
proc AimAtTarget 72 4
line 168
;159:
;160:
;161:/*
;162:=================
;163:AimAtTarget
;164:
;165:Calculate origin2 so the target apogee will be hit
;166:=================
;167:*/
;168:void AimAtTarget( gentity_t *self ) {
line 174
;169:	gentity_t	*ent;
;170:	vec3_t		origin;
;171:	float		height, gravity, time, forward;
;172:	float		dist;
;173:
;174:	VectorAdd( self->r.absmin, self->r.absmax, origin );
ADDRLP4 36
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
ADDRLP4 36
INDIRP4
CNSTI4 252
ADDP4
INDIRF4
ADDRLP4 36
INDIRP4
CNSTI4 264
ADDP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 36
INDIRP4
CNSTI4 256
ADDP4
INDIRF4
ADDRLP4 36
INDIRP4
CNSTI4 268
ADDP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 40
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0+8
ADDRLP4 40
INDIRP4
CNSTI4 260
ADDP4
INDIRF4
ADDRLP4 40
INDIRP4
CNSTI4 272
ADDP4
INDIRF4
ADDF4
ASGNF4
line 175
;175:	VectorScale ( origin, 0.5, origin );
ADDRLP4 44
CNSTF4 1056964608
ASGNF4
ADDRLP4 0
ADDRLP4 44
INDIRF4
ADDRLP4 0
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 44
INDIRF4
ADDRLP4 0+4
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+8
CNSTF4 1056964608
ADDRLP4 0+8
INDIRF4
MULF4
ASGNF4
line 177
;176:
;177:	ent = G_PickTarget( self->target );
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
ARGP4
ADDRLP4 48
ADDRGP4 G_PickTarget
CALLP4
ASGNP4
ADDRLP4 12
ADDRLP4 48
INDIRP4
ASGNP4
line 178
;178:	if ( !ent ) {
ADDRLP4 12
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $112
line 179
;179:		G_FreeEntity( self );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_FreeEntity
CALLV
pop
line 180
;180:		return;
ADDRGP4 $105
JUMPV
LABELV $112
line 183
;181:	}
;182:
;183:	height = ent->s.origin[2] - origin[2];
ADDRLP4 28
ADDRLP4 12
INDIRP4
CNSTI4 100
ADDP4
INDIRF4
ADDRLP4 0+8
INDIRF4
SUBF4
ASGNF4
line 184
;184:	gravity = g_gravity.value;
ADDRLP4 24
ADDRGP4 g_gravity+8
INDIRF4
ASGNF4
line 185
;185:	time = sqrt( height / ( .5 * gravity ) );
ADDRLP4 28
INDIRF4
CNSTF4 1056964608
ADDRLP4 24
INDIRF4
MULF4
DIVF4
ARGF4
ADDRLP4 52
ADDRGP4 sqrt
CALLF4
ASGNF4
ADDRLP4 16
ADDRLP4 52
INDIRF4
ASGNF4
line 186
;186:	if ( !time ) {
ADDRLP4 16
INDIRF4
CNSTF4 0
NEF4 $116
line 187
;187:		G_FreeEntity( self );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_FreeEntity
CALLV
pop
line 188
;188:		return;
ADDRGP4 $105
JUMPV
LABELV $116
line 192
;189:	}
;190:
;191:	// set s.origin2 to the push velocity
;192:	VectorSubtract ( ent->s.origin, origin, self->s.origin2 );
ADDRFP4 0
INDIRP4
CNSTI4 104
ADDP4
ADDRLP4 12
INDIRP4
CNSTI4 92
ADDP4
INDIRF4
ADDRLP4 0
INDIRF4
SUBF4
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 108
ADDP4
ADDRLP4 12
INDIRP4
CNSTI4 96
ADDP4
INDIRF4
ADDRLP4 0+4
INDIRF4
SUBF4
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 112
ADDP4
ADDRLP4 12
INDIRP4
CNSTI4 100
ADDP4
INDIRF4
ADDRLP4 0+8
INDIRF4
SUBF4
ASGNF4
line 193
;193:	self->s.origin2[2] = 0;
ADDRFP4 0
INDIRP4
CNSTI4 112
ADDP4
CNSTF4 0
ASGNF4
line 194
;194:	dist = VectorNormalize( self->s.origin2);
ADDRFP4 0
INDIRP4
CNSTI4 104
ADDP4
ARGP4
ADDRLP4 56
ADDRGP4 VectorNormalize
CALLF4
ASGNF4
ADDRLP4 32
ADDRLP4 56
INDIRF4
ASGNF4
line 196
;195:
;196:	forward = dist / time;
ADDRLP4 20
ADDRLP4 32
INDIRF4
ADDRLP4 16
INDIRF4
DIVF4
ASGNF4
line 197
;197:	VectorScale( self->s.origin2, forward, self->s.origin2 );
ADDRLP4 60
ADDRFP4 0
INDIRP4
CNSTI4 104
ADDP4
ASGNP4
ADDRLP4 60
INDIRP4
ADDRLP4 60
INDIRP4
INDIRF4
ADDRLP4 20
INDIRF4
MULF4
ASGNF4
ADDRLP4 64
ADDRFP4 0
INDIRP4
CNSTI4 108
ADDP4
ASGNP4
ADDRLP4 64
INDIRP4
ADDRLP4 64
INDIRP4
INDIRF4
ADDRLP4 20
INDIRF4
MULF4
ASGNF4
ADDRLP4 68
ADDRFP4 0
INDIRP4
CNSTI4 112
ADDP4
ASGNP4
ADDRLP4 68
INDIRP4
ADDRLP4 68
INDIRP4
INDIRF4
ADDRLP4 20
INDIRF4
MULF4
ASGNF4
line 199
;198:
;199:	self->s.origin2[2] = time * gravity;
ADDRFP4 0
INDIRP4
CNSTI4 112
ADDP4
ADDRLP4 16
INDIRF4
ADDRLP4 24
INDIRF4
MULF4
ASGNF4
line 200
;200:}
LABELV $105
endproc AimAtTarget 72 4
export SP_trigger_push
proc SP_trigger_push 4 4
line 207
;201:
;202:
;203:/*QUAKED trigger_push (.5 .5 .5) ?
;204:Must point at a target_position, which will be the apex of the leap.
;205:This will be client side predicted, unlike target_push
;206:*/
;207:void SP_trigger_push( gentity_t *self ) {
line 208
;208:	InitTrigger (self);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 InitTrigger
CALLV
pop
line 211
;209:
;210:	// unlike other triggers, we need to send this one to the client
;211:	self->r.svFlags &= ~SVF_NOCLIENT;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 212
ADDP4
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRI4
CNSTI4 -2
BANDI4
ASGNI4
line 213
;212:
;213:	self->s.eType = ET_PUSH_TRIGGER;
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 9
ASGNI4
line 214
;214:	self->touch = trigger_push_touch;
ADDRFP4 0
INDIRP4
CNSTI4 512
ADDP4
ADDRGP4 trigger_push_touch
ASGNP4
line 215
;215:	self->think = AimAtTarget;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 AimAtTarget
ASGNP4
line 216
;216:	self->nextthink = level.time + FRAMETIME;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 100
ADDI4
ASGNI4
line 217
;217:	trap_LinkEntity (self);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 218
;218:}
LABELV $120
endproc SP_trigger_push 4 4
export Use_target_push
proc Use_target_push 0 8
line 221
;219:
;220:
;221:void Use_target_push( gentity_t *self, gentity_t *other, gentity_t *activator ) {
line 222
;222:	if ( !activator->client ) {
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $123
line 223
;223:		return;
ADDRGP4 $122
JUMPV
LABELV $123
line 226
;224:	}
;225:
;226:	if ( activator->client->ps.pm_type != PM_NORMAL ) {
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
CNSTI4 0
EQI4 $125
line 227
;227:		return;
ADDRGP4 $122
JUMPV
LABELV $125
line 229
;228:	}
;229:	if ( activator->client->ps.powerups[PW_FLIGHT] ) {
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 356
ADDP4
INDIRI4
CNSTI4 0
EQI4 $127
line 230
;230:		return;
ADDRGP4 $122
JUMPV
LABELV $127
line 233
;231:	}
;232:
;233:	VectorCopy (self->s.origin2, activator->client->ps.velocity);
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 32
ADDP4
ADDRFP4 0
INDIRP4
CNSTI4 104
ADDP4
INDIRB
ASGNB 12
line 236
;234:
;235:	// play fly sound every 1.5 seconds
;236:	if ( activator->fly_sound_debounce_time < level.time ) {
ADDRFP4 8
INDIRP4
CNSTI4 532
ADDP4
INDIRI4
ADDRGP4 level+32
INDIRI4
GEI4 $129
line 237
;237:		activator->fly_sound_debounce_time = level.time + 1500;
ADDRFP4 8
INDIRP4
CNSTI4 532
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 1500
ADDI4
ASGNI4
line 238
;238:		G_Sound( activator, self->noise_index );
ADDRFP4 8
INDIRP4
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 604
ADDP4
INDIRI4
ARGI4
ADDRGP4 G_Sound
CALLV
pop
line 239
;239:	}
LABELV $129
line 240
;240:}
LABELV $122
endproc Use_target_push 0 8
export SP_target_push
proc SP_target_push 36 8
line 247
;241:
;242:/*QUAKED target_push (.5 .5 .5) (-8 -8 -8) (8 8 8) ENERGYNOISE
;243:Pushes the activator in the direction.of angle, or towards a target apex.
;244:"speed"		defaults to 1000
;245:if "ENERGYNOISE", play energy noise instead of windfly
;246:*/
;247:void SP_target_push( gentity_t *self ) {
line 248
;248:	if (!self->speed) {
ADDRFP4 0
INDIRP4
CNSTI4 480
ADDP4
INDIRF4
CNSTF4 0
NEF4 $134
line 249
;249:		self->speed = 1000;
ADDRFP4 0
INDIRP4
CNSTI4 480
ADDP4
CNSTF4 1148846080
ASGNF4
line 250
;250:	}
LABELV $134
line 251
;251:	G_SetMovedir (self->s.angles, self->s.origin2);
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
CNSTI4 116
ADDP4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 104
ADDP4
ARGP4
ADDRGP4 G_SetMovedir
CALLV
pop
line 252
;252:	VectorScale (self->s.origin2, self->speed, self->s.origin2);
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
ADDRLP4 4
INDIRP4
CNSTI4 104
ADDP4
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRF4
ADDRLP4 4
INDIRP4
CNSTI4 480
ADDP4
INDIRF4
MULF4
ASGNF4
ADDRLP4 12
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 16
ADDRLP4 12
INDIRP4
CNSTI4 108
ADDP4
ASGNP4
ADDRLP4 16
INDIRP4
ADDRLP4 16
INDIRP4
INDIRF4
ADDRLP4 12
INDIRP4
CNSTI4 480
ADDP4
INDIRF4
MULF4
ASGNF4
ADDRLP4 20
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 24
ADDRLP4 20
INDIRP4
CNSTI4 112
ADDP4
ASGNP4
ADDRLP4 24
INDIRP4
ADDRLP4 24
INDIRP4
INDIRF4
ADDRLP4 20
INDIRP4
CNSTI4 480
ADDP4
INDIRF4
MULF4
ASGNF4
line 254
;253:
;254:	if ( self->spawnflags & 1 ) {
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
EQI4 $136
line 255
;255:		self->noise_index = G_SoundIndex("sound/ambience/forge/antigrav.wav");
ADDRGP4 $138
ARGP4
ADDRLP4 28
ADDRGP4 G_SoundIndex
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
CNSTI4 604
ADDP4
ADDRLP4 28
INDIRI4
ASGNI4
line 256
;256:	} else {
ADDRGP4 $137
JUMPV
LABELV $136
line 257
;257:		self->noise_index = G_SoundIndex("sound/misc/windfly.wav");	//fixme need sound!
ADDRGP4 $139
ARGP4
ADDRLP4 28
ADDRGP4 G_SoundIndex
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
CNSTI4 604
ADDP4
ADDRLP4 28
INDIRI4
ASGNI4
line 258
;258:	}
LABELV $137
line 259
;259:	if ( self->target ) {
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $140
line 260
;260:		VectorCopy( self->s.origin, self->r.absmin );
ADDRLP4 28
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 28
INDIRP4
CNSTI4 252
ADDP4
ADDRLP4 28
INDIRP4
CNSTI4 92
ADDP4
INDIRB
ASGNB 12
line 261
;261:		VectorCopy( self->s.origin, self->r.absmax );
ADDRLP4 32
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 32
INDIRP4
CNSTI4 264
ADDP4
ADDRLP4 32
INDIRP4
CNSTI4 92
ADDP4
INDIRB
ASGNB 12
line 262
;262:		self->think = AimAtTarget;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 AimAtTarget
ASGNP4
line 263
;263:		self->nextthink = level.time + FRAMETIME;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 100
ADDI4
ASGNI4
line 264
;264:	}
LABELV $140
line 265
;265:	self->use = Use_target_push;
ADDRFP4 0
INDIRP4
CNSTI4 516
ADDP4
ADDRGP4 Use_target_push
ASGNP4
line 266
;266:}
LABELV $133
endproc SP_target_push 36 8
export SelectRandomSpawnPoint
proc SelectRandomSpawnPoint 88 12
line 279
;267:
;268:/*
;269:==============================================================================
;270:
;271:trigger_teleport
;272:
;273:==============================================================================
;274:*/
;275:
;276:#define MAX_TRANSPORTER_POINTS 16
;277:
;278:gentity_t *SelectRandomSpawnPoint( void )
;279:{
line 280
;280:	gentity_t	*spot = NULL;
ADDRLP4 0
CNSTP4 0
ASGNP4
line 281
;281:	int			count = 0;
ADDRLP4 4
CNSTI4 0
ASGNI4
line 282
;282:	int			selection = 0;
ADDRLP4 76
CNSTI4 0
ASGNI4
line 286
;283:	gentity_t	*spots[MAX_TRANSPORTER_POINTS];
;284:	char		*classname;
;285:
;286:	classname = "info_player_deathmatch";
ADDRLP4 72
ADDRGP4 $144
ASGNP4
ADDRGP4 $146
JUMPV
LABELV $145
line 289
;287:
;288:	while ((spot = G_Find (spot, FOFS(classname), classname)) != NULL)
;289:	{
line 290
;290:		spots[ count++ ] = spot;
ADDRLP4 80
ADDRLP4 4
INDIRI4
ASGNI4
ADDRLP4 4
ADDRLP4 80
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 80
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 8
ADDP4
ADDRLP4 0
INDIRP4
ASGNP4
line 291
;291:		if (count == MAX_TRANSPORTER_POINTS)
ADDRLP4 4
INDIRI4
CNSTI4 16
NEI4 $148
line 292
;292:		{
line 293
;293:			break;
ADDRGP4 $147
JUMPV
LABELV $148
line 295
;294:		}
;295:	}
LABELV $146
line 288
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 312
ARGI4
ADDRLP4 72
INDIRP4
ARGP4
ADDRLP4 80
ADDRGP4 G_Find
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 80
INDIRP4
ASGNP4
ADDRLP4 80
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $145
LABELV $147
line 297
;296:
;297:	if ( !count )
ADDRLP4 4
INDIRI4
CNSTI4 0
NEI4 $150
line 298
;298:	{	// no spawn points !!??!
line 299
;299:		return NULL;
CNSTP4 0
RETP4
ADDRGP4 $143
JUMPV
LABELV $150
line 302
;300:	}
;301:
;302:	selection = rand() % count;
ADDRLP4 84
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 76
ADDRLP4 84
INDIRI4
ADDRLP4 4
INDIRI4
MODI4
ASGNI4
line 303
;303:	return spots[ selection ];
ADDRLP4 76
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 8
ADDP4
INDIRP4
RETP4
LABELV $143
endproc SelectRandomSpawnPoint 88 12
export trigger_teleporter_touch
proc trigger_teleporter_touch 28 16
line 307
;304:}
;305:
;306:void trigger_teleporter_touch (gentity_t *self, gentity_t *other, trace_t *trace )
;307:{
line 311
;308:	gentity_t	*dest;
;309:	vec3_t		destPoint;
;310:
;311:	if ( !other->client ) {
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $153
line 312
;312:		return;
ADDRGP4 $152
JUMPV
LABELV $153
line 314
;313:	}
;314:	if ( other->client->ps.pm_type == PM_DEAD ) {
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
CNSTI4 3
NEI4 $155
line 315
;315:		return;
ADDRGP4 $152
JUMPV
LABELV $155
line 318
;316:	}
;317:	// Spectators only?
;318:	if ( ( self->spawnflags & SF_SPECTATOR ) && 
ADDRLP4 16
CNSTI4 0
ASGNI4
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 1
BANDI4
ADDRLP4 16
INDIRI4
EQI4 $157
ADDRLP4 20
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
ASGNP4
ADDRLP4 20
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
CNSTI4 3
EQI4 $157
ADDRLP4 20
INDIRP4
CNSTI4 104
ADDP4
INDIRI4
CNSTI4 1024
BANDI4
ADDRLP4 16
INDIRI4
NEI4 $157
line 320
;319:		other->client->sess.sessionTeam != TEAM_SPECTATOR && !(other->client->ps.eFlags&EF_ELIMINATED) )
;320:	{
line 321
;321:		return;
ADDRGP4 $152
JUMPV
LABELV $157
line 325
;322:	}
;323:
;324:
;325:	if (self->spawnflags & SF_RANDOM)
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 2
BANDI4
CNSTI4 0
EQI4 $159
line 326
;326:	{
line 328
;327:		// find a random spawn point
;328:		dest = SelectRandomSpawnPoint();
ADDRLP4 24
ADDRGP4 SelectRandomSpawnPoint
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 24
INDIRP4
ASGNP4
line 329
;329:	}
ADDRGP4 $160
JUMPV
LABELV $159
line 331
;330:	else
;331:	{
line 332
;332:		dest = 	G_PickTarget( self->target );
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
ARGP4
ADDRLP4 24
ADDRGP4 G_PickTarget
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 24
INDIRP4
ASGNP4
line 333
;333:	}
LABELV $160
line 334
;334:	if (!dest)
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $161
line 335
;335:	{
line 336
;336:		G_Printf ("Couldn't find teleporter destination\n");
ADDRGP4 $163
ARGP4
ADDRGP4 G_Printf
CALLV
pop
line 337
;337:		return;
ADDRGP4 $152
JUMPV
LABELV $161
line 340
;338:	}
;339:	// put the bottom of the player's bbox at the bottom of the target's bbox
;340:	VectorCopy(dest->s.origin, destPoint);
ADDRLP4 4
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
INDIRB
ASGNB 12
line 341
;341:	destPoint[2] += dest->r.mins[2]; 
ADDRLP4 4+8
ADDRLP4 4+8
INDIRF4
ADDRLP4 0
INDIRP4
CNSTI4 232
ADDP4
INDIRF4
ADDF4
ASGNF4
line 342
;342:	destPoint[2] -= other->r.mins[2];
ADDRLP4 4+8
ADDRLP4 4+8
INDIRF4
ADDRFP4 4
INDIRP4
CNSTI4 232
ADDP4
INDIRF4
SUBF4
ASGNF4
line 344
;343:	// fudge it upwards just a bit
;344:	destPoint[2] += 1;
ADDRLP4 4+8
ADDRLP4 4+8
INDIRF4
CNSTF4 1065353216
ADDF4
ASGNF4
line 346
;345:
;346:	if (self->health)
ADDRFP4 0
INDIRP4
CNSTI4 540
ADDP4
INDIRI4
CNSTI4 0
EQI4 $167
line 347
;347:	{
line 348
;348:		TransportPlayer(other, destPoint, dest->s.angles, (self->health == -1)?0:self->health);
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 116
ADDP4
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 540
ADDP4
INDIRI4
CNSTI4 -1
NEI4 $170
ADDRLP4 24
CNSTI4 0
ASGNI4
ADDRGP4 $171
JUMPV
LABELV $170
ADDRLP4 24
ADDRFP4 0
INDIRP4
CNSTI4 540
ADDP4
INDIRI4
ASGNI4
LABELV $171
ADDRLP4 24
INDIRI4
ARGI4
ADDRGP4 TransportPlayer
CALLV
pop
line 349
;349:	}
ADDRGP4 $168
JUMPV
LABELV $167
line 351
;350:	else
;351:	{
line 352
;352:		TeleportPlayer( other, destPoint, dest->s.angles, TP_NORMAL );
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 116
ADDP4
ARGP4
CNSTI4 0
ARGI4
ADDRGP4 TeleportPlayer
CALLV
pop
line 353
;353:	}
LABELV $168
line 354
;354:}
LABELV $152
endproc trigger_teleporter_touch 28 16
export SP_trigger_teleport
proc SP_trigger_teleport 4 4
line 377
;355:
;356:
;357:/*QUAKED trigger_teleport (.5 .5 .5) ? SPECTATOR RANDOM
;358:Allows client side prediction of teleportation events.
;359:Must point at a target_position, which will be the teleport destination.
;360:
;361:--------- spawnflags --------
;362:
;363:If spectator is set, only spectators can use this teleport
;364:Spectator teleporters are not normally placed in the editor, but are created
;365:automatically near doors to allow spectators to move through them
;366:
;367:  RANDOM -- send player to random info_player_deathmatch spawn point
;368:
;369:
;370:----------- keys ------------
;371:
;372:  health -- default is original behavior (speed of 400), any other value will be the
;373: speed at which the player is spewed forth from the tranpsorter destination. -1
;374: if you want no speed.
;375:*/
;376:void SP_trigger_teleport( gentity_t *self )
;377:{
line 378
;378:	InitTrigger (self);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 InitTrigger
CALLV
pop
line 382
;379:
;380:	// unlike other triggers, we need to send this one to the client
;381:	// unless is a spectator trigger
;382:	if ( self->spawnflags & SF_SPECTATOR )
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
EQI4 $173
line 383
;383:	{
line 384
;384:		self->r.svFlags |= SVF_NOCLIENT;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 212
ADDP4
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRI4
CNSTI4 1
BORI4
ASGNI4
line 385
;385:	}
ADDRGP4 $174
JUMPV
LABELV $173
line 387
;386:	else
;387:	{
line 388
;388:		self->r.svFlags &= ~SVF_NOCLIENT;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 212
ADDP4
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRI4
CNSTI4 -2
BANDI4
ASGNI4
line 389
;389:	}
LABELV $174
line 391
;390:
;391:	self->s.eType = ET_TELEPORT_TRIGGER;
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 10
ASGNI4
line 392
;392:	self->touch = trigger_teleporter_touch;
ADDRFP4 0
INDIRP4
CNSTI4 512
ADDP4
ADDRGP4 trigger_teleporter_touch
ASGNP4
line 394
;393:
;394:	trap_LinkEntity (self);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 395
;395:}
LABELV $172
endproc SP_trigger_teleport 4 4
export hurt_use
proc hurt_use 0 4
line 418
;396:
;397:
;398:/*
;399:==============================================================================
;400:
;401:trigger_hurt
;402:
;403:==============================================================================
;404:*/
;405:
;406:/*QUAKED trigger_hurt (.5 .5 .5) ? START_OFF - SILENT NO_PROTECTION SLOW
;407:Any entity that touches this will be hurt.
;408:It does dmg points of damage each server frame
;409:Targeting the trigger will toggle its on / off state.
;410:
;411:SILENT			supresses playing the sound
;412:SLOW			changes the damage rate to once per second
;413:NO_PROTECTION	*nothing* stops the damage
;414:
;415:"dmg"			default 5 (whole numbers only)
;416:
;417:*/
;418:void hurt_use( gentity_t *self, gentity_t *other, gentity_t *activator ) {
line 419
;419:	if ( self->r.linked ) {
ADDRFP4 0
INDIRP4
CNSTI4 204
ADDP4
INDIRI4
CNSTI4 0
EQI4 $176
line 420
;420:		trap_UnlinkEntity( self );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_UnlinkEntity
CALLV
pop
line 421
;421:	} else {
ADDRGP4 $177
JUMPV
LABELV $176
line 422
;422:		trap_LinkEntity( self );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 423
;423:	}
LABELV $177
line 424
;424:}
LABELV $175
endproc hurt_use 0 4
export hurt_touch
proc hurt_touch 12 32
line 426
;425:
;426:void hurt_touch( gentity_t *self, gentity_t *other, trace_t *trace ) {
line 429
;427:	int		dflags;
;428:
;429:	if ( !other->takedamage ) {
ADDRFP4 4
INDIRP4
CNSTI4 548
ADDP4
INDIRI4
CNSTI4 0
NEI4 $179
line 430
;430:		return;
ADDRGP4 $178
JUMPV
LABELV $179
line 433
;431:	}
;432:
;433:	if ( self->timestamp > level.time ) {
ADDRFP4 0
INDIRP4
CNSTI4 452
ADDP4
INDIRI4
ADDRGP4 level+32
INDIRI4
LEI4 $181
line 434
;434:		return;
ADDRGP4 $178
JUMPV
LABELV $181
line 437
;435:	}
;436:
;437:	if ( self->spawnflags & 16 ) {
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 16
BANDI4
CNSTI4 0
EQI4 $184
line 438
;438:		self->timestamp = level.time + 1000;
ADDRFP4 0
INDIRP4
CNSTI4 452
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 1000
ADDI4
ASGNI4
line 439
;439:	} else {
ADDRGP4 $185
JUMPV
LABELV $184
line 440
;440:		self->timestamp = level.time + FRAMETIME;
ADDRFP4 0
INDIRP4
CNSTI4 452
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 100
ADDI4
ASGNI4
line 441
;441:	}
LABELV $185
line 444
;442:
;443:	// play sound
;444:	if ( !(self->spawnflags & 4) ) {
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 4
BANDI4
CNSTI4 0
NEI4 $188
line 445
;445:		G_Sound( other, self->noise_index );
ADDRFP4 4
INDIRP4
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 604
ADDP4
INDIRI4
ARGI4
ADDRGP4 G_Sound
CALLV
pop
line 446
;446:	}
LABELV $188
line 448
;447:
;448:	if (self->spawnflags & 8)
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 8
BANDI4
CNSTI4 0
EQI4 $190
line 449
;449:		dflags = DAMAGE_NO_PROTECTION;
ADDRLP4 0
CNSTI4 32
ASGNI4
ADDRGP4 $191
JUMPV
LABELV $190
line 451
;450:	else
;451:		dflags = 0;
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $191
line 452
;452:	G_Damage (other, self, self, NULL, NULL, self->damage, dflags, MOD_TRIGGER_HURT);
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
ARGP4
ADDRLP4 4
INDIRP4
ARGP4
ADDRLP4 8
CNSTP4 0
ASGNP4
ADDRLP4 8
INDIRP4
ARGP4
ADDRLP4 8
INDIRP4
ARGP4
ADDRLP4 4
INDIRP4
CNSTI4 552
ADDP4
INDIRI4
ARGI4
ADDRLP4 0
INDIRI4
ARGI4
CNSTI4 9
ARGI4
ADDRGP4 G_Damage
CALLV
pop
line 453
;453:}
LABELV $178
endproc hurt_touch 12 32
export SP_trigger_hurt
proc SP_trigger_hurt 4 4
line 455
;454:
;455:void SP_trigger_hurt( gentity_t *self ) {
line 456
;456:	InitTrigger (self);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 InitTrigger
CALLV
pop
line 458
;457:
;458:	self->noise_index = G_SoundIndex( "sound/world/electro.wav" );
ADDRGP4 $193
ARGP4
ADDRLP4 0
ADDRGP4 G_SoundIndex
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
CNSTI4 604
ADDP4
ADDRLP4 0
INDIRI4
ASGNI4
line 459
;459:	self->touch = hurt_touch;
ADDRFP4 0
INDIRP4
CNSTI4 512
ADDP4
ADDRGP4 hurt_touch
ASGNP4
line 461
;460:
;461:	if ( !self->damage ) {
ADDRFP4 0
INDIRP4
CNSTI4 552
ADDP4
INDIRI4
CNSTI4 0
NEI4 $194
line 462
;462:		self->damage = 5;
ADDRFP4 0
INDIRP4
CNSTI4 552
ADDP4
CNSTI4 5
ASGNI4
line 463
;463:	}
LABELV $194
line 465
;464:
;465:	self->r.contents = CONTENTS_TRIGGER;
ADDRFP4 0
INDIRP4
CNSTI4 248
ADDP4
CNSTI4 1073741824
ASGNI4
line 467
;466:
;467:	if ( self->spawnflags & 2 ) {
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 2
BANDI4
CNSTI4 0
EQI4 $196
line 468
;468:		self->use = hurt_use;
ADDRFP4 0
INDIRP4
CNSTI4 516
ADDP4
ADDRGP4 hurt_use
ASGNP4
line 469
;469:	}
LABELV $196
line 472
;470:
;471:	// link in to the world if starting active
;472:	if ( ! (self->spawnflags & 1) ) {
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
NEI4 $198
line 473
;473:		trap_LinkEntity (self);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 474
;474:	}
LABELV $198
line 475
;475:}
LABELV $192
endproc SP_trigger_hurt 4 4
export func_timer_think
proc func_timer_think 12 8
line 498
;476:
;477:
;478:/*
;479:==============================================================================
;480:
;481:timer
;482:
;483:==============================================================================
;484:*/
;485:
;486:
;487:/*QUAKED func_timer (0.3 0.1 0.6) (-8 -8 -8) (8 8 8) START_ON
;488:This should be renamed trigger_timer...
;489:Repeatedly fires its targets.
;490:Can be turned on or off by using.
;491:
;492:"wait"			base time between triggering all targets, default is 1
;493:"random"		wait variance, default is 0
;494:so, the basic time between firing is a random time between
;495:(wait - random) and (wait + random)
;496:
;497:*/
;498:void func_timer_think( gentity_t *self ) {
line 499
;499:	G_UseTargets (self, self->activator);
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 584
ADDP4
INDIRP4
ARGP4
ADDRGP4 G_UseTargets
CALLV
pop
line 501
;500:	// set time before next firing
;501:	self->nextthink = level.time + 1000 * ( self->wait + crandom() * self->random );
ADDRLP4 4
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CVIF4 4
CNSTF4 1148846080
ADDRLP4 8
INDIRP4
CNSTI4 608
ADDP4
INDIRF4
CNSTF4 1073741824
ADDRLP4 4
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
ADDRFP4 0
INDIRP4
CNSTI4 612
ADDP4
INDIRF4
MULF4
ADDF4
MULF4
ADDF4
CVFI4 4
ASGNI4
line 502
;502:}
LABELV $200
endproc func_timer_think 12 8
export func_timer_use
proc func_timer_use 0 4
line 504
;503:
;504:void func_timer_use( gentity_t *self, gentity_t *other, gentity_t *activator ) {
line 505
;505:	self->activator = activator;
ADDRFP4 0
INDIRP4
CNSTI4 584
ADDP4
ADDRFP4 8
INDIRP4
ASGNP4
line 508
;506:
;507:	// if on, turn it off
;508:	if ( self->nextthink ) {
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
INDIRI4
CNSTI4 0
EQI4 $203
line 509
;509:		self->nextthink = 0;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
CNSTI4 0
ASGNI4
line 510
;510:		return;
ADDRGP4 $202
JUMPV
LABELV $203
line 514
;511:	}
;512:
;513:	// turn it on
;514:	func_timer_think (self);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 func_timer_think
CALLV
pop
line 515
;515:}
LABELV $202
endproc func_timer_use 0 4
export SP_func_timer
proc SP_func_timer 12 12
line 517
;516:
;517:void SP_func_timer( gentity_t *self ) {
line 518
;518:	G_SpawnFloat( "random", "1", &self->random);
ADDRGP4 $88
ARGP4
ADDRGP4 $206
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 612
ADDP4
ARGP4
ADDRGP4 G_SpawnFloat
CALLI4
pop
line 519
;519:	G_SpawnFloat( "wait", "1", &self->wait );
ADDRGP4 $86
ARGP4
ADDRGP4 $206
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 608
ADDP4
ARGP4
ADDRGP4 G_SpawnFloat
CALLI4
pop
line 521
;520:
;521:	self->use = func_timer_use;
ADDRFP4 0
INDIRP4
CNSTI4 516
ADDP4
ADDRGP4 func_timer_use
ASGNP4
line 522
;522:	self->think = func_timer_think;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 func_timer_think
ASGNP4
line 524
;523:
;524:	if ( self->random >= self->wait ) {
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
CNSTI4 612
ADDP4
INDIRF4
ADDRLP4 0
INDIRP4
CNSTI4 608
ADDP4
INDIRF4
LTF4 $207
line 525
;525:		self->random = self->wait - FRAMETIME;
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CNSTI4 612
ADDP4
ADDRLP4 4
INDIRP4
CNSTI4 608
ADDP4
INDIRF4
CNSTF4 1120403456
SUBF4
ASGNF4
line 526
;526:		G_Printf( "func_timer at %s has random >= wait\n", vtos( self->s.origin ) );
ADDRFP4 0
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRLP4 8
ADDRGP4 vtos
CALLP4
ASGNP4
ADDRGP4 $209
ARGP4
ADDRLP4 8
INDIRP4
ARGP4
ADDRGP4 G_Printf
CALLV
pop
line 527
;527:	}
LABELV $207
line 529
;528:
;529:	if ( self->spawnflags & 1 ) {
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
EQI4 $210
line 530
;530:		self->nextthink = level.time + FRAMETIME;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 100
ADDI4
ASGNI4
line 531
;531:		self->activator = self;
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CNSTI4 584
ADDP4
ADDRLP4 4
INDIRP4
ASGNP4
line 532
;532:	}
LABELV $210
line 534
;533:
;534:	self->r.svFlags = SVF_NOCLIENT;
ADDRFP4 0
INDIRP4
CNSTI4 212
ADDP4
CNSTI4 1
ASGNI4
line 535
;535:}
LABELV $205
endproc SP_func_timer 12 12
import G_UnTimeShiftAllClients
import G_UnTimeShiftClient
import G_TimeShiftAllClients
import G_TimeShiftClient
import G_ResetTrail
import G_StoreTrail
import trap_GeneticParentsAndChildSelection
import trap_BotResetWeaponState
import trap_BotFreeWeaponState
import trap_BotAllocWeaponState
import trap_BotLoadWeaponWeights
import trap_BotGetWeaponInfo
import trap_BotChooseBestFightWeapon
import trap_BotInitMoveState
import trap_BotFreeMoveState
import trap_BotAllocMoveState
import trap_BotPredictVisiblePosition
import trap_BotMovementViewTarget
import trap_BotReachabilityArea
import trap_BotResetLastAvoidReach
import trap_BotResetAvoidReach
import trap_BotMoveInDirection
import trap_BotMoveToGoal
import trap_BotResetMoveState
import trap_BotFreeGoalState
import trap_BotAllocGoalState
import trap_BotMutateGoalFuzzyLogic
import trap_BotSaveGoalFuzzyLogic
import trap_BotInterbreedGoalFuzzyLogic
import trap_BotFreeItemWeights
import trap_BotLoadItemWeights
import trap_BotUpdateEntityItems
import trap_BotInitLevelItems
import trap_BotAvoidGoalTime
import trap_BotGetLevelItemGoal
import trap_BotGetMapLocationGoal
import trap_BotGetNextCampSpotGoal
import trap_BotItemGoalInVisButNotVisible
import trap_BotTouchingGoal
import trap_BotChooseNBGItem
import trap_BotChooseLTGItem
import trap_BotGetSecondGoal
import trap_BotGetTopGoal
import trap_BotGoalName
import trap_BotDumpGoalStack
import trap_BotDumpAvoidGoals
import trap_BotEmptyGoalStack
import trap_BotPopGoal
import trap_BotPushGoal
import trap_BotResetAvoidGoals
import trap_BotRemoveFromAvoidGoals
import trap_BotResetGoalState
import trap_BotSetChatName
import trap_BotSetChatGender
import trap_BotLoadChatFile
import trap_BotReplaceSynonyms
import trap_UnifyWhiteSpaces
import trap_BotMatchVariable
import trap_BotFindMatch
import trap_StringContains
import trap_BotGetChatMessage
import trap_BotEnterChat
import trap_BotChatLength
import trap_BotReplyChat
import trap_BotNumInitialChats
import trap_BotInitialChat
import trap_BotNumConsoleMessages
import trap_BotNextConsoleMessage
import trap_BotRemoveConsoleMessage
import trap_BotQueueConsoleMessage
import trap_BotFreeChatState
import trap_BotAllocChatState
import trap_Characteristic_String
import trap_Characteristic_BInteger
import trap_Characteristic_Integer
import trap_Characteristic_BFloat
import trap_Characteristic_Float
import trap_BotFreeCharacter
import trap_BotLoadCharacter
import trap_EA_ResetInput
import trap_EA_GetInput
import trap_EA_EndRegular
import trap_EA_View
import trap_EA_Move
import trap_EA_MoveRight
import trap_EA_MoveLeft
import trap_EA_MoveBack
import trap_EA_MoveForward
import trap_EA_MoveDown
import trap_EA_MoveUp
import trap_EA_Crouch
import trap_EA_DelayedJump
import trap_EA_Jump
import trap_EA_Respawn
import trap_EA_Use
import trap_EA_Alt_Attack
import trap_EA_Attack
import trap_EA_Talk
import trap_EA_SelectWeapon
import trap_EA_Command
import trap_EA_Gesture
import trap_EA_DropInv
import trap_EA_UseInv
import trap_EA_DropItem
import trap_EA_UseItem
import trap_EA_SayTeam
import trap_EA_Say
import trap_AAS_PredictClientMovement
import trap_AAS_Swimming
import trap_AAS_AreaTravelTimeToGoalArea
import trap_AAS_AreaReachability
import trap_AAS_IntForBSPEpairKey
import trap_AAS_FloatForBSPEpairKey
import trap_AAS_VectorForBSPEpairKey
import trap_AAS_ValueForBSPEpairKey
import trap_AAS_NextBSPEntity
import trap_AAS_PointContents
import trap_AAS_TraceAreas
import trap_AAS_PointAreaNum
import trap_AAS_Time
import trap_AAS_PresenceTypeBoundingBox
import trap_AAS_Initialized
import trap_AAS_EntityInfo
import trap_BotUserCommand
import trap_BotGetConsoleMessage
import trap_BotGetSnapshotEntity
import trap_BotLibTest
import trap_BotLibUpdateEntity
import trap_BotLibLoadMap
import trap_BotLibStartFrame
import trap_BotLibDefine
import trap_BotLibVarGet
import trap_BotLibVarSet
import trap_BotLibShutdown
import trap_BotLibSetup
import trap_DebugPolygonDelete
import trap_DebugPolygonCreate
import trap_GetEntityToken
import trap_GetUsercmd
import trap_BotFreeClient
import trap_BotAllocateClient
import trap_EntityContact
import trap_EntitiesInBox
import trap_UnlinkEntity
import trap_LinkEntity
import trap_AreasConnected
import trap_AdjustAreaPortalState
import trap_InPVSIgnorePortals
import trap_InPVS
import trap_PointContents
import trap_Trace
import trap_SetBrushModel
import trap_GetServerinfo
import trap_SetUserinfo
import trap_GetUserinfo
import trap_GetConfigstring
import trap_SetConfigstring
import trap_SendServerCommand
import trap_DropClient
import trap_LocateGameData
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableIntegerValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_SendConsoleCommand
import trap_FS_GetFileList
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Milliseconds
import trap_Error
import trap_Printf
import g_unlaggedVersion
import g_delagHitscan
import g_CStrikeVersion
import g_classChangeDebounceTime
import g_noJoinTimeout
import g_random_skin_limit
import g_team_group_blue
import g_team_group_red
import g_ghostRespawn
import g_holoIntro
import g_debugUp
import g_debugRight
import g_debugForward
import g_filterBan
import g_banIPs
import g_teamForceBalance
import g_teamAutoJoin
import g_allowVote
import g_doWarmup
import g_warmup
import g_motd
import g_synchronousClients
import g_adaptRespawn
import g_weaponRespawn
import g_debugDamage
import g_debugAlloc
import g_debugMove
import g_inactivity
import g_forcerespawn
import g_dmgmult
import g_knockback
import g_speed
import g_gravity
import g_needpass
import g_password
import g_friendlyFire
import g_capturelimit
import g_timelimitWinningTeam
import g_timelimit
import g_fraglimit
import g_dmflags
import g_language
import g_restarted
import g_maxGameClients
import g_maxclients
import g_cheats
import g_dedicated
import g_gametype
import g_pModElimination
import g_pModSpecialties
import g_pModActionHero
import g_pModDisintegration
import g_pModAssimilation
import g_entities
import level
import Pickup_Team
import CheckTeamStatus
import TeamplayInfoMessage
import Team_GetLocationMsg
import Team_GetLocation
import SelectCTFSpawnPoint
import Team_FreeEntity
import Team_ReturnFlag
import Team_InitGame
import Team_CheckHurtCarrier
import Team_FragBonuses
import Team_DroppedFlagThink
import TeamColorString
import OtherTeamName
import TeamName
import OtherTeam
import BotAIStartFrame
import BotAIShutdownClient
import BotAISetupClient
import BotAILoadMap
import BotAIShutdown
import BotAISetup
import BotInterbreedEndMatch
import Svcmd_BotList_f
import Svcmd_AddBot_f
import G_BotConnect
import G_QueueBotBegin
import G_CheckBotSpawn
import G_GetBotInfoByName
import G_GetBotInfoByNumber
import G_InitBots
import Svcmd_AbortPodium_f
import SpawnModelsOnVictoryPads
import UpdateTournamentInfo
import G_WriteSessionData
import G_InitWorldSession
import G_InitSessionData
import G_ReadSessionData
import Svcmd_GameMem_f
import G_InitMemory
import G_Alloc
import Team_CheckDroppedItem
import OnSameTeam
import Cmd_Ready_f
import G_RunClient
import ClientEndFrame
import ClientThink
import ClientCommand
import ClientBegin
import ClientDisconnect
import ClientUserinfoChanged
import ClientConnect
import GetFavoriteWeaponForClient
import GetWorstEnemyForClient
import GetFavoriteTargetForClient
import GetMaxKillsForClient
import GetMaxDeathsForClient
import CalculateTeamMVPByRank
import CalculateAwards
import G_ClearClientLog
import G_LogExit
import G_LogWeaponOutput
import G_LogWeaponInit
import G_LogWeaponItem
import G_LogWeaponPowerup
import G_LogWeaponFrag
import G_LogWeaponDeath
import G_LogWeaponKill
import G_LogWeaponDamage
import G_LogWeaponFire
import G_LogWeaponPickup
import G_LogPrintf
import G_Error
import G_Printf
import SendScoreboardMessageToAllClients
import G_RunThink
import FindIntermissionPoint
import DeathmatchScoreboardMessage
import G_SetStats
import MoveClientToIntermission
import FireWeapon
import G_FilterPacket
import G_ProcessIPBans
import ConsoleCommand
import SpotWouldTelefrag
import CalculateRanks
import AddScore
import player_die
import ClientSpawn
import InitBodyQue
import InitClientResp
import InitClientPersistant
import BeginIntermission
import respawn
import SelectSpawnPoint
import SetClientViewAngle
import PickTeam
import TeamCount
import FireSeeker
import SeekerAcquiresTarget
import SnapVectorTowards
import CalcMuzzlePoint
import LogAccuracyHit
import TransportPlayer
import TeleportPlayer
import Touch_DoorTrigger
import G_RunMover
import fire_grapple
import fire_rocket
import fire_grenade
import fire_quantum
import fire_plasma
import fire_blaster
import G_RunMissile
import TossClientItems
import body_die
import G_RadiusDamage
import G_Damage
import CanDamage
import G_RadiusList
import G_SetOrigin
import G_AddEvent
import G_AddPredictableEvent
import vectoyaw
import vtos
import tv
import G_TouchSolids
import G_TouchTriggers
import G_FreeEntity
import G_Sound
import G_TempEntity
import G_Spawn
import G_InitGentity
import G_SetMovedir
import G_UseTargets2
import G_UseTargets
import G_PickTarget
import G_Find
import G_KillBox
import G_TeamCommand
import G_SoundIndex
import G_ModelIndex
import SaveRegisteredItems
import RegisterItem
import ClearRegisteredItems
import Touch_Item
import Add_Ammo
import ArmorIndex
import Think_Weapon
import FinishSpawningItem
import G_SpawnItem
import SetRespawn
import Drop_Item
import PrecacheItem
import UseHoldableItem
import RespawnItem
import G_RunItem
import G_CheckTeamItems
import Cmd_FollowCycle_f
import SetTeam
import BroadcastTeamChange
import StopFollowing
import Cmd_Score_f
import G_NewString
import G_SpawnEntitiesFromString
import G_SpawnVector
import G_SpawnInt
import G_SpawnFloat
import G_SpawnString
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $209
byte 1 102
byte 1 117
byte 1 110
byte 1 99
byte 1 95
byte 1 116
byte 1 105
byte 1 109
byte 1 101
byte 1 114
byte 1 32
byte 1 97
byte 1 116
byte 1 32
byte 1 37
byte 1 115
byte 1 32
byte 1 104
byte 1 97
byte 1 115
byte 1 32
byte 1 114
byte 1 97
byte 1 110
byte 1 100
byte 1 111
byte 1 109
byte 1 32
byte 1 62
byte 1 61
byte 1 32
byte 1 119
byte 1 97
byte 1 105
byte 1 116
byte 1 10
byte 1 0
align 1
LABELV $206
byte 1 49
byte 1 0
align 1
LABELV $193
byte 1 115
byte 1 111
byte 1 117
byte 1 110
byte 1 100
byte 1 47
byte 1 119
byte 1 111
byte 1 114
byte 1 108
byte 1 100
byte 1 47
byte 1 101
byte 1 108
byte 1 101
byte 1 99
byte 1 116
byte 1 114
byte 1 111
byte 1 46
byte 1 119
byte 1 97
byte 1 118
byte 1 0
align 1
LABELV $163
byte 1 67
byte 1 111
byte 1 117
byte 1 108
byte 1 100
byte 1 110
byte 1 39
byte 1 116
byte 1 32
byte 1 102
byte 1 105
byte 1 110
byte 1 100
byte 1 32
byte 1 116
byte 1 101
byte 1 108
byte 1 101
byte 1 112
byte 1 111
byte 1 114
byte 1 116
byte 1 101
byte 1 114
byte 1 32
byte 1 100
byte 1 101
byte 1 115
byte 1 116
byte 1 105
byte 1 110
byte 1 97
byte 1 116
byte 1 105
byte 1 111
byte 1 110
byte 1 10
byte 1 0
align 1
LABELV $144
byte 1 105
byte 1 110
byte 1 102
byte 1 111
byte 1 95
byte 1 112
byte 1 108
byte 1 97
byte 1 121
byte 1 101
byte 1 114
byte 1 95
byte 1 100
byte 1 101
byte 1 97
byte 1 116
byte 1 104
byte 1 109
byte 1 97
byte 1 116
byte 1 99
byte 1 104
byte 1 0
align 1
LABELV $139
byte 1 115
byte 1 111
byte 1 117
byte 1 110
byte 1 100
byte 1 47
byte 1 109
byte 1 105
byte 1 115
byte 1 99
byte 1 47
byte 1 119
byte 1 105
byte 1 110
byte 1 100
byte 1 102
byte 1 108
byte 1 121
byte 1 46
byte 1 119
byte 1 97
byte 1 118
byte 1 0
align 1
LABELV $138
byte 1 115
byte 1 111
byte 1 117
byte 1 110
byte 1 100
byte 1 47
byte 1 97
byte 1 109
byte 1 98
byte 1 105
byte 1 101
byte 1 110
byte 1 99
byte 1 101
byte 1 47
byte 1 102
byte 1 111
byte 1 114
byte 1 103
byte 1 101
byte 1 47
byte 1 97
byte 1 110
byte 1 116
byte 1 105
byte 1 103
byte 1 114
byte 1 97
byte 1 118
byte 1 46
byte 1 119
byte 1 97
byte 1 118
byte 1 0
align 1
LABELV $92
byte 1 116
byte 1 114
byte 1 105
byte 1 103
byte 1 103
byte 1 101
byte 1 114
byte 1 95
byte 1 109
byte 1 117
byte 1 108
byte 1 116
byte 1 105
byte 1 112
byte 1 108
byte 1 101
byte 1 32
byte 1 104
byte 1 97
byte 1 115
byte 1 32
byte 1 114
byte 1 97
byte 1 110
byte 1 100
byte 1 111
byte 1 109
byte 1 32
byte 1 62
byte 1 61
byte 1 32
byte 1 119
byte 1 97
byte 1 105
byte 1 116
byte 1 10
byte 1 0
align 1
LABELV $89
byte 1 48
byte 1 0
align 1
LABELV $88
byte 1 114
byte 1 97
byte 1 110
byte 1 100
byte 1 111
byte 1 109
byte 1 0
align 1
LABELV $87
byte 1 48
byte 1 46
byte 1 53
byte 1 0
align 1
LABELV $86
byte 1 119
byte 1 97
byte 1 105
byte 1 116
byte 1 0
