code
proc UI_CDKeyMenu_PreValidateKey 24 4
file "../ui_cdkey.c"
line 40
;1:// Copyright (C) 1999-2000 Id Software, Inc.
;2://
;3:/*
;4:=======================================================================
;5:
;6:CD KEY MENU
;7:
;8:=======================================================================
;9:*/
;10:
;11:
;12:#include "ui_local.h"
;13:
;14:#define ID_CDKEY		10
;15:#define ID_ACCEPT		11
;16:#define ID_ACCEPTLATER	12
;17:
;18:
;19:typedef struct {
;20:	menuframework_s	menu;
;21:
;22:	menufield_s		cdkey;
;23:
;24:	menubitmap_s	accept;
;25:	menubitmap_s	acceptlater;
;26:	int				keyResult;
;27:
;28:	qhandle_t		halfround;
;29:	int				fromMenu;
;30:} cdkeyMenuInfo_t;
;31:
;32:static cdkeyMenuInfo_t	cdkeyMenuInfo;
;33:
;34:/*
;35:=================
;36:UI_CDKeyMenu_PreValidateKey
;37:=================
;38:*/
;39:static int UI_CDKeyMenu_PreValidateKey( const char *key ) 
;40:{
line 44
;41:	int		cnt, i;
;42:
;43:	// With dashes can't be more than 21 long
;44:	if( strlen( key ) > 22 ) 
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 8
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 8
INDIRI4
CNSTI4 22
LEI4 $76
line 45
;45:	{
line 46
;46:		return -1;
CNSTI4 -1
RETI4
ADDRGP4 $75
JUMPV
LABELV $76
line 49
;47:	}
;48:
;49:	cnt = 0;
ADDRLP4 4
CNSTI4 0
ASGNI4
line 50
;50:	for(i = 0; i < strlen( key ) && key[i]; i++)
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $81
JUMPV
LABELV $78
line 51
;51:	{
line 52
;52:		if ( ( key[i] >= '0' && key[i] <= '9' )
ADDRLP4 12
ADDRLP4 0
INDIRI4
ADDRFP4 0
INDIRP4
ADDP4
INDIRI1
CVII4 1
ASGNI4
ADDRLP4 12
INDIRI4
CNSTI4 48
LTI4 $85
ADDRLP4 12
INDIRI4
CNSTI4 57
LEI4 $86
LABELV $85
ADDRLP4 16
ADDRLP4 0
INDIRI4
ADDRFP4 0
INDIRP4
ADDP4
INDIRI1
CVII4 1
ASGNI4
ADDRLP4 16
INDIRI4
CNSTI4 97
LTI4 $87
ADDRLP4 16
INDIRI4
CNSTI4 122
LEI4 $86
LABELV $87
ADDRLP4 20
ADDRLP4 0
INDIRI4
ADDRFP4 0
INDIRP4
ADDP4
INDIRI1
CVII4 1
ASGNI4
ADDRLP4 20
INDIRI4
CNSTI4 65
LTI4 $82
ADDRLP4 20
INDIRI4
CNSTI4 90
GTI4 $82
LABELV $86
line 56
;53:			|| ( key[i] >= 'a' && key[i] <= 'z' )
;54:			|| ( key[i] >= 'A' && key[i] <= 'Z' )
;55:			)
;56:		{
line 57
;57:			cnt++;
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 58
;58:		}
LABELV $82
line 59
;59:	}
LABELV $79
line 50
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $81
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 12
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
ADDRLP4 12
INDIRI4
GEI4 $88
ADDRLP4 0
INDIRI4
ADDRFP4 0
INDIRP4
ADDP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $78
LABELV $88
line 62
;60:
;61:	// Count without dashes (Should be 18 but 0's at the end weren't printed on the documentation so we're allowing 16 and adding the 0's in the keycheck)
;62:	if ((cnt < 16) || (cnt > 18))
ADDRLP4 4
INDIRI4
CNSTI4 16
LTI4 $91
ADDRLP4 4
INDIRI4
CNSTI4 18
LEI4 $89
LABELV $91
line 64
;63://	if (cnt != 18)
;64:	{
line 65
;65:		return -1;
CNSTI4 -1
RETI4
ADDRGP4 $75
JUMPV
LABELV $89
line 67
;66:	}
;67:	return 0;
CNSTI4 0
RETI4
LABELV $75
endproc UI_CDKeyMenu_PreValidateKey 24 4
proc UI_CDKeyMenu_Event 16 8
line 77
;68:}
;69:
;70:
;71:/*
;72:===============
;73:UI_CDKeyMenu_Event
;74:===============
;75:*/
;76:static void UI_CDKeyMenu_Event( void *ptr, int event ) 
;77:{
line 78
;78:	if( event != QM_ACTIVATED ) 
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $93
line 79
;79:	{
line 80
;80:		return;
ADDRGP4 $92
JUMPV
LABELV $93
line 83
;81:	}
;82:
;83:	switch( ((menucommon_s*)ptr)->id ) 
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 11
EQI4 $98
ADDRLP4 0
INDIRI4
CNSTI4 12
EQI4 $120
ADDRGP4 $95
JUMPV
line 84
;84:	{
LABELV $98
line 87
;85:	case ID_ACCEPT:
;86:
;87:		cdkeyMenuInfo.keyResult = UI_CDKeyMenu_PreValidateKey( cdkeyMenuInfo.cdkey.field.buffer);
ADDRGP4 cdkeyMenuInfo+324+60+12
ARGP4
ADDRLP4 8
ADDRGP4 UI_CDKeyMenu_PreValidateKey
CALLI4
ASGNI4
ADDRGP4 cdkeyMenuInfo+964
ADDRLP4 8
INDIRI4
ASGNI4
line 89
;88:
;89:		if (cdkeyMenuInfo.keyResult == 0)
ADDRGP4 cdkeyMenuInfo+964
INDIRI4
CNSTI4 0
NEI4 $103
line 90
;90:		{//passed quick check, now check for real
line 91
;91:			if(trap_SetCDKey( cdkeyMenuInfo.cdkey.field.buffer ))
ADDRGP4 cdkeyMenuInfo+324+60+12
ARGP4
ADDRLP4 12
ADDRGP4 trap_SetCDKey
CALLI4
ASGNI4
ADDRLP4 12
INDIRI4
CNSTI4 0
EQI4 $106
line 92
;92:			{//success
line 93
;93:				trap_Cvar_Set( "ui_cdkeychecked", "1" );
ADDRGP4 $111
ARGP4
ADDRGP4 $112
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 94
;94:				if (cdkeyMenuInfo.fromMenu)
ADDRGP4 cdkeyMenuInfo+972
INDIRI4
CNSTI4 0
EQI4 $96
line 95
;95:				{
line 96
;96:					UI_PopMenu();
ADDRGP4 UI_PopMenu
CALLV
pop
line 97
;97:				}
line 98
;98:			}
ADDRGP4 $96
JUMPV
LABELV $106
line 100
;99:			else
;100:			{//failed real check
line 101
;101:				cdkeyMenuInfo.keyResult = -1;
ADDRGP4 cdkeyMenuInfo+964
CNSTI4 -1
ASGNI4
line 102
;102:				trap_S_StartLocalSound( menu_buzz_sound, CHAN_MENU1);	// WRONG!!!! sound
ADDRGP4 menu_buzz_sound
INDIRI4
ARGI4
CNSTI4 8
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 103
;103:			}
line 104
;104:		}
ADDRGP4 $96
JUMPV
LABELV $103
line 105
;105:		else if (cdkeyMenuInfo.keyResult < 0)
ADDRGP4 cdkeyMenuInfo+964
INDIRI4
CNSTI4 0
GEI4 $96
line 106
;106:		{//failed ui quick check
line 107
;107:			trap_S_StartLocalSound( menu_buzz_sound, CHAN_MENU1);	// WRONG!!!! sound
ADDRGP4 menu_buzz_sound
INDIRI4
ARGI4
CNSTI4 8
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 108
;108:		}
line 109
;109:		break;
ADDRGP4 $96
JUMPV
LABELV $120
line 112
;110:
;111:	case ID_ACCEPTLATER:
;112:		if (cdkeyMenuInfo.keyResult != 0) {	//not valid or not entered
ADDRGP4 cdkeyMenuInfo+964
INDIRI4
CNSTI4 0
EQI4 $121
line 113
;113:			trap_Cvar_Set( "ui_cdkeychecked", "-1" );
ADDRGP4 $111
ARGP4
ADDRGP4 $124
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 114
;114:		}
LABELV $121
line 115
;115:		UI_PopMenu();
ADDRGP4 UI_PopMenu
CALLV
pop
line 116
;116:		break;
LABELV $95
LABELV $96
line 119
;117:
;118:	}
;119:}
LABELV $92
endproc UI_CDKeyMenu_Event 16 8
proc UI_CDKeyMenu_DrawKey 40 20
line 128
;120:
;121:
;122:/*
;123:=================
;124:UI_CDKeyMenu_DrawKey
;125:=================
;126:*/
;127:static void UI_CDKeyMenu_DrawKey( void *self ) 
;128:{
line 136
;129:	menufield_s		*f;
;130:	qboolean		focus;
;131:	int				style;
;132:	char			c;
;133:	float			*color;
;134:	int				x, y;
;135:
;136:	f = (menufield_s *)self;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
line 138
;137:
;138:	focus = (f->generic.parent->cursor == f->generic.menuPosition);
ADDRLP4 0
INDIRP4
CNSTI4 36
ADDP4
INDIRP4
INDIRI4
ADDRLP4 0
INDIRP4
CNSTI4 40
ADDP4
INDIRI4
NEI4 $127
ADDRLP4 28
CNSTI4 1
ASGNI4
ADDRGP4 $128
JUMPV
LABELV $127
ADDRLP4 28
CNSTI4 0
ASGNI4
LABELV $128
ADDRLP4 16
ADDRLP4 28
INDIRI4
ASGNI4
line 140
;139:
;140:	style = UI_LEFT;
ADDRLP4 12
CNSTI4 0
ASGNI4
line 141
;141:	if( focus ) 
ADDRLP4 16
INDIRI4
CNSTI4 0
EQI4 $129
line 142
;142:	{
line 143
;143:		color = colorTable[CT_LTGOLD1];
ADDRLP4 20
ADDRGP4 colorTable+480
ASGNP4
line 144
;144:	}
ADDRGP4 $130
JUMPV
LABELV $129
line 146
;145:	else 
;146:	{
line 147
;147:		color = colorTable[CT_DKGOLD1];
ADDRLP4 20
ADDRGP4 colorTable+496
ASGNP4
line 148
;148:	}
LABELV $130
line 150
;149:
;150:	x = cdkeyMenuInfo.cdkey.generic.x;
ADDRLP4 4
ADDRGP4 cdkeyMenuInfo+324+12
INDIRI4
ASGNI4
line 151
;151:	y = cdkeyMenuInfo.cdkey.generic.y;
ADDRLP4 8
ADDRGP4 cdkeyMenuInfo+324+16
INDIRI4
ASGNI4
line 153
;152:
;153:	UI_FillRect( x, y, cdkeyMenuInfo.cdkey.field.widthInChars * SMALLCHAR_WIDTH, SMALLCHAR_HEIGHT, colorTable[CT_BLACK] );
ADDRLP4 4
INDIRI4
CVIF4 4
ARGF4
ADDRLP4 8
INDIRI4
CVIF4 4
ARGF4
ADDRGP4 cdkeyMenuInfo+324+60+8
INDIRI4
CNSTI4 3
LSHI4
CVIF4 4
ARGF4
CNSTF4 1098907648
ARGF4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_FillRect
CALLV
pop
line 154
;154:	UI_FillRect( x, y, cdkeyMenuInfo.cdkey.field.widthInChars * SMALLCHAR_WIDTH, SMALLCHAR_HEIGHT, listbar_color );
ADDRLP4 4
INDIRI4
CVIF4 4
ARGF4
ADDRLP4 8
INDIRI4
CVIF4 4
ARGF4
ADDRGP4 cdkeyMenuInfo+324+60+8
INDIRI4
CNSTI4 3
LSHI4
CVIF4 4
ARGF4
CNSTF4 1098907648
ARGF4
ADDRGP4 listbar_color
ARGP4
ADDRGP4 UI_FillRect
CALLV
pop
line 155
;155:	UI_DrawString( x, y, f->field.buffer, style, color );
ADDRLP4 4
INDIRI4
ARGI4
ADDRLP4 8
INDIRI4
ARGI4
ADDRLP4 0
INDIRP4
CNSTI4 72
ADDP4
ARGP4
ADDRLP4 12
INDIRI4
ARGI4
ADDRLP4 20
INDIRP4
ARGP4
ADDRGP4 UI_DrawString
CALLV
pop
line 158
;156:
;157:	// draw cursor if we have focus
;158:	if( focus ) 
ADDRLP4 16
INDIRI4
CNSTI4 0
EQI4 $144
line 159
;159:	{
line 160
;160:		if ( trap_Key_GetOverstrikeMode() ) 
ADDRLP4 36
ADDRGP4 trap_Key_GetOverstrikeMode
CALLI4
ASGNI4
ADDRLP4 36
INDIRI4
CNSTI4 0
EQI4 $146
line 161
;161:		{
line 162
;162:			c = 11;
ADDRLP4 24
CNSTI1 11
ASGNI1
line 163
;163:		} 
ADDRGP4 $147
JUMPV
LABELV $146
line 165
;164:		else 
;165:		{
line 166
;166:			c = 10;
ADDRLP4 24
CNSTI1 10
ASGNI1
line 167
;167:		}
LABELV $147
line 169
;168:
;169:		style &= ~UI_PULSE;
ADDRLP4 12
ADDRLP4 12
INDIRI4
CNSTI4 -16385
BANDI4
ASGNI4
line 170
;170:		style |= UI_BLINK;
ADDRLP4 12
ADDRLP4 12
INDIRI4
CNSTI4 4096
BORI4
ASGNI4
line 172
;171:
;172:		UI_DrawChar( x + f->field.cursor * SMALLCHAR_WIDTH, y, c, style, color_white );
ADDRLP4 4
INDIRI4
ADDRLP4 0
INDIRP4
CNSTI4 60
ADDP4
INDIRI4
CNSTI4 3
LSHI4
ADDI4
ARGI4
ADDRLP4 8
INDIRI4
ARGI4
ADDRLP4 24
INDIRI1
CVII4 1
ARGI4
ADDRLP4 12
INDIRI4
ARGI4
ADDRGP4 color_white
ARGP4
ADDRGP4 UI_DrawChar
CALLV
pop
line 173
;173:	}
LABELV $144
line 175
;174:
;175:}
LABELV $125
endproc UI_CDKeyMenu_DrawKey 40 20
export CDKeyMenu_Graphics
proc CDKeyMenu_Graphics 8 20
line 183
;176:
;177:/*
;178:=================
;179:CDKeyMenu_Graphics
;180:=================
;181:*/
;182:void CDKeyMenu_Graphics (void)
;183:{
line 187
;184:	int x,y;
;185:
;186:	// Draw the basic screen layout
;187:	UI_MenuFrame(&cdkeyMenuInfo.menu);
ADDRGP4 cdkeyMenuInfo
ARGP4
ADDRGP4 UI_MenuFrame
CALLV
pop
line 189
;188:
;189:	trap_R_SetColor( colorTable[CT_LTBROWN1]);
ADDRGP4 colorTable+416
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 190
;190:	UI_DrawHandlePic(30,203, 47, 186, uis.whiteShader);	// Middle left line of frame
CNSTF4 1106247680
ARGF4
CNSTF4 1128988672
ARGF4
CNSTF4 1111228416
ARGF4
CNSTF4 1127874560
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 192
;191:
;192:	trap_R_SetColor( colorTable[CT_DKPURPLE1]);
ADDRGP4 colorTable+560
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 193
;193:	UI_DrawHandlePic( 246, 238, 197,  24, uis.whiteShader);	
CNSTF4 1131806720
ARGF4
CNSTF4 1131282432
ARGF4
CNSTF4 1128595456
ARGF4
CNSTF4 1103101952
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 194
;194:	UI_DrawHandlePic( 227, 238, -16,  32, cdkeyMenuInfo.halfround);	// Left round
CNSTF4 1130561536
ARGF4
CNSTF4 1131282432
ARGF4
CNSTF4 3246391296
ARGF4
CNSTF4 1107296256
ARGF4
ADDRGP4 cdkeyMenuInfo+968
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 195
;195:	UI_DrawHandlePic( 446, 238,  16,  32, cdkeyMenuInfo.halfround);	// Right round
CNSTF4 1138688000
ARGF4
CNSTF4 1131282432
ARGF4
CNSTF4 1098907648
ARGF4
CNSTF4 1107296256
ARGF4
ADDRGP4 cdkeyMenuInfo+968
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 197
;196:
;197:	UI_DrawProportionalString(  74,  66, "557",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 66
ARGI4
ADDRGP4 $155
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 198
;198:	UI_DrawProportionalString(  74,  84, "2344",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 84
ARGI4
ADDRGP4 $157
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 199
;199:	UI_DrawProportionalString(  74,  188, "89-35",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 188
ARGI4
ADDRGP4 $159
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 200
;200:	UI_DrawProportionalString(  74,  206, "32906",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 206
ARGI4
ADDRGP4 $161
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 201
;201:	UI_DrawProportionalString(  74,  395, "30-1789",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 395
ARGI4
ADDRGP4 $163
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 203
;202:
;203:	x = 344;
ADDRLP4 0
CNSTI4 344
ASGNI4
line 204
;204:	y = 279;
ADDRLP4 4
CNSTI4 279
ASGNI4
line 205
;205:	if ( cdkeyMenuInfo.keyResult == 0 ) 
ADDRGP4 cdkeyMenuInfo+964
INDIRI4
CNSTI4 0
NEI4 $165
line 206
;206:	{
line 207
;207:		UI_DrawProportionalString( x, y, menu_normal_text[MNT_VALID_CDKEY], UI_CENTER|UI_SMALLFONT, colorTable[CT_WHITE]  );
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 4
INDIRI4
ARGI4
ADDRGP4 menu_normal_text+640
INDIRP4
ARGP4
CNSTI4 17
ARGI4
ADDRGP4 colorTable+128
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 208
;208:	}
ADDRGP4 $166
JUMPV
LABELV $165
line 209
;209:	else if( cdkeyMenuInfo.keyResult == 1 ) 
ADDRGP4 cdkeyMenuInfo+964
INDIRI4
CNSTI4 1
NEI4 $170
line 210
;210:	{
line 211
;211:		UI_DrawProportionalString( x, y, menu_normal_text[MNT_ENTER_CDKEY], UI_CENTER|UI_SMALLFONT, colorTable[CT_LTGOLD1] );
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 4
INDIRI4
ARGI4
ADDRGP4 menu_normal_text+636
INDIRP4
ARGP4
CNSTI4 17
ARGI4
ADDRGP4 colorTable+480
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 212
;212:	}
ADDRGP4 $171
JUMPV
LABELV $170
line 214
;213:	else 
;214:	{
line 215
;215:		UI_DrawProportionalString( x, y, menu_normal_text[MNT_CDKEY_INVALID], UI_CENTER|UI_SMALLFONT, colorTable[CT_RED]  );
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 4
INDIRI4
ARGI4
ADDRGP4 menu_normal_text+644
INDIRP4
ARGP4
CNSTI4 17
ARGI4
ADDRGP4 colorTable+32
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 216
;216:	}
LABELV $171
LABELV $166
line 218
;217:
;218:	UI_Setup_MenuButtons();
ADDRGP4 UI_Setup_MenuButtons
CALLV
pop
line 220
;219:
;220:}
LABELV $148
endproc CDKeyMenu_Graphics 8 20
proc CDKey_MenuDraw 0 4
line 228
;221:
;222:/*
;223:=================
;224:CDKey_MenuDraw
;225:=================
;226:*/
;227:static void CDKey_MenuDraw (void)
;228:{
line 229
;229:	CDKeyMenu_Graphics();
ADDRGP4 CDKeyMenu_Graphics
CALLV
pop
line 230
;230:	Menu_Draw( &cdkeyMenuInfo.menu );
ADDRGP4 cdkeyMenuInfo
ARGP4
ADDRGP4 Menu_Draw
CALLV
pop
line 231
;231:}
LABELV $177
endproc CDKey_MenuDraw 0 4
proc UI_CDKeyMenu_Init 0 12
line 239
;232:
;233:/*
;234:===============
;235:UI_CDKeyMenu_Init
;236:===============
;237:*/
;238:static void UI_CDKeyMenu_Init( void ) 
;239:{
line 240
;240:	memset( &cdkeyMenuInfo, 0, sizeof(cdkeyMenuInfo) );
ADDRGP4 cdkeyMenuInfo
ARGP4
CNSTI4 0
ARGI4
CNSTI4 976
ARGI4
ADDRGP4 memset
CALLP4
pop
line 242
;241:
;242:	UI_CDKeyMenu_Cache();
ADDRGP4 UI_CDKeyMenu_Cache
CALLV
pop
line 244
;243:
;244:	cdkeyMenuInfo.menu.wrapAround					= qtrue;
ADDRGP4 cdkeyMenuInfo+276
CNSTI4 1
ASGNI4
line 245
;245:	cdkeyMenuInfo.menu.fullscreen					= qtrue;
ADDRGP4 cdkeyMenuInfo+280
CNSTI4 1
ASGNI4
line 246
;246:    cdkeyMenuInfo.menu.draw							= CDKey_MenuDraw;
ADDRGP4 cdkeyMenuInfo+268
ADDRGP4 CDKey_MenuDraw
ASGNP4
line 247
;247:	cdkeyMenuInfo.menu.descX						= MENU_DESC_X;
ADDRGP4 cdkeyMenuInfo+292
CNSTI4 100
ASGNI4
line 248
;248:	cdkeyMenuInfo.menu.descY						= MENU_DESC_Y;
ADDRGP4 cdkeyMenuInfo+296
CNSTI4 444
ASGNI4
line 249
;249:	cdkeyMenuInfo.menu.titleX						= MENU_TITLE_X;
ADDRGP4 cdkeyMenuInfo+308
CNSTI4 611
ASGNI4
line 250
;250:	cdkeyMenuInfo.menu.titleY						= MENU_TITLE_Y;
ADDRGP4 cdkeyMenuInfo+312
CNSTI4 24
ASGNI4
line 251
;251:	cdkeyMenuInfo.menu.titleI						= MNT_CDKEYMENU_TITLE;
ADDRGP4 cdkeyMenuInfo+316
CNSTI4 2
ASGNI4
line 252
;252:	cdkeyMenuInfo.menu.footNoteEnum					= MNT_CDKEY;
ADDRGP4 cdkeyMenuInfo+320
CNSTI4 306
ASGNI4
line 254
;253:
;254:	cdkeyMenuInfo.cdkey.generic.type				= MTYPE_FIELD;
ADDRGP4 cdkeyMenuInfo+324
CNSTI4 4
ASGNI4
line 255
;255:	cdkeyMenuInfo.cdkey.generic.flags				= QMF_UPPERCASE;
ADDRGP4 cdkeyMenuInfo+324+44
CNSTU4 524288
ASGNU4
line 256
;256:	cdkeyMenuInfo.cdkey.generic.x					= 256;
ADDRGP4 cdkeyMenuInfo+324+12
CNSTI4 256
ASGNI4
line 257
;257:	cdkeyMenuInfo.cdkey.generic.y					= 242;
ADDRGP4 cdkeyMenuInfo+324+16
CNSTI4 242
ASGNI4
line 258
;258:	cdkeyMenuInfo.cdkey.field.style					= UI_SMALLFONT;
ADDRGP4 cdkeyMenuInfo+324+60+272
CNSTI4 16
ASGNI4
line 259
;259:	cdkeyMenuInfo.cdkey.field.widthInChars			= 22;
ADDRGP4 cdkeyMenuInfo+324+60+8
CNSTI4 22
ASGNI4
line 260
;260:	cdkeyMenuInfo.cdkey.field.maxchars				= 22;
ADDRGP4 cdkeyMenuInfo+324+60+268
CNSTI4 22
ASGNI4
line 261
;261:	cdkeyMenuInfo.cdkey.generic.ownerdraw			= UI_CDKeyMenu_DrawKey;
ADDRGP4 cdkeyMenuInfo+324+56
ADDRGP4 UI_CDKeyMenu_DrawKey
ASGNP4
line 262
;262:	cdkeyMenuInfo.cdkey.field.titleEnum				= MNT_CDKEY;
ADDRGP4 cdkeyMenuInfo+324+60+276
CNSTI4 306
ASGNI4
line 263
;263:	cdkeyMenuInfo.cdkey.field.titlecolor			= CT_LTGOLD1;
ADDRGP4 cdkeyMenuInfo+324+60+280
CNSTI4 30
ASGNI4
line 264
;264:	cdkeyMenuInfo.cdkey.field.textcolor				= CT_DKGOLD1;
ADDRGP4 cdkeyMenuInfo+324+60+284
CNSTI4 31
ASGNI4
line 265
;265:	cdkeyMenuInfo.cdkey.field.textcolor2			= CT_LTGOLD1;
ADDRGP4 cdkeyMenuInfo+324+60+288
CNSTI4 30
ASGNI4
line 268
;266:
;267:
;268:	cdkeyMenuInfo.accept.generic.type				= MTYPE_BITMAP;
ADDRGP4 cdkeyMenuInfo+676
CNSTI4 6
ASGNI4
line 269
;269:	cdkeyMenuInfo.accept.generic.name				= GRAPHIC_SQUARE;
ADDRGP4 cdkeyMenuInfo+676+4
ADDRGP4 $221
ASGNP4
line 270
;270:	cdkeyMenuInfo.accept.generic.flags				= QMF_HIGHLIGHT_IF_FOCUS;
ADDRGP4 cdkeyMenuInfo+676+44
CNSTU4 128
ASGNU4
line 271
;271:	cdkeyMenuInfo.accept.generic.id					= ID_ACCEPT;
ADDRGP4 cdkeyMenuInfo+676+8
CNSTI4 11
ASGNI4
line 272
;272:	cdkeyMenuInfo.accept.generic.callback			= UI_CDKeyMenu_Event;
ADDRGP4 cdkeyMenuInfo+676+48
ADDRGP4 UI_CDKeyMenu_Event
ASGNP4
line 273
;273:	cdkeyMenuInfo.accept.generic.x					= 279;
ADDRGP4 cdkeyMenuInfo+676+12
CNSTI4 279
ASGNI4
line 274
;274:	cdkeyMenuInfo.accept.generic.y					= 391;
ADDRGP4 cdkeyMenuInfo+676+16
CNSTI4 391
ASGNI4
line 275
;275:	cdkeyMenuInfo.accept.width						= MENU_BUTTON_MED_WIDTH;
ADDRGP4 cdkeyMenuInfo+676+92
CNSTI4 130
ASGNI4
line 276
;276:	cdkeyMenuInfo.accept.height						= 42;
ADDRGP4 cdkeyMenuInfo+676+96
CNSTI4 42
ASGNI4
line 277
;277:	cdkeyMenuInfo.accept.color						= CT_DKPURPLE1;
ADDRGP4 cdkeyMenuInfo+676+104
CNSTI4 35
ASGNI4
line 278
;278:	cdkeyMenuInfo.accept.color2						= CT_LTPURPLE1;
ADDRGP4 cdkeyMenuInfo+676+108
CNSTI4 34
ASGNI4
line 279
;279:	cdkeyMenuInfo.accept.textX						= MENU_BUTTON_TEXT_X;
ADDRGP4 cdkeyMenuInfo+676+124
CNSTI4 5
ASGNI4
line 280
;280:	cdkeyMenuInfo.accept.textY						= MENU_BUTTON_TEXT_Y;
ADDRGP4 cdkeyMenuInfo+676+128
CNSTI4 1
ASGNI4
line 281
;281:	cdkeyMenuInfo.accept.textEnum					= MBT_ACCEPT;
ADDRGP4 cdkeyMenuInfo+676+116
CNSTI4 166
ASGNI4
line 282
;282:	cdkeyMenuInfo.accept.textcolor					= CT_BLACK;
ADDRGP4 cdkeyMenuInfo+676+132
CNSTI4 1
ASGNI4
line 283
;283:	cdkeyMenuInfo.accept.textcolor2					= CT_WHITE;
ADDRGP4 cdkeyMenuInfo+676+136
CNSTI4 8
ASGNI4
line 286
;284:
;285:
;286:	SetupMenu_TopButtons(&cdkeyMenuInfo.menu,MENU_CDKEY,NULL);
ADDRGP4 cdkeyMenuInfo
ARGP4
CNSTI4 5
ARGI4
CNSTP4 0
ARGP4
ADDRGP4 SetupMenu_TopButtons
CALLV
pop
line 288
;287:
;288:	Menu_AddItem( &cdkeyMenuInfo.menu, &cdkeyMenuInfo.cdkey );
ADDRGP4 cdkeyMenuInfo
ARGP4
ADDRGP4 cdkeyMenuInfo+324
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 289
;289:	Menu_AddItem( &cdkeyMenuInfo.menu, &cdkeyMenuInfo.accept );
ADDRGP4 cdkeyMenuInfo
ARGP4
ADDRGP4 cdkeyMenuInfo+676
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 291
;290:
;291:	if (ui_cdkeychecked.integer == 1) {
ADDRGP4 ui_cdkeychecked+12
INDIRI4
CNSTI4 1
NEI4 $252
line 292
;292:		cdkeyMenuInfo.keyResult = 0; //already got a good one once
ADDRGP4 cdkeyMenuInfo+964
CNSTI4 0
ASGNI4
line 293
;293:	} else {
ADDRGP4 $253
JUMPV
LABELV $252
line 294
;294:		cdkeyMenuInfo.keyResult = 1;
ADDRGP4 cdkeyMenuInfo+964
CNSTI4 1
ASGNI4
line 295
;295:	}
LABELV $253
line 296
;296:}
LABELV $178
endproc UI_CDKeyMenu_Init 0 12
export UI_CDKeyMenu_Cache
proc UI_CDKeyMenu_Cache 4 4
line 305
;297:
;298:
;299:/*
;300:=================
;301:UI_CDKeyMenu_Cache
;302:=================
;303:*/
;304:void UI_CDKeyMenu_Cache( void ) 
;305:{
line 306
;306:	cdkeyMenuInfo.halfround = trap_R_RegisterShaderNoMip( "menu/common/halfround_r_24.tga" );
ADDRGP4 $259
ARGP4
ADDRLP4 0
ADDRGP4 trap_R_RegisterShaderNoMip
CALLI4
ASGNI4
ADDRGP4 cdkeyMenuInfo+968
ADDRLP4 0
INDIRI4
ASGNI4
line 307
;307:}
LABELV $257
endproc UI_CDKeyMenu_Cache 4 4
export UI_CDKeyMenu
proc UI_CDKeyMenu 0 4
line 316
;308:
;309:
;310:/*
;311:===============
;312:UI_CDKeyMenu
;313:===============
;314:*/
;315:void UI_CDKeyMenu( void ) 
;316:{
line 317
;317:	UI_CDKeyMenu_Init();
ADDRGP4 UI_CDKeyMenu_Init
CALLV
pop
line 318
;318:	UI_PushMenu( &cdkeyMenuInfo.menu );
ADDRGP4 cdkeyMenuInfo
ARGP4
ADDRGP4 UI_PushMenu
CALLV
pop
line 319
;319:}
LABELV $260
endproc UI_CDKeyMenu 0 4
export M_CDKey2Menu_Key
proc M_CDKey2Menu_Key 4 8
line 328
;320:
;321:
;322:/*
;323:=================
;324:M_CDKey2Menu_Key
;325:=================
;326:*/
;327:sfxHandle_t M_CDKey2Menu_Key (int key)
;328:{
line 329
;329:	if (key == K_ESCAPE)
ADDRFP4 0
INDIRI4
CNSTI4 27
NEI4 $262
line 330
;330:	{
line 331
;331:		return(0);
CNSTI4 0
RETI4
ADDRGP4 $261
JUMPV
LABELV $262
line 334
;332:	}
;333:
;334:	return ( Menu_DefaultKey( &cdkeyMenuInfo.menu, key ) );
ADDRGP4 cdkeyMenuInfo
ARGP4
ADDRFP4 0
INDIRI4
ARGI4
ADDRLP4 0
ADDRGP4 Menu_DefaultKey
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
RETI4
LABELV $261
endproc M_CDKey2Menu_Key 4 8
export CDKeyMenu2_Graphics
proc CDKeyMenu2_Graphics 8 20
line 343
;335:}
;336:
;337:/*
;338:=================
;339:CDKeyMenu2_Graphics
;340:=================
;341:*/
;342:void CDKeyMenu2_Graphics (void)
;343:{
line 347
;344:	int x,y;
;345:
;346:	// Draw the basic screen layout
;347:	UI_MenuFrame2(&cdkeyMenuInfo.menu);
ADDRGP4 cdkeyMenuInfo
ARGP4
ADDRGP4 UI_MenuFrame2
CALLV
pop
line 349
;348:
;349:	trap_R_SetColor( colorTable[CT_LTBROWN1]);
ADDRGP4 colorTable+416
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 350
;350:	UI_DrawHandlePic(30,203, 47, 186, uis.whiteShader);	// Middle left line of frame
CNSTF4 1106247680
ARGF4
CNSTF4 1128988672
ARGF4
CNSTF4 1111228416
ARGF4
CNSTF4 1127874560
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 353
;351:
;352:	// Background for CD Key data
;353:	trap_R_SetColor( colorTable[CT_DKPURPLE1]);
ADDRGP4 colorTable+560
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 354
;354:	UI_DrawHandlePic( 246, 168, 197,  24, uis.whiteShader);	
CNSTF4 1131806720
ARGF4
CNSTF4 1126694912
ARGF4
CNSTF4 1128595456
ARGF4
CNSTF4 1103101952
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 355
;355:	UI_DrawHandlePic( 227, 168, -16,  32, cdkeyMenuInfo.halfround);	// Left round
CNSTF4 1130561536
ARGF4
CNSTF4 1126694912
ARGF4
CNSTF4 3246391296
ARGF4
CNSTF4 1107296256
ARGF4
ADDRGP4 cdkeyMenuInfo+968
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 356
;356:	UI_DrawHandlePic( 446, 168,  16,  32, cdkeyMenuInfo.halfround);	// Right round
CNSTF4 1138688000
ARGF4
CNSTF4 1126694912
ARGF4
CNSTF4 1098907648
ARGF4
CNSTF4 1107296256
ARGF4
ADDRGP4 cdkeyMenuInfo+968
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 359
;357:
;358:	
;359:	UI_DrawProportionalString(  74,  36, "755",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 36
ARGI4
ADDRGP4 $271
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 360
;360:	UI_DrawProportionalString(  74,  132, "4423",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 132
ARGI4
ADDRGP4 $273
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 361
;361:	UI_DrawProportionalString(  74,  188, "35-89",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 188
ARGI4
ADDRGP4 $275
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 362
;362:	UI_DrawProportionalString(  74,  206, "60932",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 206
ARGI4
ADDRGP4 $277
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 363
;363:	UI_DrawProportionalString(  74,  395, "1789-30",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 395
ARGI4
ADDRGP4 $279
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 365
;364:
;365:	x = 344;
ADDRLP4 0
CNSTI4 344
ASGNI4
line 366
;366:	y = 228;
ADDRLP4 4
CNSTI4 228
ASGNI4
line 367
;367:	if ( cdkeyMenuInfo.keyResult == 0 ) 
ADDRGP4 cdkeyMenuInfo+964
INDIRI4
CNSTI4 0
NEI4 $281
line 368
;368:	{
line 369
;369:		UI_DrawProportionalString( x, y, menu_normal_text[MNT_VALID_CDKEY], UI_CENTER|UI_SMALLFONT, colorTable[CT_WHITE]  );
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 4
INDIRI4
ARGI4
ADDRGP4 menu_normal_text+640
INDIRP4
ARGP4
CNSTI4 17
ARGI4
ADDRGP4 colorTable+128
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 370
;370:	}
ADDRGP4 $282
JUMPV
LABELV $281
line 371
;371:	else if( cdkeyMenuInfo.keyResult == 1 ) 
ADDRGP4 cdkeyMenuInfo+964
INDIRI4
CNSTI4 1
NEI4 $286
line 372
;372:	{
line 373
;373:		UI_DrawProportionalString( x, y, menu_normal_text[MNT_ENTER_CDKEY], UI_CENTER|UI_SMALLFONT, colorTable[CT_LTGOLD1] );
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 4
INDIRI4
ARGI4
ADDRGP4 menu_normal_text+636
INDIRP4
ARGP4
CNSTI4 17
ARGI4
ADDRGP4 colorTable+480
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 374
;374:	}
ADDRGP4 $287
JUMPV
LABELV $286
line 376
;375:	else 
;376:	{
line 377
;377:		UI_DrawProportionalString( x, y, menu_normal_text[MNT_CDKEY_INVALID], UI_CENTER|UI_SMALLFONT, colorTable[CT_RED]  );
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 4
INDIRI4
ARGI4
ADDRGP4 menu_normal_text+644
INDIRP4
ARGP4
CNSTI4 17
ARGI4
ADDRGP4 colorTable+32
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 378
;378:	}
LABELV $287
LABELV $282
line 379
;379:}
LABELV $264
endproc CDKeyMenu2_Graphics 8 20
proc CDKey2_MenuDraw 0 4
line 387
;380:
;381:/*
;382:=================
;383:CDKey2_MenuDraw
;384:=================
;385:*/
;386:static void CDKey2_MenuDraw (void)
;387:{
line 388
;388:	CDKeyMenu2_Graphics();
ADDRGP4 CDKeyMenu2_Graphics
CALLV
pop
line 389
;389:	Menu_Draw( &cdkeyMenuInfo.menu );
ADDRGP4 cdkeyMenuInfo
ARGP4
ADDRGP4 Menu_Draw
CALLV
pop
line 390
;390:}
LABELV $293
endproc CDKey2_MenuDraw 0 4
proc UI_CDKeyMenu2_Init 0 12
line 399
;391:
;392:
;393:/*
;394:===============
;395:UI_CDKeyMenu2_Init
;396:===============
;397:*/
;398:static void UI_CDKeyMenu2_Init( void ) 
;399:{//initial first time menu
line 400
;400:	memset( &cdkeyMenuInfo, 0, sizeof(cdkeyMenuInfo) );
ADDRGP4 cdkeyMenuInfo
ARGP4
CNSTI4 0
ARGI4
CNSTI4 976
ARGI4
ADDRGP4 memset
CALLP4
pop
line 402
;401:
;402:	cdkeyMenuInfo.fromMenu = 1;
ADDRGP4 cdkeyMenuInfo+972
CNSTI4 1
ASGNI4
line 404
;403:
;404:	UI_CDKeyMenu_Cache();
ADDRGP4 UI_CDKeyMenu_Cache
CALLV
pop
line 406
;405:
;406:	cdkeyMenuInfo.menu.wrapAround					= qtrue;
ADDRGP4 cdkeyMenuInfo+276
CNSTI4 1
ASGNI4
line 407
;407:	cdkeyMenuInfo.menu.fullscreen					= qtrue;
ADDRGP4 cdkeyMenuInfo+280
CNSTI4 1
ASGNI4
line 408
;408:    cdkeyMenuInfo.menu.draw							= CDKey2_MenuDraw;
ADDRGP4 cdkeyMenuInfo+268
ADDRGP4 CDKey2_MenuDraw
ASGNP4
line 409
;409:    cdkeyMenuInfo.menu.key							= M_CDKey2Menu_Key;
ADDRGP4 cdkeyMenuInfo+272
ADDRGP4 M_CDKey2Menu_Key
ASGNP4
line 410
;410:	cdkeyMenuInfo.menu.descX						= MENU_DESC_X;
ADDRGP4 cdkeyMenuInfo+292
CNSTI4 100
ASGNI4
line 411
;411:	cdkeyMenuInfo.menu.descY						= MENU_DESC_Y;
ADDRGP4 cdkeyMenuInfo+296
CNSTI4 444
ASGNI4
line 412
;412:	cdkeyMenuInfo.menu.titleX						= MENU_TITLE_X;
ADDRGP4 cdkeyMenuInfo+308
CNSTI4 611
ASGNI4
line 413
;413:	cdkeyMenuInfo.menu.titleY						= MENU_TITLE_Y;
ADDRGP4 cdkeyMenuInfo+312
CNSTI4 24
ASGNI4
line 414
;414:	cdkeyMenuInfo.menu.titleI						= MNT_CDKEYMENU_TITLE;
ADDRGP4 cdkeyMenuInfo+316
CNSTI4 2
ASGNI4
line 415
;415:	cdkeyMenuInfo.menu.footNoteEnum					= MNT_CDKEY;
ADDRGP4 cdkeyMenuInfo+320
CNSTI4 306
ASGNI4
line 417
;416:
;417:	cdkeyMenuInfo.cdkey.generic.type				= MTYPE_FIELD;
ADDRGP4 cdkeyMenuInfo+324
CNSTI4 4
ASGNI4
line 418
;418:	cdkeyMenuInfo.cdkey.generic.flags				= QMF_UPPERCASE;
ADDRGP4 cdkeyMenuInfo+324+44
CNSTU4 524288
ASGNU4
line 419
;419:	cdkeyMenuInfo.cdkey.generic.x					= 260;
ADDRGP4 cdkeyMenuInfo+324+12
CNSTI4 260
ASGNI4
line 420
;420:	cdkeyMenuInfo.cdkey.generic.y					= 172;
ADDRGP4 cdkeyMenuInfo+324+16
CNSTI4 172
ASGNI4
line 421
;421:	cdkeyMenuInfo.cdkey.field.style					= UI_SMALLFONT;
ADDRGP4 cdkeyMenuInfo+324+60+272
CNSTI4 16
ASGNI4
line 422
;422:	cdkeyMenuInfo.cdkey.field.widthInChars			= 22;
ADDRGP4 cdkeyMenuInfo+324+60+8
CNSTI4 22
ASGNI4
line 423
;423:	cdkeyMenuInfo.cdkey.field.maxchars				= 22;
ADDRGP4 cdkeyMenuInfo+324+60+268
CNSTI4 22
ASGNI4
line 424
;424:	cdkeyMenuInfo.cdkey.generic.ownerdraw			= UI_CDKeyMenu_DrawKey;
ADDRGP4 cdkeyMenuInfo+324+56
ADDRGP4 UI_CDKeyMenu_DrawKey
ASGNP4
line 425
;425:	cdkeyMenuInfo.cdkey.field.titleEnum				= MNT_CDKEY;
ADDRGP4 cdkeyMenuInfo+324+60+276
CNSTI4 306
ASGNI4
line 426
;426:	cdkeyMenuInfo.cdkey.field.titlecolor			= CT_LTGOLD1;
ADDRGP4 cdkeyMenuInfo+324+60+280
CNSTI4 30
ASGNI4
line 427
;427:	cdkeyMenuInfo.cdkey.field.textcolor				= CT_DKGOLD1;
ADDRGP4 cdkeyMenuInfo+324+60+284
CNSTI4 31
ASGNI4
line 428
;428:	cdkeyMenuInfo.cdkey.field.textcolor2			= CT_LTGOLD1;
ADDRGP4 cdkeyMenuInfo+324+60+288
CNSTI4 30
ASGNI4
line 430
;429:
;430:	cdkeyMenuInfo.accept.generic.type					= MTYPE_BITMAP;
ADDRGP4 cdkeyMenuInfo+676
CNSTI4 6
ASGNI4
line 431
;431:	cdkeyMenuInfo.accept.generic.name					= GRAPHIC_SQUARE;
ADDRGP4 cdkeyMenuInfo+676+4
ADDRGP4 $221
ASGNP4
line 432
;432:	cdkeyMenuInfo.accept.generic.flags					= QMF_HIGHLIGHT_IF_FOCUS;
ADDRGP4 cdkeyMenuInfo+676+44
CNSTU4 128
ASGNU4
line 433
;433:	cdkeyMenuInfo.accept.generic.id						= ID_ACCEPT;
ADDRGP4 cdkeyMenuInfo+676+8
CNSTI4 11
ASGNI4
line 434
;434:	cdkeyMenuInfo.accept.generic.callback				= UI_CDKeyMenu_Event;
ADDRGP4 cdkeyMenuInfo+676+48
ADDRGP4 UI_CDKeyMenu_Event
ASGNP4
line 435
;435:	cdkeyMenuInfo.accept.generic.x						= 96;
ADDRGP4 cdkeyMenuInfo+676+12
CNSTI4 96
ASGNI4
line 436
;436:	cdkeyMenuInfo.accept.generic.y						= 347;
ADDRGP4 cdkeyMenuInfo+676+16
CNSTI4 347
ASGNI4
line 437
;437:	cdkeyMenuInfo.accept.width							= MENU_BUTTON_MED_WIDTH;
ADDRGP4 cdkeyMenuInfo+676+92
CNSTI4 130
ASGNI4
line 438
;438:	cdkeyMenuInfo.accept.height							= 42;
ADDRGP4 cdkeyMenuInfo+676+96
CNSTI4 42
ASGNI4
line 439
;439:	cdkeyMenuInfo.accept.color							= CT_DKPURPLE1;
ADDRGP4 cdkeyMenuInfo+676+104
CNSTI4 35
ASGNI4
line 440
;440:	cdkeyMenuInfo.accept.color2							= CT_LTPURPLE1;
ADDRGP4 cdkeyMenuInfo+676+108
CNSTI4 34
ASGNI4
line 441
;441:	cdkeyMenuInfo.accept.textX							= MENU_BUTTON_TEXT_X;
ADDRGP4 cdkeyMenuInfo+676+124
CNSTI4 5
ASGNI4
line 442
;442:	cdkeyMenuInfo.accept.textY							= MENU_BUTTON_TEXT_Y;
ADDRGP4 cdkeyMenuInfo+676+128
CNSTI4 1
ASGNI4
line 443
;443:	cdkeyMenuInfo.accept.textEnum						= MBT_ACCEPT;
ADDRGP4 cdkeyMenuInfo+676+116
CNSTI4 166
ASGNI4
line 444
;444:	cdkeyMenuInfo.accept.textcolor						= CT_BLACK;
ADDRGP4 cdkeyMenuInfo+676+132
CNSTI4 1
ASGNI4
line 445
;445:	cdkeyMenuInfo.accept.textcolor2						= CT_WHITE;
ADDRGP4 cdkeyMenuInfo+676+136
CNSTI4 8
ASGNI4
line 447
;446:
;447:	cdkeyMenuInfo.acceptlater.generic.type				= MTYPE_BITMAP;
ADDRGP4 cdkeyMenuInfo+820
CNSTI4 6
ASGNI4
line 448
;448:	cdkeyMenuInfo.acceptlater.generic.name				= GRAPHIC_SQUARE;
ADDRGP4 cdkeyMenuInfo+820+4
ADDRGP4 $221
ASGNP4
line 449
;449:	cdkeyMenuInfo.acceptlater.generic.flags				= QMF_HIGHLIGHT_IF_FOCUS;
ADDRGP4 cdkeyMenuInfo+820+44
CNSTU4 128
ASGNU4
line 450
;450:	cdkeyMenuInfo.acceptlater.generic.id				= ID_ACCEPTLATER;
ADDRGP4 cdkeyMenuInfo+820+8
CNSTI4 12
ASGNI4
line 451
;451:	cdkeyMenuInfo.acceptlater.generic.callback			= UI_CDKeyMenu_Event;
ADDRGP4 cdkeyMenuInfo+820+48
ADDRGP4 UI_CDKeyMenu_Event
ASGNP4
line 452
;452:	cdkeyMenuInfo.acceptlater.generic.x					= 482;
ADDRGP4 cdkeyMenuInfo+820+12
CNSTI4 482
ASGNI4
line 453
;453:	cdkeyMenuInfo.acceptlater.generic.y					= 347;
ADDRGP4 cdkeyMenuInfo+820+16
CNSTI4 347
ASGNI4
line 454
;454:	cdkeyMenuInfo.acceptlater.width						= MENU_BUTTON_MED_WIDTH + 20;
ADDRGP4 cdkeyMenuInfo+820+92
CNSTI4 150
ASGNI4
line 455
;455:	cdkeyMenuInfo.acceptlater.height					= 42;
ADDRGP4 cdkeyMenuInfo+820+96
CNSTI4 42
ASGNI4
line 456
;456:	cdkeyMenuInfo.acceptlater.color						= CT_DKPURPLE1;
ADDRGP4 cdkeyMenuInfo+820+104
CNSTI4 35
ASGNI4
line 457
;457:	cdkeyMenuInfo.acceptlater.color2					= CT_LTPURPLE1;
ADDRGP4 cdkeyMenuInfo+820+108
CNSTI4 34
ASGNI4
line 458
;458:	cdkeyMenuInfo.acceptlater.textX						= MENU_BUTTON_TEXT_X;
ADDRGP4 cdkeyMenuInfo+820+124
CNSTI4 5
ASGNI4
line 459
;459:	cdkeyMenuInfo.acceptlater.textY						= MENU_BUTTON_TEXT_Y;
ADDRGP4 cdkeyMenuInfo+820+128
CNSTI4 1
ASGNI4
line 460
;460:	cdkeyMenuInfo.acceptlater.textEnum					= MBT_CHECKKEYLATER;
ADDRGP4 cdkeyMenuInfo+820+116
CNSTI4 248
ASGNI4
line 461
;461:	cdkeyMenuInfo.acceptlater.textcolor					= CT_BLACK;
ADDRGP4 cdkeyMenuInfo+820+132
CNSTI4 1
ASGNI4
line 462
;462:	cdkeyMenuInfo.acceptlater.textcolor2				= CT_WHITE;
ADDRGP4 cdkeyMenuInfo+820+136
CNSTI4 8
ASGNI4
line 464
;463:
;464:	Menu_AddItem( &cdkeyMenuInfo.menu, &cdkeyMenuInfo.cdkey );
ADDRGP4 cdkeyMenuInfo
ARGP4
ADDRGP4 cdkeyMenuInfo+324
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 465
;465:	Menu_AddItem( &cdkeyMenuInfo.menu, &cdkeyMenuInfo.accept );
ADDRGP4 cdkeyMenuInfo
ARGP4
ADDRGP4 cdkeyMenuInfo+676
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 466
;466:	Menu_AddItem( &cdkeyMenuInfo.menu, &cdkeyMenuInfo.acceptlater );
ADDRGP4 cdkeyMenuInfo
ARGP4
ADDRGP4 cdkeyMenuInfo+820
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 468
;467:
;468:	if (ui_cdkeychecked.integer == 1) {
ADDRGP4 ui_cdkeychecked+12
INDIRI4
CNSTI4 1
NEI4 $401
line 469
;469:		cdkeyMenuInfo.keyResult = 0; //already got a good one once
ADDRGP4 cdkeyMenuInfo+964
CNSTI4 0
ASGNI4
line 470
;470:	} else {
ADDRGP4 $402
JUMPV
LABELV $401
line 471
;471:		cdkeyMenuInfo.keyResult = 1;
ADDRGP4 cdkeyMenuInfo+964
CNSTI4 1
ASGNI4
line 472
;472:	}
LABELV $402
line 473
;473:}
LABELV $294
endproc UI_CDKeyMenu2_Init 0 12
export UI_CDKeyMenu2
proc UI_CDKeyMenu2 0 4
line 481
;474:
;475:/*
;476:===============
;477:UI_CDKeyMenu
;478:===============
;479:*/
;480:void UI_CDKeyMenu2( void ) 
;481:{
line 482
;482:	UI_CDKeyMenu2_Init();
ADDRGP4 UI_CDKeyMenu2_Init
CALLV
pop
line 483
;483:	UI_PushMenu( &cdkeyMenuInfo.menu );
ADDRGP4 cdkeyMenuInfo
ARGP4
ADDRGP4 UI_PushMenu
CALLV
pop
line 484
;484:}
LABELV $406
endproc UI_CDKeyMenu2 0 4
export UI_CDKeyMenu_f
proc UI_CDKeyMenu_f 0 0
line 492
;485:
;486:/*
;487:===============
;488:UI_CDKeyMenu_f
;489:===============
;490:*/
;491:void UI_CDKeyMenu_f( void ) 
;492:{
line 493
;493:	UI_CDKeyMenu2();
ADDRGP4 UI_CDKeyMenu2
CALLV
pop
line 494
;494:}
LABELV $407
endproc UI_CDKeyMenu_f 0 0
bss
align 4
LABELV cdkeyMenuInfo
skip 976
import JoyYButtonCallback
import JoyXButtonCallback
import AnisotropicFilteringCallback
import SmoothMouseCallback
import MouseSpeedCallback
import InvertMouseCallback
import UI_PrintMenuGraphics
import UI_MenuBottomLineEnd_Graphics
import UI_InitGameinfo
import UI_GetAwardLevel
import UI_LogAwardData
import UI_NewGame
import UI_GetCurrentGame
import UI_CanShowTierVideo
import UI_ShowTierVideo
import UI_TierCompleted
import UI_SetBestScore
import UI_GetBestScore
import UI_GetNumBots
import UI_GetBotInfoByName
import UI_GetBotInfoByNumber
import UI_ServerAdvancedOptions
import UI_GetNumSPTiers
import UI_GetNumSPArenas
import UI_GetNumArenas
import UI_GetSpecialArenaInfo
import UI_GetArenaInfoByMap
import UI_GetArenaInfoByNumber
import UI_NetworkOptionsMenu
import UI_NetworkOptionsMenu_Cache
import ScreensizeCallback
import GammaCallback
import UI_FontsMenu
import UI_SoundMenu_Cache
import UI_SoundMenu
import setup_menubuttons
import UI_DisplayOptionsMenu
import UI_TeamOrdersMenu_Cache
import UI_TeamOrdersMenu_f
import UI_TeamOrdersMenu
import UI_RemoveBotsMenu
import UI_RemoveBots_Cache
import UI_AddBotsMenu
import UI_AddBots_Cache
import trap_R_ModelBounds
import trap_SetCDKey
import trap_MemoryRemaining
import trap_LAN_GetPingInfo
import trap_LAN_GetPing
import trap_LAN_ClearPing
import trap_LAN_GetPingQueueCount
import trap_LAN_GetGlobalServerAddressString
import trap_LAN_GetGlobalServerCount
import trap_LAN_GetLocalServerAddressString
import trap_LAN_GetLocalServerCount
import trap_GetConfigString
import trap_GetGlconfig
import trap_GetClientState
import trap_GetClipboardData
import trap_Key_SetCatcher
import trap_Key_GetCatcher
import trap_Key_ClearStates
import trap_Key_SetOverstrikeMode
import trap_Key_GetOverstrikeMode
import trap_Key_IsDown
import trap_Key_SetBinding
import trap_Key_GetBindingBuf
import trap_Key_KeynumToStringBuf
import trap_S_RegisterSound
import trap_S_StartLocalSound
import trap_CM_LerpTag
import trap_UpdateScreen
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_RenderScene
import trap_R_AddLightToScene
import trap_R_AddPolyToScene
import trap_R_AddRefEntityToScene
import trap_R_ClearScene
import trap_R_RegisterShaderNoMip
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_FS_GetFileList
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Cmd_ExecuteText
import trap_Argv
import trap_Argc
import trap_Cvar_InfoStringBuffer
import trap_Cvar_Create
import trap_Cvar_Reset
import trap_Cvar_SetValue
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import UI_SPSkillMenu_Cache
import UI_SPSkillMenu
import UI_SPPostgameMenu_f
import UI_SPPostgameMenu_Cache
import UI_SPArena_Start
import UI_ResetGameMenu_Cache
import UI_SPLevelMenu_ReInit
import UI_SPLevelMenu_f
import UI_SPLevelMenu
import UI_SPLevelMenu_Cache
import uis
import m_entersound
import UI_MenuFrame2
import UI_MenuFrame
import UI_PrecacheMenuGraphics
import UI_Cvar_VariableString
import UI_Argv
import UI_ForceMenuOff
import UI_PopMenu
import UI_PushMenu
import UI_SetActiveMenu
import UI_IsFullscreen
import UI_AdjustFrom640
import UI_CursorInRect
import UI_DrawChar
import UI_DrawString
import UI_ProportionalStringWidth
import UI_DrawProportionalString
import UI_ProportionalSizeScale
import UI_DrawBannerString
import UI_DrawRect
import UI_FillRect
import UI_DrawHandlePic
import UI_DrawNamedPic
import UI_ClampCvar
import UI_ConsoleCommand
import UI_Refresh
import UI_MouseEvent
import UI_KeyEvent
import UI_Shutdown
import UI_Init
import UI_InitSpinControl
import UI_LoadButtonText
import UI_LoadMenuText
import UI_RegisterClientModelname
import UI_PlayerInfo_SetInfo
import UI_PlayerInfo_SetModel
import UI_DrawPlayer
import UI_VideoDriverMenu_Cache
import UI_VideoData2Menu_Cache
import UI_VideoDataMenu_Cache
import UI_VideoDataMenu
import DriverInfo_Cache
import ServerInfo_Cache
import UI_ServerInfoMenu
import UI_BotSelectMenu_Cache
import UI_BotSelectMenu
import ServerOptions_Cache
import StartServer_Cache
import UI_StartServerMenu
import UI_ChooseServerTypeMenu_Cache
import ArenaServers_Cache
import UI_ArenaServersMenu
import SpecifyServer_Cache
import UI_SpecifyServerMenu
import s_voicelanguage_Names
import s_textlanguage_Names
import UI_GameOptionsMenu_Cache
import UI_GameOptionsMenu
import PlayerSettings_Cache
import UI_PlayerSettingsMenu
import PlayerModel_Cache
import UI_PlayerModelMenu
import UI_ModsMenu_Cache
import UI_ModsMenu
import UI_DemosMenu
import SetupMenu_TopButtons
import UI_ControlsMouseJoyStickMenu_Cache
import Controls_Cache
import UI_DrawConnectScreen
import TeamMain_Cache
import UI_TeamMainMenu
import UI_ConfirmMenu
import ConfirmMenu_Cache
import UI_BotCommandMenu_f
import UI_DynamicMenu
import UI_DynamicMenuCache
import UI_InGameMenu
import InGame_Cache
import ingameFlag
import UI_DemosMenu_Cache
import UI_QuitMenu_Cache
import UI_ChooseServerTypeMenu
import UI_QuitMenu
import UI_Setup_MenuButtons
import UI_UpdateCvars
import UI_RegisterCvars
import UI_MainMenu
import MainMenu_Cache
import MenuField_Key
import MenuField_Draw
import MenuField_Init
import MField_Draw
import MField_CharEvent
import MField_KeyDownEvent
import MField_Clear
import ui_medalSounds
import ui_medalPicNames
import ui_medalNames
import text_color_highlight
import text_color_normal
import text_color_disabled
import listbar_color
import list_color
import name_color
import color_dim
import color_red
import color_orange
import color_blue
import color_yellow
import color_white
import menu_dim_color
import menu_black_color
import menu_red_color
import menu_highlight_color
import menu_dark_color
import menu_grayed_color
import menu_text_color
import menu_null_sound
import menu_buzz_sound
import menu_out_sound
import menu_move_sound
import menu_in_sound
import ScrollList_Key
import ScrollList_Draw
import Bitmap_Draw
import Bitmap_Init
import Menu_DefaultKey
import Menu_SetCursorToItem
import Menu_SetCursor
import Menu_ActivateItem
import Menu_ItemAtCursor
import Menu_Draw
import Menu_AdjustCursor
import Menu_AddItem
import Menu_Focus
import Menu_Cache
import UI_HolomatchInMenu_Cache
import Mouse_Show
import Mouse_Hide
import ui_playerclass
import ui_cdkeychecked2
import ui_cdkeychecked
import ui_server16
import ui_server15
import ui_server14
import ui_server13
import ui_server12
import ui_server11
import ui_server10
import ui_server9
import ui_server8
import ui_server7
import ui_server6
import ui_server5
import ui_server4
import ui_server3
import ui_server2
import ui_server1
import ui_marks
import ui_drawCrosshairNames
import ui_drawCrosshair
import ui_brassTime
import ui_browserShowEmpty
import ui_browserShowFull
import ui_browserSortKey
import ui_browserGameType
import ui_browserMaster
import ui_spSelection
import ui_team_race_red
import ui_team_race_blue
import ui_dowarmup
import ui_warmup
import ui_respawnGhostTime
import ui_forcerespawn
import ui_holoIntro
import ui_adaptRespawn
import ui_dmgmult
import ui_knockback
import ui_gravity
import ui_speed
import ui_weaponrespawn
import ui_spSkill
import ui_spVideos
import ui_spAwards
import ui_spScores5
import ui_spScores4
import ui_spScores3
import ui_spScores2
import ui_spScores1
import ui_botminplayers
import ui_botsFile
import ui_arenasFile
import ui_ctf_friendly
import ui_ctf_timelimit
import ui_ctf_capturelimit
import ui_team_friendly
import ui_team_timelimit
import ui_team_fraglimit
import ui_tourney_timelimit
import ui_tourney_fraglimit
import ui_ffa_timelimit
import ui_ffa_fraglimit
import menu_button_text
import menu_normal_text
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $279
byte 1 49
byte 1 55
byte 1 56
byte 1 57
byte 1 45
byte 1 51
byte 1 48
byte 1 0
align 1
LABELV $277
byte 1 54
byte 1 48
byte 1 57
byte 1 51
byte 1 50
byte 1 0
align 1
LABELV $275
byte 1 51
byte 1 53
byte 1 45
byte 1 56
byte 1 57
byte 1 0
align 1
LABELV $273
byte 1 52
byte 1 52
byte 1 50
byte 1 51
byte 1 0
align 1
LABELV $271
byte 1 55
byte 1 53
byte 1 53
byte 1 0
align 1
LABELV $259
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 104
byte 1 97
byte 1 108
byte 1 102
byte 1 114
byte 1 111
byte 1 117
byte 1 110
byte 1 100
byte 1 95
byte 1 114
byte 1 95
byte 1 50
byte 1 52
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $221
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 115
byte 1 113
byte 1 117
byte 1 97
byte 1 114
byte 1 101
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $163
byte 1 51
byte 1 48
byte 1 45
byte 1 49
byte 1 55
byte 1 56
byte 1 57
byte 1 0
align 1
LABELV $161
byte 1 51
byte 1 50
byte 1 57
byte 1 48
byte 1 54
byte 1 0
align 1
LABELV $159
byte 1 56
byte 1 57
byte 1 45
byte 1 51
byte 1 53
byte 1 0
align 1
LABELV $157
byte 1 50
byte 1 51
byte 1 52
byte 1 52
byte 1 0
align 1
LABELV $155
byte 1 53
byte 1 53
byte 1 55
byte 1 0
align 1
LABELV $124
byte 1 45
byte 1 49
byte 1 0
align 1
LABELV $112
byte 1 49
byte 1 0
align 1
LABELV $111
byte 1 117
byte 1 105
byte 1 95
byte 1 99
byte 1 100
byte 1 107
byte 1 101
byte 1 121
byte 1 99
byte 1 104
byte 1 101
byte 1 99
byte 1 107
byte 1 101
byte 1 100
byte 1 0
