export InvertMouseCallback
code
proc InvertMouseCallback 20 8
file "../ui_cvars.c"
line 17
;1:#include "ui_local.h"
;2:
;3:
;4://===================================================================
;5://
;6:// Functions to set Cvars from menus
;7://
;8://===================================================================
;9:
;10:
;11:/*
;12:=================
;13:InvertMouseCallback
;14:=================
;15:*/
;16:void InvertMouseCallback( void *s, int notification )
;17:{
line 18
;18:	menulist_s *box = (menulist_s *) s;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
line 20
;19:
;20:	if (notification != QM_ACTIVATED)
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $75
line 21
;21:		return;
ADDRGP4 $74
JUMPV
LABELV $75
line 23
;22:
;23:	if ( box->curvalue )
ADDRLP4 0
INDIRP4
CNSTI4 64
ADDP4
INDIRI4
CNSTI4 0
EQI4 $77
line 24
;24:		trap_Cvar_SetValue( "m_pitch", -fabs( trap_Cvar_VariableValue( "m_pitch" ) ) );
ADDRGP4 $79
ARGP4
ADDRLP4 4
ADDRGP4 trap_Cvar_VariableValue
CALLF4
ASGNF4
ADDRLP4 4
INDIRF4
ARGF4
ADDRLP4 8
ADDRGP4 fabs
CALLF4
ASGNF4
ADDRGP4 $79
ARGP4
ADDRLP4 8
INDIRF4
NEGF4
ARGF4
ADDRGP4 trap_Cvar_SetValue
CALLV
pop
ADDRGP4 $78
JUMPV
LABELV $77
line 26
;25:	else
;26:		trap_Cvar_SetValue( "m_pitch", fabs( trap_Cvar_VariableValue( "m_pitch" ) ) );
ADDRGP4 $79
ARGP4
ADDRLP4 12
ADDRGP4 trap_Cvar_VariableValue
CALLF4
ASGNF4
ADDRLP4 12
INDIRF4
ARGF4
ADDRLP4 16
ADDRGP4 fabs
CALLF4
ASGNF4
ADDRGP4 $79
ARGP4
ADDRLP4 16
INDIRF4
ARGF4
ADDRGP4 trap_Cvar_SetValue
CALLV
pop
LABELV $78
line 28
;27:
;28:}
LABELV $74
endproc InvertMouseCallback 20 8
export MouseSpeedCallback
proc MouseSpeedCallback 4 8
line 36
;29:
;30:/*
;31:=================
;32:MouseSpeedCallback
;33:=================
;34:*/
;35:void MouseSpeedCallback( void *s, int notification )
;36:{
line 37
;37:	menuslider_s	*slider = (menuslider_s *) s;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
line 39
;38:
;39:	if (notification != QM_ACTIVATED)
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $81
line 40
;40:		return;
ADDRGP4 $80
JUMPV
LABELV $81
line 42
;41:
;42:	trap_Cvar_SetValue( "sensitivity", slider->curvalue );
ADDRGP4 $83
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 68
ADDP4
INDIRF4
ARGF4
ADDRGP4 trap_Cvar_SetValue
CALLV
pop
line 43
;43:}
LABELV $80
endproc MouseSpeedCallback 4 8
export SmoothMouseCallback
proc SmoothMouseCallback 4 8
line 51
;44:
;45:/*
;46:=================
;47:SmoothMouseCallback
;48:=================
;49:*/
;50:void SmoothMouseCallback( void *s, int notification )
;51:{
line 52
;52:	menulist_s *box = (menulist_s *) s;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
line 54
;53:
;54:	if (notification != QM_ACTIVATED)
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $85
line 55
;55:		return;
ADDRGP4 $84
JUMPV
LABELV $85
line 57
;56:
;57:	trap_Cvar_SetValue( "m_filter", box->curvalue );
ADDRGP4 $87
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 64
ADDP4
INDIRI4
CVIF4 4
ARGF4
ADDRGP4 trap_Cvar_SetValue
CALLV
pop
line 58
;58:}
LABELV $84
endproc SmoothMouseCallback 4 8
export GammaCallback
proc GammaCallback 4 8
line 66
;59:
;60:/*
;61:=================
;62:GammaCallback
;63:=================
;64:*/
;65:void GammaCallback( void *s, int notification )
;66:{
line 67
;67:	menuslider_s *slider = ( menuslider_s * ) s;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
line 69
;68:
;69:	if (notification != QM_ACTIVATED)
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $89
line 70
;70:		return;
ADDRGP4 $88
JUMPV
LABELV $89
line 72
;71:
;72:	trap_Cvar_SetValue( "r_gamma", slider->curvalue / 10.0f );
ADDRGP4 $91
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 68
ADDP4
INDIRF4
CNSTF4 1092616192
DIVF4
ARGF4
ADDRGP4 trap_Cvar_SetValue
CALLV
pop
line 73
;73:}
LABELV $88
endproc GammaCallback 4 8
export IntensityCallback
proc IntensityCallback 4 8
line 82
;74:
;75:
;76:/*
;77:=================
;78:IntensityCallback
;79:=================
;80:*/
;81:void IntensityCallback( void *s, int notification )
;82:{
line 83
;83:	menuslider_s *slider = ( menuslider_s * ) s;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
line 85
;84:
;85:	if (notification != QM_ACTIVATED)
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $93
line 86
;86:		return;
ADDRGP4 $92
JUMPV
LABELV $93
line 88
;87:
;88:	trap_Cvar_SetValue( "r_intensity", slider->curvalue / 10.0f );
ADDRGP4 $95
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 68
ADDP4
INDIRF4
CNSTF4 1092616192
DIVF4
ARGF4
ADDRGP4 trap_Cvar_SetValue
CALLV
pop
line 89
;89:}
LABELV $92
endproc IntensityCallback 4 8
export ScreensizeCallback
proc ScreensizeCallback 4 8
line 97
;90:
;91:/*
;92:=================
;93:ScreensizeCallback
;94:=================
;95:*/
;96:void ScreensizeCallback( void *s, int notification )
;97:{
line 98
;98:	menuslider_s *slider = ( menuslider_s * ) s;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
line 100
;99:
;100:	if (notification != QM_ACTIVATED)
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $97
line 101
;101:		return;
ADDRGP4 $96
JUMPV
LABELV $97
line 103
;102:
;103:	trap_Cvar_SetValue( "cg_viewsize", slider->curvalue);
ADDRGP4 $99
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 68
ADDP4
INDIRF4
ARGF4
ADDRGP4 trap_Cvar_SetValue
CALLV
pop
line 104
;104:}
LABELV $96
endproc ScreensizeCallback 4 8
export AlwaysRunCallback
proc AlwaysRunCallback 4 8
line 112
;105:
;106:/*
;107:=================
;108:AlwaysRunCallback
;109:=================
;110:*/
;111:void AlwaysRunCallback( void *s, int notification )
;112:{
line 113
;113:	menulist_s *s_alwaysrun_box = ( menulist_s * ) s;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
line 115
;114:
;115:	if (notification != QM_ACTIVATED)
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $101
line 116
;116:		return;
ADDRGP4 $100
JUMPV
LABELV $101
line 118
;117:
;118:	trap_Cvar_SetValue( "cl_run", s_alwaysrun_box->curvalue );
ADDRGP4 $103
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 64
ADDP4
INDIRI4
CVIF4 4
ARGF4
ADDRGP4 trap_Cvar_SetValue
CALLV
pop
line 119
;119:}
LABELV $100
endproc AlwaysRunCallback 4 8
bss
align 4
LABELV $105
skip 156
export AutoswitchCallback
code
proc AutoswitchCallback 0 8
line 128
;120:
;121:
;122:/*
;123:=================
;124:AutoswitchCallback
;125:=================
;126:*/
;127:void AutoswitchCallback( void *unused, int notification )
;128:{
line 131
;129:	static menulist_s	s_autoswitch_box;
;130:
;131:	if (notification != QM_ACTIVATED)
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $106
line 132
;132:		return;
ADDRGP4 $104
JUMPV
LABELV $106
line 134
;133:
;134:	trap_Cvar_SetValue( "cg_autoswitch", s_autoswitch_box.curvalue );
ADDRGP4 $108
ARGP4
ADDRGP4 $105+64
INDIRI4
CVIF4 4
ARGF4
ADDRGP4 trap_Cvar_SetValue
CALLV
pop
line 135
;135:}
LABELV $104
endproc AutoswitchCallback 0 8
export AnisotropicFilteringCallback
proc AnisotropicFilteringCallback 4 8
line 144
;136:
;137:
;138:/*
;139:=================
;140:AnisotropicFilteringCallback
;141:=================
;142:*/
;143:void AnisotropicFilteringCallback( void *s, int notification )
;144:{
line 145
;145:	menulist_s *anisotropicfiltering = ( menulist_s * ) s;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
line 147
;146:
;147:	if (notification != QM_ACTIVATED)
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $111
line 148
;148:	{
line 149
;149:		return;
ADDRGP4 $110
JUMPV
LABELV $111
line 152
;150:	}
;151:
;152:	trap_Cvar_SetValue( "r_ext_texture_filter_anisotropic", anisotropicfiltering->curvalue );
ADDRGP4 $113
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 64
ADDP4
INDIRI4
CVIF4 4
ARGF4
ADDRGP4 trap_Cvar_SetValue
CALLV
pop
line 153
;153:}
LABELV $110
endproc AnisotropicFilteringCallback 4 8
export JoyXButtonCallback
proc JoyXButtonCallback 4 8
line 161
;154:
;155:/*
;156:=================
;157:JoyXButtonCallback
;158:=================
;159:*/
;160:void JoyXButtonCallback( void *s, int notification )
;161:{
line 162
;162:	menulist_s *box = (menulist_s *) s;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
line 164
;163:
;164:	if (notification != QM_ACTIVATED)
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $115
line 165
;165:		return;
ADDRGP4 $114
JUMPV
LABELV $115
line 167
;166:
;167:	trap_Cvar_SetValue( "joy_xbutton", box->curvalue );
ADDRGP4 $117
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 64
ADDP4
INDIRI4
CVIF4 4
ARGF4
ADDRGP4 trap_Cvar_SetValue
CALLV
pop
line 168
;168:}
LABELV $114
endproc JoyXButtonCallback 4 8
export JoyYButtonCallback
proc JoyYButtonCallback 4 8
line 176
;169:
;170:/*
;171:=================
;172:JoyYButtonCallback
;173:=================
;174:*/
;175:void JoyYButtonCallback( void *s, int notification )
;176:{
line 177
;177:	menulist_s *box = (menulist_s *) s;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
line 179
;178:
;179:	if (notification != QM_ACTIVATED)
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $119
line 180
;180:		return;
ADDRGP4 $118
JUMPV
LABELV $119
line 182
;181:
;182:	trap_Cvar_SetValue( "joy_ybutton", box->curvalue );
ADDRGP4 $121
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 64
ADDP4
INDIRI4
CVIF4 4
ARGF4
ADDRGP4 trap_Cvar_SetValue
CALLV
pop
line 183
;183:}
LABELV $118
endproc JoyYButtonCallback 4 8
import UI_PrintMenuGraphics
import UI_MenuBottomLineEnd_Graphics
import UI_InitGameinfo
import UI_GetAwardLevel
import UI_LogAwardData
import UI_NewGame
import UI_GetCurrentGame
import UI_CanShowTierVideo
import UI_ShowTierVideo
import UI_TierCompleted
import UI_SetBestScore
import UI_GetBestScore
import UI_GetNumBots
import UI_GetBotInfoByName
import UI_GetBotInfoByNumber
import UI_ServerAdvancedOptions
import UI_GetNumSPTiers
import UI_GetNumSPArenas
import UI_GetNumArenas
import UI_GetSpecialArenaInfo
import UI_GetArenaInfoByMap
import UI_GetArenaInfoByNumber
import UI_NetworkOptionsMenu
import UI_NetworkOptionsMenu_Cache
import UI_FontsMenu
import UI_SoundMenu_Cache
import UI_SoundMenu
import setup_menubuttons
import UI_DisplayOptionsMenu
import UI_TeamOrdersMenu_Cache
import UI_TeamOrdersMenu_f
import UI_TeamOrdersMenu
import UI_RemoveBotsMenu
import UI_RemoveBots_Cache
import UI_AddBotsMenu
import UI_AddBots_Cache
import trap_R_ModelBounds
import trap_SetCDKey
import trap_MemoryRemaining
import trap_LAN_GetPingInfo
import trap_LAN_GetPing
import trap_LAN_ClearPing
import trap_LAN_GetPingQueueCount
import trap_LAN_GetGlobalServerAddressString
import trap_LAN_GetGlobalServerCount
import trap_LAN_GetLocalServerAddressString
import trap_LAN_GetLocalServerCount
import trap_GetConfigString
import trap_GetGlconfig
import trap_GetClientState
import trap_GetClipboardData
import trap_Key_SetCatcher
import trap_Key_GetCatcher
import trap_Key_ClearStates
import trap_Key_SetOverstrikeMode
import trap_Key_GetOverstrikeMode
import trap_Key_IsDown
import trap_Key_SetBinding
import trap_Key_GetBindingBuf
import trap_Key_KeynumToStringBuf
import trap_S_RegisterSound
import trap_S_StartLocalSound
import trap_CM_LerpTag
import trap_UpdateScreen
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_RenderScene
import trap_R_AddLightToScene
import trap_R_AddPolyToScene
import trap_R_AddRefEntityToScene
import trap_R_ClearScene
import trap_R_RegisterShaderNoMip
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_FS_GetFileList
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Cmd_ExecuteText
import trap_Argv
import trap_Argc
import trap_Cvar_InfoStringBuffer
import trap_Cvar_Create
import trap_Cvar_Reset
import trap_Cvar_SetValue
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import UI_SPSkillMenu_Cache
import UI_SPSkillMenu
import UI_SPPostgameMenu_f
import UI_SPPostgameMenu_Cache
import UI_SPArena_Start
import UI_ResetGameMenu_Cache
import UI_SPLevelMenu_ReInit
import UI_SPLevelMenu_f
import UI_SPLevelMenu
import UI_SPLevelMenu_Cache
import uis
import m_entersound
import UI_MenuFrame2
import UI_MenuFrame
import UI_PrecacheMenuGraphics
import UI_Cvar_VariableString
import UI_Argv
import UI_ForceMenuOff
import UI_PopMenu
import UI_PushMenu
import UI_SetActiveMenu
import UI_IsFullscreen
import UI_AdjustFrom640
import UI_CursorInRect
import UI_DrawChar
import UI_DrawString
import UI_ProportionalStringWidth
import UI_DrawProportionalString
import UI_ProportionalSizeScale
import UI_DrawBannerString
import UI_DrawRect
import UI_FillRect
import UI_DrawHandlePic
import UI_DrawNamedPic
import UI_ClampCvar
import UI_ConsoleCommand
import UI_Refresh
import UI_MouseEvent
import UI_KeyEvent
import UI_Shutdown
import UI_Init
import UI_InitSpinControl
import UI_LoadButtonText
import UI_LoadMenuText
import UI_RegisterClientModelname
import UI_PlayerInfo_SetInfo
import UI_PlayerInfo_SetModel
import UI_DrawPlayer
import UI_VideoDriverMenu_Cache
import UI_VideoData2Menu_Cache
import UI_VideoDataMenu_Cache
import UI_VideoDataMenu
import DriverInfo_Cache
import ServerInfo_Cache
import UI_ServerInfoMenu
import UI_BotSelectMenu_Cache
import UI_BotSelectMenu
import ServerOptions_Cache
import StartServer_Cache
import UI_StartServerMenu
import UI_ChooseServerTypeMenu_Cache
import ArenaServers_Cache
import UI_ArenaServersMenu
import SpecifyServer_Cache
import UI_SpecifyServerMenu
import s_voicelanguage_Names
import s_textlanguage_Names
import UI_GameOptionsMenu_Cache
import UI_GameOptionsMenu
import PlayerSettings_Cache
import UI_PlayerSettingsMenu
import PlayerModel_Cache
import UI_PlayerModelMenu
import UI_CDKeyMenu2
import UI_CDKeyMenu_f
import UI_CDKeyMenu_Cache
import UI_CDKeyMenu
import UI_ModsMenu_Cache
import UI_ModsMenu
import UI_DemosMenu
import SetupMenu_TopButtons
import UI_ControlsMouseJoyStickMenu_Cache
import Controls_Cache
import UI_DrawConnectScreen
import TeamMain_Cache
import UI_TeamMainMenu
import UI_ConfirmMenu
import ConfirmMenu_Cache
import UI_BotCommandMenu_f
import UI_DynamicMenu
import UI_DynamicMenuCache
import UI_InGameMenu
import InGame_Cache
import ingameFlag
import UI_DemosMenu_Cache
import UI_QuitMenu_Cache
import UI_ChooseServerTypeMenu
import UI_QuitMenu
import UI_Setup_MenuButtons
import UI_UpdateCvars
import UI_RegisterCvars
import UI_MainMenu
import MainMenu_Cache
import MenuField_Key
import MenuField_Draw
import MenuField_Init
import MField_Draw
import MField_CharEvent
import MField_KeyDownEvent
import MField_Clear
import ui_medalSounds
import ui_medalPicNames
import ui_medalNames
import text_color_highlight
import text_color_normal
import text_color_disabled
import listbar_color
import list_color
import name_color
import color_dim
import color_red
import color_orange
import color_blue
import color_yellow
import color_white
import menu_dim_color
import menu_black_color
import menu_red_color
import menu_highlight_color
import menu_dark_color
import menu_grayed_color
import menu_text_color
import menu_null_sound
import menu_buzz_sound
import menu_out_sound
import menu_move_sound
import menu_in_sound
import ScrollList_Key
import ScrollList_Draw
import Bitmap_Draw
import Bitmap_Init
import Menu_DefaultKey
import Menu_SetCursorToItem
import Menu_SetCursor
import Menu_ActivateItem
import Menu_ItemAtCursor
import Menu_Draw
import Menu_AdjustCursor
import Menu_AddItem
import Menu_Focus
import Menu_Cache
import UI_HolomatchInMenu_Cache
import Mouse_Show
import Mouse_Hide
import ui_playerclass
import ui_cdkeychecked2
import ui_cdkeychecked
import ui_server16
import ui_server15
import ui_server14
import ui_server13
import ui_server12
import ui_server11
import ui_server10
import ui_server9
import ui_server8
import ui_server7
import ui_server6
import ui_server5
import ui_server4
import ui_server3
import ui_server2
import ui_server1
import ui_marks
import ui_drawCrosshairNames
import ui_drawCrosshair
import ui_brassTime
import ui_browserShowEmpty
import ui_browserShowFull
import ui_browserSortKey
import ui_browserGameType
import ui_browserMaster
import ui_spSelection
import ui_team_race_red
import ui_team_race_blue
import ui_dowarmup
import ui_warmup
import ui_respawnGhostTime
import ui_forcerespawn
import ui_holoIntro
import ui_adaptRespawn
import ui_dmgmult
import ui_knockback
import ui_gravity
import ui_speed
import ui_weaponrespawn
import ui_spSkill
import ui_spVideos
import ui_spAwards
import ui_spScores5
import ui_spScores4
import ui_spScores3
import ui_spScores2
import ui_spScores1
import ui_botminplayers
import ui_botsFile
import ui_arenasFile
import ui_ctf_friendly
import ui_ctf_timelimit
import ui_ctf_capturelimit
import ui_team_friendly
import ui_team_timelimit
import ui_team_fraglimit
import ui_tourney_timelimit
import ui_tourney_fraglimit
import ui_ffa_timelimit
import ui_ffa_fraglimit
import menu_button_text
import menu_normal_text
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $121
byte 1 106
byte 1 111
byte 1 121
byte 1 95
byte 1 121
byte 1 98
byte 1 117
byte 1 116
byte 1 116
byte 1 111
byte 1 110
byte 1 0
align 1
LABELV $117
byte 1 106
byte 1 111
byte 1 121
byte 1 95
byte 1 120
byte 1 98
byte 1 117
byte 1 116
byte 1 116
byte 1 111
byte 1 110
byte 1 0
align 1
LABELV $113
byte 1 114
byte 1 95
byte 1 101
byte 1 120
byte 1 116
byte 1 95
byte 1 116
byte 1 101
byte 1 120
byte 1 116
byte 1 117
byte 1 114
byte 1 101
byte 1 95
byte 1 102
byte 1 105
byte 1 108
byte 1 116
byte 1 101
byte 1 114
byte 1 95
byte 1 97
byte 1 110
byte 1 105
byte 1 115
byte 1 111
byte 1 116
byte 1 114
byte 1 111
byte 1 112
byte 1 105
byte 1 99
byte 1 0
align 1
LABELV $108
byte 1 99
byte 1 103
byte 1 95
byte 1 97
byte 1 117
byte 1 116
byte 1 111
byte 1 115
byte 1 119
byte 1 105
byte 1 116
byte 1 99
byte 1 104
byte 1 0
align 1
LABELV $103
byte 1 99
byte 1 108
byte 1 95
byte 1 114
byte 1 117
byte 1 110
byte 1 0
align 1
LABELV $99
byte 1 99
byte 1 103
byte 1 95
byte 1 118
byte 1 105
byte 1 101
byte 1 119
byte 1 115
byte 1 105
byte 1 122
byte 1 101
byte 1 0
align 1
LABELV $95
byte 1 114
byte 1 95
byte 1 105
byte 1 110
byte 1 116
byte 1 101
byte 1 110
byte 1 115
byte 1 105
byte 1 116
byte 1 121
byte 1 0
align 1
LABELV $91
byte 1 114
byte 1 95
byte 1 103
byte 1 97
byte 1 109
byte 1 109
byte 1 97
byte 1 0
align 1
LABELV $87
byte 1 109
byte 1 95
byte 1 102
byte 1 105
byte 1 108
byte 1 116
byte 1 101
byte 1 114
byte 1 0
align 1
LABELV $83
byte 1 115
byte 1 101
byte 1 110
byte 1 115
byte 1 105
byte 1 116
byte 1 105
byte 1 118
byte 1 105
byte 1 116
byte 1 121
byte 1 0
align 1
LABELV $79
byte 1 109
byte 1 95
byte 1 112
byte 1 105
byte 1 116
byte 1 99
byte 1 104
byte 1 0
