code
proc UI_PlayerInfo_SetWeapon 80 8
file "../ui_players.c"
line 32
;1:// Copyright (C) 1999-2000 Id Software, Inc.
;2://
;3:// ui_players.c
;4:
;5:#include "ui_local.h"
;6:
;7:
;8:#define UI_TIMER_GESTURE		2300
;9:#define UI_TIMER_JUMP			1000
;10:#define UI_TIMER_LAND			130
;11:#define UI_TIMER_WEAPON_SWITCH	300
;12:#define UI_TIMER_ATTACK			500
;13:#define	UI_TIMER_MUZZLE_FLASH	20
;14:#define	UI_TIMER_WEAPON_DELAY	250
;15:
;16:#define JUMP_HEIGHT				56
;17:
;18:#define SWINGSPEED				0.3
;19:
;20:#define SPIN_SPEED				0.9
;21:#define COAST_TIME				1000
;22:
;23:
;24:static int			dp_realtime;
;25:static float		jumpHeight;
;26:
;27:/*
;28:===============
;29:UI_PlayerInfo_SetWeapon
;30:===============
;31:*/
;32:static void UI_PlayerInfo_SetWeapon( playerInfo_t *pi, weapon_t weaponNum ) {
line 36
;33:	gitem_t *	item;
;34:	char		path[MAX_QPATH];
;35:
;36:	pi->currentWeapon = weaponNum;
ADDRFP4 0
INDIRP4
CNSTI4 928
ADDP4
ADDRFP4 4
INDIRI4
ASGNI4
LABELV $75
line 38
;37:tryagain:
;38:	pi->realWeapon = weaponNum;
ADDRFP4 0
INDIRP4
CNSTI4 992
ADDP4
ADDRFP4 4
INDIRI4
ASGNI4
line 39
;39:	pi->weaponModel = 0;
ADDRFP4 0
INDIRP4
CNSTI4 876
ADDP4
CNSTI4 0
ASGNI4
line 40
;40:	pi->barrelModel = 0;
ADDRFP4 0
INDIRP4
CNSTI4 880
ADDP4
CNSTI4 0
ASGNI4
line 41
;41:	pi->flashModel = 0;
ADDRFP4 0
INDIRP4
CNSTI4 884
ADDP4
CNSTI4 0
ASGNI4
line 43
;42:
;43:	if ( weaponNum == WP_NONE ) {
ADDRFP4 4
INDIRI4
CNSTI4 0
NEI4 $76
line 44
;44:		return;
ADDRGP4 $74
JUMPV
LABELV $76
line 47
;45:	}
;46:
;47:	for ( item = bg_itemlist + 1; item->classname ; item++ ) {
ADDRLP4 0
ADDRGP4 bg_itemlist+44
ASGNP4
ADDRGP4 $81
JUMPV
LABELV $78
line 48
;48:		if ( item->giType != IT_WEAPON ) {
ADDRLP4 0
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
CNSTI4 1
EQI4 $83
line 49
;49:			continue;
ADDRGP4 $79
JUMPV
LABELV $83
line 51
;50:		}
;51:		if ( item->giTag == weaponNum ) {
ADDRLP4 0
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
ADDRFP4 4
INDIRI4
NEI4 $85
line 52
;52:			break;
ADDRGP4 $80
JUMPV
LABELV $85
line 54
;53:		}
;54:	}
LABELV $79
line 47
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 44
ADDP4
ASGNP4
LABELV $81
ADDRLP4 0
INDIRP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $78
LABELV $80
line 56
;55:
;56:	if ( item->classname ) {
ADDRLP4 0
INDIRP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $87
line 57
;57:		pi->weaponModel = trap_R_RegisterModel( item->world_model );
ADDRLP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRP4
ARGP4
ADDRLP4 68
ADDRGP4 trap_R_RegisterModel
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
CNSTI4 876
ADDP4
ADDRLP4 68
INDIRI4
ASGNI4
line 58
;58:	}
LABELV $87
line 60
;59:
;60:	if( pi->weaponModel == 0 )
ADDRFP4 0
INDIRP4
CNSTI4 876
ADDP4
INDIRI4
CNSTI4 0
NEI4 $89
line 61
;61:	{
line 62
;62:		if( weaponNum == WP_PHASER )
ADDRFP4 4
INDIRI4
CNSTI4 1
NEI4 $91
line 63
;63:		{
line 65
;64:
;65:			weaponNum = WP_NONE;
ADDRFP4 4
CNSTI4 0
ASGNI4
line 66
;66:			goto tryagain;
ADDRGP4 $75
JUMPV
LABELV $91
line 68
;67:		}
;68:		weaponNum = WP_PHASER;
ADDRFP4 4
CNSTI4 1
ASGNI4
line 69
;69:		goto tryagain;
ADDRGP4 $75
JUMPV
LABELV $89
line 72
;70:	}
;71:
;72:	strcpy( path, item->world_model );
ADDRLP4 4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRP4
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 73
;73:	COM_StripExtension( path, path );
ADDRLP4 4
ARGP4
ADDRLP4 4
ARGP4
ADDRGP4 COM_StripExtension
CALLV
pop
line 74
;74:	strcat( path, "_flash.md3" );
ADDRLP4 4
ARGP4
ADDRGP4 $93
ARGP4
ADDRGP4 strcat
CALLP4
pop
line 75
;75:	pi->flashModel = trap_R_RegisterModel( path );
ADDRLP4 4
ARGP4
ADDRLP4 68
ADDRGP4 trap_R_RegisterModel
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
CNSTI4 884
ADDP4
ADDRLP4 68
INDIRI4
ASGNI4
line 77
;76:
;77:	switch( weaponNum ) {
ADDRLP4 72
ADDRFP4 4
INDIRI4
ASGNI4
ADDRLP4 72
INDIRI4
CNSTI4 1
LTI4 $94
ADDRLP4 72
INDIRI4
CNSTI4 9
GTI4 $94
ADDRLP4 72
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 $106-4
ADDP4
INDIRP4
JUMPV
lit
align 4
LABELV $106
address $99
address $102
address $101
address $104
address $98
address $97
address $103
address $105
address $100
code
LABELV $97
line 79
;78:	case WP_GRENADE_LAUNCHER:
;79:		MAKERGB( pi->flashDlightColor, 0.6, 0.6, 1 );
ADDRFP4 0
INDIRP4
CNSTI4 888
ADDP4
CNSTF4 1058642330
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 892
ADDP4
CNSTF4 1058642330
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 896
ADDP4
CNSTF4 1065353216
ASGNF4
line 80
;80:		break;
ADDRGP4 $95
JUMPV
LABELV $98
line 83
;81:
;82:	case WP_STASIS:
;83:		MAKERGB( pi->flashDlightColor, 0.6, 0.6, 1 );
ADDRFP4 0
INDIRP4
CNSTI4 888
ADDP4
CNSTF4 1058642330
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 892
ADDP4
CNSTF4 1058642330
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 896
ADDP4
CNSTF4 1065353216
ASGNF4
line 84
;84:		break;
ADDRGP4 $95
JUMPV
LABELV $99
line 87
;85:
;86:	case WP_PHASER:
;87:		MAKERGB( pi->flashDlightColor, 0, 0, 0 );
ADDRFP4 0
INDIRP4
CNSTI4 888
ADDP4
CNSTF4 0
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 892
ADDP4
CNSTF4 0
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 896
ADDP4
CNSTF4 0
ASGNF4
line 88
;88:		break;
ADDRGP4 $95
JUMPV
LABELV $100
line 91
;89:
;90:	case WP_DREADNOUGHT:
;91:		MAKERGB( pi->flashDlightColor, 0.6, 0.6, 1 );
ADDRFP4 0
INDIRP4
CNSTI4 888
ADDP4
CNSTF4 1058642330
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 892
ADDP4
CNSTF4 1058642330
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 896
ADDP4
CNSTF4 1065353216
ASGNF4
line 92
;92:		break;
ADDRGP4 $95
JUMPV
LABELV $101
line 95
;93:
;94:	case WP_IMOD:
;95:		MAKERGB( pi->flashDlightColor, 0.6, 0.6, 1 );
ADDRFP4 0
INDIRP4
CNSTI4 888
ADDP4
CNSTF4 1058642330
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 892
ADDP4
CNSTF4 1058642330
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 896
ADDP4
CNSTF4 1065353216
ASGNF4
line 96
;96:		break;
ADDRGP4 $95
JUMPV
LABELV $102
line 99
;97:
;98:	case WP_COMPRESSION_RIFLE:
;99:		MAKERGB( pi->flashDlightColor, 0.16, 0.16, 1 );
ADDRFP4 0
INDIRP4
CNSTI4 888
ADDP4
CNSTF4 1042536202
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 892
ADDP4
CNSTF4 1042536202
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 896
ADDP4
CNSTF4 1065353216
ASGNF4
line 100
;100:		break;
ADDRGP4 $95
JUMPV
LABELV $103
line 103
;101:
;102:	case WP_TETRION_DISRUPTOR:
;103:		MAKERGB( pi->flashDlightColor, 0.6, 0.6, 1 );
ADDRFP4 0
INDIRP4
CNSTI4 888
ADDP4
CNSTF4 1058642330
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 892
ADDP4
CNSTF4 1058642330
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 896
ADDP4
CNSTF4 1065353216
ASGNF4
line 104
;104:		break;
ADDRGP4 $95
JUMPV
LABELV $104
line 107
;105:
;106:	case WP_SCAVENGER_RIFLE:
;107:		MAKERGB( pi->flashDlightColor, 1, 0.6, 0.6 );
ADDRFP4 0
INDIRP4
CNSTI4 888
ADDP4
CNSTF4 1065353216
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 892
ADDP4
CNSTF4 1058642330
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 896
ADDP4
CNSTF4 1058642330
ASGNF4
line 108
;108:		break;
ADDRGP4 $95
JUMPV
LABELV $105
line 111
;109:
;110:	case WP_QUANTUM_BURST:
;111:		MAKERGB( pi->flashDlightColor, 0.6, 0.6, 1 );
ADDRFP4 0
INDIRP4
CNSTI4 888
ADDP4
CNSTF4 1058642330
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 892
ADDP4
CNSTF4 1058642330
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 896
ADDP4
CNSTF4 1065353216
ASGNF4
line 112
;112:		break;
ADDRGP4 $95
JUMPV
LABELV $94
line 115
;113:
;114:	default:
;115:		MAKERGB( pi->flashDlightColor, 1, 1, 1 );
ADDRFP4 0
INDIRP4
CNSTI4 888
ADDP4
CNSTF4 1065353216
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 892
ADDP4
CNSTF4 1065353216
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 896
ADDP4
CNSTF4 1065353216
ASGNF4
line 116
;116:		break;
LABELV $95
line 118
;117:	}
;118:}
LABELV $74
endproc UI_PlayerInfo_SetWeapon 80 8
proc UI_ForceLegsAnim 8 0
line 126
;119:
;120:
;121:/*
;122:===============
;123:UI_ForceLegsAnim
;124:===============
;125:*/
;126:static void UI_ForceLegsAnim( playerInfo_t *pi, int anim ) {
line 127
;127:	pi->legsAnim = ( ( pi->legsAnim & ANIM_TOGGLEBIT ) ^ ANIM_TOGGLEBIT ) | anim;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 932
ADDP4
ASGNP4
ADDRLP4 4
CNSTI4 128
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRI4
ADDRLP4 4
INDIRI4
BANDI4
ADDRLP4 4
INDIRI4
BXORI4
ADDRFP4 4
INDIRI4
BORI4
ASGNI4
line 129
;128:
;129:	if ( anim == LEGS_JUMP ) {
ADDRFP4 4
INDIRI4
CNSTI4 18
NEI4 $109
line 130
;130:		pi->legsAnimationTimer = UI_TIMER_JUMP;
ADDRFP4 0
INDIRP4
CNSTI4 968
ADDP4
CNSTI4 1000
ASGNI4
line 131
;131:	}
LABELV $109
line 132
;132:}
LABELV $108
endproc UI_ForceLegsAnim 8 0
proc UI_SetLegsAnim 0 8
line 140
;133:
;134:
;135:/*
;136:===============
;137:UI_SetLegsAnim
;138:===============
;139:*/
;140:static void UI_SetLegsAnim( playerInfo_t *pi, int anim ) {
line 141
;141:	if ( pi->pendingLegsAnim ) {
ADDRFP4 0
INDIRP4
CNSTI4 956
ADDP4
INDIRI4
CNSTI4 0
EQI4 $112
line 142
;142:		anim = pi->pendingLegsAnim;
ADDRFP4 4
ADDRFP4 0
INDIRP4
CNSTI4 956
ADDP4
INDIRI4
ASGNI4
line 143
;143:		pi->pendingLegsAnim = 0;
ADDRFP4 0
INDIRP4
CNSTI4 956
ADDP4
CNSTI4 0
ASGNI4
line 144
;144:	}
LABELV $112
line 145
;145:	UI_ForceLegsAnim( pi, anim );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRI4
ARGI4
ADDRGP4 UI_ForceLegsAnim
CALLV
pop
line 146
;146:}
LABELV $111
endproc UI_SetLegsAnim 0 8
proc UI_ForceTorsoAnim 12 0
line 154
;147:
;148:
;149:/*
;150:===============
;151:UI_ForceTorsoAnim
;152:===============
;153:*/
;154:static void UI_ForceTorsoAnim( playerInfo_t *pi, int anim ) {
line 155
;155:	pi->torsoAnim = ( ( pi->torsoAnim & ANIM_TOGGLEBIT ) ^ ANIM_TOGGLEBIT ) | anim;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 936
ADDP4
ASGNP4
ADDRLP4 4
CNSTI4 128
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRI4
ADDRLP4 4
INDIRI4
BANDI4
ADDRLP4 4
INDIRI4
BXORI4
ADDRFP4 4
INDIRI4
BORI4
ASGNI4
line 157
;156:
;157:	if ( anim == TORSO_GESTURE ) {
ADDRFP4 4
INDIRI4
CNSTI4 6
NEI4 $115
line 158
;158:		pi->torsoAnimationTimer = UI_TIMER_GESTURE;
ADDRFP4 0
INDIRP4
CNSTI4 960
ADDP4
CNSTI4 2300
ASGNI4
line 159
;159:	}
LABELV $115
line 161
;160:
;161:	if ( anim == TORSO_ATTACK || anim == TORSO_ATTACK2 ) {
ADDRLP4 8
ADDRFP4 4
INDIRI4
ASGNI4
ADDRLP4 8
INDIRI4
CNSTI4 7
EQI4 $119
ADDRLP4 8
INDIRI4
CNSTI4 8
NEI4 $117
LABELV $119
line 162
;162:		pi->torsoAnimationTimer = UI_TIMER_ATTACK;
ADDRFP4 0
INDIRP4
CNSTI4 960
ADDP4
CNSTI4 500
ASGNI4
line 163
;163:	}
LABELV $117
line 164
;164:}
LABELV $114
endproc UI_ForceTorsoAnim 12 0
proc UI_SetTorsoAnim 0 8
line 172
;165:
;166:
;167:/*
;168:===============
;169:UI_SetTorsoAnim
;170:===============
;171:*/
;172:static void UI_SetTorsoAnim( playerInfo_t *pi, int anim ) {
line 173
;173:	if ( pi->pendingTorsoAnim ) {
ADDRFP4 0
INDIRP4
CNSTI4 964
ADDP4
INDIRI4
CNSTI4 0
EQI4 $121
line 174
;174:		anim = pi->pendingTorsoAnim;
ADDRFP4 4
ADDRFP4 0
INDIRP4
CNSTI4 964
ADDP4
INDIRI4
ASGNI4
line 175
;175:		pi->pendingTorsoAnim = 0;
ADDRFP4 0
INDIRP4
CNSTI4 964
ADDP4
CNSTI4 0
ASGNI4
line 176
;176:	}
LABELV $121
line 178
;177:
;178:	UI_ForceTorsoAnim( pi, anim );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRI4
ARGI4
ADDRGP4 UI_ForceTorsoAnim
CALLV
pop
line 179
;179:}
LABELV $120
endproc UI_SetTorsoAnim 0 8
proc UI_TorsoSequencing 16 8
line 187
;180:
;181:
;182:/*
;183:===============
;184:UI_TorsoSequencing
;185:===============
;186:*/
;187:static void UI_TorsoSequencing( playerInfo_t *pi ) {
line 190
;188:	int		currentAnim;
;189:
;190:	currentAnim = pi->torsoAnim & ~ANIM_TOGGLEBIT;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 936
ADDP4
INDIRI4
CNSTI4 -129
BANDI4
ASGNI4
line 192
;191:
;192:	if ( pi->weapon != pi->currentWeapon ) {
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CNSTI4 940
ADDP4
INDIRI4
ADDRLP4 4
INDIRP4
CNSTI4 928
ADDP4
INDIRI4
EQI4 $124
line 193
;193:		if ( currentAnim != TORSO_DROP ) {
ADDRLP4 0
INDIRI4
CNSTI4 9
EQI4 $126
line 194
;194:			pi->torsoAnimationTimer = UI_TIMER_WEAPON_SWITCH;
ADDRFP4 0
INDIRP4
CNSTI4 960
ADDP4
CNSTI4 300
ASGNI4
line 195
;195:			UI_ForceTorsoAnim( pi, TORSO_DROP );
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 9
ARGI4
ADDRGP4 UI_ForceTorsoAnim
CALLV
pop
line 196
;196:		}
LABELV $126
line 197
;197:	}
LABELV $124
line 199
;198:
;199:	if ( pi->torsoAnimationTimer > 0 ) {
ADDRFP4 0
INDIRP4
CNSTI4 960
ADDP4
INDIRI4
CNSTI4 0
LEI4 $128
line 200
;200:		return;
ADDRGP4 $123
JUMPV
LABELV $128
line 203
;201:	}
;202:
;203:	if( currentAnim == TORSO_GESTURE ) {
ADDRLP4 0
INDIRI4
CNSTI4 6
NEI4 $130
line 204
;204:		UI_SetTorsoAnim( pi, TORSO_STAND );
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 11
ARGI4
ADDRGP4 UI_SetTorsoAnim
CALLV
pop
line 205
;205:		return;
ADDRGP4 $123
JUMPV
LABELV $130
line 208
;206:	}
;207:
;208:	if( currentAnim == TORSO_ATTACK || currentAnim == TORSO_ATTACK2 ) {
ADDRLP4 0
INDIRI4
CNSTI4 7
EQI4 $134
ADDRLP4 0
INDIRI4
CNSTI4 8
NEI4 $132
LABELV $134
line 209
;209:		if ( pi->currentWeapon == WP_NONE || pi->currentWeapon == WP_PHASER ) 
ADDRLP4 12
ADDRFP4 0
INDIRP4
CNSTI4 928
ADDP4
INDIRI4
ASGNI4
ADDRLP4 12
INDIRI4
CNSTI4 0
EQI4 $137
ADDRLP4 12
INDIRI4
CNSTI4 1
NEI4 $135
LABELV $137
line 210
;210:		{
line 211
;211:			UI_SetTorsoAnim( pi, TORSO_STAND2 );
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 12
ARGI4
ADDRGP4 UI_SetTorsoAnim
CALLV
pop
line 212
;212:		}
ADDRGP4 $123
JUMPV
LABELV $135
line 214
;213:		else 
;214:		{
line 215
;215:			UI_SetTorsoAnim( pi, TORSO_STAND );
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 11
ARGI4
ADDRGP4 UI_SetTorsoAnim
CALLV
pop
line 216
;216:		}
line 218
;217:
;218:		return;
ADDRGP4 $123
JUMPV
LABELV $132
line 221
;219:	}
;220:
;221:	if ( currentAnim == TORSO_DROP ) {
ADDRLP4 0
INDIRI4
CNSTI4 9
NEI4 $138
line 222
;222:		UI_PlayerInfo_SetWeapon( pi, pi->weapon );
ADDRLP4 12
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12
INDIRP4
ARGP4
ADDRLP4 12
INDIRP4
CNSTI4 940
ADDP4
INDIRI4
ARGI4
ADDRGP4 UI_PlayerInfo_SetWeapon
CALLV
pop
line 223
;223:		pi->torsoAnimationTimer = UI_TIMER_WEAPON_SWITCH;
ADDRFP4 0
INDIRP4
CNSTI4 960
ADDP4
CNSTI4 300
ASGNI4
line 224
;224:		UI_ForceTorsoAnim( pi, TORSO_RAISE );
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 10
ARGI4
ADDRGP4 UI_ForceTorsoAnim
CALLV
pop
line 225
;225:		return;
ADDRGP4 $123
JUMPV
LABELV $138
line 228
;226:	}
;227:
;228:	if ( currentAnim == TORSO_RAISE ) {
ADDRLP4 0
INDIRI4
CNSTI4 10
NEI4 $140
line 229
;229:		UI_SetTorsoAnim( pi, TORSO_STAND );
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 11
ARGI4
ADDRGP4 UI_SetTorsoAnim
CALLV
pop
line 230
;230:		return;
LABELV $140
line 232
;231:	}
;232:}
LABELV $123
endproc UI_TorsoSequencing 16 8
proc UI_LegsSequencing 8 8
line 240
;233:
;234:
;235:/*
;236:===============
;237:UI_LegsSequencing
;238:===============
;239:*/
;240:static void UI_LegsSequencing( playerInfo_t *pi ) {
line 243
;241:	int		currentAnim;
;242:
;243:	currentAnim = pi->legsAnim & ~ANIM_TOGGLEBIT;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 932
ADDP4
INDIRI4
CNSTI4 -129
BANDI4
ASGNI4
line 245
;244:
;245:	if ( pi->legsAnimationTimer > 0 ) {
ADDRFP4 0
INDIRP4
CNSTI4 968
ADDP4
INDIRI4
CNSTI4 0
LEI4 $143
line 246
;246:		if ( currentAnim == LEGS_JUMP ) {
ADDRLP4 0
INDIRI4
CNSTI4 18
NEI4 $142
line 247
;247:			jumpHeight = JUMP_HEIGHT * sin( M_PI * ( UI_TIMER_JUMP - pi->legsAnimationTimer ) / UI_TIMER_JUMP );
CNSTF4 1078530011
CNSTI4 1000
ADDRFP4 0
INDIRP4
CNSTI4 968
ADDP4
INDIRI4
SUBI4
CVIF4 4
MULF4
CNSTF4 1148846080
DIVF4
ARGF4
ADDRLP4 4
ADDRGP4 sin
CALLF4
ASGNF4
ADDRGP4 jumpHeight
CNSTF4 1113587712
ADDRLP4 4
INDIRF4
MULF4
ASGNF4
line 248
;248:		}
line 249
;249:		return;
ADDRGP4 $142
JUMPV
LABELV $143
line 252
;250:	}
;251:
;252:	if ( currentAnim == LEGS_JUMP ) {
ADDRLP4 0
INDIRI4
CNSTI4 18
NEI4 $147
line 253
;253:		UI_ForceLegsAnim( pi, LEGS_LAND );
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 19
ARGI4
ADDRGP4 UI_ForceLegsAnim
CALLV
pop
line 254
;254:		pi->legsAnimationTimer = UI_TIMER_LAND;
ADDRFP4 0
INDIRP4
CNSTI4 968
ADDP4
CNSTI4 130
ASGNI4
line 255
;255:		jumpHeight = 0;
ADDRGP4 jumpHeight
CNSTF4 0
ASGNF4
line 256
;256:		return;
ADDRGP4 $142
JUMPV
LABELV $147
line 259
;257:	}
;258:
;259:	if ( currentAnim == LEGS_LAND ) {
ADDRLP4 0
INDIRI4
CNSTI4 19
NEI4 $149
line 260
;260:		UI_SetLegsAnim( pi, LEGS_IDLE );
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 22
ARGI4
ADDRGP4 UI_SetLegsAnim
CALLV
pop
line 261
;261:		return;
LABELV $149
line 263
;262:	}
;263:}
LABELV $142
endproc UI_LegsSequencing 8 8
proc UI_PositionEntityOnTag 84 24
line 272
;264:
;265:
;266:/*
;267:======================
;268:UI_PositionEntityOnTag
;269:======================
;270:*/
;271:static void UI_PositionEntityOnTag( refEntity_t *entity, const refEntity_t *parent, 
;272:							clipHandle_t parentModel, char *tagName ) {
line 277
;273:	int				i;
;274:	orientation_t	lerped;
;275:	
;276:	// lerp the tag
;277:	trap_CM_LerpTag( &lerped, parentModel, parent->oldframe, parent->frame,
ADDRLP4 4
ARGP4
ADDRFP4 8
INDIRI4
ARGI4
ADDRLP4 52
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 52
INDIRP4
CNSTI4 96
ADDP4
INDIRI4
ARGI4
ADDRLP4 52
INDIRP4
CNSTI4 80
ADDP4
INDIRI4
ARGI4
CNSTF4 1065353216
ADDRLP4 52
INDIRP4
CNSTI4 100
ADDP4
INDIRF4
SUBF4
ARGF4
ADDRFP4 12
INDIRP4
ARGP4
ADDRGP4 trap_CM_LerpTag
CALLV
pop
line 281
;278:		1.0 - parent->backlerp, tagName );
;279:
;280:	// FIXME: allow origin offsets along tag?
;281:	VectorCopy( parent->origin, entity->origin );
ADDRLP4 56
CNSTI4 68
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 56
INDIRI4
ADDP4
ADDRFP4 4
INDIRP4
ADDRLP4 56
INDIRI4
ADDP4
INDIRB
ASGNB 12
line 282
;282:	for ( i = 0 ; i < 3 ; i++ ) {
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $152
line 283
;283:		VectorMA( entity->origin, lerped.origin[i], parent->axis[i], entity->origin );
ADDRLP4 60
ADDRFP4 0
INDIRP4
CNSTI4 68
ADDP4
ASGNP4
ADDRLP4 60
INDIRP4
ADDRLP4 60
INDIRP4
INDIRF4
CNSTI4 12
ADDRLP4 0
INDIRI4
MULI4
ADDRFP4 4
INDIRP4
CNSTI4 28
ADDP4
ADDP4
INDIRF4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 4
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 68
ADDRFP4 0
INDIRP4
CNSTI4 72
ADDP4
ASGNP4
ADDRLP4 68
INDIRP4
ADDRLP4 68
INDIRP4
INDIRF4
CNSTI4 12
ADDRLP4 0
INDIRI4
MULI4
ADDRFP4 4
INDIRP4
CNSTI4 28
ADDP4
ADDP4
CNSTI4 4
ADDP4
INDIRF4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 4
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 76
ADDRFP4 0
INDIRP4
CNSTI4 76
ADDP4
ASGNP4
ADDRLP4 76
INDIRP4
ADDRLP4 76
INDIRP4
INDIRF4
CNSTI4 12
ADDRLP4 0
INDIRI4
MULI4
ADDRFP4 4
INDIRP4
CNSTI4 28
ADDP4
ADDP4
CNSTI4 8
ADDP4
INDIRF4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 4
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
line 284
;284:	}
LABELV $153
line 282
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 3
LTI4 $152
line 287
;285:
;286:	// cast away const because of compiler problems
;287:	MatrixMultiply( lerped.axis, ((refEntity_t*)parent)->axis, entity->axis );
ADDRLP4 4+12
ARGP4
ADDRLP4 60
CNSTI4 28
ASGNI4
ADDRFP4 4
INDIRP4
ADDRLP4 60
INDIRI4
ADDP
ARGP4
ADDRFP4 0
INDIRP4
ADDRLP4 60
INDIRI4
ADDP4
ARGP4
ADDRGP4 MatrixMultiply
CALLV
pop
line 288
;288:	entity->backlerp = parent->backlerp;
ADDRLP4 64
CNSTI4 100
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 64
INDIRI4
ADDP4
ADDRFP4 4
INDIRP4
ADDRLP4 64
INDIRI4
ADDP4
INDIRF4
ASGNF4
line 289
;289:}
LABELV $151
endproc UI_PositionEntityOnTag 84 24
proc UI_PositionRotatedEntityOnTag 120 24
line 298
;290:
;291:
;292:/*
;293:======================
;294:UI_PositionRotatedEntityOnTag
;295:======================
;296:*/
;297:static void UI_PositionRotatedEntityOnTag( refEntity_t *entity, const refEntity_t *parent, 
;298:							clipHandle_t parentModel, char *tagName ) {
line 304
;299:	int				i;
;300:	orientation_t	lerped;
;301:	vec3_t			tempAxis[3];
;302:
;303:	// lerp the tag
;304:	trap_CM_LerpTag( &lerped, parentModel, parent->oldframe, parent->frame,
ADDRLP4 4
ARGP4
ADDRFP4 8
INDIRI4
ARGI4
ADDRLP4 88
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 88
INDIRP4
CNSTI4 96
ADDP4
INDIRI4
ARGI4
ADDRLP4 88
INDIRP4
CNSTI4 80
ADDP4
INDIRI4
ARGI4
CNSTF4 1065353216
ADDRLP4 88
INDIRP4
CNSTI4 100
ADDP4
INDIRF4
SUBF4
ARGF4
ADDRFP4 12
INDIRP4
ARGP4
ADDRGP4 trap_CM_LerpTag
CALLV
pop
line 308
;305:		1.0 - parent->backlerp, tagName );
;306:
;307:	// FIXME: allow origin offsets along tag?
;308:	VectorCopy( parent->origin, entity->origin );
ADDRLP4 92
CNSTI4 68
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 92
INDIRI4
ADDP4
ADDRFP4 4
INDIRP4
ADDRLP4 92
INDIRI4
ADDP4
INDIRB
ASGNB 12
line 309
;309:	for ( i = 0 ; i < 3 ; i++ ) {
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $158
line 310
;310:		VectorMA( entity->origin, lerped.origin[i], parent->axis[i], entity->origin );
ADDRLP4 96
ADDRFP4 0
INDIRP4
CNSTI4 68
ADDP4
ASGNP4
ADDRLP4 96
INDIRP4
ADDRLP4 96
INDIRP4
INDIRF4
CNSTI4 12
ADDRLP4 0
INDIRI4
MULI4
ADDRFP4 4
INDIRP4
CNSTI4 28
ADDP4
ADDP4
INDIRF4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 4
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 104
ADDRFP4 0
INDIRP4
CNSTI4 72
ADDP4
ASGNP4
ADDRLP4 104
INDIRP4
ADDRLP4 104
INDIRP4
INDIRF4
CNSTI4 12
ADDRLP4 0
INDIRI4
MULI4
ADDRFP4 4
INDIRP4
CNSTI4 28
ADDP4
ADDP4
CNSTI4 4
ADDP4
INDIRF4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 4
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 112
ADDRFP4 0
INDIRP4
CNSTI4 76
ADDP4
ASGNP4
ADDRLP4 112
INDIRP4
ADDRLP4 112
INDIRP4
INDIRF4
CNSTI4 12
ADDRLP4 0
INDIRI4
MULI4
ADDRFP4 4
INDIRP4
CNSTI4 28
ADDP4
ADDP4
CNSTI4 8
ADDP4
INDIRF4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 4
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
line 311
;311:	}
LABELV $159
line 309
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 3
LTI4 $158
line 314
;312:
;313:	// cast away const because of compiler problems
;314:	MatrixMultiply( entity->axis, ((refEntity_t *)parent)->axis, tempAxis );
ADDRLP4 96
CNSTI4 28
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 96
INDIRI4
ADDP4
ARGP4
ADDRFP4 4
INDIRP4
ADDRLP4 96
INDIRI4
ADDP
ARGP4
ADDRLP4 52
ARGP4
ADDRGP4 MatrixMultiply
CALLV
pop
line 315
;315:	MatrixMultiply( lerped.axis, tempAxis, entity->axis );
ADDRLP4 4+12
ARGP4
ADDRLP4 52
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 28
ADDP4
ARGP4
ADDRGP4 MatrixMultiply
CALLV
pop
line 316
;316:}
LABELV $157
endproc UI_PositionRotatedEntityOnTag 120 24
proc UI_SetLerpFrameAnimation 12 8
line 324
;317:
;318:
;319:/*
;320:===============
;321:UI_SetLerpFrameAnimation
;322:===============
;323:*/
;324:static void UI_SetLerpFrameAnimation( playerInfo_t *ci, lerpFrame_t *lf, int newAnimation ) {
line 327
;325:	animation_t	*anim;
;326:
;327:	lf->animationNumber = newAnimation;
ADDRFP4 4
INDIRP4
CNSTI4 36
ADDP4
ADDRFP4 8
INDIRI4
ASGNI4
line 328
;328:	newAnimation &= ~ANIM_TOGGLEBIT;
ADDRFP4 8
ADDRFP4 8
INDIRI4
CNSTI4 -129
BANDI4
ASGNI4
line 330
;329:
;330:	if ( newAnimation < 0 || newAnimation >= MAX_ANIMATIONS ) {
ADDRLP4 4
ADDRFP4 8
INDIRI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 0
LTI4 $166
ADDRLP4 4
INDIRI4
CNSTI4 25
LTI4 $164
LABELV $166
line 331
;331:		trap_Error( va("Bad animation number: %i", newAnimation) );
ADDRGP4 $167
ARGP4
ADDRFP4 8
INDIRI4
ARGI4
ADDRLP4 8
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 8
INDIRP4
ARGP4
ADDRGP4 trap_Error
CALLV
pop
line 332
;332:	}
LABELV $164
line 334
;333:
;334:	anim = &ci->animations[ newAnimation ];
ADDRLP4 0
CNSTI4 20
ADDRFP4 8
INDIRI4
MULI4
ADDRFP4 0
INDIRP4
CNSTI4 376
ADDP4
ADDP4
ASGNP4
line 336
;335:
;336:	lf->animation = anim;
ADDRFP4 4
INDIRP4
CNSTI4 40
ADDP4
ADDRLP4 0
INDIRP4
ASGNP4
line 337
;337:	lf->animationTime = lf->frameTime + anim->initialLerp;
ADDRLP4 8
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
CNSTI4 44
ADDP4
ADDRLP4 8
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
ADDRLP4 0
INDIRP4
CNSTI4 16
ADDP4
INDIRI4
ADDI4
ASGNI4
line 338
;338:}
LABELV $163
endproc UI_SetLerpFrameAnimation 12 8
proc UI_RunLerpFrame 32 12
line 346
;339:
;340:
;341:/*
;342:===============
;343:UI_RunLerpFrame
;344:===============
;345:*/
;346:static void UI_RunLerpFrame( playerInfo_t *ci, lerpFrame_t *lf, int newAnimation ) {
line 351
;347:	int			f;
;348:	animation_t	*anim;
;349:
;350:	// see if the animation sequence is switching
;351:	if ( newAnimation != lf->animationNumber || !lf->animation ) {
ADDRLP4 8
ADDRFP4 4
INDIRP4
ASGNP4
ADDRFP4 8
INDIRI4
ADDRLP4 8
INDIRP4
CNSTI4 36
ADDP4
INDIRI4
NEI4 $171
ADDRLP4 8
INDIRP4
CNSTI4 40
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $169
LABELV $171
line 352
;352:		UI_SetLerpFrameAnimation( ci, lf, newAnimation );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRFP4 8
INDIRI4
ARGI4
ADDRGP4 UI_SetLerpFrameAnimation
CALLV
pop
line 353
;353:	}
LABELV $169
line 357
;354:
;355:	// if we have passed the current frame, move it to
;356:	// oldFrame and calculate a new frame
;357:	if ( dp_realtime >= lf->frameTime ) {
ADDRGP4 dp_realtime
INDIRI4
ADDRFP4 4
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
LTI4 $172
line 358
;358:		lf->oldFrame = lf->frame;
ADDRLP4 12
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 12
INDIRP4
ADDRLP4 12
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
ASGNI4
line 359
;359:		lf->oldFrameTime = lf->frameTime;
ADDRLP4 16
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 16
INDIRP4
CNSTI4 4
ADDP4
ADDRLP4 16
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
ASGNI4
line 362
;360:
;361:		// get the next frame based on the animation
;362:		anim = lf->animation;
ADDRLP4 0
ADDRFP4 4
INDIRP4
CNSTI4 40
ADDP4
INDIRP4
ASGNP4
line 363
;363:		if ( dp_realtime < lf->animationTime ) {
ADDRGP4 dp_realtime
INDIRI4
ADDRFP4 4
INDIRP4
CNSTI4 44
ADDP4
INDIRI4
GEI4 $174
line 364
;364:			lf->frameTime = lf->animationTime;		// initial lerp
ADDRLP4 20
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 20
INDIRP4
CNSTI4 12
ADDP4
ADDRLP4 20
INDIRP4
CNSTI4 44
ADDP4
INDIRI4
ASGNI4
line 365
;365:		} else {
ADDRGP4 $175
JUMPV
LABELV $174
line 366
;366:			lf->frameTime = lf->oldFrameTime + anim->frameLerp;
ADDRLP4 20
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 24
CNSTI4 12
ASGNI4
ADDRLP4 20
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
ADDRLP4 20
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
ADDRLP4 0
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
INDIRI4
ADDI4
ASGNI4
line 367
;367:		}
LABELV $175
line 368
;368:		f = ( lf->frameTime - lf->animationTime ) / anim->frameLerp;
ADDRLP4 20
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 24
CNSTI4 12
ASGNI4
ADDRLP4 4
ADDRLP4 20
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
INDIRI4
ADDRLP4 20
INDIRP4
CNSTI4 44
ADDP4
INDIRI4
SUBI4
ADDRLP4 0
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
INDIRI4
DIVI4
ASGNI4
line 369
;369:		if ( f >= anim->numFrames ) {
ADDRLP4 4
INDIRI4
ADDRLP4 0
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
LTI4 $176
line 370
;370:			f -= anim->numFrames;
ADDRLP4 4
ADDRLP4 4
INDIRI4
ADDRLP4 0
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
SUBI4
ASGNI4
line 371
;371:			if ( anim->loopFrames ) {
ADDRLP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
CNSTI4 0
EQI4 $178
line 372
;372:				f %= anim->loopFrames;
ADDRLP4 4
ADDRLP4 4
INDIRI4
ADDRLP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
MODI4
ASGNI4
line 373
;373:				f += anim->numFrames - anim->loopFrames;
ADDRLP4 4
ADDRLP4 4
INDIRI4
ADDRLP4 0
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
ADDRLP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
SUBI4
ADDI4
ASGNI4
line 374
;374:			} else {
ADDRGP4 $179
JUMPV
LABELV $178
line 375
;375:				f = anim->numFrames - 1;
ADDRLP4 4
ADDRLP4 0
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
line 378
;376:				// the animation is stuck at the end, so it
;377:				// can immediately transition to another sequence
;378:				lf->frameTime = dp_realtime;
ADDRFP4 4
INDIRP4
CNSTI4 12
ADDP4
ADDRGP4 dp_realtime
INDIRI4
ASGNI4
line 379
;379:			}
LABELV $179
line 380
;380:		}
LABELV $176
line 381
;381:		lf->frame = anim->firstFrame + f;
ADDRFP4 4
INDIRP4
CNSTI4 8
ADDP4
ADDRLP4 0
INDIRP4
INDIRI4
ADDRLP4 4
INDIRI4
ADDI4
ASGNI4
line 382
;382:		if ( dp_realtime > lf->frameTime ) {
ADDRGP4 dp_realtime
INDIRI4
ADDRFP4 4
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
LEI4 $180
line 383
;383:			lf->frameTime = dp_realtime;
ADDRFP4 4
INDIRP4
CNSTI4 12
ADDP4
ADDRGP4 dp_realtime
INDIRI4
ASGNI4
line 384
;384:		}
LABELV $180
line 385
;385:	}
LABELV $172
line 387
;386:
;387:	if ( lf->frameTime > dp_realtime + 200 ) {
ADDRFP4 4
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
ADDRGP4 dp_realtime
INDIRI4
CNSTI4 200
ADDI4
LEI4 $182
line 388
;388:		lf->frameTime = dp_realtime;
ADDRFP4 4
INDIRP4
CNSTI4 12
ADDP4
ADDRGP4 dp_realtime
INDIRI4
ASGNI4
line 389
;389:	}
LABELV $182
line 391
;390:
;391:	if ( lf->oldFrameTime > dp_realtime ) {
ADDRFP4 4
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
ADDRGP4 dp_realtime
INDIRI4
LEI4 $184
line 392
;392:		lf->oldFrameTime = dp_realtime;
ADDRFP4 4
INDIRP4
CNSTI4 4
ADDP4
ADDRGP4 dp_realtime
INDIRI4
ASGNI4
line 393
;393:	}
LABELV $184
line 395
;394:	// calculate current lerp value
;395:	if ( lf->frameTime == lf->oldFrameTime ) {
ADDRLP4 12
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 12
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
ADDRLP4 12
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
NEI4 $186
line 396
;396:		lf->backlerp = 0;
ADDRFP4 4
INDIRP4
CNSTI4 16
ADDP4
CNSTF4 0
ASGNF4
line 397
;397:	} else {
ADDRGP4 $187
JUMPV
LABELV $186
line 398
;398:		lf->backlerp = 1.0 - (float)( dp_realtime - lf->oldFrameTime ) / ( lf->frameTime - lf->oldFrameTime );
ADDRLP4 16
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 20
ADDRLP4 16
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
ASGNI4
ADDRLP4 16
INDIRP4
CNSTI4 16
ADDP4
CNSTF4 1065353216
ADDRGP4 dp_realtime
INDIRI4
ADDRLP4 20
INDIRI4
SUBI4
CVIF4 4
ADDRLP4 16
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
ADDRLP4 20
INDIRI4
SUBI4
CVIF4 4
DIVF4
SUBF4
ASGNF4
line 399
;399:	}
LABELV $187
line 400
;400:}
LABELV $168
endproc UI_RunLerpFrame 32 12
proc UI_PlayerAnimation 16 12
line 409
;401:
;402:
;403:/*
;404:===============
;405:UI_PlayerAnimation
;406:===============
;407:*/
;408:static void UI_PlayerAnimation( playerInfo_t *pi, int *legsOld, int *legs, float *legsBackLerp,
;409:						int *torsoOld, int *torso, float *torsoBackLerp ) {
line 412
;410:
;411:	// legs animation
;412:	pi->legsAnimationTimer -= uis.frametime;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 968
ADDP4
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRI4
ADDRGP4 uis
INDIRI4
SUBI4
ASGNI4
line 413
;413:	if ( pi->legsAnimationTimer < 0 ) {
ADDRFP4 0
INDIRP4
CNSTI4 968
ADDP4
INDIRI4
CNSTI4 0
GEI4 $189
line 414
;414:		pi->legsAnimationTimer = 0;
ADDRFP4 0
INDIRP4
CNSTI4 968
ADDP4
CNSTI4 0
ASGNI4
line 415
;415:	}
LABELV $189
line 417
;416:
;417:	UI_LegsSequencing( pi );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 UI_LegsSequencing
CALLV
pop
line 419
;418:
;419:	if ( pi->legs.yawing && ( pi->legsAnim & ~ANIM_TOGGLEBIT ) == LEGS_IDLE ) {
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
CNSTI4 0
EQI4 $191
ADDRLP4 4
INDIRP4
CNSTI4 932
ADDP4
INDIRI4
CNSTI4 -129
BANDI4
CNSTI4 22
NEI4 $191
line 420
;420:		UI_RunLerpFrame( pi, &pi->legs, LEGS_TURN );
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
ARGP4
ADDRLP4 8
INDIRP4
CNSTI4 8
ADDP4
ARGP4
CNSTI4 24
ARGI4
ADDRGP4 UI_RunLerpFrame
CALLV
pop
line 421
;421:	} else {
ADDRGP4 $192
JUMPV
LABELV $191
line 422
;422:		UI_RunLerpFrame( pi, &pi->legs, pi->legsAnim );
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
ARGP4
ADDRLP4 8
INDIRP4
CNSTI4 8
ADDP4
ARGP4
ADDRLP4 8
INDIRP4
CNSTI4 932
ADDP4
INDIRI4
ARGI4
ADDRGP4 UI_RunLerpFrame
CALLV
pop
line 423
;423:	}
LABELV $192
line 424
;424:	*legsOld = pi->legs.oldFrame;
ADDRFP4 4
INDIRP4
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
ASGNI4
line 425
;425:	*legs = pi->legs.frame;
ADDRFP4 8
INDIRP4
ADDRFP4 0
INDIRP4
CNSTI4 16
ADDP4
INDIRI4
ASGNI4
line 426
;426:	*legsBackLerp = pi->legs.backlerp;
ADDRFP4 12
INDIRP4
ADDRFP4 0
INDIRP4
CNSTI4 24
ADDP4
INDIRF4
ASGNF4
line 429
;427:
;428:	// torso animation
;429:	pi->torsoAnimationTimer -= uis.frametime;
ADDRLP4 8
ADDRFP4 0
INDIRP4
CNSTI4 960
ADDP4
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRI4
ADDRGP4 uis
INDIRI4
SUBI4
ASGNI4
line 430
;430:	if ( pi->torsoAnimationTimer < 0 ) {
ADDRFP4 0
INDIRP4
CNSTI4 960
ADDP4
INDIRI4
CNSTI4 0
GEI4 $193
line 431
;431:		pi->torsoAnimationTimer = 0;
ADDRFP4 0
INDIRP4
CNSTI4 960
ADDP4
CNSTI4 0
ASGNI4
line 432
;432:	}
LABELV $193
line 434
;433:
;434:	UI_TorsoSequencing( pi );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 UI_TorsoSequencing
CALLV
pop
line 436
;435:
;436:	UI_RunLerpFrame( pi, &pi->torso, pi->torsoAnim );
ADDRLP4 12
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12
INDIRP4
ARGP4
ADDRLP4 12
INDIRP4
CNSTI4 64
ADDP4
ARGP4
ADDRLP4 12
INDIRP4
CNSTI4 936
ADDP4
INDIRI4
ARGI4
ADDRGP4 UI_RunLerpFrame
CALLV
pop
line 437
;437:	*torsoOld = pi->torso.oldFrame;
ADDRFP4 16
INDIRP4
ADDRFP4 0
INDIRP4
CNSTI4 64
ADDP4
INDIRI4
ASGNI4
line 438
;438:	*torso = pi->torso.frame;
ADDRFP4 20
INDIRP4
ADDRFP4 0
INDIRP4
CNSTI4 72
ADDP4
INDIRI4
ASGNI4
line 439
;439:	*torsoBackLerp = pi->torso.backlerp;
ADDRFP4 24
INDIRP4
ADDRFP4 0
INDIRP4
CNSTI4 80
ADDP4
INDIRF4
ASGNF4
line 440
;440:}
LABELV $188
endproc UI_PlayerAnimation 16 12
proc UI_SwingAngles 28 8
line 449
;441:
;442:
;443:/*
;444:==================
;445:UI_SwingAngles
;446:==================
;447:*/
;448:static void UI_SwingAngles( float destination, float swingTolerance, float clampTolerance,
;449:					float speed, float *angle, qboolean *swinging ) {
line 454
;450:	float	swing;
;451:	float	move;
;452:	float	scale;
;453:
;454:	if ( !*swinging ) {
ADDRFP4 20
INDIRP4
INDIRI4
CNSTI4 0
NEI4 $196
line 456
;455:		// see if a swing should be started
;456:		swing = AngleSubtract( *angle, destination );
ADDRFP4 16
INDIRP4
INDIRF4
ARGF4
ADDRFP4 0
INDIRF4
ARGF4
ADDRLP4 12
ADDRGP4 AngleSubtract
CALLF4
ASGNF4
ADDRLP4 0
ADDRLP4 12
INDIRF4
ASGNF4
line 457
;457:		if ( swing > swingTolerance || swing < -swingTolerance ) {
ADDRLP4 20
ADDRFP4 4
INDIRF4
ASGNF4
ADDRLP4 0
INDIRF4
ADDRLP4 20
INDIRF4
GTF4 $200
ADDRLP4 0
INDIRF4
ADDRLP4 20
INDIRF4
NEGF4
GEF4 $198
LABELV $200
line 458
;458:			*swinging = qtrue;
ADDRFP4 20
INDIRP4
CNSTI4 1
ASGNI4
line 459
;459:		}
LABELV $198
line 460
;460:	}
LABELV $196
line 462
;461:
;462:	if ( !*swinging ) {
ADDRFP4 20
INDIRP4
INDIRI4
CNSTI4 0
NEI4 $201
line 463
;463:		return;
ADDRGP4 $195
JUMPV
LABELV $201
line 468
;464:	}
;465:	
;466:	// modify the speed depending on the delta
;467:	// so it doesn't seem so linear
;468:	swing = AngleSubtract( destination, *angle );
ADDRFP4 0
INDIRF4
ARGF4
ADDRFP4 16
INDIRP4
INDIRF4
ARGF4
ADDRLP4 12
ADDRGP4 AngleSubtract
CALLF4
ASGNF4
ADDRLP4 0
ADDRLP4 12
INDIRF4
ASGNF4
line 469
;469:	scale = fabs( swing );
ADDRLP4 0
INDIRF4
ARGF4
ADDRLP4 16
ADDRGP4 fabs
CALLF4
ASGNF4
ADDRLP4 4
ADDRLP4 16
INDIRF4
ASGNF4
line 470
;470:	if ( scale < swingTolerance * 0.5 ) {
ADDRLP4 4
INDIRF4
CNSTF4 1056964608
ADDRFP4 4
INDIRF4
MULF4
GEF4 $203
line 471
;471:		scale = 0.5;
ADDRLP4 4
CNSTF4 1056964608
ASGNF4
line 472
;472:	} else if ( scale < swingTolerance ) {
ADDRGP4 $204
JUMPV
LABELV $203
ADDRLP4 4
INDIRF4
ADDRFP4 4
INDIRF4
GEF4 $205
line 473
;473:		scale = 1.0;
ADDRLP4 4
CNSTF4 1065353216
ASGNF4
line 474
;474:	} else {
ADDRGP4 $206
JUMPV
LABELV $205
line 475
;475:		scale = 2.0;
ADDRLP4 4
CNSTF4 1073741824
ASGNF4
line 476
;476:	}
LABELV $206
LABELV $204
line 479
;477:
;478:	// swing towards the destination angle
;479:	if ( swing >= 0 ) {
ADDRLP4 0
INDIRF4
CNSTF4 0
LTF4 $207
line 480
;480:		move = uis.frametime * scale * speed;
ADDRLP4 8
ADDRGP4 uis
INDIRI4
CVIF4 4
ADDRLP4 4
INDIRF4
MULF4
ADDRFP4 12
INDIRF4
MULF4
ASGNF4
line 481
;481:		if ( move >= swing ) {
ADDRLP4 8
INDIRF4
ADDRLP4 0
INDIRF4
LTF4 $209
line 482
;482:			move = swing;
ADDRLP4 8
ADDRLP4 0
INDIRF4
ASGNF4
line 483
;483:			*swinging = qfalse;
ADDRFP4 20
INDIRP4
CNSTI4 0
ASGNI4
line 484
;484:		}
LABELV $209
line 485
;485:		*angle = AngleMod( *angle + move );
ADDRLP4 20
ADDRFP4 16
INDIRP4
ASGNP4
ADDRLP4 20
INDIRP4
INDIRF4
ADDRLP4 8
INDIRF4
ADDF4
ARGF4
ADDRLP4 24
ADDRGP4 AngleMod
CALLF4
ASGNF4
ADDRLP4 20
INDIRP4
ADDRLP4 24
INDIRF4
ASGNF4
line 486
;486:	} else if ( swing < 0 ) {
ADDRGP4 $208
JUMPV
LABELV $207
ADDRLP4 0
INDIRF4
CNSTF4 0
GEF4 $211
line 487
;487:		move = uis.frametime * scale * -speed;
ADDRLP4 8
ADDRGP4 uis
INDIRI4
CVIF4 4
ADDRLP4 4
INDIRF4
MULF4
ADDRFP4 12
INDIRF4
NEGF4
MULF4
ASGNF4
line 488
;488:		if ( move <= swing ) {
ADDRLP4 8
INDIRF4
ADDRLP4 0
INDIRF4
GTF4 $213
line 489
;489:			move = swing;
ADDRLP4 8
ADDRLP4 0
INDIRF4
ASGNF4
line 490
;490:			*swinging = qfalse;
ADDRFP4 20
INDIRP4
CNSTI4 0
ASGNI4
line 491
;491:		}
LABELV $213
line 492
;492:		*angle = AngleMod( *angle + move );
ADDRLP4 20
ADDRFP4 16
INDIRP4
ASGNP4
ADDRLP4 20
INDIRP4
INDIRF4
ADDRLP4 8
INDIRF4
ADDF4
ARGF4
ADDRLP4 24
ADDRGP4 AngleMod
CALLF4
ASGNF4
ADDRLP4 20
INDIRP4
ADDRLP4 24
INDIRF4
ASGNF4
line 493
;493:	}
LABELV $211
LABELV $208
line 496
;494:
;495:	// clamp to no more than tolerance
;496:	swing = AngleSubtract( destination, *angle );
ADDRFP4 0
INDIRF4
ARGF4
ADDRFP4 16
INDIRP4
INDIRF4
ARGF4
ADDRLP4 20
ADDRGP4 AngleSubtract
CALLF4
ASGNF4
ADDRLP4 0
ADDRLP4 20
INDIRF4
ASGNF4
line 497
;497:	if ( swing > clampTolerance ) {
ADDRLP4 0
INDIRF4
ADDRFP4 8
INDIRF4
LEF4 $215
line 498
;498:		*angle = AngleMod( destination - (clampTolerance - 1) );
ADDRFP4 0
INDIRF4
ADDRFP4 8
INDIRF4
CNSTF4 1065353216
SUBF4
SUBF4
ARGF4
ADDRLP4 24
ADDRGP4 AngleMod
CALLF4
ASGNF4
ADDRFP4 16
INDIRP4
ADDRLP4 24
INDIRF4
ASGNF4
line 499
;499:	} else if ( swing < -clampTolerance ) {
ADDRGP4 $216
JUMPV
LABELV $215
ADDRLP4 0
INDIRF4
ADDRFP4 8
INDIRF4
NEGF4
GEF4 $217
line 500
;500:		*angle = AngleMod( destination + (clampTolerance - 1) );
ADDRFP4 0
INDIRF4
ADDRFP4 8
INDIRF4
CNSTF4 1065353216
SUBF4
ADDF4
ARGF4
ADDRLP4 24
ADDRGP4 AngleMod
CALLF4
ASGNF4
ADDRFP4 16
INDIRP4
ADDRLP4 24
INDIRF4
ASGNF4
line 501
;501:	}
LABELV $217
LABELV $216
line 502
;502:}
LABELV $195
endproc UI_SwingAngles 28 8
proc UI_MovedirAdjustment 72 16
line 510
;503:
;504:
;505:/*
;506:======================
;507:UI_MovedirAdjustment
;508:======================
;509:*/
;510:static float UI_MovedirAdjustment( playerInfo_t *pi ) {
line 514
;511:	vec3_t		relativeAngles;
;512:	vec3_t		moveVector;
;513:
;514:	VectorSubtract( pi->viewAngles, pi->moveAngles, relativeAngles );
ADDRLP4 24
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12
ADDRLP4 24
INDIRP4
CNSTI4 904
ADDP4
INDIRF4
ADDRLP4 24
INDIRP4
CNSTI4 916
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 12+4
ADDRLP4 24
INDIRP4
CNSTI4 908
ADDP4
INDIRF4
ADDRLP4 24
INDIRP4
CNSTI4 920
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 28
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12+8
ADDRLP4 28
INDIRP4
CNSTI4 912
ADDP4
INDIRF4
ADDRLP4 28
INDIRP4
CNSTI4 924
ADDP4
INDIRF4
SUBF4
ASGNF4
line 515
;515:	AngleVectors( relativeAngles, moveVector, NULL, NULL );
ADDRLP4 12
ARGP4
ADDRLP4 0
ARGP4
ADDRLP4 32
CNSTP4 0
ASGNP4
ADDRLP4 32
INDIRP4
ARGP4
ADDRLP4 32
INDIRP4
ARGP4
ADDRGP4 AngleVectors
CALLV
pop
line 516
;516:	if ( Q_fabs( moveVector[0] ) < 0.01 ) {
ADDRLP4 0
INDIRF4
ARGF4
ADDRLP4 36
ADDRGP4 Q_fabs
CALLF4
ASGNF4
ADDRLP4 36
INDIRF4
CNSTF4 1008981770
GEF4 $222
line 517
;517:		moveVector[0] = 0.0;
ADDRLP4 0
CNSTF4 0
ASGNF4
line 518
;518:	}
LABELV $222
line 519
;519:	if ( Q_fabs( moveVector[1] ) < 0.01 ) {
ADDRLP4 0+4
INDIRF4
ARGF4
ADDRLP4 40
ADDRGP4 Q_fabs
CALLF4
ASGNF4
ADDRLP4 40
INDIRF4
CNSTF4 1008981770
GEF4 $224
line 520
;520:		moveVector[1] = 0.0;
ADDRLP4 0+4
CNSTF4 0
ASGNF4
line 521
;521:	}
LABELV $224
line 523
;522:
;523:	if ( moveVector[1] == 0 && moveVector[0] > 0 ) {
ADDRLP4 44
CNSTF4 0
ASGNF4
ADDRLP4 0+4
INDIRF4
ADDRLP4 44
INDIRF4
NEF4 $228
ADDRLP4 0
INDIRF4
ADDRLP4 44
INDIRF4
LEF4 $228
line 524
;524:		return 0;
CNSTF4 0
RETF4
ADDRGP4 $219
JUMPV
LABELV $228
line 526
;525:	}
;526:	if ( moveVector[1] < 0 && moveVector[0] > 0 ) {
ADDRLP4 48
CNSTF4 0
ASGNF4
ADDRLP4 0+4
INDIRF4
ADDRLP4 48
INDIRF4
GEF4 $231
ADDRLP4 0
INDIRF4
ADDRLP4 48
INDIRF4
LEF4 $231
line 527
;527:		return 22;
CNSTF4 1102053376
RETF4
ADDRGP4 $219
JUMPV
LABELV $231
line 529
;528:	}
;529:	if ( moveVector[1] < 0 && moveVector[0] == 0 ) {
ADDRLP4 52
CNSTF4 0
ASGNF4
ADDRLP4 0+4
INDIRF4
ADDRLP4 52
INDIRF4
GEF4 $234
ADDRLP4 0
INDIRF4
ADDRLP4 52
INDIRF4
NEF4 $234
line 530
;530:		return 45;
CNSTF4 1110704128
RETF4
ADDRGP4 $219
JUMPV
LABELV $234
line 532
;531:	}
;532:	if ( moveVector[1] < 0 && moveVector[0] < 0 ) {
ADDRLP4 56
CNSTF4 0
ASGNF4
ADDRLP4 0+4
INDIRF4
ADDRLP4 56
INDIRF4
GEF4 $237
ADDRLP4 0
INDIRF4
ADDRLP4 56
INDIRF4
GEF4 $237
line 533
;533:		return -22;
CNSTF4 3249537024
RETF4
ADDRGP4 $219
JUMPV
LABELV $237
line 535
;534:	}
;535:	if ( moveVector[1] == 0 && moveVector[0] < 0 ) {
ADDRLP4 60
CNSTF4 0
ASGNF4
ADDRLP4 0+4
INDIRF4
ADDRLP4 60
INDIRF4
NEF4 $240
ADDRLP4 0
INDIRF4
ADDRLP4 60
INDIRF4
GEF4 $240
line 536
;536:		return 0;
CNSTF4 0
RETF4
ADDRGP4 $219
JUMPV
LABELV $240
line 538
;537:	}
;538:	if ( moveVector[1] > 0 && moveVector[0] < 0 ) {
ADDRLP4 64
CNSTF4 0
ASGNF4
ADDRLP4 0+4
INDIRF4
ADDRLP4 64
INDIRF4
LEF4 $243
ADDRLP4 0
INDIRF4
ADDRLP4 64
INDIRF4
GEF4 $243
line 539
;539:		return 22;
CNSTF4 1102053376
RETF4
ADDRGP4 $219
JUMPV
LABELV $243
line 541
;540:	}
;541:	if ( moveVector[1] > 0 && moveVector[0] == 0 ) {
ADDRLP4 68
CNSTF4 0
ASGNF4
ADDRLP4 0+4
INDIRF4
ADDRLP4 68
INDIRF4
LEF4 $246
ADDRLP4 0
INDIRF4
ADDRLP4 68
INDIRF4
NEF4 $246
line 542
;542:		return  -45;
CNSTF4 3258187776
RETF4
ADDRGP4 $219
JUMPV
LABELV $246
line 545
;543:	}
;544:
;545:	return -22;
CNSTF4 3249537024
RETF4
LABELV $219
endproc UI_MovedirAdjustment 72 16
proc UI_PlayerAngles 80 24
line 554
;546:}
;547:
;548:
;549:/*
;550:===============
;551:UI_PlayerAngles
;552:===============
;553:*/
;554:static void UI_PlayerAngles( playerInfo_t *pi, vec3_t legs[3], vec3_t torso[3], vec3_t head[3] ) {
line 559
;555:	vec3_t		legsAngles, torsoAngles, headAngles;
;556:	float		dest;
;557:	float		adjust;
;558:
;559:	VectorCopy( pi->viewAngles, headAngles );
ADDRLP4 12
ADDRFP4 0
INDIRP4
CNSTI4 904
ADDP4
INDIRB
ASGNB 12
line 560
;560:	headAngles[YAW] = AngleMod( headAngles[YAW] );
ADDRLP4 12+4
INDIRF4
ARGF4
ADDRLP4 44
ADDRGP4 AngleMod
CALLF4
ASGNF4
ADDRLP4 12+4
ADDRLP4 44
INDIRF4
ASGNF4
line 561
;561:	VectorClear( legsAngles );
ADDRLP4 48
CNSTF4 0
ASGNF4
ADDRLP4 24+8
ADDRLP4 48
INDIRF4
ASGNF4
ADDRLP4 24+4
ADDRLP4 48
INDIRF4
ASGNF4
ADDRLP4 24
ADDRLP4 48
INDIRF4
ASGNF4
line 562
;562:	VectorClear( torsoAngles );
ADDRLP4 52
CNSTF4 0
ASGNF4
ADDRLP4 0+8
ADDRLP4 52
INDIRF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 52
INDIRF4
ASGNF4
ADDRLP4 0
ADDRLP4 52
INDIRF4
ASGNF4
line 567
;563:
;564:	// --------- yaw -------------
;565:
;566:	// allow yaw to drift a bit
;567:	if ( ( pi->legsAnim & ~ANIM_TOGGLEBIT ) != LEGS_IDLE 
ADDRLP4 56
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 60
CNSTI4 -129
ASGNI4
ADDRLP4 56
INDIRP4
CNSTI4 932
ADDP4
INDIRI4
ADDRLP4 60
INDIRI4
BANDI4
CNSTI4 22
NEI4 $258
ADDRLP4 56
INDIRP4
CNSTI4 936
ADDP4
INDIRI4
ADDRLP4 60
INDIRI4
BANDI4
CNSTI4 11
EQI4 $256
LABELV $258
line 568
;568:		|| ( pi->torsoAnim & ~ANIM_TOGGLEBIT ) != TORSO_STAND  ) {
line 570
;569:		// if not standing still, always point all in the same direction
;570:		pi->torso.yawing = qtrue;	// always center
ADDRFP4 0
INDIRP4
CNSTI4 88
ADDP4
CNSTI4 1
ASGNI4
line 571
;571:		pi->torso.pitching = qtrue;	// always center
ADDRFP4 0
INDIRP4
CNSTI4 96
ADDP4
CNSTI4 1
ASGNI4
line 572
;572:		pi->legs.yawing = qtrue;	// always center
ADDRFP4 0
INDIRP4
CNSTI4 32
ADDP4
CNSTI4 1
ASGNI4
line 573
;573:	}
LABELV $256
line 576
;574:
;575:	// adjust legs for movement dir
;576:	adjust = UI_MovedirAdjustment( pi );
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 64
ADDRGP4 UI_MovedirAdjustment
CALLF4
ASGNF4
ADDRLP4 36
ADDRLP4 64
INDIRF4
ASGNF4
line 577
;577:	legsAngles[YAW] = headAngles[YAW] + adjust;
ADDRLP4 24+4
ADDRLP4 12+4
INDIRF4
ADDRLP4 36
INDIRF4
ADDF4
ASGNF4
line 578
;578:	torsoAngles[YAW] = headAngles[YAW] + 0.25 * adjust;
ADDRLP4 0+4
ADDRLP4 12+4
INDIRF4
CNSTF4 1048576000
ADDRLP4 36
INDIRF4
MULF4
ADDF4
ASGNF4
line 582
;579:
;580:
;581:	// torso
;582:	UI_SwingAngles( torsoAngles[YAW], 25, 90, SWINGSPEED, &pi->torso.yawAngle, &pi->torso.yawing );
ADDRLP4 0+4
INDIRF4
ARGF4
CNSTF4 1103626240
ARGF4
CNSTF4 1119092736
ARGF4
CNSTF4 1050253722
ARGF4
ADDRLP4 68
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 68
INDIRP4
CNSTI4 84
ADDP4
ARGP4
ADDRLP4 68
INDIRP4
CNSTI4 88
ADDP4
ARGP4
ADDRGP4 UI_SwingAngles
CALLV
pop
line 583
;583:	UI_SwingAngles( legsAngles[YAW], 40, 90, SWINGSPEED, &pi->legs.yawAngle, &pi->legs.yawing );
ADDRLP4 24+4
INDIRF4
ARGF4
CNSTF4 1109393408
ARGF4
CNSTF4 1119092736
ARGF4
CNSTF4 1050253722
ARGF4
ADDRLP4 72
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 72
INDIRP4
CNSTI4 28
ADDP4
ARGP4
ADDRLP4 72
INDIRP4
CNSTI4 32
ADDP4
ARGP4
ADDRGP4 UI_SwingAngles
CALLV
pop
line 585
;584:
;585:	torsoAngles[YAW] = pi->torso.yawAngle;
ADDRLP4 0+4
ADDRFP4 0
INDIRP4
CNSTI4 84
ADDP4
INDIRF4
ASGNF4
line 586
;586:	legsAngles[YAW] = pi->legs.yawAngle;
ADDRLP4 24+4
ADDRFP4 0
INDIRP4
CNSTI4 28
ADDP4
INDIRF4
ASGNF4
line 591
;587:
;588:	// --------- pitch -------------
;589:
;590:	// only show a fraction of the pitch angle in the torso
;591:	if ( headAngles[PITCH] > 180 ) {
ADDRLP4 12
INDIRF4
CNSTF4 1127481344
LEF4 $267
line 592
;592:		dest = (-360 + headAngles[PITCH]) * 0.75;
ADDRLP4 40
CNSTF4 1061158912
ADDRLP4 12
INDIRF4
CNSTF4 3283353600
ADDF4
MULF4
ASGNF4
line 593
;593:	} else {
ADDRGP4 $268
JUMPV
LABELV $267
line 594
;594:		dest = headAngles[PITCH] * 0.75;
ADDRLP4 40
CNSTF4 1061158912
ADDRLP4 12
INDIRF4
MULF4
ASGNF4
line 595
;595:	}
LABELV $268
line 596
;596:	UI_SwingAngles( dest, 15, 30, 0.1, &pi->torso.pitchAngle, &pi->torso.pitching );
ADDRLP4 40
INDIRF4
ARGF4
CNSTF4 1097859072
ARGF4
CNSTF4 1106247680
ARGF4
CNSTF4 1036831949
ARGF4
ADDRLP4 76
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 76
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRLP4 76
INDIRP4
CNSTI4 96
ADDP4
ARGP4
ADDRGP4 UI_SwingAngles
CALLV
pop
line 597
;597:	torsoAngles[PITCH] = pi->torso.pitchAngle;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 92
ADDP4
INDIRF4
ASGNF4
line 600
;598:
;599:	// pull the angles back out of the hierarchial chain
;600:	AnglesSubtract( headAngles, torsoAngles, headAngles );
ADDRLP4 12
ARGP4
ADDRLP4 0
ARGP4
ADDRLP4 12
ARGP4
ADDRGP4 AnglesSubtract
CALLV
pop
line 601
;601:	AnglesSubtract( torsoAngles, legsAngles, torsoAngles );
ADDRLP4 0
ARGP4
ADDRLP4 24
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 AnglesSubtract
CALLV
pop
line 602
;602:	AnglesToAxis( legsAngles, legs );
ADDRLP4 24
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRGP4 AnglesToAxis
CALLV
pop
line 603
;603:	AnglesToAxis( torsoAngles, torso );
ADDRLP4 0
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRGP4 AnglesToAxis
CALLV
pop
line 604
;604:	AnglesToAxis( headAngles, head );
ADDRLP4 12
ARGP4
ADDRFP4 12
INDIRP4
ARGP4
ADDRGP4 AnglesToAxis
CALLV
pop
line 605
;605:}
LABELV $249
endproc UI_PlayerAngles 80 24
proc UI_PlayerFloatSprite 160 12
line 613
;606:
;607:
;608:/*
;609:===============
;610:UI_PlayerFloatSprite
;611:===============
;612:*/
;613:static void UI_PlayerFloatSprite( playerInfo_t *pi, vec3_t origin, qhandle_t shader ) {
line 616
;614:	refEntity_t		ent;
;615:
;616:	memset( &ent, 0, sizeof( ent ) );
ADDRLP4 0
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 617
;617:	VectorCopy( origin, ent.origin );
ADDRLP4 0+68
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 618
;618:	ent.origin[2] += 48;
ADDRLP4 0+68+8
ADDRLP4 0+68+8
INDIRF4
CNSTF4 1111490560
ADDF4
ASGNF4
line 619
;619:	ent.reType = RT_SPRITE;
ADDRLP4 0
CNSTI4 1
ASGNI4
line 620
;620:	ent.customShader = shader;
ADDRLP4 0+112
ADDRFP4 8
INDIRI4
ASGNI4
line 621
;621:	ent.data.sprite.radius = 10;
ADDRLP4 0+132+4
CNSTF4 1092616192
ASGNF4
line 622
;622:	ent.renderfx = 0;
ADDRLP4 0+4
CNSTI4 0
ASGNI4
line 623
;623:	trap_R_AddRefEntityToScene( &ent );
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 624
;624:}
LABELV $269
endproc UI_PlayerFloatSprite 160 12
export UI_MachinegunSpinAngle
proc UI_MachinegunSpinAngle 28 4
line 632
;625:
;626:
;627:/*
;628:======================
;629:UI_MachinegunSpinAngle
;630:======================
;631:*/
;632:float	UI_MachinegunSpinAngle( playerInfo_t *pi ) {
line 638
;633:	int		delta;
;634:	float	angle;
;635:	float	speed;
;636:	int		torsoAnim;
;637:
;638:	delta = dp_realtime - pi->barrelTime;
ADDRLP4 4
ADDRGP4 dp_realtime
INDIRI4
ADDRFP4 0
INDIRP4
CNSTI4 988
ADDP4
INDIRI4
SUBI4
ASGNI4
line 639
;639:	if ( pi->barrelSpinning ) {
ADDRFP4 0
INDIRP4
CNSTI4 980
ADDP4
INDIRI4
CNSTI4 0
EQI4 $278
line 640
;640:		angle = pi->barrelAngle + delta * SPIN_SPEED;
ADDRLP4 8
ADDRFP4 0
INDIRP4
CNSTI4 984
ADDP4
INDIRF4
CNSTF4 1063675494
ADDRLP4 4
INDIRI4
CVIF4 4
MULF4
ADDF4
ASGNF4
line 641
;641:	} else {
ADDRGP4 $279
JUMPV
LABELV $278
line 642
;642:		if ( delta > COAST_TIME ) {
ADDRLP4 4
INDIRI4
CNSTI4 1000
LEI4 $280
line 643
;643:			delta = COAST_TIME;
ADDRLP4 4
CNSTI4 1000
ASGNI4
line 644
;644:		}
LABELV $280
line 646
;645:
;646:		speed = 0.5 * ( SPIN_SPEED + (float)( COAST_TIME - delta ) / COAST_TIME );
ADDRLP4 12
CNSTF4 1056964608
CNSTI4 1000
ADDRLP4 4
INDIRI4
SUBI4
CVIF4 4
CNSTF4 1148846080
DIVF4
CNSTF4 1063675494
ADDF4
MULF4
ASGNF4
line 647
;647:		angle = pi->barrelAngle + delta * speed;
ADDRLP4 8
ADDRFP4 0
INDIRP4
CNSTI4 984
ADDP4
INDIRF4
ADDRLP4 4
INDIRI4
CVIF4 4
ADDRLP4 12
INDIRF4
MULF4
ADDF4
ASGNF4
line 648
;648:	}
LABELV $279
line 650
;649:
;650:	torsoAnim = pi->torsoAnim  & ~ANIM_TOGGLEBIT;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 936
ADDP4
INDIRI4
CNSTI4 -129
BANDI4
ASGNI4
line 651
;651:	if( torsoAnim == TORSO_ATTACK2 ) {
ADDRLP4 0
INDIRI4
CNSTI4 8
NEI4 $282
line 652
;652:		torsoAnim = TORSO_ATTACK;
ADDRLP4 0
CNSTI4 7
ASGNI4
line 653
;653:	}
LABELV $282
line 654
;654:	if ( pi->barrelSpinning == !(torsoAnim == TORSO_ATTACK) ) {
ADDRLP4 0
INDIRI4
CNSTI4 7
EQI4 $287
ADDRLP4 16
CNSTI4 1
ASGNI4
ADDRGP4 $288
JUMPV
LABELV $287
ADDRLP4 16
CNSTI4 0
ASGNI4
LABELV $288
ADDRFP4 0
INDIRP4
CNSTI4 980
ADDP4
INDIRI4
ADDRLP4 16
INDIRI4
NEI4 $284
line 655
;655:		pi->barrelTime = dp_realtime;
ADDRFP4 0
INDIRP4
CNSTI4 988
ADDP4
ADDRGP4 dp_realtime
INDIRI4
ASGNI4
line 656
;656:		pi->barrelAngle = AngleMod( angle );
ADDRLP4 8
INDIRF4
ARGF4
ADDRLP4 20
ADDRGP4 AngleMod
CALLF4
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 984
ADDP4
ADDRLP4 20
INDIRF4
ASGNF4
line 657
;657:		pi->barrelSpinning = !!(torsoAnim == TORSO_ATTACK);
ADDRLP4 0
INDIRI4
CNSTI4 7
NEI4 $290
ADDRLP4 24
CNSTI4 1
ASGNI4
ADDRGP4 $291
JUMPV
LABELV $290
ADDRLP4 24
CNSTI4 0
ASGNI4
LABELV $291
ADDRFP4 0
INDIRP4
CNSTI4 980
ADDP4
ADDRLP4 24
INDIRI4
ASGNI4
line 658
;658:	}
LABELV $284
line 660
;659:
;660:	return angle;
ADDRLP4 8
INDIRF4
RETF4
LABELV $277
endproc UI_MachinegunSpinAngle 28 4
lit
align 4
LABELV $293
byte 4 3246391296
byte 4 3250585600
byte 4 3250585600
align 4
LABELV $294
byte 4 1098907648
byte 4 1098907648
byte 4 1107296256
export UI_DrawPlayer
code
proc UI_DrawPlayer 1000 28
line 669
;661:}
;662:
;663:
;664:/*
;665:===============
;666:UI_DrawPlayer
;667:===============
;668:*/
;669:void UI_DrawPlayer( float x, float y, float w, float h, playerInfo_t *pi, int time ) {
line 678
;670:	refdef_t		refdef;
;671:	refEntity_t		legs;
;672:	refEntity_t		torso;
;673:	refEntity_t		head;
;674:	refEntity_t		gun;
;675:	refEntity_t		flash;
;676:	vec3_t			origin;
;677:	int				renderfx;
;678:	vec3_t			mins = {-16, -24, -24};
ADDRLP4 608
ADDRGP4 $293
INDIRB
ASGNB 12
line 679
;679:	vec3_t			maxs = {16, 16, 32};
ADDRLP4 620
ADDRGP4 $294
INDIRB
ASGNB 12
line 683
;680:	float			len;
;681:	float			xx;
;682:
;683:	if ( !pi->legsModel || !pi->torsoModel || !pi->headModel || !pi->animations[0].numFrames ) {
ADDRLP4 960
ADDRFP4 16
INDIRP4
ASGNP4
ADDRLP4 964
CNSTI4 0
ASGNI4
ADDRLP4 960
INDIRP4
INDIRI4
ADDRLP4 964
INDIRI4
EQI4 $299
ADDRLP4 960
INDIRP4
CNSTI4 56
ADDP4
INDIRI4
ADDRLP4 964
INDIRI4
EQI4 $299
ADDRLP4 960
INDIRP4
CNSTI4 112
ADDP4
INDIRI4
ADDRLP4 964
INDIRI4
EQI4 $299
ADDRLP4 960
INDIRP4
CNSTI4 380
ADDP4
INDIRI4
ADDRLP4 964
INDIRI4
NEI4 $295
LABELV $299
line 684
;684:		return;
ADDRGP4 $292
JUMPV
LABELV $295
line 687
;685:	}
;686:
;687:	dp_realtime = time;
ADDRGP4 dp_realtime
ADDRFP4 20
INDIRI4
ASGNI4
line 689
;688:
;689:	if ( pi->pendingWeapon != -1 && dp_realtime > pi->weaponTimer ) {
ADDRLP4 968
ADDRFP4 16
INDIRP4
ASGNP4
ADDRLP4 968
INDIRP4
CNSTI4 948
ADDP4
INDIRI4
CNSTI4 -1
EQI4 $300
ADDRGP4 dp_realtime
INDIRI4
ADDRLP4 968
INDIRP4
CNSTI4 952
ADDP4
INDIRI4
LEI4 $300
line 690
;690:		pi->weapon = pi->pendingWeapon;
ADDRLP4 972
ADDRFP4 16
INDIRP4
ASGNP4
ADDRLP4 972
INDIRP4
CNSTI4 940
ADDP4
ADDRLP4 972
INDIRP4
CNSTI4 948
ADDP4
INDIRI4
ASGNI4
line 691
;691:		pi->lastWeapon = pi->pendingWeapon;
ADDRLP4 976
ADDRFP4 16
INDIRP4
ASGNP4
ADDRLP4 976
INDIRP4
CNSTI4 944
ADDP4
ADDRLP4 976
INDIRP4
CNSTI4 948
ADDP4
INDIRI4
ASGNI4
line 692
;692:		pi->pendingWeapon = -1;
ADDRFP4 16
INDIRP4
CNSTI4 948
ADDP4
CNSTI4 -1
ASGNI4
line 693
;693:		pi->weaponTimer = 0;
ADDRFP4 16
INDIRP4
CNSTI4 952
ADDP4
CNSTI4 0
ASGNI4
line 694
;694:		if( pi->currentWeapon != pi->weapon ) {
ADDRLP4 980
ADDRFP4 16
INDIRP4
ASGNP4
ADDRLP4 980
INDIRP4
CNSTI4 928
ADDP4
INDIRI4
ADDRLP4 980
INDIRP4
CNSTI4 940
ADDP4
INDIRI4
EQI4 $302
line 695
;695:			trap_S_StartLocalSound( trap_S_RegisterSound( "sound/weapons/change.wav" ), CHAN_LOCAL );
ADDRGP4 $304
ARGP4
ADDRLP4 984
ADDRGP4 trap_S_RegisterSound
CALLI4
ASGNI4
ADDRLP4 984
INDIRI4
ARGI4
CNSTI4 1
ARGI4
ADDRGP4 trap_S_StartLocalSound
CALLV
pop
line 696
;696:		}
LABELV $302
line 697
;697:	}
LABELV $300
line 699
;698:
;699:	UI_AdjustFrom640( &x, &y, &w, &h );
ADDRFP4 0
ARGP4
ADDRFP4 4
ARGP4
ADDRFP4 8
ARGP4
ADDRFP4 12
ARGP4
ADDRGP4 UI_AdjustFrom640
CALLV
pop
line 701
;700:
;701:	y -= jumpHeight;
ADDRFP4 4
ADDRFP4 4
INDIRF4
ADDRGP4 jumpHeight
INDIRF4
SUBF4
ASGNF4
line 703
;702:
;703:	memset( &refdef, 0, sizeof( refdef ) );
ADDRLP4 0
ARGP4
CNSTI4 0
ARGI4
CNSTI4 112
ARGI4
ADDRGP4 memset
CALLP4
pop
line 704
;704:	memset( &legs, 0, sizeof(legs) );
ADDRLP4 124
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 705
;705:	memset( &torso, 0, sizeof(torso) );
ADDRLP4 284
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 706
;706:	memset( &head, 0, sizeof(head) );
ADDRLP4 444
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 708
;707:
;708:	refdef.rdflags = RDF_NOWORLDMODEL;
ADDRLP4 0+76
CNSTI4 1
ASGNI4
line 710
;709:
;710:	AxisClear( refdef.viewaxis );
ADDRLP4 0+36
ARGP4
ADDRGP4 AxisClear
CALLV
pop
line 712
;711:
;712:	refdef.x = x;
ADDRLP4 0
ADDRFP4 0
INDIRF4
CVFI4 4
ASGNI4
line 713
;713:	refdef.y = y;
ADDRLP4 0+4
ADDRFP4 4
INDIRF4
CVFI4 4
ASGNI4
line 714
;714:	refdef.width = w;
ADDRLP4 0+8
ADDRFP4 8
INDIRF4
CVFI4 4
ASGNI4
line 715
;715:	refdef.height = h;
ADDRLP4 0+12
ADDRFP4 12
INDIRF4
CVFI4 4
ASGNI4
line 717
;716:
;717:	refdef.fov_x = (int)((float)refdef.width / 640.0f * 90.0f);
ADDRLP4 0+16
CNSTF4 1119092736
ADDRLP4 0+8
INDIRI4
CVIF4 4
CNSTF4 1142947840
DIVF4
MULF4
CVFI4 4
CVIF4 4
ASGNF4
line 718
;718:	xx = refdef.width / tan( refdef.fov_x / 360 * M_PI );
CNSTF4 1078530011
ADDRLP4 0+16
INDIRF4
CNSTF4 1135869952
DIVF4
MULF4
ARGF4
ADDRLP4 972
ADDRGP4 tan
CALLF4
ASGNF4
ADDRLP4 956
ADDRLP4 0+8
INDIRI4
CVIF4 4
ADDRLP4 972
INDIRF4
DIVF4
ASGNF4
line 719
;719:	refdef.fov_y = atan2( refdef.height, xx );
ADDRLP4 0+12
INDIRI4
CVIF4 4
ARGF4
ADDRLP4 956
INDIRF4
ARGF4
ADDRLP4 976
ADDRGP4 atan2
CALLF4
ASGNF4
ADDRLP4 0+20
ADDRLP4 976
INDIRF4
ASGNF4
line 720
;720:	refdef.fov_y *= ( 360 / M_PI );
ADDRLP4 0+20
CNSTF4 1122316001
ADDRLP4 0+20
INDIRF4
MULF4
ASGNF4
line 728
;721:
;722:	// calculate distance so the player nearly fills the box
;723://	len = 0.7f * ( maxs[2] - mins[2] );		
;724://	origin[0] = len / tan( DEG2RAD(refdef.fov_x) * 0.5 );
;725://	origin[1] = 0.5 * ( mins[1] + maxs[1] );
;726://	origin[2] = -0.5 * ( mins[2] + maxs[2] );
;727:
;728:	len = 0.5f * ( maxs[2] - mins[2] );		
ADDRLP4 952
CNSTF4 1056964608
ADDRLP4 620+8
INDIRF4
ADDRLP4 608+8
INDIRF4
SUBF4
MULF4
ASGNF4
line 729
;729:	origin[0] = len / tan( DEG2RAD(refdef.fov_x) * 0.5 );
CNSTF4 1056964608
CNSTF4 1078530011
ADDRLP4 0+16
INDIRF4
MULF4
CNSTF4 1127481344
DIVF4
MULF4
ARGF4
ADDRLP4 980
ADDRGP4 tan
CALLF4
ASGNF4
ADDRLP4 112
ADDRLP4 952
INDIRF4
ADDRLP4 980
INDIRF4
DIVF4
ASGNF4
line 730
;730:	origin[1] = 0.5 * ( mins[1] + maxs[1] );
ADDRLP4 112+4
CNSTF4 1056964608
ADDRLP4 608+4
INDIRF4
ADDRLP4 620+4
INDIRF4
ADDF4
MULF4
ASGNF4
line 731
;731:	origin[2] = -0.5 * ( mins[2] + maxs[2] );
ADDRLP4 112+8
CNSTF4 3204448256
ADDRLP4 608+8
INDIRF4
ADDRLP4 620+8
INDIRF4
ADDF4
MULF4
ASGNF4
line 733
;732:
;733:	refdef.time = dp_realtime;
ADDRLP4 0+72
ADDRGP4 dp_realtime
INDIRI4
ASGNI4
line 735
;734:
;735:	trap_R_ClearScene();
ADDRGP4 trap_R_ClearScene
CALLV
pop
line 738
;736:
;737:	// get the rotation information
;738:	UI_PlayerAngles( pi, legs.axis, torso.axis, head.axis );
ADDRFP4 16
INDIRP4
ARGP4
ADDRLP4 124+28
ARGP4
ADDRLP4 284+28
ARGP4
ADDRLP4 444+28
ARGP4
ADDRGP4 UI_PlayerAngles
CALLV
pop
line 741
;739:	
;740:	// get the animation state (after rotation, to allow feet shuffle)
;741:	UI_PlayerAnimation( pi, &legs.oldframe, &legs.frame, &legs.backlerp,
ADDRFP4 16
INDIRP4
ARGP4
ADDRLP4 124+96
ARGP4
ADDRLP4 124+80
ARGP4
ADDRLP4 124+100
ARGP4
ADDRLP4 284+96
ARGP4
ADDRLP4 284+80
ARGP4
ADDRLP4 284+100
ARGP4
ADDRGP4 UI_PlayerAnimation
CALLV
pop
line 744
;742:		 &torso.oldframe, &torso.frame, &torso.backlerp );
;743:
;744:	renderfx = RF_LIGHTING_ORIGIN | RF_NOSHADOW;
ADDRLP4 604
CNSTI4 192
ASGNI4
line 749
;745:
;746:	//
;747:	// add the legs
;748:	//
;749:	legs.hModel = pi->legsModel;
ADDRLP4 124+8
ADDRFP4 16
INDIRP4
INDIRI4
ASGNI4
line 750
;750:	legs.customSkin = pi->legsSkin;
ADDRLP4 124+108
ADDRFP4 16
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
ASGNI4
line 752
;751:
;752:	VectorCopy( origin, legs.origin );
ADDRLP4 124+68
ADDRLP4 112
INDIRB
ASGNB 12
line 754
;753:
;754:	VectorCopy( origin, legs.lightingOrigin );
ADDRLP4 124+12
ADDRLP4 112
INDIRB
ASGNB 12
line 755
;755:	legs.renderfx = renderfx;
ADDRLP4 124+4
ADDRLP4 604
INDIRI4
ASGNI4
line 756
;756:	VectorCopy (legs.origin, legs.oldorigin);
ADDRLP4 124+84
ADDRLP4 124+68
INDIRB
ASGNB 12
line 758
;757:
;758:	trap_R_AddRefEntityToScene( &legs );
ADDRLP4 124
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 760
;759:
;760:	if (!legs.hModel) {
ADDRLP4 124+8
INDIRI4
CNSTI4 0
NEI4 $343
line 761
;761:		return;
ADDRGP4 $292
JUMPV
LABELV $343
line 767
;762:	}
;763:
;764:	//
;765:	// add the torso
;766:	//
;767:	torso.hModel = pi->torsoModel;
ADDRLP4 284+8
ADDRFP4 16
INDIRP4
CNSTI4 56
ADDP4
INDIRI4
ASGNI4
line 768
;768:	if (!torso.hModel) {
ADDRLP4 284+8
INDIRI4
CNSTI4 0
NEI4 $347
line 769
;769:		return;
ADDRGP4 $292
JUMPV
LABELV $347
line 772
;770:	}
;771:
;772:	torso.customSkin = pi->torsoSkin;
ADDRLP4 284+108
ADDRFP4 16
INDIRP4
CNSTI4 60
ADDP4
INDIRI4
ASGNI4
line 774
;773:
;774:	VectorCopy( origin, torso.lightingOrigin );
ADDRLP4 284+12
ADDRLP4 112
INDIRB
ASGNB 12
line 776
;775:
;776:	UI_PositionRotatedEntityOnTag( &torso, &legs, pi->legsModel, "tag_torso");
ADDRLP4 284
ARGP4
ADDRLP4 124
ARGP4
ADDRFP4 16
INDIRP4
INDIRI4
ARGI4
ADDRGP4 $352
ARGP4
ADDRGP4 UI_PositionRotatedEntityOnTag
CALLV
pop
line 778
;777:
;778:	torso.renderfx = renderfx;
ADDRLP4 284+4
ADDRLP4 604
INDIRI4
ASGNI4
line 780
;779:
;780:	trap_R_AddRefEntityToScene( &torso );
ADDRLP4 284
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 785
;781:
;782:	//
;783:	// add the head
;784:	//
;785:	head.hModel = pi->headModel;
ADDRLP4 444+8
ADDRFP4 16
INDIRP4
CNSTI4 112
ADDP4
INDIRI4
ASGNI4
line 786
;786:	if (!head.hModel) {
ADDRLP4 444+8
INDIRI4
CNSTI4 0
NEI4 $355
line 787
;787:		return;
ADDRGP4 $292
JUMPV
LABELV $355
line 789
;788:	}
;789:	head.customSkin = pi->headSkin;
ADDRLP4 444+108
ADDRFP4 16
INDIRP4
CNSTI4 116
ADDP4
INDIRI4
ASGNI4
line 791
;790:
;791:	VectorCopy( origin, head.lightingOrigin );
ADDRLP4 444+12
ADDRLP4 112
INDIRB
ASGNB 12
line 793
;792:
;793:	UI_PositionRotatedEntityOnTag( &head, &torso, pi->torsoModel, "tag_head");
ADDRLP4 444
ARGP4
ADDRLP4 284
ARGP4
ADDRFP4 16
INDIRP4
CNSTI4 56
ADDP4
INDIRI4
ARGI4
ADDRGP4 $360
ARGP4
ADDRGP4 UI_PositionRotatedEntityOnTag
CALLV
pop
line 795
;794:
;795:	head.renderfx = renderfx;
ADDRLP4 444+4
ADDRLP4 604
INDIRI4
ASGNI4
line 797
;796:
;797:	trap_R_AddRefEntityToScene( &head );
ADDRLP4 444
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 802
;798:
;799:	//
;800:	// add the gun
;801:	//
;802:	if ( pi->currentWeapon != WP_NONE ) {
ADDRFP4 16
INDIRP4
CNSTI4 928
ADDP4
INDIRI4
CNSTI4 0
EQI4 $362
line 803
;803:		memset( &gun, 0, sizeof(gun) );
ADDRLP4 632
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 804
;804:		gun.hModel = pi->weaponModel;
ADDRLP4 632+8
ADDRFP4 16
INDIRP4
CNSTI4 876
ADDP4
INDIRI4
ASGNI4
line 805
;805:		VectorCopy( origin, gun.lightingOrigin );
ADDRLP4 632+12
ADDRLP4 112
INDIRB
ASGNB 12
line 806
;806:		UI_PositionEntityOnTag( &gun, &torso, pi->torsoModel, "tag_weapon");
ADDRLP4 632
ARGP4
ADDRLP4 284
ARGP4
ADDRFP4 16
INDIRP4
CNSTI4 56
ADDP4
INDIRI4
ARGI4
ADDRGP4 $366
ARGP4
ADDRGP4 UI_PositionEntityOnTag
CALLV
pop
line 807
;807:		gun.renderfx = renderfx;
ADDRLP4 632+4
ADDRLP4 604
INDIRI4
ASGNI4
line 808
;808:		trap_R_AddRefEntityToScene( &gun );
ADDRLP4 632
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 809
;809:	}
LABELV $362
line 814
;810:
;811:	//
;812:	// add muzzle flash
;813:	//
;814:	if ( dp_realtime <= pi->muzzleFlashTime ) {
ADDRGP4 dp_realtime
INDIRI4
ADDRFP4 16
INDIRP4
CNSTI4 900
ADDP4
INDIRI4
GTI4 $368
line 815
;815:		if ( pi->flashModel ) {
ADDRFP4 16
INDIRP4
CNSTI4 884
ADDP4
INDIRI4
CNSTI4 0
EQI4 $370
line 816
;816:			memset( &flash, 0, sizeof(flash) );
ADDRLP4 792
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 817
;817:			flash.hModel = pi->flashModel;
ADDRLP4 792+8
ADDRFP4 16
INDIRP4
CNSTI4 884
ADDP4
INDIRI4
ASGNI4
line 818
;818:			VectorCopy( origin, flash.lightingOrigin );
ADDRLP4 792+12
ADDRLP4 112
INDIRB
ASGNB 12
line 819
;819:			UI_PositionEntityOnTag( &flash, &gun, pi->weaponModel, "tag_flash");
ADDRLP4 792
ARGP4
ADDRLP4 632
ARGP4
ADDRFP4 16
INDIRP4
CNSTI4 876
ADDP4
INDIRI4
ARGI4
ADDRGP4 $374
ARGP4
ADDRGP4 UI_PositionEntityOnTag
CALLV
pop
line 820
;820:			flash.renderfx = renderfx;
ADDRLP4 792+4
ADDRLP4 604
INDIRI4
ASGNI4
line 821
;821:			trap_R_AddRefEntityToScene( &flash );
ADDRLP4 792
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 822
;822:		}
LABELV $370
line 825
;823:
;824:		// make a dlight for the flash
;825:		if ( pi->flashDlightColor[0] || pi->flashDlightColor[1] || pi->flashDlightColor[2] ) {
ADDRLP4 984
ADDRFP4 16
INDIRP4
ASGNP4
ADDRLP4 988
CNSTF4 0
ASGNF4
ADDRLP4 984
INDIRP4
CNSTI4 888
ADDP4
INDIRF4
ADDRLP4 988
INDIRF4
NEF4 $379
ADDRLP4 984
INDIRP4
CNSTI4 892
ADDP4
INDIRF4
ADDRLP4 988
INDIRF4
NEF4 $379
ADDRLP4 984
INDIRP4
CNSTI4 896
ADDP4
INDIRF4
ADDRLP4 988
INDIRF4
EQF4 $376
LABELV $379
line 826
;826:			trap_R_AddLightToScene( flash.origin, 200 + (rand()&31), pi->flashDlightColor[0],
ADDRLP4 992
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 792+68
ARGP4
ADDRLP4 992
INDIRI4
CNSTI4 31
BANDI4
CNSTI4 200
ADDI4
CVIF4 4
ARGF4
ADDRLP4 996
ADDRFP4 16
INDIRP4
ASGNP4
ADDRLP4 996
INDIRP4
CNSTI4 888
ADDP4
INDIRF4
ARGF4
ADDRLP4 996
INDIRP4
CNSTI4 892
ADDP4
INDIRF4
ARGF4
ADDRLP4 996
INDIRP4
CNSTI4 896
ADDP4
INDIRF4
ARGF4
ADDRGP4 trap_R_AddLightToScene
CALLV
pop
line 828
;827:				pi->flashDlightColor[1], pi->flashDlightColor[2] );
;828:		}
LABELV $376
line 829
;829:	}
LABELV $368
line 834
;830:
;831:	//
;832:	// add the chat icon
;833:	//
;834:	if ( pi->chat ) {
ADDRFP4 16
INDIRP4
CNSTI4 972
ADDP4
INDIRI4
CNSTI4 0
EQI4 $381
line 835
;835:		UI_PlayerFloatSprite( pi, origin, trap_R_RegisterShaderNoMip( "sprites/chat" ) );
ADDRGP4 $383
ARGP4
ADDRLP4 984
ADDRGP4 trap_R_RegisterShaderNoMip
CALLI4
ASGNI4
ADDRFP4 16
INDIRP4
ARGP4
ADDRLP4 112
ARGP4
ADDRLP4 984
INDIRI4
ARGI4
ADDRGP4 UI_PlayerFloatSprite
CALLV
pop
line 836
;836:	}
LABELV $381
line 841
;837:
;838:	//
;839:	// add an accent light
;840:	//
;841:	origin[0] -= 100;	// + = behind, - = in front
ADDRLP4 112
ADDRLP4 112
INDIRF4
CNSTF4 1120403456
SUBF4
ASGNF4
line 842
;842:	origin[1] += 100;	// + = left, - = right
ADDRLP4 112+4
ADDRLP4 112+4
INDIRF4
CNSTF4 1120403456
ADDF4
ASGNF4
line 843
;843:	origin[2] += 100;	// + = above, - = below
ADDRLP4 112+8
ADDRLP4 112+8
INDIRF4
CNSTF4 1120403456
ADDF4
ASGNF4
line 844
;844:	trap_R_AddLightToScene( origin, 500, 1.0, 1.0, 1.0 );
ADDRLP4 112
ARGP4
CNSTF4 1140457472
ARGF4
ADDRLP4 984
CNSTF4 1065353216
ASGNF4
ADDRLP4 984
INDIRF4
ARGF4
ADDRLP4 984
INDIRF4
ARGF4
ADDRLP4 984
INDIRF4
ARGF4
ADDRGP4 trap_R_AddLightToScene
CALLV
pop
line 846
;845:
;846:	origin[0] -= 100;
ADDRLP4 112
ADDRLP4 112
INDIRF4
CNSTF4 1120403456
SUBF4
ASGNF4
line 847
;847:	origin[1] -= 100;
ADDRLP4 112+4
ADDRLP4 112+4
INDIRF4
CNSTF4 1120403456
SUBF4
ASGNF4
line 848
;848:	origin[2] -= 100;
ADDRLP4 112+8
ADDRLP4 112+8
INDIRF4
CNSTF4 1120403456
SUBF4
ASGNF4
line 849
;849:	trap_R_AddLightToScene( origin, 500, 1.0, 0.0, 0.0 );
ADDRLP4 112
ARGP4
CNSTF4 1140457472
ARGF4
CNSTF4 1065353216
ARGF4
ADDRLP4 988
CNSTF4 0
ASGNF4
ADDRLP4 988
INDIRF4
ARGF4
ADDRLP4 988
INDIRF4
ARGF4
ADDRGP4 trap_R_AddLightToScene
CALLV
pop
line 851
;850:
;851:	trap_R_RenderScene( &refdef );
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_RenderScene
CALLV
pop
line 852
;852:}
LABELV $292
endproc UI_DrawPlayer 1000 28
proc UI_RegisterClientSkin 88 20
line 861
;853:
;854:
;855:/*
;856:==========================
;857:UI_RegisterClientSkin
;858:==========================
;859:*/
;860:extern char* BG_RegisterRace( const char *name );
;861:static qboolean UI_RegisterClientSkin( playerInfo_t *pi, const char *modelName, const char *skinName ) {
line 864
;862:	char		filename[MAX_QPATH];
;863:
;864:	Com_sprintf( filename, sizeof( filename ), "models/players2/%s/lower_%s.skin", modelName, skinName );
ADDRLP4 0
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 $389
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRGP4 Com_sprintf
CALLV
pop
line 865
;865:	pi->legsSkin = trap_R_RegisterSkin( filename );
ADDRLP4 0
ARGP4
ADDRLP4 64
ADDRGP4 trap_R_RegisterSkin
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
ADDRLP4 64
INDIRI4
ASGNI4
line 867
;866:
;867:	Com_sprintf( filename, sizeof( filename ), "models/players2/%s/upper_%s.skin", modelName, skinName );
ADDRLP4 0
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 $390
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRGP4 Com_sprintf
CALLV
pop
line 868
;868:	pi->torsoSkin = trap_R_RegisterSkin( filename );
ADDRLP4 0
ARGP4
ADDRLP4 68
ADDRGP4 trap_R_RegisterSkin
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
CNSTI4 60
ADDP4
ADDRLP4 68
INDIRI4
ASGNI4
line 870
;869:
;870:	Com_sprintf( filename, sizeof( filename ), "models/players2/%s/head_%s.skin", modelName, skinName );
ADDRLP4 0
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 $391
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRGP4 Com_sprintf
CALLV
pop
line 871
;871:	pi->headSkin = trap_R_RegisterSkin( filename );
ADDRLP4 0
ARGP4
ADDRLP4 72
ADDRGP4 trap_R_RegisterSkin
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
CNSTI4 116
ADDP4
ADDRLP4 72
INDIRI4
ASGNI4
line 873
;872:
;873:	Com_sprintf( filename, sizeof( filename ), "models/players2/%s/groups.cfg", modelName);
ADDRLP4 0
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 $392
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRGP4 Com_sprintf
CALLV
pop
line 874
;874:	strcpy(pi->race, BG_RegisterRace( filename ));
ADDRLP4 0
ARGP4
ADDRLP4 76
ADDRGP4 BG_RegisterRace
CALLP4
ASGNP4
ADDRFP4 0
INDIRP4
CNSTI4 120
ADDP4
ARGP4
ADDRLP4 76
INDIRP4
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 876
;875:
;876:	if ( !pi->legsSkin || !pi->torsoSkin || !pi->headSkin ) {
ADDRLP4 80
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 84
CNSTI4 0
ASGNI4
ADDRLP4 80
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
ADDRLP4 84
INDIRI4
EQI4 $396
ADDRLP4 80
INDIRP4
CNSTI4 60
ADDP4
INDIRI4
ADDRLP4 84
INDIRI4
EQI4 $396
ADDRLP4 80
INDIRP4
CNSTI4 116
ADDP4
INDIRI4
ADDRLP4 84
INDIRI4
NEI4 $393
LABELV $396
line 877
;877:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $388
JUMPV
LABELV $393
line 880
;878:	}
;879:
;880:	return qtrue;
CNSTI4 1
RETI4
LABELV $388
endproc UI_RegisterClientSkin 88 20
proc UI_ParseAnimationFile 20068 12
line 889
;881:}
;882:
;883:
;884:/*
;885:======================
;886:UI_ParseAnimationFile
;887:======================
;888:*/
;889:static qboolean UI_ParseAnimationFile( const char *filename, animation_t *animations ) {
line 899
;890:	char		*text_p, *prev;
;891:	int			len;
;892:	int			i;
;893:	char		*token;
;894:	float		fps;
;895:	int			skip;
;896:	char		text[20000];
;897:	fileHandle_t	f;
;898:
;899:	memset( animations, 0, sizeof( animation_t ) * MAX_ANIMATIONS );
ADDRFP4 4
INDIRP4
ARGP4
CNSTI4 0
ARGI4
CNSTI4 500
ARGI4
ADDRGP4 memset
CALLP4
pop
line 902
;900:
;901:	// load the file
;902:	len = trap_FS_FOpenFile( filename, &f, FS_READ );
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 20028
ARGP4
CNSTI4 0
ARGI4
ADDRLP4 20032
ADDRGP4 trap_FS_FOpenFile
CALLI4
ASGNI4
ADDRLP4 24
ADDRLP4 20032
INDIRI4
ASGNI4
line 903
;903:	if ( len <= 0 ) {
ADDRLP4 24
INDIRI4
CNSTI4 0
GTI4 $398
line 904
;904:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $397
JUMPV
LABELV $398
line 906
;905:	}
;906:	if ( len >= ( sizeof( text ) - 1 ) ) {
ADDRLP4 24
INDIRI4
CVIU4 4
CNSTU4 19999
LTU4 $400
line 907
;907:		Com_Printf( "File %s too long\n", filename );
ADDRGP4 $402
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 908
;908:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $397
JUMPV
LABELV $400
line 910
;909:	}
;910:	trap_FS_Read( text, len, f );
ADDRLP4 28
ARGP4
ADDRLP4 24
INDIRI4
ARGI4
ADDRLP4 20028
INDIRI4
ARGI4
ADDRGP4 trap_FS_Read
CALLV
pop
line 911
;911:	text[len] = 0;
ADDRLP4 24
INDIRI4
ADDRLP4 28
ADDP4
CNSTI1 0
ASGNI1
line 912
;912:	trap_FS_FCloseFile( f );
ADDRLP4 20028
INDIRI4
ARGI4
ADDRGP4 trap_FS_FCloseFile
CALLV
pop
line 915
;913:
;914:	// parse the text
;915:	text_p = text;
ADDRLP4 8
ADDRLP4 28
ASGNP4
line 916
;916:	skip = 0;	// quite the compiler warning
ADDRLP4 20
CNSTI4 0
ASGNI4
ADDRGP4 $404
JUMPV
LABELV $403
line 919
;917:
;918:	// read optional parameters
;919:	while ( 1 ) {
line 920
;920:		prev = text_p;	// so we can unget
ADDRLP4 16
ADDRLP4 8
INDIRP4
ASGNP4
line 921
;921:		token = COM_Parse( &text_p );
ADDRLP4 8
ARGP4
ADDRLP4 20036
ADDRGP4 COM_Parse
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 20036
INDIRP4
ASGNP4
line 922
;922:		if ( !token[0] ) {
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $406
line 923
;923:			break;
ADDRGP4 $405
JUMPV
LABELV $406
line 925
;924:		}
;925:		if ( !Q_stricmp( token, "footsteps" ) ) {
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 $410
ARGP4
ADDRLP4 20040
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 20040
INDIRI4
CNSTI4 0
NEI4 $408
line 926
;926:			token = COM_Parse( &text_p );
ADDRLP4 8
ARGP4
ADDRLP4 20044
ADDRGP4 COM_Parse
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 20044
INDIRP4
ASGNP4
line 927
;927:			if ( !token[0] ) {
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $404
line 928
;928:				break;
ADDRGP4 $405
JUMPV
line 930
;929:			}
;930:			continue;
LABELV $408
line 931
;931:		} else if ( !Q_stricmp( token, "headoffset" ) ) {
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 $415
ARGP4
ADDRLP4 20044
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 20044
INDIRI4
CNSTI4 0
NEI4 $413
line 932
;932:			for ( i = 0 ; i < 3 ; i++ ) {
ADDRLP4 4
CNSTI4 0
ASGNI4
LABELV $416
line 933
;933:				token = COM_Parse( &text_p );
ADDRLP4 8
ARGP4
ADDRLP4 20048
ADDRGP4 COM_Parse
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 20048
INDIRP4
ASGNP4
line 934
;934:				if ( !token[0] ) {
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $420
line 935
;935:					break;
ADDRGP4 $404
JUMPV
LABELV $420
line 937
;936:				}
;937:			}
LABELV $417
line 932
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 3
LTI4 $416
line 938
;938:			continue;
ADDRGP4 $404
JUMPV
LABELV $413
line 939
;939:		} else if ( !Q_stricmp( token, "sex" ) ) {
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 $424
ARGP4
ADDRLP4 20048
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 20048
INDIRI4
CNSTI4 0
NEI4 $422
line 940
;940:			token = COM_Parse( &text_p );
ADDRLP4 8
ARGP4
ADDRLP4 20052
ADDRGP4 COM_Parse
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 20052
INDIRP4
ASGNP4
line 941
;941:			if ( !token[0] ) {
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $404
line 942
;942:				break;
ADDRGP4 $405
JUMPV
line 944
;943:			}
;944:			continue;
LABELV $422
line 945
;945:		} else if ( !Q_stricmp( token, "soundpath" ) ) {
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 $429
ARGP4
ADDRLP4 20052
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 20052
INDIRI4
CNSTI4 0
NEI4 $427
line 946
;946:			token = COM_Parse( &text_p );
ADDRLP4 8
ARGP4
ADDRLP4 20056
ADDRGP4 COM_Parse
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 20056
INDIRP4
ASGNP4
line 947
;947:			if ( !token[0] ) {
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $404
line 948
;948:				break;
ADDRGP4 $405
JUMPV
line 950
;949:			}
;950:			continue;
LABELV $427
line 954
;951:		}
;952:
;953:		// if it is a number, start parsing animations
;954:		if ( token[0] >= '0' && token[0] <= '9' ) {
ADDRLP4 20056
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
ASGNI4
ADDRLP4 20056
INDIRI4
CNSTI4 48
LTI4 $432
ADDRLP4 20056
INDIRI4
CNSTI4 57
GTI4 $432
line 955
;955:			text_p = prev;	// unget the token
ADDRLP4 8
ADDRLP4 16
INDIRP4
ASGNP4
line 956
;956:			break;
ADDRGP4 $405
JUMPV
LABELV $432
line 959
;957:		}
;958:
;959:		Com_Printf( "unknown token '%s' is %s\n", token, filename );
ADDRGP4 $434
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 960
;960:	}
LABELV $404
line 919
ADDRGP4 $403
JUMPV
LABELV $405
line 963
;961:
;962:	// read information for each frame
;963:	for ( i = 0 ; i < MAX_ANIMATIONS ; i++ ) {
ADDRLP4 4
CNSTI4 0
ASGNI4
LABELV $435
line 965
;964:
;965:		token = COM_Parse( &text_p );
ADDRLP4 8
ARGP4
ADDRLP4 20036
ADDRGP4 COM_Parse
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 20036
INDIRP4
ASGNP4
line 966
;966:		if ( !token[0] ) {
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $439
line 967
;967:			break;
ADDRGP4 $437
JUMPV
LABELV $439
line 969
;968:		}
;969:		animations[i].firstFrame = atoi( token );
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 20040
ADDRGP4 atoi
CALLI4
ASGNI4
CNSTI4 20
ADDRLP4 4
INDIRI4
MULI4
ADDRFP4 4
INDIRP4
ADDP4
ADDRLP4 20040
INDIRI4
ASGNI4
line 971
;970:		// leg only frames are adjusted to not count the upper body only frames
;971:		if ( i == LEGS_WALKCR ) {
ADDRLP4 4
INDIRI4
CNSTI4 13
NEI4 $441
line 972
;972:			skip = animations[LEGS_WALKCR].firstFrame - animations[TORSO_GESTURE].firstFrame;
ADDRLP4 20044
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 20
ADDRLP4 20044
INDIRP4
CNSTI4 260
ADDP4
INDIRI4
ADDRLP4 20044
INDIRP4
CNSTI4 120
ADDP4
INDIRI4
SUBI4
ASGNI4
line 973
;973:		}
LABELV $441
line 974
;974:		if ( i >= LEGS_WALKCR ) {
ADDRLP4 4
INDIRI4
CNSTI4 13
LTI4 $443
line 975
;975:			animations[i].firstFrame -= skip;
ADDRLP4 20044
CNSTI4 20
ADDRLP4 4
INDIRI4
MULI4
ADDRFP4 4
INDIRP4
ADDP4
ASGNP4
ADDRLP4 20044
INDIRP4
ADDRLP4 20044
INDIRP4
INDIRI4
ADDRLP4 20
INDIRI4
SUBI4
ASGNI4
line 976
;976:		}
LABELV $443
line 978
;977:
;978:		token = COM_Parse( &text_p );
ADDRLP4 8
ARGP4
ADDRLP4 20044
ADDRGP4 COM_Parse
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 20044
INDIRP4
ASGNP4
line 979
;979:		if ( !token[0] ) {
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $445
line 980
;980:			break;
ADDRGP4 $437
JUMPV
LABELV $445
line 982
;981:		}
;982:		animations[i].numFrames = atoi( token );
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 20048
ADDRGP4 atoi
CALLI4
ASGNI4
CNSTI4 20
ADDRLP4 4
INDIRI4
MULI4
ADDRFP4 4
INDIRP4
ADDP4
CNSTI4 4
ADDP4
ADDRLP4 20048
INDIRI4
ASGNI4
line 984
;983:
;984:		token = COM_Parse( &text_p );
ADDRLP4 8
ARGP4
ADDRLP4 20052
ADDRGP4 COM_Parse
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 20052
INDIRP4
ASGNP4
line 985
;985:		if ( !token[0] ) {
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $447
line 986
;986:			break;
ADDRGP4 $437
JUMPV
LABELV $447
line 988
;987:		}
;988:		animations[i].loopFrames = atoi( token );
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 20056
ADDRGP4 atoi
CALLI4
ASGNI4
CNSTI4 20
ADDRLP4 4
INDIRI4
MULI4
ADDRFP4 4
INDIRP4
ADDP4
CNSTI4 8
ADDP4
ADDRLP4 20056
INDIRI4
ASGNI4
line 990
;989:
;990:		token = COM_Parse( &text_p );
ADDRLP4 8
ARGP4
ADDRLP4 20060
ADDRGP4 COM_Parse
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 20060
INDIRP4
ASGNP4
line 991
;991:		if ( !token[0] ) {
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $449
line 992
;992:			break;
ADDRGP4 $437
JUMPV
LABELV $449
line 994
;993:		}
;994:		fps = atof( token );
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 20064
ADDRGP4 atof
CALLF4
ASGNF4
ADDRLP4 12
ADDRLP4 20064
INDIRF4
ASGNF4
line 995
;995:		if ( fps == 0 ) {
ADDRLP4 12
INDIRF4
CNSTF4 0
NEF4 $451
line 996
;996:			fps = 1;
ADDRLP4 12
CNSTF4 1065353216
ASGNF4
line 997
;997:		}
LABELV $451
line 998
;998:		animations[i].frameLerp = 1000 / fps;
CNSTI4 20
ADDRLP4 4
INDIRI4
MULI4
ADDRFP4 4
INDIRP4
ADDP4
CNSTI4 12
ADDP4
CNSTF4 1148846080
ADDRLP4 12
INDIRF4
DIVF4
CVFI4 4
ASGNI4
line 999
;999:		animations[i].initialLerp = 1000 / fps;
CNSTI4 20
ADDRLP4 4
INDIRI4
MULI4
ADDRFP4 4
INDIRP4
ADDP4
CNSTI4 16
ADDP4
CNSTF4 1148846080
ADDRLP4 12
INDIRF4
DIVF4
CVFI4 4
ASGNI4
line 1000
;1000:	}
LABELV $436
line 963
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 25
LTI4 $435
LABELV $437
line 1002
;1001:
;1002:	if ( i != MAX_ANIMATIONS ) {
ADDRLP4 4
INDIRI4
CNSTI4 25
EQI4 $453
line 1003
;1003:		Com_Printf( "Error parsing animation file: %s", filename );
ADDRGP4 $455
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 1004
;1004:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $397
JUMPV
LABELV $453
line 1007
;1005:	}
;1006:
;1007:	return qtrue;
CNSTI4 1
RETI4
LABELV $397
endproc UI_ParseAnimationFile 20068 12
export UI_RegisterClientModelname
proc UI_RegisterClientModelname 220 16
line 1016
;1008:}
;1009:
;1010:
;1011:/*
;1012:==========================
;1013:UI_RegisterClientModelname
;1014:==========================
;1015:*/
;1016:qboolean UI_RegisterClientModelname( playerInfo_t *pi, const char *modelSkinName ) {
line 1022
;1017:	char		modelName[MAX_QPATH];
;1018:	char		skinName[MAX_QPATH];
;1019:	char		filename[MAX_QPATH];
;1020:	char		*slash;
;1021:
;1022:	pi->torsoModel = 0;
ADDRFP4 0
INDIRP4
CNSTI4 56
ADDP4
CNSTI4 0
ASGNI4
line 1023
;1023:	pi->headModel = 0;
ADDRFP4 0
INDIRP4
CNSTI4 112
ADDP4
CNSTI4 0
ASGNI4
line 1025
;1024:
;1025:	if ( !modelSkinName[0] ) {
ADDRFP4 4
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $457
line 1026
;1026:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $456
JUMPV
LABELV $457
line 1029
;1027:	}
;1028:
;1029:	Q_strncpyz( modelName, modelSkinName, sizeof( modelName ) );
ADDRLP4 64
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 1031
;1030:
;1031:	slash = strchr( modelName, '/' );
ADDRLP4 64
ARGP4
CNSTI4 47
ARGI4
ADDRLP4 196
ADDRGP4 strchr
CALLP4
ASGNP4
ADDRLP4 192
ADDRLP4 196
INDIRP4
ASGNP4
line 1032
;1032:	if ( !slash ) {
ADDRLP4 192
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $459
line 1034
;1033:		// modelName did not include a skin name
;1034:		Q_strncpyz( skinName, "default", sizeof( skinName ) );
ADDRLP4 128
ARGP4
ADDRGP4 $461
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 1035
;1035:	} else {
ADDRGP4 $460
JUMPV
LABELV $459
line 1036
;1036:		Q_strncpyz( skinName, slash + 1, sizeof( skinName ) );
ADDRLP4 128
ARGP4
ADDRLP4 192
INDIRP4
CNSTI4 1
ADDP4
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 1038
;1037:		// truncate modelName
;1038:		*slash = 0;
ADDRLP4 192
INDIRP4
CNSTI1 0
ASGNI1
line 1039
;1039:	}
LABELV $460
line 1043
;1040:
;1041:	// load cmodels before models so filecache works
;1042:
;1043:	Com_sprintf( filename, sizeof( filename ), "models/players2/%s/lower.mdr", modelName );
ADDRLP4 0
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 $462
ARGP4
ADDRLP4 64
ARGP4
ADDRGP4 Com_sprintf
CALLV
pop
line 1044
;1044:	pi->legsModel = trap_R_RegisterModel( filename );
ADDRLP4 0
ARGP4
ADDRLP4 200
ADDRGP4 trap_R_RegisterModel
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 200
INDIRI4
ASGNI4
line 1045
;1045:	if ( !pi->legsModel )
ADDRFP4 0
INDIRP4
INDIRI4
CNSTI4 0
NEI4 $463
line 1046
;1046:	{
line 1047
;1047:		Com_sprintf( filename, sizeof( filename ), "models/players2/%s/lower.md3", modelName );
ADDRLP4 0
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 $465
ARGP4
ADDRLP4 64
ARGP4
ADDRGP4 Com_sprintf
CALLV
pop
line 1048
;1048:		pi->legsModel = trap_R_RegisterModel( filename );
ADDRLP4 0
ARGP4
ADDRLP4 204
ADDRGP4 trap_R_RegisterModel
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 204
INDIRI4
ASGNI4
line 1049
;1049:		if ( !pi->legsModel )
ADDRFP4 0
INDIRP4
INDIRI4
CNSTI4 0
NEI4 $466
line 1050
;1050:		{
line 1051
;1051:			Com_Printf( S_COLOR_RED"Failed to load model file %s\n", filename );
ADDRGP4 $468
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 1052
;1052:			return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $456
JUMPV
LABELV $466
line 1054
;1053:		}
;1054:	}
LABELV $463
line 1056
;1055:
;1056:	Com_sprintf( filename, sizeof( filename ), "models/players2/%s/upper.mdr", modelName );
ADDRLP4 0
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 $469
ARGP4
ADDRLP4 64
ARGP4
ADDRGP4 Com_sprintf
CALLV
pop
line 1057
;1057:	pi->torsoModel = trap_R_RegisterModel( filename );
ADDRLP4 0
ARGP4
ADDRLP4 204
ADDRGP4 trap_R_RegisterModel
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
CNSTI4 56
ADDP4
ADDRLP4 204
INDIRI4
ASGNI4
line 1058
;1058:	if ( !pi->torsoModel )
ADDRFP4 0
INDIRP4
CNSTI4 56
ADDP4
INDIRI4
CNSTI4 0
NEI4 $470
line 1059
;1059:	{
line 1060
;1060:		Com_sprintf( filename, sizeof( filename ), "models/players2/%s/upper.md3", modelName );
ADDRLP4 0
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 $472
ARGP4
ADDRLP4 64
ARGP4
ADDRGP4 Com_sprintf
CALLV
pop
line 1061
;1061:		pi->torsoModel = trap_R_RegisterModel( filename );
ADDRLP4 0
ARGP4
ADDRLP4 208
ADDRGP4 trap_R_RegisterModel
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
CNSTI4 56
ADDP4
ADDRLP4 208
INDIRI4
ASGNI4
line 1062
;1062:		if ( !pi->torsoModel ) {
ADDRFP4 0
INDIRP4
CNSTI4 56
ADDP4
INDIRI4
CNSTI4 0
NEI4 $473
line 1063
;1063:			Com_Printf( S_COLOR_RED"Failed to load model file %s\n", filename );
ADDRGP4 $468
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 1064
;1064:			return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $456
JUMPV
LABELV $473
line 1066
;1065:		}
;1066:	}
LABELV $470
line 1068
;1067:
;1068:	Com_sprintf( filename, sizeof( filename ), "models/players2/%s/head.md3", modelName );
ADDRLP4 0
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 $475
ARGP4
ADDRLP4 64
ARGP4
ADDRGP4 Com_sprintf
CALLV
pop
line 1069
;1069:	pi->headModel = trap_R_RegisterModel( filename );
ADDRLP4 0
ARGP4
ADDRLP4 208
ADDRGP4 trap_R_RegisterModel
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
CNSTI4 112
ADDP4
ADDRLP4 208
INDIRI4
ASGNI4
line 1070
;1070:	if ( !pi->headModel )
ADDRFP4 0
INDIRP4
CNSTI4 112
ADDP4
INDIRI4
CNSTI4 0
NEI4 $476
line 1071
;1071:	{
line 1072
;1072:		Com_Printf( S_COLOR_RED"Failed to load model file %s\n", filename );
ADDRGP4 $468
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 1073
;1073:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $456
JUMPV
LABELV $476
line 1077
;1074:	}
;1075:
;1076:	// if any skins failed to load, fall back to default
;1077:	if ( !UI_RegisterClientSkin( pi, modelName, skinName ) ) {
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 64
ARGP4
ADDRLP4 128
ARGP4
ADDRLP4 212
ADDRGP4 UI_RegisterClientSkin
CALLI4
ASGNI4
ADDRLP4 212
INDIRI4
CNSTI4 0
NEI4 $478
line 1078
;1078:		if ( !UI_RegisterClientSkin( pi, modelName, "default" ) ) {
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 64
ARGP4
ADDRGP4 $461
ARGP4
ADDRLP4 216
ADDRGP4 UI_RegisterClientSkin
CALLI4
ASGNI4
ADDRLP4 216
INDIRI4
CNSTI4 0
NEI4 $480
line 1079
;1079:			Com_Printf( "Failed to load skin file: %s : %s\n", modelName, skinName );
ADDRGP4 $482
ARGP4
ADDRLP4 64
ARGP4
ADDRLP4 128
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 1080
;1080:			return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $456
JUMPV
LABELV $480
line 1082
;1081:		}
;1082:	}
LABELV $478
line 1085
;1083:
;1084:	// load the animations
;1085:	Com_sprintf( filename, sizeof( filename ), "models/players2/%s/animation.cfg", modelName );
ADDRLP4 0
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 $483
ARGP4
ADDRLP4 64
ARGP4
ADDRGP4 Com_sprintf
CALLV
pop
line 1086
;1086:	if ( !UI_ParseAnimationFile( filename, pi->animations ) ) {
ADDRLP4 0
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 376
ADDP4
ARGP4
ADDRLP4 216
ADDRGP4 UI_ParseAnimationFile
CALLI4
ASGNI4
ADDRLP4 216
INDIRI4
CNSTI4 0
NEI4 $484
line 1087
;1087:		Com_Printf( "Failed to load animation file %s\n", filename );
ADDRGP4 $486
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 1088
;1088:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $456
JUMPV
LABELV $484
line 1091
;1089:	}
;1090:
;1091:	return qtrue;
CNSTI4 1
RETI4
LABELV $456
endproc UI_RegisterClientModelname 220 16
export UI_PlayerInfo_SetModel
proc UI_PlayerInfo_SetModel 12 12
line 1100
;1092:}
;1093:
;1094:
;1095:/*
;1096:===============
;1097:UI_PlayerInfo_SetModel
;1098:===============
;1099:*/
;1100:void UI_PlayerInfo_SetModel( playerInfo_t *pi, const char *model ) {
line 1101
;1101:	memset( pi, 0, sizeof(*pi) );
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 0
ARGI4
CNSTI4 996
ARGI4
ADDRGP4 memset
CALLP4
pop
line 1102
;1102:	UI_RegisterClientModelname( pi, model );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRGP4 UI_RegisterClientModelname
CALLI4
pop
line 1103
;1103:	pi->weapon = WP_PHASER;
ADDRFP4 0
INDIRP4
CNSTI4 940
ADDP4
CNSTI4 1
ASGNI4
line 1104
;1104:	pi->currentWeapon = pi->weapon;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
CNSTI4 928
ADDP4
ADDRLP4 0
INDIRP4
CNSTI4 940
ADDP4
INDIRI4
ASGNI4
line 1105
;1105:	pi->lastWeapon = pi->weapon;
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CNSTI4 944
ADDP4
ADDRLP4 4
INDIRP4
CNSTI4 940
ADDP4
INDIRI4
ASGNI4
line 1106
;1106:	pi->pendingWeapon = -1;
ADDRFP4 0
INDIRP4
CNSTI4 948
ADDP4
CNSTI4 -1
ASGNI4
line 1107
;1107:	pi->weaponTimer = 0;
ADDRFP4 0
INDIRP4
CNSTI4 952
ADDP4
CNSTI4 0
ASGNI4
line 1108
;1108:	pi->chat = qfalse;
ADDRFP4 0
INDIRP4
CNSTI4 972
ADDP4
CNSTI4 0
ASGNI4
line 1109
;1109:	pi->newModel = qtrue;
ADDRFP4 0
INDIRP4
CNSTI4 976
ADDP4
CNSTI4 1
ASGNI4
line 1110
;1110:	UI_PlayerInfo_SetWeapon( pi, pi->weapon );
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
ARGP4
ADDRLP4 8
INDIRP4
CNSTI4 940
ADDP4
INDIRI4
ARGI4
ADDRGP4 UI_PlayerInfo_SetWeapon
CALLV
pop
line 1111
;1111:}
LABELV $487
endproc UI_PlayerInfo_SetModel 12 12
export UI_PlayerInfo_SetInfo
proc UI_PlayerInfo_SetInfo 36 8
line 1119
;1112:
;1113:
;1114:/*
;1115:===============
;1116:UI_PlayerInfo_SetInfo
;1117:===============
;1118:*/
;1119:void UI_PlayerInfo_SetInfo( playerInfo_t *pi, int legsAnim, int torsoAnim, vec3_t viewAngles, vec3_t moveAngles, weapon_t weaponNumber, qboolean chat ) {
line 1123
;1120:	int			currentAnim;
;1121:	weapon_t	weaponNum;
;1122:
;1123:	pi->chat = chat;
ADDRFP4 0
INDIRP4
CNSTI4 972
ADDP4
ADDRFP4 24
INDIRI4
ASGNI4
line 1126
;1124:
;1125:	// view angles
;1126:	VectorCopy( viewAngles, pi->viewAngles );
ADDRFP4 0
INDIRP4
CNSTI4 904
ADDP4
ADDRFP4 12
INDIRP4
INDIRB
ASGNB 12
line 1129
;1127:
;1128:	// move angles
;1129:	VectorCopy( moveAngles, pi->moveAngles );
ADDRFP4 0
INDIRP4
CNSTI4 916
ADDP4
ADDRFP4 16
INDIRP4
INDIRB
ASGNB 12
line 1131
;1130:
;1131:	if ( pi->newModel ) {
ADDRFP4 0
INDIRP4
CNSTI4 976
ADDP4
INDIRI4
CNSTI4 0
EQI4 $489
line 1132
;1132:		pi->newModel = qfalse;
ADDRFP4 0
INDIRP4
CNSTI4 976
ADDP4
CNSTI4 0
ASGNI4
line 1134
;1133:
;1134:		jumpHeight = 0;
ADDRGP4 jumpHeight
CNSTF4 0
ASGNF4
line 1135
;1135:		pi->pendingLegsAnim = 0;
ADDRFP4 0
INDIRP4
CNSTI4 956
ADDP4
CNSTI4 0
ASGNI4
line 1136
;1136:		UI_ForceLegsAnim( pi, legsAnim );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRI4
ARGI4
ADDRGP4 UI_ForceLegsAnim
CALLV
pop
line 1137
;1137:		pi->legs.yawAngle = viewAngles[YAW];
ADDRFP4 0
INDIRP4
CNSTI4 28
ADDP4
ADDRFP4 12
INDIRP4
CNSTI4 4
ADDP4
INDIRF4
ASGNF4
line 1138
;1138:		pi->legs.yawing = qfalse;
ADDRFP4 0
INDIRP4
CNSTI4 32
ADDP4
CNSTI4 0
ASGNI4
line 1140
;1139:
;1140:		pi->pendingTorsoAnim = 0;
ADDRFP4 0
INDIRP4
CNSTI4 964
ADDP4
CNSTI4 0
ASGNI4
line 1141
;1141:		UI_ForceTorsoAnim( pi, torsoAnim );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 8
INDIRI4
ARGI4
ADDRGP4 UI_ForceTorsoAnim
CALLV
pop
line 1142
;1142:		pi->torso.yawAngle = viewAngles[YAW];
ADDRFP4 0
INDIRP4
CNSTI4 84
ADDP4
ADDRFP4 12
INDIRP4
CNSTI4 4
ADDP4
INDIRF4
ASGNF4
line 1143
;1143:		pi->torso.yawing = qfalse;
ADDRFP4 0
INDIRP4
CNSTI4 88
ADDP4
CNSTI4 0
ASGNI4
line 1145
;1144:
;1145:		if ( weaponNumber != -1 ) {
ADDRFP4 20
INDIRI4
CNSTI4 -1
EQI4 $488
line 1146
;1146:			pi->weapon = weaponNumber;
ADDRFP4 0
INDIRP4
CNSTI4 940
ADDP4
ADDRFP4 20
INDIRI4
ASGNI4
line 1147
;1147:			pi->currentWeapon = weaponNumber;
ADDRFP4 0
INDIRP4
CNSTI4 928
ADDP4
ADDRFP4 20
INDIRI4
ASGNI4
line 1148
;1148:			pi->lastWeapon = weaponNumber;
ADDRFP4 0
INDIRP4
CNSTI4 944
ADDP4
ADDRFP4 20
INDIRI4
ASGNI4
line 1149
;1149:			pi->pendingWeapon = -1;
ADDRFP4 0
INDIRP4
CNSTI4 948
ADDP4
CNSTI4 -1
ASGNI4
line 1150
;1150:			pi->weaponTimer = 0;
ADDRFP4 0
INDIRP4
CNSTI4 952
ADDP4
CNSTI4 0
ASGNI4
line 1151
;1151:			UI_PlayerInfo_SetWeapon( pi, pi->weapon );
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
ARGP4
ADDRLP4 8
INDIRP4
CNSTI4 940
ADDP4
INDIRI4
ARGI4
ADDRGP4 UI_PlayerInfo_SetWeapon
CALLV
pop
line 1152
;1152:		}
line 1154
;1153:
;1154:		return;
ADDRGP4 $488
JUMPV
LABELV $489
line 1158
;1155:	}
;1156:
;1157:	// weapon
;1158:	if ( weaponNumber == -1 ) {
ADDRFP4 20
INDIRI4
CNSTI4 -1
NEI4 $493
line 1159
;1159:		pi->pendingWeapon = -1;
ADDRFP4 0
INDIRP4
CNSTI4 948
ADDP4
CNSTI4 -1
ASGNI4
line 1160
;1160:		pi->weaponTimer = 0;
ADDRFP4 0
INDIRP4
CNSTI4 952
ADDP4
CNSTI4 0
ASGNI4
line 1161
;1161:	}
ADDRGP4 $494
JUMPV
LABELV $493
line 1162
;1162:	else if ( weaponNumber != WP_NONE ) {
ADDRFP4 20
INDIRI4
CNSTI4 0
EQI4 $495
line 1163
;1163:		pi->pendingWeapon = weaponNumber;
ADDRFP4 0
INDIRP4
CNSTI4 948
ADDP4
ADDRFP4 20
INDIRI4
ASGNI4
line 1164
;1164:		pi->weaponTimer = dp_realtime + UI_TIMER_WEAPON_DELAY;
ADDRFP4 0
INDIRP4
CNSTI4 952
ADDP4
ADDRGP4 dp_realtime
INDIRI4
CNSTI4 250
ADDI4
ASGNI4
line 1165
;1165:	}
LABELV $495
LABELV $494
line 1166
;1166:	weaponNum = pi->lastWeapon;
ADDRLP4 4
ADDRFP4 0
INDIRP4
CNSTI4 944
ADDP4
INDIRI4
ASGNI4
line 1167
;1167:	pi->weapon = weaponNum;
ADDRFP4 0
INDIRP4
CNSTI4 940
ADDP4
ADDRLP4 4
INDIRI4
ASGNI4
line 1169
;1168:
;1169:	if ( torsoAnim == BOTH_DEATH1 || legsAnim == BOTH_DEATH1 ) {
ADDRLP4 8
CNSTI4 0
ASGNI4
ADDRFP4 8
INDIRI4
ADDRLP4 8
INDIRI4
EQI4 $499
ADDRFP4 4
INDIRI4
ADDRLP4 8
INDIRI4
NEI4 $497
LABELV $499
line 1170
;1170:		torsoAnim = legsAnim = BOTH_DEATH1;
ADDRLP4 12
CNSTI4 0
ASGNI4
ADDRFP4 4
ADDRLP4 12
INDIRI4
ASGNI4
ADDRFP4 8
ADDRLP4 12
INDIRI4
ASGNI4
line 1171
;1171:		pi->weapon = pi->currentWeapon = WP_NONE;
ADDRLP4 16
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 20
CNSTI4 0
ASGNI4
ADDRLP4 16
INDIRP4
CNSTI4 928
ADDP4
ADDRLP4 20
INDIRI4
ASGNI4
ADDRLP4 16
INDIRP4
CNSTI4 940
ADDP4
ADDRLP4 20
INDIRI4
ASGNI4
line 1172
;1172:		UI_PlayerInfo_SetWeapon( pi, pi->weapon );
ADDRLP4 24
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 24
INDIRP4
ARGP4
ADDRLP4 24
INDIRP4
CNSTI4 940
ADDP4
INDIRI4
ARGI4
ADDRGP4 UI_PlayerInfo_SetWeapon
CALLV
pop
line 1174
;1173:
;1174:		jumpHeight = 0;
ADDRGP4 jumpHeight
CNSTF4 0
ASGNF4
line 1175
;1175:		pi->pendingLegsAnim = 0;
ADDRFP4 0
INDIRP4
CNSTI4 956
ADDP4
CNSTI4 0
ASGNI4
line 1176
;1176:		UI_ForceLegsAnim( pi, legsAnim );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRI4
ARGI4
ADDRGP4 UI_ForceLegsAnim
CALLV
pop
line 1178
;1177:
;1178:		pi->pendingTorsoAnim = 0;
ADDRFP4 0
INDIRP4
CNSTI4 964
ADDP4
CNSTI4 0
ASGNI4
line 1179
;1179:		UI_ForceTorsoAnim( pi, torsoAnim );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 8
INDIRI4
ARGI4
ADDRGP4 UI_ForceTorsoAnim
CALLV
pop
line 1181
;1180:
;1181:		return;
ADDRGP4 $488
JUMPV
LABELV $497
line 1185
;1182:	}
;1183:
;1184:	// leg animation
;1185:	currentAnim = pi->legsAnim & ~ANIM_TOGGLEBIT;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 932
ADDP4
INDIRI4
CNSTI4 -129
BANDI4
ASGNI4
line 1186
;1186:	if ( legsAnim != LEGS_JUMP && ( currentAnim == LEGS_JUMP || currentAnim == LEGS_LAND ) ) {
ADDRLP4 12
CNSTI4 18
ASGNI4
ADDRFP4 4
INDIRI4
ADDRLP4 12
INDIRI4
EQI4 $500
ADDRLP4 0
INDIRI4
ADDRLP4 12
INDIRI4
EQI4 $502
ADDRLP4 0
INDIRI4
CNSTI4 19
NEI4 $500
LABELV $502
line 1187
;1187:		pi->pendingLegsAnim = legsAnim;
ADDRFP4 0
INDIRP4
CNSTI4 956
ADDP4
ADDRFP4 4
INDIRI4
ASGNI4
line 1188
;1188:	}
ADDRGP4 $501
JUMPV
LABELV $500
line 1189
;1189:	else if ( legsAnim != currentAnim ) {
ADDRFP4 4
INDIRI4
ADDRLP4 0
INDIRI4
EQI4 $503
line 1190
;1190:		jumpHeight = 0;
ADDRGP4 jumpHeight
CNSTF4 0
ASGNF4
line 1191
;1191:		pi->pendingLegsAnim = 0;
ADDRFP4 0
INDIRP4
CNSTI4 956
ADDP4
CNSTI4 0
ASGNI4
line 1192
;1192:		UI_ForceLegsAnim( pi, legsAnim );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRI4
ARGI4
ADDRGP4 UI_ForceLegsAnim
CALLV
pop
line 1193
;1193:	}
LABELV $503
LABELV $501
line 1196
;1194:
;1195:	// torso animation
;1196:	if ( torsoAnim == TORSO_STAND || torsoAnim == TORSO_STAND2 )
ADDRLP4 20
ADDRFP4 8
INDIRI4
ASGNI4
ADDRLP4 20
INDIRI4
CNSTI4 11
EQI4 $507
ADDRLP4 20
INDIRI4
CNSTI4 12
NEI4 $505
LABELV $507
line 1197
;1197:	{
line 1198
;1198:		if ( weaponNum == WP_NONE || weaponNum == WP_PHASER ) 
ADDRLP4 4
INDIRI4
CNSTI4 0
EQI4 $510
ADDRLP4 4
INDIRI4
CNSTI4 1
NEI4 $508
LABELV $510
line 1199
;1199:		{
line 1200
;1200:			torsoAnim = TORSO_STAND2;
ADDRFP4 8
CNSTI4 12
ASGNI4
line 1201
;1201:		}
ADDRGP4 $509
JUMPV
LABELV $508
line 1203
;1202:		else 
;1203:		{
line 1204
;1204:			torsoAnim = TORSO_STAND;
ADDRFP4 8
CNSTI4 11
ASGNI4
line 1205
;1205:		}
LABELV $509
line 1206
;1206:	}
LABELV $505
line 1208
;1207:
;1208:	if ( torsoAnim == TORSO_ATTACK || torsoAnim == TORSO_ATTACK2 )
ADDRLP4 24
ADDRFP4 8
INDIRI4
ASGNI4
ADDRLP4 24
INDIRI4
CNSTI4 7
EQI4 $513
ADDRLP4 24
INDIRI4
CNSTI4 8
NEI4 $511
LABELV $513
line 1209
;1209:	{
line 1210
;1210:		if ( weaponNum == WP_NONE || weaponNum == WP_PHASER ) 
ADDRLP4 4
INDIRI4
CNSTI4 0
EQI4 $516
ADDRLP4 4
INDIRI4
CNSTI4 1
NEI4 $514
LABELV $516
line 1211
;1211:		{
line 1212
;1212:			torsoAnim = TORSO_ATTACK2;
ADDRFP4 8
CNSTI4 8
ASGNI4
line 1213
;1213:		}
ADDRGP4 $515
JUMPV
LABELV $514
line 1215
;1214:		else 
;1215:		{
line 1216
;1216:			torsoAnim = TORSO_ATTACK;
ADDRFP4 8
CNSTI4 7
ASGNI4
line 1217
;1217:		}
LABELV $515
line 1218
;1218:		pi->muzzleFlashTime = dp_realtime + UI_TIMER_MUZZLE_FLASH;
ADDRFP4 0
INDIRP4
CNSTI4 900
ADDP4
ADDRGP4 dp_realtime
INDIRI4
CNSTI4 20
ADDI4
ASGNI4
line 1220
;1219:		//FIXME play firing sound here
;1220:	}
LABELV $511
line 1222
;1221:
;1222:	currentAnim = pi->torsoAnim & ~ANIM_TOGGLEBIT;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 936
ADDP4
INDIRI4
CNSTI4 -129
BANDI4
ASGNI4
line 1224
;1223:
;1224:	if ( weaponNum != pi->currentWeapon || currentAnim == TORSO_RAISE || currentAnim == TORSO_DROP ) {
ADDRLP4 4
INDIRI4
ADDRFP4 0
INDIRP4
CNSTI4 928
ADDP4
INDIRI4
NEI4 $520
ADDRLP4 0
INDIRI4
CNSTI4 10
EQI4 $520
ADDRLP4 0
INDIRI4
CNSTI4 9
NEI4 $517
LABELV $520
line 1225
;1225:		pi->pendingTorsoAnim = torsoAnim;
ADDRFP4 0
INDIRP4
CNSTI4 964
ADDP4
ADDRFP4 8
INDIRI4
ASGNI4
line 1226
;1226:	}
ADDRGP4 $518
JUMPV
LABELV $517
line 1227
;1227:	else if ( ( currentAnim == TORSO_GESTURE || currentAnim == TORSO_ATTACK ) && ( torsoAnim != currentAnim ) ) {
ADDRLP4 0
INDIRI4
CNSTI4 6
EQI4 $523
ADDRLP4 0
INDIRI4
CNSTI4 7
NEI4 $521
LABELV $523
ADDRFP4 8
INDIRI4
ADDRLP4 0
INDIRI4
EQI4 $521
line 1228
;1228:		pi->pendingTorsoAnim = torsoAnim;
ADDRFP4 0
INDIRP4
CNSTI4 964
ADDP4
ADDRFP4 8
INDIRI4
ASGNI4
line 1229
;1229:	}
ADDRGP4 $522
JUMPV
LABELV $521
line 1230
;1230:	else if ( torsoAnim != currentAnim ) {
ADDRFP4 8
INDIRI4
ADDRLP4 0
INDIRI4
EQI4 $524
line 1231
;1231:		pi->pendingTorsoAnim = 0;
ADDRFP4 0
INDIRP4
CNSTI4 964
ADDP4
CNSTI4 0
ASGNI4
line 1232
;1232:		UI_ForceTorsoAnim( pi, torsoAnim );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 8
INDIRI4
ARGI4
ADDRGP4 UI_ForceTorsoAnim
CALLV
pop
line 1233
;1233:	}
LABELV $524
LABELV $522
LABELV $518
line 1234
;1234:}
LABELV $488
endproc UI_PlayerInfo_SetInfo 36 8
import BG_RegisterRace
bss
align 4
LABELV jumpHeight
skip 4
align 4
LABELV dp_realtime
skip 4
import JoyYButtonCallback
import JoyXButtonCallback
import AnisotropicFilteringCallback
import SmoothMouseCallback
import MouseSpeedCallback
import InvertMouseCallback
import UI_PrintMenuGraphics
import UI_MenuBottomLineEnd_Graphics
import UI_InitGameinfo
import UI_GetAwardLevel
import UI_LogAwardData
import UI_NewGame
import UI_GetCurrentGame
import UI_CanShowTierVideo
import UI_ShowTierVideo
import UI_TierCompleted
import UI_SetBestScore
import UI_GetBestScore
import UI_GetNumBots
import UI_GetBotInfoByName
import UI_GetBotInfoByNumber
import UI_ServerAdvancedOptions
import UI_GetNumSPTiers
import UI_GetNumSPArenas
import UI_GetNumArenas
import UI_GetSpecialArenaInfo
import UI_GetArenaInfoByMap
import UI_GetArenaInfoByNumber
import UI_NetworkOptionsMenu
import UI_NetworkOptionsMenu_Cache
import ScreensizeCallback
import GammaCallback
import UI_FontsMenu
import UI_SoundMenu_Cache
import UI_SoundMenu
import setup_menubuttons
import UI_DisplayOptionsMenu
import UI_TeamOrdersMenu_Cache
import UI_TeamOrdersMenu_f
import UI_TeamOrdersMenu
import UI_RemoveBotsMenu
import UI_RemoveBots_Cache
import UI_AddBotsMenu
import UI_AddBots_Cache
import trap_R_ModelBounds
import trap_SetCDKey
import trap_MemoryRemaining
import trap_LAN_GetPingInfo
import trap_LAN_GetPing
import trap_LAN_ClearPing
import trap_LAN_GetPingQueueCount
import trap_LAN_GetGlobalServerAddressString
import trap_LAN_GetGlobalServerCount
import trap_LAN_GetLocalServerAddressString
import trap_LAN_GetLocalServerCount
import trap_GetConfigString
import trap_GetGlconfig
import trap_GetClientState
import trap_GetClipboardData
import trap_Key_SetCatcher
import trap_Key_GetCatcher
import trap_Key_ClearStates
import trap_Key_SetOverstrikeMode
import trap_Key_GetOverstrikeMode
import trap_Key_IsDown
import trap_Key_SetBinding
import trap_Key_GetBindingBuf
import trap_Key_KeynumToStringBuf
import trap_S_RegisterSound
import trap_S_StartLocalSound
import trap_CM_LerpTag
import trap_UpdateScreen
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_RenderScene
import trap_R_AddLightToScene
import trap_R_AddPolyToScene
import trap_R_AddRefEntityToScene
import trap_R_ClearScene
import trap_R_RegisterShaderNoMip
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_FS_GetFileList
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Cmd_ExecuteText
import trap_Argv
import trap_Argc
import trap_Cvar_InfoStringBuffer
import trap_Cvar_Create
import trap_Cvar_Reset
import trap_Cvar_SetValue
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import UI_SPSkillMenu_Cache
import UI_SPSkillMenu
import UI_SPPostgameMenu_f
import UI_SPPostgameMenu_Cache
import UI_SPArena_Start
import UI_ResetGameMenu_Cache
import UI_SPLevelMenu_ReInit
import UI_SPLevelMenu_f
import UI_SPLevelMenu
import UI_SPLevelMenu_Cache
import uis
import m_entersound
import UI_MenuFrame2
import UI_MenuFrame
import UI_PrecacheMenuGraphics
import UI_Cvar_VariableString
import UI_Argv
import UI_ForceMenuOff
import UI_PopMenu
import UI_PushMenu
import UI_SetActiveMenu
import UI_IsFullscreen
import UI_AdjustFrom640
import UI_CursorInRect
import UI_DrawChar
import UI_DrawString
import UI_ProportionalStringWidth
import UI_DrawProportionalString
import UI_ProportionalSizeScale
import UI_DrawBannerString
import UI_DrawRect
import UI_FillRect
import UI_DrawHandlePic
import UI_DrawNamedPic
import UI_ClampCvar
import UI_ConsoleCommand
import UI_Refresh
import UI_MouseEvent
import UI_KeyEvent
import UI_Shutdown
import UI_Init
import UI_InitSpinControl
import UI_LoadButtonText
import UI_LoadMenuText
import UI_VideoDriverMenu_Cache
import UI_VideoData2Menu_Cache
import UI_VideoDataMenu_Cache
import UI_VideoDataMenu
import DriverInfo_Cache
import ServerInfo_Cache
import UI_ServerInfoMenu
import UI_BotSelectMenu_Cache
import UI_BotSelectMenu
import ServerOptions_Cache
import StartServer_Cache
import UI_StartServerMenu
import UI_ChooseServerTypeMenu_Cache
import ArenaServers_Cache
import UI_ArenaServersMenu
import SpecifyServer_Cache
import UI_SpecifyServerMenu
import s_voicelanguage_Names
import s_textlanguage_Names
import UI_GameOptionsMenu_Cache
import UI_GameOptionsMenu
import PlayerSettings_Cache
import UI_PlayerSettingsMenu
import PlayerModel_Cache
import UI_PlayerModelMenu
import UI_CDKeyMenu2
import UI_CDKeyMenu_f
import UI_CDKeyMenu_Cache
import UI_CDKeyMenu
import UI_ModsMenu_Cache
import UI_ModsMenu
import UI_DemosMenu
import SetupMenu_TopButtons
import UI_ControlsMouseJoyStickMenu_Cache
import Controls_Cache
import UI_DrawConnectScreen
import TeamMain_Cache
import UI_TeamMainMenu
import UI_ConfirmMenu
import ConfirmMenu_Cache
import UI_BotCommandMenu_f
import UI_DynamicMenu
import UI_DynamicMenuCache
import UI_InGameMenu
import InGame_Cache
import ingameFlag
import UI_DemosMenu_Cache
import UI_QuitMenu_Cache
import UI_ChooseServerTypeMenu
import UI_QuitMenu
import UI_Setup_MenuButtons
import UI_UpdateCvars
import UI_RegisterCvars
import UI_MainMenu
import MainMenu_Cache
import MenuField_Key
import MenuField_Draw
import MenuField_Init
import MField_Draw
import MField_CharEvent
import MField_KeyDownEvent
import MField_Clear
import ui_medalSounds
import ui_medalPicNames
import ui_medalNames
import text_color_highlight
import text_color_normal
import text_color_disabled
import listbar_color
import list_color
import name_color
import color_dim
import color_red
import color_orange
import color_blue
import color_yellow
import color_white
import menu_dim_color
import menu_black_color
import menu_red_color
import menu_highlight_color
import menu_dark_color
import menu_grayed_color
import menu_text_color
import menu_null_sound
import menu_buzz_sound
import menu_out_sound
import menu_move_sound
import menu_in_sound
import ScrollList_Key
import ScrollList_Draw
import Bitmap_Draw
import Bitmap_Init
import Menu_DefaultKey
import Menu_SetCursorToItem
import Menu_SetCursor
import Menu_ActivateItem
import Menu_ItemAtCursor
import Menu_Draw
import Menu_AdjustCursor
import Menu_AddItem
import Menu_Focus
import Menu_Cache
import UI_HolomatchInMenu_Cache
import Mouse_Show
import Mouse_Hide
import ui_playerclass
import ui_cdkeychecked2
import ui_cdkeychecked
import ui_server16
import ui_server15
import ui_server14
import ui_server13
import ui_server12
import ui_server11
import ui_server10
import ui_server9
import ui_server8
import ui_server7
import ui_server6
import ui_server5
import ui_server4
import ui_server3
import ui_server2
import ui_server1
import ui_marks
import ui_drawCrosshairNames
import ui_drawCrosshair
import ui_brassTime
import ui_browserShowEmpty
import ui_browserShowFull
import ui_browserSortKey
import ui_browserGameType
import ui_browserMaster
import ui_spSelection
import ui_team_race_red
import ui_team_race_blue
import ui_dowarmup
import ui_warmup
import ui_respawnGhostTime
import ui_forcerespawn
import ui_holoIntro
import ui_adaptRespawn
import ui_dmgmult
import ui_knockback
import ui_gravity
import ui_speed
import ui_weaponrespawn
import ui_spSkill
import ui_spVideos
import ui_spAwards
import ui_spScores5
import ui_spScores4
import ui_spScores3
import ui_spScores2
import ui_spScores1
import ui_botminplayers
import ui_botsFile
import ui_arenasFile
import ui_ctf_friendly
import ui_ctf_timelimit
import ui_ctf_capturelimit
import ui_team_friendly
import ui_team_timelimit
import ui_team_fraglimit
import ui_tourney_timelimit
import ui_tourney_fraglimit
import ui_ffa_timelimit
import ui_ffa_fraglimit
import menu_button_text
import menu_normal_text
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $486
byte 1 70
byte 1 97
byte 1 105
byte 1 108
byte 1 101
byte 1 100
byte 1 32
byte 1 116
byte 1 111
byte 1 32
byte 1 108
byte 1 111
byte 1 97
byte 1 100
byte 1 32
byte 1 97
byte 1 110
byte 1 105
byte 1 109
byte 1 97
byte 1 116
byte 1 105
byte 1 111
byte 1 110
byte 1 32
byte 1 102
byte 1 105
byte 1 108
byte 1 101
byte 1 32
byte 1 37
byte 1 115
byte 1 10
byte 1 0
align 1
LABELV $483
byte 1 109
byte 1 111
byte 1 100
byte 1 101
byte 1 108
byte 1 115
byte 1 47
byte 1 112
byte 1 108
byte 1 97
byte 1 121
byte 1 101
byte 1 114
byte 1 115
byte 1 50
byte 1 47
byte 1 37
byte 1 115
byte 1 47
byte 1 97
byte 1 110
byte 1 105
byte 1 109
byte 1 97
byte 1 116
byte 1 105
byte 1 111
byte 1 110
byte 1 46
byte 1 99
byte 1 102
byte 1 103
byte 1 0
align 1
LABELV $482
byte 1 70
byte 1 97
byte 1 105
byte 1 108
byte 1 101
byte 1 100
byte 1 32
byte 1 116
byte 1 111
byte 1 32
byte 1 108
byte 1 111
byte 1 97
byte 1 100
byte 1 32
byte 1 115
byte 1 107
byte 1 105
byte 1 110
byte 1 32
byte 1 102
byte 1 105
byte 1 108
byte 1 101
byte 1 58
byte 1 32
byte 1 37
byte 1 115
byte 1 32
byte 1 58
byte 1 32
byte 1 37
byte 1 115
byte 1 10
byte 1 0
align 1
LABELV $475
byte 1 109
byte 1 111
byte 1 100
byte 1 101
byte 1 108
byte 1 115
byte 1 47
byte 1 112
byte 1 108
byte 1 97
byte 1 121
byte 1 101
byte 1 114
byte 1 115
byte 1 50
byte 1 47
byte 1 37
byte 1 115
byte 1 47
byte 1 104
byte 1 101
byte 1 97
byte 1 100
byte 1 46
byte 1 109
byte 1 100
byte 1 51
byte 1 0
align 1
LABELV $472
byte 1 109
byte 1 111
byte 1 100
byte 1 101
byte 1 108
byte 1 115
byte 1 47
byte 1 112
byte 1 108
byte 1 97
byte 1 121
byte 1 101
byte 1 114
byte 1 115
byte 1 50
byte 1 47
byte 1 37
byte 1 115
byte 1 47
byte 1 117
byte 1 112
byte 1 112
byte 1 101
byte 1 114
byte 1 46
byte 1 109
byte 1 100
byte 1 51
byte 1 0
align 1
LABELV $469
byte 1 109
byte 1 111
byte 1 100
byte 1 101
byte 1 108
byte 1 115
byte 1 47
byte 1 112
byte 1 108
byte 1 97
byte 1 121
byte 1 101
byte 1 114
byte 1 115
byte 1 50
byte 1 47
byte 1 37
byte 1 115
byte 1 47
byte 1 117
byte 1 112
byte 1 112
byte 1 101
byte 1 114
byte 1 46
byte 1 109
byte 1 100
byte 1 114
byte 1 0
align 1
LABELV $468
byte 1 94
byte 1 49
byte 1 70
byte 1 97
byte 1 105
byte 1 108
byte 1 101
byte 1 100
byte 1 32
byte 1 116
byte 1 111
byte 1 32
byte 1 108
byte 1 111
byte 1 97
byte 1 100
byte 1 32
byte 1 109
byte 1 111
byte 1 100
byte 1 101
byte 1 108
byte 1 32
byte 1 102
byte 1 105
byte 1 108
byte 1 101
byte 1 32
byte 1 37
byte 1 115
byte 1 10
byte 1 0
align 1
LABELV $465
byte 1 109
byte 1 111
byte 1 100
byte 1 101
byte 1 108
byte 1 115
byte 1 47
byte 1 112
byte 1 108
byte 1 97
byte 1 121
byte 1 101
byte 1 114
byte 1 115
byte 1 50
byte 1 47
byte 1 37
byte 1 115
byte 1 47
byte 1 108
byte 1 111
byte 1 119
byte 1 101
byte 1 114
byte 1 46
byte 1 109
byte 1 100
byte 1 51
byte 1 0
align 1
LABELV $462
byte 1 109
byte 1 111
byte 1 100
byte 1 101
byte 1 108
byte 1 115
byte 1 47
byte 1 112
byte 1 108
byte 1 97
byte 1 121
byte 1 101
byte 1 114
byte 1 115
byte 1 50
byte 1 47
byte 1 37
byte 1 115
byte 1 47
byte 1 108
byte 1 111
byte 1 119
byte 1 101
byte 1 114
byte 1 46
byte 1 109
byte 1 100
byte 1 114
byte 1 0
align 1
LABELV $461
byte 1 100
byte 1 101
byte 1 102
byte 1 97
byte 1 117
byte 1 108
byte 1 116
byte 1 0
align 1
LABELV $455
byte 1 69
byte 1 114
byte 1 114
byte 1 111
byte 1 114
byte 1 32
byte 1 112
byte 1 97
byte 1 114
byte 1 115
byte 1 105
byte 1 110
byte 1 103
byte 1 32
byte 1 97
byte 1 110
byte 1 105
byte 1 109
byte 1 97
byte 1 116
byte 1 105
byte 1 111
byte 1 110
byte 1 32
byte 1 102
byte 1 105
byte 1 108
byte 1 101
byte 1 58
byte 1 32
byte 1 37
byte 1 115
byte 1 0
align 1
LABELV $434
byte 1 117
byte 1 110
byte 1 107
byte 1 110
byte 1 111
byte 1 119
byte 1 110
byte 1 32
byte 1 116
byte 1 111
byte 1 107
byte 1 101
byte 1 110
byte 1 32
byte 1 39
byte 1 37
byte 1 115
byte 1 39
byte 1 32
byte 1 105
byte 1 115
byte 1 32
byte 1 37
byte 1 115
byte 1 10
byte 1 0
align 1
LABELV $429
byte 1 115
byte 1 111
byte 1 117
byte 1 110
byte 1 100
byte 1 112
byte 1 97
byte 1 116
byte 1 104
byte 1 0
align 1
LABELV $424
byte 1 115
byte 1 101
byte 1 120
byte 1 0
align 1
LABELV $415
byte 1 104
byte 1 101
byte 1 97
byte 1 100
byte 1 111
byte 1 102
byte 1 102
byte 1 115
byte 1 101
byte 1 116
byte 1 0
align 1
LABELV $410
byte 1 102
byte 1 111
byte 1 111
byte 1 116
byte 1 115
byte 1 116
byte 1 101
byte 1 112
byte 1 115
byte 1 0
align 1
LABELV $402
byte 1 70
byte 1 105
byte 1 108
byte 1 101
byte 1 32
byte 1 37
byte 1 115
byte 1 32
byte 1 116
byte 1 111
byte 1 111
byte 1 32
byte 1 108
byte 1 111
byte 1 110
byte 1 103
byte 1 10
byte 1 0
align 1
LABELV $392
byte 1 109
byte 1 111
byte 1 100
byte 1 101
byte 1 108
byte 1 115
byte 1 47
byte 1 112
byte 1 108
byte 1 97
byte 1 121
byte 1 101
byte 1 114
byte 1 115
byte 1 50
byte 1 47
byte 1 37
byte 1 115
byte 1 47
byte 1 103
byte 1 114
byte 1 111
byte 1 117
byte 1 112
byte 1 115
byte 1 46
byte 1 99
byte 1 102
byte 1 103
byte 1 0
align 1
LABELV $391
byte 1 109
byte 1 111
byte 1 100
byte 1 101
byte 1 108
byte 1 115
byte 1 47
byte 1 112
byte 1 108
byte 1 97
byte 1 121
byte 1 101
byte 1 114
byte 1 115
byte 1 50
byte 1 47
byte 1 37
byte 1 115
byte 1 47
byte 1 104
byte 1 101
byte 1 97
byte 1 100
byte 1 95
byte 1 37
byte 1 115
byte 1 46
byte 1 115
byte 1 107
byte 1 105
byte 1 110
byte 1 0
align 1
LABELV $390
byte 1 109
byte 1 111
byte 1 100
byte 1 101
byte 1 108
byte 1 115
byte 1 47
byte 1 112
byte 1 108
byte 1 97
byte 1 121
byte 1 101
byte 1 114
byte 1 115
byte 1 50
byte 1 47
byte 1 37
byte 1 115
byte 1 47
byte 1 117
byte 1 112
byte 1 112
byte 1 101
byte 1 114
byte 1 95
byte 1 37
byte 1 115
byte 1 46
byte 1 115
byte 1 107
byte 1 105
byte 1 110
byte 1 0
align 1
LABELV $389
byte 1 109
byte 1 111
byte 1 100
byte 1 101
byte 1 108
byte 1 115
byte 1 47
byte 1 112
byte 1 108
byte 1 97
byte 1 121
byte 1 101
byte 1 114
byte 1 115
byte 1 50
byte 1 47
byte 1 37
byte 1 115
byte 1 47
byte 1 108
byte 1 111
byte 1 119
byte 1 101
byte 1 114
byte 1 95
byte 1 37
byte 1 115
byte 1 46
byte 1 115
byte 1 107
byte 1 105
byte 1 110
byte 1 0
align 1
LABELV $383
byte 1 115
byte 1 112
byte 1 114
byte 1 105
byte 1 116
byte 1 101
byte 1 115
byte 1 47
byte 1 99
byte 1 104
byte 1 97
byte 1 116
byte 1 0
align 1
LABELV $374
byte 1 116
byte 1 97
byte 1 103
byte 1 95
byte 1 102
byte 1 108
byte 1 97
byte 1 115
byte 1 104
byte 1 0
align 1
LABELV $366
byte 1 116
byte 1 97
byte 1 103
byte 1 95
byte 1 119
byte 1 101
byte 1 97
byte 1 112
byte 1 111
byte 1 110
byte 1 0
align 1
LABELV $360
byte 1 116
byte 1 97
byte 1 103
byte 1 95
byte 1 104
byte 1 101
byte 1 97
byte 1 100
byte 1 0
align 1
LABELV $352
byte 1 116
byte 1 97
byte 1 103
byte 1 95
byte 1 116
byte 1 111
byte 1 114
byte 1 115
byte 1 111
byte 1 0
align 1
LABELV $304
byte 1 115
byte 1 111
byte 1 117
byte 1 110
byte 1 100
byte 1 47
byte 1 119
byte 1 101
byte 1 97
byte 1 112
byte 1 111
byte 1 110
byte 1 115
byte 1 47
byte 1 99
byte 1 104
byte 1 97
byte 1 110
byte 1 103
byte 1 101
byte 1 46
byte 1 119
byte 1 97
byte 1 118
byte 1 0
align 1
LABELV $167
byte 1 66
byte 1 97
byte 1 100
byte 1 32
byte 1 97
byte 1 110
byte 1 105
byte 1 109
byte 1 97
byte 1 116
byte 1 105
byte 1 111
byte 1 110
byte 1 32
byte 1 110
byte 1 117
byte 1 109
byte 1 98
byte 1 101
byte 1 114
byte 1 58
byte 1 32
byte 1 37
byte 1 105
byte 1 0
align 1
LABELV $93
byte 1 95
byte 1 102
byte 1 108
byte 1 97
byte 1 115
byte 1 104
byte 1 46
byte 1 109
byte 1 100
byte 1 51
byte 1 0
