code
proc UI_RemoveBotsMenu_SetBotNames 1032 12
file "../ui_removebots.c"
line 54
;1:// Copyright (C) 1999-2000 Id Software, Inc.
;2://
;3:/*
;4:=======================================================================
;5:
;6:REMOVE BOTS MENU
;7:
;8:=======================================================================
;9:*/
;10:
;11:
;12:#include "ui_local.h"
;13:
;14:#define ID_BACK				14
;15:#define ID_UP				11
;16:#define ID_DOWN				12
;17:#define ID_DELETE			13
;18:#define ID_BOTNAME0			20
;19:#define ID_BOTNAME1			21
;20:#define ID_BOTNAME2			22
;21:#define ID_BOTNAME3			23
;22:#define ID_BOTNAME4			24
;23:#define ID_BOTNAME5			25
;24:#define ID_BOTNAME6			26
;25:
;26:#define BOTS_VIEWABLE		11
;27:
;28:typedef struct {
;29:	menuframework_s	menu;
;30:
;31:	menubitmap_s	up;
;32:	menubitmap_s	down;
;33:
;34:	menutext_s		bots[BOTS_VIEWABLE];
;35:
;36:	menubitmap_s	delete;
;37:	menubitmap_s	back;
;38:
;39:	int				numBots;
;40:	int				baseBotNum;
;41:	int				selectedBotNum;
;42:	char			botnames[BOTS_VIEWABLE][32];
;43:	int				botClientNums[MAX_BOTS];
;44:} removeBotsMenuInfo_t;
;45:
;46:static removeBotsMenuInfo_t	removeBotsMenuInfo;
;47:
;48:
;49:/*
;50:=================
;51:UI_RemoveBotsMenu_SetBotNames
;52:=================
;53:*/
;54:static void UI_RemoveBotsMenu_SetBotNames( void ) {
line 58
;55:	int		n;
;56:	char	info[MAX_INFO_STRING];
;57:
;58:	for ( n = 0; (n < BOTS_VIEWABLE) && (removeBotsMenuInfo.baseBotNum + n < removeBotsMenuInfo.numBots); n++ ) {
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $79
JUMPV
LABELV $76
line 59
;59:		trap_GetConfigString( CS_PLAYERS + removeBotsMenuInfo.botClientNums[removeBotsMenuInfo.baseBotNum + n], info, MAX_INFO_STRING );
ADDRGP4 removeBotsMenuInfo+2180
INDIRI4
ADDRLP4 0
INDIRI4
ADDI4
CNSTI4 2
LSHI4
ADDRGP4 removeBotsMenuInfo+2540
ADDP4
INDIRI4
CNSTI4 544
ADDI4
ARGI4
ADDRLP4 4
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 trap_GetConfigString
CALLI4
pop
line 60
;60:		Q_strncpyz( removeBotsMenuInfo.botnames[n], Info_ValueForKey( info, "n" ), sizeof(removeBotsMenuInfo.botnames[n]) );
ADDRLP4 4
ARGP4
ADDRGP4 $85
ARGP4
ADDRLP4 1028
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 0
INDIRI4
CNSTI4 5
LSHI4
ADDRGP4 removeBotsMenuInfo+2188
ADDP4
ARGP4
ADDRLP4 1028
INDIRP4
ARGP4
CNSTI4 32
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 61
;61:		Q_CleanStr( removeBotsMenuInfo.botnames[n] );
ADDRLP4 0
INDIRI4
CNSTI4 5
LSHI4
ADDRGP4 removeBotsMenuInfo+2188
ADDP4
ARGP4
ADDRGP4 Q_CleanStr
CALLP4
pop
line 62
;62:	}
LABELV $77
line 58
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $79
ADDRLP4 0
INDIRI4
CNSTI4 11
GEI4 $88
ADDRGP4 removeBotsMenuInfo+2180
INDIRI4
ADDRLP4 0
INDIRI4
ADDI4
ADDRGP4 removeBotsMenuInfo+2176
INDIRI4
LTI4 $76
LABELV $88
line 64
;63:
;64:}
LABELV $75
endproc UI_RemoveBotsMenu_SetBotNames 1032 12
proc UI_RemoveBotsMenu_DeleteEvent 4 12
line 72
;65:
;66:
;67:/*
;68:=================
;69:UI_RemoveBotsMenu_DeleteEvent
;70:=================
;71:*/
;72:static void UI_RemoveBotsMenu_DeleteEvent( void* ptr, int event ) {
line 73
;73:	if (event != QM_ACTIVATED) {
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $90
line 74
;74:		return;
ADDRGP4 $89
JUMPV
LABELV $90
line 77
;75:	}
;76:
;77:	trap_Cmd_ExecuteText( EXEC_APPEND, va("kick %i\n", removeBotsMenuInfo.botClientNums[removeBotsMenuInfo.baseBotNum + removeBotsMenuInfo.selectedBotNum]) );
ADDRGP4 $92
ARGP4
ADDRGP4 removeBotsMenuInfo+2180
INDIRI4
ADDRGP4 removeBotsMenuInfo+2184
INDIRI4
ADDI4
CNSTI4 2
LSHI4
ADDRGP4 removeBotsMenuInfo+2540
ADDP4
INDIRI4
ARGI4
ADDRLP4 0
ADDRGP4 va
CALLP4
ASGNP4
CNSTI4 2
ARGI4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 trap_Cmd_ExecuteText
CALLV
pop
line 80
;78:
;79:	// Blank out name on screen so they know it's been kicked
;80:	memset(removeBotsMenuInfo.botnames[removeBotsMenuInfo.baseBotNum + removeBotsMenuInfo.selectedBotNum],0,sizeof(removeBotsMenuInfo.botnames[removeBotsMenuInfo.baseBotNum + removeBotsMenuInfo.selectedBotNum]));
ADDRGP4 removeBotsMenuInfo+2180
INDIRI4
ADDRGP4 removeBotsMenuInfo+2184
INDIRI4
ADDI4
CNSTI4 5
LSHI4
ADDRGP4 removeBotsMenuInfo+2188
ADDP4
ARGP4
CNSTI4 0
ARGI4
CNSTI4 32
ARGI4
ADDRGP4 memset
CALLP4
pop
line 81
;81:}
LABELV $89
endproc UI_RemoveBotsMenu_DeleteEvent 4 12
proc UI_RemoveBotsMenu_BotEvent 0 0
line 89
;82:
;83:
;84:/*
;85:=================
;86:UI_RemoveBotsMenu_BotEvent
;87:=================
;88:*/
;89:static void UI_RemoveBotsMenu_BotEvent( void* ptr, int event ) {
line 90
;90:	if (event != QM_ACTIVATED) {
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $103
line 91
;91:		return;
ADDRGP4 $102
JUMPV
LABELV $103
line 94
;92:	}
;93:
;94:	removeBotsMenuInfo.bots[removeBotsMenuInfo.selectedBotNum].color = colorTable[CT_DKGOLD1];
CNSTI4 116
ADDRGP4 removeBotsMenuInfo+2184
INDIRI4
MULI4
ADDRGP4 removeBotsMenuInfo+612+92
ADDP4
ADDRGP4 colorTable+496
ASGNP4
line 95
;95:	removeBotsMenuInfo.selectedBotNum = ((menucommon_s*)ptr)->id - ID_BOTNAME0;
ADDRGP4 removeBotsMenuInfo+2184
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
CNSTI4 20
SUBI4
ASGNI4
line 96
;96:	removeBotsMenuInfo.bots[removeBotsMenuInfo.selectedBotNum].color = colorTable[CT_YELLOW];
CNSTI4 116
ADDRGP4 removeBotsMenuInfo+2184
INDIRI4
MULI4
ADDRGP4 removeBotsMenuInfo+612+92
ADDP4
ADDRGP4 colorTable+80
ASGNP4
line 97
;97:}
LABELV $102
endproc UI_RemoveBotsMenu_BotEvent 0 0
proc UI_RemoveBotsMenu_BackEvent 0 0
line 105
;98:
;99:
;100:/*
;101:=================
;102:UI_RemoveAddBotsMenu_BackEvent
;103:=================
;104:*/
;105:static void UI_RemoveBotsMenu_BackEvent( void* ptr, int event ) {
line 106
;106:	if (event != QM_ACTIVATED) {
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $115
line 107
;107:		return;
ADDRGP4 $114
JUMPV
LABELV $115
line 109
;108:	}
;109:	UI_PopMenu();
ADDRGP4 UI_PopMenu
CALLV
pop
line 110
;110:}
LABELV $114
endproc UI_RemoveBotsMenu_BackEvent 0 0
proc UI_RemoveBotsMenu_UpEvent 4 0
line 118
;111:
;112:
;113:/*
;114:=================
;115:UI_RemoveBotsMenu_UpEvent
;116:=================
;117:*/
;118:static void UI_RemoveBotsMenu_UpEvent( void* ptr, int event ) {
line 119
;119:	if (event != QM_ACTIVATED) {
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $118
line 120
;120:		return;
ADDRGP4 $117
JUMPV
LABELV $118
line 123
;121:	}
;122:
;123:	if( removeBotsMenuInfo.baseBotNum > 0 ) {
ADDRGP4 removeBotsMenuInfo+2180
INDIRI4
CNSTI4 0
LEI4 $120
line 124
;124:		removeBotsMenuInfo.baseBotNum--;
ADDRLP4 0
ADDRGP4 removeBotsMenuInfo+2180
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
line 125
;125:		UI_RemoveBotsMenu_SetBotNames();
ADDRGP4 UI_RemoveBotsMenu_SetBotNames
CALLV
pop
line 126
;126:	}
LABELV $120
line 127
;127:}
LABELV $117
endproc UI_RemoveBotsMenu_UpEvent 4 0
proc UI_RemoveBotsMenu_DownEvent 4 0
line 135
;128:
;129:
;130:/*
;131:=================
;132:UI_RemoveBotsMenu_DownEvent
;133:=================
;134:*/
;135:static void UI_RemoveBotsMenu_DownEvent( void* ptr, int event ) {
line 136
;136:	if (event != QM_ACTIVATED) {
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $125
line 137
;137:		return;
ADDRGP4 $124
JUMPV
LABELV $125
line 140
;138:	}
;139:
;140:	if( removeBotsMenuInfo.baseBotNum + BOTS_VIEWABLE < removeBotsMenuInfo.numBots ) {
ADDRGP4 removeBotsMenuInfo+2180
INDIRI4
CNSTI4 11
ADDI4
ADDRGP4 removeBotsMenuInfo+2176
INDIRI4
GEI4 $127
line 141
;141:		removeBotsMenuInfo.baseBotNum++;
ADDRLP4 0
ADDRGP4 removeBotsMenuInfo+2180
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 142
;142:		UI_RemoveBotsMenu_SetBotNames();
ADDRGP4 UI_RemoveBotsMenu_SetBotNames
CALLV
pop
line 143
;143:	}
LABELV $127
line 144
;144:}
LABELV $124
endproc UI_RemoveBotsMenu_DownEvent 4 0
proc UI_RemoveBotsMenu_GetBots 1056 12
line 152
;145:
;146:
;147:/*
;148:=================
;149:UI_RemoveBotsMenu_GetBots
;150:=================
;151:*/
;152:static void UI_RemoveBotsMenu_GetBots( void ) {
line 158
;153:	int		numPlayers;
;154:	int		isBot;
;155:	int		n;
;156:	char	info[MAX_INFO_STRING];
;157:
;158:	trap_GetConfigString( CS_SERVERINFO, info, sizeof(info) );
CNSTI4 0
ARGI4
ADDRLP4 4
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 trap_GetConfigString
CALLI4
pop
line 159
;159:	numPlayers = atoi( Info_ValueForKey( info, "sv_maxclients" ) );
ADDRLP4 4
ARGP4
ADDRGP4 $133
ARGP4
ADDRLP4 1036
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 1036
INDIRP4
ARGP4
ADDRLP4 1040
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRLP4 1032
ADDRLP4 1040
INDIRI4
ASGNI4
line 160
;160:	removeBotsMenuInfo.numBots = 0;
ADDRGP4 removeBotsMenuInfo+2176
CNSTI4 0
ASGNI4
line 162
;161:
;162:	for( n = 0; n < numPlayers; n++ ) {
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $138
JUMPV
LABELV $135
line 163
;163:		trap_GetConfigString( CS_PLAYERS + n, info, MAX_INFO_STRING );
ADDRLP4 0
INDIRI4
CNSTI4 544
ADDI4
ARGI4
ADDRLP4 4
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 trap_GetConfigString
CALLI4
pop
line 165
;164:
;165:		isBot = atoi( Info_ValueForKey( info, "skill" ) );
ADDRLP4 4
ARGP4
ADDRGP4 $139
ARGP4
ADDRLP4 1044
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 1044
INDIRP4
ARGP4
ADDRLP4 1048
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRLP4 1028
ADDRLP4 1048
INDIRI4
ASGNI4
line 166
;166:		if( !isBot ) {
ADDRLP4 1028
INDIRI4
CNSTI4 0
NEI4 $140
line 167
;167:			continue;
ADDRGP4 $136
JUMPV
LABELV $140
line 170
;168:		}
;169:
;170:		removeBotsMenuInfo.botClientNums[removeBotsMenuInfo.numBots] = n;
ADDRGP4 removeBotsMenuInfo+2176
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 removeBotsMenuInfo+2540
ADDP4
ADDRLP4 0
INDIRI4
ASGNI4
line 171
;171:		removeBotsMenuInfo.numBots++;
ADDRLP4 1052
ADDRGP4 removeBotsMenuInfo+2176
ASGNP4
ADDRLP4 1052
INDIRP4
ADDRLP4 1052
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 172
;172:	}
LABELV $136
line 162
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $138
ADDRLP4 0
INDIRI4
ADDRLP4 1032
INDIRI4
LTI4 $135
line 173
;173:}
LABELV $132
endproc UI_RemoveBotsMenu_GetBots 1056 12
proc UI_RemoveMenu_Draw 0 20
line 181
;174:
;175:/*
;176:=================
;177:UI_RemoveMenu_Draw
;178:=================
;179:*/
;180:static void UI_RemoveMenu_Draw( void ) 
;181:{
line 182
;182:	UI_MenuFrame(&removeBotsMenuInfo.menu);
ADDRGP4 removeBotsMenuInfo
ARGP4
ADDRGP4 UI_MenuFrame
CALLV
pop
line 184
;183:
;184:	trap_R_SetColor( colorTable[CT_DKPURPLE2]);
ADDRGP4 colorTable+624
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 185
;185:	UI_DrawHandlePic(30,201,  47, 90, uis.whiteShader);	//Left side of frame
CNSTF4 1106247680
ARGF4
CNSTF4 1128857600
ARGF4
CNSTF4 1111228416
ARGF4
CNSTF4 1119092736
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 186
;186:	UI_DrawHandlePic(30,293,  47, 97, uis.whiteShader);
CNSTF4 1106247680
ARGF4
CNSTF4 1133674496
ARGF4
CNSTF4 1111228416
ARGF4
CNSTF4 1120010240
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 189
;187:
;188:	// Bot name frame
;189:	trap_R_SetColor( colorTable[CT_DKBLUE1]);
ADDRGP4 colorTable+304
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 190
;190:	UI_DrawHandlePic( 81, 172,  225,  18, uis.whiteShader);	// Top
CNSTF4 1117913088
ARGF4
CNSTF4 1126957056
ARGF4
CNSTF4 1130430464
ARGF4
CNSTF4 1099956224
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 191
;191:	UI_DrawHandlePic(288, 189,   18, 246, uis.whiteShader);	// Side
CNSTF4 1133510656
ARGF4
CNSTF4 1128071168
ARGF4
CNSTF4 1099956224
ARGF4
CNSTF4 1131806720
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 192
;192:	UI_DrawProportionalString( 90, 173, menu_normal_text[MNT_HOLOGRAPHIC_CHARS],UI_SMALLFONT,colorTable[CT_BLACK]);	// Top
CNSTI4 90
ARGI4
CNSTI4 173
ARGI4
ADDRGP4 menu_normal_text+1004
INDIRP4
ARGP4
CNSTI4 16
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 195
;193:
;194:	// standard menu drawing
;195:	Menu_Draw( &removeBotsMenuInfo.menu );
ADDRGP4 removeBotsMenuInfo
ARGP4
ADDRGP4 Menu_Draw
CALLV
pop
line 196
;196:}
LABELV $145
endproc UI_RemoveMenu_Draw 0 20
export UI_RemoveBots_Cache
proc UI_RemoveBots_Cache 0 4
line 204
;197:
;198:/*
;199:=================
;200:UI_RemoveBots_Cache
;201:=================
;202:*/
;203:void UI_RemoveBots_Cache( void ) 
;204:{
line 205
;205:	trap_R_RegisterShaderNoMip( "menu/common/arrow_up_16.tga" );
ADDRGP4 $155
ARGP4
ADDRGP4 trap_R_RegisterShaderNoMip
CALLI4
pop
line 206
;206:	trap_R_RegisterShaderNoMip( "menu/common/arrow_dn_16.tga" );
ADDRGP4 $156
ARGP4
ADDRGP4 trap_R_RegisterShaderNoMip
CALLI4
pop
line 207
;207:}
LABELV $154
endproc UI_RemoveBots_Cache 0 4
proc UI_RemoveBotsMenu_Init 24 12
line 215
;208:
;209:
;210:/*
;211:=================
;212:UI_RemoveBotsMenu_Init
;213:=================
;214:*/
;215:static void UI_RemoveBotsMenu_Init( void ) {
line 220
;216:	int		n;
;217:	int		count;
;218:	int		y;
;219:
;220:	memset( &removeBotsMenuInfo, 0 ,sizeof(removeBotsMenuInfo) );
ADDRGP4 removeBotsMenuInfo
ARGP4
CNSTI4 0
ARGI4
CNSTI4 6636
ARGI4
ADDRGP4 memset
CALLP4
pop
line 221
;221:	removeBotsMenuInfo.menu.draw					= UI_RemoveMenu_Draw;
ADDRGP4 removeBotsMenuInfo+268
ADDRGP4 UI_RemoveMenu_Draw
ASGNP4
line 222
;222:	removeBotsMenuInfo.menu.fullscreen				= qtrue;
ADDRGP4 removeBotsMenuInfo+280
CNSTI4 1
ASGNI4
line 223
;223:	removeBotsMenuInfo.menu.wrapAround				= qtrue;
ADDRGP4 removeBotsMenuInfo+276
CNSTI4 1
ASGNI4
line 224
;224:	removeBotsMenuInfo.menu.descX					= MENU_DESC_X;
ADDRGP4 removeBotsMenuInfo+292
CNSTI4 100
ASGNI4
line 225
;225:	removeBotsMenuInfo.menu.descY					= MENU_DESC_Y;
ADDRGP4 removeBotsMenuInfo+296
CNSTI4 444
ASGNI4
line 226
;226:	removeBotsMenuInfo.menu.titleX					= MENU_TITLE_X;
ADDRGP4 removeBotsMenuInfo+308
CNSTI4 611
ASGNI4
line 227
;227:	removeBotsMenuInfo.menu.titleY					= MENU_TITLE_Y;
ADDRGP4 removeBotsMenuInfo+312
CNSTI4 24
ASGNI4
line 228
;228:	removeBotsMenuInfo.menu.titleI					= MNT_REMOVE_HCS_TITLE;
ADDRGP4 removeBotsMenuInfo+316
CNSTI4 253
ASGNI4
line 229
;229:	removeBotsMenuInfo.menu.footNoteEnum			= MNT_REMOVE_HCS;
ADDRGP4 removeBotsMenuInfo+320
CNSTI4 254
ASGNI4
line 231
;230:
;231:	UI_RemoveBots_Cache();
ADDRGP4 UI_RemoveBots_Cache
CALLV
pop
line 233
;232:
;233:	UI_RemoveBotsMenu_GetBots();
ADDRGP4 UI_RemoveBotsMenu_GetBots
CALLV
pop
line 234
;234:	UI_RemoveBotsMenu_SetBotNames();
ADDRGP4 UI_RemoveBotsMenu_SetBotNames
CALLV
pop
line 235
;235:	count = removeBotsMenuInfo.numBots < BOTS_VIEWABLE ? removeBotsMenuInfo.numBots : BOTS_VIEWABLE;
ADDRGP4 removeBotsMenuInfo+2176
INDIRI4
CNSTI4 11
GEI4 $170
ADDRLP4 12
ADDRGP4 removeBotsMenuInfo+2176
INDIRI4
ASGNI4
ADDRGP4 $171
JUMPV
LABELV $170
ADDRLP4 12
CNSTI4 11
ASGNI4
LABELV $171
ADDRLP4 4
ADDRLP4 12
INDIRI4
ASGNI4
line 237
;236:
;237:	removeBotsMenuInfo.up.generic.type					= MTYPE_BITMAP;
ADDRGP4 removeBotsMenuInfo+324
CNSTI4 6
ASGNI4
line 238
;238:	removeBotsMenuInfo.up.generic.flags					= QMF_HIGHLIGHT_IF_FOCUS;
ADDRGP4 removeBotsMenuInfo+324+44
CNSTU4 128
ASGNU4
line 239
;239:	removeBotsMenuInfo.up.generic.x						= 289;
ADDRGP4 removeBotsMenuInfo+324+12
CNSTI4 289
ASGNI4
line 240
;240:	removeBotsMenuInfo.up.generic.y						= 196;
ADDRGP4 removeBotsMenuInfo+324+16
CNSTI4 196
ASGNI4
line 241
;241:	removeBotsMenuInfo.up.generic.id					= ID_UP;
ADDRGP4 removeBotsMenuInfo+324+8
CNSTI4 11
ASGNI4
line 242
;242:	removeBotsMenuInfo.up.generic.callback				= UI_RemoveBotsMenu_UpEvent;
ADDRGP4 removeBotsMenuInfo+324+48
ADDRGP4 UI_RemoveBotsMenu_UpEvent
ASGNP4
line 243
;243:	removeBotsMenuInfo.up.width  						= 16;
ADDRGP4 removeBotsMenuInfo+324+92
CNSTI4 16
ASGNI4
line 244
;244:	removeBotsMenuInfo.up.height  						= 16;
ADDRGP4 removeBotsMenuInfo+324+96
CNSTI4 16
ASGNI4
line 245
;245:	removeBotsMenuInfo.up.color  						= CT_DKGOLD1;
ADDRGP4 removeBotsMenuInfo+324+104
CNSTI4 31
ASGNI4
line 246
;246:	removeBotsMenuInfo.up.color2  						= CT_LTGOLD1;
ADDRGP4 removeBotsMenuInfo+324+108
CNSTI4 30
ASGNI4
line 247
;247:	removeBotsMenuInfo.up.generic.name					= "menu/common/arrow_up_16.tga";
ADDRGP4 removeBotsMenuInfo+324+4
ADDRGP4 $155
ASGNP4
line 249
;248:
;249:	removeBotsMenuInfo.down.generic.type				= MTYPE_BITMAP;
ADDRGP4 removeBotsMenuInfo+468
CNSTI4 6
ASGNI4
line 250
;250:	removeBotsMenuInfo.down.generic.flags				= QMF_HIGHLIGHT_IF_FOCUS;
ADDRGP4 removeBotsMenuInfo+468+44
CNSTU4 128
ASGNU4
line 251
;251:	removeBotsMenuInfo.down.generic.x					= 289;
ADDRGP4 removeBotsMenuInfo+468+12
CNSTI4 289
ASGNI4
line 252
;252:	removeBotsMenuInfo.down.generic.y					= 407;
ADDRGP4 removeBotsMenuInfo+468+16
CNSTI4 407
ASGNI4
line 253
;253:	removeBotsMenuInfo.down.generic.id					= ID_DOWN;
ADDRGP4 removeBotsMenuInfo+468+8
CNSTI4 12
ASGNI4
line 254
;254:	removeBotsMenuInfo.down.generic.callback			= UI_RemoveBotsMenu_DownEvent;
ADDRGP4 removeBotsMenuInfo+468+48
ADDRGP4 UI_RemoveBotsMenu_DownEvent
ASGNP4
line 255
;255:	removeBotsMenuInfo.down.width  						= 16;
ADDRGP4 removeBotsMenuInfo+468+92
CNSTI4 16
ASGNI4
line 256
;256:	removeBotsMenuInfo.down.height  					= 16;
ADDRGP4 removeBotsMenuInfo+468+96
CNSTI4 16
ASGNI4
line 257
;257:	removeBotsMenuInfo.down.color  						= CT_DKGOLD1;
ADDRGP4 removeBotsMenuInfo+468+104
CNSTI4 31
ASGNI4
line 258
;258:	removeBotsMenuInfo.down.color2  					= CT_LTGOLD1;
ADDRGP4 removeBotsMenuInfo+468+108
CNSTI4 30
ASGNI4
line 259
;259:	removeBotsMenuInfo.down.generic.name				= "menu/common/arrow_dn_16.tga";
ADDRGP4 removeBotsMenuInfo+468+4
ADDRGP4 $156
ASGNP4
line 262
;260:
;261:
;262:	for( n = 0, y = 194; n < count; n++, y += 20 ) 
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRLP4 8
CNSTI4 194
ASGNI4
ADDRGP4 $217
JUMPV
LABELV $214
line 263
;263:	{
line 264
;264:		removeBotsMenuInfo.bots[n].generic.type			= MTYPE_PTEXT;
CNSTI4 116
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 removeBotsMenuInfo+612
ADDP4
CNSTI4 9
ASGNI4
line 265
;265:		removeBotsMenuInfo.bots[n].generic.flags		= QMF_HIGHLIGHT_IF_FOCUS;
CNSTI4 116
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 removeBotsMenuInfo+612+44
ADDP4
CNSTU4 128
ASGNU4
line 266
;266:		removeBotsMenuInfo.bots[n].generic.id			= ID_BOTNAME0 + n;
CNSTI4 116
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 removeBotsMenuInfo+612+8
ADDP4
ADDRLP4 0
INDIRI4
CNSTI4 20
ADDI4
ASGNI4
line 267
;267:		removeBotsMenuInfo.bots[n].generic.x			= 108;
CNSTI4 116
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 removeBotsMenuInfo+612+12
ADDP4
CNSTI4 108
ASGNI4
line 268
;268:		removeBotsMenuInfo.bots[n].generic.y			= y;
CNSTI4 116
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 removeBotsMenuInfo+612+16
ADDP4
ADDRLP4 8
INDIRI4
ASGNI4
line 269
;269:		removeBotsMenuInfo.bots[n].generic.callback		= UI_RemoveBotsMenu_BotEvent;
CNSTI4 116
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 removeBotsMenuInfo+612+48
ADDP4
ADDRGP4 UI_RemoveBotsMenu_BotEvent
ASGNP4
line 270
;270:		removeBotsMenuInfo.bots[n].string				= removeBotsMenuInfo.botnames[n];
CNSTI4 116
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 removeBotsMenuInfo+612+60
ADDP4
ADDRLP4 0
INDIRI4
CNSTI4 5
LSHI4
ADDRGP4 removeBotsMenuInfo+2188
ADDP4
ASGNP4
line 271
;271:		removeBotsMenuInfo.bots[n].color				= colorTable[CT_DKGOLD1];
CNSTI4 116
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 removeBotsMenuInfo+612+92
ADDP4
ADDRGP4 colorTable+496
ASGNP4
line 272
;272:		removeBotsMenuInfo.bots[n].color2				= colorTable[CT_LTGOLD1];
CNSTI4 116
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 removeBotsMenuInfo+612+96
ADDP4
ADDRGP4 colorTable+480
ASGNP4
line 273
;273:		removeBotsMenuInfo.bots[n].style				= UI_LEFT|UI_SMALLFONT;
CNSTI4 116
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 removeBotsMenuInfo+612+88
ADDP4
CNSTI4 16
ASGNI4
line 274
;274:	}
LABELV $215
line 262
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 8
ADDRLP4 8
INDIRI4
CNSTI4 20
ADDI4
ASGNI4
LABELV $217
ADDRLP4 0
INDIRI4
ADDRLP4 4
INDIRI4
LTI4 $214
line 276
;275:
;276:	removeBotsMenuInfo.delete.generic.type			= MTYPE_BITMAP;
ADDRGP4 removeBotsMenuInfo+1888
CNSTI4 6
ASGNI4
line 277
;277:	removeBotsMenuInfo.delete.generic.name			= GRAPHIC_SQUARE;
ADDRGP4 removeBotsMenuInfo+1888+4
ADDRGP4 $243
ASGNP4
line 278
;278:	removeBotsMenuInfo.delete.generic.flags			= QMF_HIGHLIGHT_IF_FOCUS;
ADDRGP4 removeBotsMenuInfo+1888+44
CNSTU4 128
ASGNU4
line 279
;279:	removeBotsMenuInfo.delete.generic.id			= ID_DELETE;
ADDRGP4 removeBotsMenuInfo+1888+8
CNSTI4 13
ASGNI4
line 280
;280:	removeBotsMenuInfo.delete.generic.callback		= UI_RemoveBotsMenu_DeleteEvent;
ADDRGP4 removeBotsMenuInfo+1888+48
ADDRGP4 UI_RemoveBotsMenu_DeleteEvent
ASGNP4
line 281
;281:	removeBotsMenuInfo.delete.generic.x				= 356;
ADDRGP4 removeBotsMenuInfo+1888+12
CNSTI4 356
ASGNI4
line 282
;282:	removeBotsMenuInfo.delete.generic.y				= 342;
ADDRGP4 removeBotsMenuInfo+1888+16
CNSTI4 342
ASGNI4
line 283
;283:	removeBotsMenuInfo.delete.width  				= MENU_BUTTON_MED_WIDTH;
ADDRGP4 removeBotsMenuInfo+1888+92
CNSTI4 130
ASGNI4
line 284
;284:	removeBotsMenuInfo.delete.height  				= MENU_BUTTON_MED_HEIGHT * 2;
ADDRGP4 removeBotsMenuInfo+1888+96
CNSTI4 36
ASGNI4
line 285
;285:	removeBotsMenuInfo.delete.color					= CT_DKPURPLE1;
ADDRGP4 removeBotsMenuInfo+1888+104
CNSTI4 35
ASGNI4
line 286
;286:	removeBotsMenuInfo.delete.color2				= CT_LTPURPLE1;
ADDRGP4 removeBotsMenuInfo+1888+108
CNSTI4 34
ASGNI4
line 287
;287:	removeBotsMenuInfo.delete.textX					= MENU_BUTTON_TEXT_X;
ADDRGP4 removeBotsMenuInfo+1888+124
CNSTI4 5
ASGNI4
line 288
;288:	removeBotsMenuInfo.delete.textY					= MENU_BUTTON_TEXT_Y;
ADDRGP4 removeBotsMenuInfo+1888+128
CNSTI4 1
ASGNI4
line 289
;289:	removeBotsMenuInfo.delete.textEnum				= MBT_REMOVE_HOLO;
ADDRGP4 removeBotsMenuInfo+1888+116
CNSTI4 169
ASGNI4
line 290
;290:	removeBotsMenuInfo.delete.textcolor				= CT_BLACK;
ADDRGP4 removeBotsMenuInfo+1888+132
CNSTI4 1
ASGNI4
line 291
;291:	removeBotsMenuInfo.delete.textcolor2			= CT_WHITE;
ADDRGP4 removeBotsMenuInfo+1888+136
CNSTI4 8
ASGNI4
line 293
;292:
;293:	removeBotsMenuInfo.back.generic.type			= MTYPE_BITMAP;
ADDRGP4 removeBotsMenuInfo+2032
CNSTI4 6
ASGNI4
line 294
;294:	removeBotsMenuInfo.back.generic.name			= BUTTON_GRAPHIC_LONGRIGHT;
ADDRGP4 removeBotsMenuInfo+2032+4
ADDRGP4 $275
ASGNP4
line 295
;295:	removeBotsMenuInfo.back.generic.flags			= QMF_HIGHLIGHT_IF_FOCUS;
ADDRGP4 removeBotsMenuInfo+2032+44
CNSTU4 128
ASGNU4
line 296
;296:	removeBotsMenuInfo.back.generic.id				= ID_BACK;
ADDRGP4 removeBotsMenuInfo+2032+8
CNSTI4 14
ASGNI4
line 297
;297:	removeBotsMenuInfo.back.generic.callback		= UI_RemoveBotsMenu_BackEvent;
ADDRGP4 removeBotsMenuInfo+2032+48
ADDRGP4 UI_RemoveBotsMenu_BackEvent
ASGNP4
line 298
;298:	removeBotsMenuInfo.back.generic.x				= 482;
ADDRGP4 removeBotsMenuInfo+2032+12
CNSTI4 482
ASGNI4
line 299
;299:	removeBotsMenuInfo.back.generic.y				= 136;
ADDRGP4 removeBotsMenuInfo+2032+16
CNSTI4 136
ASGNI4
line 300
;300:	removeBotsMenuInfo.back.width  					= MENU_BUTTON_MED_WIDTH;
ADDRGP4 removeBotsMenuInfo+2032+92
CNSTI4 130
ASGNI4
line 301
;301:	removeBotsMenuInfo.back.height  				= MENU_BUTTON_MED_HEIGHT;
ADDRGP4 removeBotsMenuInfo+2032+96
CNSTI4 18
ASGNI4
line 302
;302:	removeBotsMenuInfo.back.color					= CT_DKPURPLE1;
ADDRGP4 removeBotsMenuInfo+2032+104
CNSTI4 35
ASGNI4
line 303
;303:	removeBotsMenuInfo.back.color2					= CT_LTPURPLE1;
ADDRGP4 removeBotsMenuInfo+2032+108
CNSTI4 34
ASGNI4
line 304
;304:	removeBotsMenuInfo.back.textX					= MENU_BUTTON_TEXT_X;
ADDRGP4 removeBotsMenuInfo+2032+124
CNSTI4 5
ASGNI4
line 305
;305:	removeBotsMenuInfo.back.textY					= MENU_BUTTON_TEXT_Y;
ADDRGP4 removeBotsMenuInfo+2032+128
CNSTI4 1
ASGNI4
line 306
;306:	removeBotsMenuInfo.back.textEnum				= MBT_INGAMEMENU;
ADDRGP4 removeBotsMenuInfo+2032+116
CNSTI4 110
ASGNI4
line 307
;307:	removeBotsMenuInfo.back.textcolor				= CT_BLACK;
ADDRGP4 removeBotsMenuInfo+2032+132
CNSTI4 1
ASGNI4
line 308
;308:	removeBotsMenuInfo.back.textcolor2				= CT_WHITE;
ADDRGP4 removeBotsMenuInfo+2032+136
CNSTI4 8
ASGNI4
line 311
;309:
;310:
;311:	Menu_AddItem( &removeBotsMenuInfo.menu, &removeBotsMenuInfo.up );
ADDRGP4 removeBotsMenuInfo
ARGP4
ADDRGP4 removeBotsMenuInfo+324
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 312
;312:	Menu_AddItem( &removeBotsMenuInfo.menu, &removeBotsMenuInfo.down );
ADDRGP4 removeBotsMenuInfo
ARGP4
ADDRGP4 removeBotsMenuInfo+468
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 313
;313:	for( n = 0; n < count; n++ ) 
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $309
JUMPV
LABELV $306
line 314
;314:	{
line 315
;315:		Menu_AddItem( &removeBotsMenuInfo.menu, &removeBotsMenuInfo.bots[n] );
ADDRGP4 removeBotsMenuInfo
ARGP4
CNSTI4 116
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 removeBotsMenuInfo+612
ADDP4
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 316
;316:	}
LABELV $307
line 313
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $309
ADDRLP4 0
INDIRI4
ADDRLP4 4
INDIRI4
LTI4 $306
line 317
;317:	Menu_AddItem( &removeBotsMenuInfo.menu, &removeBotsMenuInfo.delete );
ADDRGP4 removeBotsMenuInfo
ARGP4
ADDRGP4 removeBotsMenuInfo+1888
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 318
;318:	Menu_AddItem( &removeBotsMenuInfo.menu, &removeBotsMenuInfo.back );
ADDRGP4 removeBotsMenuInfo
ARGP4
ADDRGP4 removeBotsMenuInfo+2032
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 320
;319:
;320:	removeBotsMenuInfo.baseBotNum = 0;
ADDRGP4 removeBotsMenuInfo+2180
CNSTI4 0
ASGNI4
line 321
;321:	removeBotsMenuInfo.selectedBotNum = 0;
ADDRGP4 removeBotsMenuInfo+2184
CNSTI4 0
ASGNI4
line 322
;322:	removeBotsMenuInfo.bots[0].color = color_white;
ADDRGP4 removeBotsMenuInfo+612+92
ADDRGP4 color_white
ASGNP4
line 323
;323:}
LABELV $157
endproc UI_RemoveBotsMenu_Init 24 12
export UI_RemoveBotsMenu
proc UI_RemoveBotsMenu 0 4
line 332
;324:
;325:
;326:/*
;327:=================
;328:UI_RemoveBotsMenu
;329:=================
;330:*/
;331:void UI_RemoveBotsMenu( void ) 
;332:{
line 333
;333:	UI_RemoveBotsMenu_Init();
ADDRGP4 UI_RemoveBotsMenu_Init
CALLV
pop
line 334
;334:	UI_PushMenu( &removeBotsMenuInfo.menu );
ADDRGP4 removeBotsMenuInfo
ARGP4
ADDRGP4 UI_PushMenu
CALLV
pop
line 335
;335:}
LABELV $317
endproc UI_RemoveBotsMenu 0 4
bss
align 4
LABELV removeBotsMenuInfo
skip 6636
import JoyYButtonCallback
import JoyXButtonCallback
import AnisotropicFilteringCallback
import SmoothMouseCallback
import MouseSpeedCallback
import InvertMouseCallback
import UI_PrintMenuGraphics
import UI_MenuBottomLineEnd_Graphics
import UI_InitGameinfo
import UI_GetAwardLevel
import UI_LogAwardData
import UI_NewGame
import UI_GetCurrentGame
import UI_CanShowTierVideo
import UI_ShowTierVideo
import UI_TierCompleted
import UI_SetBestScore
import UI_GetBestScore
import UI_GetNumBots
import UI_GetBotInfoByName
import UI_GetBotInfoByNumber
import UI_ServerAdvancedOptions
import UI_GetNumSPTiers
import UI_GetNumSPArenas
import UI_GetNumArenas
import UI_GetSpecialArenaInfo
import UI_GetArenaInfoByMap
import UI_GetArenaInfoByNumber
import UI_NetworkOptionsMenu
import UI_NetworkOptionsMenu_Cache
import ScreensizeCallback
import GammaCallback
import UI_FontsMenu
import UI_SoundMenu_Cache
import UI_SoundMenu
import setup_menubuttons
import UI_DisplayOptionsMenu
import UI_TeamOrdersMenu_Cache
import UI_TeamOrdersMenu_f
import UI_TeamOrdersMenu
import UI_AddBotsMenu
import UI_AddBots_Cache
import trap_R_ModelBounds
import trap_SetCDKey
import trap_MemoryRemaining
import trap_LAN_GetPingInfo
import trap_LAN_GetPing
import trap_LAN_ClearPing
import trap_LAN_GetPingQueueCount
import trap_LAN_GetGlobalServerAddressString
import trap_LAN_GetGlobalServerCount
import trap_LAN_GetLocalServerAddressString
import trap_LAN_GetLocalServerCount
import trap_GetConfigString
import trap_GetGlconfig
import trap_GetClientState
import trap_GetClipboardData
import trap_Key_SetCatcher
import trap_Key_GetCatcher
import trap_Key_ClearStates
import trap_Key_SetOverstrikeMode
import trap_Key_GetOverstrikeMode
import trap_Key_IsDown
import trap_Key_SetBinding
import trap_Key_GetBindingBuf
import trap_Key_KeynumToStringBuf
import trap_S_RegisterSound
import trap_S_StartLocalSound
import trap_CM_LerpTag
import trap_UpdateScreen
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_RenderScene
import trap_R_AddLightToScene
import trap_R_AddPolyToScene
import trap_R_AddRefEntityToScene
import trap_R_ClearScene
import trap_R_RegisterShaderNoMip
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_FS_GetFileList
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Cmd_ExecuteText
import trap_Argv
import trap_Argc
import trap_Cvar_InfoStringBuffer
import trap_Cvar_Create
import trap_Cvar_Reset
import trap_Cvar_SetValue
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import UI_SPSkillMenu_Cache
import UI_SPSkillMenu
import UI_SPPostgameMenu_f
import UI_SPPostgameMenu_Cache
import UI_SPArena_Start
import UI_ResetGameMenu_Cache
import UI_SPLevelMenu_ReInit
import UI_SPLevelMenu_f
import UI_SPLevelMenu
import UI_SPLevelMenu_Cache
import uis
import m_entersound
import UI_MenuFrame2
import UI_MenuFrame
import UI_PrecacheMenuGraphics
import UI_Cvar_VariableString
import UI_Argv
import UI_ForceMenuOff
import UI_PopMenu
import UI_PushMenu
import UI_SetActiveMenu
import UI_IsFullscreen
import UI_AdjustFrom640
import UI_CursorInRect
import UI_DrawChar
import UI_DrawString
import UI_ProportionalStringWidth
import UI_DrawProportionalString
import UI_ProportionalSizeScale
import UI_DrawBannerString
import UI_DrawRect
import UI_FillRect
import UI_DrawHandlePic
import UI_DrawNamedPic
import UI_ClampCvar
import UI_ConsoleCommand
import UI_Refresh
import UI_MouseEvent
import UI_KeyEvent
import UI_Shutdown
import UI_Init
import UI_InitSpinControl
import UI_LoadButtonText
import UI_LoadMenuText
import UI_RegisterClientModelname
import UI_PlayerInfo_SetInfo
import UI_PlayerInfo_SetModel
import UI_DrawPlayer
import UI_VideoDriverMenu_Cache
import UI_VideoData2Menu_Cache
import UI_VideoDataMenu_Cache
import UI_VideoDataMenu
import DriverInfo_Cache
import ServerInfo_Cache
import UI_ServerInfoMenu
import UI_BotSelectMenu_Cache
import UI_BotSelectMenu
import ServerOptions_Cache
import StartServer_Cache
import UI_StartServerMenu
import UI_ChooseServerTypeMenu_Cache
import ArenaServers_Cache
import UI_ArenaServersMenu
import SpecifyServer_Cache
import UI_SpecifyServerMenu
import s_voicelanguage_Names
import s_textlanguage_Names
import UI_GameOptionsMenu_Cache
import UI_GameOptionsMenu
import PlayerSettings_Cache
import UI_PlayerSettingsMenu
import PlayerModel_Cache
import UI_PlayerModelMenu
import UI_CDKeyMenu2
import UI_CDKeyMenu_f
import UI_CDKeyMenu_Cache
import UI_CDKeyMenu
import UI_ModsMenu_Cache
import UI_ModsMenu
import UI_DemosMenu
import SetupMenu_TopButtons
import UI_ControlsMouseJoyStickMenu_Cache
import Controls_Cache
import UI_DrawConnectScreen
import TeamMain_Cache
import UI_TeamMainMenu
import UI_ConfirmMenu
import ConfirmMenu_Cache
import UI_BotCommandMenu_f
import UI_DynamicMenu
import UI_DynamicMenuCache
import UI_InGameMenu
import InGame_Cache
import ingameFlag
import UI_DemosMenu_Cache
import UI_QuitMenu_Cache
import UI_ChooseServerTypeMenu
import UI_QuitMenu
import UI_Setup_MenuButtons
import UI_UpdateCvars
import UI_RegisterCvars
import UI_MainMenu
import MainMenu_Cache
import MenuField_Key
import MenuField_Draw
import MenuField_Init
import MField_Draw
import MField_CharEvent
import MField_KeyDownEvent
import MField_Clear
import ui_medalSounds
import ui_medalPicNames
import ui_medalNames
import text_color_highlight
import text_color_normal
import text_color_disabled
import listbar_color
import list_color
import name_color
import color_dim
import color_red
import color_orange
import color_blue
import color_yellow
import color_white
import menu_dim_color
import menu_black_color
import menu_red_color
import menu_highlight_color
import menu_dark_color
import menu_grayed_color
import menu_text_color
import menu_null_sound
import menu_buzz_sound
import menu_out_sound
import menu_move_sound
import menu_in_sound
import ScrollList_Key
import ScrollList_Draw
import Bitmap_Draw
import Bitmap_Init
import Menu_DefaultKey
import Menu_SetCursorToItem
import Menu_SetCursor
import Menu_ActivateItem
import Menu_ItemAtCursor
import Menu_Draw
import Menu_AdjustCursor
import Menu_AddItem
import Menu_Focus
import Menu_Cache
import UI_HolomatchInMenu_Cache
import Mouse_Show
import Mouse_Hide
import ui_playerclass
import ui_cdkeychecked2
import ui_cdkeychecked
import ui_server16
import ui_server15
import ui_server14
import ui_server13
import ui_server12
import ui_server11
import ui_server10
import ui_server9
import ui_server8
import ui_server7
import ui_server6
import ui_server5
import ui_server4
import ui_server3
import ui_server2
import ui_server1
import ui_marks
import ui_drawCrosshairNames
import ui_drawCrosshair
import ui_brassTime
import ui_browserShowEmpty
import ui_browserShowFull
import ui_browserSortKey
import ui_browserGameType
import ui_browserMaster
import ui_spSelection
import ui_team_race_red
import ui_team_race_blue
import ui_dowarmup
import ui_warmup
import ui_respawnGhostTime
import ui_forcerespawn
import ui_holoIntro
import ui_adaptRespawn
import ui_dmgmult
import ui_knockback
import ui_gravity
import ui_speed
import ui_weaponrespawn
import ui_spSkill
import ui_spVideos
import ui_spAwards
import ui_spScores5
import ui_spScores4
import ui_spScores3
import ui_spScores2
import ui_spScores1
import ui_botminplayers
import ui_botsFile
import ui_arenasFile
import ui_ctf_friendly
import ui_ctf_timelimit
import ui_ctf_capturelimit
import ui_team_friendly
import ui_team_timelimit
import ui_team_fraglimit
import ui_tourney_timelimit
import ui_tourney_fraglimit
import ui_ffa_timelimit
import ui_ffa_fraglimit
import menu_button_text
import menu_normal_text
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $275
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 98
byte 1 97
byte 1 114
byte 1 49
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $243
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 115
byte 1 113
byte 1 117
byte 1 97
byte 1 114
byte 1 101
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $156
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 97
byte 1 114
byte 1 114
byte 1 111
byte 1 119
byte 1 95
byte 1 100
byte 1 110
byte 1 95
byte 1 49
byte 1 54
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $155
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 97
byte 1 114
byte 1 114
byte 1 111
byte 1 119
byte 1 95
byte 1 117
byte 1 112
byte 1 95
byte 1 49
byte 1 54
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $139
byte 1 115
byte 1 107
byte 1 105
byte 1 108
byte 1 108
byte 1 0
align 1
LABELV $133
byte 1 115
byte 1 118
byte 1 95
byte 1 109
byte 1 97
byte 1 120
byte 1 99
byte 1 108
byte 1 105
byte 1 101
byte 1 110
byte 1 116
byte 1 115
byte 1 0
align 1
LABELV $92
byte 1 107
byte 1 105
byte 1 99
byte 1 107
byte 1 32
byte 1 37
byte 1 105
byte 1 10
byte 1 0
align 1
LABELV $85
byte 1 110
byte 1 0
