export Favorites_Add
code
proc Favorites_Add 276 12
file "../ui_serverinfo.c"
line 80
;1:// Copyright (C) 1999-2000 Id Software, Inc.
;2://
;3:#include "ui_local.h"
;4:
;5:#define	MAX_VIDEODRIVER_LINES	20
;6:
;7:#define ID_ADD			100
;8:#define ID_MAINMENU		101
;9:#define	ID_ARROWUP		102
;10:#define	ID_ARROWDWN		103
;11:
;12:
;13:typedef struct
;14:{
;15:	menuframework_s	menu;
;16:	menubitmap_s	mainmenu;
;17:	menubitmap_s	add;
;18:	char			info[MAX_INFO_STRING];
;19:	qhandle_t		cornerLower;
;20:	int				lineCnt;	
;21:	int				lineStartCnt;
;22:	menubitmap_s	arrowdwn;
;23:	menubitmap_s	arrowup;
;24:	menutext_s		key1;
;25:	menutext_s		key2;
;26:	menutext_s		key3;
;27:	menutext_s		key4;
;28:	menutext_s		key5;
;29:	menutext_s		key6;
;30:	menutext_s		key7;
;31:	menutext_s		key8;
;32:	menutext_s		key9;
;33:	menutext_s		key10;
;34:	menutext_s		key11;
;35:	menutext_s		key12;
;36:	menutext_s		key13;
;37:	menutext_s		key14;
;38:	menutext_s		key15;
;39:	menutext_s		key16;
;40:	menutext_s		key17;
;41:	menutext_s		key18;
;42:	menutext_s		key19;
;43:	menutext_s		key20;
;44:	menutext_s		value1;
;45:	menutext_s		value2;
;46:	menutext_s		value3;
;47:	menutext_s		value4;
;48:	menutext_s		value5;
;49:	menutext_s		value6;
;50:	menutext_s		value7;
;51:	menutext_s		value8;
;52:	menutext_s		value9;
;53:	menutext_s		value10;
;54:	menutext_s		value11;
;55:	menutext_s		value12;
;56:	menutext_s		value13;
;57:	menutext_s		value14;
;58:	menutext_s		value15;
;59:	menutext_s		value16;
;60:	menutext_s		value17;
;61:	menutext_s		value18;
;62:	menutext_s		value19;
;63:	menutext_s		value20;
;64:	char			key[MAX_VIDEODRIVER_LINES][MAX_INFO_KEY];
;65:	char			value[MAX_VIDEODRIVER_LINES][MAX_INFO_VALUE];
;66:} serverinfo_t;
;67:
;68:static serverinfo_t	s_serverinfo;
;69:
;70:static void ServerInfo_LinePrep( void);
;71:
;72:/*
;73:=================
;74:Favorites_Add
;75:
;76:Add current server to favorites
;77:=================
;78:*/
;79:void Favorites_Add( void )
;80:{
line 86
;81:	char	adrstr[128];
;82:	char	serverbuff[128];
;83:	int		i;
;84:	int		best;
;85:
;86:	trap_Cvar_VariableStringBuffer( "cl_currentServerAddress", serverbuff, sizeof(serverbuff) );
ADDRGP4 $76
ARGP4
ADDRLP4 136
ARGP4
CNSTI4 128
ARGI4
ADDRGP4 trap_Cvar_VariableStringBuffer
CALLV
pop
line 87
;87:	if (!serverbuff[0])
ADDRLP4 136
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $77
line 88
;88:		return;
ADDRGP4 $75
JUMPV
LABELV $77
line 90
;89:
;90:	best = 0;
ADDRLP4 132
CNSTI4 0
ASGNI4
line 91
;91:	for (i=0; i<MAX_FAVORITESERVERS; i++)
ADDRLP4 128
CNSTI4 0
ASGNI4
LABELV $79
line 92
;92:	{
line 93
;93:		trap_Cvar_VariableStringBuffer( va("server%d",i+1), adrstr, sizeof(adrstr) );
ADDRGP4 $83
ARGP4
ADDRLP4 128
INDIRI4
CNSTI4 1
ADDI4
ARGI4
ADDRLP4 264
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 264
INDIRP4
ARGP4
ADDRLP4 0
ARGP4
CNSTI4 128
ARGI4
ADDRGP4 trap_Cvar_VariableStringBuffer
CALLV
pop
line 94
;94:		if (!Q_stricmp(serverbuff,adrstr))
ADDRLP4 136
ARGP4
ADDRLP4 0
ARGP4
ADDRLP4 268
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 268
INDIRI4
CNSTI4 0
NEI4 $84
line 95
;95:		{
line 97
;96:			// already in list
;97:			return;
ADDRGP4 $75
JUMPV
LABELV $84
line 101
;98:		}
;99:		
;100:		// use first empty or non-numeric available slot
;101:		if ((adrstr[0]  < '0' || adrstr[0] > '9' ) && !best)
ADDRLP4 272
ADDRLP4 0
INDIRI1
CVII4 1
ASGNI4
ADDRLP4 272
INDIRI4
CNSTI4 48
LTI4 $88
ADDRLP4 272
INDIRI4
CNSTI4 57
LEI4 $86
LABELV $88
ADDRLP4 132
INDIRI4
CNSTI4 0
NEI4 $86
line 102
;102:			best = i+1;
ADDRLP4 132
ADDRLP4 128
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $86
line 103
;103:	}
LABELV $80
line 91
ADDRLP4 128
ADDRLP4 128
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 128
INDIRI4
CNSTI4 16
LTI4 $79
line 105
;104:
;105:	if (best)
ADDRLP4 132
INDIRI4
CNSTI4 0
EQI4 $89
line 106
;106:		trap_Cvar_Set( va("server%d",best), serverbuff);
ADDRGP4 $83
ARGP4
ADDRLP4 132
INDIRI4
ARGI4
ADDRLP4 264
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 264
INDIRP4
ARGP4
ADDRLP4 136
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
LABELV $89
line 107
;107:}
LABELV $75
endproc Favorites_Add 276 12
proc ServerInfo_Event 24 0
line 116
;108:
;109:
;110:/*
;111:=================
;112:ServerInfo_Event
;113:=================
;114:*/
;115:static void ServerInfo_Event( void* ptr, int event )
;116:{
line 117
;117:	switch (((menucommon_s*)ptr)->id)
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 100
LTI4 $92
ADDRLP4 0
INDIRI4
CNSTI4 103
GTI4 $92
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 $131-400
ADDP4
INDIRP4
JUMPV
lit
align 4
LABELV $131
address $95
address $98
address $101
address $115
code
line 118
;118:	{
LABELV $95
line 120
;119:		case ID_ADD:
;120:			if (event != QM_ACTIVATED)
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $96
line 121
;121:				break;
ADDRGP4 $93
JUMPV
LABELV $96
line 123
;122:		
;123:			Favorites_Add();
ADDRGP4 Favorites_Add
CALLV
pop
line 124
;124:			UI_PopMenu();
ADDRGP4 UI_PopMenu
CALLV
pop
line 125
;125:			break;
ADDRGP4 $93
JUMPV
LABELV $98
line 128
;126:
;127:		case ID_MAINMENU:
;128:			if (event != QM_ACTIVATED)
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $99
line 129
;129:				break;
ADDRGP4 $93
JUMPV
LABELV $99
line 131
;130:
;131:			UI_PopMenu();
ADDRGP4 UI_PopMenu
CALLV
pop
line 132
;132:			break;
ADDRGP4 $93
JUMPV
LABELV $101
line 135
;133:
;134:		case ID_ARROWUP:
;135:			if (event != QM_ACTIVATED)
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $102
line 136
;136:				break;
ADDRGP4 $93
JUMPV
LABELV $102
line 137
;137:			s_serverinfo.lineStartCnt--;
ADDRLP4 8
ADDRGP4 s_serverinfo+1644
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
line 138
;138:			if (s_serverinfo.lineStartCnt>=0)
ADDRGP4 s_serverinfo+1644
INDIRI4
CNSTI4 0
LTI4 $105
line 139
;139:			{
line 140
;140:				ServerInfo_LinePrep();
ADDRGP4 ServerInfo_LinePrep
CALLV
pop
line 141
;141:				s_serverinfo.arrowdwn.generic.flags &= ~QMF_HIDDEN;
ADDRLP4 12
ADDRGP4 s_serverinfo+1648+44
ASGNP4
ADDRLP4 12
INDIRP4
ADDRLP4 12
INDIRP4
INDIRU4
CNSTU4 4294963199
BANDU4
ASGNU4
line 142
;142:				s_serverinfo.arrowdwn.generic.flags &= ~QMF_INACTIVE;
ADDRLP4 16
ADDRGP4 s_serverinfo+1648+44
ASGNP4
ADDRLP4 16
INDIRP4
ADDRLP4 16
INDIRP4
INDIRU4
CNSTU4 4294950911
BANDU4
ASGNU4
line 143
;143:			}
ADDRGP4 $93
JUMPV
LABELV $105
line 145
;144:			else
;145:			{
line 146
;146:				s_serverinfo.arrowup.generic.flags |= QMF_HIDDEN|QMF_INACTIVE;
ADDRLP4 12
ADDRGP4 s_serverinfo+1792+44
ASGNP4
ADDRLP4 12
INDIRP4
ADDRLP4 12
INDIRP4
INDIRU4
CNSTU4 20480
BORU4
ASGNU4
line 147
;147:				s_serverinfo.lineStartCnt=0;
ADDRGP4 s_serverinfo+1644
CNSTI4 0
ASGNI4
line 148
;148:			}
line 149
;149:			break;
ADDRGP4 $93
JUMPV
LABELV $115
line 152
;150:
;151:		case ID_ARROWDWN:
;152:			if (event != QM_ACTIVATED)
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $116
line 153
;153:				break;
ADDRGP4 $93
JUMPV
LABELV $116
line 154
;154:			s_serverinfo.lineStartCnt++;
ADDRLP4 12
ADDRGP4 s_serverinfo+1644
ASGNP4
ADDRLP4 12
INDIRP4
ADDRLP4 12
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 155
;155:			if ((s_serverinfo.lineStartCnt + MAX_VIDEODRIVER_LINES)  <=s_serverinfo.lineCnt)
ADDRGP4 s_serverinfo+1644
INDIRI4
CNSTI4 20
ADDI4
ADDRGP4 s_serverinfo+1640
INDIRI4
GTI4 $119
line 156
;156:			{
line 157
;157:				ServerInfo_LinePrep();
ADDRGP4 ServerInfo_LinePrep
CALLV
pop
line 158
;158:				s_serverinfo.arrowup.generic.flags &= ~QMF_HIDDEN;
ADDRLP4 16
ADDRGP4 s_serverinfo+1792+44
ASGNP4
ADDRLP4 16
INDIRP4
ADDRLP4 16
INDIRP4
INDIRU4
CNSTU4 4294963199
BANDU4
ASGNU4
line 159
;159:				s_serverinfo.arrowup.generic.flags &= ~QMF_INACTIVE;
ADDRLP4 20
ADDRGP4 s_serverinfo+1792+44
ASGNP4
ADDRLP4 20
INDIRP4
ADDRLP4 20
INDIRP4
INDIRU4
CNSTU4 4294950911
BANDU4
ASGNU4
line 160
;160:			}
ADDRGP4 $93
JUMPV
LABELV $119
line 162
;161:			else
;162:			{
line 163
;163:				s_serverinfo.arrowdwn.generic.flags |= QMF_HIDDEN|QMF_INACTIVE;
ADDRLP4 16
ADDRGP4 s_serverinfo+1648+44
ASGNP4
ADDRLP4 16
INDIRP4
ADDRLP4 16
INDIRP4
INDIRU4
CNSTU4 20480
BORU4
ASGNU4
line 165
;164:
;165:				s_serverinfo.lineStartCnt = s_serverinfo.lineCnt - MAX_VIDEODRIVER_LINES; 
ADDRGP4 s_serverinfo+1644
ADDRGP4 s_serverinfo+1640
INDIRI4
CNSTI4 20
SUBI4
ASGNI4
line 166
;166:			}
line 167
;167:			break;
LABELV $92
LABELV $93
line 170
;168:
;169:	}
;170:}
LABELV $91
endproc ServerInfo_Event 24 0
export ServerInfoMenu_Graphics
proc ServerInfoMenu_Graphics 0 20
line 178
;171:
;172:/*
;173:=================
;174:ServerInfoMenu_Graphics
;175:=================
;176:*/
;177:void ServerInfoMenu_Graphics (void)
;178:{
line 180
;179:	// Draw the basic screen layout
;180:	UI_MenuFrame2(&s_serverinfo.menu);
ADDRGP4 s_serverinfo
ARGP4
ADDRGP4 UI_MenuFrame2
CALLV
pop
line 182
;181:
;182:	trap_R_SetColor( colorTable[CT_LTPURPLE1]);
ADDRGP4 colorTable+544
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 183
;183:	UI_DrawHandlePic(30,202,  47, 188, uis.whiteShader);
CNSTF4 1106247680
ARGF4
CNSTF4 1128923136
ARGF4
CNSTF4 1111228416
ARGF4
CNSTF4 1128005632
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 185
;184:
;185:	trap_R_SetColor( colorTable[CT_LTPURPLE1]);
ADDRGP4 colorTable+544
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 186
;186:	UI_DrawHandlePic(250,400,  180, 20, uis.whiteShader);
CNSTF4 1132068864
ARGF4
CNSTF4 1137180672
ARGF4
CNSTF4 1127481344
ARGF4
CNSTF4 1101004800
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 188
;187:
;188:}
LABELV $133
endproc ServerInfoMenu_Graphics 0 20
proc ServerInfo_MenuDraw 0 4
line 196
;189:
;190:/*
;191:=================
;192:ServerInfo_MenuDraw
;193:=================
;194:*/
;195:static void ServerInfo_MenuDraw( void )
;196:{
line 197
;197:	ServerInfoMenu_Graphics();
ADDRGP4 ServerInfoMenu_Graphics
CALLV
pop
line 199
;198:
;199:	Menu_Draw( &s_serverinfo.menu );
ADDRGP4 s_serverinfo
ARGP4
ADDRGP4 Menu_Draw
CALLV
pop
line 200
;200:}
LABELV $138
endproc ServerInfo_MenuDraw 0 4
proc ServerInfo_LinePrep 2068 12
line 209
;201:
;202:
;203:/*
;204:=================
;205:ServerInfo_LinePrep
;206:=================
;207:*/
;208:static void ServerInfo_LinePrep( void)
;209:{
line 216
;210:	int				i;
;211:	const char		*s;
;212:	char			key[MAX_INFO_KEY];
;213:	char			value[MAX_INFO_VALUE];
;214:	menutext_s		*hold_key,*hold_value;
;215:
;216:	s = s_serverinfo.info;
ADDRLP4 1028
ADDRGP4 s_serverinfo+612
ASGNP4
line 217
;217:	hold_key = &s_serverinfo.key1;
ADDRLP4 2056
ADDRGP4 s_serverinfo+1936
ASGNP4
line 218
;218:	hold_value = &s_serverinfo.value1;
ADDRLP4 2060
ADDRGP4 s_serverinfo+4256
ASGNP4
line 219
;219:	s_serverinfo.lineCnt = 0;
ADDRGP4 s_serverinfo+1640
CNSTI4 0
ASGNI4
line 220
;220:	i=0;
ADDRLP4 1024
CNSTI4 0
ASGNI4
ADDRGP4 $145
JUMPV
LABELV $144
line 222
;221:	while ( s ) 
;222:	{
line 223
;223:		Info_NextPair( &s, key, value );
ADDRLP4 1028
ARGP4
ADDRLP4 0
ARGP4
ADDRLP4 1032
ARGP4
ADDRGP4 Info_NextPair
CALLV
pop
line 224
;224:		if (!key[0])
ADDRLP4 0
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $147
line 225
;225:		{
line 226
;226:			break;
ADDRGP4 $146
JUMPV
LABELV $147
line 229
;227:		}
;228:
;229:		Q_strcat( key, MAX_INFO_KEY, ":" ); 
ADDRLP4 0
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 $149
ARGP4
ADDRGP4 Q_strcat
CALLV
pop
line 231
;230:
;231:		if ((s_serverinfo.lineStartCnt <= s_serverinfo.lineCnt) && (i < MAX_VIDEODRIVER_LINES))
ADDRGP4 s_serverinfo+1644
INDIRI4
ADDRGP4 s_serverinfo+1640
INDIRI4
GTI4 $150
ADDRLP4 1024
INDIRI4
CNSTI4 20
GEI4 $150
line 232
;232:		{
line 233
;233:			Q_strncpyz(s_serverinfo.key[i], key, sizeof(key));
ADDRLP4 1024
INDIRI4
CNSTI4 10
LSHI4
ADDRGP4 s_serverinfo+6576
ADDP4
ARGP4
ADDRLP4 0
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 234
;234:			Q_strncpyz(s_serverinfo.value[i], value, sizeof(value));
ADDRLP4 1024
INDIRI4
CNSTI4 10
LSHI4
ADDRGP4 s_serverinfo+27056
ADDP4
ARGP4
ADDRLP4 1032
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 235
;235:			i++;
ADDRLP4 1024
ADDRLP4 1024
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 236
;236:		}
LABELV $150
line 238
;237:
;238:		s_serverinfo.lineCnt++;
ADDRLP4 2064
ADDRGP4 s_serverinfo+1640
ASGNP4
ADDRLP4 2064
INDIRP4
ADDRLP4 2064
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 239
;239:	}
LABELV $145
line 221
ADDRLP4 1028
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $144
LABELV $146
line 240
;240:}
LABELV $139
endproc ServerInfo_LinePrep 2068 12
proc ServerInfo_MenuKey 4 8
line 248
;241:
;242:/*
;243:=================
;244:ServerInfo_MenuKey
;245:=================
;246:*/
;247:static sfxHandle_t ServerInfo_MenuKey( int key )
;248:{
line 249
;249:	return ( Menu_DefaultKey( &s_serverinfo.menu, key ) );
ADDRGP4 s_serverinfo
ARGP4
ADDRFP4 0
INDIRI4
ARGI4
ADDRLP4 0
ADDRGP4 Menu_DefaultKey
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
RETI4
LABELV $157
endproc ServerInfo_MenuKey 4 8
export ServerInfo_Cache
proc ServerInfo_Cache 4 4
line 258
;250:}
;251:
;252:/*
;253:=================
;254:ServerInfo_Cache
;255:=================
;256:*/
;257:void ServerInfo_Cache( void )
;258:{
line 259
;259:	s_serverinfo.cornerLower = trap_R_RegisterShaderNoMip("menu/common/corner_ll_47_18.tga");
ADDRGP4 $160
ARGP4
ADDRLP4 0
ADDRGP4 trap_R_RegisterShaderNoMip
CALLI4
ASGNI4
ADDRGP4 s_serverinfo+1636
ADDRLP4 0
INDIRI4
ASGNI4
line 261
;260:
;261:}
LABELV $158
endproc ServerInfo_Cache 4 4
proc UI_ServerInfoMenu_Init 28 12
line 269
;262:
;263:/*
;264:=================
;265:PlayerSettings_MenuInit
;266:=================
;267:*/
;268:static void UI_ServerInfoMenu_Init(void) 
;269:{
line 274
;270:	int	i,x,y;
;271:	menutext_s	*hold_key,*hold_value;
;272:
;273:	// zero set all our globals
;274:	memset( &s_serverinfo, 0 ,sizeof(serverinfo_t) );
ADDRGP4 s_serverinfo
ARGP4
CNSTI4 0
ARGI4
CNSTI4 47536
ARGI4
ADDRGP4 memset
CALLP4
pop
line 276
;275:
;276:	ServerInfo_Cache();
ADDRGP4 ServerInfo_Cache
CALLV
pop
line 278
;277:
;278:	s_serverinfo.menu.draw						= ServerInfo_MenuDraw;
ADDRGP4 s_serverinfo+268
ADDRGP4 ServerInfo_MenuDraw
ASGNP4
line 279
;279:	s_serverinfo.menu.key						= ServerInfo_MenuKey;
ADDRGP4 s_serverinfo+272
ADDRGP4 ServerInfo_MenuKey
ASGNP4
line 280
;280:	s_serverinfo.menu.wrapAround				= qtrue;
ADDRGP4 s_serverinfo+276
CNSTI4 1
ASGNI4
line 281
;281:	s_serverinfo.menu.fullscreen				= qtrue;
ADDRGP4 s_serverinfo+280
CNSTI4 1
ASGNI4
line 282
;282:	s_serverinfo.menu.nitems					= 0;
ADDRGP4 s_serverinfo+8
CNSTI4 0
ASGNI4
line 283
;283:	s_serverinfo.menu.descX						= MENU_DESC_X;
ADDRGP4 s_serverinfo+292
CNSTI4 100
ASGNI4
line 284
;284:	s_serverinfo.menu.descY						= MENU_DESC_Y;
ADDRGP4 s_serverinfo+296
CNSTI4 444
ASGNI4
line 285
;285:	s_serverinfo.menu.listX						= 230;
ADDRGP4 s_serverinfo+300
CNSTI4 230
ASGNI4
line 286
;286:	s_serverinfo.menu.listY						= 188;
ADDRGP4 s_serverinfo+304
CNSTI4 188
ASGNI4
line 287
;287:	s_serverinfo.menu.titleX					= MENU_TITLE_X;
ADDRGP4 s_serverinfo+308
CNSTI4 611
ASGNI4
line 288
;288:	s_serverinfo.menu.titleY					= MENU_TITLE_Y;
ADDRGP4 s_serverinfo+312
CNSTI4 24
ASGNI4
line 289
;289:	s_serverinfo.menu.titleI					= MNT_SERVERINFO_TITLE;
ADDRGP4 s_serverinfo+316
CNSTI4 247
ASGNI4
line 290
;290:	s_serverinfo.menu.footNoteEnum				= MNT_SERVERINFO;
ADDRGP4 s_serverinfo+320
CNSTI4 244
ASGNI4
line 292
;291:
;292:	y = 400;
ADDRLP4 12
CNSTI4 400
ASGNI4
line 294
;293:	// Button Data
;294:	s_serverinfo.mainmenu.generic.type			= MTYPE_BITMAP;      
ADDRGP4 s_serverinfo+324
CNSTI4 6
ASGNI4
line 295
;295:	s_serverinfo.mainmenu.generic.flags			= QMF_HIGHLIGHT_IF_FOCUS;
ADDRGP4 s_serverinfo+324+44
CNSTU4 128
ASGNU4
line 296
;296:	s_serverinfo.mainmenu.generic.x				= 90;
ADDRGP4 s_serverinfo+324+12
CNSTI4 90
ASGNI4
line 297
;297:	s_serverinfo.mainmenu.generic.y				= 400;
ADDRGP4 s_serverinfo+324+16
CNSTI4 400
ASGNI4
line 298
;298:	s_serverinfo.mainmenu.generic.name			= GRAPHIC_SQUARE;
ADDRGP4 s_serverinfo+324+4
ADDRGP4 $184
ASGNP4
line 299
;299:	s_serverinfo.mainmenu.generic.id			= ID_MAINMENU;
ADDRGP4 s_serverinfo+324+8
CNSTI4 101
ASGNI4
line 300
;300:	s_serverinfo.mainmenu.generic.callback		= ServerInfo_Event;
ADDRGP4 s_serverinfo+324+48
ADDRGP4 ServerInfo_Event
ASGNP4
line 301
;301:	s_serverinfo.mainmenu.width					= MENU_BUTTON_MED_WIDTH;
ADDRGP4 s_serverinfo+324+92
CNSTI4 130
ASGNI4
line 302
;302:	s_serverinfo.mainmenu.height				= MENU_BUTTON_MED_HEIGHT;
ADDRGP4 s_serverinfo+324+96
CNSTI4 18
ASGNI4
line 303
;303:	s_serverinfo.mainmenu.color					= CT_DKPURPLE1;
ADDRGP4 s_serverinfo+324+104
CNSTI4 35
ASGNI4
line 304
;304:	s_serverinfo.mainmenu.color2				= CT_LTPURPLE1;
ADDRGP4 s_serverinfo+324+108
CNSTI4 34
ASGNI4
line 305
;305:	s_serverinfo.mainmenu.textX					= MENU_BUTTON_TEXT_X;
ADDRGP4 s_serverinfo+324+124
CNSTI4 5
ASGNI4
line 306
;306:	s_serverinfo.mainmenu.textY					= MENU_BUTTON_TEXT_Y;
ADDRGP4 s_serverinfo+324+128
CNSTI4 1
ASGNI4
line 307
;307:	s_serverinfo.mainmenu.textEnum				= MBT_INGAMEMENU;
ADDRGP4 s_serverinfo+324+116
CNSTI4 110
ASGNI4
line 308
;308:	s_serverinfo.mainmenu.textcolor				= CT_BLACK;
ADDRGP4 s_serverinfo+324+132
CNSTI4 1
ASGNI4
line 309
;309:	s_serverinfo.mainmenu.textcolor2			= CT_WHITE;
ADDRGP4 s_serverinfo+324+136
CNSTI4 8
ASGNI4
line 311
;310:
;311:	s_serverinfo.add.generic.type				= MTYPE_BITMAP;      
ADDRGP4 s_serverinfo+468
CNSTI4 6
ASGNI4
line 312
;312:	s_serverinfo.add.generic.flags				= QMF_HIGHLIGHT_IF_FOCUS;
ADDRGP4 s_serverinfo+468+44
CNSTU4 128
ASGNU4
line 313
;313:	s_serverinfo.add.generic.x					= 460;
ADDRGP4 s_serverinfo+468+12
CNSTI4 460
ASGNI4
line 314
;314:	s_serverinfo.add.generic.y					= y;
ADDRGP4 s_serverinfo+468+16
ADDRLP4 12
INDIRI4
ASGNI4
line 315
;315:	s_serverinfo.add.generic.name				= GRAPHIC_SQUARE;
ADDRGP4 s_serverinfo+468+4
ADDRGP4 $184
ASGNP4
line 316
;316:	s_serverinfo.add.generic.id					= ID_ADD;
ADDRGP4 s_serverinfo+468+8
CNSTI4 100
ASGNI4
line 317
;317:	s_serverinfo.add.generic.callback			= ServerInfo_Event;
ADDRGP4 s_serverinfo+468+48
ADDRGP4 ServerInfo_Event
ASGNP4
line 318
;318:	s_serverinfo.add.width						= MENU_BUTTON_MED_WIDTH;
ADDRGP4 s_serverinfo+468+92
CNSTI4 130
ASGNI4
line 319
;319:	s_serverinfo.add.height						= MENU_BUTTON_MED_HEIGHT;
ADDRGP4 s_serverinfo+468+96
CNSTI4 18
ASGNI4
line 320
;320:	s_serverinfo.add.color						= CT_DKPURPLE1;
ADDRGP4 s_serverinfo+468+104
CNSTI4 35
ASGNI4
line 321
;321:	s_serverinfo.add.color2						= CT_LTPURPLE1;
ADDRGP4 s_serverinfo+468+108
CNSTI4 34
ASGNI4
line 322
;322:	s_serverinfo.add.textX						= MENU_BUTTON_TEXT_X;
ADDRGP4 s_serverinfo+468+124
CNSTI4 5
ASGNI4
line 323
;323:	s_serverinfo.add.textY						= MENU_BUTTON_TEXT_Y;
ADDRGP4 s_serverinfo+468+128
CNSTI4 1
ASGNI4
line 324
;324:	s_serverinfo.add.textEnum					= MBT_ADDTOFAVS;
ADDRGP4 s_serverinfo+468+116
CNSTI4 139
ASGNI4
line 325
;325:	s_serverinfo.add.textcolor					= CT_BLACK;
ADDRGP4 s_serverinfo+468+132
CNSTI4 1
ASGNI4
line 326
;326:	s_serverinfo.add.textcolor2					= CT_WHITE;
ADDRGP4 s_serverinfo+468+136
CNSTI4 8
ASGNI4
line 328
;327:	
;328:	s_serverinfo.arrowup.generic.type			= MTYPE_BITMAP;      
ADDRGP4 s_serverinfo+1792
CNSTI4 6
ASGNI4
line 329
;329:	s_serverinfo.arrowup.generic.flags			= QMF_HIGHLIGHT_IF_FOCUS;
ADDRGP4 s_serverinfo+1792+44
CNSTU4 128
ASGNU4
line 330
;330:	s_serverinfo.arrowup.generic.x				= 270;
ADDRGP4 s_serverinfo+1792+12
CNSTI4 270
ASGNI4
line 331
;331:	s_serverinfo.arrowup.generic.y				= y+2;
ADDRGP4 s_serverinfo+1792+16
ADDRLP4 12
INDIRI4
CNSTI4 2
ADDI4
ASGNI4
line 332
;332:	s_serverinfo.arrowup.generic.name			= "menu/common/arrow_up_16.tga";
ADDRGP4 s_serverinfo+1792+4
ADDRGP4 $247
ASGNP4
line 333
;333:	s_serverinfo.arrowup.generic.id				= ID_ARROWUP;
ADDRGP4 s_serverinfo+1792+8
CNSTI4 102
ASGNI4
line 334
;334:	s_serverinfo.arrowup.generic.callback		= ServerInfo_Event;
ADDRGP4 s_serverinfo+1792+48
ADDRGP4 ServerInfo_Event
ASGNP4
line 335
;335:	s_serverinfo.arrowup.width					= 16;
ADDRGP4 s_serverinfo+1792+92
CNSTI4 16
ASGNI4
line 336
;336:	s_serverinfo.arrowup.height					= 16;
ADDRGP4 s_serverinfo+1792+96
CNSTI4 16
ASGNI4
line 337
;337:	s_serverinfo.arrowup.color					= CT_DKBLUE1;
ADDRGP4 s_serverinfo+1792+104
CNSTI4 19
ASGNI4
line 338
;338:	s_serverinfo.arrowup.color2					= CT_LTBLUE1;
ADDRGP4 s_serverinfo+1792+108
CNSTI4 18
ASGNI4
line 339
;339:	s_serverinfo.arrowup.textX					= 0;
ADDRGP4 s_serverinfo+1792+124
CNSTI4 0
ASGNI4
line 340
;340:	s_serverinfo.arrowup.textY					= 0;
ADDRGP4 s_serverinfo+1792+128
CNSTI4 0
ASGNI4
line 341
;341:	s_serverinfo.arrowup.textEnum				= MBT_NONE;
ADDRGP4 s_serverinfo+1792+116
CNSTI4 0
ASGNI4
line 342
;342:	s_serverinfo.arrowup.textcolor				= CT_BLACK;
ADDRGP4 s_serverinfo+1792+132
CNSTI4 1
ASGNI4
line 343
;343:	s_serverinfo.arrowup.textcolor2				= CT_WHITE;
ADDRGP4 s_serverinfo+1792+136
CNSTI4 8
ASGNI4
line 345
;344:
;345:	s_serverinfo.arrowdwn.generic.type			= MTYPE_BITMAP;      
ADDRGP4 s_serverinfo+1648
CNSTI4 6
ASGNI4
line 346
;346:	s_serverinfo.arrowdwn.generic.flags			= QMF_HIGHLIGHT_IF_FOCUS;
ADDRGP4 s_serverinfo+1648+44
CNSTU4 128
ASGNU4
line 347
;347:	s_serverinfo.arrowdwn.generic.x				= 394;
ADDRGP4 s_serverinfo+1648+12
CNSTI4 394
ASGNI4
line 348
;348:	s_serverinfo.arrowdwn.generic.y				= y+2;
ADDRGP4 s_serverinfo+1648+16
ADDRLP4 12
INDIRI4
CNSTI4 2
ADDI4
ASGNI4
line 349
;349:	s_serverinfo.arrowdwn.generic.name			= "menu/common/arrow_dn_16.tga";
ADDRGP4 s_serverinfo+1648+4
ADDRGP4 $279
ASGNP4
line 350
;350:	s_serverinfo.arrowdwn.generic.id			= ID_ARROWDWN;
ADDRGP4 s_serverinfo+1648+8
CNSTI4 103
ASGNI4
line 351
;351:	s_serverinfo.arrowdwn.generic.callback		= ServerInfo_Event;
ADDRGP4 s_serverinfo+1648+48
ADDRGP4 ServerInfo_Event
ASGNP4
line 352
;352:	s_serverinfo.arrowdwn.width					= 16;
ADDRGP4 s_serverinfo+1648+92
CNSTI4 16
ASGNI4
line 353
;353:	s_serverinfo.arrowdwn.height				= 16;
ADDRGP4 s_serverinfo+1648+96
CNSTI4 16
ASGNI4
line 354
;354:	s_serverinfo.arrowdwn.color					= CT_DKBLUE1;
ADDRGP4 s_serverinfo+1648+104
CNSTI4 19
ASGNI4
line 355
;355:	s_serverinfo.arrowdwn.color2				= CT_LTBLUE1;
ADDRGP4 s_serverinfo+1648+108
CNSTI4 18
ASGNI4
line 356
;356:	s_serverinfo.arrowdwn.textX					= 0;
ADDRGP4 s_serverinfo+1648+124
CNSTI4 0
ASGNI4
line 357
;357:	s_serverinfo.arrowdwn.textY					= 0;
ADDRGP4 s_serverinfo+1648+128
CNSTI4 0
ASGNI4
line 358
;358:	s_serverinfo.arrowdwn.textEnum				= MBT_NONE;
ADDRGP4 s_serverinfo+1648+116
CNSTI4 0
ASGNI4
line 359
;359:	s_serverinfo.arrowdwn.textcolor				= CT_BLACK;
ADDRGP4 s_serverinfo+1648+132
CNSTI4 1
ASGNI4
line 360
;360:	s_serverinfo.arrowdwn.textcolor2			= CT_WHITE;
ADDRGP4 s_serverinfo+1648+136
CNSTI4 8
ASGNI4
line 362
;361:
;362:	Menu_AddItem( &s_serverinfo.menu, (void*) &s_serverinfo.mainmenu );
ADDRGP4 s_serverinfo
ARGP4
ADDRGP4 s_serverinfo+324
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 363
;363:	Menu_AddItem( &s_serverinfo.menu, (void*) &s_serverinfo.add );
ADDRGP4 s_serverinfo
ARGP4
ADDRGP4 s_serverinfo+468
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 364
;364:	Menu_AddItem( &s_serverinfo.menu,( void * ) &s_serverinfo.arrowup);
ADDRGP4 s_serverinfo
ARGP4
ADDRGP4 s_serverinfo+1792
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 365
;365:	Menu_AddItem( &s_serverinfo.menu, ( void * ) &s_serverinfo.arrowdwn);
ADDRGP4 s_serverinfo
ARGP4
ADDRGP4 s_serverinfo+1648
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 367
;366:
;367:	s_serverinfo.lineStartCnt = 0;
ADDRGP4 s_serverinfo+1644
CNSTI4 0
ASGNI4
line 369
;368:
;369:	hold_key = &s_serverinfo.key1;
ADDRLP4 0
ADDRGP4 s_serverinfo+1936
ASGNP4
line 370
;370:	hold_value = &s_serverinfo.value1;
ADDRLP4 4
ADDRGP4 s_serverinfo+4256
ASGNP4
line 371
;371:	y = 62;
ADDRLP4 12
CNSTI4 62
ASGNI4
line 372
;372:	x = SCREEN_WIDTH*0.50;
ADDRLP4 16
CNSTI4 320
ASGNI4
line 373
;373:	for (i=0;i<MAX_VIDEODRIVER_LINES;i++)
ADDRLP4 8
CNSTI4 0
ASGNI4
LABELV $309
line 374
;374:	{
line 375
;375:		hold_key->generic.x				= x-8;
ADDRLP4 0
INDIRP4
CNSTI4 12
ADDP4
ADDRLP4 16
INDIRI4
CNSTI4 8
SUBI4
ASGNI4
line 376
;376:		hold_key->generic.y				= y;
ADDRLP4 0
INDIRP4
CNSTI4 16
ADDP4
ADDRLP4 12
INDIRI4
ASGNI4
line 377
;377:		hold_key->generic.type			= MTYPE_TEXT;      
ADDRLP4 0
INDIRP4
CNSTI4 7
ASGNI4
line 378
;378:		hold_key->generic.flags			= UI_RIGHT|UI_SMALLFONT;
ADDRLP4 0
INDIRP4
CNSTI4 44
ADDP4
CNSTU4 18
ASGNU4
line 379
;379:		hold_key->color					= colorTable[CT_LTBLUE2];
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
ADDRGP4 colorTable+352
ASGNP4
line 380
;380:		hold_key->string				= s_serverinfo.key[i];		
ADDRLP4 0
INDIRP4
CNSTI4 60
ADDP4
ADDRLP4 8
INDIRI4
CNSTI4 10
LSHI4
ADDRGP4 s_serverinfo+6576
ADDP4
ASGNP4
line 381
;381:		hold_key->style					= UI_RIGHT|UI_SMALLFONT;	
ADDRLP4 0
INDIRP4
CNSTI4 88
ADDP4
CNSTI4 18
ASGNI4
line 383
;382:
;383:		hold_value->generic.x			= x+8;
ADDRLP4 4
INDIRP4
CNSTI4 12
ADDP4
ADDRLP4 16
INDIRI4
CNSTI4 8
ADDI4
ASGNI4
line 384
;384:		hold_value->generic.y			= y;
ADDRLP4 4
INDIRP4
CNSTI4 16
ADDP4
ADDRLP4 12
INDIRI4
ASGNI4
line 385
;385:		hold_value->generic.type		= MTYPE_TEXT;      
ADDRLP4 4
INDIRP4
CNSTI4 7
ASGNI4
line 386
;386:		hold_value->generic.flags		= UI_LEFT|UI_SMALLFONT;
ADDRLP4 4
INDIRP4
CNSTI4 44
ADDP4
CNSTU4 16
ASGNU4
line 387
;387:		hold_value->color				= colorTable[CT_LTGOLD1];
ADDRLP4 4
INDIRP4
CNSTI4 92
ADDP4
ADDRGP4 colorTable+480
ASGNP4
line 388
;388:		hold_value->string				= s_serverinfo.value[i];
ADDRLP4 4
INDIRP4
CNSTI4 60
ADDP4
ADDRLP4 8
INDIRI4
CNSTI4 10
LSHI4
ADDRGP4 s_serverinfo+27056
ADDP4
ASGNP4
line 389
;389:		hold_value->style				= UI_LEFT|UI_SMALLFONT;	
ADDRLP4 4
INDIRP4
CNSTI4 88
ADDP4
CNSTI4 16
ASGNI4
line 391
;390:
;391:		Menu_AddItem( &s_serverinfo.menu, ( void * ) hold_key);
ADDRGP4 s_serverinfo
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 392
;392:		Menu_AddItem( &s_serverinfo.menu, ( void * ) hold_value);
ADDRGP4 s_serverinfo
ARGP4
ADDRLP4 4
INDIRP4
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 394
;393:
;394:		y += SMALLCHAR_HEIGHT;
ADDRLP4 12
ADDRLP4 12
INDIRI4
CNSTI4 16
ADDI4
ASGNI4
line 395
;395:		++hold_key;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 116
ADDP4
ASGNP4
line 396
;396:		++hold_value;
ADDRLP4 4
ADDRLP4 4
INDIRP4
CNSTI4 116
ADDP4
ASGNP4
line 398
;397:
;398:	}
LABELV $310
line 373
ADDRLP4 8
ADDRLP4 8
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 8
INDIRI4
CNSTI4 20
LTI4 $309
line 401
;399:
;400:
;401:	if( trap_Cvar_VariableValue( "sv_running" ) ) 
ADDRGP4 $319
ARGP4
ADDRLP4 20
ADDRGP4 trap_Cvar_VariableValue
CALLF4
ASGNF4
ADDRLP4 20
INDIRF4
CNSTF4 0
EQF4 $317
line 402
;402:	{
line 403
;403:		s_serverinfo.add.generic.flags |= QMF_GRAYED;
ADDRLP4 24
ADDRGP4 s_serverinfo+468+44
ASGNP4
ADDRLP4 24
INDIRP4
ADDRLP4 24
INDIRP4
INDIRU4
CNSTU4 8192
BORU4
ASGNU4
line 404
;404:	}
LABELV $317
line 406
;405:
;406:	trap_GetConfigString( CS_SERVERINFO, s_serverinfo.info, MAX_INFO_STRING );
CNSTI4 0
ARGI4
ADDRGP4 s_serverinfo+612
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 trap_GetConfigString
CALLI4
pop
line 408
;407:
;408:	ServerInfo_LinePrep();
ADDRGP4 ServerInfo_LinePrep
CALLV
pop
line 410
;409:
;410:	s_serverinfo.arrowup.generic.flags |= QMF_HIDDEN|QMF_INACTIVE;
ADDRLP4 24
ADDRGP4 s_serverinfo+1792+44
ASGNP4
ADDRLP4 24
INDIRP4
ADDRLP4 24
INDIRP4
INDIRU4
CNSTU4 20480
BORU4
ASGNU4
line 412
;411:
;412:}
LABELV $161
endproc UI_ServerInfoMenu_Init 28 12
export UI_ServerInfoMenu
proc UI_ServerInfoMenu 0 4
line 420
;413:
;414:/*
;415:=================
;416:UI_ServerInfoMenu
;417:=================
;418:*/
;419:void UI_ServerInfoMenu( void )
;420:{
line 422
;421:
;422:	UI_ServerInfoMenu_Init();
ADDRGP4 UI_ServerInfoMenu_Init
CALLV
pop
line 424
;423:
;424:	UI_PushMenu( &s_serverinfo.menu );
ADDRGP4 s_serverinfo
ARGP4
ADDRGP4 UI_PushMenu
CALLV
pop
line 425
;425:}
LABELV $325
endproc UI_ServerInfoMenu 0 4
bss
align 4
LABELV s_serverinfo
skip 47536
import JoyYButtonCallback
import JoyXButtonCallback
import AnisotropicFilteringCallback
import SmoothMouseCallback
import MouseSpeedCallback
import InvertMouseCallback
import UI_PrintMenuGraphics
import UI_MenuBottomLineEnd_Graphics
import UI_InitGameinfo
import UI_GetAwardLevel
import UI_LogAwardData
import UI_NewGame
import UI_GetCurrentGame
import UI_CanShowTierVideo
import UI_ShowTierVideo
import UI_TierCompleted
import UI_SetBestScore
import UI_GetBestScore
import UI_GetNumBots
import UI_GetBotInfoByName
import UI_GetBotInfoByNumber
import UI_ServerAdvancedOptions
import UI_GetNumSPTiers
import UI_GetNumSPArenas
import UI_GetNumArenas
import UI_GetSpecialArenaInfo
import UI_GetArenaInfoByMap
import UI_GetArenaInfoByNumber
import UI_NetworkOptionsMenu
import UI_NetworkOptionsMenu_Cache
import ScreensizeCallback
import GammaCallback
import UI_FontsMenu
import UI_SoundMenu_Cache
import UI_SoundMenu
import setup_menubuttons
import UI_DisplayOptionsMenu
import UI_TeamOrdersMenu_Cache
import UI_TeamOrdersMenu_f
import UI_TeamOrdersMenu
import UI_RemoveBotsMenu
import UI_RemoveBots_Cache
import UI_AddBotsMenu
import UI_AddBots_Cache
import trap_R_ModelBounds
import trap_SetCDKey
import trap_MemoryRemaining
import trap_LAN_GetPingInfo
import trap_LAN_GetPing
import trap_LAN_ClearPing
import trap_LAN_GetPingQueueCount
import trap_LAN_GetGlobalServerAddressString
import trap_LAN_GetGlobalServerCount
import trap_LAN_GetLocalServerAddressString
import trap_LAN_GetLocalServerCount
import trap_GetConfigString
import trap_GetGlconfig
import trap_GetClientState
import trap_GetClipboardData
import trap_Key_SetCatcher
import trap_Key_GetCatcher
import trap_Key_ClearStates
import trap_Key_SetOverstrikeMode
import trap_Key_GetOverstrikeMode
import trap_Key_IsDown
import trap_Key_SetBinding
import trap_Key_GetBindingBuf
import trap_Key_KeynumToStringBuf
import trap_S_RegisterSound
import trap_S_StartLocalSound
import trap_CM_LerpTag
import trap_UpdateScreen
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_RenderScene
import trap_R_AddLightToScene
import trap_R_AddPolyToScene
import trap_R_AddRefEntityToScene
import trap_R_ClearScene
import trap_R_RegisterShaderNoMip
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_FS_GetFileList
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Cmd_ExecuteText
import trap_Argv
import trap_Argc
import trap_Cvar_InfoStringBuffer
import trap_Cvar_Create
import trap_Cvar_Reset
import trap_Cvar_SetValue
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import UI_SPSkillMenu_Cache
import UI_SPSkillMenu
import UI_SPPostgameMenu_f
import UI_SPPostgameMenu_Cache
import UI_SPArena_Start
import UI_ResetGameMenu_Cache
import UI_SPLevelMenu_ReInit
import UI_SPLevelMenu_f
import UI_SPLevelMenu
import UI_SPLevelMenu_Cache
import uis
import m_entersound
import UI_MenuFrame2
import UI_MenuFrame
import UI_PrecacheMenuGraphics
import UI_Cvar_VariableString
import UI_Argv
import UI_ForceMenuOff
import UI_PopMenu
import UI_PushMenu
import UI_SetActiveMenu
import UI_IsFullscreen
import UI_AdjustFrom640
import UI_CursorInRect
import UI_DrawChar
import UI_DrawString
import UI_ProportionalStringWidth
import UI_DrawProportionalString
import UI_ProportionalSizeScale
import UI_DrawBannerString
import UI_DrawRect
import UI_FillRect
import UI_DrawHandlePic
import UI_DrawNamedPic
import UI_ClampCvar
import UI_ConsoleCommand
import UI_Refresh
import UI_MouseEvent
import UI_KeyEvent
import UI_Shutdown
import UI_Init
import UI_InitSpinControl
import UI_LoadButtonText
import UI_LoadMenuText
import UI_RegisterClientModelname
import UI_PlayerInfo_SetInfo
import UI_PlayerInfo_SetModel
import UI_DrawPlayer
import UI_VideoDriverMenu_Cache
import UI_VideoData2Menu_Cache
import UI_VideoDataMenu_Cache
import UI_VideoDataMenu
import DriverInfo_Cache
import UI_BotSelectMenu_Cache
import UI_BotSelectMenu
import ServerOptions_Cache
import StartServer_Cache
import UI_StartServerMenu
import UI_ChooseServerTypeMenu_Cache
import ArenaServers_Cache
import UI_ArenaServersMenu
import SpecifyServer_Cache
import UI_SpecifyServerMenu
import s_voicelanguage_Names
import s_textlanguage_Names
import UI_GameOptionsMenu_Cache
import UI_GameOptionsMenu
import PlayerSettings_Cache
import UI_PlayerSettingsMenu
import PlayerModel_Cache
import UI_PlayerModelMenu
import UI_CDKeyMenu2
import UI_CDKeyMenu_f
import UI_CDKeyMenu_Cache
import UI_CDKeyMenu
import UI_ModsMenu_Cache
import UI_ModsMenu
import UI_DemosMenu
import SetupMenu_TopButtons
import UI_ControlsMouseJoyStickMenu_Cache
import Controls_Cache
import UI_DrawConnectScreen
import TeamMain_Cache
import UI_TeamMainMenu
import UI_ConfirmMenu
import ConfirmMenu_Cache
import UI_BotCommandMenu_f
import UI_DynamicMenu
import UI_DynamicMenuCache
import UI_InGameMenu
import InGame_Cache
import ingameFlag
import UI_DemosMenu_Cache
import UI_QuitMenu_Cache
import UI_ChooseServerTypeMenu
import UI_QuitMenu
import UI_Setup_MenuButtons
import UI_UpdateCvars
import UI_RegisterCvars
import UI_MainMenu
import MainMenu_Cache
import MenuField_Key
import MenuField_Draw
import MenuField_Init
import MField_Draw
import MField_CharEvent
import MField_KeyDownEvent
import MField_Clear
import ui_medalSounds
import ui_medalPicNames
import ui_medalNames
import text_color_highlight
import text_color_normal
import text_color_disabled
import listbar_color
import list_color
import name_color
import color_dim
import color_red
import color_orange
import color_blue
import color_yellow
import color_white
import menu_dim_color
import menu_black_color
import menu_red_color
import menu_highlight_color
import menu_dark_color
import menu_grayed_color
import menu_text_color
import menu_null_sound
import menu_buzz_sound
import menu_out_sound
import menu_move_sound
import menu_in_sound
import ScrollList_Key
import ScrollList_Draw
import Bitmap_Draw
import Bitmap_Init
import Menu_DefaultKey
import Menu_SetCursorToItem
import Menu_SetCursor
import Menu_ActivateItem
import Menu_ItemAtCursor
import Menu_Draw
import Menu_AdjustCursor
import Menu_AddItem
import Menu_Focus
import Menu_Cache
import UI_HolomatchInMenu_Cache
import Mouse_Show
import Mouse_Hide
import ui_playerclass
import ui_cdkeychecked2
import ui_cdkeychecked
import ui_server16
import ui_server15
import ui_server14
import ui_server13
import ui_server12
import ui_server11
import ui_server10
import ui_server9
import ui_server8
import ui_server7
import ui_server6
import ui_server5
import ui_server4
import ui_server3
import ui_server2
import ui_server1
import ui_marks
import ui_drawCrosshairNames
import ui_drawCrosshair
import ui_brassTime
import ui_browserShowEmpty
import ui_browserShowFull
import ui_browserSortKey
import ui_browserGameType
import ui_browserMaster
import ui_spSelection
import ui_team_race_red
import ui_team_race_blue
import ui_dowarmup
import ui_warmup
import ui_respawnGhostTime
import ui_forcerespawn
import ui_holoIntro
import ui_adaptRespawn
import ui_dmgmult
import ui_knockback
import ui_gravity
import ui_speed
import ui_weaponrespawn
import ui_spSkill
import ui_spVideos
import ui_spAwards
import ui_spScores5
import ui_spScores4
import ui_spScores3
import ui_spScores2
import ui_spScores1
import ui_botminplayers
import ui_botsFile
import ui_arenasFile
import ui_ctf_friendly
import ui_ctf_timelimit
import ui_ctf_capturelimit
import ui_team_friendly
import ui_team_timelimit
import ui_team_fraglimit
import ui_tourney_timelimit
import ui_tourney_fraglimit
import ui_ffa_timelimit
import ui_ffa_fraglimit
import menu_button_text
import menu_normal_text
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $319
byte 1 115
byte 1 118
byte 1 95
byte 1 114
byte 1 117
byte 1 110
byte 1 110
byte 1 105
byte 1 110
byte 1 103
byte 1 0
align 1
LABELV $279
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 97
byte 1 114
byte 1 114
byte 1 111
byte 1 119
byte 1 95
byte 1 100
byte 1 110
byte 1 95
byte 1 49
byte 1 54
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $247
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 97
byte 1 114
byte 1 114
byte 1 111
byte 1 119
byte 1 95
byte 1 117
byte 1 112
byte 1 95
byte 1 49
byte 1 54
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $184
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 115
byte 1 113
byte 1 117
byte 1 97
byte 1 114
byte 1 101
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $160
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 99
byte 1 111
byte 1 114
byte 1 110
byte 1 101
byte 1 114
byte 1 95
byte 1 108
byte 1 108
byte 1 95
byte 1 52
byte 1 55
byte 1 95
byte 1 49
byte 1 56
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $149
byte 1 58
byte 1 0
align 1
LABELV $83
byte 1 115
byte 1 101
byte 1 114
byte 1 118
byte 1 101
byte 1 114
byte 1 37
byte 1 100
byte 1 0
align 1
LABELV $76
byte 1 99
byte 1 108
byte 1 95
byte 1 99
byte 1 117
byte 1 114
byte 1 114
byte 1 101
byte 1 110
byte 1 116
byte 1 83
byte 1 101
byte 1 114
byte 1 118
byte 1 101
byte 1 114
byte 1 65
byte 1 100
byte 1 100
byte 1 114
byte 1 101
byte 1 115
byte 1 115
byte 1 0
