code
proc SpecifyServer_Event 272 16
file "../ui_specifyserver.c"
line 39
;1:// Copyright (C) 1999-2000 Id Software, Inc.
;2://
;3:#include "ui_local.h"
;4:
;5:/*********************************************************************************
;6:	SPECIFY SERVER
;7:*********************************************************************************/
;8:
;9:#define	ID_MAINMENU				100
;10:#define ID_BACK					102
;11:#define ID_SPECIFYSERVERGO		103
;12:
;13:
;14:typedef struct
;15:{
;16:	menuframework_s	menu;
;17:	menubitmap_s	mainmenu;
;18:	menubitmap_s	back;
;19:	menufield_s		domain;
;20:	menufield_s		port;
;21:	menubitmap_s	go;
;22:
;23:	qhandle_t		corner_ul;
;24:	qhandle_t		corner_ur;
;25:	qhandle_t		corner_ll;
;26:	qhandle_t		corner_lr;
;27:
;28:} specifyserver_t;
;29:
;30:
;31:static specifyserver_t	s_specifyserver;
;32:
;33:/*
;34:=================
;35:SpecifyServer_Event
;36:=================
;37:*/
;38:static void SpecifyServer_Event( void* ptr, int event )
;39:{
line 42
;40:	char	buff[256];
;41:
;42:	if (event != QM_ACTIVATED)
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $76
line 43
;43:	{
line 44
;44:		return;
ADDRGP4 $75
JUMPV
LABELV $76
line 47
;45:	}
;46:
;47:	switch (((menucommon_s*)ptr)->id)
ADDRLP4 256
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
ASGNI4
ADDRLP4 256
INDIRI4
CNSTI4 100
EQI4 $81
ADDRLP4 256
INDIRI4
CNSTI4 102
EQI4 $101
ADDRLP4 256
INDIRI4
CNSTI4 103
EQI4 $82
ADDRGP4 $78
JUMPV
line 48
;48:	{
LABELV $81
line 50
;49:		case ID_MAINMENU:
;50:			UI_PopMenu();
ADDRGP4 UI_PopMenu
CALLV
pop
line 51
;51:			UI_MainMenu();
ADDRGP4 UI_MainMenu
CALLV
pop
line 52
;52:			break;
ADDRGP4 $79
JUMPV
LABELV $82
line 55
;53:
;54:		case ID_SPECIFYSERVERGO:
;55:			if (s_specifyserver.domain.field.buffer[0])
ADDRGP4 s_specifyserver+612+60+12
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $79
line 56
;56:			{
line 57
;57:				strcpy(buff,s_specifyserver.domain.field.buffer);
ADDRLP4 0
ARGP4
ADDRGP4 s_specifyserver+612+60+12
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 58
;58:				if (s_specifyserver.port.field.buffer[0])
ADDRGP4 s_specifyserver+964+60+12
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $91
line 59
;59:					Com_sprintf( buff+strlen(buff), 128, ":%s", s_specifyserver.port.field.buffer );
ADDRLP4 0
ARGP4
ADDRLP4 264
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 264
INDIRI4
ADDRLP4 0
ADDP4
ARGP4
CNSTI4 128
ARGI4
ADDRGP4 $96
ARGP4
ADDRGP4 s_specifyserver+964+60+12
ARGP4
ADDRGP4 Com_sprintf
CALLV
pop
LABELV $91
line 61
;60:
;61:				trap_Cmd_ExecuteText( EXEC_APPEND, va( "connect %s\n", buff ) );
ADDRGP4 $100
ARGP4
ADDRLP4 0
ARGP4
ADDRLP4 268
ADDRGP4 va
CALLP4
ASGNP4
CNSTI4 2
ARGI4
ADDRLP4 268
INDIRP4
ARGP4
ADDRGP4 trap_Cmd_ExecuteText
CALLV
pop
line 62
;62:			}
line 63
;63:			break;
ADDRGP4 $79
JUMPV
LABELV $101
line 66
;64:
;65:		case ID_BACK:
;66:			UI_PopMenu();
ADDRGP4 UI_PopMenu
CALLV
pop
line 67
;67:			break;
LABELV $78
LABELV $79
line 69
;68:	}
;69:}
LABELV $75
endproc SpecifyServer_Event 272 16
export SpecifyServer_Graphics
proc SpecifyServer_Graphics 28 20
line 77
;70:
;71:/*
;72:=================
;73:SpecifyServer_Graphics
;74:=================
;75:*/
;76:void SpecifyServer_Graphics (void)
;77:{
line 78
;78:	UI_MenuFrame2(&s_specifyserver.menu);
ADDRGP4 s_specifyserver
ARGP4
ADDRGP4 UI_MenuFrame2
CALLV
pop
line 80
;79:
;80:	trap_R_SetColor( colorTable[CT_LTBROWN1]);
ADDRGP4 colorTable+416
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 81
;81:	UI_DrawHandlePic( 30,203, 47,  186, uis.whiteShader);	// Left hand column of screen frame
CNSTF4 1106247680
ARGF4
CNSTF4 1128988672
ARGF4
CNSTF4 1111228416
ARGF4
CNSTF4 1127874560
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 83
;82:
;83:	trap_R_SetColor( colorTable[CT_LTPURPLE3]);
ADDRGP4 colorTable+672
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 84
;84:	UI_DrawHandlePic(135, 100,  32, 32,s_specifyserver.corner_ul);	// Upper left corner
CNSTF4 1124532224
ARGF4
CNSTF4 1120403456
ARGF4
ADDRLP4 0
CNSTF4 1107296256
ASGNF4
ADDRLP4 0
INDIRF4
ARGF4
ADDRLP4 0
INDIRF4
ARGF4
ADDRGP4 s_specifyserver+1460
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 85
;85:	UI_DrawHandlePic(574, 100,  32, 32,s_specifyserver.corner_ur);	// Upper Right corner
CNSTF4 1141866496
ARGF4
CNSTF4 1120403456
ARGF4
ADDRLP4 4
CNSTF4 1107296256
ASGNF4
ADDRLP4 4
INDIRF4
ARGF4
ADDRLP4 4
INDIRF4
ARGF4
ADDRGP4 s_specifyserver+1464
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 86
;86:	UI_DrawHandlePic(135, 282,  32, 32,s_specifyserver.corner_ll);	// corner
CNSTF4 1124532224
ARGF4
CNSTF4 1133314048
ARGF4
ADDRLP4 8
CNSTF4 1107296256
ASGNF4
ADDRLP4 8
INDIRF4
ARGF4
ADDRLP4 8
INDIRF4
ARGF4
ADDRGP4 s_specifyserver+1468
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 87
;87:	UI_DrawHandlePic(574, 282,  32, 32,s_specifyserver.corner_lr);	// corner
CNSTF4 1141866496
ARGF4
CNSTF4 1133314048
ARGF4
ADDRLP4 12
CNSTF4 1107296256
ASGNF4
ADDRLP4 12
INDIRF4
ARGF4
ADDRLP4 12
INDIRF4
ARGF4
ADDRGP4 s_specifyserver+1472
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 90
;88:
;89:	// Address label
;90:	trap_R_SetColor( colorTable[CT_LTPURPLE3]);
ADDRGP4 colorTable+672
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 91
;91:	UI_DrawHandlePic( 189,166, 385,  20, uis.whiteShader);	// Background for Address label
CNSTF4 1128071168
ARGF4
CNSTF4 1126563840
ARGF4
CNSTF4 1136689152
ARGF4
CNSTF4 1101004800
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 92
;92:	trap_R_SetColor( colorTable[CT_BLACK]);
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 93
;93:	UI_DrawHandlePic( 253,168, 315,  16, uis.whiteShader);	// Black square for data
CNSTF4 1132265472
ARGF4
CNSTF4 1126694912
ARGF4
CNSTF4 1134395392
ARGF4
CNSTF4 1098907648
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 96
;94:
;95:	// Port label
;96:	trap_R_SetColor( colorTable[CT_LTPURPLE3]);
ADDRGP4 colorTable+672
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 97
;97:	UI_DrawHandlePic( 191, 214, 135,  20, uis.whiteShader);	// Background for Port label
CNSTF4 1128202240
ARGF4
CNSTF4 1129709568
ARGF4
CNSTF4 1124532224
ARGF4
CNSTF4 1101004800
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 98
;98:	trap_R_SetColor( colorTable[CT_BLACK]);
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 99
;99:	UI_DrawHandlePic( 254, 216,  58,  16, uis.whiteShader);	// Black square for data
CNSTF4 1132331008
ARGF4
CNSTF4 1129840640
ARGF4
CNSTF4 1114112000
ARGF4
CNSTF4 1098907648
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 102
;100:
;101:	// Frame around data
;102:	trap_R_SetColor( colorTable[CT_LTPURPLE3]);
ADDRGP4 colorTable+672
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 103
;103:	UI_DrawHandlePic( 152,100, 426,  18, uis.whiteShader);	// Top line
CNSTF4 1125646336
ARGF4
CNSTF4 1120403456
ARGF4
CNSTF4 1138032640
ARGF4
CNSTF4 1099956224
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 104
;104:	UI_DrawHandlePic( 135,120, 18,  171, uis.whiteShader);	// Left side
CNSTF4 1124532224
ARGF4
CNSTF4 1123024896
ARGF4
CNSTF4 1099956224
ARGF4
CNSTF4 1126891520
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 105
;105:	UI_DrawHandlePic( 578,120, 18,  171, uis.whiteShader);	// Right side
CNSTF4 1141932032
ARGF4
CNSTF4 1123024896
ARGF4
CNSTF4 1099956224
ARGF4
CNSTF4 1126891520
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 106
;106:	UI_DrawHandlePic( 160,286, 411,  18, uis.whiteShader);	// Bottom line to left of Engage button
CNSTF4 1126170624
ARGF4
CNSTF4 1133445120
ARGF4
CNSTF4 1137541120
ARGF4
CNSTF4 1099956224
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 108
;107:
;108:	UI_DrawProportionalString(  169, 102, menu_normal_text[MNT_SERVERINFORMATION],UI_SMALLFONT, colorTable[CT_BLACK]);
CNSTI4 169
ARGI4
CNSTI4 102
ARGI4
ADDRGP4 menu_normal_text+1124
INDIRP4
ARGP4
CNSTI4 16
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 111
;109:
;110:
;111:	UI_DrawProportionalString(  74,   27, "216",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 27
ARGI4
ADDRGP4 $125
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 112
;112:	UI_DrawProportionalString(  74,   74, "1009-3",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
ADDRLP4 16
CNSTI4 74
ASGNI4
ADDRLP4 16
INDIRI4
ARGI4
ADDRLP4 16
INDIRI4
ARGI4
ADDRGP4 $127
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 113
;113:	UI_DrawProportionalString(  74,  188, "9-3001",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 188
ARGI4
ADDRGP4 $129
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 114
;114:	UI_DrawProportionalString(  74,  206, "10963",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 206
ARGI4
ADDRGP4 $131
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 115
;115:	UI_DrawProportionalString(  74,  395, "10961",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 395
ARGI4
ADDRGP4 $133
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 118
;116:
;117:	// Left rounded ends for buttons
;118:	trap_R_SetColor( colorTable[s_specifyserver.mainmenu.color]);
ADDRGP4 s_specifyserver+324+104
INDIRI4
CNSTI4 4
LSHI4
ADDRGP4 colorTable
ADDP4
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 119
;119:	UI_DrawHandlePic(s_specifyserver.mainmenu.generic.x - 14, s_specifyserver.mainmenu.generic.y, 
ADDRGP4 s_specifyserver+324+12
INDIRI4
CNSTI4 14
SUBI4
CVIF4 4
ARGF4
ADDRGP4 s_specifyserver+324+16
INDIRI4
CVIF4 4
ARGF4
ADDRLP4 20
CNSTF4 1099956224
ASGNF4
ADDRLP4 20
INDIRF4
ARGF4
ADDRLP4 20
INDIRF4
ARGF4
ADDRGP4 uis+5352
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 122
;120:		MENU_BUTTON_MED_HEIGHT, MENU_BUTTON_MED_HEIGHT, uis.graphicButtonLeftEnd);
;121:
;122:	trap_R_SetColor( colorTable[s_specifyserver.back.color]);
ADDRGP4 s_specifyserver+468+104
INDIRI4
CNSTI4 4
LSHI4
ADDRGP4 colorTable
ADDP4
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 123
;123:	UI_DrawHandlePic(s_specifyserver.back.generic.x - 14, s_specifyserver.back.generic.y, 
ADDRGP4 s_specifyserver+468+12
INDIRI4
CNSTI4 14
SUBI4
CVIF4 4
ARGF4
ADDRGP4 s_specifyserver+468+16
INDIRI4
CVIF4 4
ARGF4
ADDRLP4 24
CNSTF4 1099956224
ASGNF4
ADDRLP4 24
INDIRF4
ARGF4
ADDRLP4 24
INDIRF4
ARGF4
ADDRGP4 uis+5352
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 125
;124:		MENU_BUTTON_MED_HEIGHT, MENU_BUTTON_MED_HEIGHT, uis.graphicButtonLeftEnd);
;125:}
LABELV $102
endproc SpecifyServer_Graphics 28 20
proc SpecifyServer_MenuDraw 0 4
line 133
;126:
;127:/*
;128:=================
;129:SpecifyServer_MenuDraw
;130:=================
;131:*/
;132:static void SpecifyServer_MenuDraw( void )
;133:{
line 134
;134:	SpecifyServer_Graphics();
ADDRGP4 SpecifyServer_Graphics
CALLV
pop
line 136
;135:
;136:	Menu_Draw( &s_specifyserver.menu );
ADDRGP4 s_specifyserver
ARGP4
ADDRGP4 Menu_Draw
CALLV
pop
line 137
;137:}
LABELV $149
endproc SpecifyServer_MenuDraw 0 4
export SpecifyServer_MenuInit
proc SpecifyServer_MenuInit 0 16
line 145
;138:
;139:/*
;140:=================
;141:SpecifyServer_MenuInit
;142:=================
;143:*/
;144:void SpecifyServer_MenuInit( void )
;145:{
line 147
;146:	// zero set all our globals
;147:	memset( &s_specifyserver, 0 ,sizeof(specifyserver_t) );
ADDRGP4 s_specifyserver
ARGP4
CNSTI4 0
ARGI4
CNSTI4 1476
ARGI4
ADDRGP4 memset
CALLP4
pop
line 149
;148:
;149:	SpecifyServer_Cache();
ADDRGP4 SpecifyServer_Cache
CALLV
pop
line 151
;150:
;151:	s_specifyserver.menu.wrapAround					= qtrue;
ADDRGP4 s_specifyserver+276
CNSTI4 1
ASGNI4
line 152
;152:	s_specifyserver.menu.fullscreen					= qtrue;
ADDRGP4 s_specifyserver+280
CNSTI4 1
ASGNI4
line 153
;153:    s_specifyserver.menu.draw						= SpecifyServer_MenuDraw;
ADDRGP4 s_specifyserver+268
ADDRGP4 SpecifyServer_MenuDraw
ASGNP4
line 154
;154:	s_specifyserver.menu.descX						= MENU_DESC_X;
ADDRGP4 s_specifyserver+292
CNSTI4 100
ASGNI4
line 155
;155:	s_specifyserver.menu.descY						= MENU_DESC_Y;
ADDRGP4 s_specifyserver+296
CNSTI4 444
ASGNI4
line 156
;156:	s_specifyserver.menu.titleX						= MENU_TITLE_X;
ADDRGP4 s_specifyserver+308
CNSTI4 611
ASGNI4
line 157
;157:	s_specifyserver.menu.titleY						= MENU_TITLE_Y;
ADDRGP4 s_specifyserver+312
CNSTI4 24
ASGNI4
line 158
;158:	s_specifyserver.menu.titleI						= MNT_MULTIPLAYER_TITLE;
ADDRGP4 s_specifyserver+316
CNSTI4 6
ASGNI4
line 159
;159:	s_specifyserver.menu.footNoteEnum				= MNT_SPECIFYSERVER;
ADDRGP4 s_specifyserver+320
CNSTI4 117
ASGNI4
line 161
;160:
;161:	s_specifyserver.mainmenu.generic.type			= MTYPE_BITMAP;      
ADDRGP4 s_specifyserver+324
CNSTI4 6
ASGNI4
line 162
;162:	s_specifyserver.mainmenu.generic.flags			= QMF_HIGHLIGHT_IF_FOCUS;
ADDRGP4 s_specifyserver+324+44
CNSTU4 128
ASGNU4
line 163
;163:	s_specifyserver.mainmenu.generic.x				= 110;
ADDRGP4 s_specifyserver+324+12
CNSTI4 110
ASGNI4
line 164
;164:	s_specifyserver.mainmenu.generic.y				= 391;
ADDRGP4 s_specifyserver+324+16
CNSTI4 391
ASGNI4
line 165
;165:	s_specifyserver.mainmenu.generic.name			= BUTTON_GRAPHIC_LONGRIGHT;
ADDRGP4 s_specifyserver+324+4
ADDRGP4 $169
ASGNP4
line 166
;166:	s_specifyserver.mainmenu.generic.id				= ID_MAINMENU;
ADDRGP4 s_specifyserver+324+8
CNSTI4 100
ASGNI4
line 167
;167:	s_specifyserver.mainmenu.generic.callback		= SpecifyServer_Event;
ADDRGP4 s_specifyserver+324+48
ADDRGP4 SpecifyServer_Event
ASGNP4
line 168
;168:	s_specifyserver.mainmenu.width					= MENU_BUTTON_MED_WIDTH;
ADDRGP4 s_specifyserver+324+92
CNSTI4 130
ASGNI4
line 169
;169:	s_specifyserver.mainmenu.height					= MENU_BUTTON_MED_HEIGHT;
ADDRGP4 s_specifyserver+324+96
CNSTI4 18
ASGNI4
line 170
;170:	s_specifyserver.mainmenu.color					= CT_DKPURPLE1;
ADDRGP4 s_specifyserver+324+104
CNSTI4 35
ASGNI4
line 171
;171:	s_specifyserver.mainmenu.color2					= CT_LTPURPLE1;
ADDRGP4 s_specifyserver+324+108
CNSTI4 34
ASGNI4
line 172
;172:	s_specifyserver.mainmenu.textX					= 5;
ADDRGP4 s_specifyserver+324+124
CNSTI4 5
ASGNI4
line 173
;173:	s_specifyserver.mainmenu.textY					= 2;
ADDRGP4 s_specifyserver+324+128
CNSTI4 2
ASGNI4
line 174
;174:	s_specifyserver.mainmenu.textEnum				= MBT_MAINMENU;
ADDRGP4 s_specifyserver+324+116
CNSTI4 9
ASGNI4
line 175
;175:	s_specifyserver.mainmenu.textcolor				= CT_BLACK;
ADDRGP4 s_specifyserver+324+132
CNSTI4 1
ASGNI4
line 176
;176:	s_specifyserver.mainmenu.textcolor2				= CT_WHITE;
ADDRGP4 s_specifyserver+324+136
CNSTI4 8
ASGNI4
line 178
;177:
;178:	s_specifyserver.back.generic.type				= MTYPE_BITMAP;      
ADDRGP4 s_specifyserver+468
CNSTI4 6
ASGNI4
line 179
;179:	s_specifyserver.back.generic.flags				= QMF_HIGHLIGHT_IF_FOCUS;
ADDRGP4 s_specifyserver+468+44
CNSTU4 128
ASGNU4
line 180
;180:	s_specifyserver.back.generic.x					= 110;
ADDRGP4 s_specifyserver+468+12
CNSTI4 110
ASGNI4
line 181
;181:	s_specifyserver.back.generic.y					= 415;
ADDRGP4 s_specifyserver+468+16
CNSTI4 415
ASGNI4
line 182
;182:	s_specifyserver.back.generic.name				= BUTTON_GRAPHIC_LONGRIGHT;
ADDRGP4 s_specifyserver+468+4
ADDRGP4 $169
ASGNP4
line 183
;183:	s_specifyserver.back.generic.id					= ID_BACK;
ADDRGP4 s_specifyserver+468+8
CNSTI4 102
ASGNI4
line 184
;184:	s_specifyserver.back.generic.callback			= SpecifyServer_Event;
ADDRGP4 s_specifyserver+468+48
ADDRGP4 SpecifyServer_Event
ASGNP4
line 185
;185:	s_specifyserver.back.width						= MENU_BUTTON_MED_WIDTH;
ADDRGP4 s_specifyserver+468+92
CNSTI4 130
ASGNI4
line 186
;186:	s_specifyserver.back.height						= MENU_BUTTON_MED_HEIGHT;
ADDRGP4 s_specifyserver+468+96
CNSTI4 18
ASGNI4
line 187
;187:	s_specifyserver.back.color						= CT_DKPURPLE1;
ADDRGP4 s_specifyserver+468+104
CNSTI4 35
ASGNI4
line 188
;188:	s_specifyserver.back.color2						= CT_LTPURPLE1;
ADDRGP4 s_specifyserver+468+108
CNSTI4 34
ASGNI4
line 189
;189:	s_specifyserver.back.textX						= 5;
ADDRGP4 s_specifyserver+468+124
CNSTI4 5
ASGNI4
line 190
;190:	s_specifyserver.back.textY						= 2;
ADDRGP4 s_specifyserver+468+128
CNSTI4 2
ASGNI4
line 191
;191:	s_specifyserver.back.textEnum					= MBT_BACK;
ADDRGP4 s_specifyserver+468+116
CNSTI4 118
ASGNI4
line 192
;192:	s_specifyserver.back.textcolor					= CT_BLACK;
ADDRGP4 s_specifyserver+468+132
CNSTI4 1
ASGNI4
line 193
;193:	s_specifyserver.back.textcolor2					= CT_WHITE;
ADDRGP4 s_specifyserver+468+136
CNSTI4 8
ASGNI4
line 195
;194:
;195:	s_specifyserver.domain.generic.type				= MTYPE_FIELD;
ADDRGP4 s_specifyserver+612
CNSTI4 4
ASGNI4
line 196
;196:	s_specifyserver.domain.generic.flags			= QMF_HIGHLIGHT_IF_FOCUS;
ADDRGP4 s_specifyserver+612+44
CNSTU4 128
ASGNU4
line 197
;197:	s_specifyserver.domain.generic.x				= 255;
ADDRGP4 s_specifyserver+612+12
CNSTI4 255
ASGNI4
line 198
;198:	s_specifyserver.domain.generic.y				= 168;
ADDRGP4 s_specifyserver+612+16
CNSTI4 168
ASGNI4
line 199
;199:	s_specifyserver.domain.field.widthInChars		= 38;
ADDRGP4 s_specifyserver+612+60+8
CNSTI4 38
ASGNI4
line 200
;200:	s_specifyserver.domain.field.maxchars			= 80;
ADDRGP4 s_specifyserver+612+60+268
CNSTI4 80
ASGNI4
line 201
;201:	s_specifyserver.domain.field.style				= UI_SMALLFONT;
ADDRGP4 s_specifyserver+612+60+272
CNSTI4 16
ASGNI4
line 202
;202:	s_specifyserver.domain.field.titleEnum			= MBT_ADDRESS;
ADDRGP4 s_specifyserver+612+60+276
CNSTI4 173
ASGNI4
line 203
;203:	s_specifyserver.domain.field.textcolor			= CT_LTGOLD1;
ADDRGP4 s_specifyserver+612+60+284
CNSTI4 30
ASGNI4
line 204
;204:	s_specifyserver.domain.field.textcolor2			= CT_LTGOLD1;
ADDRGP4 s_specifyserver+612+60+288
CNSTI4 30
ASGNI4
line 205
;205:	s_specifyserver.domain.field.titlecolor			= CT_LTGOLD1;
ADDRGP4 s_specifyserver+612+60+280
CNSTI4 30
ASGNI4
line 207
;206:
;207:	s_specifyserver.port.generic.type				= MTYPE_FIELD;
ADDRGP4 s_specifyserver+964
CNSTI4 4
ASGNI4
line 208
;208:	s_specifyserver.port.generic.flags				= QMF_PULSEIFFOCUS|QMF_SMALLFONT|QMF_NUMBERSONLY;
ADDRGP4 s_specifyserver+964+44
CNSTU4 290
ASGNU4
line 209
;209:	s_specifyserver.port.generic.x					= 255;
ADDRGP4 s_specifyserver+964+12
CNSTI4 255
ASGNI4
line 210
;210:	s_specifyserver.port.generic.y					= 216;
ADDRGP4 s_specifyserver+964+16
CNSTI4 216
ASGNI4
line 211
;211:	s_specifyserver.port.field.widthInChars			= 6;
ADDRGP4 s_specifyserver+964+60+8
CNSTI4 6
ASGNI4
line 212
;212:	s_specifyserver.port.field.maxchars				= 5;
ADDRGP4 s_specifyserver+964+60+268
CNSTI4 5
ASGNI4
line 213
;213:	s_specifyserver.port.field.style				= UI_SMALLFONT;
ADDRGP4 s_specifyserver+964+60+272
CNSTI4 16
ASGNI4
line 214
;214:	s_specifyserver.port.field.titleEnum			= MBT_PORT;
ADDRGP4 s_specifyserver+964+60+276
CNSTI4 174
ASGNI4
line 215
;215:	s_specifyserver.port.field.textcolor			= CT_LTGOLD1;
ADDRGP4 s_specifyserver+964+60+284
CNSTI4 30
ASGNI4
line 216
;216:	s_specifyserver.port.field.textcolor2			= CT_LTGOLD1;
ADDRGP4 s_specifyserver+964+60+288
CNSTI4 30
ASGNI4
line 217
;217:	s_specifyserver.port.field.titlecolor			= CT_LTGOLD1;
ADDRGP4 s_specifyserver+964+60+280
CNSTI4 30
ASGNI4
line 219
;218:
;219:	s_specifyserver.go.generic.type					= MTYPE_BITMAP;
ADDRGP4 s_specifyserver+1316
CNSTI4 6
ASGNI4
line 220
;220:	s_specifyserver.go.generic.flags				= QMF_HIGHLIGHT_IF_FOCUS;
ADDRGP4 s_specifyserver+1316+44
CNSTU4 128
ASGNU4
line 221
;221:	s_specifyserver.go.generic.x					= 462;
ADDRGP4 s_specifyserver+1316+12
CNSTI4 462
ASGNI4
line 222
;222:	s_specifyserver.go.generic.y					= 391;
ADDRGP4 s_specifyserver+1316+16
CNSTI4 391
ASGNI4
line 223
;223:	s_specifyserver.go.generic.name					= GRAPHIC_SQUARE;
ADDRGP4 s_specifyserver+1316+4
ADDRGP4 $288
ASGNP4
line 224
;224:	s_specifyserver.go.generic.id					= ID_SPECIFYSERVERGO;
ADDRGP4 s_specifyserver+1316+8
CNSTI4 103
ASGNI4
line 225
;225:	s_specifyserver.go.generic.callback				= SpecifyServer_Event;
ADDRGP4 s_specifyserver+1316+48
ADDRGP4 SpecifyServer_Event
ASGNP4
line 226
;226:	s_specifyserver.go.width  						= 150;
ADDRGP4 s_specifyserver+1316+92
CNSTI4 150
ASGNI4
line 227
;227:	s_specifyserver.go.height  						= 42;
ADDRGP4 s_specifyserver+1316+96
CNSTI4 42
ASGNI4
line 228
;228:	s_specifyserver.go.color						= CT_DKPURPLE1;
ADDRGP4 s_specifyserver+1316+104
CNSTI4 35
ASGNI4
line 229
;229:	s_specifyserver.go.color2						= CT_LTPURPLE1;
ADDRGP4 s_specifyserver+1316+108
CNSTI4 34
ASGNI4
line 230
;230:	s_specifyserver.go.textX						= 5;
ADDRGP4 s_specifyserver+1316+124
CNSTI4 5
ASGNI4
line 231
;231:	s_specifyserver.go.textY						= 2;
ADDRGP4 s_specifyserver+1316+128
CNSTI4 2
ASGNI4
line 232
;232:	s_specifyserver.go.textEnum						= MBT_ENGAGEMULTIPLAYER;
ADDRGP4 s_specifyserver+1316+116
CNSTI4 91
ASGNI4
line 233
;233:	s_specifyserver.go.textcolor					= CT_BLACK;
ADDRGP4 s_specifyserver+1316+132
CNSTI4 1
ASGNI4
line 234
;234:	s_specifyserver.go.textcolor2					= CT_WHITE;
ADDRGP4 s_specifyserver+1316+136
CNSTI4 8
ASGNI4
line 236
;235:
;236:	Menu_AddItem( &s_specifyserver.menu, &s_specifyserver.mainmenu );
ADDRGP4 s_specifyserver
ARGP4
ADDRGP4 s_specifyserver+324
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 238
;237:	
;238:	Menu_AddItem( &s_specifyserver.menu, &s_specifyserver.domain );
ADDRGP4 s_specifyserver
ARGP4
ADDRGP4 s_specifyserver+612
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 239
;239:	Menu_AddItem( &s_specifyserver.menu, &s_specifyserver.port );
ADDRGP4 s_specifyserver
ARGP4
ADDRGP4 s_specifyserver+964
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 240
;240:	Menu_AddItem( &s_specifyserver.menu, &s_specifyserver.go );
ADDRGP4 s_specifyserver
ARGP4
ADDRGP4 s_specifyserver+1316
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 241
;241:	Menu_AddItem( &s_specifyserver.menu, &s_specifyserver.back );
ADDRGP4 s_specifyserver
ARGP4
ADDRGP4 s_specifyserver+468
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 243
;242:
;243:	Com_sprintf( s_specifyserver.port.field.buffer, 6, "%i", 27960 );
ADDRGP4 s_specifyserver+964+60+12
ARGP4
CNSTI4 6
ARGI4
ADDRGP4 $319
ARGP4
CNSTI4 27960
ARGI4
ADDRGP4 Com_sprintf
CALLV
pop
line 244
;244:}
LABELV $150
endproc SpecifyServer_MenuInit 0 16
export SpecifyServer_Cache
proc SpecifyServer_Cache 16 4
line 252
;245:
;246:/*
;247:=================
;248:SpecifyServer_Cache
;249:=================
;250:*/
;251:void SpecifyServer_Cache( void )
;252:{
line 253
;253:	s_specifyserver.corner_ul = trap_R_RegisterShaderNoMip("menu/common/corner_ul_18_18.tga");
ADDRGP4 $322
ARGP4
ADDRLP4 0
ADDRGP4 trap_R_RegisterShaderNoMip
CALLI4
ASGNI4
ADDRGP4 s_specifyserver+1460
ADDRLP4 0
INDIRI4
ASGNI4
line 254
;254:	s_specifyserver.corner_ur = trap_R_RegisterShaderNoMip("menu/common/corner_ur_18_18.tga");
ADDRGP4 $324
ARGP4
ADDRLP4 4
ADDRGP4 trap_R_RegisterShaderNoMip
CALLI4
ASGNI4
ADDRGP4 s_specifyserver+1464
ADDRLP4 4
INDIRI4
ASGNI4
line 255
;255:	s_specifyserver.corner_ll = trap_R_RegisterShaderNoMip("menu/common/corner_ll_18_18.tga");
ADDRGP4 $326
ARGP4
ADDRLP4 8
ADDRGP4 trap_R_RegisterShaderNoMip
CALLI4
ASGNI4
ADDRGP4 s_specifyserver+1468
ADDRLP4 8
INDIRI4
ASGNI4
line 256
;256:	s_specifyserver.corner_lr = trap_R_RegisterShaderNoMip("menu/common/corner_lr_18_18.tga");
ADDRGP4 $328
ARGP4
ADDRLP4 12
ADDRGP4 trap_R_RegisterShaderNoMip
CALLI4
ASGNI4
ADDRGP4 s_specifyserver+1472
ADDRLP4 12
INDIRI4
ASGNI4
line 257
;257:}
LABELV $320
endproc SpecifyServer_Cache 16 4
export UI_SpecifyServerMenu
proc UI_SpecifyServerMenu 0 4
line 265
;258:
;259:/*
;260:=================
;261:UI_SpecifyServerMenu
;262:=================
;263:*/
;264:void UI_SpecifyServerMenu( void )
;265:{
line 266
;266:	SpecifyServer_MenuInit();
ADDRGP4 SpecifyServer_MenuInit
CALLV
pop
line 267
;267:	UI_PushMenu( &s_specifyserver.menu );
ADDRGP4 s_specifyserver
ARGP4
ADDRGP4 UI_PushMenu
CALLV
pop
line 268
;268:}
LABELV $329
endproc UI_SpecifyServerMenu 0 4
bss
align 4
LABELV s_specifyserver
skip 1476
import JoyYButtonCallback
import JoyXButtonCallback
import AnisotropicFilteringCallback
import SmoothMouseCallback
import MouseSpeedCallback
import InvertMouseCallback
import UI_PrintMenuGraphics
import UI_MenuBottomLineEnd_Graphics
import UI_InitGameinfo
import UI_GetAwardLevel
import UI_LogAwardData
import UI_NewGame
import UI_GetCurrentGame
import UI_CanShowTierVideo
import UI_ShowTierVideo
import UI_TierCompleted
import UI_SetBestScore
import UI_GetBestScore
import UI_GetNumBots
import UI_GetBotInfoByName
import UI_GetBotInfoByNumber
import UI_ServerAdvancedOptions
import UI_GetNumSPTiers
import UI_GetNumSPArenas
import UI_GetNumArenas
import UI_GetSpecialArenaInfo
import UI_GetArenaInfoByMap
import UI_GetArenaInfoByNumber
import UI_NetworkOptionsMenu
import UI_NetworkOptionsMenu_Cache
import ScreensizeCallback
import GammaCallback
import UI_FontsMenu
import UI_SoundMenu_Cache
import UI_SoundMenu
import setup_menubuttons
import UI_DisplayOptionsMenu
import UI_TeamOrdersMenu_Cache
import UI_TeamOrdersMenu_f
import UI_TeamOrdersMenu
import UI_RemoveBotsMenu
import UI_RemoveBots_Cache
import UI_AddBotsMenu
import UI_AddBots_Cache
import trap_R_ModelBounds
import trap_SetCDKey
import trap_MemoryRemaining
import trap_LAN_GetPingInfo
import trap_LAN_GetPing
import trap_LAN_ClearPing
import trap_LAN_GetPingQueueCount
import trap_LAN_GetGlobalServerAddressString
import trap_LAN_GetGlobalServerCount
import trap_LAN_GetLocalServerAddressString
import trap_LAN_GetLocalServerCount
import trap_GetConfigString
import trap_GetGlconfig
import trap_GetClientState
import trap_GetClipboardData
import trap_Key_SetCatcher
import trap_Key_GetCatcher
import trap_Key_ClearStates
import trap_Key_SetOverstrikeMode
import trap_Key_GetOverstrikeMode
import trap_Key_IsDown
import trap_Key_SetBinding
import trap_Key_GetBindingBuf
import trap_Key_KeynumToStringBuf
import trap_S_RegisterSound
import trap_S_StartLocalSound
import trap_CM_LerpTag
import trap_UpdateScreen
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_RenderScene
import trap_R_AddLightToScene
import trap_R_AddPolyToScene
import trap_R_AddRefEntityToScene
import trap_R_ClearScene
import trap_R_RegisterShaderNoMip
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_FS_GetFileList
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Cmd_ExecuteText
import trap_Argv
import trap_Argc
import trap_Cvar_InfoStringBuffer
import trap_Cvar_Create
import trap_Cvar_Reset
import trap_Cvar_SetValue
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import UI_SPSkillMenu_Cache
import UI_SPSkillMenu
import UI_SPPostgameMenu_f
import UI_SPPostgameMenu_Cache
import UI_SPArena_Start
import UI_ResetGameMenu_Cache
import UI_SPLevelMenu_ReInit
import UI_SPLevelMenu_f
import UI_SPLevelMenu
import UI_SPLevelMenu_Cache
import uis
import m_entersound
import UI_MenuFrame2
import UI_MenuFrame
import UI_PrecacheMenuGraphics
import UI_Cvar_VariableString
import UI_Argv
import UI_ForceMenuOff
import UI_PopMenu
import UI_PushMenu
import UI_SetActiveMenu
import UI_IsFullscreen
import UI_AdjustFrom640
import UI_CursorInRect
import UI_DrawChar
import UI_DrawString
import UI_ProportionalStringWidth
import UI_DrawProportionalString
import UI_ProportionalSizeScale
import UI_DrawBannerString
import UI_DrawRect
import UI_FillRect
import UI_DrawHandlePic
import UI_DrawNamedPic
import UI_ClampCvar
import UI_ConsoleCommand
import UI_Refresh
import UI_MouseEvent
import UI_KeyEvent
import UI_Shutdown
import UI_Init
import UI_InitSpinControl
import UI_LoadButtonText
import UI_LoadMenuText
import UI_RegisterClientModelname
import UI_PlayerInfo_SetInfo
import UI_PlayerInfo_SetModel
import UI_DrawPlayer
import UI_VideoDriverMenu_Cache
import UI_VideoData2Menu_Cache
import UI_VideoDataMenu_Cache
import UI_VideoDataMenu
import DriverInfo_Cache
import ServerInfo_Cache
import UI_ServerInfoMenu
import UI_BotSelectMenu_Cache
import UI_BotSelectMenu
import ServerOptions_Cache
import StartServer_Cache
import UI_StartServerMenu
import UI_ChooseServerTypeMenu_Cache
import ArenaServers_Cache
import UI_ArenaServersMenu
import s_voicelanguage_Names
import s_textlanguage_Names
import UI_GameOptionsMenu_Cache
import UI_GameOptionsMenu
import PlayerSettings_Cache
import UI_PlayerSettingsMenu
import PlayerModel_Cache
import UI_PlayerModelMenu
import UI_CDKeyMenu2
import UI_CDKeyMenu_f
import UI_CDKeyMenu_Cache
import UI_CDKeyMenu
import UI_ModsMenu_Cache
import UI_ModsMenu
import UI_DemosMenu
import SetupMenu_TopButtons
import UI_ControlsMouseJoyStickMenu_Cache
import Controls_Cache
import UI_DrawConnectScreen
import TeamMain_Cache
import UI_TeamMainMenu
import UI_ConfirmMenu
import ConfirmMenu_Cache
import UI_BotCommandMenu_f
import UI_DynamicMenu
import UI_DynamicMenuCache
import UI_InGameMenu
import InGame_Cache
import ingameFlag
import UI_DemosMenu_Cache
import UI_QuitMenu_Cache
import UI_ChooseServerTypeMenu
import UI_QuitMenu
import UI_Setup_MenuButtons
import UI_UpdateCvars
import UI_RegisterCvars
import UI_MainMenu
import MainMenu_Cache
import MenuField_Key
import MenuField_Draw
import MenuField_Init
import MField_Draw
import MField_CharEvent
import MField_KeyDownEvent
import MField_Clear
import ui_medalSounds
import ui_medalPicNames
import ui_medalNames
import text_color_highlight
import text_color_normal
import text_color_disabled
import listbar_color
import list_color
import name_color
import color_dim
import color_red
import color_orange
import color_blue
import color_yellow
import color_white
import menu_dim_color
import menu_black_color
import menu_red_color
import menu_highlight_color
import menu_dark_color
import menu_grayed_color
import menu_text_color
import menu_null_sound
import menu_buzz_sound
import menu_out_sound
import menu_move_sound
import menu_in_sound
import ScrollList_Key
import ScrollList_Draw
import Bitmap_Draw
import Bitmap_Init
import Menu_DefaultKey
import Menu_SetCursorToItem
import Menu_SetCursor
import Menu_ActivateItem
import Menu_ItemAtCursor
import Menu_Draw
import Menu_AdjustCursor
import Menu_AddItem
import Menu_Focus
import Menu_Cache
import UI_HolomatchInMenu_Cache
import Mouse_Show
import Mouse_Hide
import ui_playerclass
import ui_cdkeychecked2
import ui_cdkeychecked
import ui_server16
import ui_server15
import ui_server14
import ui_server13
import ui_server12
import ui_server11
import ui_server10
import ui_server9
import ui_server8
import ui_server7
import ui_server6
import ui_server5
import ui_server4
import ui_server3
import ui_server2
import ui_server1
import ui_marks
import ui_drawCrosshairNames
import ui_drawCrosshair
import ui_brassTime
import ui_browserShowEmpty
import ui_browserShowFull
import ui_browserSortKey
import ui_browserGameType
import ui_browserMaster
import ui_spSelection
import ui_team_race_red
import ui_team_race_blue
import ui_dowarmup
import ui_warmup
import ui_respawnGhostTime
import ui_forcerespawn
import ui_holoIntro
import ui_adaptRespawn
import ui_dmgmult
import ui_knockback
import ui_gravity
import ui_speed
import ui_weaponrespawn
import ui_spSkill
import ui_spVideos
import ui_spAwards
import ui_spScores5
import ui_spScores4
import ui_spScores3
import ui_spScores2
import ui_spScores1
import ui_botminplayers
import ui_botsFile
import ui_arenasFile
import ui_ctf_friendly
import ui_ctf_timelimit
import ui_ctf_capturelimit
import ui_team_friendly
import ui_team_timelimit
import ui_team_fraglimit
import ui_tourney_timelimit
import ui_tourney_fraglimit
import ui_ffa_timelimit
import ui_ffa_fraglimit
import menu_button_text
import menu_normal_text
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $328
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 99
byte 1 111
byte 1 114
byte 1 110
byte 1 101
byte 1 114
byte 1 95
byte 1 108
byte 1 114
byte 1 95
byte 1 49
byte 1 56
byte 1 95
byte 1 49
byte 1 56
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $326
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 99
byte 1 111
byte 1 114
byte 1 110
byte 1 101
byte 1 114
byte 1 95
byte 1 108
byte 1 108
byte 1 95
byte 1 49
byte 1 56
byte 1 95
byte 1 49
byte 1 56
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $324
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 99
byte 1 111
byte 1 114
byte 1 110
byte 1 101
byte 1 114
byte 1 95
byte 1 117
byte 1 114
byte 1 95
byte 1 49
byte 1 56
byte 1 95
byte 1 49
byte 1 56
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $322
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 99
byte 1 111
byte 1 114
byte 1 110
byte 1 101
byte 1 114
byte 1 95
byte 1 117
byte 1 108
byte 1 95
byte 1 49
byte 1 56
byte 1 95
byte 1 49
byte 1 56
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $319
byte 1 37
byte 1 105
byte 1 0
align 1
LABELV $288
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 115
byte 1 113
byte 1 117
byte 1 97
byte 1 114
byte 1 101
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $169
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 98
byte 1 97
byte 1 114
byte 1 49
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $133
byte 1 49
byte 1 48
byte 1 57
byte 1 54
byte 1 49
byte 1 0
align 1
LABELV $131
byte 1 49
byte 1 48
byte 1 57
byte 1 54
byte 1 51
byte 1 0
align 1
LABELV $129
byte 1 57
byte 1 45
byte 1 51
byte 1 48
byte 1 48
byte 1 49
byte 1 0
align 1
LABELV $127
byte 1 49
byte 1 48
byte 1 48
byte 1 57
byte 1 45
byte 1 51
byte 1 0
align 1
LABELV $125
byte 1 50
byte 1 49
byte 1 54
byte 1 0
align 1
LABELV $100
byte 1 99
byte 1 111
byte 1 110
byte 1 110
byte 1 101
byte 1 99
byte 1 116
byte 1 32
byte 1 37
byte 1 115
byte 1 10
byte 1 0
align 1
LABELV $96
byte 1 58
byte 1 37
byte 1 115
byte 1 0
