export CG_BubbleTrail
code
proc CG_BubbleTrail 96 4
file "../cg_effects.c"
line 17
;1:// Copyright (C) 1999-2000 Id Software, Inc.
;2://
;3:// cg_effects.c -- these functions generate localentities, usually as a result
;4:// of event processing
;5:
;6:#include "cg_local.h"
;7:#include "fx_local.h"
;8:
;9:
;10:/*
;11:==================
;12:CG_BubbleTrail
;13:
;14:Bullets shot underwater
;15:==================
;16:*/
;17:void CG_BubbleTrail( vec3_t start, vec3_t end, float spacing ) {
line 23
;18:	vec3_t		move;
;19:	vec3_t		vec;
;20:	float		len;
;21:	int			i;
;22:
;23:	VectorCopy (start, move);
ADDRLP4 0
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 24
;24:	VectorSubtract (end, start, vec);
ADDRLP4 32
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 36
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12
ADDRLP4 32
INDIRP4
INDIRF4
ADDRLP4 36
INDIRP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 40
CNSTI4 4
ASGNI4
ADDRLP4 12+4
ADDRLP4 32
INDIRP4
ADDRLP4 40
INDIRI4
ADDP4
INDIRF4
ADDRLP4 36
INDIRP4
ADDRLP4 40
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 44
CNSTI4 8
ASGNI4
ADDRLP4 12+8
ADDRFP4 4
INDIRP4
ADDRLP4 44
INDIRI4
ADDP4
INDIRF4
ADDRFP4 0
INDIRP4
ADDRLP4 44
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
line 25
;25:	len = VectorNormalize (vec);
ADDRLP4 12
ARGP4
ADDRLP4 48
ADDRGP4 VectorNormalize
CALLF4
ASGNF4
ADDRLP4 28
ADDRLP4 48
INDIRF4
ASGNF4
line 28
;26:
;27:	// advance a random amount first
;28:	i = rand() % (int)spacing;
ADDRLP4 52
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 24
ADDRLP4 52
INDIRI4
ADDRFP4 8
INDIRF4
CVFI4 4
MODI4
ASGNI4
line 29
;29:	VectorMA( move, i, vec, move );
ADDRLP4 56
ADDRLP4 24
INDIRI4
CVIF4 4
ASGNF4
ADDRLP4 0
ADDRLP4 0
INDIRF4
ADDRLP4 12
INDIRF4
ADDRLP4 56
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 0+4
INDIRF4
ADDRLP4 12+4
INDIRF4
ADDRLP4 56
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+8
ADDRLP4 0+8
INDIRF4
ADDRLP4 12+8
INDIRF4
ADDRLP4 24
INDIRI4
CVIF4 4
MULF4
ADDF4
ASGNF4
line 31
;30:
;31:	VectorScale (vec, spacing, vec);
ADDRLP4 60
ADDRFP4 8
INDIRF4
ASGNF4
ADDRLP4 12
ADDRLP4 12
INDIRF4
ADDRLP4 60
INDIRF4
MULF4
ASGNF4
ADDRLP4 12+4
ADDRLP4 12+4
INDIRF4
ADDRLP4 60
INDIRF4
MULF4
ASGNF4
ADDRLP4 12+8
ADDRLP4 12+8
INDIRF4
ADDRFP4 8
INDIRF4
MULF4
ASGNF4
line 33
;32:
;33:	for ( ; i < len; i += spacing ) {
ADDRGP4 $102
JUMPV
LABELV $99
line 37
;34:		localEntity_t	*le;
;35:		refEntity_t		*re;
;36:
;37:		le = CG_AllocLocalEntity();
ADDRLP4 72
ADDRGP4 CG_AllocLocalEntity
CALLP4
ASGNP4
ADDRLP4 64
ADDRLP4 72
INDIRP4
ASGNP4
line 38
;38:		le->leFlags = LEF_PUFF_DONT_SCALE;
ADDRLP4 64
INDIRP4
CNSTI4 12
ADDP4
CNSTI4 1
ASGNI4
line 39
;39:		le->leType = LE_MOVE_SCALE_FADE;
ADDRLP4 64
INDIRP4
CNSTI4 8
ADDP4
CNSTI4 3
ASGNI4
line 40
;40:		le->startTime = cg.time;
ADDRLP4 64
INDIRP4
CNSTI4 16
ADDP4
ADDRGP4 cg+105552
INDIRI4
ASGNI4
line 41
;41:		le->endTime = cg.time + 1000 + random() * 250;
ADDRLP4 76
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 64
INDIRP4
CNSTI4 20
ADDP4
ADDRGP4 cg+105552
INDIRI4
CNSTI4 1000
ADDI4
CVIF4 4
CNSTF4 1132068864
ADDRLP4 76
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
MULF4
ADDF4
CVFI4 4
ASGNI4
line 42
;42:		le->lifeRate = 1.0 / ( le->endTime - le->startTime );
ADDRLP4 64
INDIRP4
CNSTI4 24
ADDP4
CNSTF4 1065353216
ADDRLP4 64
INDIRP4
CNSTI4 20
ADDP4
INDIRI4
ADDRLP4 64
INDIRP4
CNSTI4 16
ADDP4
INDIRI4
SUBI4
CVIF4 4
DIVF4
ASGNF4
line 44
;43:
;44:		re = &le->refEntity;
ADDRLP4 68
ADDRLP4 64
INDIRP4
CNSTI4 248
ADDP4
ASGNP4
line 45
;45:		re->shaderTime = cg.time / 1000.0f;
ADDRLP4 68
INDIRP4
CNSTI4 128
ADDP4
ADDRGP4 cg+105552
INDIRI4
CVIF4 4
CNSTF4 1148846080
DIVF4
ASGNF4
line 47
;46:
;47:		re->reType = RT_SPRITE;
ADDRLP4 68
INDIRP4
CNSTI4 1
ASGNI4
line 48
;48:		re->data.sprite.rotation = 0;
ADDRLP4 68
INDIRP4
CNSTI4 132
ADDP4
CNSTF4 0
ASGNF4
line 49
;49:		re->data.sprite.radius = 3;
ADDRLP4 68
INDIRP4
CNSTI4 136
ADDP4
CNSTF4 1077936128
ASGNF4
line 50
;50:		re->customShader = cgs.media.waterBubbleShader;
ADDRLP4 68
INDIRP4
CNSTI4 112
ADDP4
ADDRGP4 cgs+195628+476
INDIRI4
ASGNI4
line 51
;51:		re->shaderRGBA[0] = 0xff;
ADDRLP4 68
INDIRP4
CNSTI4 116
ADDP4
CNSTU1 255
ASGNU1
line 52
;52:		re->shaderRGBA[1] = 0xff;
ADDRLP4 68
INDIRP4
CNSTI4 117
ADDP4
CNSTU1 255
ASGNU1
line 53
;53:		re->shaderRGBA[2] = 0xff;
ADDRLP4 68
INDIRP4
CNSTI4 118
ADDP4
CNSTU1 255
ASGNU1
line 54
;54:		re->shaderRGBA[3] = 0xff;
ADDRLP4 68
INDIRP4
CNSTI4 119
ADDP4
CNSTU1 255
ASGNU1
line 56
;55:
;56:		le->color[3] = 1.0;
ADDRLP4 64
INDIRP4
CNSTI4 116
ADDP4
CNSTF4 1065353216
ASGNF4
line 58
;57:
;58:		le->pos.trType = TR_LINEAR;
ADDRLP4 64
INDIRP4
CNSTI4 28
ADDP4
CNSTI4 2
ASGNI4
line 59
;59:		le->pos.trTime = cg.time;
ADDRLP4 64
INDIRP4
CNSTI4 32
ADDP4
ADDRGP4 cg+105552
INDIRI4
ASGNI4
line 60
;60:		VectorCopy( move, le->pos.trBase );
ADDRLP4 64
INDIRP4
CNSTI4 40
ADDP4
ADDRLP4 0
INDIRB
ASGNB 12
line 61
;61:		le->pos.trDelta[0] = crandom()*5;
ADDRLP4 84
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 64
INDIRP4
CNSTI4 52
ADDP4
CNSTF4 1084227584
CNSTF4 1073741824
ADDRLP4 84
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
MULF4
ASGNF4
line 62
;62:		le->pos.trDelta[1] = crandom()*5;
ADDRLP4 88
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 64
INDIRP4
CNSTI4 56
ADDP4
CNSTF4 1084227584
CNSTF4 1073741824
ADDRLP4 88
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
MULF4
ASGNF4
line 63
;63:		le->pos.trDelta[2] = crandom()*5 + 6;
ADDRLP4 92
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 64
INDIRP4
CNSTI4 60
ADDP4
CNSTF4 1084227584
CNSTF4 1073741824
ADDRLP4 92
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
MULF4
CNSTF4 1086324736
ADDF4
ASGNF4
line 65
;64:
;65:		VectorAdd (move, vec, move);
ADDRLP4 0
ADDRLP4 0
INDIRF4
ADDRLP4 12
INDIRF4
ADDF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 0+4
INDIRF4
ADDRLP4 12+4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 0+8
ADDRLP4 0+8
INDIRF4
ADDRLP4 12+8
INDIRF4
ADDF4
ASGNF4
line 66
;66:	}
LABELV $100
line 33
ADDRLP4 24
ADDRLP4 24
INDIRI4
CVIF4 4
ADDRFP4 8
INDIRF4
ADDF4
CVFI4 4
ASGNI4
LABELV $102
ADDRLP4 24
INDIRI4
CVIF4 4
ADDRLP4 28
INDIRF4
LTF4 $99
line 67
;67:}
LABELV $86
endproc CG_BubbleTrail 96 4
data
align 4
LABELV $116
byte 4 146
export CG_SmokePuff
code
proc CG_SmokePuff 56 4
line 82
;68:
;69:/*
;70:=====================
;71:CG_SmokePuff
;72:
;73:Adds a smoke puff or blood trail localEntity.
;74:=====================
;75:*/
;76:localEntity_t *CG_SmokePuff( const vec3_t p, const vec3_t vel, 
;77:				   float radius,
;78:				   float r, float g, float b, float a,
;79:				   float duration,
;80:				   int startTime,
;81:				   int leFlags,
;82:				   qhandle_t hShader ) {
line 87
;83:	static int	seed = 0x92;
;84:	localEntity_t	*le;
;85:	refEntity_t		*re;
;86:
;87:	le = CG_AllocLocalEntity();
ADDRLP4 8
ADDRGP4 CG_AllocLocalEntity
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 8
INDIRP4
ASGNP4
line 88
;88:	le->leFlags = leFlags;
ADDRLP4 0
INDIRP4
CNSTI4 12
ADDP4
ADDRFP4 36
INDIRI4
ASGNI4
line 89
;89:	le->data.sprite.radius = radius;
ADDRLP4 0
INDIRP4
CNSTI4 168
ADDP4
ADDRFP4 8
INDIRF4
ASGNF4
line 91
;90:
;91:	re = &le->refEntity;
ADDRLP4 4
ADDRLP4 0
INDIRP4
CNSTI4 248
ADDP4
ASGNP4
line 92
;92:	re->data.sprite.rotation = Q_random( &seed ) * 360;
ADDRGP4 $116
ARGP4
ADDRLP4 12
ADDRGP4 Q_random
CALLF4
ASGNF4
ADDRLP4 4
INDIRP4
CNSTI4 132
ADDP4
CNSTF4 1135869952
ADDRLP4 12
INDIRF4
MULF4
ASGNF4
line 93
;93:	re->data.sprite.radius = radius;
ADDRLP4 4
INDIRP4
CNSTI4 136
ADDP4
ADDRFP4 8
INDIRF4
ASGNF4
line 94
;94:	re->shaderTime = startTime / 1000.0f;
ADDRLP4 4
INDIRP4
CNSTI4 128
ADDP4
ADDRFP4 32
INDIRI4
CVIF4 4
CNSTF4 1148846080
DIVF4
ASGNF4
line 96
;95:
;96:	le->leType = LE_MOVE_SCALE_FADE;
ADDRLP4 0
INDIRP4
CNSTI4 8
ADDP4
CNSTI4 3
ASGNI4
line 97
;97:	le->startTime = startTime;
ADDRLP4 0
INDIRP4
CNSTI4 16
ADDP4
ADDRFP4 32
INDIRI4
ASGNI4
line 98
;98:	le->endTime = startTime + duration;
ADDRLP4 0
INDIRP4
CNSTI4 20
ADDP4
ADDRFP4 32
INDIRI4
CVIF4 4
ADDRFP4 28
INDIRF4
ADDF4
CVFI4 4
ASGNI4
line 99
;99:	le->lifeRate = 1.0 / ( le->endTime - le->startTime );
ADDRLP4 0
INDIRP4
CNSTI4 24
ADDP4
CNSTF4 1065353216
ADDRLP4 0
INDIRP4
CNSTI4 20
ADDP4
INDIRI4
ADDRLP4 0
INDIRP4
CNSTI4 16
ADDP4
INDIRI4
SUBI4
CVIF4 4
DIVF4
ASGNF4
line 100
;100:	le->color[0] = r;
ADDRLP4 0
INDIRP4
CNSTI4 104
ADDP4
ADDRFP4 12
INDIRF4
ASGNF4
line 101
;101:	le->color[1] = g; 
ADDRLP4 0
INDIRP4
CNSTI4 108
ADDP4
ADDRFP4 16
INDIRF4
ASGNF4
line 102
;102:	le->color[2] = b;
ADDRLP4 0
INDIRP4
CNSTI4 112
ADDP4
ADDRFP4 20
INDIRF4
ASGNF4
line 103
;103:	le->color[3] = a;
ADDRLP4 0
INDIRP4
CNSTI4 116
ADDP4
ADDRFP4 24
INDIRF4
ASGNF4
line 106
;104:
;105:
;106:	le->pos.trType = TR_LINEAR;
ADDRLP4 0
INDIRP4
CNSTI4 28
ADDP4
CNSTI4 2
ASGNI4
line 107
;107:	le->pos.trTime = startTime;
ADDRLP4 0
INDIRP4
CNSTI4 32
ADDP4
ADDRFP4 32
INDIRI4
ASGNI4
line 108
;108:	VectorCopy( vel, le->pos.trDelta );
ADDRLP4 0
INDIRP4
CNSTI4 52
ADDP4
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 109
;109:	VectorCopy( p, le->pos.trBase );
ADDRLP4 0
INDIRP4
CNSTI4 40
ADDP4
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 111
;110:
;111:	VectorCopy( p, re->origin );
ADDRLP4 4
INDIRP4
CNSTI4 68
ADDP4
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 112
;112:	re->customShader = hShader;
ADDRLP4 4
INDIRP4
CNSTI4 112
ADDP4
ADDRFP4 40
INDIRI4
ASGNI4
line 115
;113:
;114:	// rage pro can't alpha fade, so use a different shader
;115:	if ( cgs.glconfig.hardwareType == GLHW_RAGEPRO ) {
ADDRGP4 cgs+20100+5144
INDIRI4
CNSTI4 3
NEI4 $117
line 116
;116:		re->customShader = cgs.media.smokePuffRageProShader;
ADDRLP4 4
INDIRP4
CNSTI4 112
ADDP4
ADDRGP4 cgs+195628+472
INDIRI4
ASGNI4
line 117
;117:		re->shaderRGBA[0] = 0xff;
ADDRLP4 4
INDIRP4
CNSTI4 116
ADDP4
CNSTU1 255
ASGNU1
line 118
;118:		re->shaderRGBA[1] = 0xff;
ADDRLP4 4
INDIRP4
CNSTI4 117
ADDP4
CNSTU1 255
ASGNU1
line 119
;119:		re->shaderRGBA[2] = 0xff;
ADDRLP4 4
INDIRP4
CNSTI4 118
ADDP4
CNSTU1 255
ASGNU1
line 120
;120:		re->shaderRGBA[3] = 0xff;
ADDRLP4 4
INDIRP4
CNSTI4 119
ADDP4
CNSTU1 255
ASGNU1
line 121
;121:	} else {
ADDRGP4 $118
JUMPV
LABELV $117
line 122
;122:		re->shaderRGBA[0] = le->color[0] * 0xff;
ADDRLP4 24
CNSTF4 1132396544
ADDRLP4 0
INDIRP4
CNSTI4 104
ADDP4
INDIRF4
MULF4
ASGNF4
ADDRLP4 28
CNSTF4 1325400064
ASGNF4
ADDRLP4 24
INDIRF4
ADDRLP4 28
INDIRF4
LTF4 $124
ADDRLP4 20
ADDRLP4 24
INDIRF4
ADDRLP4 28
INDIRF4
SUBF4
CVFI4 4
CVIU4 4
CNSTU4 2147483648
ADDU4
ASGNU4
ADDRGP4 $125
JUMPV
LABELV $124
ADDRLP4 20
ADDRLP4 24
INDIRF4
CVFI4 4
CVIU4 4
ASGNU4
LABELV $125
ADDRLP4 4
INDIRP4
CNSTI4 116
ADDP4
ADDRLP4 20
INDIRU4
CVUU1 4
ASGNU1
line 123
;123:		re->shaderRGBA[1] = le->color[1] * 0xff;
ADDRLP4 36
CNSTF4 1132396544
ADDRLP4 0
INDIRP4
CNSTI4 108
ADDP4
INDIRF4
MULF4
ASGNF4
ADDRLP4 40
CNSTF4 1325400064
ASGNF4
ADDRLP4 36
INDIRF4
ADDRLP4 40
INDIRF4
LTF4 $127
ADDRLP4 32
ADDRLP4 36
INDIRF4
ADDRLP4 40
INDIRF4
SUBF4
CVFI4 4
CVIU4 4
CNSTU4 2147483648
ADDU4
ASGNU4
ADDRGP4 $128
JUMPV
LABELV $127
ADDRLP4 32
ADDRLP4 36
INDIRF4
CVFI4 4
CVIU4 4
ASGNU4
LABELV $128
ADDRLP4 4
INDIRP4
CNSTI4 117
ADDP4
ADDRLP4 32
INDIRU4
CVUU1 4
ASGNU1
line 124
;124:		re->shaderRGBA[2] = le->color[2] * 0xff;
ADDRLP4 48
CNSTF4 1132396544
ADDRLP4 0
INDIRP4
CNSTI4 112
ADDP4
INDIRF4
MULF4
ASGNF4
ADDRLP4 52
CNSTF4 1325400064
ASGNF4
ADDRLP4 48
INDIRF4
ADDRLP4 52
INDIRF4
LTF4 $130
ADDRLP4 44
ADDRLP4 48
INDIRF4
ADDRLP4 52
INDIRF4
SUBF4
CVFI4 4
CVIU4 4
CNSTU4 2147483648
ADDU4
ASGNU4
ADDRGP4 $131
JUMPV
LABELV $130
ADDRLP4 44
ADDRLP4 48
INDIRF4
CVFI4 4
CVIU4 4
ASGNU4
LABELV $131
ADDRLP4 4
INDIRP4
CNSTI4 118
ADDP4
ADDRLP4 44
INDIRU4
CVUU1 4
ASGNU1
line 125
;125:		re->shaderRGBA[3] = 0xff;
ADDRLP4 4
INDIRP4
CNSTI4 119
ADDP4
CNSTU1 255
ASGNU1
line 126
;126:	}
LABELV $118
line 128
;127:
;128:	re->reType = RT_SPRITE;
ADDRLP4 4
INDIRP4
CNSTI4 1
ASGNI4
line 129
;129:	re->data.sprite.radius = le->data.sprite.radius;
ADDRLP4 4
INDIRP4
CNSTI4 136
ADDP4
ADDRLP4 0
INDIRP4
CNSTI4 168
ADDP4
INDIRF4
ASGNF4
line 131
;130:
;131:	return le;
ADDRLP4 0
INDIRP4
RETP4
LABELV $115
endproc CG_SmokePuff 56 4
export CG_SpawnEffect
proc CG_SpawnEffect 28 4
line 141
;132:}
;133:
;134:/*
;135:==================
;136:CG_SpawnEffect
;137:
;138:Player teleporting in or out
;139:==================
;140:*/
;141:void CG_SpawnEffect( vec3_t org ) {
line 145
;142:	localEntity_t	*le;
;143:	refEntity_t		*re;
;144:
;145:	FX_Transporter(org);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 FX_Transporter
CALLV
pop
line 146
;146:	le = CG_AllocLocalEntity();
ADDRLP4 8
ADDRGP4 CG_AllocLocalEntity
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 8
INDIRP4
ASGNP4
line 147
;147:	le->leFlags = 0;
ADDRLP4 0
INDIRP4
CNSTI4 12
ADDP4
CNSTI4 0
ASGNI4
line 148
;148:	le->leType = LE_FADE_RGB;
ADDRLP4 0
INDIRP4
CNSTI4 8
ADDP4
CNSTI4 5
ASGNI4
line 149
;149:	le->startTime = cg.time;
ADDRLP4 0
INDIRP4
CNSTI4 16
ADDP4
ADDRGP4 cg+105552
INDIRI4
ASGNI4
line 150
;150:	le->endTime = cg.time + 500;
ADDRLP4 0
INDIRP4
CNSTI4 20
ADDP4
ADDRGP4 cg+105552
INDIRI4
CNSTI4 500
ADDI4
ASGNI4
line 151
;151:	le->lifeRate = 1.0 / ( le->endTime - le->startTime );
ADDRLP4 0
INDIRP4
CNSTI4 24
ADDP4
CNSTF4 1065353216
ADDRLP4 0
INDIRP4
CNSTI4 20
ADDP4
INDIRI4
ADDRLP4 0
INDIRP4
CNSTI4 16
ADDP4
INDIRI4
SUBI4
CVIF4 4
DIVF4
ASGNF4
line 153
;152:
;153:	le->color[0] = le->color[1] = le->color[2] = le->color[3] = 1.0;
ADDRLP4 20
CNSTF4 1065353216
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 116
ADDP4
ADDRLP4 20
INDIRF4
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 112
ADDP4
ADDRLP4 20
INDIRF4
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 108
ADDP4
ADDRLP4 20
INDIRF4
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 104
ADDP4
ADDRLP4 20
INDIRF4
ASGNF4
line 155
;154:
;155:	re = &le->refEntity;
ADDRLP4 4
ADDRLP4 0
INDIRP4
CNSTI4 248
ADDP4
ASGNP4
line 157
;156:
;157:	re->reType = RT_MODEL;
ADDRLP4 4
INDIRP4
CNSTI4 0
ASGNI4
line 158
;158:	re->shaderTime = cg.time / 1000.0f;
ADDRLP4 4
INDIRP4
CNSTI4 128
ADDP4
ADDRGP4 cg+105552
INDIRI4
CVIF4 4
CNSTF4 1148846080
DIVF4
ASGNF4
line 160
;159:
;160:	re->customShader = cgs.media.teleportEffectShader;
ADDRLP4 4
INDIRP4
CNSTI4 112
ADDP4
ADDRGP4 cgs+195628+764
INDIRI4
ASGNI4
line 161
;161:	re->hModel = cgs.media.teleportEffectModel;
ADDRLP4 4
INDIRP4
CNSTI4 8
ADDP4
ADDRGP4 cgs+195628+760
INDIRI4
ASGNI4
line 162
;162:	AxisClear( re->axis );
ADDRLP4 4
INDIRP4
CNSTI4 28
ADDP4
ARGP4
ADDRGP4 AxisClear
CALLV
pop
line 164
;163:
;164:	VectorCopy( org, re->origin );
ADDRLP4 4
INDIRP4
CNSTI4 68
ADDP4
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 165
;165:	re->origin[2] -= 24;
ADDRLP4 24
ADDRLP4 4
INDIRP4
CNSTI4 76
ADDP4
ASGNP4
ADDRLP4 24
INDIRP4
ADDRLP4 24
INDIRP4
INDIRF4
CNSTF4 1103101952
SUBF4
ASGNF4
line 166
;166:}
LABELV $132
endproc CG_SpawnEffect 28 4
export CG_MakeExplosion
proc CG_MakeExplosion 60 8
line 178
;167:
;168:
;169:
;170:
;171:/*
;172:====================
;173:CG_MakeExplosion
;174:====================
;175:*/
;176:localEntity_t *CG_MakeExplosion( vec3_t origin, vec3_t dir, 
;177:								qhandle_t hModel, qhandle_t shader,
;178:								int msec, qboolean isSprite ) {
line 184
;179:	float			ang;
;180:	localEntity_t	*ex;
;181:	int				offset;
;182:	vec3_t			tmpVec, newOrigin;
;183:
;184:	if ( msec <= 0 ) {
ADDRFP4 16
INDIRI4
CNSTI4 0
GTI4 $141
line 185
;185:		CG_Error( "CG_MakeExplosion: msec = %i", msec );
ADDRGP4 $143
ARGP4
ADDRFP4 16
INDIRI4
ARGI4
ADDRGP4 CG_Error
CALLV
pop
line 186
;186:	}
LABELV $141
line 189
;187:
;188:	// skew the time a bit so they aren't all in sync
;189:	offset = rand() & 63;
ADDRLP4 36
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 28
ADDRLP4 36
INDIRI4
CNSTI4 63
BANDI4
ASGNI4
line 191
;190:
;191:	ex = CG_AllocLocalEntity();
ADDRLP4 40
ADDRGP4 CG_AllocLocalEntity
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 40
INDIRP4
ASGNP4
line 192
;192:	if ( isSprite ) {
ADDRFP4 20
INDIRI4
CNSTI4 0
EQI4 $144
line 193
;193:		ex->leType = LE_SPRITE_EXPLOSION;
ADDRLP4 0
INDIRP4
CNSTI4 8
ADDP4
CNSTI4 2
ASGNI4
line 196
;194:
;195:		// randomly rotate sprite orientation
;196:		ex->refEntity.data.sprite.rotation = rand() % 360;
ADDRLP4 44
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 0
INDIRP4
CNSTI4 380
ADDP4
ADDRLP4 44
INDIRI4
CNSTI4 360
MODI4
CVIF4 4
ASGNF4
line 197
;197:		VectorScale( dir, 16, tmpVec );
ADDRLP4 48
CNSTF4 1098907648
ASGNF4
ADDRLP4 52
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 16
ADDRLP4 48
INDIRF4
ADDRLP4 52
INDIRP4
INDIRF4
MULF4
ASGNF4
ADDRLP4 16+4
ADDRLP4 48
INDIRF4
ADDRLP4 52
INDIRP4
CNSTI4 4
ADDP4
INDIRF4
MULF4
ASGNF4
ADDRLP4 16+8
CNSTF4 1098907648
ADDRFP4 4
INDIRP4
CNSTI4 8
ADDP4
INDIRF4
MULF4
ASGNF4
line 198
;198:		VectorAdd( tmpVec, origin, newOrigin );
ADDRLP4 56
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
ADDRLP4 16
INDIRF4
ADDRLP4 56
INDIRP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 4+4
ADDRLP4 16+4
INDIRF4
ADDRLP4 56
INDIRP4
CNSTI4 4
ADDP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 4+8
ADDRLP4 16+8
INDIRF4
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRF4
ADDF4
ASGNF4
line 199
;199:	} else {
ADDRGP4 $145
JUMPV
LABELV $144
line 200
;200:		ex->leType = LE_EXPLOSION;
ADDRLP4 0
INDIRP4
CNSTI4 8
ADDP4
CNSTI4 1
ASGNI4
line 201
;201:		VectorCopy( origin, newOrigin );
ADDRLP4 4
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 204
;202:
;203:		// set axis with random rotate
;204:		if ( !dir ) {
ADDRFP4 4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $152
line 205
;205:			AxisClear( ex->refEntity.axis );
ADDRLP4 0
INDIRP4
CNSTI4 276
ADDP4
ARGP4
ADDRGP4 AxisClear
CALLV
pop
line 206
;206:		} else {
ADDRGP4 $153
JUMPV
LABELV $152
line 207
;207:			ang = rand() % 360;
ADDRLP4 44
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 32
ADDRLP4 44
INDIRI4
CNSTI4 360
MODI4
CVIF4 4
ASGNF4
line 208
;208:			VectorCopy( dir, ex->refEntity.axis[0] );
ADDRLP4 0
INDIRP4
CNSTI4 276
ADDP4
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 209
;209:			RotateAroundDirection( ex->refEntity.axis, ang );
ADDRLP4 0
INDIRP4
CNSTI4 276
ADDP4
ARGP4
ADDRLP4 32
INDIRF4
ARGF4
ADDRGP4 RotateAroundDirection
CALLV
pop
line 210
;210:		}
LABELV $153
line 211
;211:	}
LABELV $145
line 213
;212:
;213:	ex->startTime = cg.time - offset;
ADDRLP4 0
INDIRP4
CNSTI4 16
ADDP4
ADDRGP4 cg+105552
INDIRI4
ADDRLP4 28
INDIRI4
SUBI4
ASGNI4
line 214
;214:	ex->endTime = ex->startTime + msec;
ADDRLP4 0
INDIRP4
CNSTI4 20
ADDP4
ADDRLP4 0
INDIRP4
CNSTI4 16
ADDP4
INDIRI4
ADDRFP4 16
INDIRI4
ADDI4
ASGNI4
line 217
;215:
;216:	// bias the time so all shader effects start correctly
;217:	ex->refEntity.shaderTime = ex->startTime / 1000.0f;
ADDRLP4 0
INDIRP4
CNSTI4 376
ADDP4
ADDRLP4 0
INDIRP4
CNSTI4 16
ADDP4
INDIRI4
CVIF4 4
CNSTF4 1148846080
DIVF4
ASGNF4
line 219
;218:
;219:	ex->refEntity.hModel = hModel;
ADDRLP4 0
INDIRP4
CNSTI4 256
ADDP4
ADDRFP4 8
INDIRI4
ASGNI4
line 220
;220:	ex->refEntity.customShader = shader;
ADDRLP4 0
INDIRP4
CNSTI4 360
ADDP4
ADDRFP4 12
INDIRI4
ASGNI4
line 223
;221:
;222:	// set origin
;223:	VectorCopy( newOrigin, ex->refEntity.origin );
ADDRLP4 0
INDIRP4
CNSTI4 316
ADDP4
ADDRLP4 4
INDIRB
ASGNB 12
line 224
;224:	VectorCopy( newOrigin, ex->refEntity.oldorigin );
ADDRLP4 0
INDIRP4
CNSTI4 332
ADDP4
ADDRLP4 4
INDIRB
ASGNB 12
line 226
;225:
;226:	ex->color[0] = ex->color[1] = ex->color[2] = 1.0;
ADDRLP4 56
CNSTF4 1065353216
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 112
ADDP4
ADDRLP4 56
INDIRF4
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 108
ADDP4
ADDRLP4 56
INDIRF4
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 104
ADDP4
ADDRLP4 56
INDIRF4
ASGNF4
line 228
;227:
;228:	return ex;
ADDRLP4 0
INDIRP4
RETP4
LABELV $140
endproc CG_MakeExplosion 60 8
export CG_MakeExplosion2
proc CG_MakeExplosion2 88 8
line 234
;229:}
;230:
;231:
;232:localEntity_t *CG_MakeExplosion2( vec3_t origin, vec3_t dir, 
;233:								qhandle_t hModel, int numFrames, qhandle_t shader,
;234:								int msec, qboolean isSprite, float scale, int flags) {
line 240
;235:	float			ang;
;236:	localEntity_t	*ex;
;237:	int				offset;
;238:	vec3_t			tmpVec, newOrigin;
;239:
;240:	if ( msec <= 0 ) {
ADDRFP4 20
INDIRI4
CNSTI4 0
GTI4 $156
line 241
;241:		CG_Error( "CG_MakeExplosion: msec = %i", msec );
ADDRGP4 $143
ARGP4
ADDRFP4 20
INDIRI4
ARGI4
ADDRGP4 CG_Error
CALLV
pop
line 242
;242:	}
LABELV $156
line 245
;243:
;244:	// skew the time a bit so they aren't all in sync
;245:	offset = rand() & 63;
ADDRLP4 36
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 28
ADDRLP4 36
INDIRI4
CNSTI4 63
BANDI4
ASGNI4
line 247
;246:
;247:	ex = CG_AllocLocalEntity();
ADDRLP4 40
ADDRGP4 CG_AllocLocalEntity
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 40
INDIRP4
ASGNP4
line 248
;248:	if ( isSprite ) {
ADDRFP4 24
INDIRI4
CNSTI4 0
EQI4 $158
line 249
;249:		ex->leType = LE_SPRITE_EXPLOSION;
ADDRLP4 0
INDIRP4
CNSTI4 8
ADDP4
CNSTI4 2
ASGNI4
line 252
;250:
;251:		// randomly rotate sprite orientation
;252:		ex->refEntity.data.sprite.rotation = rand() % 360;
ADDRLP4 44
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 0
INDIRP4
CNSTI4 380
ADDP4
ADDRLP4 44
INDIRI4
CNSTI4 360
MODI4
CVIF4 4
ASGNF4
line 253
;253:		VectorScale( dir, 16, tmpVec );
ADDRLP4 48
CNSTF4 1098907648
ASGNF4
ADDRLP4 52
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 16
ADDRLP4 48
INDIRF4
ADDRLP4 52
INDIRP4
INDIRF4
MULF4
ASGNF4
ADDRLP4 16+4
ADDRLP4 48
INDIRF4
ADDRLP4 52
INDIRP4
CNSTI4 4
ADDP4
INDIRF4
MULF4
ASGNF4
ADDRLP4 16+8
CNSTF4 1098907648
ADDRFP4 4
INDIRP4
CNSTI4 8
ADDP4
INDIRF4
MULF4
ASGNF4
line 254
;254:		VectorAdd( tmpVec, origin, newOrigin );
ADDRLP4 56
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
ADDRLP4 16
INDIRF4
ADDRLP4 56
INDIRP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 4+4
ADDRLP4 16+4
INDIRF4
ADDRLP4 56
INDIRP4
CNSTI4 4
ADDP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 4+8
ADDRLP4 16+8
INDIRF4
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRF4
ADDF4
ASGNF4
line 255
;255:	} else {
ADDRGP4 $159
JUMPV
LABELV $158
line 256
;256:		ex->leType = LE_EXPLOSION;
ADDRLP4 0
INDIRP4
CNSTI4 8
ADDP4
CNSTI4 1
ASGNI4
line 257
;257:		VectorCopy( origin, newOrigin );
ADDRLP4 4
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 260
;258:
;259:		// set axis with random rotate
;260:		if ( !dir ) {
ADDRFP4 4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $166
line 261
;261:			AxisClear( ex->refEntity.axis );
ADDRLP4 0
INDIRP4
CNSTI4 276
ADDP4
ARGP4
ADDRGP4 AxisClear
CALLV
pop
line 262
;262:		} else {
ADDRGP4 $167
JUMPV
LABELV $166
line 263
;263:			ang = rand() % 360;
ADDRLP4 44
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 32
ADDRLP4 44
INDIRI4
CNSTI4 360
MODI4
CVIF4 4
ASGNF4
line 264
;264:			VectorCopy( dir, ex->refEntity.axis[0] );
ADDRLP4 0
INDIRP4
CNSTI4 276
ADDP4
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 265
;265:			RotateAroundDirection( ex->refEntity.axis, ang );
ADDRLP4 0
INDIRP4
CNSTI4 276
ADDP4
ARGP4
ADDRLP4 32
INDIRF4
ARGF4
ADDRGP4 RotateAroundDirection
CALLV
pop
line 266
;266:		}
LABELV $167
line 267
;267:	}
LABELV $159
line 269
;268:
;269:	ex->startTime = cg.time - offset;
ADDRLP4 0
INDIRP4
CNSTI4 16
ADDP4
ADDRGP4 cg+105552
INDIRI4
ADDRLP4 28
INDIRI4
SUBI4
ASGNI4
line 270
;270:	ex->endTime = ex->startTime + msec;
ADDRLP4 0
INDIRP4
CNSTI4 20
ADDP4
ADDRLP4 0
INDIRP4
CNSTI4 16
ADDP4
INDIRI4
ADDRFP4 20
INDIRI4
ADDI4
ASGNI4
line 273
;271:
;272:	// bias the time so all shader effects start correctly
;273:	ex->refEntity.shaderTime = ex->startTime / 1000.0f;
ADDRLP4 0
INDIRP4
CNSTI4 376
ADDP4
ADDRLP4 0
INDIRP4
CNSTI4 16
ADDP4
INDIRI4
CVIF4 4
CNSTF4 1148846080
DIVF4
ASGNF4
line 275
;274:
;275:	ex->refEntity.hModel = hModel;
ADDRLP4 0
INDIRP4
CNSTI4 256
ADDP4
ADDRFP4 8
INDIRI4
ASGNI4
line 276
;276:	ex->refEntity.customShader = shader;
ADDRLP4 0
INDIRP4
CNSTI4 360
ADDP4
ADDRFP4 16
INDIRI4
ASGNI4
line 277
;277:	ex->lifeRate = (float)numFrames / msec;
ADDRLP4 0
INDIRP4
CNSTI4 24
ADDP4
ADDRFP4 12
INDIRI4
CVIF4 4
ADDRFP4 20
INDIRI4
CVIF4 4
DIVF4
ASGNF4
line 278
;278:	ex->leFlags = flags;
ADDRLP4 0
INDIRP4
CNSTI4 12
ADDP4
ADDRFP4 32
INDIRI4
ASGNI4
line 281
;279:
;280:	//Scale the explosion
;281:	if (scale != 1) {
ADDRFP4 28
INDIRF4
CNSTF4 1065353216
EQF4 $169
line 282
;282:		ex->refEntity.nonNormalizedAxes = qtrue;
ADDRLP4 0
INDIRP4
CNSTI4 312
ADDP4
CNSTI4 1
ASGNI4
line 284
;283:
;284:		VectorScale( ex->refEntity.axis[0], scale, ex->refEntity.axis[0] );
ADDRLP4 52
ADDRLP4 0
INDIRP4
CNSTI4 276
ADDP4
ASGNP4
ADDRLP4 52
INDIRP4
ADDRLP4 52
INDIRP4
INDIRF4
ADDRFP4 28
INDIRF4
MULF4
ASGNF4
ADDRLP4 56
ADDRLP4 0
INDIRP4
CNSTI4 280
ADDP4
ASGNP4
ADDRLP4 56
INDIRP4
ADDRLP4 56
INDIRP4
INDIRF4
ADDRFP4 28
INDIRF4
MULF4
ASGNF4
ADDRLP4 60
ADDRLP4 0
INDIRP4
CNSTI4 284
ADDP4
ASGNP4
ADDRLP4 60
INDIRP4
ADDRLP4 60
INDIRP4
INDIRF4
ADDRFP4 28
INDIRF4
MULF4
ASGNF4
line 285
;285:		VectorScale( ex->refEntity.axis[1], scale, ex->refEntity.axis[1] );
ADDRLP4 64
ADDRLP4 0
INDIRP4
CNSTI4 288
ADDP4
ASGNP4
ADDRLP4 64
INDIRP4
ADDRLP4 64
INDIRP4
INDIRF4
ADDRFP4 28
INDIRF4
MULF4
ASGNF4
ADDRLP4 68
ADDRLP4 0
INDIRP4
CNSTI4 292
ADDP4
ASGNP4
ADDRLP4 68
INDIRP4
ADDRLP4 68
INDIRP4
INDIRF4
ADDRFP4 28
INDIRF4
MULF4
ASGNF4
ADDRLP4 72
ADDRLP4 0
INDIRP4
CNSTI4 296
ADDP4
ASGNP4
ADDRLP4 72
INDIRP4
ADDRLP4 72
INDIRP4
INDIRF4
ADDRFP4 28
INDIRF4
MULF4
ASGNF4
line 286
;286:		VectorScale( ex->refEntity.axis[2], scale, ex->refEntity.axis[2] );
ADDRLP4 76
ADDRLP4 0
INDIRP4
CNSTI4 300
ADDP4
ASGNP4
ADDRLP4 76
INDIRP4
ADDRLP4 76
INDIRP4
INDIRF4
ADDRFP4 28
INDIRF4
MULF4
ASGNF4
ADDRLP4 80
ADDRLP4 0
INDIRP4
CNSTI4 304
ADDP4
ASGNP4
ADDRLP4 80
INDIRP4
ADDRLP4 80
INDIRP4
INDIRF4
ADDRFP4 28
INDIRF4
MULF4
ASGNF4
ADDRLP4 84
ADDRLP4 0
INDIRP4
CNSTI4 308
ADDP4
ASGNP4
ADDRLP4 84
INDIRP4
ADDRLP4 84
INDIRP4
INDIRF4
ADDRFP4 28
INDIRF4
MULF4
ASGNF4
line 287
;287:	}
LABELV $169
line 290
;288:
;289:	// set origin
;290:	VectorCopy( newOrigin, ex->refEntity.origin );
ADDRLP4 0
INDIRP4
CNSTI4 316
ADDP4
ADDRLP4 4
INDIRB
ASGNB 12
line 291
;291:	VectorCopy( newOrigin, ex->refEntity.oldorigin );
ADDRLP4 0
INDIRP4
CNSTI4 332
ADDP4
ADDRLP4 4
INDIRB
ASGNB 12
line 293
;292:
;293:	ex->color[0] = ex->color[1] = ex->color[2] = 1.0;
ADDRLP4 56
CNSTF4 1065353216
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 112
ADDP4
ADDRLP4 56
INDIRF4
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 108
ADDP4
ADDRLP4 56
INDIRF4
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 104
ADDP4
ADDRLP4 56
INDIRF4
ASGNF4
line 295
;294:
;295:	return ex;
ADDRLP4 0
INDIRP4
RETP4
LABELV $155
endproc CG_MakeExplosion2 88 8
export CG_Bleed
proc CG_Bleed 20 0
line 308
;296:}
;297:
;298:
;299:
;300:
;301:/*
;302:=================
;303:CG_Bleed
;304:
;305:This is the spurt of blood when a character gets hit
;306:=================
;307:*/
;308:void CG_Bleed( vec3_t origin, int entityNum ) {
line 311
;309:	localEntity_t	*ex;
;310:
;311:	if ( !cg_blood.integer ) {
ADDRGP4 cg_blood+12
INDIRI4
CNSTI4 0
NEI4 $172
line 312
;312:		return;
ADDRGP4 $171
JUMPV
LABELV $172
line 315
;313:	}
;314:
;315:	ex = CG_AllocLocalEntity();
ADDRLP4 4
ADDRGP4 CG_AllocLocalEntity
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 4
INDIRP4
ASGNP4
line 316
;316:	ex->leType = LE_EXPLOSION;
ADDRLP4 0
INDIRP4
CNSTI4 8
ADDP4
CNSTI4 1
ASGNI4
line 318
;317:
;318:	ex->startTime = cg.time;
ADDRLP4 0
INDIRP4
CNSTI4 16
ADDP4
ADDRGP4 cg+105552
INDIRI4
ASGNI4
line 319
;319:	ex->endTime = ex->startTime + 500;
ADDRLP4 0
INDIRP4
CNSTI4 20
ADDP4
ADDRLP4 0
INDIRP4
CNSTI4 16
ADDP4
INDIRI4
CNSTI4 500
ADDI4
ASGNI4
line 321
;320:	
;321:	VectorCopy ( origin, ex->refEntity.origin);
ADDRLP4 0
INDIRP4
CNSTI4 316
ADDP4
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 322
;322:	ex->refEntity.reType = RT_SPRITE;
ADDRLP4 0
INDIRP4
CNSTI4 248
ADDP4
CNSTI4 1
ASGNI4
line 323
;323:	ex->refEntity.data.sprite.rotation = rand() % 360;
ADDRLP4 12
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 0
INDIRP4
CNSTI4 380
ADDP4
ADDRLP4 12
INDIRI4
CNSTI4 360
MODI4
CVIF4 4
ASGNF4
line 324
;324:	ex->refEntity.data.sprite.radius = 16;
ADDRLP4 0
INDIRP4
CNSTI4 384
ADDP4
CNSTF4 1098907648
ASGNF4
line 326
;325:
;326:	ex->refEntity.customShader = cgs.media.bloodExplosionShader;
ADDRLP4 0
INDIRP4
CNSTI4 360
ADDP4
ADDRGP4 cgs+195628+756
INDIRI4
ASGNI4
line 329
;327:
;328:	// don't show player's own blood in view
;329:	if ( entityNum == cg.snap->ps.clientNum ) {
ADDRFP4 4
INDIRI4
ADDRGP4 cg+32
INDIRP4
CNSTI4 200
ADDP4
INDIRI4
NEI4 $178
line 330
;330:		ex->refEntity.renderfx |= RF_THIRD_PERSON;
ADDRLP4 16
ADDRLP4 0
INDIRP4
CNSTI4 252
ADDP4
ASGNP4
ADDRLP4 16
INDIRP4
ADDRLP4 16
INDIRP4
INDIRI4
CNSTI4 2
BORI4
ASGNI4
line 331
;331:	}
LABELV $178
line 332
;332:}
LABELV $171
endproc CG_Bleed 20 0
export CG_ExplosionEffects
proc CG_ExplosionEffects 32 8
line 346
;333:
;334:
;335:
;336:/*
;337:-------------------------
;338:CG_ExplosionEffects
;339:
;340:Used to find the player and shake the camera if close enough
;341:intensity ranges from 1 (minor tremble) to 16 (major quake)
;342:-------------------------
;343:*/
;344:
;345:void CG_ExplosionEffects( vec3_t origin, int intensity, int radius)
;346:{
line 353
;347:	//FIXME: When exactly is the vieworg calculated in relation to the rest of the frame?s
;348:
;349:	vec3_t	dir;
;350:	float	dist, intensityScale;
;351:	float	realIntensity;
;352:
;353:	VectorSubtract( cg.refdef.vieworg, origin, dir );
ADDRLP4 24
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
ADDRGP4 cg+106840+24
INDIRF4
ADDRLP4 24
INDIRP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 0+4
ADDRGP4 cg+106840+24+4
INDIRF4
ADDRLP4 24
INDIRP4
CNSTI4 4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 0+8
ADDRGP4 cg+106840+24+8
INDIRF4
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRF4
SUBF4
ASGNF4
line 354
;354:	dist = VectorNormalize( dir );
ADDRLP4 0
ARGP4
ADDRLP4 28
ADDRGP4 VectorNormalize
CALLF4
ASGNF4
ADDRLP4 12
ADDRLP4 28
INDIRF4
ASGNF4
line 358
;355:
;356:	//Use the dir to add kick to the explosion
;357:
;358:	if ( dist > radius )
ADDRLP4 12
INDIRF4
ADDRFP4 8
INDIRI4
CVIF4 4
LEF4 $192
line 359
;359:		return;
ADDRGP4 $181
JUMPV
LABELV $192
line 361
;360:
;361:	intensityScale = 1 - ( dist / (float) radius );
ADDRLP4 16
CNSTF4 1065353216
ADDRLP4 12
INDIRF4
ADDRFP4 8
INDIRI4
CVIF4 4
DIVF4
SUBF4
ASGNF4
line 362
;362:	realIntensity = intensity * intensityScale;
ADDRLP4 20
ADDRFP4 4
INDIRI4
CVIF4 4
ADDRLP4 16
INDIRF4
MULF4
ASGNF4
line 364
;363:
;364:	CG_CameraShake( realIntensity, 500 );
ADDRLP4 20
INDIRF4
ARGF4
CNSTI4 500
ARGI4
ADDRGP4 CG_CameraShake
CALLV
pop
line 365
;365:}
LABELV $181
endproc CG_ExplosionEffects 32 8
export CG_Seeker
proc CG_Seeker 200 12
line 374
;366:
;367:
;368:/*
;369:=================
;370:CG_Seeker
;371:=================
;372:*/
;373:void CG_Seeker( centity_t *cent )
;374:{
line 381
;375:	refEntity_t	re;
;376:
;377:	vec3_t	seekerOrg, viewAng;
;378:	float	angle;
;379:
;380:
;381:	angle = cg.time/100.0f;
ADDRLP4 184
ADDRGP4 cg+105552
INDIRI4
CVIF4 4
CNSTF4 1120403456
DIVF4
ASGNF4
line 382
;382:	seekerOrg[0] = cent->lerpOrigin[0] + 18 * cos(angle);
ADDRLP4 184
INDIRF4
ARGF4
ADDRLP4 188
ADDRGP4 cos
CALLF4
ASGNF4
ADDRLP4 160
ADDRFP4 0
INDIRP4
CNSTI4 624
ADDP4
INDIRF4
CNSTF4 1099956224
ADDRLP4 188
INDIRF4
MULF4
ADDF4
ASGNF4
line 383
;383:	seekerOrg[1] = cent->lerpOrigin[1] + 18 * sin(angle);
ADDRLP4 184
INDIRF4
ARGF4
ADDRLP4 192
ADDRGP4 sin
CALLF4
ASGNF4
ADDRLP4 160+4
ADDRFP4 0
INDIRP4
CNSTI4 628
ADDP4
INDIRF4
CNSTF4 1099956224
ADDRLP4 192
INDIRF4
MULF4
ADDF4
ASGNF4
line 384
;384:	seekerOrg[2] = cent->lerpOrigin[2] + cg.predictedPlayerState.viewheight + 8 + (3*cos(cg.time/150.0f));
ADDRGP4 cg+105552
INDIRI4
CVIF4 4
CNSTF4 1125515264
DIVF4
ARGF4
ADDRLP4 196
ADDRGP4 cos
CALLF4
ASGNF4
ADDRLP4 160+8
ADDRFP4 0
INDIRP4
CNSTI4 632
ADDP4
INDIRF4
ADDRGP4 cg+105580+180
INDIRI4
CVIF4 4
ADDF4
CNSTF4 1090519040
ADDF4
CNSTF4 1077936128
ADDRLP4 196
INDIRF4
MULF4
ADDF4
ASGNF4
line 386
;385:
;386:	memset( &re, 0, sizeof( re ) );
ADDRLP4 0
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 388
;387:
;388:	re.reType = RT_MODEL;
ADDRLP4 0
CNSTI4 0
ASGNI4
line 389
;389:	VectorCopy ( seekerOrg, re.origin);
ADDRLP4 0+68
ADDRLP4 160
INDIRB
ASGNB 12
line 390
;390:	re.hModel = cgs.media.seekerModel;
ADDRLP4 0+8
ADDRGP4 cgs+195628+712
INDIRI4
ASGNI4
line 391
;391:	re.shaderTime = (cg.time /  1000.0f);
ADDRLP4 0+128
ADDRGP4 cg+105552
INDIRI4
CVIF4 4
CNSTF4 1148846080
DIVF4
ASGNF4
line 393
;392:
;393:	VectorCopy (cent->lerpAngles , viewAng); // so the seeker faces the same direction the player is
ADDRLP4 172
ADDRFP4 0
INDIRP4
CNSTI4 636
ADDP4
INDIRB
ASGNB 12
line 394
;394:	viewAng[0] = -90; // but, we don't want the seeker facing up or down, always horizontal
ADDRLP4 172
CNSTF4 3266576384
ASGNF4
line 395
;395:	AnglesToAxis( viewAng, re.axis );
ADDRLP4 172
ARGP4
ADDRLP4 0+28
ARGP4
ADDRGP4 AnglesToAxis
CALLV
pop
line 396
;396:	VectorScale(re.axis[0], 0.5, re.axis[0]);
ADDRLP4 0+28
CNSTF4 1056964608
ADDRLP4 0+28
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+28+4
CNSTF4 1056964608
ADDRLP4 0+28+4
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+28+8
CNSTF4 1056964608
ADDRLP4 0+28+8
INDIRF4
MULF4
ASGNF4
line 397
;397:	VectorScale(re.axis[1], 0.5, re.axis[1]);
ADDRLP4 0+28+12
CNSTF4 1056964608
ADDRLP4 0+28+12
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+28+12+4
CNSTF4 1056964608
ADDRLP4 0+28+12+4
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+28+12+8
CNSTF4 1056964608
ADDRLP4 0+28+12+8
INDIRF4
MULF4
ASGNF4
line 398
;398:	VectorScale(re.axis[2], 0.5, re.axis[2]);
ADDRLP4 0+28+24
CNSTF4 1056964608
ADDRLP4 0+28+24
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+28+24+4
CNSTF4 1056964608
ADDRLP4 0+28+24+4
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+28+24+8
CNSTF4 1056964608
ADDRLP4 0+28+24+8
INDIRF4
MULF4
ASGNF4
line 399
;399:	re.nonNormalizedAxes=qtrue;
ADDRLP4 0+64
CNSTI4 1
ASGNI4
line 401
;400:
;401:	trap_R_AddRefEntityToScene( &re );
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 403
;402:
;403:}
LABELV $194
endproc CG_Seeker 200 12
import fxRandCircumferencePos
import FX_ExplodeBits
import FX_Disruptor
import FX_PlayerShieldHit
import FX_DrawPortableShield
import FX_TransporterPad
import FX_Transporter
import FX_DreadnoughtShotMiss
import FX_DreadnoughtProjectileThink
import FX_DreadnoughtFire
import FX_DreadnoughtHitWall
import FX_QuantumColumns
import FX_QuantumAltHitWall
import FX_QuantumHitWall
import FX_QuantumAltThink
import FX_QuantumThink
import FX_StasisShotMiss
import FX_StasisShotImpact
import FX_StasisShot
import FX_StasisWeaponHitPlayer
import FX_StasisWeaponHitWall
import FX_StasisProjectileThink
import FX_Detpack
import FX_BorgTeleportTrails
import FX_BorgTeleport
import FX_BorgEyeBeam
import FX_BorgTaser
import FX_BorgWeaponHitWall
import FX_BorgProjectileThink
import FX_GrenadeShrapnelBits
import FX_GrenadeShrapnelExplode
import FX_GrenadeExplode
import FX_GrenadeHitPlayer
import FX_GrenadeHitWall
import FX_GrenadeThink
import FX_ScavengerAltExplode
import FX_ScavengerWeaponHitPlayer
import FX_ScavengerWeaponHitWall
import FX_ScavengerAltFireThink
import FX_ScavengerProjectileThink
import FX_TetrionAltHitPlayer
import FX_TetrionAltHitWall
import FX_TetrionRicochet
import FX_TetrionWeaponHitWall
import FX_TetrionShot
import FX_TetrionProjectileThink
import FX_AltIMODExplosion
import FX_AltIMODShot
import FX_IMODExplosion
import FX_IMODShot
import FX_CompressionHit
import FX_CompressionExplosion
import FX_CompressionAltShot
import FX_CompressionShot
import FX_PhaserAltFire
import FX_PhaserFire
import FX_AddSpawner
import FX_AddParticle
import FX_AddElectricity
import FX_AddCylinder
import FX_AddQuad2
import FX_AddQuad
import FX_AddBezier
import FX_AddSprite2
import FX_AddSprite
import FX_AddTrail2
import FX_AddTrail
import FX_AddOrientedLine
import FX_AddLine2
import FX_AddLine
import FXE_Spray
import trap_MemoryRemaining
import testPrintFloat
import testPrintInt
import trap_SetUserCmdValue
import trap_GetUserCmd
import trap_GetCurrentCmdNumber
import trap_GetServerCommand
import trap_GetSnapshot
import trap_GetCurrentSnapshotNumber
import trap_GetGameState
import trap_GetGlconfig
import trap_R_LerpTag
import trap_R_ModelBounds
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_RenderScene
import trap_R_AddLightToScene
import trap_R_AddPolyToScene
import trap_R_AddRefEntityToScene
import trap_R_ClearScene
import trap_R_RegisterShaderNoMip
import trap_R_RegisterShader3D
import trap_R_RegisterShader
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_R_LoadWorldMap
import trap_S_StartBackgroundTrack
import trap_S_RegisterSound
import trap_S_Respatialize
import trap_S_UpdateEntityPosition
import trap_S_AddLoopingSound
import trap_S_ClearLoopingSounds
import trap_S_StartLocalSound
import trap_S_StartSound
import trap_CM_MarkFragments
import trap_CM_TransformedBoxTrace
import trap_CM_BoxTrace
import trap_CM_TransformedPointContents
import trap_CM_PointContents
import trap_CM_TempBoxModel
import trap_CM_InlineModel
import trap_CM_NumInlineModels
import trap_CM_LoadMap
import trap_UpdateScreen
import trap_SendClientCommand
import trap_AddCommand
import trap_SendConsoleCommand
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Cvar_VariableStringBuffer
import trap_Cvar_Set_No_Modify
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import updateSkin
import CG_TransitionPlayerState
import CG_Respawn
import CG_SetConfigValues
import CG_ParseServerinfo
import CG_ExecuteNewServerCommands
import CG_InitConsoleCommands
import CG_ConsoleCommand
import AW_SPPostgameMenu_f
import cg_medalStreakSounds
import cg_medalStreakPicNames
import cg_medalTeamSounds
import cg_medalTeamPicNames
import cg_medalSounds
import cg_medalPicNames
import CG_DrawTourneyScoreboard
import CG_DrawScoreboard
import CG_DrawInformation
import CG_LoadingClient
import CG_LoadingItem
import CG_LoadingString
import CG_ProcessSnapshots
import CG_SurfaceExplosion
import CG_AddLocalEntities
import CG_GetActiveList
import CG_AllocLocalEntity
import CG_InitLocalEntities
import CG_ImpactMark
import CG_AddMarks
import CG_InitMarkPolys
import CG_BounceEffect
import CG_OutOfAmmoChange
import CG_DrawWeaponSelect
import CG_AddPlayerWeapon
import CG_AddViewWeapon
import CG_MissileHitPlayer
import CG_MissileHitWall
import CG_FireSeeker
import CG_FireWeapon
import CG_RegisterItemVisuals
import CG_RegisterWeapon
import CG_Weapon_f
import CG_PrevWeapon_f
import CG_NextWeapon_f
import CG_Chunks
import CG_Drip
import CG_TransporterPad
import CG_Bolt
import CG_Steam
import CG_Spark
import CG_PositionRotatedEntityOnTag
import CG_PositionEntityOnTag
import CG_AdjustPositionForMover
import CG_Beam
import CG_AddPacketEntities
import CG_SetEntitySoundPosition
import CG_PainEvent
import CG_EntityEvent
import CG_PlaceString
import CG_CheckEvents
import CG_LoadDeferredPlayers
import CG_PredictPlayerState
import CG_Trace
import CG_PointContents
import CG_BuildSolidList
import CG_CustomSound
import CG_NewClientInfo
import CG_AddRefEntityWithPowerups
import CG_ResetPlayerEntity
import CG_Player
import CG_PlayerShieldHit
import CG_DrawObjectiveInformation
import CG_DrawNumField
import CG_DrawTeamBackground
import CG_DrawFlagModel
import CG_DrawActive
import CG_DrawHead
import CG_CenterPrint
import CG_AddLagometerSnapshotInfo
import CG_AddLagometerFrameInfo
import drawTeamOverlayModificationCount
import numSortedTeamPlayers
import sortedTeamPlayers
import interface_graphics
import UI_ProportionalStringWidth
import CG_GetColorForHealth
import CG_ColorForHealth
import CG_TileClear
import CG_TeamColor
import CG_FadeColor
import CG_DrawStrlen
import CG_DrawSmallStringColor
import CG_DrawSmallString
import CG_DrawBigStringColor
import CG_DrawBigString
import CG_DrawStringExt
import CG_LoadFonts
import UI_DrawProportionalString
import CG_DrawString
import CG_DrawPic
import CG_FillRect
import CG_AdjustFrom640
import CG_PrintInterfaceGraphics
import CG_DrawActiveFrame
import CG_CameraShake
import CG_ZoomUp_f
import CG_ZoomDown_f
import CG_TestModelPrevSkin_f
import CG_TestModelNextSkin_f
import CG_TestModelPrevFrame_f
import CG_TestModelNextFrame_f
import CG_TestGun_f
import CG_TestModel_f
import CG_LastAttacker
import CG_CrosshairPlayer
import CG_UpdateCvars
import CG_StartMusic
import CG_Error
import CG_Printf
import CG_Argv
import CG_ConfigString
import cg_deferPlayers
import cg_predictItems
import cg_blood
import cg_paused
import cg_buildScript
import cg_forceModel
import cg_reportDamage
import cg_stats
import cg_teamChatHeight
import cg_teamChatTime
import cg_synchronousClients
import cg_drawAttacker
import cg_lagometer
import cg_stereoSeparation
import cg_thirdPerson
import cg_thirdPersonAngle
import cg_thirdPersonRange
import cg_zoomFov
import cg_fov
import cg_simpleItems
import cg_ignore
import cg_autoswitch
import cg_viewsize
import cg_drawGun
import cg_gun_z
import cg_gun_y
import cg_gun_x
import cg_gun_frame
import cg_addMarks
import cg_footsteps
import cg_showmiss
import cg_noPlayerAnims
import cg_nopredict
import cg_errorDecay
import cg_debugEvents
import cg_debugPosition
import cg_debugAnim
import cg_animSpeed
import cg_draw2D
import cg_drawStatus
import cg_crosshairHealth
import cg_crosshairSize
import cg_crosshairY
import cg_crosshairX
import cg_teamOverlayUserinfo
import cg_drawTeamOverlay
import cg_drawRewards
import cg_drawCrosshairNames
import cg_drawCrosshair
import cg_drawAmmoWarning
import cg_drawIcons
import cg_draw3dIcons
import cg_drawSnapshot
import cg_drawFPS
import cg_drawTimer
import cg_gibs
import cg_shadows
import cg_swingSpeed
import cg_bobroll
import cg_bobpitch
import cg_bobup
import cg_runroll
import cg_runpitch
import cg_centertime
import cg_markPolys
import cg_items
import cg_weapons
import cg_entities
import cg
import cgs
import CG_AddElectricity
import CG_AddCylinder
import CG_AddBezier
import CG_AddViewSprite
import CG_AddTrail
import CG_AddLine2
import CG_AddOLine
import CG_AddLine
import CG_AddQuad
import CG_AddScaleFadeSprite
import CG_AddSpriteExplosion
import CG_AddExplosion
import CG_AddFallScaleFade
import CG_AddScaleFade
import CG_AddMoveScaleFade
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $143
byte 1 67
byte 1 71
byte 1 95
byte 1 77
byte 1 97
byte 1 107
byte 1 101
byte 1 69
byte 1 120
byte 1 112
byte 1 108
byte 1 111
byte 1 115
byte 1 105
byte 1 111
byte 1 110
byte 1 58
byte 1 32
byte 1 109
byte 1 115
byte 1 101
byte 1 99
byte 1 32
byte 1 61
byte 1 32
byte 1 37
byte 1 105
byte 1 0
