export CG_GetScreenEffectEndTime
code
proc CG_GetScreenEffectEndTime 0 0
file "../cg_screenfx.c"
line 8
;1:#include "cg_local.h"
;2:#include "cg_screenfx.h"
;3:
;4:// this is the list of currently drawing fx and their start times and end times
;5:screenFX_t theScreenFX;
;6:
;7:int CG_GetScreenEffectEndTime(int event)
;8:{
line 9
;9:	switch (event)
ADDRFP4 0
INDIRI4
CNSTI4 3
EQI4 $89
ADDRGP4 $87
JUMPV
line 10
;10:	{
LABELV $89
line 12
;11:	case SCREENFX_TRANSPORTER:
;12:		return cg.time + 1000;
ADDRGP4 cg+105552
INDIRI4
CNSTI4 1000
ADDI4
RETI4
ADDRGP4 $86
JUMPV
LABELV $87
line 14
;13:	default:
;14:		return 0;
CNSTI4 0
RETI4
LABELV $86
endproc CG_GetScreenEffectEndTime 0 0
export CG_BeginScreenEffect
proc CG_BeginScreenEffect 0 0
line 20
;15:	}
;16:}
;17:
;18:// maybe play a sound or something?
;19:void CG_BeginScreenEffect(int event)
;20:{
line 21
;21:	switch (event)
ADDRFP4 0
INDIRI4
CNSTI4 3
EQI4 $93
ADDRGP4 $93
JUMPV
line 22
;22:	{
line 24
;23:	case SCREENFX_TRANSPORTER:
;24:		break;
line 26
;25:	default:
;26:		break;
LABELV $93
line 28
;27:	}
;28:}
LABELV $91
endproc CG_BeginScreenEffect 0 0
export CG_AddFullScreenEffect
proc CG_AddFullScreenEffect 16 4
line 34
;29:
;30:
;31:// when adding a new effect, we'll either take an empty slot in theScreenFX or
;32://overwrite the oldest effect
;33:void CG_AddFullScreenEffect(int screenfx, int clientNum)
;34:{
line 35
;35:	int i = 0, oldestTime = cg.time, oldestEffect = 0;
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRLP4 8
ADDRGP4 cg+105552
INDIRI4
ASGNI4
ADDRLP4 4
CNSTI4 0
ASGNI4
line 37
;36:
;37:	if (clientNum != cg.predictedPlayerState.clientNum)
ADDRFP4 4
INDIRI4
ADDRGP4 cg+105580+156
INDIRI4
EQI4 $97
line 38
;38:	{	// only add screen effects for our client
line 39
;39:		return;
ADDRGP4 $95
JUMPV
LABELV $97
line 41
;40:	}
;41:	for (i = 0; i < MAX_SCREENFX; i++)
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $101
line 42
;42:	{
line 45
;43:		// if we already have one of these effects going, just add to the duration of 
;44:		//the existing one...don't create a new instance of the same effect
;45:		if (theScreenFX.events[i] == screenfx)
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 theScreenFX
ADDP4
INDIRI4
ADDRFP4 0
INDIRI4
NEI4 $105
line 46
;46:		{
line 47
;47:			theScreenFX.cgStartTimes[i] = cg.time;
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 theScreenFX+16
ADDP4
ADDRGP4 cg+105552
INDIRI4
ASGNI4
line 48
;48:			theScreenFX.cgEndTimes[i] = CG_GetScreenEffectEndTime(screenfx);
ADDRFP4 0
INDIRI4
ARGI4
ADDRLP4 12
ADDRGP4 CG_GetScreenEffectEndTime
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 theScreenFX+32
ADDP4
ADDRLP4 12
INDIRI4
ASGNI4
line 49
;49:			return;
ADDRGP4 $95
JUMPV
LABELV $105
line 51
;50:		}
;51:		else if (theScreenFX.cgStartTimes[i])
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 theScreenFX+16
ADDP4
INDIRI4
CNSTI4 0
EQI4 $110
line 52
;52:		{
line 53
;53:			if (theScreenFX.cgStartTimes[i] < oldestTime)
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 theScreenFX+16
ADDP4
INDIRI4
ADDRLP4 8
INDIRI4
GEI4 $111
line 54
;54:			{
line 55
;55:				oldestTime = theScreenFX.cgStartTimes[i];
ADDRLP4 8
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 theScreenFX+16
ADDP4
INDIRI4
ASGNI4
line 56
;56:				oldestEffect = i;
ADDRLP4 4
ADDRLP4 0
INDIRI4
ASGNI4
line 57
;57:			}
line 58
;58:		}
ADDRGP4 $111
JUMPV
LABELV $110
line 60
;59:		else
;60:		{
line 61
;61:			oldestTime = theScreenFX.cgStartTimes[i];
ADDRLP4 8
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 theScreenFX+16
ADDP4
INDIRI4
ASGNI4
line 62
;62:			oldestEffect = i;
ADDRLP4 4
ADDRLP4 0
INDIRI4
ASGNI4
line 63
;63:		}
LABELV $111
line 64
;64:	}
LABELV $102
line 41
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 4
LTI4 $101
line 65
;65:	theScreenFX.events[oldestEffect] = screenfx;
ADDRLP4 4
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 theScreenFX
ADDP4
ADDRFP4 0
INDIRI4
ASGNI4
line 66
;66:	theScreenFX.cgStartTimes[oldestEffect] = cg.time;
ADDRLP4 4
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 theScreenFX+16
ADDP4
ADDRGP4 cg+105552
INDIRI4
ASGNI4
line 67
;67:	theScreenFX.cgEndTimes[oldestEffect] = CG_GetScreenEffectEndTime(screenfx);
ADDRFP4 0
INDIRI4
ARGI4
ADDRLP4 12
ADDRGP4 CG_GetScreenEffectEndTime
CALLI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 theScreenFX+32
ADDP4
ADDRLP4 12
INDIRI4
ASGNI4
line 68
;68:	CG_BeginScreenEffect(screenfx);
ADDRFP4 0
INDIRI4
ARGI4
ADDRGP4 CG_BeginScreenEffect
CALLV
pop
line 69
;69:}
LABELV $95
endproc CG_AddFullScreenEffect 16 4
proc CG_DrawScreenQuad 200 12
line 82
;70:
;71:
;72:
;73:/*
;74:===============
;75:CG_DrawScreenQuad
;76:
;77:===============
;78:*/
;79:
;80:
;81:static void CG_DrawScreenQuad(float alpha, qhandle_t screenshader) 
;82:{
line 87
;83:	refEntity_t		ent;
;84:	float radius;
;85:
;86:	// ragePro systems can't fade blends, so don't obscure the screen
;87:	if ( cgs.glconfig.hardwareType == GLHW_RAGEPRO ) {
ADDRGP4 cgs+20100+5144
INDIRI4
CNSTI4 3
NEI4 $122
line 88
;88:		return;
ADDRGP4 $121
JUMPV
LABELV $122
line 91
;89:	}
;90:
;91:	if (cg.refdef.fov_x > 120)
ADDRGP4 cg+106840+16
INDIRF4
CNSTF4 1123024896
LEF4 $126
line 92
;92:	{
line 93
;93:		return;		// Too wide to show this.
ADDRGP4 $121
JUMPV
LABELV $126
line 95
;94:	}
;95:	else if (cg.refdef.fov_x > 80)
ADDRGP4 cg+106840+16
INDIRF4
CNSTF4 1117782016
LEF4 $130
line 96
;96:	{
line 97
;97:		radius = 8.0 + (cg.refdef.fov_x - 80)*0.2;
ADDRLP4 160
CNSTF4 1045220557
ADDRGP4 cg+106840+16
INDIRF4
CNSTF4 1117782016
SUBF4
MULF4
CNSTF4 1090519040
ADDF4
ASGNF4
line 98
;98:	}
ADDRGP4 $131
JUMPV
LABELV $130
line 100
;99:	else
;100:	{
line 101
;101:		radius = 8.0;
ADDRLP4 160
CNSTF4 1090519040
ASGNF4
line 102
;102:	}
LABELV $131
line 104
;103:
;104:	memset( &ent, 0, sizeof( ent ) );
ADDRLP4 0
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 105
;105:	ent.reType = RT_SPRITE;
ADDRLP4 0
CNSTI4 1
ASGNI4
line 106
;106:	ent.renderfx = RF_FIRST_PERSON;
ADDRLP4 0+4
CNSTI4 4
ASGNI4
line 108
;107:
;108:	VectorMA( cg.refdef.vieworg, 8, cg.refdef.viewaxis[0], ent.origin );
ADDRLP4 0+68
ADDRGP4 cg+106840+24
INDIRF4
CNSTF4 1090519040
ADDRGP4 cg+106840+36
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+68+4
ADDRGP4 cg+106840+24+4
INDIRF4
CNSTF4 1090519040
ADDRGP4 cg+106840+36+4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+68+8
ADDRGP4 cg+106840+24+8
INDIRF4
CNSTF4 1090519040
ADDRGP4 cg+106840+36+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 110
;109:
;110:	ent.data.sprite.radius = radius;		
ADDRLP4 0+132+4
ADDRLP4 160
INDIRF4
ASGNF4
line 111
;111:	ent.customShader = screenshader;
ADDRLP4 0+112
ADDRFP4 4
INDIRI4
ASGNI4
line 112
;112:	ent.shaderRGBA[0] = alpha * 255;
ADDRLP4 168
CNSTF4 1132396544
ADDRFP4 0
INDIRF4
MULF4
ASGNF4
ADDRLP4 172
CNSTF4 1325400064
ASGNF4
ADDRLP4 168
INDIRF4
ADDRLP4 172
INDIRF4
LTF4 $163
ADDRLP4 164
ADDRLP4 168
INDIRF4
ADDRLP4 172
INDIRF4
SUBF4
CVFI4 4
CVIU4 4
CNSTU4 2147483648
ADDU4
ASGNU4
ADDRGP4 $164
JUMPV
LABELV $163
ADDRLP4 164
ADDRLP4 168
INDIRF4
CVFI4 4
CVIU4 4
ASGNU4
LABELV $164
ADDRLP4 0+116
ADDRLP4 164
INDIRU4
CVUU1 4
ASGNU1
line 113
;113:	ent.shaderRGBA[1] = alpha * 255;
ADDRLP4 180
CNSTF4 1132396544
ADDRFP4 0
INDIRF4
MULF4
ASGNF4
ADDRLP4 184
CNSTF4 1325400064
ASGNF4
ADDRLP4 180
INDIRF4
ADDRLP4 184
INDIRF4
LTF4 $168
ADDRLP4 176
ADDRLP4 180
INDIRF4
ADDRLP4 184
INDIRF4
SUBF4
CVFI4 4
CVIU4 4
CNSTU4 2147483648
ADDU4
ASGNU4
ADDRGP4 $169
JUMPV
LABELV $168
ADDRLP4 176
ADDRLP4 180
INDIRF4
CVFI4 4
CVIU4 4
ASGNU4
LABELV $169
ADDRLP4 0+116+1
ADDRLP4 176
INDIRU4
CVUU1 4
ASGNU1
line 114
;114:	ent.shaderRGBA[2] = alpha * 255;
ADDRLP4 192
CNSTF4 1132396544
ADDRFP4 0
INDIRF4
MULF4
ASGNF4
ADDRLP4 196
CNSTF4 1325400064
ASGNF4
ADDRLP4 192
INDIRF4
ADDRLP4 196
INDIRF4
LTF4 $173
ADDRLP4 188
ADDRLP4 192
INDIRF4
ADDRLP4 196
INDIRF4
SUBF4
CVFI4 4
CVIU4 4
CNSTU4 2147483648
ADDU4
ASGNU4
ADDRGP4 $174
JUMPV
LABELV $173
ADDRLP4 188
ADDRLP4 192
INDIRF4
CVFI4 4
CVIU4 4
ASGNU4
LABELV $174
ADDRLP4 0+116+2
ADDRLP4 188
INDIRU4
CVUU1 4
ASGNU1
line 115
;115:	ent.shaderRGBA[3] = 255;
ADDRLP4 0+116+3
CNSTU1 255
ASGNU1
line 116
;116:	trap_R_AddRefEntityToScene( &ent );
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 117
;117:}
LABELV $121
endproc CG_DrawScreenQuad 200 12
proc CG_DrawScreenBlob 212 12
line 263
;118:
;119:/*
;120:static void CG_DrawDirectionalScreenQuad(float alpha, qhandle_t screenshader) 
;121:{
;122:	refEntity_t		ent;
;123:	vec3_t			screencenter;
;124:	byte			topleft, topright, lowleft, lowright, top, low, left, right;
;125:	float			val;
;126:
;127:	// ragePro systems can't fade blends, so don't obscure the screen
;128:	if ( cgs.glconfig.hardwareType == GLHW_RAGEPRO ) {
;129:		return;
;130:	}
;131:
;132:	// Set up all the basic info about this refentity
;133:	VectorMA( cg.refdef.vieworg, 8, cg.refdef.viewaxis[0], screencenter);
;134:
;135:	memset( &ent, 0, sizeof( ent ) );
;136:	ent.reType = RT_ALPHAVERTPOLY;
;137:	ent.renderfx = RF_FIRST_PERSON;
;138:
;139:	ent.data.sprite.radius = 4;		
;140:	ent.customShader = screenshader;
;141:	* (unsigned int *) ent.shaderRGBA = 0xffffffff;
;142:	* (unsigned int *) ent.data.sprite.vertRGBA[0] = 0xffffffff; 
;143:	* (unsigned int *) ent.data.sprite.vertRGBA[1] = 0xffffffff;
;144:	* (unsigned int *) ent.data.sprite.vertRGBA[2] = 0xffffffff;
;145:	* (unsigned int *) ent.data.sprite.vertRGBA[3] = 0xffffffff;
;146:
;147:	// left
;148:	val = alpha*(0.5 + 0.5*(cg.damageX - fabs(cg.damageY)));
;149:	if (val<0)
;150:		left=0;
;151:	else if (val>1.0)
;152:		left=255;
;153:	else 
;154:		left=255.0*val;
;155:
;156:	// upper left
;157:	val = alpha*(0.5*(cg.damageX + cg.damageY));
;158:	if (val<0)
;159:		topleft=0;
;160:	else if (val>1.0)
;161:		topleft=255;
;162:	else 
;163:		topleft=255.0*val;
;164:
;165:	// top
;166:	val = alpha*(0.5 + 0.5*(-fabs(cg.damageX) + cg.damageY));
;167:	if (val<0)
;168:		top=0;
;169:	else if (val>1.0)
;170:		top=255;
;171:	else 
;172:		top=255.0*val;
;173:
;174:	// upper right
;175:	val = alpha*(0.5*(-cg.damageX + cg.damageY));
;176:	if (val<0)
;177:		topright=0;
;178:	else if (val>1.0)
;179:		topright=255;
;180:	else 
;181:		topright=255.0*val;
;182:
;183:	// right
;184:	val = alpha*(0.5 + 0.5*(-cg.damageX - fabs(cg.damageY)));
;185:	if (val<0)
;186:		right=0;
;187:	else if (val>1.0)
;188:		right=255;
;189:	else 
;190:		right=255.0*val;
;191:
;192:	// lower right
;193:	val = alpha*(0.5*(-cg.damageX - cg.damageY));
;194:	if (val<0)
;195:		lowright=0;
;196:	else if (val>1.0)
;197:		lowright=255;
;198:	else 
;199:		lowright=255.0*val;
;200:
;201:	// bottom
;202:	val = alpha*(0.5 + 0.5*(-fabs(cg.damageX) - cg.damageY));
;203:	if (val<0)
;204:		low=0;
;205:	else if (val>1.0)
;206:		low=255;
;207:	else 
;208:		low=255.0*val;
;209:
;210:	// lower left
;211:	val = alpha*(0.5*(cg.damageX - cg.damageY));
;212:	if (val<0)
;213:		lowleft=0;
;214:	else if (val>1.0)
;215:		lowleft=255;
;216:	else 
;217:		lowleft=255.0*val;
;218:
;219:
;220:	// Draw the upper left corner
;221:	VectorMA(screencenter, 4, cg.refdef.viewaxis[1], ent.origin);
;222:	VectorMA(ent.origin, 4, cg.refdef.viewaxis[2], ent.origin);
;223:	ent.data.sprite.vertRGBA[0][3] = topleft;
;224:	ent.data.sprite.vertRGBA[1][3] = top;
;225:	ent.data.sprite.vertRGBA[2][3] = 0;
;226:	ent.data.sprite.vertRGBA[3][3] = left;
;227:	trap_R_AddRefEntityToScene( &ent );
;228:
;229:
;230:	// Draw topper right corner
;231:	VectorMA(screencenter, -4, cg.refdef.viewaxis[1], ent.origin);
;232:	VectorMA(ent.origin, 4, cg.refdef.viewaxis[2], ent.origin);
;233:	ent.data.sprite.vertRGBA[0][3] = top;
;234:	ent.data.sprite.vertRGBA[1][3] = topright;
;235:	ent.data.sprite.vertRGBA[2][3] = right;
;236:	ent.data.sprite.vertRGBA[3][3] = 0;
;237:	trap_R_AddRefEntityToScene( &ent );
;238:
;239:
;240:	// Draw lower right corner
;241:	VectorMA(screencenter, -4, cg.refdef.viewaxis[1], ent.origin);
;242:	VectorMA(ent.origin, -4, cg.refdef.viewaxis[2], ent.origin);
;243:	ent.data.sprite.vertRGBA[0][3] = 0;
;244:	ent.data.sprite.vertRGBA[1][3] = right;
;245:	ent.data.sprite.vertRGBA[2][3] = lowright;
;246:	ent.data.sprite.vertRGBA[3][3] = low;
;247:	trap_R_AddRefEntityToScene( &ent );
;248:
;249:
;250:	// Draw lower left corner
;251:	VectorMA(screencenter, 4, cg.refdef.viewaxis[1], ent.origin);
;252:	VectorMA(ent.origin, -4, cg.refdef.viewaxis[2], ent.origin);
;253:	ent.data.sprite.vertRGBA[0][3] = left;
;254:	ent.data.sprite.vertRGBA[1][3] = 0;
;255:	ent.data.sprite.vertRGBA[2][3] = low;
;256:	ent.data.sprite.vertRGBA[3][3] = lowleft;
;257:	trap_R_AddRefEntityToScene( &ent );
;258:
;259:}
;260:*/
;261:
;262:static void CG_DrawScreenBlob(float redalpha, float greenalpha)
;263:{
line 266
;264:	refEntity_t		ent;
;265:	float			alphascale;
;266:	float			bluealpha = 0;
ADDRLP4 164
CNSTF4 0
ASGNF4
line 269
;267:
;268:	// ragePro systems can't fade blends, so don't obscure the screen
;269:	if ( cgs.glconfig.hardwareType == GLHW_RAGEPRO ) {
ADDRGP4 cgs+20100+5144
INDIRI4
CNSTI4 3
NEI4 $178
line 270
;270:		return;
ADDRGP4 $177
JUMPV
LABELV $178
line 273
;271:	}
;272:
;273:	memset( &ent, 0, sizeof( ent ) );
ADDRLP4 0
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 274
;274:	ent.reType = RT_SPRITE;
ADDRLP4 0
CNSTI4 1
ASGNI4
line 275
;275:	ent.renderfx = RF_FIRST_PERSON;
ADDRLP4 0+4
CNSTI4 4
ASGNI4
line 281
;276:
;277:	// Available input:
;278:	// cg.damageValue:  Range from 0 to 1, indicating the amount of damage.
;279:	// cg.damageX and cg_damageY:  Range from -1 to 1, indicating the location of the damage.
;280:
;281:	VectorMA( cg.refdef.vieworg, 8, cg.refdef.viewaxis[0], ent.origin );
ADDRLP4 0+68
ADDRGP4 cg+106840+24
INDIRF4
CNSTF4 1090519040
ADDRGP4 cg+106840+36
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+68+4
ADDRGP4 cg+106840+24+4
INDIRF4
CNSTF4 1090519040
ADDRGP4 cg+106840+36+4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+68+8
ADDRGP4 cg+106840+24+8
INDIRF4
CNSTF4 1090519040
ADDRGP4 cg+106840+36+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 282
;282:	VectorMA( ent.origin, cg.damageX * -8, cg.refdef.viewaxis[1], ent.origin );
ADDRLP4 0+68
ADDRLP4 0+68
INDIRF4
ADDRGP4 cg+106840+36+12
INDIRF4
CNSTF4 3238002688
ADDRGP4 cg+113784
INDIRF4
MULF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+68+4
ADDRLP4 0+68+4
INDIRF4
ADDRGP4 cg+106840+36+12+4
INDIRF4
CNSTF4 3238002688
ADDRGP4 cg+113784
INDIRF4
MULF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+68+8
ADDRLP4 0+68+8
INDIRF4
ADDRGP4 cg+106840+36+12+8
INDIRF4
CNSTF4 3238002688
ADDRGP4 cg+113784
INDIRF4
MULF4
MULF4
ADDF4
ASGNF4
line 283
;283:	VectorMA( ent.origin, cg.damageY * 8, cg.refdef.viewaxis[2], ent.origin );
ADDRLP4 0+68
ADDRLP4 0+68
INDIRF4
ADDRGP4 cg+106840+36+24
INDIRF4
CNSTF4 1090519040
ADDRGP4 cg+113788
INDIRF4
MULF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+68+4
ADDRLP4 0+68+4
INDIRF4
ADDRGP4 cg+106840+36+24+4
INDIRF4
CNSTF4 1090519040
ADDRGP4 cg+113788
INDIRF4
MULF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+68+8
ADDRLP4 0+68+8
INDIRF4
ADDRGP4 cg+106840+36+24+8
INDIRF4
CNSTF4 1090519040
ADDRGP4 cg+113788
INDIRF4
MULF4
MULF4
ADDF4
ASGNF4
line 286
;284:
;285:	// Here's the scoop:  The closer we are to the center, the more transparent this blob is.
;286:	alphascale = (2*fabs(cg.damageX)+fabs(cg.damageY))/3.0;
ADDRGP4 cg+113784
INDIRF4
ARGF4
ADDRLP4 168
ADDRGP4 fabs
CALLF4
ASGNF4
ADDRGP4 cg+113788
INDIRF4
ARGF4
ADDRLP4 172
ADDRGP4 fabs
CALLF4
ASGNF4
ADDRLP4 160
CNSTF4 1073741824
ADDRLP4 168
INDIRF4
MULF4
ADDRLP4 172
INDIRF4
ADDF4
CNSTF4 1077936128
DIVF4
ASGNF4
line 287
;287:	redalpha *= alphascale;
ADDRFP4 0
ADDRFP4 0
INDIRF4
ADDRLP4 160
INDIRF4
MULF4
ASGNF4
line 288
;288:	greenalpha *= alphascale;
ADDRFP4 4
ADDRFP4 4
INDIRF4
ADDRLP4 160
INDIRF4
MULF4
ASGNF4
line 290
;289:
;290:	if (redalpha > greenalpha)
ADDRFP4 0
INDIRF4
ADDRFP4 4
INDIRF4
LEF4 $254
line 291
;291:	{
line 292
;292:		ent.data.sprite.radius = cg.damageValue * 15 * redalpha;
ADDRLP4 0+132+4
CNSTF4 1097859072
ADDRGP4 cg+113792
INDIRF4
MULF4
ADDRFP4 0
INDIRF4
MULF4
ASGNF4
line 293
;293:	}
ADDRGP4 $255
JUMPV
LABELV $254
line 295
;294:	else
;295:	{
line 296
;296:		ent.data.sprite.radius = cg.damageShieldValue * 15 * greenalpha;
ADDRLP4 0+132+4
CNSTF4 1097859072
ADDRGP4 cg+113796
INDIRF4
MULF4
ADDRFP4 4
INDIRF4
MULF4
ASGNF4
line 297
;297:	}
LABELV $255
line 299
;298:
;299:	if (redalpha < 0.01)
ADDRFP4 0
INDIRF4
CNSTF4 1008981770
GEF4 $262
line 300
;300:	{	// Just shield damage
line 301
;301:		ent.customShader = cgs.media.shieldBlobShader;
ADDRLP4 0+112
ADDRGP4 cgs+195628+372
INDIRI4
ASGNI4
line 303
;302:		// Set all colors to the same as green, since the shader is green
;303:		redalpha = bluealpha = greenalpha;
ADDRLP4 176
ADDRFP4 4
INDIRF4
ASGNF4
ADDRLP4 164
ADDRLP4 176
INDIRF4
ASGNF4
ADDRFP4 0
ADDRLP4 176
INDIRF4
ASGNF4
line 304
;304:	}
ADDRGP4 $263
JUMPV
LABELV $262
line 305
;305:	else if (greenalpha < 0.01)
ADDRFP4 4
INDIRF4
CNSTF4 1008981770
GEF4 $267
line 306
;306:	{	// Just pain damage
line 307
;307:		ent.customShader = cgs.media.painBlobShader;
ADDRLP4 0+112
ADDRGP4 cgs+195628+364
INDIRI4
ASGNI4
line 309
;308:		// Set all colors to the same as red, since the shader is red
;309:		greenalpha = bluealpha = redalpha;
ADDRLP4 176
ADDRFP4 0
INDIRF4
ASGNF4
ADDRLP4 164
ADDRLP4 176
INDIRF4
ASGNF4
ADDRFP4 4
ADDRLP4 176
INDIRF4
ASGNF4
line 310
;310:	}
ADDRGP4 $268
JUMPV
LABELV $267
line 312
;311:	else
;312:	{	// Both
line 313
;313:		ent.customShader = cgs.media.painShieldBlobShader;
ADDRLP4 0+112
ADDRGP4 cgs+195628+368
INDIRI4
ASGNI4
line 314
;314:	}
LABELV $268
LABELV $263
line 316
;315:
;316:	ent.shaderRGBA[0] = 0xff * redalpha;
ADDRLP4 180
CNSTF4 1132396544
ADDRFP4 0
INDIRF4
MULF4
ASGNF4
ADDRLP4 184
CNSTF4 1325400064
ASGNF4
ADDRLP4 180
INDIRF4
ADDRLP4 184
INDIRF4
LTF4 $277
ADDRLP4 176
ADDRLP4 180
INDIRF4
ADDRLP4 184
INDIRF4
SUBF4
CVFI4 4
CVIU4 4
CNSTU4 2147483648
ADDU4
ASGNU4
ADDRGP4 $278
JUMPV
LABELV $277
ADDRLP4 176
ADDRLP4 180
INDIRF4
CVFI4 4
CVIU4 4
ASGNU4
LABELV $278
ADDRLP4 0+116
ADDRLP4 176
INDIRU4
CVUU1 4
ASGNU1
line 317
;317:	ent.shaderRGBA[1] = 0xff * greenalpha;
ADDRLP4 192
CNSTF4 1132396544
ADDRFP4 4
INDIRF4
MULF4
ASGNF4
ADDRLP4 196
CNSTF4 1325400064
ASGNF4
ADDRLP4 192
INDIRF4
ADDRLP4 196
INDIRF4
LTF4 $282
ADDRLP4 188
ADDRLP4 192
INDIRF4
ADDRLP4 196
INDIRF4
SUBF4
CVFI4 4
CVIU4 4
CNSTU4 2147483648
ADDU4
ASGNU4
ADDRGP4 $283
JUMPV
LABELV $282
ADDRLP4 188
ADDRLP4 192
INDIRF4
CVFI4 4
CVIU4 4
ASGNU4
LABELV $283
ADDRLP4 0+116+1
ADDRLP4 188
INDIRU4
CVUU1 4
ASGNU1
line 318
;318:	ent.shaderRGBA[2] = 0xff * bluealpha;
ADDRLP4 204
CNSTF4 1132396544
ADDRLP4 164
INDIRF4
MULF4
ASGNF4
ADDRLP4 208
CNSTF4 1325400064
ASGNF4
ADDRLP4 204
INDIRF4
ADDRLP4 208
INDIRF4
LTF4 $287
ADDRLP4 200
ADDRLP4 204
INDIRF4
ADDRLP4 208
INDIRF4
SUBF4
CVFI4 4
CVIU4 4
CNSTU4 2147483648
ADDU4
ASGNU4
ADDRGP4 $288
JUMPV
LABELV $287
ADDRLP4 200
ADDRLP4 204
INDIRF4
CVFI4 4
CVIU4 4
ASGNU4
LABELV $288
ADDRLP4 0+116+2
ADDRLP4 200
INDIRU4
CVUU1 4
ASGNU1
line 319
;319:	ent.shaderRGBA[3] = 0xff;
ADDRLP4 0+116+3
CNSTU1 255
ASGNU1
line 320
;320:	trap_R_AddRefEntityToScene( &ent );
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 321
;321:}
LABELV $177
endproc CG_DrawScreenBlob 212 12
export CG_DrawFullScreenEffect
proc CG_DrawFullScreenEffect 8 8
line 326
;322:
;323:
;324:
;325:void CG_DrawFullScreenEffect(int screenfx, int start, int end)
;326:{
line 329
;327:	float	alpha;
;328:
;329:	alpha = (float)(end-cg.time)/(float)(end-start);
ADDRLP4 4
ADDRFP4 8
INDIRI4
ASGNI4
ADDRLP4 0
ADDRLP4 4
INDIRI4
ADDRGP4 cg+105552
INDIRI4
SUBI4
CVIF4 4
ADDRLP4 4
INDIRI4
ADDRFP4 4
INDIRI4
SUBI4
CVIF4 4
DIVF4
ASGNF4
line 331
;330:
;331:	switch (screenfx)
ADDRFP4 0
INDIRI4
CNSTI4 3
EQI4 $295
ADDRGP4 $294
JUMPV
line 332
;332:	{
LABELV $295
line 334
;333:	case SCREENFX_TRANSPORTER:
;334:		CG_DrawScreenQuad(alpha, cgs.media.teleportEffectShader);
ADDRLP4 0
INDIRF4
ARGF4
ADDRGP4 cgs+195628+764
INDIRI4
ARGI4
ADDRGP4 CG_DrawScreenQuad
CALLV
pop
line 335
;335:		break;
line 337
;336:	default:
;337:		break;
LABELV $294
line 339
;338:	}
;339:}
LABELV $291
endproc CG_DrawFullScreenEffect 8 8
export CG_DrawFullScreenFX
proc CG_DrawFullScreenFX 28 12
line 343
;340:
;341:
;342:void CG_DrawFullScreenFX( void ) 
;343:{
line 344
;344:	int i = 0, t;
ADDRLP4 0
CNSTI4 0
ASGNI4
line 347
;345:	float alpha, redalpha, greenalpha;
;346:
;347:	if ( (cg.snap->ps.clientNum != cg.predictedPlayerState.clientNum) || cg.renderingThirdPerson )
ADDRGP4 cg+32
INDIRP4
CNSTI4 200
ADDP4
INDIRI4
ADDRGP4 cg+105580+156
INDIRI4
NEI4 $305
ADDRGP4 cg+105572
INDIRI4
CNSTI4 0
EQI4 $299
LABELV $305
line 348
;348:	{
line 349
;349:		return;
ADDRGP4 $298
JUMPV
LABELV $299
line 352
;350:	}
;351:
;352:	t = cg.time - cg.damageTime;
ADDRLP4 4
ADDRGP4 cg+105552
INDIRI4
CVIF4 4
ADDRGP4 cg+113780
INDIRF4
SUBF4
CVFI4 4
ASGNI4
line 353
;353:	if ( t > 0 && t < DAMAGE_TIME) 
ADDRLP4 4
INDIRI4
CNSTI4 0
LEI4 $308
ADDRLP4 4
INDIRI4
CNSTI4 500
GEI4 $308
line 354
;354:	{	// Draw the blobs.
line 355
;355:		alpha = 1.0 - ((float)t / (float)DAMAGE_TIME);
ADDRLP4 16
CNSTF4 1065353216
ADDRLP4 4
INDIRI4
CVIF4 4
CNSTF4 1140457472
DIVF4
SUBF4
ASGNF4
line 357
;356:
;357:		redalpha = alpha*cg.damageValue*1.5;
ADDRLP4 8
CNSTF4 1069547520
ADDRLP4 16
INDIRF4
ADDRGP4 cg+113792
INDIRF4
MULF4
MULF4
ASGNF4
line 358
;358:		if (redalpha > 1.0)
ADDRLP4 8
INDIRF4
CNSTF4 1065353216
LEF4 $311
line 359
;359:		{
line 360
;360:			redalpha = 1.0;
ADDRLP4 8
CNSTF4 1065353216
ASGNF4
line 361
;361:		}
LABELV $311
line 363
;362:
;363:		greenalpha = alpha*cg.damageShieldValue*1.5;
ADDRLP4 12
CNSTF4 1069547520
ADDRLP4 16
INDIRF4
ADDRGP4 cg+113796
INDIRF4
MULF4
MULF4
ASGNF4
line 364
;364:		if (greenalpha > 1.0)
ADDRLP4 12
INDIRF4
CNSTF4 1065353216
LEF4 $314
line 365
;365:		{
line 366
;366:			greenalpha = 1.0;
ADDRLP4 12
CNSTF4 1065353216
ASGNF4
line 367
;367:		}
LABELV $314
line 369
;368:
;369:		CG_DrawScreenBlob(redalpha, greenalpha);
ADDRLP4 8
INDIRF4
ARGF4
ADDRLP4 12
INDIRF4
ARGF4
ADDRGP4 CG_DrawScreenBlob
CALLV
pop
line 370
;370:	}
LABELV $308
line 372
;371:
;372:	for (i = 0; i < MAX_SCREENFX; i++)
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $316
line 373
;373:	{
line 374
;374:		if (theScreenFX.cgEndTimes[i])
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 theScreenFX+32
ADDP4
INDIRI4
CNSTI4 0
EQI4 $320
line 375
;375:		{
line 376
;376:			if (theScreenFX.cgEndTimes[i] <= cg.time)
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 theScreenFX+32
ADDP4
INDIRI4
ADDRGP4 cg+105552
INDIRI4
GTI4 $323
line 377
;377:			{
line 379
;378:				// remove this effect
;379:				theScreenFX.events[i] = 0;
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 theScreenFX
ADDP4
CNSTI4 0
ASGNI4
line 380
;380:				theScreenFX.cgStartTimes[i] = 0;
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 theScreenFX+16
ADDP4
CNSTI4 0
ASGNI4
line 381
;381:				theScreenFX.cgEndTimes[i] = 0;
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 theScreenFX+32
ADDP4
CNSTI4 0
ASGNI4
line 382
;382:			}
ADDRGP4 $324
JUMPV
LABELV $323
line 384
;383:			else
;384:			{
line 386
;385:				// still drawing this effect
;386:				CG_DrawFullScreenEffect(theScreenFX.events[i],theScreenFX.cgStartTimes[i],theScreenFX.cgEndTimes[i]);
ADDRLP4 24
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ASGNI4
ADDRLP4 24
INDIRI4
ADDRGP4 theScreenFX
ADDP4
INDIRI4
ARGI4
ADDRLP4 24
INDIRI4
ADDRGP4 theScreenFX+16
ADDP4
INDIRI4
ARGI4
ADDRLP4 24
INDIRI4
ADDRGP4 theScreenFX+32
ADDP4
INDIRI4
ARGI4
ADDRGP4 CG_DrawFullScreenEffect
CALLV
pop
line 387
;387:			}
LABELV $324
line 388
;388:		}
LABELV $320
line 389
;389:	}
LABELV $317
line 372
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 4
LTI4 $316
line 390
;390:}
LABELV $298
endproc CG_DrawFullScreenFX 28 12
bss
export theScreenFX
align 4
LABELV theScreenFX
skip 48
import trap_MemoryRemaining
import testPrintFloat
import testPrintInt
import trap_SetUserCmdValue
import trap_GetUserCmd
import trap_GetCurrentCmdNumber
import trap_GetServerCommand
import trap_GetSnapshot
import trap_GetCurrentSnapshotNumber
import trap_GetGameState
import trap_GetGlconfig
import trap_R_LerpTag
import trap_R_ModelBounds
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_RenderScene
import trap_R_AddLightToScene
import trap_R_AddPolyToScene
import trap_R_AddRefEntityToScene
import trap_R_ClearScene
import trap_R_RegisterShaderNoMip
import trap_R_RegisterShader3D
import trap_R_RegisterShader
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_R_LoadWorldMap
import trap_S_StartBackgroundTrack
import trap_S_RegisterSound
import trap_S_Respatialize
import trap_S_UpdateEntityPosition
import trap_S_AddLoopingSound
import trap_S_ClearLoopingSounds
import trap_S_StartLocalSound
import trap_S_StartSound
import trap_CM_MarkFragments
import trap_CM_TransformedBoxTrace
import trap_CM_BoxTrace
import trap_CM_TransformedPointContents
import trap_CM_PointContents
import trap_CM_TempBoxModel
import trap_CM_InlineModel
import trap_CM_NumInlineModels
import trap_CM_LoadMap
import trap_UpdateScreen
import trap_SendClientCommand
import trap_AddCommand
import trap_SendConsoleCommand
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Cvar_VariableStringBuffer
import trap_Cvar_Set_No_Modify
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import updateSkin
import CG_TransitionPlayerState
import CG_Respawn
import CG_SetConfigValues
import CG_ParseServerinfo
import CG_ExecuteNewServerCommands
import CG_InitConsoleCommands
import CG_ConsoleCommand
import AW_SPPostgameMenu_f
import cg_medalStreakSounds
import cg_medalStreakPicNames
import cg_medalTeamSounds
import cg_medalTeamPicNames
import cg_medalSounds
import cg_medalPicNames
import CG_DrawTourneyScoreboard
import CG_DrawScoreboard
import CG_DrawInformation
import CG_LoadingClient
import CG_LoadingItem
import CG_LoadingString
import CG_ProcessSnapshots
import CG_ExplosionEffects
import CG_SurfaceExplosion
import CG_MakeExplosion2
import CG_MakeExplosion
import CG_Seeker
import CG_Bleed
import CG_SpawnEffect
import CG_BubbleTrail
import CG_SmokePuff
import CG_AddLocalEntities
import CG_GetActiveList
import CG_AllocLocalEntity
import CG_InitLocalEntities
import CG_ImpactMark
import CG_AddMarks
import CG_InitMarkPolys
import CG_BounceEffect
import CG_OutOfAmmoChange
import CG_DrawWeaponSelect
import CG_AddPlayerWeapon
import CG_AddViewWeapon
import CG_MissileHitPlayer
import CG_MissileHitWall
import CG_FireSeeker
import CG_FireWeapon
import CG_RegisterItemVisuals
import CG_RegisterWeapon
import CG_Weapon_f
import CG_PrevWeapon_f
import CG_NextWeapon_f
import CG_Chunks
import CG_Drip
import CG_TransporterPad
import CG_Bolt
import CG_Steam
import CG_Spark
import CG_PositionRotatedEntityOnTag
import CG_PositionEntityOnTag
import CG_AdjustPositionForMover
import CG_Beam
import CG_AddPacketEntities
import CG_SetEntitySoundPosition
import CG_PainEvent
import CG_EntityEvent
import CG_PlaceString
import CG_CheckEvents
import CG_LoadDeferredPlayers
import CG_PredictPlayerState
import CG_Trace
import CG_PointContents
import CG_BuildSolidList
import CG_CustomSound
import CG_NewClientInfo
import CG_AddRefEntityWithPowerups
import CG_ResetPlayerEntity
import CG_Player
import CG_PlayerShieldHit
import CG_DrawObjectiveInformation
import CG_DrawNumField
import CG_DrawTeamBackground
import CG_DrawFlagModel
import CG_DrawActive
import CG_DrawHead
import CG_CenterPrint
import CG_AddLagometerSnapshotInfo
import CG_AddLagometerFrameInfo
import drawTeamOverlayModificationCount
import numSortedTeamPlayers
import sortedTeamPlayers
import interface_graphics
import UI_ProportionalStringWidth
import CG_GetColorForHealth
import CG_ColorForHealth
import CG_TileClear
import CG_TeamColor
import CG_FadeColor
import CG_DrawStrlen
import CG_DrawSmallStringColor
import CG_DrawSmallString
import CG_DrawBigStringColor
import CG_DrawBigString
import CG_DrawStringExt
import CG_LoadFonts
import UI_DrawProportionalString
import CG_DrawString
import CG_DrawPic
import CG_FillRect
import CG_AdjustFrom640
import CG_PrintInterfaceGraphics
import CG_DrawActiveFrame
import CG_CameraShake
import CG_ZoomUp_f
import CG_ZoomDown_f
import CG_TestModelPrevSkin_f
import CG_TestModelNextSkin_f
import CG_TestModelPrevFrame_f
import CG_TestModelNextFrame_f
import CG_TestGun_f
import CG_TestModel_f
import CG_LastAttacker
import CG_CrosshairPlayer
import CG_UpdateCvars
import CG_StartMusic
import CG_Error
import CG_Printf
import CG_Argv
import CG_ConfigString
import cg_deferPlayers
import cg_predictItems
import cg_blood
import cg_paused
import cg_buildScript
import cg_forceModel
import cg_reportDamage
import cg_stats
import cg_teamChatHeight
import cg_teamChatTime
import cg_synchronousClients
import cg_drawAttacker
import cg_lagometer
import cg_stereoSeparation
import cg_thirdPerson
import cg_thirdPersonAngle
import cg_thirdPersonRange
import cg_zoomFov
import cg_fov
import cg_simpleItems
import cg_ignore
import cg_autoswitch
import cg_viewsize
import cg_drawGun
import cg_gun_z
import cg_gun_y
import cg_gun_x
import cg_gun_frame
import cg_addMarks
import cg_footsteps
import cg_showmiss
import cg_noPlayerAnims
import cg_nopredict
import cg_errorDecay
import cg_debugEvents
import cg_debugPosition
import cg_debugAnim
import cg_animSpeed
import cg_draw2D
import cg_drawStatus
import cg_crosshairHealth
import cg_crosshairSize
import cg_crosshairY
import cg_crosshairX
import cg_teamOverlayUserinfo
import cg_drawTeamOverlay
import cg_drawRewards
import cg_drawCrosshairNames
import cg_drawCrosshair
import cg_drawAmmoWarning
import cg_drawIcons
import cg_draw3dIcons
import cg_drawSnapshot
import cg_drawFPS
import cg_drawTimer
import cg_gibs
import cg_shadows
import cg_swingSpeed
import cg_bobroll
import cg_bobpitch
import cg_bobup
import cg_runroll
import cg_runpitch
import cg_centertime
import cg_markPolys
import cg_items
import cg_weapons
import cg_entities
import cg
import cgs
import CG_AddElectricity
import CG_AddCylinder
import CG_AddBezier
import CG_AddViewSprite
import CG_AddTrail
import CG_AddLine2
import CG_AddOLine
import CG_AddLine
import CG_AddQuad
import CG_AddScaleFadeSprite
import CG_AddSpriteExplosion
import CG_AddExplosion
import CG_AddFallScaleFade
import CG_AddScaleFade
import CG_AddMoveScaleFade
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
