code
proc CG_ResetEntity 8 4
file "../cg_snapshot.c"
line 15
;1:// Copyright (C) 1999-2000 Id Software, Inc.
;2://
;3:// cg_snapshot.c -- things that happen on snapshot transition,
;4:// not necessarily every single rendered frame
;5:
;6:#include "cg_local.h"
;7:
;8:
;9:
;10:/*
;11:==================
;12:CG_ResetEntity
;13:==================
;14:*/
;15:static void CG_ResetEntity( centity_t *cent ) {
line 18
;16:	// if an event is set, assume it is new enough to use
;17:	// if the event had timed out, it would have been cleared
;18:	cent->previousEvent = 0;
ADDRFP4 0
INDIRP4
CNSTI4 420
ADDP4
CNSTI4 0
ASGNI4
line 20
;19:
;20:	cent->trailTime = cg.snap->serverTime;
ADDRFP4 0
INDIRP4
CNSTI4 428
ADDP4
ADDRGP4 cg+32
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
ASGNI4
line 21
;21:	cent->thinkFlag = 0;
ADDRFP4 0
INDIRP4
CNSTI4 424
ADDP4
CNSTI4 0
ASGNI4
line 23
;22:
;23:	VectorCopy (cent->currentState.origin, cent->lerpOrigin);
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
CNSTI4 624
ADDP4
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
INDIRB
ASGNB 12
line 24
;24:	VectorCopy (cent->currentState.angles, cent->lerpAngles);
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CNSTI4 636
ADDP4
ADDRLP4 4
INDIRP4
CNSTI4 116
ADDP4
INDIRB
ASGNB 12
line 25
;25:	if ( cent->currentState.eType == ET_PLAYER ) {
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
CNSTI4 1
NEI4 $88
line 26
;26:		CG_ResetPlayerEntity( cent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 CG_ResetPlayerEntity
CALLV
pop
line 27
;27:	}
LABELV $88
line 28
;28:}
LABELV $86
endproc CG_ResetEntity 8 4
proc CG_TransitionEntity 4 4
line 38
;29:
;30:/*
;31:===============
;32:CG_TransitionEntity
;33:
;34:cent->nextState is moved to cent->currentState and events are fired
;35:===============
;36:*/
;37:static void CG_TransitionEntity( centity_t *cent )
;38:{
line 47
;39:/*	qboolean bNoDrawFlag = (cent->currentState.eFlags & EF_CLIENT_NODRAW);
;40:	if (cent->nextState.eFlags & EF_NODRAW)
;41:	{
;42:		// kef -- remove our special client-only flag because the game now believes we should have EF_NODRAW
;43:		bNoDrawFlag = qfalse;
;44:	}
;45:*/
;46:	// kef -- this will automatically remove EF_CLIENT_NODRAW because the game never sets it
;47:	cent->currentState = cent->nextState;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
CNSTI4 204
ADDP4
INDIRB
ASGNB 204
line 55
;48:
;49:/*	if (bNoDrawFlag)
;50:	{
;51:		cent->currentState.eFlags |= EF_NODRAW;
;52:		cent->currentState.eFlags |= EF_CLIENT_NODRAW;
;53:	}
;54:*/
;55:	cent->currentValid = qtrue;
ADDRFP4 0
INDIRP4
CNSTI4 412
ADDP4
CNSTI4 1
ASGNI4
line 58
;56:
;57:	// reset if the entity wasn't in the last frame or was teleported
;58:	if ( !cent->interpolate ) {
ADDRFP4 0
INDIRP4
CNSTI4 408
ADDP4
INDIRI4
CNSTI4 0
NEI4 $91
line 59
;59:		CG_ResetEntity( cent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 CG_ResetEntity
CALLV
pop
line 60
;60:	}
LABELV $91
line 63
;61:
;62:	// clear the next state.  if will be set by the next CG_SetNextSnap
;63:	cent->interpolate = qfalse;
ADDRFP4 0
INDIRP4
CNSTI4 408
ADDP4
CNSTI4 0
ASGNI4
line 66
;64:
;65:	// check for events
;66:	CG_CheckEvents( cent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 CG_CheckEvents
CALLV
pop
line 67
;67:}
LABELV $90
endproc CG_TransitionEntity 4 4
export CG_SetInitialSnapshot
proc CG_SetInitialSnapshot 16 12
line 81
;68:
;69:
;70:/*
;71:==================
;72:CG_SetInitialSnapshot
;73:
;74:This will only happen on the very first snapshot, or
;75:on tourney restarts.  All other times will use 
;76:CG_TransitionSnapshot instead.
;77:
;78:FIXME: Also called by map_restart?
;79:==================
;80:*/
;81:void CG_SetInitialSnapshot( snapshot_t *snap ) {
line 86
;82:	int				i;
;83:	centity_t		*cent;
;84:	entityState_t	*state;
;85:
;86:	cg.snap = snap;
ADDRGP4 cg+32
ADDRFP4 0
INDIRP4
ASGNP4
line 88
;87:
;88:	BG_PlayerStateToEntityState( &snap->ps, &cg_entities[ snap->ps.clientNum ].currentState, qfalse );
ADDRLP4 12
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12
INDIRP4
CNSTI4 44
ADDP4
ARGP4
CNSTI4 648
ADDRLP4 12
INDIRP4
CNSTI4 200
ADDP4
INDIRI4
MULI4
ADDRGP4 cg_entities
ADDP4
ARGP4
CNSTI4 0
ARGI4
ADDRGP4 BG_PlayerStateToEntityState
CALLV
pop
line 91
;89:
;90:	// sort out solid entities
;91:	CG_BuildSolidList();
ADDRGP4 CG_BuildSolidList
CALLV
pop
line 93
;92:
;93:	CG_ExecuteNewServerCommands( snap->serverCommandSequence );
ADDRFP4 0
INDIRP4
CNSTI4 52744
ADDP4
INDIRI4
ARGI4
ADDRGP4 CG_ExecuteNewServerCommands
CALLV
pop
line 97
;94:
;95:	// set our local weapon selection pointer to
;96:	// what the server has indicated the current weapon is
;97:	CG_Respawn();
ADDRGP4 CG_Respawn
CALLV
pop
line 99
;98:
;99:	for ( i = 0 ; i < cg.snap->numEntities ; i++ ) {
ADDRLP4 4
CNSTI4 0
ASGNI4
ADDRGP4 $98
JUMPV
LABELV $95
line 100
;100:		state = &cg.snap->entities[ i ];
ADDRLP4 8
CNSTI4 204
ADDRLP4 4
INDIRI4
MULI4
ADDRGP4 cg+32
INDIRP4
CNSTI4 516
ADDP4
ADDP4
ASGNP4
line 101
;101:		cent = &cg_entities[ state->number ];
ADDRLP4 0
CNSTI4 648
ADDRLP4 8
INDIRP4
INDIRI4
MULI4
ADDRGP4 cg_entities
ADDP4
ASGNP4
line 103
;102:
;103:		cent->currentState = *state;
ADDRLP4 0
INDIRP4
ADDRLP4 8
INDIRP4
INDIRB
ASGNB 204
line 104
;104:		cent->interpolate = qfalse;
ADDRLP4 0
INDIRP4
CNSTI4 408
ADDP4
CNSTI4 0
ASGNI4
line 105
;105:		cent->currentValid = qtrue;
ADDRLP4 0
INDIRP4
CNSTI4 412
ADDP4
CNSTI4 1
ASGNI4
line 107
;106:
;107:		CG_ResetEntity( cent );
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 CG_ResetEntity
CALLV
pop
line 110
;108:
;109:		// check for events
;110:		CG_CheckEvents( cent );
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 CG_CheckEvents
CALLV
pop
line 111
;111:	}
LABELV $96
line 99
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $98
ADDRLP4 4
INDIRI4
ADDRGP4 cg+32
INDIRP4
CNSTI4 512
ADDP4
INDIRI4
LTI4 $95
line 112
;112:}
LABELV $93
endproc CG_SetInitialSnapshot 16 12
proc CG_TransitionSnapshot 28 12
line 122
;113:
;114:
;115:/*
;116:===================
;117:CG_TransitionSnapshot
;118:
;119:The transition point from snap to nextSnap has passed
;120:===================
;121:*/
;122:static void CG_TransitionSnapshot( void ) {
line 127
;123:	centity_t			*cent;
;124:	snapshot_t			*oldFrame;
;125:	int					i;
;126:
;127:	if ( !cg.snap ) {
ADDRGP4 cg+32
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $102
line 128
;128:		CG_Error( "CG_TransitionSnapshot: NULL cg.snap" );
ADDRGP4 $105
ARGP4
ADDRGP4 CG_Error
CALLV
pop
line 129
;129:	}
LABELV $102
line 130
;130:	if ( !cg.nextSnap ) {
ADDRGP4 cg+36
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $106
line 131
;131:		CG_Error( "CG_TransitionSnapshot: NULL cg.nextSnap" );
ADDRGP4 $109
ARGP4
ADDRGP4 CG_Error
CALLV
pop
line 132
;132:	}
LABELV $106
line 135
;133:
;134:	// execute any server string commands before transitioning entities
;135:	CG_ExecuteNewServerCommands( cg.nextSnap->serverCommandSequence );
ADDRGP4 cg+36
INDIRP4
CNSTI4 52744
ADDP4
INDIRI4
ARGI4
ADDRGP4 CG_ExecuteNewServerCommands
CALLV
pop
line 138
;136:
;137:	// if we had a map_restart, set everthing with initial
;138:	if ( !cg.snap ) {
ADDRGP4 cg+32
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $111
line 139
;139:	}
LABELV $111
line 142
;140:
;141:	// clear the currentValid flag for all entities in the existing snapshot
;142:	for ( i = 0 ; i < cg.snap->numEntities ; i++ ) {
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $117
JUMPV
LABELV $114
line 143
;143:		cent = &cg_entities[ cg.snap->entities[ i ].number ];
ADDRLP4 4
CNSTI4 648
CNSTI4 204
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 cg+32
INDIRP4
CNSTI4 516
ADDP4
ADDP4
INDIRI4
MULI4
ADDRGP4 cg_entities
ADDP4
ASGNP4
line 144
;144:		cent->currentValid = qfalse;
ADDRLP4 4
INDIRP4
CNSTI4 412
ADDP4
CNSTI4 0
ASGNI4
line 145
;145:	}
LABELV $115
line 142
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $117
ADDRLP4 0
INDIRI4
ADDRGP4 cg+32
INDIRP4
CNSTI4 512
ADDP4
INDIRI4
LTI4 $114
line 148
;146:
;147:	// move nextSnap to snap and do the transitions
;148:	oldFrame = cg.snap;
ADDRLP4 8
ADDRGP4 cg+32
INDIRP4
ASGNP4
line 149
;149:	cg.snap = cg.nextSnap;
ADDRGP4 cg+32
ADDRGP4 cg+36
INDIRP4
ASGNP4
line 151
;150:
;151:	BG_PlayerStateToEntityState( &cg.snap->ps, &cg_entities[ cg.snap->ps.clientNum ].currentState, qfalse );
ADDRGP4 cg+32
INDIRP4
CNSTI4 44
ADDP4
ARGP4
CNSTI4 648
ADDRGP4 cg+32
INDIRP4
CNSTI4 200
ADDP4
INDIRI4
MULI4
ADDRGP4 cg_entities
ADDP4
ARGP4
CNSTI4 0
ARGI4
ADDRGP4 BG_PlayerStateToEntityState
CALLV
pop
line 152
;152:	cg_entities[ cg.snap->ps.clientNum ].interpolate = qfalse;
CNSTI4 648
ADDRGP4 cg+32
INDIRP4
CNSTI4 200
ADDP4
INDIRI4
MULI4
ADDRGP4 cg_entities+408
ADDP4
CNSTI4 0
ASGNI4
line 154
;153:
;154:	for ( i = 0 ; i < cg.snap->numEntities ; i++ ) {
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $130
JUMPV
LABELV $127
line 155
;155:		cent = &cg_entities[ cg.snap->entities[ i ].number ];
ADDRLP4 4
CNSTI4 648
CNSTI4 204
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 cg+32
INDIRP4
CNSTI4 516
ADDP4
ADDP4
INDIRI4
MULI4
ADDRGP4 cg_entities
ADDP4
ASGNP4
line 156
;156:		CG_TransitionEntity( cent );
ADDRLP4 4
INDIRP4
ARGP4
ADDRGP4 CG_TransitionEntity
CALLV
pop
line 157
;157:	}
LABELV $128
line 154
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $130
ADDRLP4 0
INDIRI4
ADDRGP4 cg+32
INDIRP4
CNSTI4 512
ADDP4
INDIRI4
LTI4 $127
line 159
;158:
;159:	cg.nextSnap = NULL;
ADDRGP4 cg+36
CNSTP4 0
ASGNP4
line 162
;160:
;161:	// check for playerstate transition events
;162:	if ( oldFrame ) {
ADDRLP4 8
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $134
line 165
;163:		playerState_t	*ops, *ps;
;164:
;165:		ops = &oldFrame->ps;
ADDRLP4 12
ADDRLP4 8
INDIRP4
CNSTI4 44
ADDP4
ASGNP4
line 166
;166:		ps = &cg.snap->ps;
ADDRLP4 16
ADDRGP4 cg+32
INDIRP4
CNSTI4 44
ADDP4
ASGNP4
line 168
;167:		// teleporting checks are irrespective of prediction
;168:		if ( ( ps->eFlags ^ ops->eFlags ) & EF_TELEPORT_BIT ) {
ADDRLP4 20
CNSTI4 104
ASGNI4
ADDRLP4 16
INDIRP4
ADDRLP4 20
INDIRI4
ADDP4
INDIRI4
ADDRLP4 12
INDIRP4
ADDRLP4 20
INDIRI4
ADDP4
INDIRI4
BXORI4
CNSTI4 4
BANDI4
CNSTI4 0
EQI4 $137
line 169
;169:			cg.thisFrameTeleport = qtrue;	// will be cleared by prediction code
ADDRGP4 cg+105540
CNSTI4 1
ASGNI4
line 170
;170:		}
LABELV $137
line 174
;171:
;172:		// if we are not doing client side movement prediction for any
;173:		// reason, then the client events and view changes will be issued now
;174:		if ( cg.demoPlayback || (cg.snap->ps.pm_flags & PMF_FOLLOW)
ADDRLP4 24
CNSTI4 0
ASGNI4
ADDRGP4 cg+4
INDIRI4
ADDRLP4 24
INDIRI4
NEI4 $148
ADDRGP4 cg+32
INDIRP4
CNSTI4 56
ADDP4
INDIRI4
CNSTI4 4096
BANDI4
ADDRLP4 24
INDIRI4
NEI4 $148
ADDRGP4 cg_nopredict+12
INDIRI4
ADDRLP4 24
INDIRI4
NEI4 $148
ADDRGP4 cg_synchronousClients+12
INDIRI4
ADDRLP4 24
INDIRI4
EQI4 $140
LABELV $148
line 175
;175:			|| cg_nopredict.integer || cg_synchronousClients.integer ) {
line 176
;176:			CG_TransitionPlayerState( ps, ops );
ADDRLP4 16
INDIRP4
ARGP4
ADDRLP4 12
INDIRP4
ARGP4
ADDRGP4 CG_TransitionPlayerState
CALLV
pop
line 177
;177:		}
LABELV $140
line 179
;178:
;179:	}
LABELV $134
line 181
;180:
;181:}
LABELV $101
endproc CG_TransitionSnapshot 28 12
proc CG_SetNextSnap 28 12
line 191
;182:
;183:
;184:/*
;185:===================
;186:CG_SetNextSnap
;187:
;188:A new snapshot has just been read in from the client system.
;189:===================
;190:*/
;191:static void CG_SetNextSnap( snapshot_t *snap ) {
line 196
;192:	int					num;
;193:	entityState_t		*es;
;194:	centity_t			*cent;
;195:
;196:	cg.nextSnap = snap;
ADDRGP4 cg+36
ADDRFP4 0
INDIRP4
ASGNP4
line 198
;197:
;198:	BG_PlayerStateToEntityState( &snap->ps, &cg_entities[ snap->ps.clientNum ].nextState, qfalse );
ADDRLP4 12
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12
INDIRP4
CNSTI4 44
ADDP4
ARGP4
CNSTI4 648
ADDRLP4 12
INDIRP4
CNSTI4 200
ADDP4
INDIRI4
MULI4
ADDRGP4 cg_entities+204
ADDP4
ARGP4
CNSTI4 0
ARGI4
ADDRGP4 BG_PlayerStateToEntityState
CALLV
pop
line 199
;199:	cg_entities[ cg.snap->ps.clientNum ].interpolate = qtrue;
CNSTI4 648
ADDRGP4 cg+32
INDIRP4
CNSTI4 200
ADDP4
INDIRI4
MULI4
ADDRGP4 cg_entities+408
ADDP4
CNSTI4 1
ASGNI4
line 202
;200:
;201:	// check for extrapolation errors
;202:	for ( num = 0 ; num < snap->numEntities ; num++ ) {
ADDRLP4 8
CNSTI4 0
ASGNI4
ADDRGP4 $157
JUMPV
LABELV $154
line 203
;203:		es = &snap->entities[num];
ADDRLP4 4
CNSTI4 204
ADDRLP4 8
INDIRI4
MULI4
ADDRFP4 0
INDIRP4
CNSTI4 516
ADDP4
ADDP4
ASGNP4
line 204
;204:		cent = &cg_entities[ es->number ];
ADDRLP4 0
CNSTI4 648
ADDRLP4 4
INDIRP4
INDIRI4
MULI4
ADDRGP4 cg_entities
ADDP4
ASGNP4
line 206
;205:
;206:		cent->nextState = *es;
ADDRLP4 0
INDIRP4
CNSTI4 204
ADDP4
ADDRLP4 4
INDIRP4
INDIRB
ASGNB 204
line 210
;207:
;208:		// if this frame is a teleport, or the entity wasn't in the
;209:		// previous frame, don't interpolate
;210:		if ( !cent->currentValid || ( ( cent->currentState.eFlags ^ es->eFlags ) & EF_TELEPORT_BIT )  ) {
ADDRLP4 20
CNSTI4 0
ASGNI4
ADDRLP4 0
INDIRP4
CNSTI4 412
ADDP4
INDIRI4
ADDRLP4 20
INDIRI4
EQI4 $160
ADDRLP4 24
CNSTI4 8
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
INDIRI4
ADDRLP4 4
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
INDIRI4
BXORI4
CNSTI4 4
BANDI4
ADDRLP4 20
INDIRI4
EQI4 $158
LABELV $160
line 211
;211:			cent->interpolate = qfalse;
ADDRLP4 0
INDIRP4
CNSTI4 408
ADDP4
CNSTI4 0
ASGNI4
line 212
;212:		} else {
ADDRGP4 $159
JUMPV
LABELV $158
line 213
;213:			cent->interpolate = qtrue;
ADDRLP4 0
INDIRP4
CNSTI4 408
ADDP4
CNSTI4 1
ASGNI4
line 214
;214:		}
LABELV $159
line 215
;215:	}
LABELV $155
line 202
ADDRLP4 8
ADDRLP4 8
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $157
ADDRLP4 8
INDIRI4
ADDRFP4 0
INDIRP4
CNSTI4 512
ADDP4
INDIRI4
LTI4 $154
line 219
;216:
;217:	// if the next frame is a teleport for the playerstate, we
;218:	// can't interpolate during demos
;219:	if ( cg.snap && ( ( snap->ps.eFlags ^ cg.snap->ps.eFlags ) & EF_TELEPORT_BIT ) ) {
ADDRGP4 cg+32
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $161
ADDRLP4 16
CNSTI4 148
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 16
INDIRI4
ADDP4
INDIRI4
ADDRGP4 cg+32
INDIRP4
ADDRLP4 16
INDIRI4
ADDP4
INDIRI4
BXORI4
CNSTI4 4
BANDI4
CNSTI4 0
EQI4 $161
line 220
;220:		cg.nextFrameTeleport = qtrue;
ADDRGP4 cg+105544
CNSTI4 1
ASGNI4
line 221
;221:	} else {
ADDRGP4 $162
JUMPV
LABELV $161
line 222
;222:		cg.nextFrameTeleport = qfalse;
ADDRGP4 cg+105544
CNSTI4 0
ASGNI4
line 223
;223:	}
LABELV $162
line 226
;224:
;225:	// if changing follow mode, don't interpolate
;226:	if ( cg.nextSnap->ps.clientNum != cg.snap->ps.clientNum ) {
ADDRLP4 20
CNSTI4 200
ASGNI4
ADDRGP4 cg+36
INDIRP4
ADDRLP4 20
INDIRI4
ADDP4
INDIRI4
ADDRGP4 cg+32
INDIRP4
ADDRLP4 20
INDIRI4
ADDP4
INDIRI4
EQI4 $167
line 227
;227:		cg.nextFrameTeleport = qtrue;
ADDRGP4 cg+105544
CNSTI4 1
ASGNI4
line 228
;228:	}
LABELV $167
line 231
;229:
;230:	// if changing server restarts, don't interpolate
;231:	if ( ( cg.nextSnap->snapFlags ^ cg.snap->snapFlags ) & SNAPFLAG_SERVERCOUNT ) {
ADDRGP4 cg+36
INDIRP4
INDIRI4
ADDRGP4 cg+32
INDIRP4
INDIRI4
BXORI4
CNSTI4 4
BANDI4
CNSTI4 0
EQI4 $172
line 232
;232:		cg.nextFrameTeleport = qtrue;
ADDRGP4 cg+105544
CNSTI4 1
ASGNI4
line 233
;233:	}
LABELV $172
line 236
;234:
;235:	// sort out solid entities
;236:	CG_BuildSolidList();
ADDRGP4 CG_BuildSolidList
CALLV
pop
line 237
;237:}
LABELV $149
endproc CG_SetNextSnap 28 12
proc CG_ReadNextSnapshot 16 12
line 250
;238:
;239:
;240:/*
;241:========================
;242:CG_ReadNextSnapshot
;243:
;244:This is the only place new snapshots are requested
;245:This may increment cgs.processedSnapshotNum multiple
;246:times if the client system fails to return a
;247:valid snapshot.
;248:========================
;249:*/
;250:static snapshot_t *CG_ReadNextSnapshot( void ) {
line 254
;251:	qboolean	r;
;252:	snapshot_t	*dest;
;253:
;254:	if ( cg.latestSnapshotNum > cgs.processedSnapshotNum + 1000 ) {
ADDRGP4 cg+24
INDIRI4
ADDRGP4 cgs+25308
INDIRI4
CNSTI4 1000
ADDI4
LEI4 $186
line 255
;255:		CG_Printf( "WARNING: CG_ReadNextSnapshot: way out of range, %i > %i", 
ADDRGP4 $182
ARGP4
ADDRGP4 cg+24
INDIRI4
ARGI4
ADDRGP4 cgs+25308
INDIRI4
ARGI4
ADDRGP4 CG_Printf
CALLV
pop
line 257
;256:			cg.latestSnapshotNum, cgs.processedSnapshotNum );
;257:	}
ADDRGP4 $186
JUMPV
LABELV $185
line 259
;258:
;259:	while ( cgs.processedSnapshotNum < cg.latestSnapshotNum ) {
line 261
;260:		// decide which of the two slots to load it into
;261:		if ( cg.snap == &cg.activeSnapshots[0] ) {
ADDRGP4 cg+32
INDIRP4
CVPU4 4
ADDRGP4 cg+40
CVPU4 4
NEU4 $190
line 262
;262:			dest = &cg.activeSnapshots[1];
ADDRLP4 0
ADDRGP4 cg+40+52748
ASGNP4
line 263
;263:		} else {
ADDRGP4 $191
JUMPV
LABELV $190
line 264
;264:			dest = &cg.activeSnapshots[0];
ADDRLP4 0
ADDRGP4 cg+40
ASGNP4
line 265
;265:		}
LABELV $191
line 268
;266:
;267:		// try to read the snapshot from the client system
;268:		cgs.processedSnapshotNum++;
ADDRLP4 8
ADDRGP4 cgs+25308
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 269
;269:		r = trap_GetSnapshot( cgs.processedSnapshotNum, dest );
ADDRGP4 cgs+25308
INDIRI4
ARGI4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 12
ADDRGP4 trap_GetSnapshot
CALLI4
ASGNI4
ADDRLP4 4
ADDRLP4 12
INDIRI4
ASGNI4
line 272
;270:
;271:		// if it succeeded, return
;272:		if ( r ) {
ADDRLP4 4
INDIRI4
CNSTI4 0
EQI4 $199
line 273
;273:			CG_AddLagometerSnapshotInfo( dest );
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 CG_AddLagometerSnapshotInfo
CALLV
pop
line 274
;274:			return dest;
ADDRLP4 0
INDIRP4
RETP4
ADDRGP4 $177
JUMPV
LABELV $199
line 283
;275:		}
;276:
;277:		// a GetSnapshot will return failure if the snapshot
;278:		// never arrived, or  is so old that its entities
;279:		// have been shoved off the end of the circular
;280:		// buffer in the client system.
;281:
;282:		// record as a dropped packet
;283:		CG_AddLagometerSnapshotInfo( NULL );
CNSTP4 0
ARGP4
ADDRGP4 CG_AddLagometerSnapshotInfo
CALLV
pop
line 287
;284:
;285:		// If there are additional snapshots, continue trying to
;286:		// read them.
;287:	}
LABELV $186
line 259
ADDRGP4 cgs+25308
INDIRI4
ADDRGP4 cg+24
INDIRI4
LTI4 $185
line 290
;288:
;289:	// nothing left to read
;290:	return NULL;
CNSTP4 0
RETP4
LABELV $177
endproc CG_ReadNextSnapshot 16 12
export CG_ProcessSnapshots
proc CG_ProcessSnapshots 16 8
line 313
;291:}
;292:
;293:
;294:/*
;295:============
;296:CG_ProcessSnapshots
;297:
;298:We are trying to set up a renderable view, so determine
;299:what the simulated time is, and try to get snapshots
;300:both before and after that time if available.
;301:
;302:If we don't have a valid cg.snap after exiting this function,
;303:then a 3D game view cannot be rendered.  This should only happen
;304:right after the initial connection.  After cg.snap has been valid
;305:once, it will never turn invalid.
;306:
;307:Even if cg.snap is valid, cg.nextSnap may not be, if the snapshot
;308:hasn't arrived yet (it becomes an extrapolating situation instead
;309:of an interpolating one)
;310:
;311:============
;312:*/
;313:void CG_ProcessSnapshots( void ) {
line 318
;314:	snapshot_t		*snap;
;315:	int				n;
;316:
;317:	// see what the latest snapshot the client system has is
;318:	trap_GetCurrentSnapshotNumber( &n, &cg.latestSnapshotTime );
ADDRLP4 4
ARGP4
ADDRGP4 cg+28
ARGP4
ADDRGP4 trap_GetCurrentSnapshotNumber
CALLV
pop
line 319
;319:	if ( n != cg.latestSnapshotNum ) {
ADDRLP4 4
INDIRI4
ADDRGP4 cg+24
INDIRI4
EQI4 $212
line 320
;320:		if ( n < cg.latestSnapshotNum ) {
ADDRLP4 4
INDIRI4
ADDRGP4 cg+24
INDIRI4
GEI4 $206
line 322
;321:			// this should never happen
;322:			CG_Error( "CG_ProcessSnapshots: n < cg.latestSnapshotNum" );
ADDRGP4 $209
ARGP4
ADDRGP4 CG_Error
CALLV
pop
line 323
;323:		}
LABELV $206
line 324
;324:		cg.latestSnapshotNum = n;
ADDRGP4 cg+24
ADDRLP4 4
INDIRI4
ASGNI4
line 325
;325:	}
ADDRGP4 $212
JUMPV
LABELV $211
line 330
;326:
;327:	// If we have yet to receive a snapshot, check for it.
;328:	// Once we have gotten the first snapshot, cg.snap will
;329:	// always have valid data for the rest of the game
;330:	while ( !cg.snap ) {
line 331
;331:		snap = CG_ReadNextSnapshot();
ADDRLP4 8
ADDRGP4 CG_ReadNextSnapshot
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 8
INDIRP4
ASGNP4
line 332
;332:		if ( !snap ) {
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $215
line 334
;333:			// we can't continue until we get a snapshot
;334:			return;
ADDRGP4 $201
JUMPV
LABELV $215
line 339
;335:		}
;336:
;337:		// set our weapon selection to what
;338:		// the playerstate is currently using
;339:		if ( !( snap->snapFlags & SNAPFLAG_NOT_ACTIVE ) ) {
ADDRLP4 0
INDIRP4
INDIRI4
CNSTI4 2
BANDI4
CNSTI4 0
NEI4 $217
line 340
;340:			CG_SetInitialSnapshot( snap );
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 CG_SetInitialSnapshot
CALLV
pop
line 341
;341:		}
LABELV $217
line 342
;342:	}
LABELV $212
line 330
ADDRGP4 cg+32
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $211
LABELV $219
line 347
;343:
;344:	// loop until we either have a valid nextSnap with a serverTime
;345:	// greater than cg.time to interpolate towards, or we run
;346:	// out of available snapshots
;347:	do {
line 349
;348:		// if we don't have a nextframe, try and read a new one in
;349:		if ( !cg.nextSnap ) {
ADDRGP4 cg+36
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $222
line 350
;350:			snap = CG_ReadNextSnapshot();
ADDRLP4 8
ADDRGP4 CG_ReadNextSnapshot
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 8
INDIRP4
ASGNP4
line 354
;351:
;352:			// if we still don't have a nextframe, we will just have to
;353:			// extrapolate
;354:			if ( !snap ) {
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $225
line 355
;355:				break;
ADDRGP4 $221
JUMPV
LABELV $225
line 358
;356:			}
;357:
;358:			CG_SetNextSnap( snap );
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 CG_SetNextSnap
CALLV
pop
line 361
;359:
;360:			// if time went backwards, we have a level restart
;361:			if ( cg.nextSnap->serverTime < cg.snap->serverTime ) {
ADDRLP4 12
CNSTI4 8
ASGNI4
ADDRGP4 cg+36
INDIRP4
ADDRLP4 12
INDIRI4
ADDP4
INDIRI4
ADDRGP4 cg+32
INDIRP4
ADDRLP4 12
INDIRI4
ADDP4
INDIRI4
GEI4 $227
line 362
;362:				CG_Error( "CG_ProcessSnapshots: Server time went backwards" );
ADDRGP4 $231
ARGP4
ADDRGP4 CG_Error
CALLV
pop
line 363
;363:			}
LABELV $227
line 364
;364:		}
LABELV $222
line 367
;365:
;366:		// if our time is < nextFrame's, we have a nice interpolating state
;367:		if ( cg.time >= cg.snap->serverTime && cg.time < cg.nextSnap->serverTime ) {
ADDRLP4 8
CNSTI4 8
ASGNI4
ADDRGP4 cg+105552
INDIRI4
ADDRGP4 cg+32
INDIRP4
ADDRLP4 8
INDIRI4
ADDP4
INDIRI4
LTI4 $232
ADDRGP4 cg+105552
INDIRI4
ADDRGP4 cg+36
INDIRP4
ADDRLP4 8
INDIRI4
ADDP4
INDIRI4
GEI4 $232
line 368
;368:			break;
ADDRGP4 $221
JUMPV
LABELV $232
line 372
;369:		}
;370:
;371:		// we have passed the transition from nextFrame to frame
;372:		CG_TransitionSnapshot();
ADDRGP4 CG_TransitionSnapshot
CALLV
pop
line 373
;373:	} while ( 1 );
LABELV $220
ADDRGP4 $219
JUMPV
LABELV $221
line 376
;374:
;375:	// assert our valid conditions upon exiting
;376:	if ( cg.snap == NULL ) {
ADDRGP4 cg+32
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $238
line 377
;377:		CG_Error( "CG_ProcessSnapshots: cg.snap == NULL" );
ADDRGP4 $241
ARGP4
ADDRGP4 CG_Error
CALLV
pop
line 378
;378:	}
LABELV $238
line 379
;379:	if ( cg.time < cg.snap->serverTime ) {
ADDRGP4 cg+105552
INDIRI4
ADDRGP4 cg+32
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
GEI4 $242
line 381
;380:		// this can happen right after a vid_restart
;381:		cg.time = cg.snap->serverTime;
ADDRGP4 cg+105552
ADDRGP4 cg+32
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
ASGNI4
line 382
;382:	}
LABELV $242
line 383
;383:	if ( cg.nextSnap != NULL && cg.nextSnap->serverTime <= cg.time ) {
ADDRGP4 cg+36
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $248
ADDRGP4 cg+36
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
ADDRGP4 cg+105552
INDIRI4
GTI4 $248
line 384
;384:		CG_Error( "CG_ProcessSnapshots: cg.nextSnap->serverTime <= cg.time" );
ADDRGP4 $253
ARGP4
ADDRGP4 CG_Error
CALLV
pop
line 385
;385:	}
LABELV $248
line 387
;386:
;387:}
LABELV $201
endproc CG_ProcessSnapshots 16 8
import trap_MemoryRemaining
import testPrintFloat
import testPrintInt
import trap_SetUserCmdValue
import trap_GetUserCmd
import trap_GetCurrentCmdNumber
import trap_GetServerCommand
import trap_GetSnapshot
import trap_GetCurrentSnapshotNumber
import trap_GetGameState
import trap_GetGlconfig
import trap_R_LerpTag
import trap_R_ModelBounds
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_RenderScene
import trap_R_AddLightToScene
import trap_R_AddPolyToScene
import trap_R_AddRefEntityToScene
import trap_R_ClearScene
import trap_R_RegisterShaderNoMip
import trap_R_RegisterShader3D
import trap_R_RegisterShader
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_R_LoadWorldMap
import trap_S_StartBackgroundTrack
import trap_S_RegisterSound
import trap_S_Respatialize
import trap_S_UpdateEntityPosition
import trap_S_AddLoopingSound
import trap_S_ClearLoopingSounds
import trap_S_StartLocalSound
import trap_S_StartSound
import trap_CM_MarkFragments
import trap_CM_TransformedBoxTrace
import trap_CM_BoxTrace
import trap_CM_TransformedPointContents
import trap_CM_PointContents
import trap_CM_TempBoxModel
import trap_CM_InlineModel
import trap_CM_NumInlineModels
import trap_CM_LoadMap
import trap_UpdateScreen
import trap_SendClientCommand
import trap_AddCommand
import trap_SendConsoleCommand
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Cvar_VariableStringBuffer
import trap_Cvar_Set_No_Modify
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import updateSkin
import CG_TransitionPlayerState
import CG_Respawn
import CG_SetConfigValues
import CG_ParseServerinfo
import CG_ExecuteNewServerCommands
import CG_InitConsoleCommands
import CG_ConsoleCommand
import AW_SPPostgameMenu_f
import cg_medalStreakSounds
import cg_medalStreakPicNames
import cg_medalTeamSounds
import cg_medalTeamPicNames
import cg_medalSounds
import cg_medalPicNames
import CG_DrawTourneyScoreboard
import CG_DrawScoreboard
import CG_DrawInformation
import CG_LoadingClient
import CG_LoadingItem
import CG_LoadingString
import CG_ExplosionEffects
import CG_SurfaceExplosion
import CG_MakeExplosion2
import CG_MakeExplosion
import CG_Seeker
import CG_Bleed
import CG_SpawnEffect
import CG_BubbleTrail
import CG_SmokePuff
import CG_AddLocalEntities
import CG_GetActiveList
import CG_AllocLocalEntity
import CG_InitLocalEntities
import CG_ImpactMark
import CG_AddMarks
import CG_InitMarkPolys
import CG_BounceEffect
import CG_OutOfAmmoChange
import CG_DrawWeaponSelect
import CG_AddPlayerWeapon
import CG_AddViewWeapon
import CG_MissileHitPlayer
import CG_MissileHitWall
import CG_FireSeeker
import CG_FireWeapon
import CG_RegisterItemVisuals
import CG_RegisterWeapon
import CG_Weapon_f
import CG_PrevWeapon_f
import CG_NextWeapon_f
import CG_Chunks
import CG_Drip
import CG_TransporterPad
import CG_Bolt
import CG_Steam
import CG_Spark
import CG_PositionRotatedEntityOnTag
import CG_PositionEntityOnTag
import CG_AdjustPositionForMover
import CG_Beam
import CG_AddPacketEntities
import CG_SetEntitySoundPosition
import CG_PainEvent
import CG_EntityEvent
import CG_PlaceString
import CG_CheckEvents
import CG_LoadDeferredPlayers
import CG_PredictPlayerState
import CG_Trace
import CG_PointContents
import CG_BuildSolidList
import CG_CustomSound
import CG_NewClientInfo
import CG_AddRefEntityWithPowerups
import CG_ResetPlayerEntity
import CG_Player
import CG_PlayerShieldHit
import CG_DrawObjectiveInformation
import CG_DrawNumField
import CG_DrawTeamBackground
import CG_DrawFlagModel
import CG_DrawActive
import CG_DrawHead
import CG_CenterPrint
import CG_AddLagometerSnapshotInfo
import CG_AddLagometerFrameInfo
import drawTeamOverlayModificationCount
import numSortedTeamPlayers
import sortedTeamPlayers
import interface_graphics
import UI_ProportionalStringWidth
import CG_GetColorForHealth
import CG_ColorForHealth
import CG_TileClear
import CG_TeamColor
import CG_FadeColor
import CG_DrawStrlen
import CG_DrawSmallStringColor
import CG_DrawSmallString
import CG_DrawBigStringColor
import CG_DrawBigString
import CG_DrawStringExt
import CG_LoadFonts
import UI_DrawProportionalString
import CG_DrawString
import CG_DrawPic
import CG_FillRect
import CG_AdjustFrom640
import CG_PrintInterfaceGraphics
import CG_DrawActiveFrame
import CG_CameraShake
import CG_ZoomUp_f
import CG_ZoomDown_f
import CG_TestModelPrevSkin_f
import CG_TestModelNextSkin_f
import CG_TestModelPrevFrame_f
import CG_TestModelNextFrame_f
import CG_TestGun_f
import CG_TestModel_f
import CG_LastAttacker
import CG_CrosshairPlayer
import CG_UpdateCvars
import CG_StartMusic
import CG_Error
import CG_Printf
import CG_Argv
import CG_ConfigString
import cg_deferPlayers
import cg_predictItems
import cg_blood
import cg_paused
import cg_buildScript
import cg_forceModel
import cg_reportDamage
import cg_stats
import cg_teamChatHeight
import cg_teamChatTime
import cg_synchronousClients
import cg_drawAttacker
import cg_lagometer
import cg_stereoSeparation
import cg_thirdPerson
import cg_thirdPersonAngle
import cg_thirdPersonRange
import cg_zoomFov
import cg_fov
import cg_simpleItems
import cg_ignore
import cg_autoswitch
import cg_viewsize
import cg_drawGun
import cg_gun_z
import cg_gun_y
import cg_gun_x
import cg_gun_frame
import cg_addMarks
import cg_footsteps
import cg_showmiss
import cg_noPlayerAnims
import cg_nopredict
import cg_errorDecay
import cg_debugEvents
import cg_debugPosition
import cg_debugAnim
import cg_animSpeed
import cg_draw2D
import cg_drawStatus
import cg_crosshairHealth
import cg_crosshairSize
import cg_crosshairY
import cg_crosshairX
import cg_teamOverlayUserinfo
import cg_drawTeamOverlay
import cg_drawRewards
import cg_drawCrosshairNames
import cg_drawCrosshair
import cg_drawAmmoWarning
import cg_drawIcons
import cg_draw3dIcons
import cg_drawSnapshot
import cg_drawFPS
import cg_drawTimer
import cg_gibs
import cg_shadows
import cg_swingSpeed
import cg_bobroll
import cg_bobpitch
import cg_bobup
import cg_runroll
import cg_runpitch
import cg_centertime
import cg_markPolys
import cg_items
import cg_weapons
import cg_entities
import cg
import cgs
import CG_AddElectricity
import CG_AddCylinder
import CG_AddBezier
import CG_AddViewSprite
import CG_AddTrail
import CG_AddLine2
import CG_AddOLine
import CG_AddLine
import CG_AddQuad
import CG_AddScaleFadeSprite
import CG_AddSpriteExplosion
import CG_AddExplosion
import CG_AddFallScaleFade
import CG_AddScaleFade
import CG_AddMoveScaleFade
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $253
byte 1 67
byte 1 71
byte 1 95
byte 1 80
byte 1 114
byte 1 111
byte 1 99
byte 1 101
byte 1 115
byte 1 115
byte 1 83
byte 1 110
byte 1 97
byte 1 112
byte 1 115
byte 1 104
byte 1 111
byte 1 116
byte 1 115
byte 1 58
byte 1 32
byte 1 99
byte 1 103
byte 1 46
byte 1 110
byte 1 101
byte 1 120
byte 1 116
byte 1 83
byte 1 110
byte 1 97
byte 1 112
byte 1 45
byte 1 62
byte 1 115
byte 1 101
byte 1 114
byte 1 118
byte 1 101
byte 1 114
byte 1 84
byte 1 105
byte 1 109
byte 1 101
byte 1 32
byte 1 60
byte 1 61
byte 1 32
byte 1 99
byte 1 103
byte 1 46
byte 1 116
byte 1 105
byte 1 109
byte 1 101
byte 1 0
align 1
LABELV $241
byte 1 67
byte 1 71
byte 1 95
byte 1 80
byte 1 114
byte 1 111
byte 1 99
byte 1 101
byte 1 115
byte 1 115
byte 1 83
byte 1 110
byte 1 97
byte 1 112
byte 1 115
byte 1 104
byte 1 111
byte 1 116
byte 1 115
byte 1 58
byte 1 32
byte 1 99
byte 1 103
byte 1 46
byte 1 115
byte 1 110
byte 1 97
byte 1 112
byte 1 32
byte 1 61
byte 1 61
byte 1 32
byte 1 78
byte 1 85
byte 1 76
byte 1 76
byte 1 0
align 1
LABELV $231
byte 1 67
byte 1 71
byte 1 95
byte 1 80
byte 1 114
byte 1 111
byte 1 99
byte 1 101
byte 1 115
byte 1 115
byte 1 83
byte 1 110
byte 1 97
byte 1 112
byte 1 115
byte 1 104
byte 1 111
byte 1 116
byte 1 115
byte 1 58
byte 1 32
byte 1 83
byte 1 101
byte 1 114
byte 1 118
byte 1 101
byte 1 114
byte 1 32
byte 1 116
byte 1 105
byte 1 109
byte 1 101
byte 1 32
byte 1 119
byte 1 101
byte 1 110
byte 1 116
byte 1 32
byte 1 98
byte 1 97
byte 1 99
byte 1 107
byte 1 119
byte 1 97
byte 1 114
byte 1 100
byte 1 115
byte 1 0
align 1
LABELV $209
byte 1 67
byte 1 71
byte 1 95
byte 1 80
byte 1 114
byte 1 111
byte 1 99
byte 1 101
byte 1 115
byte 1 115
byte 1 83
byte 1 110
byte 1 97
byte 1 112
byte 1 115
byte 1 104
byte 1 111
byte 1 116
byte 1 115
byte 1 58
byte 1 32
byte 1 110
byte 1 32
byte 1 60
byte 1 32
byte 1 99
byte 1 103
byte 1 46
byte 1 108
byte 1 97
byte 1 116
byte 1 101
byte 1 115
byte 1 116
byte 1 83
byte 1 110
byte 1 97
byte 1 112
byte 1 115
byte 1 104
byte 1 111
byte 1 116
byte 1 78
byte 1 117
byte 1 109
byte 1 0
align 1
LABELV $182
byte 1 87
byte 1 65
byte 1 82
byte 1 78
byte 1 73
byte 1 78
byte 1 71
byte 1 58
byte 1 32
byte 1 67
byte 1 71
byte 1 95
byte 1 82
byte 1 101
byte 1 97
byte 1 100
byte 1 78
byte 1 101
byte 1 120
byte 1 116
byte 1 83
byte 1 110
byte 1 97
byte 1 112
byte 1 115
byte 1 104
byte 1 111
byte 1 116
byte 1 58
byte 1 32
byte 1 119
byte 1 97
byte 1 121
byte 1 32
byte 1 111
byte 1 117
byte 1 116
byte 1 32
byte 1 111
byte 1 102
byte 1 32
byte 1 114
byte 1 97
byte 1 110
byte 1 103
byte 1 101
byte 1 44
byte 1 32
byte 1 37
byte 1 105
byte 1 32
byte 1 62
byte 1 32
byte 1 37
byte 1 105
byte 1 0
align 1
LABELV $109
byte 1 67
byte 1 71
byte 1 95
byte 1 84
byte 1 114
byte 1 97
byte 1 110
byte 1 115
byte 1 105
byte 1 116
byte 1 105
byte 1 111
byte 1 110
byte 1 83
byte 1 110
byte 1 97
byte 1 112
byte 1 115
byte 1 104
byte 1 111
byte 1 116
byte 1 58
byte 1 32
byte 1 78
byte 1 85
byte 1 76
byte 1 76
byte 1 32
byte 1 99
byte 1 103
byte 1 46
byte 1 110
byte 1 101
byte 1 120
byte 1 116
byte 1 83
byte 1 110
byte 1 97
byte 1 112
byte 1 0
align 1
LABELV $105
byte 1 67
byte 1 71
byte 1 95
byte 1 84
byte 1 114
byte 1 97
byte 1 110
byte 1 115
byte 1 105
byte 1 116
byte 1 105
byte 1 111
byte 1 110
byte 1 83
byte 1 110
byte 1 97
byte 1 112
byte 1 115
byte 1 104
byte 1 111
byte 1 116
byte 1 58
byte 1 32
byte 1 78
byte 1 85
byte 1 76
byte 1 76
byte 1 32
byte 1 99
byte 1 103
byte 1 46
byte 1 115
byte 1 110
byte 1 97
byte 1 112
byte 1 0
