lit
align 4
LABELV $87
byte 4 1065353216
byte 4 1063675494
byte 4 1058642330
align 4
LABELV $88
byte 4 1065353216
byte 4 1050253722
byte 4 0
export FX_PhaserFire
code
proc FX_PhaserFire 240 48
file "../fx_phaser.c"
line 13
;1://Phaser
;2:
;3:#include "cg_local.h"
;4:#include "fx_local.h"
;5:
;6:/*
;7:-------------------------
;8:FX_PhaserFire
;9:-------------------------
;10:*/
;11:
;12:void FX_PhaserFire( vec3_t startpos, vec3_t endpos, vec3_t normal, qboolean spark, qboolean impact, qboolean empty )
;13:{
line 19
;14:	refEntity_t		beam;
;15:	sfxHandle_t		sfx;
;16:	float			size;
;17:	vec3_t			velocity;
;18:	int				sparks;
;19:	vec3_t			rgb = { 1,0.9,0.6}, rgb2={1,0.3,0};
ADDRLP4 184
ADDRGP4 $87
INDIRB
ASGNB 12
ADDRLP4 196
ADDRGP4 $88
INDIRB
ASGNB 12
line 21
;20:
;21:	sfx = 0;
ADDRLP4 180
CNSTI4 0
ASGNI4
line 24
;22:
;23:	// Draw beam first.
;24:	memset( &beam, 0, sizeof( beam ) );
ADDRLP4 4
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 26
;25:
;26:	VectorCopy( startpos, beam.origin);
ADDRLP4 4+68
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 27
;27:	VectorCopy( endpos, beam.oldorigin );
ADDRLP4 4+84
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 28
;28:	beam.reType = RT_LINE;
ADDRLP4 4
CNSTI4 9
ASGNI4
line 29
;29:	if (empty)
ADDRFP4 20
INDIRI4
CNSTI4 0
EQI4 $91
line 30
;30:	{
line 31
;31:		beam.customShader = cgs.media.phaserEmptyShader;
ADDRLP4 4+112
ADDRGP4 cgs+195628+80
INDIRI4
ASGNI4
line 32
;32:	}
ADDRGP4 $92
JUMPV
LABELV $91
line 34
;33:	else
;34:	{
line 35
;35:		beam.customShader = cgs.media.phaserShader;
ADDRLP4 4+112
ADDRGP4 cgs+195628+76
INDIRI4
ASGNI4
line 36
;36:	}
LABELV $92
line 37
;37:	AxisClear( beam.axis );
ADDRLP4 4+28
ARGP4
ADDRGP4 AxisClear
CALLV
pop
line 38
;38:	beam.shaderRGBA[0] = 0xff;
ADDRLP4 4+116
CNSTU1 255
ASGNU1
line 39
;39:	beam.shaderRGBA[1] = 0xff;
ADDRLP4 4+116+1
CNSTU1 255
ASGNU1
line 40
;40:	beam.shaderRGBA[2] = 0xff;
ADDRLP4 4+116+2
CNSTU1 255
ASGNU1
line 41
;41:	beam.shaderRGBA[3] = 0xff;
ADDRLP4 4+116+3
CNSTU1 255
ASGNU1
line 42
;42:	if (empty)
ADDRFP4 20
INDIRI4
CNSTI4 0
EQI4 $107
line 43
;43:	{
line 44
;44:		beam.data.line.width = 1.0f + ( crandom() * 0.6f );
ADDRLP4 208
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 4+132
CNSTF4 1058642330
CNSTF4 1073741824
ADDRLP4 208
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
MULF4
CNSTF4 1065353216
ADDF4
ASGNF4
line 45
;45:	}
ADDRGP4 $108
JUMPV
LABELV $107
line 47
;46:	else
;47:	{
line 48
;48:		beam.data.line.width = 2.0f + ( crandom() * 0.6f );
ADDRLP4 208
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 4+132
CNSTF4 1058642330
CNSTF4 1073741824
ADDRLP4 208
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
MULF4
CNSTF4 1073741824
ADDF4
ASGNF4
line 49
;49:	}
LABELV $108
line 50
;50:	beam.data.line.stscale = 5.0;
ADDRLP4 4+132+8
CNSTF4 1084227584
ASGNF4
line 51
;51:	trap_R_AddRefEntityToScene( &beam );
ADDRLP4 4
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 57
;52:
;53:	// Now draw the hit graphic
;54: 
;55:	// no explosion at LG impact, it is added with the beam
;56:
;57:	if ( sfx )
ADDRLP4 180
INDIRI4
CNSTI4 0
EQI4 $113
line 58
;58:	{
line 59
;59:		Com_Printf("playing %s\n", "phaser sound");
ADDRGP4 $115
ARGP4
ADDRGP4 $116
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 60
;60:		trap_S_StartSound( endpos, ENTITYNUM_WORLD, CHAN_AUTO, sfx );
ADDRFP4 4
INDIRP4
ARGP4
CNSTI4 1022
ARGI4
CNSTI4 0
ARGI4
ADDRLP4 180
INDIRI4
ARGI4
ADDRGP4 trap_S_StartSound
CALLV
pop
line 61
;61:	}
LABELV $113
line 66
;62:
;63:	//
;64:	// impact mark
;65:	//
;66:	if (impact)
ADDRFP4 16
INDIRI4
CNSTI4 0
EQI4 $117
line 67
;67:	{
line 68
;68:		if (!empty)
ADDRFP4 20
INDIRI4
CNSTI4 0
NEI4 $119
line 69
;69:		{	// normal.
line 70
;70:			CG_ImpactMark( cgs.media.scavMarkShader, endpos, normal, random()*360, 1,1,1,0.2, qfalse, 
ADDRLP4 208
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 212
ADDRGP4 rand
CALLI4
ASGNI4
ADDRGP4 cgs+195628+248
INDIRI4
ARGI4
ADDRFP4 4
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
CNSTF4 1135869952
ADDRLP4 208
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
MULF4
ARGF4
ADDRLP4 216
CNSTF4 1065353216
ASGNF4
ADDRLP4 216
INDIRF4
ARGF4
ADDRLP4 216
INDIRF4
ARGF4
ADDRLP4 216
INDIRF4
ARGF4
CNSTF4 1045220557
ARGF4
ADDRLP4 220
CNSTI4 0
ASGNI4
ADDRLP4 220
INDIRI4
ARGI4
ADDRLP4 212
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
ADDRLP4 216
INDIRF4
ADDF4
ARGF4
ADDRLP4 220
INDIRI4
ARGI4
ADDRGP4 CG_ImpactMark
CALLV
pop
line 72
;71:						random() + 1, qfalse );
;72:			FX_AddQuad2( endpos, normal, random() * 1.25 + 1.5f, 0.0f, 1.0f, 0.0f, rgb, rgb2, rand() % 360, 500 + random() * 200, 
ADDRLP4 224
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 228
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 232
ADDRGP4 rand
CALLI4
ASGNI4
ADDRFP4 4
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
CNSTF4 1067450368
ADDRLP4 224
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
MULF4
CNSTF4 1069547520
ADDF4
ARGF4
ADDRLP4 236
CNSTF4 0
ASGNF4
ADDRLP4 236
INDIRF4
ARGF4
CNSTF4 1065353216
ARGF4
ADDRLP4 236
INDIRF4
ARGF4
ADDRLP4 184
ARGP4
ADDRLP4 196
ARGP4
ADDRLP4 228
INDIRI4
CNSTI4 360
MODI4
CVIF4 4
ARGF4
CNSTF4 1128792064
ADDRLP4 232
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
MULF4
CNSTF4 1140457472
ADDF4
ARGF4
ADDRGP4 cgs+195628+244
INDIRI4
ARGI4
ADDRGP4 FX_AddQuad2
CALLP4
pop
line 74
;73:						cgs.media.sunnyFlareShader );
;74:		}
ADDRGP4 $120
JUMPV
LABELV $119
line 76
;75:		else
;76:		{	// Wuss hit when empty.
line 77
;77:			FX_AddQuad2( endpos, normal, random() * .75 + 1.0f, 0.0f, 0.5f, 0.0f, rgb, rgb2, rand() % 360, 300 + random() * 200, 
ADDRLP4 208
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 212
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 216
ADDRGP4 rand
CALLI4
ASGNI4
ADDRFP4 4
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
CNSTF4 1061158912
ADDRLP4 208
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
MULF4
CNSTF4 1065353216
ADDF4
ARGF4
ADDRLP4 220
CNSTF4 0
ASGNF4
ADDRLP4 220
INDIRF4
ARGF4
CNSTF4 1056964608
ARGF4
ADDRLP4 220
INDIRF4
ARGF4
ADDRLP4 184
ARGP4
ADDRLP4 196
ARGP4
ADDRLP4 212
INDIRI4
CNSTI4 360
MODI4
CVIF4 4
ARGF4
CNSTF4 1128792064
ADDRLP4 216
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
MULF4
CNSTF4 1133903872
ADDF4
ARGF4
ADDRGP4 cgs+195628+244
INDIRI4
ARGI4
ADDRGP4 FX_AddQuad2
CALLP4
pop
line 79
;78:						cgs.media.sunnyFlareShader );
;79:		}
LABELV $120
line 80
;80:	}
LABELV $117
line 83
;81:
;82:	// "Fun" sparks...  Not when empty.
;83:	if ( spark && !empty)
ADDRLP4 208
CNSTI4 0
ASGNI4
ADDRFP4 12
INDIRI4
ADDRLP4 208
INDIRI4
EQI4 $127
ADDRFP4 20
INDIRI4
ADDRLP4 208
INDIRI4
NEI4 $127
line 84
;84:	{
line 85
;85:		sparks = rand() & 1 + 1;
ADDRLP4 212
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 164
ADDRLP4 212
INDIRI4
CNSTI4 2
BANDI4
ASGNI4
line 86
;86:		for(;sparks>0;sparks--)
ADDRGP4 $132
JUMPV
LABELV $129
line 87
;87:		{	
line 88
;88:			size = 0.2f + (random() * 0.4);
ADDRLP4 216
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 0
CNSTF4 1053609165
ADDRLP4 216
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
MULF4
CNSTF4 1045220557
ADDF4
ASGNF4
line 89
;89:			FXE_Spray( normal, 200, 75, 0.8f, velocity);
ADDRFP4 8
INDIRP4
ARGP4
CNSTF4 1128792064
ARGF4
CNSTF4 1117126656
ARGF4
CNSTF4 1061997773
ARGF4
ADDRLP4 168
ARGP4
ADDRGP4 FXE_Spray
CALLV
pop
line 90
;90:			if (rand() & LEF_USE_COLLISION)
ADDRLP4 220
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 220
INDIRI4
CNSTI4 8
BANDI4
CNSTI4 0
EQI4 $133
line 91
;91:			{	// This spark bounces.
line 92
;92:				FX_AddTrail( endpos, velocity, qtrue, 5.0f, -15.0f,
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 168
ARGP4
CNSTI4 1
ARGI4
CNSTF4 1084227584
ARGF4
CNSTF4 3245342720
ARGF4
ADDRLP4 0
INDIRF4
ARGF4
ADDRLP4 0
INDIRF4
NEGF4
ARGF4
CNSTF4 1065353216
ARGF4
CNSTF4 1056964608
ARGF4
CNSTF4 1053609165
ARGF4
CNSTF4 1140457472
ARGF4
ADDRGP4 cgs+195628+252
INDIRI4
ARGI4
ADDRGP4 FX_AddTrail
CALLP4
pop
line 94
;93:										size, -size, 1.0f, 0.5f, 0.4f, 500.0f, cgs.media.sparkShader);
;94:			}
ADDRGP4 $134
JUMPV
LABELV $133
line 96
;95:			else
;96:			{
line 97
;97:				FX_AddTrail( endpos, velocity, qtrue, 5.0f, -15.0f,
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 168
ARGP4
CNSTI4 1
ARGI4
CNSTF4 1084227584
ARGF4
CNSTF4 3245342720
ARGF4
ADDRLP4 0
INDIRF4
ARGF4
ADDRLP4 0
INDIRF4
NEGF4
ARGF4
CNSTF4 1065353216
ARGF4
CNSTF4 1056964608
ARGF4
CNSTF4 0
ARGF4
CNSTF4 1140457472
ARGF4
ADDRGP4 cgs+195628+252
INDIRI4
ARGI4
ADDRGP4 FX_AddTrail
CALLP4
pop
line 99
;98:										size, -size, 1.0f, 0.5f, 0.0, 500.0f, cgs.media.sparkShader);
;99:			}
LABELV $134
line 100
;100:		}
LABELV $130
line 86
ADDRLP4 164
ADDRLP4 164
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
LABELV $132
ADDRLP4 164
INDIRI4
CNSTI4 0
GTI4 $129
line 101
;101:	}
LABELV $127
line 102
;102:}
LABELV $86
endproc FX_PhaserFire 240 48
lit
align 4
LABELV $140
byte 4 1065353216
byte 4 1058642330
byte 4 1056964608
align 4
LABELV $141
byte 4 1065353216
byte 4 1050253722
byte 4 0
export FX_PhaserAltFire
code
proc FX_PhaserAltFire 332 56
line 113
;103:
;104:/*
;105:-------------------------
;106:FX_PhaserAltFire
;107:-------------------------
;108:*/
;109:
;110:#define PHASER_ALT_CONE_LEN	256
;111:
;112:void FX_PhaserAltFire( vec3_t start, vec3_t end, vec3_t normal, qboolean spark, qboolean impact, qboolean empty )
;113:{
line 114
;114:	float		scale = flrandom(13.0f, 17.0f), scale2 = flrandom(2.0f, 6.0f);
CNSTF4 1095761920
ARGF4
CNSTF4 1099431936
ARGF4
ADDRLP4 244
ADDRGP4 flrandom
CALLF4
ASGNF4
ADDRLP4 160
ADDRLP4 244
INDIRF4
ASGNF4
CNSTF4 1073741824
ARGF4
CNSTF4 1086324736
ARGF4
ADDRLP4 248
ADDRGP4 flrandom
CALLF4
ASGNF4
ADDRLP4 232
ADDRLP4 248
INDIRF4
ASGNF4
line 116
;115:	vec3_t		vel, diff, end2;
;116:	int			i = 0, sparks = 0;
ADDRLP4 176
CNSTI4 0
ASGNI4
ADDRLP4 204
CNSTI4 0
ASGNI4
line 118
;117:	refEntity_t	beam;
;118:	vec3_t		rgb = { 1,0.6,0.5}, rgb2={1,0.3,0};
ADDRLP4 208
ADDRGP4 $140
INDIRB
ASGNB 12
ADDRLP4 220
ADDRGP4 $141
INDIRB
ASGNB 12
line 122
;119:	float		len;
;120:	int color;
;121:
;122:	VectorSubtract(end, start, diff);
ADDRLP4 252
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 256
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 192
ADDRLP4 252
INDIRP4
INDIRF4
ADDRLP4 256
INDIRP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 260
CNSTI4 4
ASGNI4
ADDRLP4 192+4
ADDRLP4 252
INDIRP4
ADDRLP4 260
INDIRI4
ADDP4
INDIRF4
ADDRLP4 256
INDIRP4
ADDRLP4 260
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 264
CNSTI4 8
ASGNI4
ADDRLP4 192+8
ADDRFP4 4
INDIRP4
ADDRLP4 264
INDIRI4
ADDP4
INDIRF4
ADDRFP4 0
INDIRP4
ADDRLP4 264
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
line 123
;123:	len = VectorNormalize(diff);
ADDRLP4 192
ARGP4
ADDRLP4 268
ADDRGP4 VectorNormalize
CALLF4
ASGNF4
ADDRLP4 236
ADDRLP4 268
INDIRF4
ASGNF4
line 125
;124:
;125:	color = 0xff * flrandom(0.75, 1.0);
CNSTF4 1061158912
ARGF4
CNSTF4 1065353216
ARGF4
ADDRLP4 272
ADDRGP4 flrandom
CALLF4
ASGNF4
ADDRLP4 240
CNSTF4 1132396544
ADDRLP4 272
INDIRF4
MULF4
CVFI4 4
ASGNI4
line 127
;126:
;127:	if (empty)
ADDRFP4 20
INDIRI4
CNSTI4 0
EQI4 $144
line 128
;128:	{	// More faint and shaky line.
line 129
;129:		scale *= flrandom(0.25,0.75);
CNSTF4 1048576000
ARGF4
CNSTF4 1061158912
ARGF4
ADDRLP4 276
ADDRGP4 flrandom
CALLF4
ASGNF4
ADDRLP4 160
ADDRLP4 160
INDIRF4
ADDRLP4 276
INDIRF4
MULF4
ASGNF4
line 130
;130:	}
LABELV $144
line 132
;131:
;132:	if (len > PHASER_ALT_CONE_LEN)
ADDRLP4 236
INDIRF4
CNSTF4 1132462080
LEF4 $146
line 133
;133:	{	// Draw beam in two parts...
line 136
;134:
;135:		// Draw main beam first.
;136:		VectorMA(start, PHASER_ALT_CONE_LEN, diff, end2);
ADDRLP4 276
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 280
CNSTF4 1132462080
ASGNF4
ADDRLP4 180
ADDRLP4 276
INDIRP4
INDIRF4
ADDRLP4 280
INDIRF4
ADDRLP4 192
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 180+4
ADDRLP4 276
INDIRP4
CNSTI4 4
ADDP4
INDIRF4
ADDRLP4 280
INDIRF4
ADDRLP4 192+4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 180+8
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRF4
CNSTF4 1132462080
ADDRLP4 192+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 139
;137:
;138:		// Draw starting cone
;139:		memset( &beam, 0, sizeof( beam ) );
ADDRLP4 0
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 140
;140:		VectorCopy( start, beam.origin);
ADDRLP4 0+68
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 141
;141:		VectorCopy( end2, beam.oldorigin );
ADDRLP4 0+84
ADDRLP4 180
INDIRB
ASGNB 12
line 142
;142:		beam.reType = RT_LINE2;
ADDRLP4 0
CNSTI4 11
ASGNI4
line 143
;143:		if (empty)
ADDRFP4 20
INDIRI4
CNSTI4 0
EQI4 $154
line 144
;144:		{
line 145
;145:			beam.customShader = cgs.media.phaserAltEmptyShader;
ADDRLP4 0+112
ADDRGP4 cgs+195628+88
INDIRI4
ASGNI4
line 146
;146:		}
ADDRGP4 $155
JUMPV
LABELV $154
line 148
;147:		else
;148:		{
line 149
;149:			beam.customShader = cgs.media.phaserAltShader;
ADDRLP4 0+112
ADDRGP4 cgs+195628+84
INDIRI4
ASGNI4
line 150
;150:		}
LABELV $155
line 151
;151:		AxisClear( beam.axis );
ADDRLP4 0+28
ARGP4
ADDRGP4 AxisClear
CALLV
pop
line 152
;152:		beam.shaderRGBA[0] = 0xff;
ADDRLP4 0+116
CNSTU1 255
ASGNU1
line 153
;153:		beam.shaderRGBA[1] = 0xff*0.3;
ADDRLP4 0+116+1
CNSTU1 76
ASGNU1
line 154
;154:		beam.shaderRGBA[2] = 0;
ADDRLP4 0+116+2
CNSTU1 0
ASGNU1
line 155
;155:		beam.shaderRGBA[3] = 0xff;
ADDRLP4 0+116+3
CNSTU1 255
ASGNU1
line 156
;156:		beam.data.line.width = scale*0.1;
ADDRLP4 0+132
CNSTF4 1036831949
ADDRLP4 160
INDIRF4
MULF4
ASGNF4
line 157
;157:		beam.data.line.width2 = scale;
ADDRLP4 0+132+4
ADDRLP4 160
INDIRF4
ASGNF4
line 158
;158:		beam.data.line.stscale = 1.0;
ADDRLP4 0+132+8
CNSTF4 1065353216
ASGNF4
line 159
;159:		trap_R_AddRefEntityToScene( &beam );
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 162
;160:
;161:		// Draw big thick normal beam for the rest.
;162:		memset( &beam, 0, sizeof( beam ) );
ADDRLP4 0
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 163
;163:		VectorCopy( end2, beam.oldorigin);
ADDRLP4 0+84
ADDRLP4 180
INDIRB
ASGNB 12
line 164
;164:		VectorCopy( end, beam.origin );
ADDRLP4 0+68
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 165
;165:		beam.reType = RT_LINE;
ADDRLP4 0
CNSTI4 9
ASGNI4
line 166
;166:		if (empty)
ADDRFP4 20
INDIRI4
CNSTI4 0
EQI4 $177
line 167
;167:		{
line 168
;168:			beam.customShader = cgs.media.phaserAltEmptyShader;
ADDRLP4 0+112
ADDRGP4 cgs+195628+88
INDIRI4
ASGNI4
line 169
;169:		}
ADDRGP4 $178
JUMPV
LABELV $177
line 171
;170:		else
;171:		{
line 172
;172:			beam.customShader = cgs.media.phaserAltShader;
ADDRLP4 0+112
ADDRGP4 cgs+195628+84
INDIRI4
ASGNI4
line 173
;173:		}
LABELV $178
line 174
;174:		AxisClear( beam.axis );
ADDRLP4 0+28
ARGP4
ADDRGP4 AxisClear
CALLV
pop
line 175
;175:		beam.shaderRGBA[0] = 0xff;
ADDRLP4 0+116
CNSTU1 255
ASGNU1
line 176
;176:		beam.shaderRGBA[1] = 0xff*0.3;
ADDRLP4 0+116+1
CNSTU1 76
ASGNU1
line 177
;177:		beam.shaderRGBA[2] = 0;
ADDRLP4 0+116+2
CNSTU1 0
ASGNU1
line 178
;178:		beam.shaderRGBA[3] = 0xff;
ADDRLP4 0+116+3
CNSTU1 255
ASGNU1
line 179
;179:		beam.data.line.width = scale;
ADDRLP4 0+132
ADDRLP4 160
INDIRF4
ASGNF4
line 180
;180:		beam.data.line.stscale = 1.0;
ADDRLP4 0+132+8
CNSTF4 1065353216
ASGNF4
line 181
;181:		trap_R_AddRefEntityToScene( &beam );
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 184
;182:
;183:		// Draw beam core, all one bit.
;184:		memset( &beam, 0, sizeof( beam ) );
ADDRLP4 0
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 185
;185:		VectorCopy( start, beam.origin);
ADDRLP4 0+68
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 186
;186:		VectorCopy( end, beam.oldorigin );
ADDRLP4 0+84
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 187
;187:		beam.reType = RT_LINE2;
ADDRLP4 0
CNSTI4 11
ASGNI4
line 188
;188:		beam.customShader = cgs.media.phaserShader;
ADDRLP4 0+112
ADDRGP4 cgs+195628+76
INDIRI4
ASGNI4
line 189
;189:		AxisClear( beam.axis );
ADDRLP4 0+28
ARGP4
ADDRGP4 AxisClear
CALLV
pop
line 190
;190:		beam.shaderRGBA[0] = color*0.75f;
ADDRLP4 288
CNSTF4 1061158912
ADDRLP4 240
INDIRI4
CVIF4 4
MULF4
ASGNF4
ADDRLP4 292
CNSTF4 1325400064
ASGNF4
ADDRLP4 288
INDIRF4
ADDRLP4 292
INDIRF4
LTF4 $204
ADDRLP4 284
ADDRLP4 288
INDIRF4
ADDRLP4 292
INDIRF4
SUBF4
CVFI4 4
CVIU4 4
CNSTU4 2147483648
ADDU4
ASGNU4
ADDRGP4 $205
JUMPV
LABELV $204
ADDRLP4 284
ADDRLP4 288
INDIRF4
CVFI4 4
CVIU4 4
ASGNU4
LABELV $205
ADDRLP4 0+116
ADDRLP4 284
INDIRU4
CVUU1 4
ASGNU1
line 191
;191:		beam.shaderRGBA[1] = 0xff*0.5f;
ADDRLP4 0+116+1
CNSTU1 127
ASGNU1
line 192
;192:		beam.shaderRGBA[2] = 0xff*0.5f;
ADDRLP4 0+116+2
CNSTU1 127
ASGNU1
line 193
;193:		beam.shaderRGBA[3] = 0xff;
ADDRLP4 0+116+3
CNSTU1 255
ASGNU1
line 194
;194:		beam.data.line.width = scale2*0.2;
ADDRLP4 0+132
CNSTF4 1045220557
ADDRLP4 232
INDIRF4
MULF4
ASGNF4
line 195
;195:		beam.data.line.width2 = scale2;
ADDRLP4 0+132+4
ADDRLP4 232
INDIRF4
ASGNF4
line 196
;196:		beam.data.line.stscale = 1.0;
ADDRLP4 0+132+8
CNSTF4 1065353216
ASGNF4
line 197
;197:		trap_R_AddRefEntityToScene( &beam );
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 198
;198:	}
ADDRGP4 $147
JUMPV
LABELV $146
line 200
;199:	else
;200:	{	// Draw beam in two parts...
line 202
;201:		// Draw beam first.
;202:		memset( &beam, 0, sizeof( beam ) );
ADDRLP4 0
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 203
;203:		VectorCopy( start, beam.origin);
ADDRLP4 0+68
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 204
;204:		VectorCopy( end, beam.oldorigin );
ADDRLP4 0+84
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 205
;205:		beam.reType = RT_LINE2;
ADDRLP4 0
CNSTI4 11
ASGNI4
line 206
;206:		beam.customShader = cgs.media.phaserAltShader;
ADDRLP4 0+112
ADDRGP4 cgs+195628+84
INDIRI4
ASGNI4
line 207
;207:		AxisClear( beam.axis );
ADDRLP4 0+28
ARGP4
ADDRGP4 AxisClear
CALLV
pop
line 208
;208:		beam.shaderRGBA[0] = 0xff;
ADDRLP4 0+116
CNSTU1 255
ASGNU1
line 209
;209:		beam.shaderRGBA[1] = 0xff*0.3;
ADDRLP4 0+116+1
CNSTU1 76
ASGNU1
line 210
;210:		beam.shaderRGBA[2] = 0;
ADDRLP4 0+116+2
CNSTU1 0
ASGNU1
line 211
;211:		beam.shaderRGBA[3] = 0xff;
ADDRLP4 0+116+3
CNSTU1 255
ASGNU1
line 212
;212:		beam.data.line.width = scale*0.1;
ADDRLP4 0+132
CNSTF4 1036831949
ADDRLP4 160
INDIRF4
MULF4
ASGNF4
line 213
;213:		beam.data.line.width2 = scale;
ADDRLP4 0+132+4
ADDRLP4 160
INDIRF4
ASGNF4
line 214
;214:		beam.data.line.stscale = 1.0;
ADDRLP4 0+132+8
CNSTF4 1065353216
ASGNF4
line 215
;215:		trap_R_AddRefEntityToScene( &beam );
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 218
;216:
;217:		// just one beam is never enough
;218:		memset( &beam, 0, sizeof( beam ) );
ADDRLP4 0
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 219
;219:		VectorCopy( start, beam.origin);
ADDRLP4 0+68
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 220
;220:		VectorCopy( end, beam.oldorigin );
ADDRLP4 0+84
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 221
;221:		beam.reType = RT_LINE2;
ADDRLP4 0
CNSTI4 11
ASGNI4
line 222
;222:		beam.customShader = cgs.media.phaserShader;
ADDRLP4 0+112
ADDRGP4 cgs+195628+76
INDIRI4
ASGNI4
line 223
;223:		AxisClear( beam.axis );
ADDRLP4 0+28
ARGP4
ADDRGP4 AxisClear
CALLV
pop
line 224
;224:		beam.shaderRGBA[0] = color*0.75f;
ADDRLP4 280
CNSTF4 1061158912
ADDRLP4 240
INDIRI4
CVIF4 4
MULF4
ASGNF4
ADDRLP4 284
CNSTF4 1325400064
ASGNF4
ADDRLP4 280
INDIRF4
ADDRLP4 284
INDIRF4
LTF4 $243
ADDRLP4 276
ADDRLP4 280
INDIRF4
ADDRLP4 284
INDIRF4
SUBF4
CVFI4 4
CVIU4 4
CNSTU4 2147483648
ADDU4
ASGNU4
ADDRGP4 $244
JUMPV
LABELV $243
ADDRLP4 276
ADDRLP4 280
INDIRF4
CVFI4 4
CVIU4 4
ASGNU4
LABELV $244
ADDRLP4 0+116
ADDRLP4 276
INDIRU4
CVUU1 4
ASGNU1
line 225
;225:		beam.shaderRGBA[1] = 0xff*0.5f;
ADDRLP4 0+116+1
CNSTU1 127
ASGNU1
line 226
;226:		beam.shaderRGBA[2] = 0xff*0.5f;
ADDRLP4 0+116+2
CNSTU1 127
ASGNU1
line 227
;227:		beam.shaderRGBA[3] = 0xff;
ADDRLP4 0+116+3
CNSTU1 255
ASGNU1
line 228
;228:		beam.data.line.width = scale2*0.2;
ADDRLP4 0+132
CNSTF4 1045220557
ADDRLP4 232
INDIRF4
MULF4
ASGNF4
line 229
;229:		beam.data.line.width2 = scale2;
ADDRLP4 0+132+4
ADDRLP4 232
INDIRF4
ASGNF4
line 230
;230:		beam.data.line.stscale = 1.0;
ADDRLP4 0+132+8
CNSTF4 1065353216
ASGNF4
line 231
;231:		trap_R_AddRefEntityToScene( &beam );
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 232
;232:	}
LABELV $147
line 240
;233:	
;234:
;235:	// Phaser beam
;236://	FX_AddLine( start, end, 1.0f, scale, 0.0f, 0.9f, 0.9f, 2, cgs.media.phaserShader );
;237://	FX_AddLine( start, end, 1.0f, scale * 0.5f, 0.0f, 0.8f, 0.8f, 2, cgs.media.phaserShader );
;238:	
;239:	// Per frame impact mark
;240:	FX_AddQuad( end, normal, random() * 1.5 + 1.75f, 0.0f, 1.0f, 0.0f, 0.0f, 1, cgs.media.sparkShader );
ADDRLP4 276
ADDRGP4 rand
CALLI4
ASGNI4
ADDRFP4 4
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
CNSTF4 1069547520
ADDRLP4 276
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
MULF4
CNSTF4 1071644672
ADDF4
ARGF4
ADDRLP4 280
CNSTF4 0
ASGNF4
ADDRLP4 280
INDIRF4
ARGF4
ADDRLP4 284
CNSTF4 1065353216
ASGNF4
ADDRLP4 284
INDIRF4
ARGF4
ADDRLP4 280
INDIRF4
ARGF4
ADDRLP4 280
INDIRF4
ARGF4
ADDRLP4 284
INDIRF4
ARGF4
ADDRGP4 cgs+195628+252
INDIRI4
ARGI4
ADDRGP4 FX_AddQuad
CALLP4
pop
line 241
;241:	FX_AddQuad( end, normal, random() * 5 + 2.75f, 0.0f, 1.0f, 0.0f, 0.0f, 1, cgs.media.yellowParticleShader );
ADDRLP4 288
ADDRGP4 rand
CALLI4
ASGNI4
ADDRFP4 4
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
CNSTF4 1084227584
ADDRLP4 288
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
MULF4
CNSTF4 1076887552
ADDF4
ARGF4
ADDRLP4 292
CNSTF4 0
ASGNF4
ADDRLP4 292
INDIRF4
ARGF4
ADDRLP4 296
CNSTF4 1065353216
ASGNF4
ADDRLP4 296
INDIRF4
ARGF4
ADDRLP4 292
INDIRF4
ARGF4
ADDRLP4 292
INDIRF4
ARGF4
ADDRLP4 296
INDIRF4
ARGF4
ADDRGP4 cgs+195628+316
INDIRI4
ARGI4
ADDRGP4 FX_AddQuad
CALLP4
pop
line 244
;242:
;243:	// Multi frame impacts--never do this when it hits a player because it will just look stupid
;244:	if ( impact )
ADDRFP4 16
INDIRI4
CNSTI4 0
EQI4 $260
line 245
;245:	{
line 246
;246:		FX_AddQuad2( end, normal, random() * 2.0 + 5.0f, 2.5f, 0.6f, 0.0f, rgb, rgb2, 0.0f, 500 + random() * 200, 
ADDRLP4 300
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 304
ADDRGP4 rand
CALLI4
ASGNI4
ADDRFP4 4
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
CNSTF4 1073741824
ADDRLP4 300
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
MULF4
CNSTF4 1084227584
ADDF4
ARGF4
CNSTF4 1075838976
ARGF4
CNSTF4 1058642330
ARGF4
ADDRLP4 308
CNSTF4 0
ASGNF4
ADDRLP4 308
INDIRF4
ARGF4
ADDRLP4 208
ARGP4
ADDRLP4 220
ARGP4
ADDRLP4 308
INDIRF4
ARGF4
CNSTF4 1128792064
ADDRLP4 304
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
MULF4
CNSTF4 1140457472
ADDF4
ARGF4
ADDRGP4 cgs+195628+244
INDIRI4
ARGI4
ADDRGP4 FX_AddQuad2
CALLP4
pop
line 249
;247:					cgs.media.sunnyFlareShader );
;248:
;249:		CG_ImpactMark( cgs.media.scavMarkShader, end, normal, random()*360, 1,1,1,0.1, qfalse, 
ADDRLP4 312
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 316
ADDRGP4 rand
CALLI4
ASGNI4
ADDRGP4 cgs+195628+248
INDIRI4
ARGI4
ADDRFP4 4
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
CNSTF4 1135869952
ADDRLP4 312
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
MULF4
ARGF4
ADDRLP4 320
CNSTF4 1065353216
ASGNF4
ADDRLP4 320
INDIRF4
ARGF4
ADDRLP4 320
INDIRF4
ARGF4
ADDRLP4 320
INDIRF4
ARGF4
CNSTF4 1036831949
ARGF4
ADDRLP4 324
CNSTI4 0
ASGNI4
ADDRLP4 324
INDIRI4
ARGI4
ADDRLP4 316
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1086324736
ADDF4
ARGF4
ADDRLP4 324
INDIRI4
ARGI4
ADDRGP4 CG_ImpactMark
CALLV
pop
line 251
;250:					random() + 6.0, qfalse );
;251:	}
LABELV $260
line 254
;252:
;253:	// "Fun" sparks
;254:	if ( spark )
ADDRFP4 12
INDIRI4
CNSTI4 0
EQI4 $266
line 255
;255:	{
line 257
;256:		// kef -- fixme. dunno what the deal is with this velocity vector
;257:		VectorClear(vel);
ADDRLP4 300
CNSTF4 0
ASGNF4
ADDRLP4 164+8
ADDRLP4 300
INDIRF4
ASGNF4
ADDRLP4 164+4
ADDRLP4 300
INDIRF4
ASGNF4
ADDRLP4 164
ADDRLP4 300
INDIRF4
ASGNF4
line 258
;258:		sparks = rand() & 3 + 1;
ADDRLP4 304
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 204
ADDRLP4 304
INDIRI4
CNSTI4 4
BANDI4
ASGNI4
line 261
;259:
;260:		// Set random starting pos...
;261:		end2[0] = flrandom(-1.0, 1.0) + end[0];
CNSTF4 3212836864
ARGF4
CNSTF4 1065353216
ARGF4
ADDRLP4 308
ADDRGP4 flrandom
CALLF4
ASGNF4
ADDRLP4 180
ADDRLP4 308
INDIRF4
ADDRFP4 4
INDIRP4
INDIRF4
ADDF4
ASGNF4
line 262
;262:		end2[1] = flrandom(-1.0, 1.0) + end[1];
CNSTF4 3212836864
ARGF4
CNSTF4 1065353216
ARGF4
ADDRLP4 312
ADDRGP4 flrandom
CALLF4
ASGNF4
ADDRLP4 180+4
ADDRLP4 312
INDIRF4
ADDRFP4 4
INDIRP4
CNSTI4 4
ADDP4
INDIRF4
ADDF4
ASGNF4
line 263
;263:		end2[2] = flrandom(-1.0, 1.0) + end[2];
CNSTF4 3212836864
ARGF4
CNSTF4 1065353216
ARGF4
ADDRLP4 316
ADDRGP4 flrandom
CALLF4
ASGNF4
ADDRLP4 180+8
ADDRLP4 316
INDIRF4
ADDRFP4 4
INDIRP4
CNSTI4 8
ADDP4
INDIRF4
ADDF4
ASGNF4
line 264
;264:		for( i = 0; i < sparks; i++ )
ADDRLP4 176
CNSTI4 0
ASGNI4
ADDRGP4 $275
JUMPV
LABELV $272
line 265
;265:		{	
line 266
;266:			scale = 0.5f + (random() * 0.5);
ADDRLP4 320
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 160
CNSTF4 1056964608
ADDRLP4 320
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
MULF4
CNSTF4 1056964608
ADDF4
ASGNF4
line 267
;267:			FXE_Spray( normal, 200, 75, 0.8f, /*1024*/vel);
ADDRFP4 8
INDIRP4
ARGP4
CNSTF4 1128792064
ARGF4
CNSTF4 1117126656
ARGF4
CNSTF4 1061997773
ARGF4
ADDRLP4 164
ARGP4
ADDRGP4 FXE_Spray
CALLV
pop
line 268
;268:			FX_AddTrail2(	end2, vel, qfalse,
ADDRLP4 180
ARGP4
ADDRLP4 164
ARGP4
CNSTI4 0
ARGI4
CNSTF4 1090519040
ARGF4
CNSTF4 3238002688
ARGF4
ADDRLP4 160
INDIRF4
ARGF4
ADDRLP4 160
INDIRF4
NEGF4
ARGF4
CNSTF4 1056964608
ARGF4
CNSTF4 0
ARGF4
ADDRLP4 208
ARGP4
ADDRLP4 220
ARGP4
CNSTF4 1053609165
ARGF4
CNSTF4 1140457472
ARGF4
ADDRGP4 cgs+195628+252
INDIRI4
ARGI4
ADDRGP4 FX_AddTrail2
CALLP4
pop
line 271
;269:							8.0f, -8.0f,
;270:							scale, -scale, 0.5f, 0.0f, rgb, rgb2, 0.4f, 500.0f, cgs.media.sparkShader );
;271:		}
LABELV $273
line 264
ADDRLP4 176
ADDRLP4 176
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $275
ADDRLP4 176
INDIRI4
ADDRLP4 204
INDIRI4
LTI4 $272
line 273
;272:
;273:		VectorMA(end, -8, diff, end2);
ADDRLP4 320
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 324
CNSTF4 3238002688
ASGNF4
ADDRLP4 180
ADDRLP4 320
INDIRP4
INDIRF4
ADDRLP4 324
INDIRF4
ADDRLP4 192
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 180+4
ADDRLP4 320
INDIRP4
CNSTI4 4
ADDP4
INDIRF4
ADDRLP4 324
INDIRF4
ADDRLP4 192+4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 180+8
ADDRFP4 4
INDIRP4
CNSTI4 8
ADDP4
INDIRF4
CNSTF4 3238002688
ADDRLP4 192+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 275
;274:		// Add a hit sprite over everything...
;275:		memset( &beam, 0, sizeof( beam ) );
ADDRLP4 0
ARGP4
CNSTI4 0
ARGI4
CNSTI4 160
ARGI4
ADDRGP4 memset
CALLP4
pop
line 276
;276:		VectorCopy( end2, beam.origin);
ADDRLP4 0+68
ADDRLP4 180
INDIRB
ASGNB 12
line 277
;277:		beam.reType = RT_SPRITE;
ADDRLP4 0
CNSTI4 1
ASGNI4
line 278
;278:		beam.customShader = cgs.media.sunnyFlareShader;
ADDRLP4 0+112
ADDRGP4 cgs+195628+244
INDIRI4
ASGNI4
line 279
;279:		AxisClear( beam.axis );
ADDRLP4 0+28
ARGP4
ADDRGP4 AxisClear
CALLV
pop
line 280
;280:		beam.shaderRGBA[0] = 0xff*1.0f;
ADDRLP4 0+116
CNSTU1 255
ASGNU1
line 281
;281:		beam.shaderRGBA[1] = 0xff*0.9f;
ADDRLP4 0+116+1
CNSTU1 229
ASGNU1
line 282
;282:		beam.shaderRGBA[2] = 0xff*0.8f;
ADDRLP4 0+116+2
CNSTU1 204
ASGNU1
line 283
;283:		beam.shaderRGBA[3] = 0xff;
ADDRLP4 0+116+3
CNSTU1 255
ASGNU1
line 284
;284:		beam.data.sprite.radius = random()*2.0 + 9.0;
ADDRLP4 328
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 0+132+4
CNSTF4 1073741824
ADDRLP4 328
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
MULF4
CNSTF4 1091567616
ADDF4
ASGNF4
line 285
;285:		trap_R_AddRefEntityToScene( &beam );
ADDRLP4 0
ARGP4
ADDRGP4 trap_R_AddRefEntityToScene
CALLV
pop
line 286
;286:	}
LABELV $266
line 287
;287:}
LABELV $139
endproc FX_PhaserAltFire 332 56
import fxRandCircumferencePos
import FX_ExplodeBits
import FX_Disruptor
import FX_PlayerShieldHit
import FX_DrawPortableShield
import FX_TransporterPad
import FX_Transporter
import FX_DreadnoughtShotMiss
import FX_DreadnoughtProjectileThink
import FX_DreadnoughtFire
import FX_DreadnoughtHitWall
import FX_QuantumColumns
import FX_QuantumAltHitWall
import FX_QuantumHitWall
import FX_QuantumAltThink
import FX_QuantumThink
import FX_StasisShotMiss
import FX_StasisShotImpact
import FX_StasisShot
import FX_StasisWeaponHitPlayer
import FX_StasisWeaponHitWall
import FX_StasisProjectileThink
import FX_Detpack
import FX_BorgTeleportTrails
import FX_BorgTeleport
import FX_BorgEyeBeam
import FX_BorgTaser
import FX_BorgWeaponHitWall
import FX_BorgProjectileThink
import FX_GrenadeShrapnelBits
import FX_GrenadeShrapnelExplode
import FX_GrenadeExplode
import FX_GrenadeHitPlayer
import FX_GrenadeHitWall
import FX_GrenadeThink
import FX_ScavengerAltExplode
import FX_ScavengerWeaponHitPlayer
import FX_ScavengerWeaponHitWall
import FX_ScavengerAltFireThink
import FX_ScavengerProjectileThink
import FX_TetrionAltHitPlayer
import FX_TetrionAltHitWall
import FX_TetrionRicochet
import FX_TetrionWeaponHitWall
import FX_TetrionShot
import FX_TetrionProjectileThink
import FX_AltIMODExplosion
import FX_AltIMODShot
import FX_IMODExplosion
import FX_IMODShot
import FX_CompressionHit
import FX_CompressionExplosion
import FX_CompressionAltShot
import FX_CompressionShot
import FX_AddSpawner
import FX_AddParticle
import FX_AddElectricity
import FX_AddCylinder
import FX_AddQuad2
import FX_AddQuad
import FX_AddBezier
import FX_AddSprite2
import FX_AddSprite
import FX_AddTrail2
import FX_AddTrail
import FX_AddOrientedLine
import FX_AddLine2
import FX_AddLine
import FXE_Spray
import trap_MemoryRemaining
import testPrintFloat
import testPrintInt
import trap_SetUserCmdValue
import trap_GetUserCmd
import trap_GetCurrentCmdNumber
import trap_GetServerCommand
import trap_GetSnapshot
import trap_GetCurrentSnapshotNumber
import trap_GetGameState
import trap_GetGlconfig
import trap_R_LerpTag
import trap_R_ModelBounds
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_RenderScene
import trap_R_AddLightToScene
import trap_R_AddPolyToScene
import trap_R_AddRefEntityToScene
import trap_R_ClearScene
import trap_R_RegisterShaderNoMip
import trap_R_RegisterShader3D
import trap_R_RegisterShader
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_R_LoadWorldMap
import trap_S_StartBackgroundTrack
import trap_S_RegisterSound
import trap_S_Respatialize
import trap_S_UpdateEntityPosition
import trap_S_AddLoopingSound
import trap_S_ClearLoopingSounds
import trap_S_StartLocalSound
import trap_S_StartSound
import trap_CM_MarkFragments
import trap_CM_TransformedBoxTrace
import trap_CM_BoxTrace
import trap_CM_TransformedPointContents
import trap_CM_PointContents
import trap_CM_TempBoxModel
import trap_CM_InlineModel
import trap_CM_NumInlineModels
import trap_CM_LoadMap
import trap_UpdateScreen
import trap_SendClientCommand
import trap_AddCommand
import trap_SendConsoleCommand
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Cvar_VariableStringBuffer
import trap_Cvar_Set_No_Modify
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import updateSkin
import CG_TransitionPlayerState
import CG_Respawn
import CG_SetConfigValues
import CG_ParseServerinfo
import CG_ExecuteNewServerCommands
import CG_InitConsoleCommands
import CG_ConsoleCommand
import AW_SPPostgameMenu_f
import cg_medalStreakSounds
import cg_medalStreakPicNames
import cg_medalTeamSounds
import cg_medalTeamPicNames
import cg_medalSounds
import cg_medalPicNames
import CG_DrawTourneyScoreboard
import CG_DrawScoreboard
import CG_DrawInformation
import CG_LoadingClient
import CG_LoadingItem
import CG_LoadingString
import CG_ProcessSnapshots
import CG_ExplosionEffects
import CG_SurfaceExplosion
import CG_MakeExplosion2
import CG_MakeExplosion
import CG_Seeker
import CG_Bleed
import CG_SpawnEffect
import CG_BubbleTrail
import CG_SmokePuff
import CG_AddLocalEntities
import CG_GetActiveList
import CG_AllocLocalEntity
import CG_InitLocalEntities
import CG_ImpactMark
import CG_AddMarks
import CG_InitMarkPolys
import CG_BounceEffect
import CG_OutOfAmmoChange
import CG_DrawWeaponSelect
import CG_AddPlayerWeapon
import CG_AddViewWeapon
import CG_MissileHitPlayer
import CG_MissileHitWall
import CG_FireSeeker
import CG_FireWeapon
import CG_RegisterItemVisuals
import CG_RegisterWeapon
import CG_Weapon_f
import CG_PrevWeapon_f
import CG_NextWeapon_f
import CG_Chunks
import CG_Drip
import CG_TransporterPad
import CG_Bolt
import CG_Steam
import CG_Spark
import CG_PositionRotatedEntityOnTag
import CG_PositionEntityOnTag
import CG_AdjustPositionForMover
import CG_Beam
import CG_AddPacketEntities
import CG_SetEntitySoundPosition
import CG_PainEvent
import CG_EntityEvent
import CG_PlaceString
import CG_CheckEvents
import CG_LoadDeferredPlayers
import CG_PredictPlayerState
import CG_Trace
import CG_PointContents
import CG_BuildSolidList
import CG_CustomSound
import CG_NewClientInfo
import CG_AddRefEntityWithPowerups
import CG_ResetPlayerEntity
import CG_Player
import CG_PlayerShieldHit
import CG_DrawObjectiveInformation
import CG_DrawNumField
import CG_DrawTeamBackground
import CG_DrawFlagModel
import CG_DrawActive
import CG_DrawHead
import CG_CenterPrint
import CG_AddLagometerSnapshotInfo
import CG_AddLagometerFrameInfo
import drawTeamOverlayModificationCount
import numSortedTeamPlayers
import sortedTeamPlayers
import interface_graphics
import UI_ProportionalStringWidth
import CG_GetColorForHealth
import CG_ColorForHealth
import CG_TileClear
import CG_TeamColor
import CG_FadeColor
import CG_DrawStrlen
import CG_DrawSmallStringColor
import CG_DrawSmallString
import CG_DrawBigStringColor
import CG_DrawBigString
import CG_DrawStringExt
import CG_LoadFonts
import UI_DrawProportionalString
import CG_DrawString
import CG_DrawPic
import CG_FillRect
import CG_AdjustFrom640
import CG_PrintInterfaceGraphics
import CG_DrawActiveFrame
import CG_CameraShake
import CG_ZoomUp_f
import CG_ZoomDown_f
import CG_TestModelPrevSkin_f
import CG_TestModelNextSkin_f
import CG_TestModelPrevFrame_f
import CG_TestModelNextFrame_f
import CG_TestGun_f
import CG_TestModel_f
import CG_LastAttacker
import CG_CrosshairPlayer
import CG_UpdateCvars
import CG_StartMusic
import CG_Error
import CG_Printf
import CG_Argv
import CG_ConfigString
import cg_deferPlayers
import cg_predictItems
import cg_blood
import cg_paused
import cg_buildScript
import cg_forceModel
import cg_reportDamage
import cg_stats
import cg_teamChatHeight
import cg_teamChatTime
import cg_synchronousClients
import cg_drawAttacker
import cg_lagometer
import cg_stereoSeparation
import cg_thirdPerson
import cg_thirdPersonAngle
import cg_thirdPersonRange
import cg_zoomFov
import cg_fov
import cg_simpleItems
import cg_ignore
import cg_autoswitch
import cg_viewsize
import cg_drawGun
import cg_gun_z
import cg_gun_y
import cg_gun_x
import cg_gun_frame
import cg_addMarks
import cg_footsteps
import cg_showmiss
import cg_noPlayerAnims
import cg_nopredict
import cg_errorDecay
import cg_debugEvents
import cg_debugPosition
import cg_debugAnim
import cg_animSpeed
import cg_draw2D
import cg_drawStatus
import cg_crosshairHealth
import cg_crosshairSize
import cg_crosshairY
import cg_crosshairX
import cg_teamOverlayUserinfo
import cg_drawTeamOverlay
import cg_drawRewards
import cg_drawCrosshairNames
import cg_drawCrosshair
import cg_drawAmmoWarning
import cg_drawIcons
import cg_draw3dIcons
import cg_drawSnapshot
import cg_drawFPS
import cg_drawTimer
import cg_gibs
import cg_shadows
import cg_swingSpeed
import cg_bobroll
import cg_bobpitch
import cg_bobup
import cg_runroll
import cg_runpitch
import cg_centertime
import cg_markPolys
import cg_items
import cg_weapons
import cg_entities
import cg
import cgs
import CG_AddElectricity
import CG_AddCylinder
import CG_AddBezier
import CG_AddViewSprite
import CG_AddTrail
import CG_AddLine2
import CG_AddOLine
import CG_AddLine
import CG_AddQuad
import CG_AddScaleFadeSprite
import CG_AddSpriteExplosion
import CG_AddExplosion
import CG_AddFallScaleFade
import CG_AddScaleFade
import CG_AddMoveScaleFade
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $116
byte 1 112
byte 1 104
byte 1 97
byte 1 115
byte 1 101
byte 1 114
byte 1 32
byte 1 115
byte 1 111
byte 1 117
byte 1 110
byte 1 100
byte 1 0
align 1
LABELV $115
byte 1 112
byte 1 108
byte 1 97
byte 1 121
byte 1 105
byte 1 110
byte 1 103
byte 1 32
byte 1 37
byte 1 115
byte 1 10
byte 1 0
