export UpdateTournamentInfo
code
proc UpdateTournamentInfo 616 76
file "../g_arenas.c"
line 25
;1:// Copyright (C) 1999-2000 Id Software, Inc.
;2://
;3://
;4:// g_arenas.c
;5://
;6:
;7:#include "g_local.h"
;8:
;9:#ifndef min
;10:#define min(a, b)	(a) < (b) ? a : b
;11:#endif
;12:
;13:
;14:gentity_t	*podium1;
;15:gentity_t	*podium2;
;16:gentity_t	*podium3;
;17:
;18:
;19:/*
;20:==================
;21:UpdateTournamentInfo
;22:==================
;23:*/
;24:
;25:void UpdateTournamentInfo( void ) {
line 26
;26:	int			i = 0, j = 0, k = 0;
ADDRLP4 540
CNSTI4 0
ASGNI4
ADDRLP4 4
CNSTI4 0
ASGNI4
ADDRLP4 0
CNSTI4 0
ASGNI4
line 27
;27:	gentity_t	*player = NULL, *ent = NULL;
ADDRLP4 544
CNSTP4 0
ASGNP4
ADDRLP4 548
CNSTP4 0
ASGNP4
line 31
;28:	int			playerClientNum;
;29:	int			n;
;30:	char		msg[AWARDS_MSG_LENGTH], msg2[AWARDS_MSG_LENGTH];
;31:	int			playerRank=level.numNonSpectatorClients-1, highestTiedRank = 0;
ADDRLP4 528
ADDRGP4 level+80
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
ADDRLP4 532
CNSTI4 0
ASGNI4
line 32
;32:	gentity_t	*MVP = NULL;
ADDRLP4 588
CNSTP4 0
ASGNP4
line 33
;33:	int			mvpNum = -1, mvpPoints = 0, winningCaptures = 0, winningPoints = 0;
ADDRLP4 584
CNSTI4 -1
ASGNI4
ADDRLP4 572
CNSTI4 0
ASGNI4
ADDRLP4 564
CNSTI4 0
ASGNI4
ADDRLP4 556
CNSTI4 0
ASGNI4
line 34
;34:	int			winningTeam=0;
ADDRLP4 552
CNSTI4 0
ASGNI4
line 35
;35:	int			loseCaptures = 0, losePoints = 0;
ADDRLP4 568
CNSTI4 0
ASGNI4
ADDRLP4 560
CNSTI4 0
ASGNI4
line 36
;36:	char		*mvpName = "";
ADDRLP4 576
ADDRGP4 $57
ASGNP4
line 37
;37:	gclient_t	*cl = NULL;
ADDRLP4 520
CNSTP4 0
ASGNP4
line 38
;38:	gclient_t	*cl2= NULL;
ADDRLP4 592
CNSTP4 0
ASGNP4
line 39
;39:	int			secondPlaceTied=0;
ADDRLP4 580
CNSTI4 0
ASGNI4
line 41
;40:	
;41:	memset(msg, 0, AWARDS_MSG_LENGTH);
ADDRLP4 8
ARGP4
CNSTI4 0
ARGI4
CNSTI4 256
ARGI4
ADDRGP4 memset
CALLP4
pop
line 42
;42:	memset(msg2, 0, AWARDS_MSG_LENGTH);
ADDRLP4 264
ARGP4
CNSTI4 0
ARGI4
CNSTI4 256
ARGI4
ADDRGP4 memset
CALLP4
pop
line 44
;43:
;44:	player = NULL;
ADDRLP4 544
CNSTP4 0
ASGNP4
line 47
;45:
;46:	// Was there a tie for second place on the podium?
;47:	cl = &level.clients[level.sortedClients[1]];
ADDRLP4 520
CNSTI4 1320
ADDRGP4 level+88+4
INDIRI4
MULI4
ADDRGP4 level
INDIRP4
ADDP4
ASGNP4
line 48
;48:	cl2= &level.clients[level.sortedClients[2]];
ADDRLP4 592
CNSTI4 1320
ADDRGP4 level+88+8
INDIRI4
MULI4
ADDRGP4 level
INDIRP4
ADDP4
ASGNP4
line 49
;49:	if (cl->ps.persistant[PERS_SCORE] == cl2->ps.persistant[PERS_SCORE])
ADDRLP4 596
CNSTI4 268
ASGNI4
ADDRLP4 520
INDIRP4
ADDRLP4 596
INDIRI4
ADDP4
INDIRI4
ADDRLP4 592
INDIRP4
ADDRLP4 596
INDIRI4
ADDP4
INDIRI4
NEI4 $62
line 50
;50:		secondPlaceTied=1;
ADDRLP4 580
CNSTI4 1
ASGNI4
LABELV $62
line 52
;51:	
;52:	winningTeam = level.clients[0].ps.persistant[PERS_RANK]+1;
ADDRLP4 552
ADDRGP4 level
INDIRP4
CNSTI4 280
ADDP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 53
;53:	if ( winningTeam != TEAM_BLUE && winningTeam != TEAM_RED )
ADDRLP4 552
INDIRI4
CNSTI4 2
EQI4 $64
ADDRLP4 552
INDIRI4
CNSTI4 1
EQI4 $64
line 54
;54:	{//tie or not a team game
line 55
;55:		winningTeam = 0;
ADDRLP4 552
CNSTI4 0
ASGNI4
line 56
;56:	}
LABELV $64
line 59
;57:
;58:	// In team game, we want to represent the highest scored client from the WINNING team.
;59:	for (i = 0; i < level.maxclients; i++)
ADDRLP4 540
CNSTI4 0
ASGNI4
ADDRGP4 $69
JUMPV
LABELV $66
line 60
;60:	{
line 61
;61:		ent = &g_entities[i];
ADDRLP4 548
CNSTI4 624
ADDRLP4 540
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 62
;62:		if (ent->client &&
ADDRLP4 608
ADDRLP4 548
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
ASGNP4
ADDRLP4 608
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $71
ADDRLP4 608
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
CNSTI4 3
EQI4 $71
ADDRLP4 548
INDIRP4
ARGP4
ADDRLP4 612
ADDRGP4 CalculateTeamMVPByRank
CALLI4
ASGNI4
ADDRLP4 612
INDIRI4
CNSTI4 0
EQI4 $71
line 65
;63:			(ent->client->sess.sessionTeam != TEAM_SPECTATOR) && 
;64:			CalculateTeamMVPByRank(ent))
;65:		{
line 67
;66:			// found the winning team's MVP
;67:			mvpNum = i;
ADDRLP4 584
ADDRLP4 540
INDIRI4
ASGNI4
line 68
;68:			break;
ADDRGP4 $68
JUMPV
LABELV $71
line 70
;69:		}
;70:	}
LABELV $67
line 59
ADDRLP4 540
ADDRLP4 540
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $69
ADDRLP4 540
INDIRI4
ADDRGP4 level+24
INDIRI4
LTI4 $66
LABELV $68
line 71
;71:	if (mvpNum < 0)
ADDRLP4 584
INDIRI4
CNSTI4 0
GEI4 $73
line 72
;72:	{//ah, crap no MVP, pick the first player on the winning team
line 73
;73:		for (i = 0; i < level.maxclients; i++ )
ADDRLP4 540
CNSTI4 0
ASGNI4
ADDRGP4 $78
JUMPV
LABELV $75
line 74
;74:		{
line 75
;75:			if ( g_entities[i].client->ps.persistant[PERS_TEAM] == winningTeam )
CNSTI4 624
ADDRLP4 540
INDIRI4
MULI4
ADDRGP4 g_entities+304
ADDP4
INDIRP4
CNSTI4 284
ADDP4
INDIRI4
ADDRLP4 552
INDIRI4
NEI4 $80
line 76
;76:			{
line 77
;77:				mvpNum = i;
ADDRLP4 584
ADDRLP4 540
INDIRI4
ASGNI4
line 78
;78:				break;
ADDRGP4 $77
JUMPV
LABELV $80
line 80
;79:			}
;80:		}
LABELV $76
line 73
ADDRLP4 540
ADDRLP4 540
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $78
ADDRLP4 540
INDIRI4
ADDRGP4 level+24
INDIRI4
LTI4 $75
LABELV $77
line 81
;81:	}
LABELV $73
line 82
;82:	if (mvpNum >= 0)
ADDRLP4 584
INDIRI4
CNSTI4 0
LTI4 $83
line 83
;83:	{//still no MVP, so skip it
line 84
;84:		MVP = &g_entities[mvpNum];
ADDRLP4 588
CNSTI4 624
ADDRLP4 584
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 85
;85:		mvpName = MVP->client->pers.netname;
ADDRLP4 576
ADDRLP4 588
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 508
ADDP4
ASGNP4
line 86
;86:		mvpPoints = MVP->client->ps.persistant[PERS_SCORE];
ADDRLP4 572
ADDRLP4 588
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 268
ADDP4
INDIRI4
ASGNI4
line 87
;87:		winningTeam = MVP->client->ps.persistant[PERS_TEAM];
ADDRLP4 552
ADDRLP4 588
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 284
ADDP4
INDIRI4
ASGNI4
line 88
;88:	}
LABELV $83
line 90
;89:
;90:	if ( winningTeam )
ADDRLP4 552
INDIRI4
CNSTI4 0
EQI4 $85
line 91
;91:	{//one of the teams won
line 92
;92:		winningCaptures = level.teamScores[winningTeam];
ADDRLP4 564
ADDRLP4 552
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 level+48
ADDP4
INDIRI4
ASGNI4
line 93
;93:		if (winningTeam == TEAM_RED)
ADDRLP4 552
INDIRI4
CNSTI4 1
NEI4 $88
line 94
;94:			loseCaptures = level.teamScores[TEAM_BLUE];
ADDRLP4 568
ADDRGP4 level+48+8
INDIRI4
ASGNI4
ADDRGP4 $89
JUMPV
LABELV $88
line 96
;95:		else
;96:			loseCaptures = level.teamScores[TEAM_RED];
ADDRLP4 568
ADDRGP4 level+48+4
INDIRI4
ASGNI4
LABELV $89
line 98
;97:
;98:		if ( g_pModElimination.integer != 0 )
ADDRGP4 g_pModElimination+12
INDIRI4
CNSTI4 0
EQI4 $94
line 99
;99:		{//in elimination, don't add each member's points to the total
line 100
;100:			winningPoints = winningCaptures;
ADDRLP4 556
ADDRLP4 564
INDIRI4
ASGNI4
line 101
;101:			losePoints = loseCaptures;
ADDRLP4 560
ADDRLP4 568
INDIRI4
ASGNI4
line 102
;102:		}
ADDRGP4 $95
JUMPV
LABELV $94
line 104
;103:		else
;104:		{
line 105
;105:			for (i = 0; i < level.maxclients; i++ )
ADDRLP4 540
CNSTI4 0
ASGNI4
ADDRGP4 $100
JUMPV
LABELV $97
line 106
;106:			{
line 107
;107:				if ( g_entities[i].client->ps.persistant[PERS_TEAM] == winningTeam )
CNSTI4 624
ADDRLP4 540
INDIRI4
MULI4
ADDRGP4 g_entities+304
ADDP4
INDIRP4
CNSTI4 284
ADDP4
INDIRI4
ADDRLP4 552
INDIRI4
NEI4 $102
line 108
;108:					winningPoints += g_entities[i].client->ps.persistant[PERS_SCORE];
ADDRLP4 556
ADDRLP4 556
INDIRI4
CNSTI4 624
ADDRLP4 540
INDIRI4
MULI4
ADDRGP4 g_entities+304
ADDP4
INDIRP4
CNSTI4 268
ADDP4
INDIRI4
ADDI4
ASGNI4
ADDRGP4 $103
JUMPV
LABELV $102
line 110
;109:				else
;110:					losePoints += g_entities[i].client->ps.persistant[PERS_SCORE];
ADDRLP4 560
ADDRLP4 560
INDIRI4
CNSTI4 624
ADDRLP4 540
INDIRI4
MULI4
ADDRGP4 g_entities+304
ADDP4
INDIRP4
CNSTI4 268
ADDP4
INDIRI4
ADDI4
ASGNI4
LABELV $103
line 111
;111:			}
LABELV $98
line 105
ADDRLP4 540
ADDRLP4 540
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $100
ADDRLP4 540
INDIRI4
ADDRGP4 level+24
INDIRI4
LTI4 $97
line 112
;112:		}
LABELV $95
line 113
;113:	}
LABELV $85
line 115
;114:
;115:	for (i = 0; i < level.maxclients; i++ )
ADDRLP4 540
CNSTI4 0
ASGNI4
ADDRGP4 $110
JUMPV
LABELV $107
line 116
;116:	{
line 117
;117:		player = &g_entities[i];
ADDRLP4 544
CNSTI4 624
ADDRLP4 540
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 118
;118:		if ( !player->inuse || (player->r.svFlags & SVF_BOT))
ADDRLP4 608
CNSTI4 0
ASGNI4
ADDRLP4 544
INDIRP4
CNSTI4 308
ADDP4
INDIRI4
ADDRLP4 608
INDIRI4
EQI4 $114
ADDRLP4 544
INDIRP4
CNSTI4 212
ADDP4
INDIRI4
CNSTI4 8
BANDI4
ADDRLP4 608
INDIRI4
EQI4 $112
LABELV $114
line 119
;119:		{
line 120
;120:			continue;
ADDRGP4 $108
JUMPV
LABELV $112
line 122
;121:		}
;122:		playerClientNum = i;
ADDRLP4 536
ADDRLP4 540
INDIRI4
ASGNI4
line 124
;123:
;124:		CalculateRanks( qfalse );
CNSTI4 0
ARGI4
ADDRGP4 CalculateRanks
CALLV
pop
line 126
;125:		// put info for the top three players into the msg
;126:		Com_sprintf(msg, AWARDS_MSG_LENGTH, "awards %d", level.numNonSpectatorClients);
ADDRLP4 8
ARGP4
CNSTI4 256
ARGI4
ADDRGP4 $115
ARGP4
ADDRGP4 level+80
INDIRI4
ARGI4
ADDRGP4 Com_sprintf
CALLV
pop
line 127
;127:		for( j = 0; j < level.numNonSpectatorClients; j++ )
ADDRLP4 4
CNSTI4 0
ASGNI4
ADDRGP4 $120
JUMPV
LABELV $117
line 128
;128:		{
line 129
;129:			if (j > 2)
ADDRLP4 4
INDIRI4
CNSTI4 2
LEI4 $122
line 130
;130:			{
line 131
;131:				break;
ADDRGP4 $119
JUMPV
LABELV $122
line 133
;132:			}
;133:			n = level.sortedClients[j];
ADDRLP4 524
ADDRLP4 4
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 level+88
ADDP4
INDIRI4
ASGNI4
line 134
;134:			strcpy(msg2, msg);
ADDRLP4 264
ARGP4
ADDRLP4 8
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 135
;135:			Com_sprintf(msg, AWARDS_MSG_LENGTH, "%s %d", msg2, n);
ADDRLP4 8
ARGP4
CNSTI4 256
ARGI4
ADDRGP4 $125
ARGP4
ADDRLP4 264
ARGP4
ADDRLP4 524
INDIRI4
ARGI4
ADDRGP4 Com_sprintf
CALLV
pop
line 136
;136:		}
LABELV $118
line 127
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $120
ADDRLP4 4
INDIRI4
ADDRGP4 level+80
INDIRI4
LTI4 $117
LABELV $119
line 139
;137:
;138:		// put this guy's awards into the msg
;139:		if ( level.clients[playerClientNum].sess.sessionTeam == TEAM_SPECTATOR )
CNSTI4 1320
ADDRLP4 536
INDIRI4
MULI4
ADDRGP4 level
INDIRP4
ADDP4
CNSTI4 620
ADDP4
INDIRI4
CNSTI4 3
NEI4 $126
line 140
;140:		{
line 141
;141:			strcpy(msg2, msg);
ADDRLP4 264
ARGP4
ADDRLP4 8
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 142
;142:			Com_sprintf( msg, sizeof(msg), "%s 0", msg2);
ADDRLP4 8
ARGP4
CNSTI4 256
ARGI4
ADDRGP4 $128
ARGP4
ADDRLP4 264
ARGP4
ADDRGP4 Com_sprintf
CALLV
pop
line 143
;143:		}
ADDRGP4 $127
JUMPV
LABELV $126
line 145
;144:		else
;145:		{
line 146
;146:			CalculateAwards(player, msg);
ADDRLP4 544
INDIRP4
ARGP4
ADDRLP4 8
ARGP4
ADDRGP4 CalculateAwards
CALLV
pop
line 147
;147:		}
LABELV $127
line 163
;148:
;149:		// now supply...
;150:		//
;151:		// 1) winning team's MVP's name
;152:		// 2) winning team's MVP's score
;153:		// 3) winning team's total captures
;154:		// 4) winning team's total points
;155:		// 5) this player's rank
;156:		// 6) the highest rank for which this player tied
;157:		// 7) losing team's total captures
;158:		// 8) losing team's total points
;159:		// 9) if second place was tied
;160:		// 10) intermission point
;161:		// 11) intermission angles
;162:		//
;163:		for (k = 0; k < level.numNonSpectatorClients; k++)
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $132
JUMPV
LABELV $129
line 164
;164:		{
line 165
;165:			if (level.sortedClients[k] == playerClientNum)
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 level+88
ADDP4
INDIRI4
ADDRLP4 536
INDIRI4
NEI4 $134
line 166
;166:			{
line 167
;167:				playerRank = k;
ADDRLP4 528
ADDRLP4 0
INDIRI4
ASGNI4
line 168
;168:				break;
ADDRGP4 $131
JUMPV
LABELV $134
line 170
;169:			}
;170:		}
LABELV $130
line 163
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $132
ADDRLP4 0
INDIRI4
ADDRGP4 level+80
INDIRI4
LTI4 $129
LABELV $131
line 171
;171:		highestTiedRank = 0;
ADDRLP4 532
CNSTI4 0
ASGNI4
line 172
;172:		for (k = playerRank-1; k >= 0; k--)
ADDRLP4 0
ADDRLP4 528
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
ADDRGP4 $140
JUMPV
LABELV $137
line 173
;173:		{
line 174
;174:			cl = &level.clients[level.sortedClients[k]];
ADDRLP4 520
CNSTI4 1320
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 level+88
ADDP4
INDIRI4
MULI4
ADDRGP4 level
INDIRP4
ADDP4
ASGNP4
line 175
;175:			if (cl->ps.persistant[PERS_SCORE] > level.clients[level.sortedClients[playerRank]].ps.persistant[PERS_SCORE])
ADDRLP4 612
CNSTI4 268
ASGNI4
ADDRLP4 520
INDIRP4
ADDRLP4 612
INDIRI4
ADDP4
INDIRI4
CNSTI4 1320
ADDRLP4 528
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 level+88
ADDP4
INDIRI4
MULI4
ADDRGP4 level
INDIRP4
ADDP4
ADDRLP4 612
INDIRI4
ADDP4
INDIRI4
LEI4 $142
line 176
;176:			{
line 177
;177:				break;
ADDRGP4 $139
JUMPV
LABELV $142
line 179
;178:			}
;179:			highestTiedRank = k+1;
ADDRLP4 532
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 180
;180:		}
LABELV $138
line 172
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
LABELV $140
ADDRLP4 0
INDIRI4
CNSTI4 0
GEI4 $137
LABELV $139
line 181
;181:		strcpy(msg2, msg);
ADDRLP4 264
ARGP4
ADDRLP4 8
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 182
;182:		Com_sprintf(msg, AWARDS_MSG_LENGTH, "%s \"%s\" %d %d %d %d %d %d %d %d %f %f %f %f %f %f",
ADDRLP4 8
ARGP4
CNSTI4 256
ARGI4
ADDRGP4 $145
ARGP4
ADDRLP4 264
ARGP4
ADDRLP4 576
INDIRP4
ARGP4
ADDRLP4 572
INDIRI4
ARGI4
ADDRLP4 564
INDIRI4
ARGI4
ADDRLP4 556
INDIRI4
ARGI4
ADDRLP4 528
INDIRI4
ARGI4
ADDRLP4 532
INDIRI4
ARGI4
ADDRLP4 568
INDIRI4
ARGI4
ADDRLP4 560
INDIRI4
ARGI4
ADDRLP4 580
INDIRI4
ARGI4
ADDRGP4 level+4252
INDIRF4
ARGF4
ADDRGP4 level+4252+4
INDIRF4
ARGF4
ADDRGP4 level+4252+8
INDIRF4
ARGF4
ADDRGP4 level+4264
INDIRF4
ARGF4
ADDRGP4 level+4264+4
INDIRF4
ARGF4
ADDRGP4 level+4264+8
INDIRF4
ARGF4
ADDRGP4 Com_sprintf
CALLV
pop
line 188
;183:			msg2, mvpName, mvpPoints, winningCaptures, winningPoints, playerRank, highestTiedRank,
;184:			loseCaptures, losePoints, secondPlaceTied, level.intermission_origin[0], level.intermission_origin[1],
;185:			level.intermission_origin[2], level.intermission_angle[0], level.intermission_angle[1],
;186:			level.intermission_angle[2]);
;187:
;188:		trap_SendServerCommand(player-g_entities, msg);
ADDRLP4 544
INDIRP4
CVPU4 4
ADDRGP4 g_entities
CVPU4 4
SUBU4
CVUI4 4
CNSTI4 624
DIVI4
ARGI4
ADDRLP4 8
ARGP4
ADDRGP4 trap_SendServerCommand
CALLV
pop
line 189
;189:	}
LABELV $108
line 115
ADDRLP4 540
ADDRLP4 540
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $110
ADDRLP4 540
INDIRI4
ADDRGP4 level+24
INDIRI4
LTI4 $107
line 191
;190:
;191:	if (g_gametype.integer == GT_SINGLE_PLAYER)
ADDRGP4 g_gametype+12
INDIRI4
CNSTI4 2
NEI4 $156
line 192
;192:	{
line 193
;193:		Com_sprintf( msg, sizeof(msg), "postgame %i", playerRank);
ADDRLP4 8
ARGP4
CNSTI4 256
ARGI4
ADDRGP4 $159
ARGP4
ADDRLP4 528
INDIRI4
ARGI4
ADDRGP4 Com_sprintf
CALLV
pop
line 194
;194:		trap_SendConsoleCommand( EXEC_APPEND, msg); 
CNSTI4 2
ARGI4
ADDRLP4 8
ARGP4
ADDRGP4 trap_SendConsoleCommand
CALLV
pop
line 195
;195:	}
LABELV $156
line 197
;196:
;197:}
LABELV $55
endproc UpdateTournamentInfo 616 76
proc SpawnModelOnVictoryPad 112 16
line 200
;198:
;199:
;200:static gentity_t *SpawnModelOnVictoryPad( gentity_t *pad, vec3_t offset, gentity_t *ent, int place ) {
line 205
;201:	gentity_t	*body;
;202:	vec3_t		vec;
;203:	vec3_t		f, r, u;
;204:
;205:	body = G_Spawn();
ADDRLP4 52
ADDRGP4 G_Spawn
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 52
INDIRP4
ASGNP4
line 206
;206:	if ( !body ) {
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $161
line 207
;207:		G_Printf( S_COLOR_RED "ERROR: out of gentities\n" );
ADDRGP4 $163
ARGP4
ADDRGP4 G_Printf
CALLV
pop
line 208
;208:		return NULL;
CNSTP4 0
RETP4
ADDRGP4 $160
JUMPV
LABELV $161
line 211
;209:	}
;210:
;211:	body->classname = ent->client->pers.netname;
ADDRLP4 0
INDIRP4
CNSTI4 312
ADDP4
ADDRFP4 8
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 508
ADDP4
ASGNP4
line 212
;212:	body->client = ent->client;
ADDRLP4 56
CNSTI4 304
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 56
INDIRI4
ADDP4
ADDRFP4 8
INDIRP4
ADDRLP4 56
INDIRI4
ADDP4
INDIRP4
ASGNP4
line 213
;213:	body->s = ent->s;
ADDRLP4 0
INDIRP4
ADDRFP4 8
INDIRP4
INDIRB
ASGNB 204
line 214
;214:	body->s.eType = ET_PLAYER;		// could be ET_INVISIBLE
ADDRLP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 1
ASGNI4
line 215
;215:	body->s.eFlags = 0;				// clear EF_TALK, etc
ADDRLP4 0
INDIRP4
CNSTI4 8
ADDP4
CNSTI4 0
ASGNI4
line 216
;216:	body->s.powerups = 0;			// clear powerups
ADDRLP4 0
INDIRP4
CNSTI4 188
ADDP4
CNSTI4 0
ASGNI4
line 217
;217:	body->s.loopSound = 0;			// clear lava burning
ADDRLP4 0
INDIRP4
CNSTI4 156
ADDP4
CNSTI4 0
ASGNI4
line 218
;218:	body->s.number = body - g_entities;
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
CVPU4 4
ADDRGP4 g_entities
CVPU4 4
SUBU4
CVUI4 4
CNSTI4 624
DIVI4
ASGNI4
line 219
;219:	body->timestamp = level.time;
ADDRLP4 0
INDIRP4
CNSTI4 452
ADDP4
ADDRGP4 level+32
INDIRI4
ASGNI4
line 220
;220:	body->physicsObject = qtrue;
ADDRLP4 0
INDIRP4
CNSTI4 352
ADDP4
CNSTI4 1
ASGNI4
line 221
;221:	body->physicsBounce = 0;		// don't bounce
ADDRLP4 0
INDIRP4
CNSTI4 356
ADDP4
CNSTF4 0
ASGNF4
line 222
;222:	body->s.event = 0;
ADDRLP4 0
INDIRP4
CNSTI4 180
ADDP4
CNSTI4 0
ASGNI4
line 223
;223:	body->s.pos.trType = TR_STATIONARY;
ADDRLP4 0
INDIRP4
CNSTI4 12
ADDP4
CNSTI4 0
ASGNI4
line 224
;224:	body->s.groundEntityNum = ENTITYNUM_WORLD;
ADDRLP4 0
INDIRP4
CNSTI4 148
ADDP4
CNSTI4 1022
ASGNI4
line 225
;225:	body->s.legsAnim = LEGS_IDLE;
ADDRLP4 0
INDIRP4
CNSTI4 196
ADDP4
CNSTI4 22
ASGNI4
line 226
;226:	body->s.torsoAnim = TORSO_STAND;
ADDRLP4 0
INDIRP4
CNSTI4 200
ADDP4
CNSTI4 11
ASGNI4
line 229
;227:
;228:	// fix up some weapon holding / shooting issues
;229:	if (body->s.weapon==WP_PHASER || body->s.weapon==WP_DREADNOUGHT || body->s.weapon == WP_NONE )
ADDRLP4 64
ADDRLP4 0
INDIRP4
CNSTI4 192
ADDP4
INDIRI4
ASGNI4
ADDRLP4 64
INDIRI4
CNSTI4 1
EQI4 $168
ADDRLP4 64
INDIRI4
CNSTI4 9
EQI4 $168
ADDRLP4 64
INDIRI4
CNSTI4 0
NEI4 $165
LABELV $168
line 230
;230:		body->s.weapon = WP_COMPRESSION_RIFLE;
ADDRLP4 0
INDIRP4
CNSTI4 192
ADDP4
CNSTI4 2
ASGNI4
LABELV $165
line 232
;231:
;232:	body->s.event = 0;
ADDRLP4 0
INDIRP4
CNSTI4 180
ADDP4
CNSTI4 0
ASGNI4
line 233
;233:	body->r.svFlags = ent->r.svFlags;
ADDRLP4 68
CNSTI4 212
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 68
INDIRI4
ADDP4
ADDRFP4 8
INDIRP4
ADDRLP4 68
INDIRI4
ADDP4
INDIRI4
ASGNI4
line 234
;234:	VectorCopy (ent->r.mins, body->r.mins);
ADDRLP4 72
CNSTI4 224
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 72
INDIRI4
ADDP4
ADDRFP4 8
INDIRP4
ADDRLP4 72
INDIRI4
ADDP4
INDIRB
ASGNB 12
line 235
;235:	VectorCopy (ent->r.maxs, body->r.maxs);
ADDRLP4 76
CNSTI4 236
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 76
INDIRI4
ADDP4
ADDRFP4 8
INDIRP4
ADDRLP4 76
INDIRI4
ADDP4
INDIRB
ASGNB 12
line 236
;236:	VectorCopy (ent->r.absmin, body->r.absmin);
ADDRLP4 80
CNSTI4 252
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 80
INDIRI4
ADDP4
ADDRFP4 8
INDIRP4
ADDRLP4 80
INDIRI4
ADDP4
INDIRB
ASGNB 12
line 237
;237:	VectorCopy (ent->r.absmax, body->r.absmax);
ADDRLP4 84
CNSTI4 264
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 84
INDIRI4
ADDP4
ADDRFP4 8
INDIRP4
ADDRLP4 84
INDIRI4
ADDP4
INDIRB
ASGNB 12
line 238
;238:	body->clipmask = CONTENTS_SOLID | CONTENTS_PLAYERCLIP;
ADDRLP4 0
INDIRP4
CNSTI4 360
ADDP4
CNSTI4 65537
ASGNI4
line 239
;239:	body->r.contents = CONTENTS_BODY;
ADDRLP4 0
INDIRP4
CNSTI4 248
ADDP4
CNSTI4 33554432
ASGNI4
line 240
;240:	body->r.ownerNum = ent->r.ownerNum;
ADDRLP4 88
CNSTI4 300
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 88
INDIRI4
ADDP4
ADDRFP4 8
INDIRP4
ADDRLP4 88
INDIRI4
ADDP4
INDIRI4
ASGNI4
line 241
;241:	body->takedamage = qfalse;
ADDRLP4 0
INDIRP4
CNSTI4 548
ADDP4
CNSTI4 0
ASGNI4
line 242
;242:	VectorSubtract( level.intermission_origin, pad->r.currentOrigin, vec );
ADDRLP4 92
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
ADDRGP4 level+4252
INDIRF4
ADDRLP4 92
INDIRP4
CNSTI4 276
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 4+4
ADDRGP4 level+4252+4
INDIRF4
ADDRLP4 92
INDIRP4
CNSTI4 280
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 4+8
ADDRGP4 level+4252+8
INDIRF4
ADDRFP4 0
INDIRP4
CNSTI4 284
ADDP4
INDIRF4
SUBF4
ASGNF4
line 243
;243:	vectoangles( vec, body->s.apos.trBase );
ADDRLP4 4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 60
ADDP4
ARGP4
ADDRGP4 vectoangles
CALLV
pop
line 244
;244:	body->s.apos.trBase[PITCH] = 0;
ADDRLP4 0
INDIRP4
CNSTI4 60
ADDP4
CNSTF4 0
ASGNF4
line 245
;245:	body->s.apos.trBase[ROLL] = 0;
ADDRLP4 0
INDIRP4
CNSTI4 68
ADDP4
CNSTF4 0
ASGNF4
line 247
;246:
;247:	AngleVectors( body->s.apos.trBase, f, r, u );
ADDRLP4 0
INDIRP4
CNSTI4 60
ADDP4
ARGP4
ADDRLP4 16
ARGP4
ADDRLP4 28
ARGP4
ADDRLP4 40
ARGP4
ADDRGP4 AngleVectors
CALLV
pop
line 248
;248:	VectorMA( pad->r.currentOrigin, offset[0], f, vec );
ADDRLP4 96
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 100
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 4
ADDRLP4 96
INDIRP4
CNSTI4 276
ADDP4
INDIRF4
ADDRLP4 16
INDIRF4
ADDRLP4 100
INDIRP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 4+4
ADDRLP4 96
INDIRP4
CNSTI4 280
ADDP4
INDIRF4
ADDRLP4 16+4
INDIRF4
ADDRLP4 100
INDIRP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 4+8
ADDRFP4 0
INDIRP4
CNSTI4 284
ADDP4
INDIRF4
ADDRLP4 16+8
INDIRF4
ADDRFP4 4
INDIRP4
INDIRF4
MULF4
ADDF4
ASGNF4
line 249
;249:	VectorMA( vec, offset[1], r, vec );
ADDRLP4 104
ADDRFP4 4
INDIRP4
CNSTI4 4
ADDP4
ASGNP4
ADDRLP4 4
ADDRLP4 4
INDIRF4
ADDRLP4 28
INDIRF4
ADDRLP4 104
INDIRP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 4+4
ADDRLP4 4+4
INDIRF4
ADDRLP4 28+4
INDIRF4
ADDRLP4 104
INDIRP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 4+8
ADDRLP4 4+8
INDIRF4
ADDRLP4 28+8
INDIRF4
ADDRFP4 4
INDIRP4
CNSTI4 4
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
line 250
;250:	VectorMA( vec, offset[2], u, vec );
ADDRLP4 108
ADDRFP4 4
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 4
ADDRLP4 4
INDIRF4
ADDRLP4 40
INDIRF4
ADDRLP4 108
INDIRP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 4+4
ADDRLP4 4+4
INDIRF4
ADDRLP4 40+4
INDIRF4
ADDRLP4 108
INDIRP4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 4+8
ADDRLP4 4+8
INDIRF4
ADDRLP4 40+8
INDIRF4
ADDRFP4 4
INDIRP4
CNSTI4 8
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
line 252
;251:
;252:	G_SetOrigin( body, vec );
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 4
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 254
;253:
;254:	trap_LinkEntity (body);
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 256
;255:
;256:	body->count = place;
ADDRLP4 0
INDIRP4
CNSTI4 572
ADDP4
ADDRFP4 12
INDIRI4
ASGNI4
line 258
;257:
;258:	return body;
ADDRLP4 0
INDIRP4
RETP4
LABELV $160
endproc SpawnModelOnVictoryPad 112 16
proc CelebrateStop 12 0
line 262
;259:}
;260:
;261:
;262:static void CelebrateStop( gentity_t *player ) {
line 265
;263:	int		anim;
;264:
;265:	anim = TORSO_STAND;
ADDRLP4 0
CNSTI4 11
ASGNI4
line 266
;266:	player->s.torsoAnim = ( ( player->s.torsoAnim & ANIM_TOGGLEBIT ) ^ ANIM_TOGGLEBIT ) | anim;
ADDRLP4 4
ADDRFP4 0
INDIRP4
CNSTI4 200
ADDP4
ASGNP4
ADDRLP4 8
CNSTI4 128
ASGNI4
ADDRLP4 4
INDIRP4
ADDRLP4 4
INDIRP4
INDIRI4
ADDRLP4 8
INDIRI4
BANDI4
ADDRLP4 8
INDIRI4
BXORI4
ADDRLP4 0
INDIRI4
BORI4
ASGNI4
line 267
;267:}
LABELV $192
endproc CelebrateStop 12 0
proc CelebrateStart 8 12
line 273
;268:
;269:
;270:#define	TIMER_GESTURE	(34*66+50)
;271:extern void	BG_AddPredictableEventToPlayerstate( int newEvent, int eventParm, playerState_t *ps );
;272:static void CelebrateStart( gentity_t *player ) 
;273:{
line 274
;274:	player->s.torsoAnim = ( ( player->s.torsoAnim & ANIM_TOGGLEBIT ) ^ ANIM_TOGGLEBIT ) | TORSO_GESTURE;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 200
ADDP4
ASGNP4
ADDRLP4 4
CNSTI4 128
ASGNI4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRI4
ADDRLP4 4
INDIRI4
BANDI4
ADDRLP4 4
INDIRI4
BXORI4
CNSTI4 6
BORI4
ASGNI4
line 275
;275:	player->nextthink = level.time + TIMER_GESTURE;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 2294
ADDI4
ASGNI4
line 276
;276:	player->think = CelebrateStop;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 CelebrateStop
ASGNP4
line 281
;277:
;278://	We don't want the taunt sound effect because it interfears with the computer voice giving awards
;279://	FIXME: just get timing right?
;280:	//FIXME: why does this get lost now?
;281:	BG_AddPredictableEventToPlayerstate( EV_TAUNT, 0, &player->client->ps );
CNSTI4 63
ARGI4
CNSTI4 0
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
ARGP4
ADDRGP4 BG_AddPredictableEventToPlayerstate
CALLV
pop
line 282
;282:}
LABELV $193
endproc CelebrateStart 8 12
data
align 4
LABELV offsetFirst
byte 4 0
byte 4 0
byte 4 1115684864
align 4
LABELV offsetSecond
byte 4 3240099840
byte 4 1114636288
byte 4 1110441984
align 4
LABELV offsetThird
byte 4 3247964160
byte 4 3262119936
byte 4 1108082688
code
proc PodiumPlacementThink 92 16
line 289
;283:
;284:
;285:static vec3_t	offsetFirst  = {0, 0, 64};
;286:static vec3_t	offsetSecond = {-10, 60, 44};
;287:static vec3_t	offsetThird  = {-19, -60, 35};
;288:
;289:static void PodiumPlacementThink( gentity_t *podium ) {
line 294
;290:	vec3_t		vec;
;291:	vec3_t		origin;
;292:	vec3_t		f, r, u;
;293:
;294:	podium->nextthink = level.time + 100;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 100
ADDI4
ASGNI4
line 296
;295:
;296:	AngleVectors( level.intermission_angle, vec, NULL, NULL );
ADDRGP4 level+4264
ARGP4
ADDRLP4 0
ARGP4
ADDRLP4 60
CNSTP4 0
ASGNP4
ADDRLP4 60
INDIRP4
ARGP4
ADDRLP4 60
INDIRP4
ARGP4
ADDRGP4 AngleVectors
CALLV
pop
line 297
;297:	VectorMA( level.intermission_origin, trap_Cvar_VariableIntegerValue( "g_podiumDist" ), vec, origin );
ADDRGP4 $199
ARGP4
ADDRLP4 64
ADDRGP4 trap_Cvar_VariableIntegerValue
CALLI4
ASGNI4
ADDRLP4 48
ADDRGP4 level+4252
INDIRF4
ADDRLP4 0
INDIRF4
ADDRLP4 64
INDIRI4
CVIF4 4
MULF4
ADDF4
ASGNF4
ADDRGP4 $199
ARGP4
ADDRLP4 68
ADDRGP4 trap_Cvar_VariableIntegerValue
CALLI4
ASGNI4
ADDRLP4 48+4
ADDRGP4 level+4252+4
INDIRF4
ADDRLP4 0+4
INDIRF4
ADDRLP4 68
INDIRI4
CVIF4 4
MULF4
ADDF4
ASGNF4
ADDRGP4 $199
ARGP4
ADDRLP4 72
ADDRGP4 trap_Cvar_VariableIntegerValue
CALLI4
ASGNI4
ADDRLP4 48+8
ADDRGP4 level+4252+8
INDIRF4
ADDRLP4 0+8
INDIRF4
ADDRLP4 72
INDIRI4
CVIF4 4
MULF4
ADDF4
ASGNF4
line 298
;298:	origin[2] -= trap_Cvar_VariableIntegerValue( "g_podiumDrop" );
ADDRGP4 $209
ARGP4
ADDRLP4 76
ADDRGP4 trap_Cvar_VariableIntegerValue
CALLI4
ASGNI4
ADDRLP4 48+8
ADDRLP4 48+8
INDIRF4
ADDRLP4 76
INDIRI4
CVIF4 4
SUBF4
ASGNF4
line 299
;299:	G_SetOrigin( podium, origin );
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 48
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 301
;300:
;301:	if( podium1 ) {
ADDRGP4 podium1
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $210
line 302
;302:		VectorSubtract( level.intermission_origin, podium->r.currentOrigin, vec );
ADDRLP4 80
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
ADDRGP4 level+4252
INDIRF4
ADDRLP4 80
INDIRP4
CNSTI4 276
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 0+4
ADDRGP4 level+4252+4
INDIRF4
ADDRLP4 80
INDIRP4
CNSTI4 280
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 0+8
ADDRGP4 level+4252+8
INDIRF4
ADDRFP4 0
INDIRP4
CNSTI4 284
ADDP4
INDIRF4
SUBF4
ASGNF4
line 303
;303:		vectoangles( vec, podium1->s.apos.trBase );
ADDRLP4 0
ARGP4
ADDRGP4 podium1
INDIRP4
CNSTI4 60
ADDP4
ARGP4
ADDRGP4 vectoangles
CALLV
pop
line 304
;304:		podium1->s.apos.trBase[PITCH] = 0;
ADDRGP4 podium1
INDIRP4
CNSTI4 60
ADDP4
CNSTF4 0
ASGNF4
line 305
;305:		podium1->s.apos.trBase[ROLL] = 0;
ADDRGP4 podium1
INDIRP4
CNSTI4 68
ADDP4
CNSTF4 0
ASGNF4
line 307
;306:
;307:		AngleVectors( podium1->s.apos.trBase, f, r, u );
ADDRGP4 podium1
INDIRP4
CNSTI4 60
ADDP4
ARGP4
ADDRLP4 12
ARGP4
ADDRLP4 24
ARGP4
ADDRLP4 36
ARGP4
ADDRGP4 AngleVectors
CALLV
pop
line 308
;308:		VectorMA( podium->r.currentOrigin, offsetFirst[0], f, vec );
ADDRLP4 84
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 88
ADDRGP4 offsetFirst
INDIRF4
ASGNF4
ADDRLP4 0
ADDRLP4 84
INDIRP4
CNSTI4 276
ADDP4
INDIRF4
ADDRLP4 12
INDIRF4
ADDRLP4 88
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 84
INDIRP4
CNSTI4 280
ADDP4
INDIRF4
ADDRLP4 12+4
INDIRF4
ADDRLP4 88
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+8
ADDRFP4 0
INDIRP4
CNSTI4 284
ADDP4
INDIRF4
ADDRLP4 12+8
INDIRF4
ADDRGP4 offsetFirst
INDIRF4
MULF4
ADDF4
ASGNF4
line 309
;309:		VectorMA( vec, offsetFirst[1], r, vec );
ADDRLP4 0
ADDRLP4 0
INDIRF4
ADDRLP4 24
INDIRF4
ADDRGP4 offsetFirst+4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 0+4
INDIRF4
ADDRLP4 24+4
INDIRF4
ADDRGP4 offsetFirst+4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+8
ADDRLP4 0+8
INDIRF4
ADDRLP4 24+8
INDIRF4
ADDRGP4 offsetFirst+4
INDIRF4
MULF4
ADDF4
ASGNF4
line 310
;310:		VectorMA( vec, offsetFirst[2], u, vec );
ADDRLP4 0
ADDRLP4 0
INDIRF4
ADDRLP4 36
INDIRF4
ADDRGP4 offsetFirst+8
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 0+4
INDIRF4
ADDRLP4 36+4
INDIRF4
ADDRGP4 offsetFirst+8
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+8
ADDRLP4 0+8
INDIRF4
ADDRLP4 36+8
INDIRF4
ADDRGP4 offsetFirst+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 312
;311:
;312:		G_SetOrigin( podium1, vec );
ADDRGP4 podium1
INDIRP4
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 313
;313:	}
LABELV $210
line 315
;314:
;315:	if( podium2 ) {
ADDRGP4 podium2
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $241
line 316
;316:		VectorSubtract( level.intermission_origin, podium->r.currentOrigin, vec );
ADDRLP4 80
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
ADDRGP4 level+4252
INDIRF4
ADDRLP4 80
INDIRP4
CNSTI4 276
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 0+4
ADDRGP4 level+4252+4
INDIRF4
ADDRLP4 80
INDIRP4
CNSTI4 280
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 0+8
ADDRGP4 level+4252+8
INDIRF4
ADDRFP4 0
INDIRP4
CNSTI4 284
ADDP4
INDIRF4
SUBF4
ASGNF4
line 317
;317:		vectoangles( vec, podium2->s.apos.trBase );
ADDRLP4 0
ARGP4
ADDRGP4 podium2
INDIRP4
CNSTI4 60
ADDP4
ARGP4
ADDRGP4 vectoangles
CALLV
pop
line 318
;318:		podium2->s.apos.trBase[PITCH] = 0;
ADDRGP4 podium2
INDIRP4
CNSTI4 60
ADDP4
CNSTF4 0
ASGNF4
line 319
;319:		podium2->s.apos.trBase[ROLL] = 0;
ADDRGP4 podium2
INDIRP4
CNSTI4 68
ADDP4
CNSTF4 0
ASGNF4
line 321
;320:
;321:		AngleVectors( podium2->s.apos.trBase, f, r, u );
ADDRGP4 podium2
INDIRP4
CNSTI4 60
ADDP4
ARGP4
ADDRLP4 12
ARGP4
ADDRLP4 24
ARGP4
ADDRLP4 36
ARGP4
ADDRGP4 AngleVectors
CALLV
pop
line 322
;322:		VectorMA( podium->r.currentOrigin, offsetSecond[0], f, vec );
ADDRLP4 84
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 88
ADDRGP4 offsetSecond
INDIRF4
ASGNF4
ADDRLP4 0
ADDRLP4 84
INDIRP4
CNSTI4 276
ADDP4
INDIRF4
ADDRLP4 12
INDIRF4
ADDRLP4 88
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 84
INDIRP4
CNSTI4 280
ADDP4
INDIRF4
ADDRLP4 12+4
INDIRF4
ADDRLP4 88
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+8
ADDRFP4 0
INDIRP4
CNSTI4 284
ADDP4
INDIRF4
ADDRLP4 12+8
INDIRF4
ADDRGP4 offsetSecond
INDIRF4
MULF4
ADDF4
ASGNF4
line 323
;323:		VectorMA( vec, offsetSecond[1], r, vec );
ADDRLP4 0
ADDRLP4 0
INDIRF4
ADDRLP4 24
INDIRF4
ADDRGP4 offsetSecond+4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 0+4
INDIRF4
ADDRLP4 24+4
INDIRF4
ADDRGP4 offsetSecond+4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+8
ADDRLP4 0+8
INDIRF4
ADDRLP4 24+8
INDIRF4
ADDRGP4 offsetSecond+4
INDIRF4
MULF4
ADDF4
ASGNF4
line 324
;324:		VectorMA( vec, offsetSecond[2], u, vec );
ADDRLP4 0
ADDRLP4 0
INDIRF4
ADDRLP4 36
INDIRF4
ADDRGP4 offsetSecond+8
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 0+4
INDIRF4
ADDRLP4 36+4
INDIRF4
ADDRGP4 offsetSecond+8
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+8
ADDRLP4 0+8
INDIRF4
ADDRLP4 36+8
INDIRF4
ADDRGP4 offsetSecond+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 326
;325:
;326:		G_SetOrigin( podium2, vec );
ADDRGP4 podium2
INDIRP4
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 327
;327:	}
LABELV $241
line 329
;328:
;329:	if( podium3 ) {
ADDRGP4 podium3
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $272
line 330
;330:		VectorSubtract( level.intermission_origin, podium->r.currentOrigin, vec );
ADDRLP4 80
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
ADDRGP4 level+4252
INDIRF4
ADDRLP4 80
INDIRP4
CNSTI4 276
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 0+4
ADDRGP4 level+4252+4
INDIRF4
ADDRLP4 80
INDIRP4
CNSTI4 280
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 0+8
ADDRGP4 level+4252+8
INDIRF4
ADDRFP4 0
INDIRP4
CNSTI4 284
ADDP4
INDIRF4
SUBF4
ASGNF4
line 331
;331:		vectoangles( vec, podium3->s.apos.trBase );
ADDRLP4 0
ARGP4
ADDRGP4 podium3
INDIRP4
CNSTI4 60
ADDP4
ARGP4
ADDRGP4 vectoangles
CALLV
pop
line 332
;332:		podium3->s.apos.trBase[PITCH] = 0;
ADDRGP4 podium3
INDIRP4
CNSTI4 60
ADDP4
CNSTF4 0
ASGNF4
line 333
;333:		podium3->s.apos.trBase[ROLL] = 0;
ADDRGP4 podium3
INDIRP4
CNSTI4 68
ADDP4
CNSTF4 0
ASGNF4
line 335
;334:
;335:		AngleVectors( podium3->s.apos.trBase, f, r, u );
ADDRGP4 podium3
INDIRP4
CNSTI4 60
ADDP4
ARGP4
ADDRLP4 12
ARGP4
ADDRLP4 24
ARGP4
ADDRLP4 36
ARGP4
ADDRGP4 AngleVectors
CALLV
pop
line 336
;336:		VectorMA( podium->r.currentOrigin, offsetThird[0], f, vec );
ADDRLP4 84
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 88
ADDRGP4 offsetThird
INDIRF4
ASGNF4
ADDRLP4 0
ADDRLP4 84
INDIRP4
CNSTI4 276
ADDP4
INDIRF4
ADDRLP4 12
INDIRF4
ADDRLP4 88
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 84
INDIRP4
CNSTI4 280
ADDP4
INDIRF4
ADDRLP4 12+4
INDIRF4
ADDRLP4 88
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+8
ADDRFP4 0
INDIRP4
CNSTI4 284
ADDP4
INDIRF4
ADDRLP4 12+8
INDIRF4
ADDRGP4 offsetThird
INDIRF4
MULF4
ADDF4
ASGNF4
line 337
;337:		VectorMA( vec, offsetThird[1], r, vec );
ADDRLP4 0
ADDRLP4 0
INDIRF4
ADDRLP4 24
INDIRF4
ADDRGP4 offsetThird+4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 0+4
INDIRF4
ADDRLP4 24+4
INDIRF4
ADDRGP4 offsetThird+4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+8
ADDRLP4 0+8
INDIRF4
ADDRLP4 24+8
INDIRF4
ADDRGP4 offsetThird+4
INDIRF4
MULF4
ADDF4
ASGNF4
line 338
;338:		VectorMA( vec, offsetThird[2], u, vec );
ADDRLP4 0
ADDRLP4 0
INDIRF4
ADDRLP4 36
INDIRF4
ADDRGP4 offsetThird+8
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 0+4
INDIRF4
ADDRLP4 36+4
INDIRF4
ADDRGP4 offsetThird+8
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 0+8
ADDRLP4 0+8
INDIRF4
ADDRLP4 36+8
INDIRF4
ADDRGP4 offsetThird+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 340
;339:
;340:		G_SetOrigin( podium3, vec );
ADDRGP4 podium3
INDIRP4
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 341
;341:	}
LABELV $272
line 342
;342:}
LABELV $195
endproc PodiumPlacementThink 92 16
proc SpawnPodium 72 16
line 345
;343:
;344:
;345:static gentity_t *SpawnPodium( void ) {
line 350
;346:	gentity_t	*podium;
;347:	vec3_t		vec;
;348:	vec3_t		origin;
;349:
;350:	podium = G_Spawn();
ADDRLP4 28
ADDRGP4 G_Spawn
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 28
INDIRP4
ASGNP4
line 351
;351:	if ( !podium ) {
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $304
line 352
;352:		return NULL;
CNSTP4 0
RETP4
ADDRGP4 $303
JUMPV
LABELV $304
line 355
;353:	}
;354:
;355:	podium->classname = "podium";
ADDRLP4 0
INDIRP4
CNSTI4 312
ADDP4
ADDRGP4 $306
ASGNP4
line 356
;356:	podium->s.eType = ET_GENERAL;
ADDRLP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 0
ASGNI4
line 357
;357:	podium->s.number = podium - g_entities;
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
CVPU4 4
ADDRGP4 g_entities
CVPU4 4
SUBU4
CVUI4 4
CNSTI4 624
DIVI4
ASGNI4
line 358
;358:	podium->clipmask = CONTENTS_SOLID;
ADDRLP4 0
INDIRP4
CNSTI4 360
ADDP4
CNSTI4 1
ASGNI4
line 359
;359:	podium->r.contents = CONTENTS_SOLID;
ADDRLP4 0
INDIRP4
CNSTI4 248
ADDP4
CNSTI4 1
ASGNI4
line 360
;360:	if (g_gametype.integer > GT_SINGLE_PLAYER)
ADDRGP4 g_gametype+12
INDIRI4
CNSTI4 2
LEI4 $307
line 361
;361:		podium->s.modelindex = G_ModelIndex( TEAM_PODIUM_MODEL );
ADDRGP4 $310
ARGP4
ADDRLP4 36
ADDRGP4 G_ModelIndex
CALLI4
ASGNI4
ADDRLP4 0
INDIRP4
CNSTI4 160
ADDP4
ADDRLP4 36
INDIRI4
ASGNI4
ADDRGP4 $308
JUMPV
LABELV $307
line 363
;362:	else
;363:		podium->s.modelindex = G_ModelIndex( SP_PODIUM_MODEL );
ADDRGP4 $311
ARGP4
ADDRLP4 40
ADDRGP4 G_ModelIndex
CALLI4
ASGNI4
ADDRLP4 0
INDIRP4
CNSTI4 160
ADDP4
ADDRLP4 40
INDIRI4
ASGNI4
LABELV $308
line 365
;364:
;365:	AngleVectors( level.intermission_angle, vec, NULL, NULL );
ADDRGP4 level+4264
ARGP4
ADDRLP4 4
ARGP4
ADDRLP4 44
CNSTP4 0
ASGNP4
ADDRLP4 44
INDIRP4
ARGP4
ADDRLP4 44
INDIRP4
ARGP4
ADDRGP4 AngleVectors
CALLV
pop
line 366
;366:	VectorMA( level.intermission_origin, trap_Cvar_VariableIntegerValue( "g_podiumDist" ), vec, origin );
ADDRGP4 $199
ARGP4
ADDRLP4 48
ADDRGP4 trap_Cvar_VariableIntegerValue
CALLI4
ASGNI4
ADDRLP4 16
ADDRGP4 level+4252
INDIRF4
ADDRLP4 4
INDIRF4
ADDRLP4 48
INDIRI4
CVIF4 4
MULF4
ADDF4
ASGNF4
ADDRGP4 $199
ARGP4
ADDRLP4 52
ADDRGP4 trap_Cvar_VariableIntegerValue
CALLI4
ASGNI4
ADDRLP4 16+4
ADDRGP4 level+4252+4
INDIRF4
ADDRLP4 4+4
INDIRF4
ADDRLP4 52
INDIRI4
CVIF4 4
MULF4
ADDF4
ASGNF4
ADDRGP4 $199
ARGP4
ADDRLP4 56
ADDRGP4 trap_Cvar_VariableIntegerValue
CALLI4
ASGNI4
ADDRLP4 16+8
ADDRGP4 level+4252+8
INDIRF4
ADDRLP4 4+8
INDIRF4
ADDRLP4 56
INDIRI4
CVIF4 4
MULF4
ADDF4
ASGNF4
line 367
;367:	origin[2] -= trap_Cvar_VariableIntegerValue( "g_podiumDrop" );
ADDRGP4 $209
ARGP4
ADDRLP4 60
ADDRGP4 trap_Cvar_VariableIntegerValue
CALLI4
ASGNI4
ADDRLP4 16+8
ADDRLP4 16+8
INDIRF4
ADDRLP4 60
INDIRI4
CVIF4 4
SUBF4
ASGNF4
line 368
;368:	G_SetOrigin( podium, origin );
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 16
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 370
;369:
;370:	VectorSubtract( level.intermission_origin, podium->r.currentOrigin, vec );
ADDRLP4 4
ADDRGP4 level+4252
INDIRF4
ADDRLP4 0
INDIRP4
CNSTI4 276
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 4+4
ADDRGP4 level+4252+4
INDIRF4
ADDRLP4 0
INDIRP4
CNSTI4 280
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 4+8
ADDRGP4 level+4252+8
INDIRF4
ADDRLP4 0
INDIRP4
CNSTI4 284
ADDP4
INDIRF4
SUBF4
ASGNF4
line 371
;371:	podium->s.apos.trBase[YAW] = vectoyaw( vec );
ADDRLP4 4
ARGP4
ADDRLP4 68
ADDRGP4 vectoyaw
CALLF4
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 64
ADDP4
ADDRLP4 68
INDIRF4
ASGNF4
line 372
;372:	trap_LinkEntity (podium);
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 374
;373:
;374:	podium->think = PodiumPlacementThink;
ADDRLP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 PodiumPlacementThink
ASGNP4
line 375
;375:	podium->nextthink = level.time + 100;
ADDRLP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 100
ADDI4
ASGNI4
line 376
;376:	return podium;
ADDRLP4 0
INDIRP4
RETP4
LABELV $303
endproc SpawnPodium 72 16
export SpawnModelsOnVictoryPads
proc SpawnModelsOnVictoryPads 28 16
line 385
;377:}
;378:
;379:
;380:/*
;381:==================
;382:SpawnModelsOnVictoryPads
;383:==================
;384:*/
;385:void SpawnModelsOnVictoryPads( void ) {
line 388
;386:	gentity_t	*player;
;387:	gentity_t	*podium;
;388:	int i = 0;
ADDRLP4 0
CNSTI4 0
ASGNI4
line 389
;389:	gentity_t	*ent = &g_entities[0];
ADDRLP4 4
ADDRGP4 g_entities
ASGNP4
line 391
;390:
;391:	podium1 = NULL;
ADDRGP4 podium1
CNSTP4 0
ASGNP4
line 392
;392:	podium2 = NULL;
ADDRGP4 podium2
CNSTP4 0
ASGNP4
line 393
;393:	podium3 = NULL;
ADDRGP4 podium3
CNSTP4 0
ASGNP4
line 395
;394:
;395:	podium = SpawnPodium();
ADDRLP4 16
ADDRGP4 SpawnPodium
CALLP4
ASGNP4
ADDRLP4 12
ADDRLP4 16
INDIRP4
ASGNP4
line 399
;396:
;397:
;398:	// SPAWN PLAYER ON TOP MOST PODIUM
;399:	if (g_gametype.integer > GT_SINGLE_PLAYER)
ADDRGP4 g_gametype+12
INDIRI4
CNSTI4 2
LEI4 $332
line 400
;400:	{
line 402
;401:		// In team game, we want to represent the highest scored client from the WINNING team.
;402:		for (i = 0; i < level.maxclients; i++)
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $338
JUMPV
LABELV $335
line 403
;403:		{
line 404
;404:			ent = &g_entities[i];
ADDRLP4 4
CNSTI4 624
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 405
;405:			if (ent->client && CalculateTeamMVPByRank(ent))
ADDRLP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $340
ADDRLP4 4
INDIRP4
ARGP4
ADDRLP4 24
ADDRGP4 CalculateTeamMVPByRank
CALLI4
ASGNI4
ADDRLP4 24
INDIRI4
CNSTI4 0
EQI4 $340
line 406
;406:			{
line 408
;407:				// found the winning team's MVP
;408:				break;
ADDRGP4 $337
JUMPV
LABELV $340
line 410
;409:			}
;410:		}
LABELV $336
line 402
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $338
ADDRLP4 0
INDIRI4
ADDRGP4 level+24
INDIRI4
LTI4 $335
LABELV $337
line 411
;411:		player = SpawnModelOnVictoryPad( podium, offsetFirst, ent,
ADDRLP4 12
INDIRP4
ARGP4
ADDRGP4 offsetFirst
ARGP4
ADDRLP4 4
INDIRP4
ARGP4
CNSTI4 1320
ADDRGP4 level+88
INDIRI4
MULI4
ADDRGP4 level
INDIRP4
ADDP4
CNSTI4 280
ADDP4
INDIRI4
CNSTI4 -16385
BANDI4
ARGI4
ADDRLP4 20
ADDRGP4 SpawnModelOnVictoryPad
CALLP4
ASGNP4
ADDRLP4 8
ADDRLP4 20
INDIRP4
ASGNP4
line 413
;412:					level.clients[ level.sortedClients[0] ].ps.persistant[PERS_RANK] &~ RANK_TIED_FLAG );
;413:	}
ADDRGP4 $333
JUMPV
LABELV $332
line 415
;414:	else
;415:	{
line 416
;416:		player = SpawnModelOnVictoryPad( podium, offsetFirst, &g_entities[level.sortedClients[0]],
ADDRLP4 12
INDIRP4
ARGP4
ADDRGP4 offsetFirst
ARGP4
CNSTI4 624
ADDRGP4 level+88
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ARGP4
CNSTI4 1320
ADDRGP4 level+88
INDIRI4
MULI4
ADDRGP4 level
INDIRP4
ADDP4
CNSTI4 280
ADDP4
INDIRI4
CNSTI4 -16385
BANDI4
ARGI4
ADDRLP4 20
ADDRGP4 SpawnModelOnVictoryPad
CALLP4
ASGNP4
ADDRLP4 8
ADDRLP4 20
INDIRP4
ASGNP4
line 418
;417:				level.clients[ level.sortedClients[0] ].ps.persistant[PERS_RANK] &~ RANK_TIED_FLAG );
;418:	}
LABELV $333
line 419
;419:	if ( player ) {
ADDRLP4 8
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $345
line 420
;420:		player->nextthink = level.time + 2000;
ADDRLP4 8
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 2000
ADDI4
ASGNI4
line 421
;421:		player->think = CelebrateStart;
ADDRLP4 8
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 CelebrateStart
ASGNP4
line 422
;422:		podium1 = player;
ADDRGP4 podium1
ADDRLP4 8
INDIRP4
ASGNP4
line 423
;423:	}
LABELV $345
line 427
;424:
;425:	// For non team game types, we want to spawn 3 characters on the victory pad
;426:	// For team games (GT_TEAM, GT_CTF) we want to have only a single player on the pad
;427:	if (( g_gametype.integer == GT_FFA ) || (g_gametype.integer == GT_TOURNAMENT) || (g_gametype.integer == GT_SINGLE_PLAYER))
ADDRGP4 g_gametype+12
INDIRI4
CNSTI4 0
EQI4 $354
ADDRGP4 g_gametype+12
INDIRI4
CNSTI4 1
EQI4 $354
ADDRGP4 g_gametype+12
INDIRI4
CNSTI4 2
NEI4 $348
LABELV $354
line 428
;428:	{
line 429
;429:		if ( level.numNonSpectatorClients > 1 ) {
ADDRGP4 level+80
INDIRI4
CNSTI4 1
LEI4 $355
line 430
;430:			player = SpawnModelOnVictoryPad( podium, offsetSecond, &g_entities[level.sortedClients[1]],
ADDRLP4 12
INDIRP4
ARGP4
ADDRGP4 offsetSecond
ARGP4
CNSTI4 624
ADDRGP4 level+88+4
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ARGP4
CNSTI4 1320
ADDRGP4 level+88+4
INDIRI4
MULI4
ADDRGP4 level
INDIRP4
ADDP4
CNSTI4 280
ADDP4
INDIRI4
CNSTI4 -16385
BANDI4
ARGI4
ADDRLP4 20
ADDRGP4 SpawnModelOnVictoryPad
CALLP4
ASGNP4
ADDRLP4 8
ADDRLP4 20
INDIRP4
ASGNP4
line 432
;431:					level.clients[ level.sortedClients[1] ].ps.persistant[PERS_RANK] &~ RANK_TIED_FLAG );
;432:			if ( player ) {
ADDRLP4 8
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $362
line 433
;433:				podium2 = player;
ADDRGP4 podium2
ADDRLP4 8
INDIRP4
ASGNP4
line 434
;434:			}
LABELV $362
line 435
;435:		}
LABELV $355
line 437
;436:
;437:		if ( level.numNonSpectatorClients > 2 ) {
ADDRGP4 level+80
INDIRI4
CNSTI4 2
LEI4 $364
line 438
;438:			player = SpawnModelOnVictoryPad( podium, offsetThird, &g_entities[level.sortedClients[2]],
ADDRLP4 12
INDIRP4
ARGP4
ADDRGP4 offsetThird
ARGP4
CNSTI4 624
ADDRGP4 level+88+8
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ARGP4
CNSTI4 1320
ADDRGP4 level+88+8
INDIRI4
MULI4
ADDRGP4 level
INDIRP4
ADDP4
CNSTI4 280
ADDP4
INDIRI4
CNSTI4 -16385
BANDI4
ARGI4
ADDRLP4 20
ADDRGP4 SpawnModelOnVictoryPad
CALLP4
ASGNP4
ADDRLP4 8
ADDRLP4 20
INDIRP4
ASGNP4
line 440
;439:				level.clients[ level.sortedClients[2] ].ps.persistant[PERS_RANK] &~ RANK_TIED_FLAG );
;440:			if ( player ) {
ADDRLP4 8
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $371
line 441
;441:				podium3 = player;
ADDRGP4 podium3
ADDRLP4 8
INDIRP4
ASGNP4
line 442
;442:			}
LABELV $371
line 443
;443:		}
LABELV $364
line 444
;444:	}
LABELV $348
line 445
;445:}
LABELV $331
endproc SpawnModelsOnVictoryPads 28 16
export Svcmd_AbortPodium_f
proc Svcmd_AbortPodium_f 0 0
line 453
;446:
;447:
;448:/*
;449:===============
;450:Svcmd_AbortPodium_f
;451:===============
;452:*/
;453:void Svcmd_AbortPodium_f( void ) {
line 454
;454:	if( g_gametype.integer != GT_SINGLE_PLAYER ) {
ADDRGP4 g_gametype+12
INDIRI4
CNSTI4 2
EQI4 $374
line 455
;455:		return;
ADDRGP4 $373
JUMPV
LABELV $374
line 458
;456:	}
;457:
;458:	if( podium1 ) {
ADDRGP4 podium1
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $377
line 459
;459:		podium1->nextthink = level.time;
ADDRGP4 podium1
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
ASGNI4
line 460
;460:		podium1->think = CelebrateStop;
ADDRGP4 podium1
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 CelebrateStop
ASGNP4
line 461
;461:	}
LABELV $377
line 462
;462:}
LABELV $373
endproc Svcmd_AbortPodium_f 0 0
bss
export podium3
align 4
LABELV podium3
skip 4
export podium2
align 4
LABELV podium2
skip 4
export podium1
align 4
LABELV podium1
skip 4
import G_UnTimeShiftAllClients
import G_UnTimeShiftClient
import G_TimeShiftAllClients
import G_TimeShiftClient
import G_ResetTrail
import G_StoreTrail
import trap_GeneticParentsAndChildSelection
import trap_BotResetWeaponState
import trap_BotFreeWeaponState
import trap_BotAllocWeaponState
import trap_BotLoadWeaponWeights
import trap_BotGetWeaponInfo
import trap_BotChooseBestFightWeapon
import trap_BotInitMoveState
import trap_BotFreeMoveState
import trap_BotAllocMoveState
import trap_BotPredictVisiblePosition
import trap_BotMovementViewTarget
import trap_BotReachabilityArea
import trap_BotResetLastAvoidReach
import trap_BotResetAvoidReach
import trap_BotMoveInDirection
import trap_BotMoveToGoal
import trap_BotResetMoveState
import trap_BotFreeGoalState
import trap_BotAllocGoalState
import trap_BotMutateGoalFuzzyLogic
import trap_BotSaveGoalFuzzyLogic
import trap_BotInterbreedGoalFuzzyLogic
import trap_BotFreeItemWeights
import trap_BotLoadItemWeights
import trap_BotUpdateEntityItems
import trap_BotInitLevelItems
import trap_BotAvoidGoalTime
import trap_BotGetLevelItemGoal
import trap_BotGetMapLocationGoal
import trap_BotGetNextCampSpotGoal
import trap_BotItemGoalInVisButNotVisible
import trap_BotTouchingGoal
import trap_BotChooseNBGItem
import trap_BotChooseLTGItem
import trap_BotGetSecondGoal
import trap_BotGetTopGoal
import trap_BotGoalName
import trap_BotDumpGoalStack
import trap_BotDumpAvoidGoals
import trap_BotEmptyGoalStack
import trap_BotPopGoal
import trap_BotPushGoal
import trap_BotResetAvoidGoals
import trap_BotRemoveFromAvoidGoals
import trap_BotResetGoalState
import trap_BotSetChatName
import trap_BotSetChatGender
import trap_BotLoadChatFile
import trap_BotReplaceSynonyms
import trap_UnifyWhiteSpaces
import trap_BotMatchVariable
import trap_BotFindMatch
import trap_StringContains
import trap_BotGetChatMessage
import trap_BotEnterChat
import trap_BotChatLength
import trap_BotReplyChat
import trap_BotNumInitialChats
import trap_BotInitialChat
import trap_BotNumConsoleMessages
import trap_BotNextConsoleMessage
import trap_BotRemoveConsoleMessage
import trap_BotQueueConsoleMessage
import trap_BotFreeChatState
import trap_BotAllocChatState
import trap_Characteristic_String
import trap_Characteristic_BInteger
import trap_Characteristic_Integer
import trap_Characteristic_BFloat
import trap_Characteristic_Float
import trap_BotFreeCharacter
import trap_BotLoadCharacter
import trap_EA_ResetInput
import trap_EA_GetInput
import trap_EA_EndRegular
import trap_EA_View
import trap_EA_Move
import trap_EA_MoveRight
import trap_EA_MoveLeft
import trap_EA_MoveBack
import trap_EA_MoveForward
import trap_EA_MoveDown
import trap_EA_MoveUp
import trap_EA_Crouch
import trap_EA_DelayedJump
import trap_EA_Jump
import trap_EA_Respawn
import trap_EA_Use
import trap_EA_Alt_Attack
import trap_EA_Attack
import trap_EA_Talk
import trap_EA_SelectWeapon
import trap_EA_Command
import trap_EA_Gesture
import trap_EA_DropInv
import trap_EA_UseInv
import trap_EA_DropItem
import trap_EA_UseItem
import trap_EA_SayTeam
import trap_EA_Say
import trap_AAS_PredictClientMovement
import trap_AAS_Swimming
import trap_AAS_AreaTravelTimeToGoalArea
import trap_AAS_AreaReachability
import trap_AAS_IntForBSPEpairKey
import trap_AAS_FloatForBSPEpairKey
import trap_AAS_VectorForBSPEpairKey
import trap_AAS_ValueForBSPEpairKey
import trap_AAS_NextBSPEntity
import trap_AAS_PointContents
import trap_AAS_TraceAreas
import trap_AAS_PointAreaNum
import trap_AAS_Time
import trap_AAS_PresenceTypeBoundingBox
import trap_AAS_Initialized
import trap_AAS_EntityInfo
import trap_BotUserCommand
import trap_BotGetConsoleMessage
import trap_BotGetSnapshotEntity
import trap_BotLibTest
import trap_BotLibUpdateEntity
import trap_BotLibLoadMap
import trap_BotLibStartFrame
import trap_BotLibDefine
import trap_BotLibVarGet
import trap_BotLibVarSet
import trap_BotLibShutdown
import trap_BotLibSetup
import trap_DebugPolygonDelete
import trap_DebugPolygonCreate
import trap_GetEntityToken
import trap_GetUsercmd
import trap_BotFreeClient
import trap_BotAllocateClient
import trap_EntityContact
import trap_EntitiesInBox
import trap_UnlinkEntity
import trap_LinkEntity
import trap_AreasConnected
import trap_AdjustAreaPortalState
import trap_InPVSIgnorePortals
import trap_InPVS
import trap_PointContents
import trap_Trace
import trap_SetBrushModel
import trap_GetServerinfo
import trap_SetUserinfo
import trap_GetUserinfo
import trap_GetConfigstring
import trap_SetConfigstring
import trap_SendServerCommand
import trap_DropClient
import trap_LocateGameData
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableIntegerValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_SendConsoleCommand
import trap_FS_GetFileList
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Milliseconds
import trap_Error
import trap_Printf
import g_unlaggedVersion
import g_delagHitscan
import g_CStrikeVersion
import g_classChangeDebounceTime
import g_noJoinTimeout
import g_random_skin_limit
import g_team_group_blue
import g_team_group_red
import g_ghostRespawn
import g_holoIntro
import g_debugUp
import g_debugRight
import g_debugForward
import g_filterBan
import g_banIPs
import g_teamForceBalance
import g_teamAutoJoin
import g_allowVote
import g_doWarmup
import g_warmup
import g_motd
import g_synchronousClients
import g_adaptRespawn
import g_weaponRespawn
import g_debugDamage
import g_debugAlloc
import g_debugMove
import g_inactivity
import g_forcerespawn
import g_dmgmult
import g_knockback
import g_speed
import g_gravity
import g_needpass
import g_password
import g_friendlyFire
import g_capturelimit
import g_timelimitWinningTeam
import g_timelimit
import g_fraglimit
import g_dmflags
import g_language
import g_restarted
import g_maxGameClients
import g_maxclients
import g_cheats
import g_dedicated
import g_gametype
import g_pModElimination
import g_pModSpecialties
import g_pModActionHero
import g_pModDisintegration
import g_pModAssimilation
import g_entities
import level
import Pickup_Team
import CheckTeamStatus
import TeamplayInfoMessage
import Team_GetLocationMsg
import Team_GetLocation
import SelectCTFSpawnPoint
import Team_FreeEntity
import Team_ReturnFlag
import Team_InitGame
import Team_CheckHurtCarrier
import Team_FragBonuses
import Team_DroppedFlagThink
import TeamColorString
import OtherTeamName
import TeamName
import OtherTeam
import BotAIStartFrame
import BotAIShutdownClient
import BotAISetupClient
import BotAILoadMap
import BotAIShutdown
import BotAISetup
import BotInterbreedEndMatch
import Svcmd_BotList_f
import Svcmd_AddBot_f
import G_BotConnect
import G_QueueBotBegin
import G_CheckBotSpawn
import G_GetBotInfoByName
import G_GetBotInfoByNumber
import G_InitBots
import G_WriteSessionData
import G_InitWorldSession
import G_InitSessionData
import G_ReadSessionData
import Svcmd_GameMem_f
import G_InitMemory
import G_Alloc
import Team_CheckDroppedItem
import OnSameTeam
import Cmd_Ready_f
import G_RunClient
import ClientEndFrame
import ClientThink
import ClientCommand
import ClientBegin
import ClientDisconnect
import ClientUserinfoChanged
import ClientConnect
import GetFavoriteWeaponForClient
import GetWorstEnemyForClient
import GetFavoriteTargetForClient
import GetMaxKillsForClient
import GetMaxDeathsForClient
import CalculateTeamMVPByRank
import CalculateAwards
import G_ClearClientLog
import G_LogExit
import G_LogWeaponOutput
import G_LogWeaponInit
import G_LogWeaponItem
import G_LogWeaponPowerup
import G_LogWeaponFrag
import G_LogWeaponDeath
import G_LogWeaponKill
import G_LogWeaponDamage
import G_LogWeaponFire
import G_LogWeaponPickup
import G_LogPrintf
import G_Error
import G_Printf
import SendScoreboardMessageToAllClients
import G_RunThink
import FindIntermissionPoint
import DeathmatchScoreboardMessage
import G_SetStats
import MoveClientToIntermission
import FireWeapon
import G_FilterPacket
import G_ProcessIPBans
import ConsoleCommand
import SpotWouldTelefrag
import CalculateRanks
import AddScore
import player_die
import ClientSpawn
import InitBodyQue
import InitClientResp
import InitClientPersistant
import BeginIntermission
import respawn
import SelectSpawnPoint
import SetClientViewAngle
import PickTeam
import TeamCount
import FireSeeker
import SeekerAcquiresTarget
import SnapVectorTowards
import CalcMuzzlePoint
import LogAccuracyHit
import TransportPlayer
import TeleportPlayer
import trigger_teleporter_touch
import Touch_DoorTrigger
import G_RunMover
import fire_grapple
import fire_rocket
import fire_grenade
import fire_quantum
import fire_plasma
import fire_blaster
import G_RunMissile
import TossClientItems
import body_die
import G_RadiusDamage
import G_Damage
import CanDamage
import G_RadiusList
import G_SetOrigin
import G_AddEvent
import G_AddPredictableEvent
import vectoyaw
import vtos
import tv
import G_TouchSolids
import G_TouchTriggers
import G_FreeEntity
import G_Sound
import G_TempEntity
import G_Spawn
import G_InitGentity
import G_SetMovedir
import G_UseTargets2
import G_UseTargets
import G_PickTarget
import G_Find
import G_KillBox
import G_TeamCommand
import G_SoundIndex
import G_ModelIndex
import SaveRegisteredItems
import RegisterItem
import ClearRegisteredItems
import Touch_Item
import Add_Ammo
import ArmorIndex
import Think_Weapon
import FinishSpawningItem
import G_SpawnItem
import SetRespawn
import Drop_Item
import PrecacheItem
import UseHoldableItem
import RespawnItem
import G_RunItem
import G_CheckTeamItems
import Cmd_FollowCycle_f
import SetTeam
import BroadcastTeamChange
import StopFollowing
import Cmd_Score_f
import G_NewString
import G_SpawnEntitiesFromString
import G_SpawnVector
import G_SpawnInt
import G_SpawnFloat
import G_SpawnString
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $311
byte 1 109
byte 1 111
byte 1 100
byte 1 101
byte 1 108
byte 1 115
byte 1 47
byte 1 109
byte 1 97
byte 1 112
byte 1 111
byte 1 98
byte 1 106
byte 1 101
byte 1 99
byte 1 116
byte 1 115
byte 1 47
byte 1 112
byte 1 111
byte 1 100
byte 1 105
byte 1 117
byte 1 109
byte 1 47
byte 1 112
byte 1 111
byte 1 100
byte 1 105
byte 1 117
byte 1 109
byte 1 52
byte 1 46
byte 1 109
byte 1 100
byte 1 51
byte 1 0
align 1
LABELV $310
byte 1 109
byte 1 111
byte 1 100
byte 1 101
byte 1 108
byte 1 115
byte 1 47
byte 1 109
byte 1 97
byte 1 112
byte 1 111
byte 1 98
byte 1 106
byte 1 101
byte 1 99
byte 1 116
byte 1 115
byte 1 47
byte 1 112
byte 1 111
byte 1 100
byte 1 105
byte 1 117
byte 1 109
byte 1 47
byte 1 112
byte 1 111
byte 1 100
byte 1 105
byte 1 117
byte 1 109
byte 1 95
byte 1 115
byte 1 105
byte 1 110
byte 1 103
byte 1 108
byte 1 101
byte 1 46
byte 1 109
byte 1 100
byte 1 51
byte 1 0
align 1
LABELV $306
byte 1 112
byte 1 111
byte 1 100
byte 1 105
byte 1 117
byte 1 109
byte 1 0
align 1
LABELV $209
byte 1 103
byte 1 95
byte 1 112
byte 1 111
byte 1 100
byte 1 105
byte 1 117
byte 1 109
byte 1 68
byte 1 114
byte 1 111
byte 1 112
byte 1 0
align 1
LABELV $199
byte 1 103
byte 1 95
byte 1 112
byte 1 111
byte 1 100
byte 1 105
byte 1 117
byte 1 109
byte 1 68
byte 1 105
byte 1 115
byte 1 116
byte 1 0
align 1
LABELV $163
byte 1 94
byte 1 49
byte 1 69
byte 1 82
byte 1 82
byte 1 79
byte 1 82
byte 1 58
byte 1 32
byte 1 111
byte 1 117
byte 1 116
byte 1 32
byte 1 111
byte 1 102
byte 1 32
byte 1 103
byte 1 101
byte 1 110
byte 1 116
byte 1 105
byte 1 116
byte 1 105
byte 1 101
byte 1 115
byte 1 10
byte 1 0
align 1
LABELV $159
byte 1 112
byte 1 111
byte 1 115
byte 1 116
byte 1 103
byte 1 97
byte 1 109
byte 1 101
byte 1 32
byte 1 37
byte 1 105
byte 1 0
align 1
LABELV $145
byte 1 37
byte 1 115
byte 1 32
byte 1 34
byte 1 37
byte 1 115
byte 1 34
byte 1 32
byte 1 37
byte 1 100
byte 1 32
byte 1 37
byte 1 100
byte 1 32
byte 1 37
byte 1 100
byte 1 32
byte 1 37
byte 1 100
byte 1 32
byte 1 37
byte 1 100
byte 1 32
byte 1 37
byte 1 100
byte 1 32
byte 1 37
byte 1 100
byte 1 32
byte 1 37
byte 1 100
byte 1 32
byte 1 37
byte 1 102
byte 1 32
byte 1 37
byte 1 102
byte 1 32
byte 1 37
byte 1 102
byte 1 32
byte 1 37
byte 1 102
byte 1 32
byte 1 37
byte 1 102
byte 1 32
byte 1 37
byte 1 102
byte 1 0
align 1
LABELV $128
byte 1 37
byte 1 115
byte 1 32
byte 1 48
byte 1 0
align 1
LABELV $125
byte 1 37
byte 1 115
byte 1 32
byte 1 37
byte 1 100
byte 1 0
align 1
LABELV $115
byte 1 97
byte 1 119
byte 1 97
byte 1 114
byte 1 100
byte 1 115
byte 1 32
byte 1 37
byte 1 100
byte 1 0
align 1
LABELV $57
byte 1 0
