export G_ParseInfos
code
proc G_ParseInfos 2084 12
file "../g_bot.c"
line 41
;1:// Copyright (C) 1999-2000 Id Software, Inc.
;2://
;3:// g_bot.c
;4:
;5:#include "g_local.h"
;6:
;7:
;8:static int		g_numBots;
;9:static char		*g_botInfos[MAX_BOTS];
;10:
;11:
;12:int				g_numArenas;
;13:static char		*g_arenaInfos[MAX_ARENAS];
;14:
;15:
;16:#define BOT_BEGIN_DELAY_BASE		2000
;17:#define BOT_BEGIN_DELAY_INCREMENT	2000
;18:
;19:#define BOT_SPAWN_QUEUE_DEPTH	16
;20:
;21:typedef struct {
;22:	int		clientNum;
;23:	int		spawnTime;
;24:} botSpawnQueue_t;
;25:
;26:static int				botBeginDelay;
;27:static botSpawnQueue_t	botSpawnQueue[BOT_SPAWN_QUEUE_DEPTH];
;28:
;29:vmCvar_t bot_minplayers;
;30:
;31:extern gentity_t	*podium1;
;32:extern gentity_t	*podium2;
;33:extern gentity_t	*podium3;
;34:
;35:
;36:/*
;37:===============
;38:G_ParseInfos
;39:===============
;40:*/
;41:int G_ParseInfos( char *buf, int max, char *infos[] ) {
line 47
;42:	char	*token;
;43:	int		count;
;44:	char	key[MAX_TOKEN_CHARS];
;45:	char	info[MAX_INFO_STRING];
;46:
;47:	count = 0;
ADDRLP4 2052
CNSTI4 0
ASGNI4
ADDRGP4 $58
JUMPV
LABELV $57
line 49
;48:
;49:	while ( 1 ) {
line 50
;50:		token = COM_Parse( &buf );
ADDRFP4 0
ARGP4
ADDRLP4 2056
ADDRGP4 COM_Parse
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 2056
INDIRP4
ASGNP4
line 51
;51:		if ( !token[0] ) {
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $60
line 52
;52:			break;
ADDRGP4 $59
JUMPV
LABELV $60
line 54
;53:		}
;54:		if ( strcmp( token, "{" ) ) {
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 $64
ARGP4
ADDRLP4 2060
ADDRGP4 strcmp
CALLI4
ASGNI4
ADDRLP4 2060
INDIRI4
CNSTI4 0
EQI4 $62
line 55
;55:			Com_Printf( "Missing { in info file\n" );
ADDRGP4 $65
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 56
;56:			break;
ADDRGP4 $59
JUMPV
LABELV $62
line 59
;57:		}
;58:
;59:		if ( count == max ) {
ADDRLP4 2052
INDIRI4
ADDRFP4 4
INDIRI4
NEI4 $66
line 60
;60:			Com_Printf( "Max infos exceeded\n" );
ADDRGP4 $68
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 61
;61:			break;
ADDRGP4 $59
JUMPV
LABELV $66
line 64
;62:		}
;63:
;64:		info[0] = '\0';
ADDRLP4 1028
CNSTI1 0
ASGNI1
ADDRGP4 $70
JUMPV
LABELV $69
line 65
;65:		while ( 1 ) {
line 66
;66:			token = COM_ParseExt( &buf, qtrue );
ADDRFP4 0
ARGP4
CNSTI4 1
ARGI4
ADDRLP4 2064
ADDRGP4 COM_ParseExt
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 2064
INDIRP4
ASGNP4
line 67
;67:			if ( !token[0] ) {
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $72
line 68
;68:				Com_Printf( "Unexpected end of info file\n" );
ADDRGP4 $74
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 69
;69:				break;
ADDRGP4 $71
JUMPV
LABELV $72
line 71
;70:			}
;71:			if ( !strcmp( token, "}" ) ) {
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 $77
ARGP4
ADDRLP4 2068
ADDRGP4 strcmp
CALLI4
ASGNI4
ADDRLP4 2068
INDIRI4
CNSTI4 0
NEI4 $75
line 72
;72:				break;
ADDRGP4 $71
JUMPV
LABELV $75
line 74
;73:			}
;74:			Q_strncpyz( key, token, sizeof( key ) );
ADDRLP4 4
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 76
;75:
;76:			token = COM_ParseExt( &buf, qfalse );
ADDRFP4 0
ARGP4
CNSTI4 0
ARGI4
ADDRLP4 2072
ADDRGP4 COM_ParseExt
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 2072
INDIRP4
ASGNP4
line 77
;77:			if ( !token[0] ) {
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $78
line 78
;78:				strcpy( token, "<NULL>" );
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 $80
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 79
;79:			}
LABELV $78
line 80
;80:			Info_SetValueForKey( info, key, token );
ADDRLP4 1028
ARGP4
ADDRLP4 4
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 81
;81:		}
LABELV $70
line 65
ADDRGP4 $69
JUMPV
LABELV $71
line 83
;82:		//NOTE: extra space for arena number
;83:		infos[count] = G_Alloc(strlen(info) + strlen("\\num\\") + strlen(va("%d", MAX_ARENAS)) + 1);
ADDRLP4 1028
ARGP4
ADDRLP4 2064
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRGP4 $81
ARGP4
ADDRLP4 2068
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRGP4 $82
ARGP4
CNSTI4 1024
ARGI4
ADDRLP4 2072
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 2072
INDIRP4
ARGP4
ADDRLP4 2076
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 2064
INDIRI4
ADDRLP4 2068
INDIRI4
ADDI4
ADDRLP4 2076
INDIRI4
ADDI4
CNSTI4 1
ADDI4
ARGI4
ADDRLP4 2080
ADDRGP4 G_Alloc
CALLP4
ASGNP4
ADDRLP4 2052
INDIRI4
CNSTI4 2
LSHI4
ADDRFP4 8
INDIRP4
ADDP4
ADDRLP4 2080
INDIRP4
ASGNP4
line 84
;84:		if (infos[count]) {
ADDRLP4 2052
INDIRI4
CNSTI4 2
LSHI4
ADDRFP4 8
INDIRP4
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $83
line 85
;85:			strcpy(infos[count], info);
ADDRLP4 2052
INDIRI4
CNSTI4 2
LSHI4
ADDRFP4 8
INDIRP4
ADDP4
INDIRP4
ARGP4
ADDRLP4 1028
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 86
;86:			count++;
ADDRLP4 2052
ADDRLP4 2052
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 87
;87:		}
LABELV $83
line 88
;88:	}
LABELV $58
line 49
ADDRGP4 $57
JUMPV
LABELV $59
line 89
;89:	return count;
ADDRLP4 2052
INDIRI4
RETI4
LABELV $56
endproc G_ParseInfos 2084 12
proc G_LoadArenasFromFile 8216 16
line 97
;90:}
;91:
;92:/*
;93:===============
;94:G_LoadArenasFromFile
;95:===============
;96:*/
;97:static void G_LoadArenasFromFile( char *filename ) {
line 102
;98:	int				len;
;99:	fileHandle_t	f;
;100:	char			buf[MAX_ARENAS_TEXT];
;101:
;102:	len = trap_FS_FOpenFile( filename, &f, FS_READ );
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 4
ARGP4
CNSTI4 0
ARGI4
ADDRLP4 8200
ADDRGP4 trap_FS_FOpenFile
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 8200
INDIRI4
ASGNI4
line 103
;103:	if ( !f ) {
ADDRLP4 4
INDIRI4
CNSTI4 0
NEI4 $86
line 104
;104:		trap_Printf( va( S_COLOR_RED "file not found: %s\n", filename ) );
ADDRGP4 $88
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 8204
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 8204
INDIRP4
ARGP4
ADDRGP4 trap_Printf
CALLV
pop
line 105
;105:		return;
ADDRGP4 $85
JUMPV
LABELV $86
line 107
;106:	}
;107:	if ( len >= MAX_ARENAS_TEXT ) {
ADDRLP4 0
INDIRI4
CNSTI4 8192
LTI4 $89
line 108
;108:		trap_Printf( va( S_COLOR_RED "file too large: %s is %i, max allowed is %i", filename, len, MAX_ARENAS_TEXT ) );
ADDRGP4 $91
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 0
INDIRI4
ARGI4
CNSTI4 8192
ARGI4
ADDRLP4 8204
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 8204
INDIRP4
ARGP4
ADDRGP4 trap_Printf
CALLV
pop
line 109
;109:		trap_FS_FCloseFile( f );
ADDRLP4 4
INDIRI4
ARGI4
ADDRGP4 trap_FS_FCloseFile
CALLV
pop
line 110
;110:		return;
ADDRGP4 $85
JUMPV
LABELV $89
line 113
;111:	}
;112:
;113:	trap_FS_Read( buf, len, f );
ADDRLP4 8
ARGP4
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 4
INDIRI4
ARGI4
ADDRGP4 trap_FS_Read
CALLV
pop
line 114
;114:	buf[len] = 0;
ADDRLP4 0
INDIRI4
ADDRLP4 8
ADDP4
CNSTI1 0
ASGNI1
line 115
;115:	trap_FS_FCloseFile( f );
ADDRLP4 4
INDIRI4
ARGI4
ADDRGP4 trap_FS_FCloseFile
CALLV
pop
line 117
;116:
;117:	g_numArenas += G_ParseInfos( buf, MAX_ARENAS - g_numArenas, &g_arenaInfos[g_numArenas] );
ADDRLP4 8
ARGP4
ADDRLP4 8204
ADDRGP4 g_numArenas
ASGNP4
ADDRLP4 8208
ADDRLP4 8204
INDIRP4
INDIRI4
ASGNI4
CNSTI4 1024
ADDRLP4 8208
INDIRI4
SUBI4
ARGI4
ADDRLP4 8208
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 g_arenaInfos
ADDP4
ARGP4
ADDRLP4 8212
ADDRGP4 G_ParseInfos
CALLI4
ASGNI4
ADDRLP4 8204
INDIRP4
ADDRLP4 8208
INDIRI4
ADDRLP4 8212
INDIRI4
ADDI4
ASGNI4
line 118
;118:}
LABELV $85
endproc G_LoadArenasFromFile 8216 16
proc G_LoadArenas 1460 16
line 125
;119:
;120:/*
;121:===============
;122:G_LoadArenas
;123:===============
;124:*/
;125:static void G_LoadArenas( void ) {
line 134
;126:	int			numdirs;
;127:	vmCvar_t	arenasFile;
;128:	char		filename[128];
;129:	char		dirlist[1024];
;130:	char*		dirptr;
;131:	int			i, n;
;132:	int			dirlen;
;133:
;134:	g_numArenas = 0;
ADDRGP4 g_numArenas
CNSTI4 0
ASGNI4
line 136
;135:
;136:	trap_Cvar_Register( &arenasFile, "g_arenasFile", "", CVAR_INIT|CVAR_ROM );
ADDRLP4 148
ARGP4
ADDRGP4 $93
ARGP4
ADDRGP4 $94
ARGP4
CNSTI4 80
ARGI4
ADDRGP4 trap_Cvar_Register
CALLV
pop
line 137
;137:	if( *arenasFile.string ) {
ADDRLP4 148+16
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $95
line 138
;138:		G_LoadArenasFromFile(arenasFile.string);
ADDRLP4 148+16
ARGP4
ADDRGP4 G_LoadArenasFromFile
CALLV
pop
line 139
;139:	}
ADDRGP4 $96
JUMPV
LABELV $95
line 140
;140:	else {
line 141
;141:		G_LoadArenasFromFile("scripts/arenas.txt");
ADDRGP4 $99
ARGP4
ADDRGP4 G_LoadArenasFromFile
CALLV
pop
line 142
;142:	}
LABELV $96
line 145
;143:
;144:	// get all arenas from .arena files
;145:	numdirs = trap_FS_GetFileList("scripts", ".arena", dirlist, 1024 );
ADDRGP4 $100
ARGP4
ADDRGP4 $101
ARGP4
ADDRLP4 420
ARGP4
CNSTI4 1024
ARGI4
ADDRLP4 1444
ADDRGP4 trap_FS_GetFileList
CALLI4
ASGNI4
ADDRLP4 144
ADDRLP4 1444
INDIRI4
ASGNI4
line 146
;146:	dirptr  = dirlist;
ADDRLP4 4
ADDRLP4 420
ASGNP4
line 147
;147:	for (i = 0; i < numdirs; i++, dirptr += dirlen+1) {
ADDRLP4 136
CNSTI4 0
ASGNI4
ADDRGP4 $105
JUMPV
LABELV $102
line 148
;148:		dirlen = strlen(dirptr);
ADDRLP4 4
INDIRP4
ARGP4
ADDRLP4 1448
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 140
ADDRLP4 1448
INDIRI4
ASGNI4
line 149
;149:		strcpy(filename, "scripts/");
ADDRLP4 8
ARGP4
ADDRGP4 $106
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 150
;150:		strcat(filename, dirptr);
ADDRLP4 8
ARGP4
ADDRLP4 4
INDIRP4
ARGP4
ADDRGP4 strcat
CALLP4
pop
line 151
;151:		G_LoadArenasFromFile(filename);
ADDRLP4 8
ARGP4
ADDRGP4 G_LoadArenasFromFile
CALLV
pop
line 152
;152:	}
LABELV $103
line 147
ADDRLP4 1448
CNSTI4 1
ASGNI4
ADDRLP4 136
ADDRLP4 136
INDIRI4
ADDRLP4 1448
INDIRI4
ADDI4
ASGNI4
ADDRLP4 4
ADDRLP4 140
INDIRI4
ADDRLP4 1448
INDIRI4
ADDI4
ADDRLP4 4
INDIRP4
ADDP4
ASGNP4
LABELV $105
ADDRLP4 136
INDIRI4
ADDRLP4 144
INDIRI4
LTI4 $102
line 153
;153:	trap_Printf( va( "%i arenas parsed\n", g_numArenas ) );
ADDRGP4 $107
ARGP4
ADDRGP4 g_numArenas
INDIRI4
ARGI4
ADDRLP4 1452
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 1452
INDIRP4
ARGP4
ADDRGP4 trap_Printf
CALLV
pop
line 155
;154:	
;155:	for( n = 0; n < g_numArenas; n++ ) {
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $111
JUMPV
LABELV $108
line 156
;156:		Info_SetValueForKey( g_arenaInfos[n], "num", va( "%i", n ) );
ADDRGP4 $113
ARGP4
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 1456
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 g_arenaInfos
ADDP4
INDIRP4
ARGP4
ADDRGP4 $112
ARGP4
ADDRLP4 1456
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 157
;157:	}
LABELV $109
line 155
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $111
ADDRLP4 0
INDIRI4
ADDRGP4 g_numArenas
INDIRI4
LTI4 $108
line 158
;158:}
LABELV $92
endproc G_LoadArenas 1460 16
export G_GetArenaInfoByMap
proc G_GetArenaInfoByMap 12 8
line 166
;159:
;160:
;161:/*
;162:===============
;163:G_GetArenaInfoByNumber
;164:===============
;165:*/
;166:const char *G_GetArenaInfoByMap( const char *map ) {
line 169
;167:	int			n;
;168:
;169:	for( n = 0; n < g_numArenas; n++ ) {
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $118
JUMPV
LABELV $115
line 170
;170:		if( Q_stricmp( Info_ValueForKey( g_arenaInfos[n], "map" ), map ) == 0 ) {
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 g_arenaInfos
ADDP4
INDIRP4
ARGP4
ADDRGP4 $121
ARGP4
ADDRLP4 4
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 4
INDIRP4
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 8
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 8
INDIRI4
CNSTI4 0
NEI4 $119
line 171
;171:			return g_arenaInfos[n];
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 g_arenaInfos
ADDP4
INDIRP4
RETP4
ADDRGP4 $114
JUMPV
LABELV $119
line 173
;172:		}
;173:	}
LABELV $116
line 169
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $118
ADDRLP4 0
INDIRI4
ADDRGP4 g_numArenas
INDIRI4
LTI4 $115
line 175
;174:
;175:	return NULL;
CNSTP4 0
RETP4
LABELV $114
endproc G_GetArenaInfoByMap 12 8
proc PlayerIntroSound 88 12
line 184
;176:}
;177:
;178:
;179:/*
;180:=================
;181:PlayerIntroSound
;182:=================
;183:*/
;184:static void PlayerIntroSound( const char *modelAndSkin ) {
line 188
;185:	char	model[MAX_QPATH];
;186:	char	*skin;
;187:
;188:	Q_strncpyz( model, modelAndSkin, sizeof(model) );
ADDRLP4 4
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 189
;189:	skin = Q_strrchr( model, '/' );
ADDRLP4 4
ARGP4
CNSTI4 47
ARGI4
ADDRLP4 68
ADDRGP4 Q_strrchr
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 68
INDIRP4
ASGNP4
line 190
;190:	if ( skin ) {
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $123
line 191
;191:		*skin++ = '\0';
ADDRLP4 72
ADDRLP4 0
INDIRP4
ASGNP4
ADDRLP4 0
ADDRLP4 72
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
ADDRLP4 72
INDIRP4
CNSTI1 0
ASGNI1
line 192
;192:	}
ADDRGP4 $124
JUMPV
LABELV $123
line 193
;193:	else {
line 194
;194:		skin = model;
ADDRLP4 0
ADDRLP4 4
ASGNP4
line 195
;195:	}
LABELV $124
line 197
;196:
;197:	if( Q_stricmp( skin, "default" ) == 0 ) {
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 $127
ARGP4
ADDRLP4 72
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 72
INDIRI4
CNSTI4 0
NEI4 $125
line 198
;198:		skin = model;
ADDRLP4 0
ADDRLP4 4
ASGNP4
line 199
;199:	}
LABELV $125
line 200
;200:	if( Q_stricmp( skin, "red" ) == 0 ) {
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 $130
ARGP4
ADDRLP4 76
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 76
INDIRI4
CNSTI4 0
NEI4 $128
line 201
;201:		skin = model;
ADDRLP4 0
ADDRLP4 4
ASGNP4
line 202
;202:	}
LABELV $128
line 203
;203:	if( Q_stricmp( skin, "blue" ) == 0 ) {
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 $133
ARGP4
ADDRLP4 80
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 80
INDIRI4
CNSTI4 0
NEI4 $131
line 204
;204:		skin = model;
ADDRLP4 0
ADDRLP4 4
ASGNP4
line 205
;205:	}
LABELV $131
line 207
;206:	//precached in cg_info.c, CG_LoadingClient
;207:	trap_SendConsoleCommand( EXEC_APPEND, va( "play sound/voice/computer/misc/%s.wav\n", skin ) );
ADDRGP4 $134
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 84
ADDRGP4 va
CALLP4
ASGNP4
CNSTI4 2
ARGI4
ADDRLP4 84
INDIRP4
ARGP4
ADDRGP4 trap_SendConsoleCommand
CALLV
pop
line 208
;208:}
LABELV $122
endproc PlayerIntroSound 88 12
export G_AddRandomBot
proc G_AddRandomBot 80 20
line 215
;209:
;210:/*
;211:===============
;212:G_AddRandomBot
;213:===============
;214:*/
;215:void G_AddRandomBot( int team ) {
line 220
;216:	int		i, n, num, skill;
;217:	char	*value, netname[36], *teamstr;
;218:	gclient_t	*cl;
;219:
;220:	num = 0;
ADDRLP4 16
CNSTI4 0
ASGNI4
line 221
;221:	for ( n = 0; n < g_numBots ; n++ ) {
ADDRLP4 12
CNSTI4 0
ASGNI4
ADDRGP4 $139
JUMPV
LABELV $136
line 222
;222:		value = Info_ValueForKey( g_botInfos[n], "name" );
ADDRLP4 12
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 g_botInfos
ADDP4
INDIRP4
ARGP4
ADDRGP4 $140
ARGP4
ADDRLP4 64
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 8
ADDRLP4 64
INDIRP4
ASGNP4
line 224
;223:		//
;224:		for ( i=0 ; i< g_maxclients.integer ; i++ ) {
ADDRLP4 4
CNSTI4 0
ASGNI4
ADDRGP4 $144
JUMPV
LABELV $141
line 225
;225:			cl = level.clients + i;
ADDRLP4 0
CNSTI4 1320
ADDRLP4 4
INDIRI4
MULI4
ADDRGP4 level
INDIRP4
ADDP4
ASGNP4
line 226
;226:			if ( cl->pers.connected != CON_CONNECTED ) {
ADDRLP4 0
INDIRP4
CNSTI4 468
ADDP4
INDIRI4
CNSTI4 2
EQI4 $146
line 227
;227:				continue;
ADDRGP4 $142
JUMPV
LABELV $146
line 229
;228:			}
;229:			if ( !(g_entities[cl->ps.clientNum].r.svFlags & SVF_BOT) ) {
CNSTI4 624
ADDRLP4 0
INDIRP4
CNSTI4 156
ADDP4
INDIRI4
MULI4
ADDRGP4 g_entities+204+8
ADDP4
INDIRI4
CNSTI4 8
BANDI4
CNSTI4 0
NEI4 $148
line 230
;230:				continue;
ADDRGP4 $142
JUMPV
LABELV $148
line 232
;231:			}
;232:			if ( team >= 0 && cl->sess.sessionTeam != team ) {
ADDRLP4 68
ADDRFP4 0
INDIRI4
ASGNI4
ADDRLP4 68
INDIRI4
CNSTI4 0
LTI4 $152
ADDRLP4 0
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
ADDRLP4 68
INDIRI4
EQI4 $152
line 233
;233:				continue;
ADDRGP4 $142
JUMPV
LABELV $152
line 235
;234:			}
;235:			if ( !Q_stricmp( value, cl->pers.netname ) ) {
ADDRLP4 8
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 508
ADDP4
ARGP4
ADDRLP4 72
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 72
INDIRI4
CNSTI4 0
NEI4 $154
line 236
;236:				break;
ADDRGP4 $143
JUMPV
LABELV $154
line 238
;237:			}
;238:		}
LABELV $142
line 224
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $144
ADDRLP4 4
INDIRI4
ADDRGP4 g_maxclients+12
INDIRI4
LTI4 $141
LABELV $143
line 239
;239:		if (i >= g_maxclients.integer) {
ADDRLP4 4
INDIRI4
ADDRGP4 g_maxclients+12
INDIRI4
LTI4 $156
line 240
;240:			num++;
ADDRLP4 16
ADDRLP4 16
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 241
;241:		}
LABELV $156
line 242
;242:	}
LABELV $137
line 221
ADDRLP4 12
ADDRLP4 12
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $139
ADDRLP4 12
INDIRI4
ADDRGP4 g_numBots
INDIRI4
LTI4 $136
line 243
;243:	num = random() * num;
ADDRLP4 64
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 16
ADDRLP4 64
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
ADDRLP4 16
INDIRI4
CVIF4 4
MULF4
CVFI4 4
ASGNI4
line 244
;244:	for ( n = 0; n < g_numBots ; n++ ) {
ADDRLP4 12
CNSTI4 0
ASGNI4
ADDRGP4 $162
JUMPV
LABELV $159
line 245
;245:		value = Info_ValueForKey( g_botInfos[n], "name" );
ADDRLP4 12
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 g_botInfos
ADDP4
INDIRP4
ARGP4
ADDRGP4 $140
ARGP4
ADDRLP4 68
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 8
ADDRLP4 68
INDIRP4
ASGNP4
line 247
;246:		//
;247:		for ( i=0 ; i< g_maxclients.integer ; i++ ) {
ADDRLP4 4
CNSTI4 0
ASGNI4
ADDRGP4 $166
JUMPV
LABELV $163
line 248
;248:			cl = level.clients + i;
ADDRLP4 0
CNSTI4 1320
ADDRLP4 4
INDIRI4
MULI4
ADDRGP4 level
INDIRP4
ADDP4
ASGNP4
line 249
;249:			if ( cl->pers.connected != CON_CONNECTED ) {
ADDRLP4 0
INDIRP4
CNSTI4 468
ADDP4
INDIRI4
CNSTI4 2
EQI4 $168
line 250
;250:				continue;
ADDRGP4 $164
JUMPV
LABELV $168
line 252
;251:			}
;252:			if ( !(g_entities[cl->ps.clientNum].r.svFlags & SVF_BOT) ) {
CNSTI4 624
ADDRLP4 0
INDIRP4
CNSTI4 156
ADDP4
INDIRI4
MULI4
ADDRGP4 g_entities+204+8
ADDP4
INDIRI4
CNSTI4 8
BANDI4
CNSTI4 0
NEI4 $170
line 253
;253:				continue;
ADDRGP4 $164
JUMPV
LABELV $170
line 255
;254:			}
;255:			if ( team >= 0 && cl->sess.sessionTeam != team ) {
ADDRLP4 72
ADDRFP4 0
INDIRI4
ASGNI4
ADDRLP4 72
INDIRI4
CNSTI4 0
LTI4 $174
ADDRLP4 0
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
ADDRLP4 72
INDIRI4
EQI4 $174
line 256
;256:				continue;
ADDRGP4 $164
JUMPV
LABELV $174
line 258
;257:			}
;258:			if ( !Q_stricmp( value, cl->pers.netname ) ) {
ADDRLP4 8
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 508
ADDP4
ARGP4
ADDRLP4 76
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 76
INDIRI4
CNSTI4 0
NEI4 $176
line 259
;259:				break;
ADDRGP4 $165
JUMPV
LABELV $176
line 261
;260:			}
;261:		}
LABELV $164
line 247
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $166
ADDRLP4 4
INDIRI4
ADDRGP4 g_maxclients+12
INDIRI4
LTI4 $163
LABELV $165
line 262
;262:		if (i >= g_maxclients.integer) {
ADDRLP4 4
INDIRI4
ADDRGP4 g_maxclients+12
INDIRI4
LTI4 $178
line 263
;263:			num--;
ADDRLP4 16
ADDRLP4 16
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
line 264
;264:			if (num <= 0) {
ADDRLP4 16
INDIRI4
CNSTI4 0
GTI4 $181
line 265
;265:				skill = trap_Cvar_VariableIntegerValue( "g_spSkill" );
ADDRGP4 $183
ARGP4
ADDRLP4 72
ADDRGP4 trap_Cvar_VariableIntegerValue
CALLI4
ASGNI4
ADDRLP4 56
ADDRLP4 72
INDIRI4
ASGNI4
line 266
;266:				if (team == TEAM_RED) teamstr = "red";
ADDRFP4 0
INDIRI4
CNSTI4 1
NEI4 $184
ADDRLP4 60
ADDRGP4 $130
ASGNP4
ADDRGP4 $185
JUMPV
LABELV $184
line 267
;267:				else if (team == TEAM_BLUE) teamstr = "blue";
ADDRFP4 0
INDIRI4
CNSTI4 2
NEI4 $186
ADDRLP4 60
ADDRGP4 $133
ASGNP4
ADDRGP4 $187
JUMPV
LABELV $186
line 268
;268:				else teamstr = "";
ADDRLP4 60
ADDRGP4 $94
ASGNP4
LABELV $187
LABELV $185
line 269
;269:				strncpy(netname, value, sizeof(netname)-1);
ADDRLP4 20
ARGP4
ADDRLP4 8
INDIRP4
ARGP4
CNSTI4 35
ARGI4
ADDRGP4 strncpy
CALLP4
pop
line 270
;270:				netname[sizeof(netname)-1] = '\0';
ADDRLP4 20+35
CNSTI1 0
ASGNI1
line 271
;271:				Q_CleanStr(netname);
ADDRLP4 20
ARGP4
ADDRGP4 Q_CleanStr
CALLP4
pop
line 272
;272:				trap_SendConsoleCommand( EXEC_INSERT, va("addbot %s %i %s %i\n", netname, skill, teamstr, 0) );
ADDRGP4 $189
ARGP4
ADDRLP4 20
ARGP4
ADDRLP4 56
INDIRI4
ARGI4
ADDRLP4 60
INDIRP4
ARGP4
CNSTI4 0
ARGI4
ADDRLP4 76
ADDRGP4 va
CALLP4
ASGNP4
CNSTI4 1
ARGI4
ADDRLP4 76
INDIRP4
ARGP4
ADDRGP4 trap_SendConsoleCommand
CALLV
pop
line 273
;273:				return;
ADDRGP4 $135
JUMPV
LABELV $181
line 275
;274:			}
;275:		}
LABELV $178
line 276
;276:	}
LABELV $160
line 244
ADDRLP4 12
ADDRLP4 12
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $162
ADDRLP4 12
INDIRI4
ADDRGP4 g_numBots
INDIRI4
LTI4 $159
line 277
;277:}
LABELV $135
endproc G_AddRandomBot 80 20
export G_RemoveRandomBot
proc G_RemoveRandomBot 52 8
line 284
;278:
;279:/*
;280:===============
;281:G_RemoveRandomBot
;282:===============
;283:*/
;284:int G_RemoveRandomBot( int team ) {
line 289
;285:	int i;
;286:	char netname[36];
;287:	gclient_t	*cl;
;288:
;289:	for ( i=0 ; i< g_maxclients.integer ; i++ ) {
ADDRLP4 4
CNSTI4 0
ASGNI4
ADDRGP4 $194
JUMPV
LABELV $191
line 290
;290:		cl = level.clients + i;
ADDRLP4 0
CNSTI4 1320
ADDRLP4 4
INDIRI4
MULI4
ADDRGP4 level
INDIRP4
ADDP4
ASGNP4
line 291
;291:		if ( cl->pers.connected != CON_CONNECTED ) {
ADDRLP4 0
INDIRP4
CNSTI4 468
ADDP4
INDIRI4
CNSTI4 2
EQI4 $196
line 292
;292:			continue;
ADDRGP4 $192
JUMPV
LABELV $196
line 294
;293:		}
;294:		if ( !(g_entities[cl->ps.clientNum].r.svFlags & SVF_BOT) ) {
CNSTI4 624
ADDRLP4 0
INDIRP4
CNSTI4 156
ADDP4
INDIRI4
MULI4
ADDRGP4 g_entities+204+8
ADDP4
INDIRI4
CNSTI4 8
BANDI4
CNSTI4 0
NEI4 $198
line 295
;295:			continue;
ADDRGP4 $192
JUMPV
LABELV $198
line 297
;296:		}
;297:		if ( team >= 0 && cl->sess.sessionTeam != team ) {
ADDRLP4 44
ADDRFP4 0
INDIRI4
ASGNI4
ADDRLP4 44
INDIRI4
CNSTI4 0
LTI4 $202
ADDRLP4 0
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
ADDRLP4 44
INDIRI4
EQI4 $202
line 298
;298:			continue;
ADDRGP4 $192
JUMPV
LABELV $202
line 300
;299:		}
;300:		strcpy(netname, cl->pers.netname);
ADDRLP4 8
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 508
ADDP4
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 301
;301:		Q_CleanStr(netname);
ADDRLP4 8
ARGP4
ADDRGP4 Q_CleanStr
CALLP4
pop
line 302
;302:		trap_SendConsoleCommand( EXEC_INSERT, va("kick \"%s\"\n", netname) );
ADDRGP4 $204
ARGP4
ADDRLP4 8
ARGP4
ADDRLP4 48
ADDRGP4 va
CALLP4
ASGNP4
CNSTI4 1
ARGI4
ADDRLP4 48
INDIRP4
ARGP4
ADDRGP4 trap_SendConsoleCommand
CALLV
pop
line 303
;303:		return qtrue;
CNSTI4 1
RETI4
ADDRGP4 $190
JUMPV
LABELV $192
line 289
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $194
ADDRLP4 4
INDIRI4
ADDRGP4 g_maxclients+12
INDIRI4
LTI4 $191
line 305
;304:	}
;305:	return qfalse;
CNSTI4 0
RETI4
LABELV $190
endproc G_RemoveRandomBot 52 8
export G_CountHumanPlayers
proc G_CountHumanPlayers 16 0
line 313
;306:}
;307:
;308:/*
;309:===============
;310:G_CountHumanPlayers
;311:===============
;312:*/
;313:int G_CountHumanPlayers( int team ) {
line 317
;314:	int i, num;
;315:	gclient_t	*cl;
;316:
;317:	num = 0;
ADDRLP4 8
CNSTI4 0
ASGNI4
line 318
;318:	for ( i=0 ; i< g_maxclients.integer ; i++ ) {
ADDRLP4 4
CNSTI4 0
ASGNI4
ADDRGP4 $209
JUMPV
LABELV $206
line 319
;319:		cl = level.clients + i;
ADDRLP4 0
CNSTI4 1320
ADDRLP4 4
INDIRI4
MULI4
ADDRGP4 level
INDIRP4
ADDP4
ASGNP4
line 320
;320:		if ( cl->pers.connected != CON_CONNECTED ) {
ADDRLP4 0
INDIRP4
CNSTI4 468
ADDP4
INDIRI4
CNSTI4 2
EQI4 $211
line 321
;321:			continue;
ADDRGP4 $207
JUMPV
LABELV $211
line 323
;322:		}
;323:		if ( g_entities[cl->ps.clientNum].r.svFlags & SVF_BOT ) {
CNSTI4 624
ADDRLP4 0
INDIRP4
CNSTI4 156
ADDP4
INDIRI4
MULI4
ADDRGP4 g_entities+204+8
ADDP4
INDIRI4
CNSTI4 8
BANDI4
CNSTI4 0
EQI4 $213
line 324
;324:			continue;
ADDRGP4 $207
JUMPV
LABELV $213
line 326
;325:		}
;326:		if ( team >= 0 && cl->sess.sessionTeam != team ) {
ADDRLP4 12
ADDRFP4 0
INDIRI4
ASGNI4
ADDRLP4 12
INDIRI4
CNSTI4 0
LTI4 $217
ADDRLP4 0
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
ADDRLP4 12
INDIRI4
EQI4 $217
line 327
;327:			continue;
ADDRGP4 $207
JUMPV
LABELV $217
line 329
;328:		}
;329:		num++;
ADDRLP4 8
ADDRLP4 8
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 330
;330:	}
LABELV $207
line 318
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $209
ADDRLP4 4
INDIRI4
ADDRGP4 g_maxclients+12
INDIRI4
LTI4 $206
line 331
;331:	return num;
ADDRLP4 8
INDIRI4
RETI4
LABELV $205
endproc G_CountHumanPlayers 16 0
export G_CountBotPlayers
proc G_CountBotPlayers 20 0
line 339
;332:}
;333:
;334:/*
;335:===============
;336:G_CountBotPlayers
;337:===============
;338:*/
;339:int G_CountBotPlayers( int team ) {
line 343
;340:	int i, n, num;
;341:	gclient_t	*cl;
;342:
;343:	num = 0;
ADDRLP4 12
CNSTI4 0
ASGNI4
line 344
;344:	for ( i=0 ; i< g_maxclients.integer ; i++ ) {
ADDRLP4 8
CNSTI4 0
ASGNI4
ADDRGP4 $223
JUMPV
LABELV $220
line 345
;345:		cl = level.clients + i;
ADDRLP4 4
CNSTI4 1320
ADDRLP4 8
INDIRI4
MULI4
ADDRGP4 level
INDIRP4
ADDP4
ASGNP4
line 346
;346:		if ( cl->pers.connected != CON_CONNECTED ) {
ADDRLP4 4
INDIRP4
CNSTI4 468
ADDP4
INDIRI4
CNSTI4 2
EQI4 $225
line 347
;347:			continue;
ADDRGP4 $221
JUMPV
LABELV $225
line 349
;348:		}
;349:		if ( !(g_entities[cl->ps.clientNum].r.svFlags & SVF_BOT) ) {
CNSTI4 624
ADDRLP4 4
INDIRP4
CNSTI4 156
ADDP4
INDIRI4
MULI4
ADDRGP4 g_entities+204+8
ADDP4
INDIRI4
CNSTI4 8
BANDI4
CNSTI4 0
NEI4 $227
line 350
;350:			continue;
ADDRGP4 $221
JUMPV
LABELV $227
line 352
;351:		}
;352:		if ( team >= 0 && cl->sess.sessionTeam != team ) {
ADDRLP4 16
ADDRFP4 0
INDIRI4
ASGNI4
ADDRLP4 16
INDIRI4
CNSTI4 0
LTI4 $231
ADDRLP4 4
INDIRP4
CNSTI4 620
ADDP4
INDIRI4
ADDRLP4 16
INDIRI4
EQI4 $231
line 353
;353:			continue;
ADDRGP4 $221
JUMPV
LABELV $231
line 355
;354:		}
;355:		num++;
ADDRLP4 12
ADDRLP4 12
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 356
;356:	}
LABELV $221
line 344
ADDRLP4 8
ADDRLP4 8
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $223
ADDRLP4 8
INDIRI4
ADDRGP4 g_maxclients+12
INDIRI4
LTI4 $220
line 357
;357:	for( n = 0; n < BOT_SPAWN_QUEUE_DEPTH; n++ ) {
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $233
line 358
;358:		if( !botSpawnQueue[n].spawnTime ) {
ADDRLP4 0
INDIRI4
CNSTI4 3
LSHI4
ADDRGP4 botSpawnQueue+4
ADDP4
INDIRI4
CNSTI4 0
NEI4 $237
line 359
;359:			continue;
ADDRGP4 $234
JUMPV
LABELV $237
line 361
;360:		}
;361:		if ( botSpawnQueue[n].spawnTime > level.time ) {
ADDRLP4 0
INDIRI4
CNSTI4 3
LSHI4
ADDRGP4 botSpawnQueue+4
ADDP4
INDIRI4
ADDRGP4 level+32
INDIRI4
LEI4 $240
line 362
;362:			continue;
ADDRGP4 $234
JUMPV
LABELV $240
line 364
;363:		}
;364:		num++;
ADDRLP4 12
ADDRLP4 12
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 365
;365:	}
LABELV $234
line 357
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 16
LTI4 $233
line 366
;366:	return num;
ADDRLP4 12
INDIRI4
RETI4
LABELV $219
endproc G_CountBotPlayers 20 0
bss
align 4
LABELV $245
skip 4
export G_CheckMinimumPlayers
code
proc G_CheckMinimumPlayers 36 4
line 374
;367:}
;368:
;369:/*
;370:===============
;371:G_CheckMinimumPlayers
;372:===============
;373:*/
;374:void G_CheckMinimumPlayers( void ) {
line 379
;375:	int minplayers;
;376:	int humanplayers, botplayers;
;377:	static int checkminimumplayers_time;
;378:
;379:	if (level.intermissiontime) return;
ADDRGP4 level+4236
INDIRI4
CNSTI4 0
EQI4 $246
ADDRGP4 $244
JUMPV
LABELV $246
line 381
;380:	//only check once each 10 seconds
;381:	if (checkminimumplayers_time > level.time - 10000) {
ADDRGP4 $245
INDIRI4
ADDRGP4 level+32
INDIRI4
CNSTI4 10000
SUBI4
LEI4 $249
line 382
;382:		return;
ADDRGP4 $244
JUMPV
LABELV $249
line 384
;383:	}
;384:	checkminimumplayers_time = level.time;
ADDRGP4 $245
ADDRGP4 level+32
INDIRI4
ASGNI4
line 385
;385:	trap_Cvar_Update(&bot_minplayers);
ADDRGP4 bot_minplayers
ARGP4
ADDRGP4 trap_Cvar_Update
CALLV
pop
line 386
;386:	minplayers = bot_minplayers.integer;
ADDRLP4 0
ADDRGP4 bot_minplayers+12
INDIRI4
ASGNI4
line 387
;387:	if (minplayers <= 0) return;
ADDRLP4 0
INDIRI4
CNSTI4 0
GTI4 $254
ADDRGP4 $244
JUMPV
LABELV $254
line 389
;388:
;389:	if (g_gametype.integer >= GT_TEAM) {
ADDRGP4 g_gametype+12
INDIRI4
CNSTI4 3
LTI4 $256
line 390
;390:		if (minplayers >= g_maxclients.integer / 2) {
ADDRLP4 0
INDIRI4
ADDRGP4 g_maxclients+12
INDIRI4
CNSTI4 2
DIVI4
LTI4 $259
line 391
;391:			minplayers = (g_maxclients.integer / 2) -1;
ADDRLP4 0
ADDRGP4 g_maxclients+12
INDIRI4
CNSTI4 2
DIVI4
CNSTI4 1
SUBI4
ASGNI4
line 392
;392:		}
LABELV $259
line 394
;393:
;394:		humanplayers = G_CountHumanPlayers( TEAM_RED );
CNSTI4 1
ARGI4
ADDRLP4 12
ADDRGP4 G_CountHumanPlayers
CALLI4
ASGNI4
ADDRLP4 8
ADDRLP4 12
INDIRI4
ASGNI4
line 395
;395:		botplayers = G_CountBotPlayers(	TEAM_RED );
CNSTI4 1
ARGI4
ADDRLP4 16
ADDRGP4 G_CountBotPlayers
CALLI4
ASGNI4
ADDRLP4 4
ADDRLP4 16
INDIRI4
ASGNI4
line 397
;396:		//
;397:		if (humanplayers + botplayers < minplayers) {
ADDRLP4 8
INDIRI4
ADDRLP4 4
INDIRI4
ADDI4
ADDRLP4 0
INDIRI4
GEI4 $263
line 398
;398:			G_AddRandomBot( TEAM_RED );
CNSTI4 1
ARGI4
ADDRGP4 G_AddRandomBot
CALLV
pop
line 399
;399:		} else if (humanplayers + botplayers > minplayers && botplayers) {
ADDRGP4 $264
JUMPV
LABELV $263
ADDRLP4 8
INDIRI4
ADDRLP4 4
INDIRI4
ADDI4
ADDRLP4 0
INDIRI4
LEI4 $265
ADDRLP4 4
INDIRI4
CNSTI4 0
EQI4 $265
line 400
;400:			G_RemoveRandomBot( TEAM_RED );
CNSTI4 1
ARGI4
ADDRGP4 G_RemoveRandomBot
CALLI4
pop
line 401
;401:		}
LABELV $265
LABELV $264
line 403
;402:		//
;403:		humanplayers = G_CountHumanPlayers( TEAM_BLUE );
CNSTI4 2
ARGI4
ADDRLP4 24
ADDRGP4 G_CountHumanPlayers
CALLI4
ASGNI4
ADDRLP4 8
ADDRLP4 24
INDIRI4
ASGNI4
line 404
;404:		botplayers = G_CountBotPlayers( TEAM_BLUE );
CNSTI4 2
ARGI4
ADDRLP4 28
ADDRGP4 G_CountBotPlayers
CALLI4
ASGNI4
ADDRLP4 4
ADDRLP4 28
INDIRI4
ASGNI4
line 406
;405:		//
;406:		if (humanplayers + botplayers < minplayers) {
ADDRLP4 8
INDIRI4
ADDRLP4 4
INDIRI4
ADDI4
ADDRLP4 0
INDIRI4
GEI4 $267
line 407
;407:			G_AddRandomBot( TEAM_BLUE );
CNSTI4 2
ARGI4
ADDRGP4 G_AddRandomBot
CALLV
pop
line 408
;408:		} else if (humanplayers + botplayers > minplayers && botplayers) {
ADDRGP4 $257
JUMPV
LABELV $267
ADDRLP4 8
INDIRI4
ADDRLP4 4
INDIRI4
ADDI4
ADDRLP4 0
INDIRI4
LEI4 $257
ADDRLP4 4
INDIRI4
CNSTI4 0
EQI4 $257
line 409
;409:			G_RemoveRandomBot( TEAM_BLUE );
CNSTI4 2
ARGI4
ADDRGP4 G_RemoveRandomBot
CALLI4
pop
line 410
;410:		}
line 411
;411:	}
ADDRGP4 $257
JUMPV
LABELV $256
line 412
;412:	else if (g_gametype.integer == GT_TOURNAMENT) {
ADDRGP4 g_gametype+12
INDIRI4
CNSTI4 1
NEI4 $271
line 413
;413:		if (minplayers >= g_maxclients.integer) {
ADDRLP4 0
INDIRI4
ADDRGP4 g_maxclients+12
INDIRI4
LTI4 $274
line 414
;414:			minplayers = g_maxclients.integer-1;
ADDRLP4 0
ADDRGP4 g_maxclients+12
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
line 415
;415:		}
LABELV $274
line 416
;416:		humanplayers = G_CountHumanPlayers( -1 );
CNSTI4 -1
ARGI4
ADDRLP4 12
ADDRGP4 G_CountHumanPlayers
CALLI4
ASGNI4
ADDRLP4 8
ADDRLP4 12
INDIRI4
ASGNI4
line 417
;417:		botplayers = G_CountBotPlayers( -1 );
CNSTI4 -1
ARGI4
ADDRLP4 16
ADDRGP4 G_CountBotPlayers
CALLI4
ASGNI4
ADDRLP4 4
ADDRLP4 16
INDIRI4
ASGNI4
line 419
;418:		//
;419:		if (humanplayers + botplayers < minplayers) {
ADDRLP4 8
INDIRI4
ADDRLP4 4
INDIRI4
ADDI4
ADDRLP4 0
INDIRI4
GEI4 $278
line 420
;420:			G_AddRandomBot( TEAM_FREE );
CNSTI4 0
ARGI4
ADDRGP4 G_AddRandomBot
CALLV
pop
line 421
;421:		} else if (humanplayers + botplayers > minplayers && botplayers) {
ADDRGP4 $272
JUMPV
LABELV $278
ADDRLP4 8
INDIRI4
ADDRLP4 4
INDIRI4
ADDI4
ADDRLP4 0
INDIRI4
LEI4 $272
ADDRLP4 4
INDIRI4
CNSTI4 0
EQI4 $272
line 423
;422:			// try to remove spectators first
;423:			if (!G_RemoveRandomBot( TEAM_SPECTATOR )) {
CNSTI4 3
ARGI4
ADDRLP4 24
ADDRGP4 G_RemoveRandomBot
CALLI4
ASGNI4
ADDRLP4 24
INDIRI4
CNSTI4 0
NEI4 $272
line 425
;424:				// just remove the bot that is playing
;425:				G_RemoveRandomBot( -1 );
CNSTI4 -1
ARGI4
ADDRGP4 G_RemoveRandomBot
CALLI4
pop
line 426
;426:			}
line 427
;427:		}
line 428
;428:	}
ADDRGP4 $272
JUMPV
LABELV $271
line 429
;429:	else if (g_gametype.integer == GT_FFA) {
ADDRGP4 g_gametype+12
INDIRI4
CNSTI4 0
NEI4 $284
line 430
;430:		if (minplayers >= g_maxclients.integer) {
ADDRLP4 0
INDIRI4
ADDRGP4 g_maxclients+12
INDIRI4
LTI4 $287
line 431
;431:			minplayers = g_maxclients.integer-1;
ADDRLP4 0
ADDRGP4 g_maxclients+12
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
line 432
;432:		}
LABELV $287
line 433
;433:		humanplayers = G_CountHumanPlayers( TEAM_FREE );
CNSTI4 0
ARGI4
ADDRLP4 12
ADDRGP4 G_CountHumanPlayers
CALLI4
ASGNI4
ADDRLP4 8
ADDRLP4 12
INDIRI4
ASGNI4
line 434
;434:		botplayers = G_CountBotPlayers( TEAM_FREE );
CNSTI4 0
ARGI4
ADDRLP4 16
ADDRGP4 G_CountBotPlayers
CALLI4
ASGNI4
ADDRLP4 4
ADDRLP4 16
INDIRI4
ASGNI4
line 436
;435:		//
;436:		if (humanplayers + botplayers < minplayers) {
ADDRLP4 8
INDIRI4
ADDRLP4 4
INDIRI4
ADDI4
ADDRLP4 0
INDIRI4
GEI4 $291
line 437
;437:			G_AddRandomBot( TEAM_FREE );
CNSTI4 0
ARGI4
ADDRGP4 G_AddRandomBot
CALLV
pop
line 438
;438:		} else if (humanplayers + botplayers > minplayers && botplayers) {
ADDRGP4 $292
JUMPV
LABELV $291
ADDRLP4 8
INDIRI4
ADDRLP4 4
INDIRI4
ADDI4
ADDRLP4 0
INDIRI4
LEI4 $293
ADDRLP4 4
INDIRI4
CNSTI4 0
EQI4 $293
line 439
;439:			G_RemoveRandomBot( TEAM_FREE );
CNSTI4 0
ARGI4
ADDRGP4 G_RemoveRandomBot
CALLI4
pop
line 440
;440:		}
LABELV $293
LABELV $292
line 441
;441:	}
LABELV $284
LABELV $272
LABELV $257
line 442
;442:}
LABELV $244
endproc G_CheckMinimumPlayers 36 4
export G_CheckBotSpawn
proc G_CheckBotSpawn 1032 12
line 449
;443:
;444:/*
;445:===============
;446:G_CheckBotSpawn
;447:===============
;448:*/
;449:void G_CheckBotSpawn( void ) {
line 453
;450:	int		n;
;451:	char	userinfo[MAX_INFO_VALUE];
;452:
;453:	G_CheckMinimumPlayers();
ADDRGP4 G_CheckMinimumPlayers
CALLV
pop
line 455
;454:
;455:	for( n = 0; n < BOT_SPAWN_QUEUE_DEPTH; n++ ) {
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $296
line 456
;456:		if( !botSpawnQueue[n].spawnTime ) {
ADDRLP4 0
INDIRI4
CNSTI4 3
LSHI4
ADDRGP4 botSpawnQueue+4
ADDP4
INDIRI4
CNSTI4 0
NEI4 $300
line 457
;457:			continue;
ADDRGP4 $297
JUMPV
LABELV $300
line 459
;458:		}
;459:		if ( botSpawnQueue[n].spawnTime > level.time ) {
ADDRLP4 0
INDIRI4
CNSTI4 3
LSHI4
ADDRGP4 botSpawnQueue+4
ADDP4
INDIRI4
ADDRGP4 level+32
INDIRI4
LEI4 $303
line 460
;460:			continue;
ADDRGP4 $297
JUMPV
LABELV $303
line 462
;461:		}
;462:		ClientBegin( botSpawnQueue[n].clientNum, qfalse );
ADDRLP4 0
INDIRI4
CNSTI4 3
LSHI4
ADDRGP4 botSpawnQueue
ADDP4
INDIRI4
ARGI4
CNSTI4 0
ARGI4
ADDRGP4 ClientBegin
CALLV
pop
line 463
;463:		botSpawnQueue[n].spawnTime = 0;
ADDRLP4 0
INDIRI4
CNSTI4 3
LSHI4
ADDRGP4 botSpawnQueue+4
ADDP4
CNSTI4 0
ASGNI4
line 465
;464:
;465:		if( g_gametype.integer == GT_SINGLE_PLAYER ) {
ADDRGP4 g_gametype+12
INDIRI4
CNSTI4 2
NEI4 $308
line 466
;466:			trap_GetUserinfo( botSpawnQueue[n].clientNum, userinfo, sizeof(userinfo) );
ADDRLP4 0
INDIRI4
CNSTI4 3
LSHI4
ADDRGP4 botSpawnQueue
ADDP4
INDIRI4
ARGI4
ADDRLP4 4
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 trap_GetUserinfo
CALLV
pop
line 467
;467:			PlayerIntroSound( Info_ValueForKey (userinfo, "model") );
ADDRLP4 4
ARGP4
ADDRGP4 $311
ARGP4
ADDRLP4 1028
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 1028
INDIRP4
ARGP4
ADDRGP4 PlayerIntroSound
CALLV
pop
line 468
;468:		}
LABELV $308
line 469
;469:	}
LABELV $297
line 455
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 16
LTI4 $296
line 470
;470:}
LABELV $295
endproc G_CheckBotSpawn 1032 12
proc AddBotToSpawnQueue 4 8
line 478
;471:
;472:
;473:/*
;474:===============
;475:AddBotToSpawnQueue
;476:===============
;477:*/
;478:static void AddBotToSpawnQueue( int clientNum, int delay ) {
line 481
;479:	int		n;
;480:
;481:	for( n = 0; n < BOT_SPAWN_QUEUE_DEPTH; n++ ) {
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $313
line 482
;482:		if( !botSpawnQueue[n].spawnTime ) {
ADDRLP4 0
INDIRI4
CNSTI4 3
LSHI4
ADDRGP4 botSpawnQueue+4
ADDP4
INDIRI4
CNSTI4 0
NEI4 $317
line 483
;483:			botSpawnQueue[n].spawnTime = level.time + delay;
ADDRLP4 0
INDIRI4
CNSTI4 3
LSHI4
ADDRGP4 botSpawnQueue+4
ADDP4
ADDRGP4 level+32
INDIRI4
ADDRFP4 4
INDIRI4
ADDI4
ASGNI4
line 484
;484:			botSpawnQueue[n].clientNum = clientNum;
ADDRLP4 0
INDIRI4
CNSTI4 3
LSHI4
ADDRGP4 botSpawnQueue
ADDP4
ADDRFP4 0
INDIRI4
ASGNI4
line 485
;485:			return;
ADDRGP4 $312
JUMPV
LABELV $317
line 487
;486:		}
;487:	}
LABELV $314
line 481
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 16
LTI4 $313
line 489
;488:
;489:	G_Printf( S_COLOR_YELLOW "Unable to delay spawn\n" );
ADDRGP4 $322
ARGP4
ADDRGP4 G_Printf
CALLV
pop
line 490
;490:	ClientBegin( clientNum, qfalse );
ADDRFP4 0
INDIRI4
ARGI4
CNSTI4 0
ARGI4
ADDRGP4 ClientBegin
CALLV
pop
line 491
;491:}
LABELV $312
endproc AddBotToSpawnQueue 4 8
export G_QueueBotBegin
proc G_QueueBotBegin 4 8
line 499
;492:
;493:
;494:/*
;495:===============
;496:G_QueueBotBegin
;497:===============
;498:*/
;499:void G_QueueBotBegin( int clientNum ) {
line 500
;500:	AddBotToSpawnQueue( clientNum, botBeginDelay );
ADDRFP4 0
INDIRI4
ARGI4
ADDRGP4 botBeginDelay
INDIRI4
ARGI4
ADDRGP4 AddBotToSpawnQueue
CALLV
pop
line 501
;501:	botBeginDelay += BOT_BEGIN_DELAY_INCREMENT;
ADDRLP4 0
ADDRGP4 botBeginDelay
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRI4
CNSTI4 2000
ADDI4
ASGNI4
line 502
;502:}
LABELV $323
endproc G_QueueBotBegin 4 8
export G_BotConnect
proc G_BotConnect 1484 12
line 510
;503:
;504:
;505:/*
;506:===============
;507:G_BotConnect
;508:===============
;509:*/
;510:qboolean G_BotConnect( int clientNum, qboolean restart ) {
line 514
;511:	bot_settings_t	settings;
;512:	char			userinfo[MAX_INFO_STRING];
;513:
;514:	trap_GetUserinfo( clientNum, userinfo, sizeof(userinfo) );
ADDRFP4 0
INDIRI4
ARGI4
ADDRLP4 436
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 trap_GetUserinfo
CALLV
pop
line 516
;515:
;516:	Q_strncpyz( settings.characterfile, Info_ValueForKey( userinfo, "characterfile" ), sizeof(settings.characterfile) );
ADDRLP4 436
ARGP4
ADDRGP4 $325
ARGP4
ADDRLP4 1460
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 0
ARGP4
ADDRLP4 1460
INDIRP4
ARGP4
CNSTI4 144
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 517
;517:	settings.skill = atoi( Info_ValueForKey( userinfo, "skill" ) );
ADDRLP4 436
ARGP4
ADDRGP4 $327
ARGP4
ADDRLP4 1464
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 1464
INDIRP4
ARGP4
ADDRLP4 1468
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRLP4 0+144
ADDRLP4 1468
INDIRI4
ASGNI4
line 518
;518:	Q_strncpyz( settings.team, Info_ValueForKey( userinfo, "team" ), sizeof(settings.team) );
ADDRLP4 436
ARGP4
ADDRGP4 $329
ARGP4
ADDRLP4 1472
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 0+148
ARGP4
ADDRLP4 1472
INDIRP4
ARGP4
CNSTI4 144
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 519
;519:	Q_strncpyz( settings.pclass, Info_ValueForKey( userinfo, "class" ), sizeof(settings.pclass) );
ADDRLP4 436
ARGP4
ADDRGP4 $332
ARGP4
ADDRLP4 1476
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 0+292
ARGP4
ADDRLP4 1476
INDIRP4
ARGP4
CNSTI4 144
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 521
;520:
;521:	if (!BotAISetupClient( clientNum, &settings )) {
ADDRFP4 0
INDIRI4
ARGI4
ADDRLP4 0
ARGP4
ADDRLP4 1480
ADDRGP4 BotAISetupClient
CALLI4
ASGNI4
ADDRLP4 1480
INDIRI4
CNSTI4 0
NEI4 $334
line 522
;522:		trap_DropClient( clientNum, "BotAISetupClient failed" );
ADDRFP4 0
INDIRI4
ARGI4
ADDRGP4 $336
ARGP4
ADDRGP4 trap_DropClient
CALLV
pop
line 523
;523:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $324
JUMPV
LABELV $334
line 526
;524:	}
;525:
;526:	if( restart && g_gametype.integer == GT_SINGLE_PLAYER ) {
ADDRFP4 4
INDIRI4
CNSTI4 0
EQI4 $337
ADDRGP4 g_gametype+12
INDIRI4
CNSTI4 2
NEI4 $337
line 527
;527:		g_entities[clientNum].botDelayBegin = qtrue;
CNSTI4 624
ADDRFP4 0
INDIRI4
MULI4
ADDRGP4 g_entities+620
ADDP4
CNSTI4 1
ASGNI4
line 528
;528:	}
ADDRGP4 $338
JUMPV
LABELV $337
line 529
;529:	else {
line 530
;530:		g_entities[clientNum].botDelayBegin = qfalse;
CNSTI4 624
ADDRFP4 0
INDIRI4
MULI4
ADDRGP4 g_entities+620
ADDP4
CNSTI4 0
ASGNI4
line 531
;531:	}
LABELV $338
line 533
;532:
;533:	return qtrue;
CNSTI4 1
RETI4
LABELV $324
endproc G_BotConnect 1484 12
proc G_AddBot 1116 12
line 542
;534:}
;535:
;536:
;537:/*
;538:===============
;539:G_AddBot
;540:===============
;541:*/
;542:static void G_AddBot( const char *name, int skill, const char *team, const char *pclass, int delay, char *altname) {
line 553
;543:	int				clientNum;
;544:	char			*botinfo;
;545:	gentity_t		*bot;
;546:	char			*key;
;547:	char			*s;
;548:	char			*botname;
;549:	char			*model;
;550:	char			userinfo[MAX_INFO_STRING];
;551:
;552:	// get the botinfo from bots.txt
;553:	botinfo = G_GetBotInfoByName( name );
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 1052
ADDRGP4 G_GetBotInfoByName
CALLP4
ASGNP4
ADDRLP4 1028
ADDRLP4 1052
INDIRP4
ASGNP4
line 554
;554:	if ( !botinfo ) {
ADDRLP4 1028
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $343
line 555
;555:		G_Printf( S_COLOR_RED "Error: Bot '%s' not defined\n", name );
ADDRGP4 $345
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_Printf
CALLV
pop
line 556
;556:		return;
ADDRGP4 $342
JUMPV
LABELV $343
line 560
;557:	}
;558:
;559:	// create the bot's userinfo
;560:	userinfo[0] = '\0';
ADDRLP4 0
CNSTI1 0
ASGNI1
line 562
;561:
;562:	botname = Info_ValueForKey( botinfo, "funname" );
ADDRLP4 1028
INDIRP4
ARGP4
ADDRGP4 $346
ARGP4
ADDRLP4 1056
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 1040
ADDRLP4 1056
INDIRP4
ASGNP4
line 563
;563:	if( !botname[0] ) {
ADDRLP4 1040
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $347
line 564
;564:		botname = Info_ValueForKey( botinfo, "name" );
ADDRLP4 1028
INDIRP4
ARGP4
ADDRGP4 $140
ARGP4
ADDRLP4 1060
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 1040
ADDRLP4 1060
INDIRP4
ASGNP4
line 565
;565:	}
LABELV $347
line 567
;566:	// check for an alternative name
;567:	if (altname && altname[0]) {
ADDRLP4 1060
ADDRFP4 20
INDIRP4
ASGNP4
ADDRLP4 1060
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $349
ADDRLP4 1060
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $349
line 568
;568:		botname = altname;
ADDRLP4 1040
ADDRFP4 20
INDIRP4
ASGNP4
line 569
;569:	}
LABELV $349
line 570
;570:	Info_SetValueForKey( userinfo, "name", botname );
ADDRLP4 0
ARGP4
ADDRGP4 $140
ARGP4
ADDRLP4 1040
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 571
;571:	Info_SetValueForKey( userinfo, "rate", "25000" );
ADDRLP4 0
ARGP4
ADDRGP4 $351
ARGP4
ADDRGP4 $352
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 572
;572:	Info_SetValueForKey( userinfo, "snaps", "20" );
ADDRLP4 0
ARGP4
ADDRGP4 $353
ARGP4
ADDRGP4 $354
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 573
;573:	Info_SetValueForKey( userinfo, "skill", va("%i", skill) );
ADDRGP4 $113
ARGP4
ADDRFP4 4
INDIRI4
ARGI4
ADDRLP4 1064
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 0
ARGP4
ADDRGP4 $327
ARGP4
ADDRLP4 1064
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 575
;574:
;575:	if ( skill == 1 ) {
ADDRFP4 4
INDIRI4
CNSTI4 1
NEI4 $355
line 576
;576:		Info_SetValueForKey( userinfo, "handicap", "50" );
ADDRLP4 0
ARGP4
ADDRGP4 $357
ARGP4
ADDRGP4 $358
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 577
;577:	}
ADDRGP4 $356
JUMPV
LABELV $355
line 578
;578:	else if ( skill == 2 ) {
ADDRFP4 4
INDIRI4
CNSTI4 2
NEI4 $359
line 579
;579:		Info_SetValueForKey( userinfo, "handicap", "75" );
ADDRLP4 0
ARGP4
ADDRGP4 $357
ARGP4
ADDRGP4 $361
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 580
;580:	}
LABELV $359
LABELV $356
line 582
;581:
;582:	key = "model";
ADDRLP4 1032
ADDRGP4 $311
ASGNP4
line 583
;583:	model = Info_ValueForKey( botinfo, key );
ADDRLP4 1028
INDIRP4
ARGP4
ADDRLP4 1032
INDIRP4
ARGP4
ADDRLP4 1068
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 1044
ADDRLP4 1068
INDIRP4
ASGNP4
line 584
;584:	if ( !*model ) {
ADDRLP4 1044
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $362
line 585
;585:		model = "munro/default";
ADDRLP4 1044
ADDRGP4 $364
ASGNP4
line 586
;586:	}
LABELV $362
line 587
;587:	Info_SetValueForKey( userinfo, key, model );
ADDRLP4 0
ARGP4
ADDRLP4 1032
INDIRP4
ARGP4
ADDRLP4 1044
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 589
;588:
;589:	key = "gender";
ADDRLP4 1032
ADDRGP4 $365
ASGNP4
line 590
;590:	s = Info_ValueForKey( botinfo, key );
ADDRLP4 1028
INDIRP4
ARGP4
ADDRLP4 1032
INDIRP4
ARGP4
ADDRLP4 1072
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 1024
ADDRLP4 1072
INDIRP4
ASGNP4
line 591
;591:	if ( !*s ) {
ADDRLP4 1024
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $366
line 592
;592:		s = "male";
ADDRLP4 1024
ADDRGP4 $368
ASGNP4
line 593
;593:	}
LABELV $366
line 594
;594:	Info_SetValueForKey( userinfo, "sex", s );
ADDRLP4 0
ARGP4
ADDRGP4 $369
ARGP4
ADDRLP4 1024
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 596
;595:
;596:	key = "color";
ADDRLP4 1032
ADDRGP4 $370
ASGNP4
line 597
;597:	s = Info_ValueForKey( botinfo, key );
ADDRLP4 1028
INDIRP4
ARGP4
ADDRLP4 1032
INDIRP4
ARGP4
ADDRLP4 1076
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 1024
ADDRLP4 1076
INDIRP4
ASGNP4
line 598
;598:	if ( !*s ) {
ADDRLP4 1024
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $371
line 599
;599:		s = "4";
ADDRLP4 1024
ADDRGP4 $373
ASGNP4
line 600
;600:	}
LABELV $371
line 601
;601:	Info_SetValueForKey( userinfo, key, s );
ADDRLP4 0
ARGP4
ADDRLP4 1032
INDIRP4
ARGP4
ADDRLP4 1024
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 603
;602:
;603:	s = Info_ValueForKey(botinfo, "aifile");
ADDRLP4 1028
INDIRP4
ARGP4
ADDRGP4 $374
ARGP4
ADDRLP4 1080
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 1024
ADDRLP4 1080
INDIRP4
ASGNP4
line 604
;604:	if (!*s ) {
ADDRLP4 1024
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $375
line 605
;605:		trap_Printf( S_COLOR_RED "Error: bot has no aifile specified\n" );
ADDRGP4 $377
ARGP4
ADDRGP4 trap_Printf
CALLV
pop
line 606
;606:		return;
ADDRGP4 $342
JUMPV
LABELV $375
line 610
;607:	}
;608:
;609:	// have the server allocate a client slot
;610:	clientNum = trap_BotAllocateClient();
ADDRLP4 1084
ADDRGP4 trap_BotAllocateClient
CALLI4
ASGNI4
ADDRLP4 1036
ADDRLP4 1084
INDIRI4
ASGNI4
line 611
;611:	if ( clientNum == -1 ) {
ADDRLP4 1036
INDIRI4
CNSTI4 -1
NEI4 $378
line 612
;612:		G_Printf( S_COLOR_RED "Unable to add bot.  All player slots are in use.\n" );
ADDRGP4 $380
ARGP4
ADDRGP4 G_Printf
CALLV
pop
line 613
;613:		G_Printf( S_COLOR_RED "Start server with more 'open' slots (or check setting of sv_maxclients cvar).\n" );
ADDRGP4 $381
ARGP4
ADDRGP4 G_Printf
CALLV
pop
line 614
;614:		return;
ADDRGP4 $342
JUMPV
LABELV $378
line 618
;615:	}
;616:
;617:	// initialize the bot settings
;618:	if( !team || !*team ) {
ADDRLP4 1088
ADDRFP4 8
INDIRP4
ASGNP4
ADDRLP4 1088
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $384
ADDRLP4 1088
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $382
LABELV $384
line 619
;619:		if( g_gametype.integer == GT_TEAM || g_gametype.integer == GT_CTF) {
ADDRGP4 g_gametype+12
INDIRI4
CNSTI4 3
EQI4 $389
ADDRGP4 g_gametype+12
INDIRI4
CNSTI4 4
NEI4 $385
LABELV $389
line 620
;620:			if( PickTeam(clientNum) == TEAM_RED) {
ADDRLP4 1036
INDIRI4
ARGI4
ADDRLP4 1092
ADDRGP4 PickTeam
CALLI4
ASGNI4
ADDRLP4 1092
INDIRI4
CNSTI4 1
NEI4 $390
line 621
;621:				team = "red";
ADDRFP4 8
ADDRGP4 $130
ASGNP4
line 622
;622:			}
ADDRGP4 $386
JUMPV
LABELV $390
line 623
;623:			else {
line 624
;624:				team = "blue";
ADDRFP4 8
ADDRGP4 $133
ASGNP4
line 625
;625:			}
line 626
;626:		}
ADDRGP4 $386
JUMPV
LABELV $385
line 627
;627:		else {
line 628
;628:			team = "red";
ADDRFP4 8
ADDRGP4 $130
ASGNP4
line 629
;629:		}
LABELV $386
line 630
;630:	}
LABELV $382
line 631
;631:	Info_SetValueForKey( userinfo, "characterfile", Info_ValueForKey( botinfo, "aifile" ) );
ADDRLP4 1028
INDIRP4
ARGP4
ADDRGP4 $374
ARGP4
ADDRLP4 1092
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 0
ARGP4
ADDRGP4 $325
ARGP4
ADDRLP4 1092
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 632
;632:	Info_SetValueForKey( userinfo, "skill", va( "%i", skill ) );
ADDRGP4 $113
ARGP4
ADDRFP4 4
INDIRI4
ARGI4
ADDRLP4 1096
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 0
ARGP4
ADDRGP4 $327
ARGP4
ADDRLP4 1096
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 633
;633:	Info_SetValueForKey( userinfo, "team", team );
ADDRLP4 0
ARGP4
ADDRGP4 $329
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 634
;634:	if( pclass && *pclass ) {
ADDRLP4 1100
ADDRFP4 12
INDIRP4
ASGNP4
ADDRLP4 1100
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $392
ADDRLP4 1100
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $392
line 635
;635:		if( g_pModSpecialties.integer ) {
ADDRGP4 g_pModSpecialties+12
INDIRI4
CNSTI4 0
EQI4 $394
line 636
;636:			Info_SetValueForKey( userinfo, "class", pclass );
ADDRLP4 0
ARGP4
ADDRGP4 $332
ARGP4
ADDRFP4 12
INDIRP4
ARGP4
ADDRGP4 Info_SetValueForKey
CALLV
pop
line 637
;637:		}
LABELV $394
line 638
;638:	}
LABELV $392
line 640
;639:
;640:	bot = &g_entities[ clientNum ];
ADDRLP4 1048
CNSTI4 624
ADDRLP4 1036
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 641
;641:	bot->r.svFlags |= SVF_BOT;
ADDRLP4 1104
ADDRLP4 1048
INDIRP4
CNSTI4 212
ADDP4
ASGNP4
ADDRLP4 1104
INDIRP4
ADDRLP4 1104
INDIRP4
INDIRI4
CNSTI4 8
BORI4
ASGNI4
line 642
;642:	bot->inuse = qtrue;
ADDRLP4 1048
INDIRP4
CNSTI4 308
ADDP4
CNSTI4 1
ASGNI4
line 645
;643:
;644:	// register the userinfo
;645:	trap_SetUserinfo( clientNum, userinfo );
ADDRLP4 1036
INDIRI4
ARGI4
ADDRLP4 0
ARGP4
ADDRGP4 trap_SetUserinfo
CALLV
pop
line 648
;646:
;647:	// have it connect to the game as a normal client
;648:	if ( ClientConnect( clientNum, qtrue, qtrue ) ) {
ADDRLP4 1036
INDIRI4
ARGI4
ADDRLP4 1108
CNSTI4 1
ASGNI4
ADDRLP4 1108
INDIRI4
ARGI4
ADDRLP4 1108
INDIRI4
ARGI4
ADDRLP4 1112
ADDRGP4 ClientConnect
CALLP4
ASGNP4
ADDRLP4 1112
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $397
line 649
;649:		return;
ADDRGP4 $342
JUMPV
LABELV $397
line 652
;650:	}
;651:
;652:	if( delay == 0 ) {
ADDRFP4 16
INDIRI4
CNSTI4 0
NEI4 $399
line 653
;653:		ClientBegin( clientNum, qfalse );
ADDRLP4 1036
INDIRI4
ARGI4
CNSTI4 0
ARGI4
ADDRGP4 ClientBegin
CALLV
pop
line 654
;654:		return;
ADDRGP4 $342
JUMPV
LABELV $399
line 657
;655:	}
;656:
;657:	AddBotToSpawnQueue( clientNum, delay );
ADDRLP4 1036
INDIRI4
ARGI4
ADDRFP4 16
INDIRI4
ARGI4
ADDRGP4 AddBotToSpawnQueue
CALLV
pop
line 658
;658:}
LABELV $342
endproc G_AddBot 1116 12
export Svcmd_AddBot_f
proc Svcmd_AddBot_f 5136 24
line 666
;659:
;660:
;661:/*
;662:===============
;663:Svcmd_AddBot_f
;664:===============
;665:*/
;666:void Svcmd_AddBot_f( void ) {
line 676
;667:	int				skill;
;668:	int				delay;
;669:	char			name[MAX_TOKEN_CHARS];
;670:	char			altname[MAX_TOKEN_CHARS];
;671:	char			string[MAX_TOKEN_CHARS];
;672:	char			team[MAX_TOKEN_CHARS];
;673:	char			pclass[MAX_TOKEN_CHARS];
;674:
;675:	// are bots enabled?
;676:	if ( !trap_Cvar_VariableIntegerValue( "bot_enable" ) ) {
ADDRGP4 $404
ARGP4
ADDRLP4 5128
ADDRGP4 trap_Cvar_VariableIntegerValue
CALLI4
ASGNI4
ADDRLP4 5128
INDIRI4
CNSTI4 0
NEI4 $402
line 677
;677:		return;
ADDRGP4 $401
JUMPV
LABELV $402
line 681
;678:	}
;679:
;680:	// name
;681:	trap_Argv( 1, name, sizeof( name ) );
CNSTI4 1
ARGI4
ADDRLP4 1024
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 trap_Argv
CALLV
pop
line 682
;682:	if ( !name[0] ) {
ADDRLP4 1024
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $405
line 683
;683:		trap_Printf( "Usage: Addbot <botname> [skill 1-4] [team] [msec delay] [altname]\n" );
ADDRGP4 $407
ARGP4
ADDRGP4 trap_Printf
CALLV
pop
line 684
;684:		return;
ADDRGP4 $401
JUMPV
LABELV $405
line 688
;685:	}
;686:
;687:	// skill
;688:	trap_Argv( 2, string, sizeof( string ) );
CNSTI4 2
ARGI4
ADDRLP4 0
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 trap_Argv
CALLV
pop
line 689
;689:	if ( !string[0] ) {
ADDRLP4 0
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $408
line 690
;690:		skill = 4;
ADDRLP4 5120
CNSTI4 4
ASGNI4
line 691
;691:	}
ADDRGP4 $409
JUMPV
LABELV $408
line 692
;692:	else {
line 693
;693:		skill = atoi( string );
ADDRLP4 0
ARGP4
ADDRLP4 5132
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRLP4 5120
ADDRLP4 5132
INDIRI4
ASGNI4
line 694
;694:	}
LABELV $409
line 697
;695:
;696:	// team
;697:	trap_Argv( 3, team, sizeof( team ) );
CNSTI4 3
ARGI4
ADDRLP4 3072
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 trap_Argv
CALLV
pop
line 700
;698:
;699:	// class
;700:	trap_Argv( 4, pclass, sizeof( pclass ) );
CNSTI4 4
ARGI4
ADDRLP4 4096
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 trap_Argv
CALLV
pop
line 703
;701:
;702:	// delay
;703:	trap_Argv( 5, string, sizeof( string ) );
CNSTI4 5
ARGI4
ADDRLP4 0
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 trap_Argv
CALLV
pop
line 704
;704:	if ( !string[0] ) {
ADDRLP4 0
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $410
line 705
;705:		delay = 0;
ADDRLP4 5124
CNSTI4 0
ASGNI4
line 706
;706:	}
ADDRGP4 $411
JUMPV
LABELV $410
line 707
;707:	else {
line 708
;708:		delay = atoi( string );
ADDRLP4 0
ARGP4
ADDRLP4 5132
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRLP4 5124
ADDRLP4 5132
INDIRI4
ASGNI4
line 709
;709:	}
LABELV $411
line 712
;710:
;711:	// alternative name
;712:	trap_Argv( 6, altname, sizeof( altname ) );
CNSTI4 6
ARGI4
ADDRLP4 2048
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 trap_Argv
CALLV
pop
line 714
;713:
;714:	G_AddBot( name, skill, team, pclass, delay, altname );
ADDRLP4 1024
ARGP4
ADDRLP4 5120
INDIRI4
ARGI4
ADDRLP4 3072
ARGP4
ADDRLP4 4096
ARGP4
ADDRLP4 5124
INDIRI4
ARGI4
ADDRLP4 2048
ARGP4
ADDRGP4 G_AddBot
CALLV
pop
line 718
;715:
;716:	// if this was issued during gameplay and we are playing locally,
;717:	// go ahead and load the bot's media immediately
;718:	if ( level.time - level.startTime > 1000 &&
ADDRGP4 level+32
INDIRI4
ADDRGP4 level+44
INDIRI4
SUBI4
CNSTI4 1000
LEI4 $412
ADDRGP4 $416
ARGP4
ADDRLP4 5132
ADDRGP4 trap_Cvar_VariableIntegerValue
CALLI4
ASGNI4
ADDRLP4 5132
INDIRI4
CNSTI4 0
EQI4 $412
line 719
;719:		trap_Cvar_VariableIntegerValue( "cl_running" ) ) {
line 720
;720:		trap_SendServerCommand( -1, "loaddefered\n" );	// FIXME: spelled wrong, but not changing for demo
CNSTI4 -1
ARGI4
ADDRGP4 $417
ARGP4
ADDRGP4 trap_SendServerCommand
CALLV
pop
line 721
;721:	}
LABELV $412
line 722
;722:}
LABELV $401
endproc Svcmd_AddBot_f 5136 24
export Svcmd_BotList_f
proc Svcmd_BotList_f 4120 20
line 729
;723:
;724:/*
;725:===============
;726:Svcmd_BotList_f
;727:===============
;728:*/
;729:void Svcmd_BotList_f( void ) {
line 736
;730:	int i;
;731:	char name[MAX_TOKEN_CHARS];
;732:	char funname[MAX_TOKEN_CHARS];
;733:	char model[MAX_TOKEN_CHARS];
;734:	char aifile[MAX_TOKEN_CHARS];
;735:
;736:	trap_Printf("^1name             model            aifile              funname\n");
ADDRGP4 $419
ARGP4
ADDRGP4 trap_Printf
CALLV
pop
line 737
;737:	for (i = 0; i < g_numBots; i++) {
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $423
JUMPV
LABELV $420
line 738
;738:		strcpy(name, Info_ValueForKey( g_botInfos[i], "name" ));
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 g_botInfos
ADDP4
INDIRP4
ARGP4
ADDRGP4 $140
ARGP4
ADDRLP4 4100
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 4
ARGP4
ADDRLP4 4100
INDIRP4
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 739
;739:		if ( !*name ) {
ADDRLP4 4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $424
line 740
;740:			strcpy(name, "RedShirt");
ADDRLP4 4
ARGP4
ADDRGP4 $426
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 741
;741:		}
LABELV $424
line 742
;742:		strcpy(funname, Info_ValueForKey( g_botInfos[i], "funname" ));
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 g_botInfos
ADDP4
INDIRP4
ARGP4
ADDRGP4 $346
ARGP4
ADDRLP4 4104
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 1028
ARGP4
ADDRLP4 4104
INDIRP4
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 743
;743:		if ( !*funname ) {
ADDRLP4 1028
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $427
line 744
;744:			strcpy(funname, "");
ADDRLP4 1028
ARGP4
ADDRGP4 $94
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 745
;745:		}
LABELV $427
line 746
;746:		strcpy(model, Info_ValueForKey( g_botInfos[i], "model" ));
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 g_botInfos
ADDP4
INDIRP4
ARGP4
ADDRGP4 $311
ARGP4
ADDRLP4 4108
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 2052
ARGP4
ADDRLP4 4108
INDIRP4
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 747
;747:		if ( !*model ) {
ADDRLP4 2052
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $429
line 748
;748:			strcpy(model, "munro/default");
ADDRLP4 2052
ARGP4
ADDRGP4 $364
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 749
;749:		}
LABELV $429
line 750
;750:		strcpy(aifile, Info_ValueForKey( g_botInfos[i], "aifile"));
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 g_botInfos
ADDP4
INDIRP4
ARGP4
ADDRGP4 $374
ARGP4
ADDRLP4 4112
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 3076
ARGP4
ADDRLP4 4112
INDIRP4
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 751
;751:		if (!*aifile ) {
ADDRLP4 3076
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $431
line 752
;752:			strcpy(aifile, "bots/default_c.c");
ADDRLP4 3076
ARGP4
ADDRGP4 $433
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 753
;753:		}
LABELV $431
line 754
;754:		trap_Printf(va("%-16s %-16s %-20s %-20s\n", name, model, aifile, funname));
ADDRGP4 $434
ARGP4
ADDRLP4 4
ARGP4
ADDRLP4 2052
ARGP4
ADDRLP4 3076
ARGP4
ADDRLP4 1028
ARGP4
ADDRLP4 4116
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 4116
INDIRP4
ARGP4
ADDRGP4 trap_Printf
CALLV
pop
line 755
;755:	}
LABELV $421
line 737
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $423
ADDRLP4 0
INDIRI4
ADDRGP4 g_numBots
INDIRI4
LTI4 $420
line 756
;756:}
LABELV $418
endproc Svcmd_BotList_f 4120 20
proc G_SpawnBots 1060 16
line 764
;757:
;758:
;759:/*
;760:===============
;761:G_SpawnBots
;762:===============
;763:*/
;764:static void G_SpawnBots( char *botList, int baseDelay ) {
line 771
;765:	char		*bot;
;766:	char		*p;
;767:	int			skill;
;768:	int			delay;
;769:	char		bots[MAX_INFO_VALUE];
;770:
;771:	podium1 = NULL;
ADDRGP4 podium1
CNSTP4 0
ASGNP4
line 772
;772:	podium2 = NULL;
ADDRGP4 podium2
CNSTP4 0
ASGNP4
line 773
;773:	podium3 = NULL;
ADDRGP4 podium3
CNSTP4 0
ASGNP4
line 775
;774:
;775:	skill = trap_Cvar_VariableIntegerValue( "g_spSkill" );
ADDRGP4 $183
ARGP4
ADDRLP4 1040
ADDRGP4 trap_Cvar_VariableIntegerValue
CALLI4
ASGNI4
ADDRLP4 12
ADDRLP4 1040
INDIRI4
ASGNI4
line 776
;776:	if( skill < 1 || skill > 5 ) {
ADDRLP4 12
INDIRI4
CNSTI4 1
LTI4 $438
ADDRLP4 12
INDIRI4
CNSTI4 5
LEI4 $436
LABELV $438
line 777
;777:		trap_Cvar_Set( "g_spSkill", "2" );
ADDRGP4 $183
ARGP4
ADDRGP4 $439
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 778
;778:		skill = 2;
ADDRLP4 12
CNSTI4 2
ASGNI4
line 779
;779:	}
LABELV $436
line 781
;780:
;781:	Q_strncpyz( bots, botList, sizeof(bots) );
ADDRLP4 16
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 782
;782:	p = &bots[0];
ADDRLP4 0
ADDRLP4 16
ASGNP4
line 783
;783:	delay = baseDelay;
ADDRLP4 4
ADDRFP4 4
INDIRI4
ASGNI4
ADDRGP4 $441
JUMPV
line 784
;784:	while( *p ) {
LABELV $443
line 786
;785:		//skip spaces
;786:		while( *p && *p == ' ' ) {
line 787
;787:			p++;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 788
;788:		}
LABELV $444
line 786
ADDRLP4 1048
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
ASGNI4
ADDRLP4 1048
INDIRI4
CNSTI4 0
EQI4 $446
ADDRLP4 1048
INDIRI4
CNSTI4 32
EQI4 $443
LABELV $446
line 789
;789:		if( !p ) {
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $447
line 790
;790:			break;
ADDRGP4 $442
JUMPV
LABELV $447
line 794
;791:		}
;792:
;793:		// mark start of bot name
;794:		bot = p;
ADDRLP4 8
ADDRLP4 0
INDIRP4
ASGNP4
ADDRGP4 $450
JUMPV
LABELV $449
line 797
;795:
;796:		// skip until space of null
;797:		while( *p && *p != ' ' ) {
line 798
;798:			p++;
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
line 799
;799:		}
LABELV $450
line 797
ADDRLP4 1052
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
ASGNI4
ADDRLP4 1052
INDIRI4
CNSTI4 0
EQI4 $452
ADDRLP4 1052
INDIRI4
CNSTI4 32
NEI4 $449
LABELV $452
line 800
;800:		if( *p ) {
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $453
line 801
;801:			*p++ = 0;
ADDRLP4 1056
ADDRLP4 0
INDIRP4
ASGNP4
ADDRLP4 0
ADDRLP4 1056
INDIRP4
CNSTI4 1
ADDP4
ASGNP4
ADDRLP4 1056
INDIRP4
CNSTI1 0
ASGNI1
line 802
;802:		}
LABELV $453
line 806
;803:
;804:		// we must add the bot this way, calling G_AddBot directly at this stage
;805:		// does "Bad Things"
;806:		trap_SendConsoleCommand( EXEC_INSERT, va("addbot %s %i free %i\n", bot, skill, delay) );
ADDRGP4 $455
ARGP4
ADDRLP4 8
INDIRP4
ARGP4
ADDRLP4 12
INDIRI4
ARGI4
ADDRLP4 4
INDIRI4
ARGI4
ADDRLP4 1056
ADDRGP4 va
CALLP4
ASGNP4
CNSTI4 1
ARGI4
ADDRLP4 1056
INDIRP4
ARGP4
ADDRGP4 trap_SendConsoleCommand
CALLV
pop
line 808
;807:
;808:		delay += BOT_BEGIN_DELAY_INCREMENT;
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 2000
ADDI4
ASGNI4
line 809
;809:	}
LABELV $441
line 784
ADDRLP4 0
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $444
LABELV $442
line 810
;810:}
LABELV $435
endproc G_SpawnBots 1060 16
proc G_LoadBotsFromFile 8216 16
line 818
;811:
;812:
;813:/*
;814:===============
;815:G_LoadBotsFromFile
;816:===============
;817:*/
;818:static void G_LoadBotsFromFile( char *filename ) {
line 823
;819:	int				len;
;820:	fileHandle_t	f;
;821:	char			buf[MAX_BOTS_TEXT];
;822:
;823:	len = trap_FS_FOpenFile( filename, &f, FS_READ );
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 4
ARGP4
CNSTI4 0
ARGI4
ADDRLP4 8200
ADDRGP4 trap_FS_FOpenFile
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 8200
INDIRI4
ASGNI4
line 824
;824:	if ( !f ) {
ADDRLP4 4
INDIRI4
CNSTI4 0
NEI4 $457
line 825
;825:		trap_Printf( va( S_COLOR_RED "file not found: %s\n", filename ) );
ADDRGP4 $88
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 8204
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 8204
INDIRP4
ARGP4
ADDRGP4 trap_Printf
CALLV
pop
line 826
;826:		return;
ADDRGP4 $456
JUMPV
LABELV $457
line 828
;827:	}
;828:	if ( len >= MAX_BOTS_TEXT ) {
ADDRLP4 0
INDIRI4
CNSTI4 8192
LTI4 $459
line 829
;829:		trap_Printf( va( S_COLOR_RED "file too large: %s is %i, max allowed is %i", filename, len, MAX_BOTS_TEXT ) );
ADDRGP4 $91
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 0
INDIRI4
ARGI4
CNSTI4 8192
ARGI4
ADDRLP4 8204
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 8204
INDIRP4
ARGP4
ADDRGP4 trap_Printf
CALLV
pop
line 830
;830:		trap_FS_FCloseFile( f );
ADDRLP4 4
INDIRI4
ARGI4
ADDRGP4 trap_FS_FCloseFile
CALLV
pop
line 831
;831:		return;
ADDRGP4 $456
JUMPV
LABELV $459
line 834
;832:	}
;833:
;834:	trap_FS_Read( buf, len, f );
ADDRLP4 8
ARGP4
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 4
INDIRI4
ARGI4
ADDRGP4 trap_FS_Read
CALLV
pop
line 835
;835:	buf[len] = 0;
ADDRLP4 0
INDIRI4
ADDRLP4 8
ADDP4
CNSTI1 0
ASGNI1
line 836
;836:	trap_FS_FCloseFile( f );
ADDRLP4 4
INDIRI4
ARGI4
ADDRGP4 trap_FS_FCloseFile
CALLV
pop
line 838
;837:
;838:	g_numBots += G_ParseInfos( buf, MAX_BOTS - g_numBots, &g_botInfos[g_numBots] );
ADDRLP4 8
ARGP4
ADDRLP4 8204
ADDRGP4 g_numBots
ASGNP4
ADDRLP4 8208
ADDRLP4 8204
INDIRP4
INDIRI4
ASGNI4
CNSTI4 1024
ADDRLP4 8208
INDIRI4
SUBI4
ARGI4
ADDRLP4 8208
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 g_botInfos
ADDP4
ARGP4
ADDRLP4 8212
ADDRGP4 G_ParseInfos
CALLI4
ASGNI4
ADDRLP4 8204
INDIRP4
ADDRLP4 8208
INDIRI4
ADDRLP4 8212
INDIRI4
ADDI4
ASGNI4
line 839
;839:}
LABELV $456
endproc G_LoadBotsFromFile 8216 16
proc G_LoadBots 1456 16
line 846
;840:
;841:/*
;842:===============
;843:G_LoadBots
;844:===============
;845:*/
;846:static void G_LoadBots( void ) {
line 855
;847:	vmCvar_t	botsFile;
;848:	int			numdirs;
;849:	char		filename[128];
;850:	char		dirlist[1024];
;851:	char*		dirptr;
;852:	int			i;
;853:	int			dirlen;
;854:
;855:	if ( !trap_Cvar_VariableIntegerValue( "bot_enable" ) ) {
ADDRGP4 $404
ARGP4
ADDRLP4 1440
ADDRGP4 trap_Cvar_VariableIntegerValue
CALLI4
ASGNI4
ADDRLP4 1440
INDIRI4
CNSTI4 0
NEI4 $462
line 856
;856:		return;
ADDRGP4 $461
JUMPV
LABELV $462
line 859
;857:	}
;858:
;859:	g_numBots = 0;
ADDRGP4 g_numBots
CNSTI4 0
ASGNI4
line 861
;860:
;861:	trap_Cvar_Register( &botsFile, "g_botsFile", "", CVAR_INIT|CVAR_ROM );
ADDRLP4 144
ARGP4
ADDRGP4 $464
ARGP4
ADDRGP4 $94
ARGP4
CNSTI4 80
ARGI4
ADDRGP4 trap_Cvar_Register
CALLV
pop
line 862
;862:	if( *botsFile.string ) {
ADDRLP4 144+16
INDIRI1
CVII4 1
CNSTI4 0
EQI4 $465
line 863
;863:		G_LoadBotsFromFile(botsFile.string);
ADDRLP4 144+16
ARGP4
ADDRGP4 G_LoadBotsFromFile
CALLV
pop
line 864
;864:	}
ADDRGP4 $466
JUMPV
LABELV $465
line 865
;865:	else {
line 866
;866:		G_LoadBotsFromFile("scripts/bots.txt");
ADDRGP4 $469
ARGP4
ADDRGP4 G_LoadBotsFromFile
CALLV
pop
line 867
;867:	}
LABELV $466
line 870
;868:
;869:	// get all bots from .bot files
;870:	numdirs = trap_FS_GetFileList("scripts", ".bot", dirlist, 1024 );
ADDRGP4 $100
ARGP4
ADDRGP4 $470
ARGP4
ADDRLP4 416
ARGP4
CNSTI4 1024
ARGI4
ADDRLP4 1444
ADDRGP4 trap_FS_GetFileList
CALLI4
ASGNI4
ADDRLP4 140
ADDRLP4 1444
INDIRI4
ASGNI4
line 871
;871:	dirptr  = dirlist;
ADDRLP4 0
ADDRLP4 416
ASGNP4
line 872
;872:	for (i = 0; i < numdirs; i++, dirptr += dirlen+1) {
ADDRLP4 132
CNSTI4 0
ASGNI4
ADDRGP4 $474
JUMPV
LABELV $471
line 873
;873:		dirlen = strlen(dirptr);
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 1448
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 136
ADDRLP4 1448
INDIRI4
ASGNI4
line 874
;874:		strcpy(filename, "scripts/");
ADDRLP4 4
ARGP4
ADDRGP4 $106
ARGP4
ADDRGP4 strcpy
CALLP4
pop
line 875
;875:		strcat(filename, dirptr);
ADDRLP4 4
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 strcat
CALLP4
pop
line 876
;876:		G_LoadBotsFromFile(filename);
ADDRLP4 4
ARGP4
ADDRGP4 G_LoadBotsFromFile
CALLV
pop
line 877
;877:	}
LABELV $472
line 872
ADDRLP4 1448
CNSTI4 1
ASGNI4
ADDRLP4 132
ADDRLP4 132
INDIRI4
ADDRLP4 1448
INDIRI4
ADDI4
ASGNI4
ADDRLP4 0
ADDRLP4 136
INDIRI4
ADDRLP4 1448
INDIRI4
ADDI4
ADDRLP4 0
INDIRP4
ADDP4
ASGNP4
LABELV $474
ADDRLP4 132
INDIRI4
ADDRLP4 140
INDIRI4
LTI4 $471
line 878
;878:	trap_Printf( va( "%i bots parsed\n", g_numBots ) );
ADDRGP4 $475
ARGP4
ADDRGP4 g_numBots
INDIRI4
ARGI4
ADDRLP4 1452
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 1452
INDIRP4
ARGP4
ADDRGP4 trap_Printf
CALLV
pop
line 879
;879:}
LABELV $461
endproc G_LoadBots 1456 16
export G_GetBotInfoByNumber
proc G_GetBotInfoByNumber 8 8
line 888
;880:
;881:
;882:
;883:/*
;884:===============
;885:G_GetBotInfoByNumber
;886:===============
;887:*/
;888:char *G_GetBotInfoByNumber( int num ) {
line 889
;889:	if( num < 0 || num >= g_numBots ) {
ADDRLP4 0
ADDRFP4 0
INDIRI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 0
LTI4 $479
ADDRLP4 0
INDIRI4
ADDRGP4 g_numBots
INDIRI4
LTI4 $477
LABELV $479
line 890
;890:		trap_Printf( va( S_COLOR_RED "Invalid bot number: %i\n", num ) );
ADDRGP4 $480
ARGP4
ADDRFP4 0
INDIRI4
ARGI4
ADDRLP4 4
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 4
INDIRP4
ARGP4
ADDRGP4 trap_Printf
CALLV
pop
line 891
;891:		return NULL;
CNSTP4 0
RETP4
ADDRGP4 $476
JUMPV
LABELV $477
line 893
;892:	}
;893:	return g_botInfos[num];
ADDRFP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 g_botInfos
ADDP4
INDIRP4
RETP4
LABELV $476
endproc G_GetBotInfoByNumber 8 8
export G_GetBotInfoByName
proc G_GetBotInfoByName 16 8
line 902
;894:}
;895:
;896:
;897:/*
;898:===============
;899:G_GetBotInfoByName
;900:===============
;901:*/
;902:char *G_GetBotInfoByName( const char *name ) {
line 906
;903:	int		n;
;904:	char	*value;
;905:
;906:	for ( n = 0; n < g_numBots ; n++ ) {
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $485
JUMPV
LABELV $482
line 907
;907:		value = Info_ValueForKey( g_botInfos[n], "name" );
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 g_botInfos
ADDP4
INDIRP4
ARGP4
ADDRGP4 $140
ARGP4
ADDRLP4 8
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 4
ADDRLP4 8
INDIRP4
ASGNP4
line 908
;908:		if ( !Q_stricmp( value, name ) ) {
ADDRLP4 4
INDIRP4
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 12
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 12
INDIRI4
CNSTI4 0
NEI4 $486
line 909
;909:			return g_botInfos[n];
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 g_botInfos
ADDP4
INDIRP4
RETP4
ADDRGP4 $481
JUMPV
LABELV $486
line 911
;910:		}
;911:	}
LABELV $483
line 906
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $485
ADDRLP4 0
INDIRI4
ADDRGP4 g_numBots
INDIRI4
LTI4 $482
line 913
;912:
;913:	return NULL;
CNSTP4 0
RETP4
LABELV $481
endproc G_GetBotInfoByName 16 8
export G_InitBots
proc G_InitBots 1148 16
line 921
;914:}
;915:
;916:/*
;917:===============
;918:G_InitBots
;919:===============
;920:*/
;921:void G_InitBots( qboolean restart ) {
line 930
;922:	int			fragLimit;
;923:	int			timeLimit;
;924:	const char	*arenainfo;
;925:	char		*strValue;
;926:	int			basedelay;
;927:	char		map[MAX_QPATH];
;928:	char		serverinfo[MAX_INFO_STRING];
;929:
;930:	G_LoadBots();
ADDRGP4 G_LoadBots
CALLV
pop
line 931
;931:	G_LoadArenas();
ADDRGP4 G_LoadArenas
CALLV
pop
line 933
;932:
;933:	trap_Cvar_Register( &bot_minplayers, "bot_minplayers", "0", CVAR_SERVERINFO );
ADDRGP4 bot_minplayers
ARGP4
ADDRGP4 $489
ARGP4
ADDRGP4 $490
ARGP4
CNSTI4 4
ARGI4
ADDRGP4 trap_Cvar_Register
CALLV
pop
line 935
;934:
;935:	if( g_gametype.integer == GT_SINGLE_PLAYER ) {
ADDRGP4 g_gametype+12
INDIRI4
CNSTI4 2
NEI4 $491
line 936
;936:		trap_GetServerinfo( serverinfo, sizeof(serverinfo) );
ADDRLP4 80
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 trap_GetServerinfo
CALLV
pop
line 937
;937:		Q_strncpyz( map, Info_ValueForKey( serverinfo, "mapname" ), sizeof(map) );
ADDRLP4 80
ARGP4
ADDRGP4 $494
ARGP4
ADDRLP4 1108
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 16
ARGP4
ADDRLP4 1108
INDIRP4
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 938
;938:		arenainfo = G_GetArenaInfoByMap( map );
ADDRLP4 16
ARGP4
ADDRLP4 1112
ADDRGP4 G_GetArenaInfoByMap
CALLP4
ASGNP4
ADDRLP4 4
ADDRLP4 1112
INDIRP4
ASGNP4
line 939
;939:		if ( !arenainfo ) {
ADDRLP4 4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $495
line 940
;940:			return;
ADDRGP4 $488
JUMPV
LABELV $495
line 943
;941:		}
;942:
;943:		strValue = Info_ValueForKey( arenainfo, "fraglimit" );
ADDRLP4 4
INDIRP4
ARGP4
ADDRGP4 $497
ARGP4
ADDRLP4 1116
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 1116
INDIRP4
ASGNP4
line 944
;944:		fragLimit = atoi( strValue );
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 1120
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRLP4 8
ADDRLP4 1120
INDIRI4
ASGNI4
line 945
;945:		if ( fragLimit ) {
ADDRLP4 8
INDIRI4
CNSTI4 0
EQI4 $498
line 946
;946:			trap_Cvar_Set( "fraglimit", strValue );
ADDRGP4 $497
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 947
;947:		}
ADDRGP4 $499
JUMPV
LABELV $498
line 948
;948:		else {
line 949
;949:			trap_Cvar_Set( "fraglimit", "0" );
ADDRGP4 $497
ARGP4
ADDRGP4 $490
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 950
;950:		}
LABELV $499
line 952
;951:
;952:		strValue = Info_ValueForKey( arenainfo, "timelimit" );
ADDRLP4 4
INDIRP4
ARGP4
ADDRGP4 $500
ARGP4
ADDRLP4 1124
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 1124
INDIRP4
ASGNP4
line 953
;953:		timeLimit = atoi( strValue );
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 1128
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRLP4 12
ADDRLP4 1128
INDIRI4
ASGNI4
line 954
;954:		if ( timeLimit ) {
ADDRLP4 12
INDIRI4
CNSTI4 0
EQI4 $501
line 955
;955:			trap_Cvar_Set( "timelimit", strValue );
ADDRGP4 $500
ARGP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 956
;956:		}
ADDRGP4 $502
JUMPV
LABELV $501
line 957
;957:		else {
line 958
;958:			trap_Cvar_Set( "timelimit", "0" );
ADDRGP4 $500
ARGP4
ADDRGP4 $490
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 959
;959:		}
LABELV $502
line 961
;960:
;961:		if ( !fragLimit && !timeLimit ) {
ADDRLP4 1132
CNSTI4 0
ASGNI4
ADDRLP4 8
INDIRI4
ADDRLP4 1132
INDIRI4
NEI4 $503
ADDRLP4 12
INDIRI4
ADDRLP4 1132
INDIRI4
NEI4 $503
line 962
;962:			trap_Cvar_Set( "fraglimit", "10" );
ADDRGP4 $497
ARGP4
ADDRGP4 $505
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 963
;963:			trap_Cvar_Set( "timelimit", "0" );
ADDRGP4 $500
ARGP4
ADDRGP4 $490
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 964
;964:		}
LABELV $503
line 966
;965:
;966:		if (g_holoIntro.integer)
ADDRGP4 g_holoIntro+12
INDIRI4
CNSTI4 0
EQI4 $506
line 967
;967:		{	// The player will be looking at the holodeck doors for the first five seconds, so take that into account.
line 968
;968:			basedelay = BOT_BEGIN_DELAY_BASE + TIME_INTRO;
ADDRLP4 1104
CNSTI4 7000
ASGNI4
line 969
;969:		}
ADDRGP4 $507
JUMPV
LABELV $506
line 971
;970:		else
;971:		{
line 972
;972:			basedelay = BOT_BEGIN_DELAY_BASE;
ADDRLP4 1104
CNSTI4 2000
ASGNI4
line 973
;973:		}
LABELV $507
line 974
;974:		strValue = Info_ValueForKey( arenainfo, "special" );
ADDRLP4 4
INDIRP4
ARGP4
ADDRGP4 $509
ARGP4
ADDRLP4 1136
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 1136
INDIRP4
ASGNP4
line 975
;975:		if( Q_stricmp( strValue, "training" ) == 0 ) {
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 $512
ARGP4
ADDRLP4 1140
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 1140
INDIRI4
CNSTI4 0
NEI4 $510
line 976
;976:			basedelay += 10000;
ADDRLP4 1104
ADDRLP4 1104
INDIRI4
CNSTI4 10000
ADDI4
ASGNI4
line 977
;977:		}
LABELV $510
line 979
;978:
;979:		if( !restart ) {
ADDRFP4 0
INDIRI4
CNSTI4 0
NEI4 $513
line 980
;980:			G_SpawnBots( Info_ValueForKey( arenainfo, "bots" ), basedelay );
ADDRLP4 4
INDIRP4
ARGP4
ADDRGP4 $515
ARGP4
ADDRLP4 1144
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 1144
INDIRP4
ARGP4
ADDRLP4 1104
INDIRI4
ARGI4
ADDRGP4 G_SpawnBots
CALLV
pop
line 981
;981:		}
LABELV $513
line 982
;982:	}
LABELV $491
line 983
;983:}
LABELV $488
endproc G_InitBots 1148 16
import podium3
import podium2
import podium1
bss
export bot_minplayers
align 4
LABELV bot_minplayers
skip 272
align 4
LABELV botSpawnQueue
skip 128
align 4
LABELV botBeginDelay
skip 4
align 4
LABELV g_arenaInfos
skip 4096
export g_numArenas
align 4
LABELV g_numArenas
skip 4
align 4
LABELV g_botInfos
skip 4096
align 4
LABELV g_numBots
skip 4
import G_UnTimeShiftAllClients
import G_UnTimeShiftClient
import G_TimeShiftAllClients
import G_TimeShiftClient
import G_ResetTrail
import G_StoreTrail
import trap_GeneticParentsAndChildSelection
import trap_BotResetWeaponState
import trap_BotFreeWeaponState
import trap_BotAllocWeaponState
import trap_BotLoadWeaponWeights
import trap_BotGetWeaponInfo
import trap_BotChooseBestFightWeapon
import trap_BotInitMoveState
import trap_BotFreeMoveState
import trap_BotAllocMoveState
import trap_BotPredictVisiblePosition
import trap_BotMovementViewTarget
import trap_BotReachabilityArea
import trap_BotResetLastAvoidReach
import trap_BotResetAvoidReach
import trap_BotMoveInDirection
import trap_BotMoveToGoal
import trap_BotResetMoveState
import trap_BotFreeGoalState
import trap_BotAllocGoalState
import trap_BotMutateGoalFuzzyLogic
import trap_BotSaveGoalFuzzyLogic
import trap_BotInterbreedGoalFuzzyLogic
import trap_BotFreeItemWeights
import trap_BotLoadItemWeights
import trap_BotUpdateEntityItems
import trap_BotInitLevelItems
import trap_BotAvoidGoalTime
import trap_BotGetLevelItemGoal
import trap_BotGetMapLocationGoal
import trap_BotGetNextCampSpotGoal
import trap_BotItemGoalInVisButNotVisible
import trap_BotTouchingGoal
import trap_BotChooseNBGItem
import trap_BotChooseLTGItem
import trap_BotGetSecondGoal
import trap_BotGetTopGoal
import trap_BotGoalName
import trap_BotDumpGoalStack
import trap_BotDumpAvoidGoals
import trap_BotEmptyGoalStack
import trap_BotPopGoal
import trap_BotPushGoal
import trap_BotResetAvoidGoals
import trap_BotRemoveFromAvoidGoals
import trap_BotResetGoalState
import trap_BotSetChatName
import trap_BotSetChatGender
import trap_BotLoadChatFile
import trap_BotReplaceSynonyms
import trap_UnifyWhiteSpaces
import trap_BotMatchVariable
import trap_BotFindMatch
import trap_StringContains
import trap_BotGetChatMessage
import trap_BotEnterChat
import trap_BotChatLength
import trap_BotReplyChat
import trap_BotNumInitialChats
import trap_BotInitialChat
import trap_BotNumConsoleMessages
import trap_BotNextConsoleMessage
import trap_BotRemoveConsoleMessage
import trap_BotQueueConsoleMessage
import trap_BotFreeChatState
import trap_BotAllocChatState
import trap_Characteristic_String
import trap_Characteristic_BInteger
import trap_Characteristic_Integer
import trap_Characteristic_BFloat
import trap_Characteristic_Float
import trap_BotFreeCharacter
import trap_BotLoadCharacter
import trap_EA_ResetInput
import trap_EA_GetInput
import trap_EA_EndRegular
import trap_EA_View
import trap_EA_Move
import trap_EA_MoveRight
import trap_EA_MoveLeft
import trap_EA_MoveBack
import trap_EA_MoveForward
import trap_EA_MoveDown
import trap_EA_MoveUp
import trap_EA_Crouch
import trap_EA_DelayedJump
import trap_EA_Jump
import trap_EA_Respawn
import trap_EA_Use
import trap_EA_Alt_Attack
import trap_EA_Attack
import trap_EA_Talk
import trap_EA_SelectWeapon
import trap_EA_Command
import trap_EA_Gesture
import trap_EA_DropInv
import trap_EA_UseInv
import trap_EA_DropItem
import trap_EA_UseItem
import trap_EA_SayTeam
import trap_EA_Say
import trap_AAS_PredictClientMovement
import trap_AAS_Swimming
import trap_AAS_AreaTravelTimeToGoalArea
import trap_AAS_AreaReachability
import trap_AAS_IntForBSPEpairKey
import trap_AAS_FloatForBSPEpairKey
import trap_AAS_VectorForBSPEpairKey
import trap_AAS_ValueForBSPEpairKey
import trap_AAS_NextBSPEntity
import trap_AAS_PointContents
import trap_AAS_TraceAreas
import trap_AAS_PointAreaNum
import trap_AAS_Time
import trap_AAS_PresenceTypeBoundingBox
import trap_AAS_Initialized
import trap_AAS_EntityInfo
import trap_BotUserCommand
import trap_BotGetConsoleMessage
import trap_BotGetSnapshotEntity
import trap_BotLibTest
import trap_BotLibUpdateEntity
import trap_BotLibLoadMap
import trap_BotLibStartFrame
import trap_BotLibDefine
import trap_BotLibVarGet
import trap_BotLibVarSet
import trap_BotLibShutdown
import trap_BotLibSetup
import trap_DebugPolygonDelete
import trap_DebugPolygonCreate
import trap_GetEntityToken
import trap_GetUsercmd
import trap_BotFreeClient
import trap_BotAllocateClient
import trap_EntityContact
import trap_EntitiesInBox
import trap_UnlinkEntity
import trap_LinkEntity
import trap_AreasConnected
import trap_AdjustAreaPortalState
import trap_InPVSIgnorePortals
import trap_InPVS
import trap_PointContents
import trap_Trace
import trap_SetBrushModel
import trap_GetServerinfo
import trap_SetUserinfo
import trap_GetUserinfo
import trap_GetConfigstring
import trap_SetConfigstring
import trap_SendServerCommand
import trap_DropClient
import trap_LocateGameData
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableIntegerValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_SendConsoleCommand
import trap_FS_GetFileList
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Milliseconds
import trap_Error
import trap_Printf
import g_unlaggedVersion
import g_delagHitscan
import g_CStrikeVersion
import g_classChangeDebounceTime
import g_noJoinTimeout
import g_random_skin_limit
import g_team_group_blue
import g_team_group_red
import g_ghostRespawn
import g_holoIntro
import g_debugUp
import g_debugRight
import g_debugForward
import g_filterBan
import g_banIPs
import g_teamForceBalance
import g_teamAutoJoin
import g_allowVote
import g_doWarmup
import g_warmup
import g_motd
import g_synchronousClients
import g_adaptRespawn
import g_weaponRespawn
import g_debugDamage
import g_debugAlloc
import g_debugMove
import g_inactivity
import g_forcerespawn
import g_dmgmult
import g_knockback
import g_speed
import g_gravity
import g_needpass
import g_password
import g_friendlyFire
import g_capturelimit
import g_timelimitWinningTeam
import g_timelimit
import g_fraglimit
import g_dmflags
import g_language
import g_restarted
import g_maxGameClients
import g_maxclients
import g_cheats
import g_dedicated
import g_gametype
import g_pModElimination
import g_pModSpecialties
import g_pModActionHero
import g_pModDisintegration
import g_pModAssimilation
import g_entities
import level
import Pickup_Team
import CheckTeamStatus
import TeamplayInfoMessage
import Team_GetLocationMsg
import Team_GetLocation
import SelectCTFSpawnPoint
import Team_FreeEntity
import Team_ReturnFlag
import Team_InitGame
import Team_CheckHurtCarrier
import Team_FragBonuses
import Team_DroppedFlagThink
import TeamColorString
import OtherTeamName
import TeamName
import OtherTeam
import BotAIStartFrame
import BotAIShutdownClient
import BotAISetupClient
import BotAILoadMap
import BotAIShutdown
import BotAISetup
import BotInterbreedEndMatch
import Svcmd_AbortPodium_f
import SpawnModelsOnVictoryPads
import UpdateTournamentInfo
import G_WriteSessionData
import G_InitWorldSession
import G_InitSessionData
import G_ReadSessionData
import Svcmd_GameMem_f
import G_InitMemory
import G_Alloc
import Team_CheckDroppedItem
import OnSameTeam
import Cmd_Ready_f
import G_RunClient
import ClientEndFrame
import ClientThink
import ClientCommand
import ClientBegin
import ClientDisconnect
import ClientUserinfoChanged
import ClientConnect
import GetFavoriteWeaponForClient
import GetWorstEnemyForClient
import GetFavoriteTargetForClient
import GetMaxKillsForClient
import GetMaxDeathsForClient
import CalculateTeamMVPByRank
import CalculateAwards
import G_ClearClientLog
import G_LogExit
import G_LogWeaponOutput
import G_LogWeaponInit
import G_LogWeaponItem
import G_LogWeaponPowerup
import G_LogWeaponFrag
import G_LogWeaponDeath
import G_LogWeaponKill
import G_LogWeaponDamage
import G_LogWeaponFire
import G_LogWeaponPickup
import G_LogPrintf
import G_Error
import G_Printf
import SendScoreboardMessageToAllClients
import G_RunThink
import FindIntermissionPoint
import DeathmatchScoreboardMessage
import G_SetStats
import MoveClientToIntermission
import FireWeapon
import G_FilterPacket
import G_ProcessIPBans
import ConsoleCommand
import SpotWouldTelefrag
import CalculateRanks
import AddScore
import player_die
import ClientSpawn
import InitBodyQue
import InitClientResp
import InitClientPersistant
import BeginIntermission
import respawn
import SelectSpawnPoint
import SetClientViewAngle
import PickTeam
import TeamCount
import FireSeeker
import SeekerAcquiresTarget
import SnapVectorTowards
import CalcMuzzlePoint
import LogAccuracyHit
import TransportPlayer
import TeleportPlayer
import trigger_teleporter_touch
import Touch_DoorTrigger
import G_RunMover
import fire_grapple
import fire_rocket
import fire_grenade
import fire_quantum
import fire_plasma
import fire_blaster
import G_RunMissile
import TossClientItems
import body_die
import G_RadiusDamage
import G_Damage
import CanDamage
import G_RadiusList
import G_SetOrigin
import G_AddEvent
import G_AddPredictableEvent
import vectoyaw
import vtos
import tv
import G_TouchSolids
import G_TouchTriggers
import G_FreeEntity
import G_Sound
import G_TempEntity
import G_Spawn
import G_InitGentity
import G_SetMovedir
import G_UseTargets2
import G_UseTargets
import G_PickTarget
import G_Find
import G_KillBox
import G_TeamCommand
import G_SoundIndex
import G_ModelIndex
import SaveRegisteredItems
import RegisterItem
import ClearRegisteredItems
import Touch_Item
import Add_Ammo
import ArmorIndex
import Think_Weapon
import FinishSpawningItem
import G_SpawnItem
import SetRespawn
import Drop_Item
import PrecacheItem
import UseHoldableItem
import RespawnItem
import G_RunItem
import G_CheckTeamItems
import Cmd_FollowCycle_f
import SetTeam
import BroadcastTeamChange
import StopFollowing
import Cmd_Score_f
import G_NewString
import G_SpawnEntitiesFromString
import G_SpawnVector
import G_SpawnInt
import G_SpawnFloat
import G_SpawnString
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $515
byte 1 98
byte 1 111
byte 1 116
byte 1 115
byte 1 0
align 1
LABELV $512
byte 1 116
byte 1 114
byte 1 97
byte 1 105
byte 1 110
byte 1 105
byte 1 110
byte 1 103
byte 1 0
align 1
LABELV $509
byte 1 115
byte 1 112
byte 1 101
byte 1 99
byte 1 105
byte 1 97
byte 1 108
byte 1 0
align 1
LABELV $505
byte 1 49
byte 1 48
byte 1 0
align 1
LABELV $500
byte 1 116
byte 1 105
byte 1 109
byte 1 101
byte 1 108
byte 1 105
byte 1 109
byte 1 105
byte 1 116
byte 1 0
align 1
LABELV $497
byte 1 102
byte 1 114
byte 1 97
byte 1 103
byte 1 108
byte 1 105
byte 1 109
byte 1 105
byte 1 116
byte 1 0
align 1
LABELV $494
byte 1 109
byte 1 97
byte 1 112
byte 1 110
byte 1 97
byte 1 109
byte 1 101
byte 1 0
align 1
LABELV $490
byte 1 48
byte 1 0
align 1
LABELV $489
byte 1 98
byte 1 111
byte 1 116
byte 1 95
byte 1 109
byte 1 105
byte 1 110
byte 1 112
byte 1 108
byte 1 97
byte 1 121
byte 1 101
byte 1 114
byte 1 115
byte 1 0
align 1
LABELV $480
byte 1 94
byte 1 49
byte 1 73
byte 1 110
byte 1 118
byte 1 97
byte 1 108
byte 1 105
byte 1 100
byte 1 32
byte 1 98
byte 1 111
byte 1 116
byte 1 32
byte 1 110
byte 1 117
byte 1 109
byte 1 98
byte 1 101
byte 1 114
byte 1 58
byte 1 32
byte 1 37
byte 1 105
byte 1 10
byte 1 0
align 1
LABELV $475
byte 1 37
byte 1 105
byte 1 32
byte 1 98
byte 1 111
byte 1 116
byte 1 115
byte 1 32
byte 1 112
byte 1 97
byte 1 114
byte 1 115
byte 1 101
byte 1 100
byte 1 10
byte 1 0
align 1
LABELV $470
byte 1 46
byte 1 98
byte 1 111
byte 1 116
byte 1 0
align 1
LABELV $469
byte 1 115
byte 1 99
byte 1 114
byte 1 105
byte 1 112
byte 1 116
byte 1 115
byte 1 47
byte 1 98
byte 1 111
byte 1 116
byte 1 115
byte 1 46
byte 1 116
byte 1 120
byte 1 116
byte 1 0
align 1
LABELV $464
byte 1 103
byte 1 95
byte 1 98
byte 1 111
byte 1 116
byte 1 115
byte 1 70
byte 1 105
byte 1 108
byte 1 101
byte 1 0
align 1
LABELV $455
byte 1 97
byte 1 100
byte 1 100
byte 1 98
byte 1 111
byte 1 116
byte 1 32
byte 1 37
byte 1 115
byte 1 32
byte 1 37
byte 1 105
byte 1 32
byte 1 102
byte 1 114
byte 1 101
byte 1 101
byte 1 32
byte 1 37
byte 1 105
byte 1 10
byte 1 0
align 1
LABELV $439
byte 1 50
byte 1 0
align 1
LABELV $434
byte 1 37
byte 1 45
byte 1 49
byte 1 54
byte 1 115
byte 1 32
byte 1 37
byte 1 45
byte 1 49
byte 1 54
byte 1 115
byte 1 32
byte 1 37
byte 1 45
byte 1 50
byte 1 48
byte 1 115
byte 1 32
byte 1 37
byte 1 45
byte 1 50
byte 1 48
byte 1 115
byte 1 10
byte 1 0
align 1
LABELV $433
byte 1 98
byte 1 111
byte 1 116
byte 1 115
byte 1 47
byte 1 100
byte 1 101
byte 1 102
byte 1 97
byte 1 117
byte 1 108
byte 1 116
byte 1 95
byte 1 99
byte 1 46
byte 1 99
byte 1 0
align 1
LABELV $426
byte 1 82
byte 1 101
byte 1 100
byte 1 83
byte 1 104
byte 1 105
byte 1 114
byte 1 116
byte 1 0
align 1
LABELV $419
byte 1 94
byte 1 49
byte 1 110
byte 1 97
byte 1 109
byte 1 101
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 109
byte 1 111
byte 1 100
byte 1 101
byte 1 108
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 97
byte 1 105
byte 1 102
byte 1 105
byte 1 108
byte 1 101
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 32
byte 1 102
byte 1 117
byte 1 110
byte 1 110
byte 1 97
byte 1 109
byte 1 101
byte 1 10
byte 1 0
align 1
LABELV $417
byte 1 108
byte 1 111
byte 1 97
byte 1 100
byte 1 100
byte 1 101
byte 1 102
byte 1 101
byte 1 114
byte 1 101
byte 1 100
byte 1 10
byte 1 0
align 1
LABELV $416
byte 1 99
byte 1 108
byte 1 95
byte 1 114
byte 1 117
byte 1 110
byte 1 110
byte 1 105
byte 1 110
byte 1 103
byte 1 0
align 1
LABELV $407
byte 1 85
byte 1 115
byte 1 97
byte 1 103
byte 1 101
byte 1 58
byte 1 32
byte 1 65
byte 1 100
byte 1 100
byte 1 98
byte 1 111
byte 1 116
byte 1 32
byte 1 60
byte 1 98
byte 1 111
byte 1 116
byte 1 110
byte 1 97
byte 1 109
byte 1 101
byte 1 62
byte 1 32
byte 1 91
byte 1 115
byte 1 107
byte 1 105
byte 1 108
byte 1 108
byte 1 32
byte 1 49
byte 1 45
byte 1 52
byte 1 93
byte 1 32
byte 1 91
byte 1 116
byte 1 101
byte 1 97
byte 1 109
byte 1 93
byte 1 32
byte 1 91
byte 1 109
byte 1 115
byte 1 101
byte 1 99
byte 1 32
byte 1 100
byte 1 101
byte 1 108
byte 1 97
byte 1 121
byte 1 93
byte 1 32
byte 1 91
byte 1 97
byte 1 108
byte 1 116
byte 1 110
byte 1 97
byte 1 109
byte 1 101
byte 1 93
byte 1 10
byte 1 0
align 1
LABELV $404
byte 1 98
byte 1 111
byte 1 116
byte 1 95
byte 1 101
byte 1 110
byte 1 97
byte 1 98
byte 1 108
byte 1 101
byte 1 0
align 1
LABELV $381
byte 1 94
byte 1 49
byte 1 83
byte 1 116
byte 1 97
byte 1 114
byte 1 116
byte 1 32
byte 1 115
byte 1 101
byte 1 114
byte 1 118
byte 1 101
byte 1 114
byte 1 32
byte 1 119
byte 1 105
byte 1 116
byte 1 104
byte 1 32
byte 1 109
byte 1 111
byte 1 114
byte 1 101
byte 1 32
byte 1 39
byte 1 111
byte 1 112
byte 1 101
byte 1 110
byte 1 39
byte 1 32
byte 1 115
byte 1 108
byte 1 111
byte 1 116
byte 1 115
byte 1 32
byte 1 40
byte 1 111
byte 1 114
byte 1 32
byte 1 99
byte 1 104
byte 1 101
byte 1 99
byte 1 107
byte 1 32
byte 1 115
byte 1 101
byte 1 116
byte 1 116
byte 1 105
byte 1 110
byte 1 103
byte 1 32
byte 1 111
byte 1 102
byte 1 32
byte 1 115
byte 1 118
byte 1 95
byte 1 109
byte 1 97
byte 1 120
byte 1 99
byte 1 108
byte 1 105
byte 1 101
byte 1 110
byte 1 116
byte 1 115
byte 1 32
byte 1 99
byte 1 118
byte 1 97
byte 1 114
byte 1 41
byte 1 46
byte 1 10
byte 1 0
align 1
LABELV $380
byte 1 94
byte 1 49
byte 1 85
byte 1 110
byte 1 97
byte 1 98
byte 1 108
byte 1 101
byte 1 32
byte 1 116
byte 1 111
byte 1 32
byte 1 97
byte 1 100
byte 1 100
byte 1 32
byte 1 98
byte 1 111
byte 1 116
byte 1 46
byte 1 32
byte 1 32
byte 1 65
byte 1 108
byte 1 108
byte 1 32
byte 1 112
byte 1 108
byte 1 97
byte 1 121
byte 1 101
byte 1 114
byte 1 32
byte 1 115
byte 1 108
byte 1 111
byte 1 116
byte 1 115
byte 1 32
byte 1 97
byte 1 114
byte 1 101
byte 1 32
byte 1 105
byte 1 110
byte 1 32
byte 1 117
byte 1 115
byte 1 101
byte 1 46
byte 1 10
byte 1 0
align 1
LABELV $377
byte 1 94
byte 1 49
byte 1 69
byte 1 114
byte 1 114
byte 1 111
byte 1 114
byte 1 58
byte 1 32
byte 1 98
byte 1 111
byte 1 116
byte 1 32
byte 1 104
byte 1 97
byte 1 115
byte 1 32
byte 1 110
byte 1 111
byte 1 32
byte 1 97
byte 1 105
byte 1 102
byte 1 105
byte 1 108
byte 1 101
byte 1 32
byte 1 115
byte 1 112
byte 1 101
byte 1 99
byte 1 105
byte 1 102
byte 1 105
byte 1 101
byte 1 100
byte 1 10
byte 1 0
align 1
LABELV $374
byte 1 97
byte 1 105
byte 1 102
byte 1 105
byte 1 108
byte 1 101
byte 1 0
align 1
LABELV $373
byte 1 52
byte 1 0
align 1
LABELV $370
byte 1 99
byte 1 111
byte 1 108
byte 1 111
byte 1 114
byte 1 0
align 1
LABELV $369
byte 1 115
byte 1 101
byte 1 120
byte 1 0
align 1
LABELV $368
byte 1 109
byte 1 97
byte 1 108
byte 1 101
byte 1 0
align 1
LABELV $365
byte 1 103
byte 1 101
byte 1 110
byte 1 100
byte 1 101
byte 1 114
byte 1 0
align 1
LABELV $364
byte 1 109
byte 1 117
byte 1 110
byte 1 114
byte 1 111
byte 1 47
byte 1 100
byte 1 101
byte 1 102
byte 1 97
byte 1 117
byte 1 108
byte 1 116
byte 1 0
align 1
LABELV $361
byte 1 55
byte 1 53
byte 1 0
align 1
LABELV $358
byte 1 53
byte 1 48
byte 1 0
align 1
LABELV $357
byte 1 104
byte 1 97
byte 1 110
byte 1 100
byte 1 105
byte 1 99
byte 1 97
byte 1 112
byte 1 0
align 1
LABELV $354
byte 1 50
byte 1 48
byte 1 0
align 1
LABELV $353
byte 1 115
byte 1 110
byte 1 97
byte 1 112
byte 1 115
byte 1 0
align 1
LABELV $352
byte 1 50
byte 1 53
byte 1 48
byte 1 48
byte 1 48
byte 1 0
align 1
LABELV $351
byte 1 114
byte 1 97
byte 1 116
byte 1 101
byte 1 0
align 1
LABELV $346
byte 1 102
byte 1 117
byte 1 110
byte 1 110
byte 1 97
byte 1 109
byte 1 101
byte 1 0
align 1
LABELV $345
byte 1 94
byte 1 49
byte 1 69
byte 1 114
byte 1 114
byte 1 111
byte 1 114
byte 1 58
byte 1 32
byte 1 66
byte 1 111
byte 1 116
byte 1 32
byte 1 39
byte 1 37
byte 1 115
byte 1 39
byte 1 32
byte 1 110
byte 1 111
byte 1 116
byte 1 32
byte 1 100
byte 1 101
byte 1 102
byte 1 105
byte 1 110
byte 1 101
byte 1 100
byte 1 10
byte 1 0
align 1
LABELV $336
byte 1 66
byte 1 111
byte 1 116
byte 1 65
byte 1 73
byte 1 83
byte 1 101
byte 1 116
byte 1 117
byte 1 112
byte 1 67
byte 1 108
byte 1 105
byte 1 101
byte 1 110
byte 1 116
byte 1 32
byte 1 102
byte 1 97
byte 1 105
byte 1 108
byte 1 101
byte 1 100
byte 1 0
align 1
LABELV $332
byte 1 99
byte 1 108
byte 1 97
byte 1 115
byte 1 115
byte 1 0
align 1
LABELV $329
byte 1 116
byte 1 101
byte 1 97
byte 1 109
byte 1 0
align 1
LABELV $327
byte 1 115
byte 1 107
byte 1 105
byte 1 108
byte 1 108
byte 1 0
align 1
LABELV $325
byte 1 99
byte 1 104
byte 1 97
byte 1 114
byte 1 97
byte 1 99
byte 1 116
byte 1 101
byte 1 114
byte 1 102
byte 1 105
byte 1 108
byte 1 101
byte 1 0
align 1
LABELV $322
byte 1 94
byte 1 51
byte 1 85
byte 1 110
byte 1 97
byte 1 98
byte 1 108
byte 1 101
byte 1 32
byte 1 116
byte 1 111
byte 1 32
byte 1 100
byte 1 101
byte 1 108
byte 1 97
byte 1 121
byte 1 32
byte 1 115
byte 1 112
byte 1 97
byte 1 119
byte 1 110
byte 1 10
byte 1 0
align 1
LABELV $311
byte 1 109
byte 1 111
byte 1 100
byte 1 101
byte 1 108
byte 1 0
align 1
LABELV $204
byte 1 107
byte 1 105
byte 1 99
byte 1 107
byte 1 32
byte 1 34
byte 1 37
byte 1 115
byte 1 34
byte 1 10
byte 1 0
align 1
LABELV $189
byte 1 97
byte 1 100
byte 1 100
byte 1 98
byte 1 111
byte 1 116
byte 1 32
byte 1 37
byte 1 115
byte 1 32
byte 1 37
byte 1 105
byte 1 32
byte 1 37
byte 1 115
byte 1 32
byte 1 37
byte 1 105
byte 1 10
byte 1 0
align 1
LABELV $183
byte 1 103
byte 1 95
byte 1 115
byte 1 112
byte 1 83
byte 1 107
byte 1 105
byte 1 108
byte 1 108
byte 1 0
align 1
LABELV $140
byte 1 110
byte 1 97
byte 1 109
byte 1 101
byte 1 0
align 1
LABELV $134
byte 1 112
byte 1 108
byte 1 97
byte 1 121
byte 1 32
byte 1 115
byte 1 111
byte 1 117
byte 1 110
byte 1 100
byte 1 47
byte 1 118
byte 1 111
byte 1 105
byte 1 99
byte 1 101
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 112
byte 1 117
byte 1 116
byte 1 101
byte 1 114
byte 1 47
byte 1 109
byte 1 105
byte 1 115
byte 1 99
byte 1 47
byte 1 37
byte 1 115
byte 1 46
byte 1 119
byte 1 97
byte 1 118
byte 1 10
byte 1 0
align 1
LABELV $133
byte 1 98
byte 1 108
byte 1 117
byte 1 101
byte 1 0
align 1
LABELV $130
byte 1 114
byte 1 101
byte 1 100
byte 1 0
align 1
LABELV $127
byte 1 100
byte 1 101
byte 1 102
byte 1 97
byte 1 117
byte 1 108
byte 1 116
byte 1 0
align 1
LABELV $121
byte 1 109
byte 1 97
byte 1 112
byte 1 0
align 1
LABELV $113
byte 1 37
byte 1 105
byte 1 0
align 1
LABELV $112
byte 1 110
byte 1 117
byte 1 109
byte 1 0
align 1
LABELV $107
byte 1 37
byte 1 105
byte 1 32
byte 1 97
byte 1 114
byte 1 101
byte 1 110
byte 1 97
byte 1 115
byte 1 32
byte 1 112
byte 1 97
byte 1 114
byte 1 115
byte 1 101
byte 1 100
byte 1 10
byte 1 0
align 1
LABELV $106
byte 1 115
byte 1 99
byte 1 114
byte 1 105
byte 1 112
byte 1 116
byte 1 115
byte 1 47
byte 1 0
align 1
LABELV $101
byte 1 46
byte 1 97
byte 1 114
byte 1 101
byte 1 110
byte 1 97
byte 1 0
align 1
LABELV $100
byte 1 115
byte 1 99
byte 1 114
byte 1 105
byte 1 112
byte 1 116
byte 1 115
byte 1 0
align 1
LABELV $99
byte 1 115
byte 1 99
byte 1 114
byte 1 105
byte 1 112
byte 1 116
byte 1 115
byte 1 47
byte 1 97
byte 1 114
byte 1 101
byte 1 110
byte 1 97
byte 1 115
byte 1 46
byte 1 116
byte 1 120
byte 1 116
byte 1 0
align 1
LABELV $94
byte 1 0
align 1
LABELV $93
byte 1 103
byte 1 95
byte 1 97
byte 1 114
byte 1 101
byte 1 110
byte 1 97
byte 1 115
byte 1 70
byte 1 105
byte 1 108
byte 1 101
byte 1 0
align 1
LABELV $91
byte 1 94
byte 1 49
byte 1 102
byte 1 105
byte 1 108
byte 1 101
byte 1 32
byte 1 116
byte 1 111
byte 1 111
byte 1 32
byte 1 108
byte 1 97
byte 1 114
byte 1 103
byte 1 101
byte 1 58
byte 1 32
byte 1 37
byte 1 115
byte 1 32
byte 1 105
byte 1 115
byte 1 32
byte 1 37
byte 1 105
byte 1 44
byte 1 32
byte 1 109
byte 1 97
byte 1 120
byte 1 32
byte 1 97
byte 1 108
byte 1 108
byte 1 111
byte 1 119
byte 1 101
byte 1 100
byte 1 32
byte 1 105
byte 1 115
byte 1 32
byte 1 37
byte 1 105
byte 1 0
align 1
LABELV $88
byte 1 94
byte 1 49
byte 1 102
byte 1 105
byte 1 108
byte 1 101
byte 1 32
byte 1 110
byte 1 111
byte 1 116
byte 1 32
byte 1 102
byte 1 111
byte 1 117
byte 1 110
byte 1 100
byte 1 58
byte 1 32
byte 1 37
byte 1 115
byte 1 10
byte 1 0
align 1
LABELV $82
byte 1 37
byte 1 100
byte 1 0
align 1
LABELV $81
byte 1 92
byte 1 110
byte 1 117
byte 1 109
byte 1 92
byte 1 0
align 1
LABELV $80
byte 1 60
byte 1 78
byte 1 85
byte 1 76
byte 1 76
byte 1 62
byte 1 0
align 1
LABELV $77
byte 1 125
byte 1 0
align 1
LABELV $74
byte 1 85
byte 1 110
byte 1 101
byte 1 120
byte 1 112
byte 1 101
byte 1 99
byte 1 116
byte 1 101
byte 1 100
byte 1 32
byte 1 101
byte 1 110
byte 1 100
byte 1 32
byte 1 111
byte 1 102
byte 1 32
byte 1 105
byte 1 110
byte 1 102
byte 1 111
byte 1 32
byte 1 102
byte 1 105
byte 1 108
byte 1 101
byte 1 10
byte 1 0
align 1
LABELV $68
byte 1 77
byte 1 97
byte 1 120
byte 1 32
byte 1 105
byte 1 110
byte 1 102
byte 1 111
byte 1 115
byte 1 32
byte 1 101
byte 1 120
byte 1 99
byte 1 101
byte 1 101
byte 1 100
byte 1 101
byte 1 100
byte 1 10
byte 1 0
align 1
LABELV $65
byte 1 77
byte 1 105
byte 1 115
byte 1 115
byte 1 105
byte 1 110
byte 1 103
byte 1 32
byte 1 123
byte 1 32
byte 1 105
byte 1 110
byte 1 32
byte 1 105
byte 1 110
byte 1 102
byte 1 111
byte 1 32
byte 1 102
byte 1 105
byte 1 108
byte 1 101
byte 1 10
byte 1 0
align 1
LABELV $64
byte 1 123
byte 1 0
