export spark_think
code
proc spark_think 0 12
file "../g_fx.c"
line 16
;1:// This file contains game side effects that the designers can place throughout the maps
;2:
;3:#include "g_local.h"
;4:
;5:#define SPARK_STARTOFF		1
;6:
;7:/*QUAKED fx_spark (0 0 1) (-8 -8 -8) (8 8 8) STARTOFF
;8:Emits sparks at the specified point in the specified direction
;9:
;10:  "target" - ( optional ) direction to aim the sparks in, otherwise, uses the angles set in the editor.
;11:  "wait(2000)"	- interval between events (randomly twice as long) 
;12:*/
;13:
;14://------------------------------------------
;15:void spark_think( gentity_t *ent )
;16:{
line 17
;17:	G_AddEvent( ent, EV_FX_SPARK, 0 );
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 77
ARGI4
CNSTI4 0
ARGI4
ADDRGP4 G_AddEvent
CALLV
pop
line 18
;18:	ent->nextthink = level.time + 10000.0; // send a refresh message every 10 seconds
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CVIF4 4
CNSTF4 1176256512
ADDF4
CVFI4 4
ASGNI4
line 19
;19:}
LABELV $55
endproc spark_think 0 12
export spark_link
proc spark_link 64 12
line 23
;20:
;21://------------------------------------------
;22:void spark_link( gentity_t *ent )
;23:{
line 25
;24:
;25:	ent->think = spark_think;	
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 spark_think
ASGNP4
line 26
;26:	ent->nextthink = level.time + 10000.0;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CVIF4 4
CNSTF4 1176256512
ADDF4
CVFI4 4
ASGNI4
line 28
;27:
;28:	ent->s.time2 = ent->wait;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
CNSTI4 88
ADDP4
ADDRLP4 0
INDIRP4
CNSTI4 608
ADDP4
INDIRF4
CVFI4 4
ASGNI4
line 29
;29:	if ( ent->target )
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $59
line 30
;30:	{
line 32
;31:		// try to use the target to orient me.
;32:		gentity_t	*target = NULL;
ADDRLP4 4
CNSTP4 0
ASGNP4
line 35
;33:		vec3_t		dir;
;34:
;35:		target = G_Find (target, FOFS(targetname), ent->target);
ADDRLP4 4
INDIRP4
ARGP4
CNSTI4 468
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
ARGP4
ADDRLP4 20
ADDRGP4 G_Find
CALLP4
ASGNP4
ADDRLP4 4
ADDRLP4 20
INDIRP4
ASGNP4
line 37
;36:
;37:		if (!target)
ADDRLP4 4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $61
line 38
;38:		{
line 39
;39:			Com_Printf("spark_link: target specified but not found: %s\n", ent->target );
ADDRGP4 $63
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 41
;40:
;41:			ent->think = 0;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
CNSTP4 0
ASGNP4
line 42
;42:			ent->nextthink = -1;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
CNSTI4 -1
ASGNI4
line 44
;43:
;44:			return;
ADDRGP4 $57
JUMPV
LABELV $61
line 47
;45:		}
;46:		
;47:		VectorSubtract( target->s.origin, ent->s.origin, dir );
ADDRLP4 28
CNSTI4 92
ASGNI4
ADDRLP4 32
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
ADDRLP4 4
INDIRP4
ADDRLP4 28
INDIRI4
ADDP4
INDIRF4
ADDRLP4 32
INDIRP4
ADDRLP4 28
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 36
CNSTI4 96
ASGNI4
ADDRLP4 8+4
ADDRLP4 4
INDIRP4
ADDRLP4 36
INDIRI4
ADDP4
INDIRF4
ADDRLP4 32
INDIRP4
ADDRLP4 36
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 40
CNSTI4 100
ASGNI4
ADDRLP4 8+8
ADDRLP4 4
INDIRP4
ADDRLP4 40
INDIRI4
ADDP4
INDIRF4
ADDRFP4 0
INDIRP4
ADDRLP4 40
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
line 48
;48:		VectorNormalize( dir );
ADDRLP4 8
ARGP4
ADDRGP4 VectorNormalize
CALLF4
pop
line 49
;49:		vectoangles( dir, ent->r.currentAngles );
ADDRLP4 8
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 288
ADDP4
ARGP4
ADDRGP4 vectoangles
CALLV
pop
line 50
;50:		VectorCopy( ent->r.currentAngles, ent->s.angles );
ADDRLP4 44
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 44
INDIRP4
CNSTI4 116
ADDP4
ADDRLP4 44
INDIRP4
CNSTI4 288
ADDP4
INDIRB
ASGNB 12
line 51
;51:		VectorShort(ent->s.angles);
ADDRFP4 0
INDIRP4
CNSTI4 116
ADDP4
ARGP4
ADDRGP4 VectorShort
CALLV
pop
line 52
;52:		VectorCopy( ent->r.currentAngles, ent->s.apos.trBase );
ADDRLP4 48
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 48
INDIRP4
CNSTI4 60
ADDP4
ADDRLP4 48
INDIRP4
CNSTI4 288
ADDP4
INDIRB
ASGNB 12
line 53
;53:		SnapVector(ent->s.apos.trBase);
ADDRLP4 52
ADDRFP4 0
INDIRP4
CNSTI4 60
ADDP4
ASGNP4
ADDRLP4 52
INDIRP4
ADDRLP4 52
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 56
ADDRFP4 0
INDIRP4
CNSTI4 64
ADDP4
ASGNP4
ADDRLP4 56
INDIRP4
ADDRLP4 56
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 60
ADDRFP4 0
INDIRP4
CNSTI4 68
ADDP4
ASGNP4
ADDRLP4 60
INDIRP4
ADDRLP4 60
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
line 54
;54:	}
LABELV $59
line 55
;55:	G_AddEvent( ent, EV_FX_SPARK, 0 );
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 77
ARGI4
CNSTI4 0
ARGI4
ADDRGP4 G_AddEvent
CALLV
pop
line 56
;56:}
LABELV $57
endproc spark_link 64 12
export SP_fx_spark
proc SP_fx_spark 12 4
line 60
;57:
;58://------------------------------------------
;59:void SP_fx_spark( gentity_t	*ent )
;60:{
line 61
;61:	if (!ent->wait)
ADDRFP4 0
INDIRP4
CNSTI4 608
ADDP4
INDIRF4
CNSTF4 0
NEF4 $67
line 62
;62:	{
line 63
;63:		ent->wait = 2000;
ADDRFP4 0
INDIRP4
CNSTI4 608
ADDP4
CNSTF4 1157234688
ASGNF4
line 64
;64:	}
LABELV $67
line 66
;65:
;66:	SnapVector(ent->s.origin);
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 92
ADDP4
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 4
ADDRFP4 0
INDIRP4
CNSTI4 96
ADDP4
ASGNP4
ADDRLP4 4
INDIRP4
ADDRLP4 4
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 8
ADDRFP4 0
INDIRP4
CNSTI4 100
ADDP4
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
line 67
;67:	VectorCopy( ent->s.origin, ent->s.pos.trBase );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
CNSTI4 24
ADDP4
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
INDIRB
ASGNB 12
line 70
;68:
;69:	// The thing that this is targetting may not be spawned in yet, so wait a bit to try and link to it
;70:	ent->think = spark_link; 
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 spark_link
ASGNP4
line 71
;71:	ent->nextthink = level.time + 2000;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 2000
ADDI4
ASGNI4
line 73
;72:
;73:	trap_LinkEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 74
;74:}
LABELV $66
endproc SP_fx_spark 12 4
export steam_think
proc steam_think 0 12
line 91
;75:
;76:
;77:/*QUAKED fx_steam (0 0 1) (-8 -8 -8) (8 8 8) STARTOFF BURSTS 
;78:Emits steam at the specified point in the specified direction. will point at a target if one is specified.
;79:
;80:  right now, neither spawnflag does anything. just give it a direction.
;81:
;82:  "targetname" - toggles on/off whenever used
;83:  "damage" - damage to apply when caught in steam vent, default - zero damage (no damage). Don't add this unless you really have to.
;84:*/
;85:
;86:#define STEAM_STARTOFF		1
;87:#define STEAM_BURSTS		2
;88:
;89://------------------------------------------
;90:void steam_think( gentity_t *ent )
;91:{
line 92
;92:	G_AddEvent( ent, EV_FX_STEAM, 0 );
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 78
ARGI4
CNSTI4 0
ARGI4
ADDRGP4 G_AddEvent
CALLV
pop
line 93
;93:	ent->nextthink = level.time + 10000.0; // send a refresh message every 10 seconds
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CVIF4 4
CNSTF4 1176256512
ADDF4
CVFI4 4
ASGNI4
line 129
;94:/*	if ( ent->spawnflags & STEAM_BURSTS )
;95:	{
;96:		ent->nextthink = level.time + 1000 + random() * 500;
;97:	}
;98:	else
;99:	{
;100:		ent->nextthink = level.time + 50;
;101:	}
;102:
;103:	// FIXME: This may be a bit weird for steam bursts
;104:	// If a fool gets in the bolt path, zap 'em
;105:	if ( ent->damage ) 
;106:	{
;107:		vec3_t	start, temp;
;108:		trace_t	trace;
;109:
;110:		VectorSubtract( ent->s.origin2, ent->r.currentOrigin, temp );
;111:		VectorNormalize( temp );
;112:		VectorMA( ent->r.currentOrigin, 1, temp, start );
;113:
;114:		trap_Trace( &trace, start, NULL, NULL, ent->s.origin2, -1, MASK_SHOT );//ignore
;115:
;116:		if ( trace.fraction < 1.0 )
;117:		{
;118:			if ( trace.entityNum < ENTITYNUM_WORLD )
;119:			{
;120:				gentity_t *victim = &g_entities[trace.entityNum];
;121:				if ( victim && victim->takedamage )
;122:				{
;123:					G_Damage( victim, ent, ent->activator, temp, trace.endpos, ent->damage, 0, MOD_UNKNOWN );
;124:				}
;125:			}
;126:		}
;127:	}
;128:*/
;129:}
LABELV $70
endproc steam_think 0 12
export steam_use
proc steam_use 8 0
line 133
;130:
;131://------------------------------------------
;132:void steam_use( gentity_t *self, gentity_t *other, gentity_t *activator )
;133:{
line 134
;134:	if ( self->count )
ADDRFP4 0
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
CNSTI4 0
EQI4 $73
line 135
;135:	{
line 136
;136:		self->think = 0;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
CNSTP4 0
ASGNP4
line 137
;137:	}
ADDRGP4 $74
JUMPV
LABELV $73
line 139
;138:	else
;139:	{
line 140
;140:		self->think = steam_think;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 steam_think
ASGNP4
line 141
;141:		self->nextthink = level.time + 100;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 100
ADDI4
ASGNI4
line 142
;142:	}
LABELV $74
line 144
;143:	
;144:	self->count = !self->count;
ADDRLP4 4
ADDRFP4 0
INDIRP4
CNSTI4 572
ADDP4
ASGNP4
ADDRLP4 4
INDIRP4
INDIRI4
CNSTI4 0
NEI4 $77
ADDRLP4 0
CNSTI4 1
ASGNI4
ADDRGP4 $78
JUMPV
LABELV $77
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $78
ADDRLP4 4
INDIRP4
ADDRLP4 0
INDIRI4
ASGNI4
line 145
;145:}
LABELV $72
endproc steam_use 8 0
export steam_link
proc steam_link 56 12
line 149
;146:
;147://------------------------------------------
;148:void steam_link( gentity_t *ent )
;149:{
line 150
;150:	gentity_t	*target = NULL;
ADDRLP4 0
CNSTP4 0
ASGNP4
line 154
;151:	vec3_t		dir;
;152:	float		len;
;153:
;154:	if (ent->target)
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $80
line 155
;155:	{
line 156
;156:		target = G_Find (target, FOFS(targetname), ent->target);
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 468
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
ARGP4
ADDRLP4 20
ADDRGP4 G_Find
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 20
INDIRP4
ASGNP4
line 157
;157:	}
LABELV $80
line 159
;158:
;159:	if (!target)
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $82
line 160
;160:	{
line 161
;161:		Com_Printf("steam_link: unable to find target %s\n", ent->target );
ADDRGP4 $84
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 163
;162:
;163:		ent->think = 0;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
CNSTP4 0
ASGNP4
line 164
;164:		ent->nextthink = -1;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
CNSTI4 -1
ASGNI4
line 166
;165:
;166:		return;
ADDRGP4 $79
JUMPV
LABELV $82
line 169
;167:	}
;168:
;169:	VectorSubtract( target->s.origin, ent->s.origin, dir );
ADDRLP4 24
CNSTI4 92
ASGNI4
ADDRLP4 28
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
ADDRLP4 0
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
INDIRF4
ADDRLP4 28
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 32
CNSTI4 96
ASGNI4
ADDRLP4 4+4
ADDRLP4 0
INDIRP4
ADDRLP4 32
INDIRI4
ADDP4
INDIRF4
ADDRLP4 28
INDIRP4
ADDRLP4 32
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 36
CNSTI4 100
ASGNI4
ADDRLP4 4+8
ADDRLP4 0
INDIRP4
ADDRLP4 36
INDIRI4
ADDP4
INDIRF4
ADDRFP4 0
INDIRP4
ADDRLP4 36
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
line 170
;170:	len = VectorNormalize( dir );
ADDRLP4 4
ARGP4
ADDRLP4 40
ADDRGP4 VectorNormalize
CALLF4
ASGNF4
ADDRLP4 16
ADDRLP4 40
INDIRF4
ASGNF4
line 171
;171:	vectoangles( dir, ent->s.angles2 );
ADDRLP4 4
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 128
ADDP4
ARGP4
ADDRGP4 vectoangles
CALLV
pop
line 172
;172:	VectorShort(ent->s.angles2);
ADDRFP4 0
INDIRP4
CNSTI4 128
ADDP4
ARGP4
ADDRGP4 VectorShort
CALLV
pop
line 174
;173:	
;174:	VectorCopy( target->s.origin, ent->s.origin2 );
ADDRFP4 0
INDIRP4
CNSTI4 104
ADDP4
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
INDIRB
ASGNB 12
line 175
;175:	SnapVector(ent->s.origin2);
ADDRLP4 44
ADDRFP4 0
INDIRP4
CNSTI4 104
ADDP4
ASGNP4
ADDRLP4 44
INDIRP4
ADDRLP4 44
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 48
ADDRFP4 0
INDIRP4
CNSTI4 108
ADDP4
ASGNP4
ADDRLP4 48
INDIRP4
ADDRLP4 48
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 52
ADDRFP4 0
INDIRP4
CNSTI4 112
ADDP4
ASGNP4
ADDRLP4 52
INDIRP4
ADDRLP4 52
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
line 178
;176:
;177:	// This is used as the toggle switch
;178:	ent->count = !(ent->spawnflags & STEAM_STARTOFF);
ADDRLP4 48
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 48
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
NEI4 $88
ADDRLP4 44
CNSTI4 1
ASGNI4
ADDRGP4 $89
JUMPV
LABELV $88
ADDRLP4 44
CNSTI4 0
ASGNI4
LABELV $89
ADDRLP4 48
INDIRP4
CNSTI4 572
ADDP4
ADDRLP4 44
INDIRI4
ASGNI4
line 179
;179:	trap_LinkEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 182
;180:
;181:	// this actually creates the continuously-spawning steam jet
;182:	G_AddEvent( ent, EV_FX_STEAM, 0 );
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 78
ARGI4
CNSTI4 0
ARGI4
ADDRGP4 G_AddEvent
CALLV
pop
line 183
;183:	ent->think = steam_think;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 steam_think
ASGNP4
line 184
;184:	ent->nextthink = level.time + 10000;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 10000
ADDI4
ASGNI4
line 185
;185:}
LABELV $79
endproc steam_link 56 12
export SP_fx_steam
proc SP_fx_steam 12 12
line 189
;186:
;187://------------------------------------------
;188:void SP_fx_steam( gentity_t	*ent )
;189:{
line 190
;190:	SnapVector(ent->s.origin);
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 92
ADDP4
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 4
ADDRFP4 0
INDIRP4
CNSTI4 96
ADDP4
ASGNP4
ADDRLP4 4
INDIRP4
ADDRLP4 4
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 8
ADDRFP4 0
INDIRP4
CNSTI4 100
ADDP4
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
line 191
;191:	VectorCopy( ent->s.origin, ent->s.pos.trBase );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
CNSTI4 24
ADDP4
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
INDIRB
ASGNB 12
line 192
;192:	trap_LinkEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 195
;193:
;194:	// Try to apply defaults if nothing was set
;195:	G_SpawnInt( "damage", "0", &ent->damage );
ADDRGP4 $92
ARGP4
ADDRGP4 $93
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 552
ADDP4
ARGP4
ADDRGP4 G_SpawnInt
CALLI4
pop
line 197
;196:
;197:	ent->think = steam_link;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 steam_link
ASGNP4
line 198
;198:	ent->nextthink = level.time + 2000;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 2000
ADDI4
ASGNI4
line 199
;199:}
LABELV $91
endproc SP_fx_steam 12 12
export bolt_think
proc bolt_think 124 32
line 218
;200:
;201:/*QUAKED fx_bolt (0 0 1) (-8 -8 -8) (8 8 8) SPARKS BORG TAPER SMOOTH
;202:Emits blue ( or borg green ) electric bolts from the specified point to the specified point
;203:
;204:  SPARKS - create impact sparks, probably best used for time delayed bolts
;205:  BORG - Make the bolts green
;206:
;207:  "wait" - seconds between bolts (0 is always on, default is 2.0, -1 for random number between 0 and 5), bolts are always on for 0.2 seconds
;208:  "damage" - damage per server frame (default 0)
;209:  "random" - bolt chaos (0.1 = too calm, 0.5 = default, 1.0 or higher = pretty wicked)
;210:*/
;211:
;212:
;213:#define BOLT_SPARKS		(1<<0)
;214:#define BOLT_BORG		(1<<1)
;215:
;216://------------------------------------------
;217:void bolt_think( gentity_t *ent )
;218:{
line 222
;219:	vec3_t	start, temp;
;220:	trace_t	trace;
;221:
;222:	G_AddEvent( ent, EV_FX_BOLT, ent->spawnflags );
ADDRLP4 80
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 80
INDIRP4
ARGP4
CNSTI4 79
ARGI4
ADDRLP4 80
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
ARGI4
ADDRGP4 G_AddEvent
CALLV
pop
line 223
;223:	ent->s.time2 = ent->wait;
ADDRLP4 84
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 84
INDIRP4
CNSTI4 88
ADDP4
ADDRLP4 84
INDIRP4
CNSTI4 608
ADDP4
INDIRF4
CVFI4 4
ASGNI4
line 224
;224:	ent->nextthink = level.time + 10000;//(ent->wait + crandom() * ent->wait * 0.25) * 1000;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 10000
ADDI4
ASGNI4
line 227
;225:
;226:	// If a fool gets in the bolt path, zap 'em
;227:	if ( ent->damage ) 
ADDRFP4 0
INDIRP4
CNSTI4 552
ADDP4
INDIRI4
CNSTI4 0
EQI4 $97
line 228
;228:	{
line 229
;229:		VectorSubtract( ent->s.origin2, ent->r.currentOrigin, temp );
ADDRLP4 88
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
ADDRLP4 88
INDIRP4
CNSTI4 104
ADDP4
INDIRF4
ADDRLP4 88
INDIRP4
CNSTI4 276
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 88
INDIRP4
CNSTI4 108
ADDP4
INDIRF4
ADDRLP4 88
INDIRP4
CNSTI4 280
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 92
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0+8
ADDRLP4 92
INDIRP4
CNSTI4 112
ADDP4
INDIRF4
ADDRLP4 92
INDIRP4
CNSTI4 284
ADDP4
INDIRF4
SUBF4
ASGNF4
line 230
;230:		VectorNormalize( temp );
ADDRLP4 0
ARGP4
ADDRGP4 VectorNormalize
CALLF4
pop
line 231
;231:		VectorMA( ent->r.currentOrigin, 1, temp, start );
ADDRLP4 96
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 100
CNSTF4 1065353216
ASGNF4
ADDRLP4 12
ADDRLP4 96
INDIRP4
CNSTI4 276
ADDP4
INDIRF4
ADDRLP4 100
INDIRF4
ADDRLP4 0
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 12+4
ADDRLP4 96
INDIRP4
CNSTI4 280
ADDP4
INDIRF4
ADDRLP4 100
INDIRF4
ADDRLP4 0+4
INDIRF4
MULF4
ADDF4
ASGNF4
ADDRLP4 12+8
ADDRFP4 0
INDIRP4
CNSTI4 284
ADDP4
INDIRF4
CNSTF4 1065353216
ADDRLP4 0+8
INDIRF4
MULF4
ADDF4
ASGNF4
line 233
;232:
;233:		trap_Trace( &trace, start, NULL, NULL, ent->s.origin2, -1, MASK_SHOT );//ignore
ADDRLP4 24
ARGP4
ADDRLP4 12
ARGP4
ADDRLP4 104
CNSTP4 0
ASGNP4
ADDRLP4 104
INDIRP4
ARGP4
ADDRLP4 104
INDIRP4
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 104
ADDP4
ARGP4
CNSTI4 -1
ARGI4
CNSTI4 100925441
ARGI4
ADDRGP4 trap_Trace
CALLV
pop
line 235
;234:
;235:		if ( trace.fraction < 1.0 )
ADDRLP4 24+8
INDIRF4
CNSTF4 1065353216
GEF4 $105
line 236
;236:		{
line 237
;237:			if ( trace.entityNum < ENTITYNUM_WORLD )
ADDRLP4 24+52
INDIRI4
CNSTI4 1022
GEI4 $108
line 238
;238:			{
line 239
;239:				gentity_t *victim = &g_entities[trace.entityNum];
ADDRLP4 108
CNSTI4 624
ADDRLP4 24+52
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 240
;240:				if ( victim && victim->takedamage )
ADDRLP4 112
ADDRLP4 108
INDIRP4
ASGNP4
ADDRLP4 112
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $112
ADDRLP4 112
INDIRP4
CNSTI4 548
ADDP4
INDIRI4
CNSTI4 0
EQI4 $112
line 241
;241:				{
line 242
;242:					G_Damage( victim, ent, ent->activator, temp, trace.endpos, ent->damage, 0, MOD_UNKNOWN );
ADDRLP4 108
INDIRP4
ARGP4
ADDRLP4 116
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 116
INDIRP4
ARGP4
ADDRLP4 116
INDIRP4
CNSTI4 584
ADDP4
INDIRP4
ARGP4
ADDRLP4 0
ARGP4
ADDRLP4 24+12
ARGP4
ADDRLP4 116
INDIRP4
CNSTI4 552
ADDP4
INDIRI4
ARGI4
ADDRLP4 120
CNSTI4 0
ASGNI4
ADDRLP4 120
INDIRI4
ARGI4
ADDRLP4 120
INDIRI4
ARGI4
ADDRGP4 G_Damage
CALLV
pop
line 243
;243:				}
LABELV $112
line 244
;244:			}
LABELV $108
line 245
;245:		}
LABELV $105
line 246
;246:	}
LABELV $97
line 248
;247:	// net optimisations
;248:	SnapVector(ent->s.origin2);
ADDRLP4 88
ADDRFP4 0
INDIRP4
CNSTI4 104
ADDP4
ASGNP4
ADDRLP4 88
INDIRP4
ADDRLP4 88
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 92
ADDRFP4 0
INDIRP4
CNSTI4 108
ADDP4
ASGNP4
ADDRLP4 92
INDIRP4
ADDRLP4 92
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 96
ADDRFP4 0
INDIRP4
CNSTI4 112
ADDP4
ASGNP4
ADDRLP4 96
INDIRP4
ADDRLP4 96
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
line 249
;249:}
LABELV $95
endproc bolt_think 124 32
export bolt_use
proc bolt_use 8 0
line 253
;250:
;251://------------------------------------------
;252:void bolt_use( gentity_t *self, gentity_t *other, gentity_t *activator )
;253:{
line 254
;254:	if ( self->count )
ADDRFP4 0
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
CNSTI4 0
EQI4 $116
line 255
;255:	{
line 256
;256:		self->think = 0;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
CNSTP4 0
ASGNP4
line 257
;257:	}
ADDRGP4 $117
JUMPV
LABELV $116
line 259
;258:	else
;259:	{
line 260
;260:		self->think = bolt_think;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 bolt_think
ASGNP4
line 261
;261:		self->nextthink = level.time + 200;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 200
ADDI4
ASGNI4
line 262
;262:	}
LABELV $117
line 264
;263:	
;264:	self->count = !self->count;
ADDRLP4 4
ADDRFP4 0
INDIRP4
CNSTI4 572
ADDP4
ASGNP4
ADDRLP4 4
INDIRP4
INDIRI4
CNSTI4 0
NEI4 $120
ADDRLP4 0
CNSTI4 1
ASGNI4
ADDRGP4 $121
JUMPV
LABELV $120
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $121
ADDRLP4 4
INDIRP4
ADDRLP4 0
INDIRI4
ASGNI4
line 265
;265:}
LABELV $115
endproc bolt_use 8 0
export bolt_link
proc bolt_link 56 12
line 269
;266:
;267://------------------------------------------
;268:void bolt_link( gentity_t *ent )
;269:{
line 270
;270:	gentity_t	*target = NULL;
ADDRLP4 0
CNSTP4 0
ASGNP4
line 274
;271:	vec3_t		dir;
;272:	float		len;
;273:
;274:	if (ent->target)
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $123
line 275
;275:	{
line 276
;276:		target = G_Find (target, FOFS(targetname), ent->target);
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 468
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
ARGP4
ADDRLP4 20
ADDRGP4 G_Find
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 20
INDIRP4
ASGNP4
line 277
;277:	}
LABELV $123
line 279
;278:
;279:	if (!target)
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $125
line 280
;280:	{
line 281
;281:		Com_Printf("bolt_link: unable to find target %s\n", ent->target );
ADDRGP4 $127
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
ARGP4
ADDRGP4 Com_Printf
CALLV
pop
line 283
;282:
;283:		ent->think = 0;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
CNSTP4 0
ASGNP4
line 284
;284:		ent->nextthink = -1;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
CNSTI4 -1
ASGNI4
line 286
;285:
;286:		return;
ADDRGP4 $122
JUMPV
LABELV $125
line 289
;287:	}
;288:
;289:	VectorSubtract( target->s.origin, ent->s.origin, dir );
ADDRLP4 24
CNSTI4 92
ASGNI4
ADDRLP4 28
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
ADDRLP4 0
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
INDIRF4
ADDRLP4 28
INDIRP4
ADDRLP4 24
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 32
CNSTI4 96
ASGNI4
ADDRLP4 4+4
ADDRLP4 0
INDIRP4
ADDRLP4 32
INDIRI4
ADDP4
INDIRF4
ADDRLP4 28
INDIRP4
ADDRLP4 32
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 36
CNSTI4 100
ASGNI4
ADDRLP4 4+8
ADDRLP4 0
INDIRP4
ADDRLP4 36
INDIRI4
ADDP4
INDIRF4
ADDRFP4 0
INDIRP4
ADDRLP4 36
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
line 290
;290:	len = VectorNormalize( dir );
ADDRLP4 4
ARGP4
ADDRLP4 40
ADDRGP4 VectorNormalize
CALLF4
ASGNF4
ADDRLP4 16
ADDRLP4 40
INDIRF4
ASGNF4
line 291
;291:	vectoangles( dir, ent->s.angles );
ADDRLP4 4
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 116
ADDP4
ARGP4
ADDRGP4 vectoangles
CALLV
pop
line 293
;292:	
;293:	VectorCopy( target->s.origin, ent->s.origin2 );
ADDRFP4 0
INDIRP4
CNSTI4 104
ADDP4
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
INDIRB
ASGNB 12
line 294
;294:	SnapVector(ent->s.origin2);
ADDRLP4 44
ADDRFP4 0
INDIRP4
CNSTI4 104
ADDP4
ASGNP4
ADDRLP4 44
INDIRP4
ADDRLP4 44
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 48
ADDRFP4 0
INDIRP4
CNSTI4 108
ADDP4
ASGNP4
ADDRLP4 48
INDIRP4
ADDRLP4 48
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 52
ADDRFP4 0
INDIRP4
CNSTI4 112
ADDP4
ASGNP4
ADDRLP4 52
INDIRP4
ADDRLP4 52
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
line 296
;295:
;296:	if ( ent->targetname )
ADDRFP4 0
INDIRP4
CNSTI4 468
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $130
line 297
;297:	{
line 298
;298:		ent->use = bolt_use;
ADDRFP4 0
INDIRP4
CNSTI4 516
ADDP4
ADDRGP4 bolt_use
ASGNP4
line 299
;299:	}
LABELV $130
line 301
;300:
;301:	G_AddEvent( ent, EV_FX_BOLT, ent->spawnflags );
ADDRLP4 44
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 44
INDIRP4
ARGP4
CNSTI4 79
ARGI4
ADDRLP4 44
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
ARGI4
ADDRGP4 G_AddEvent
CALLV
pop
line 302
;302:	ent->s.time2 = ent->wait;
ADDRLP4 48
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 48
INDIRP4
CNSTI4 88
ADDP4
ADDRLP4 48
INDIRP4
CNSTI4 608
ADDP4
INDIRF4
CVFI4 4
ASGNI4
line 303
;303:	ent->think = bolt_think;	
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 bolt_think
ASGNP4
line 304
;304:	ent->nextthink = level.time + 10000;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 10000
ADDI4
ASGNI4
line 305
;305:	trap_LinkEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 306
;306:}
LABELV $122
endproc bolt_link 56 12
export SP_fx_bolt
proc SP_fx_bolt 12 12
line 310
;307:
;308://------------------------------------------
;309:void SP_fx_bolt( gentity_t *ent )
;310:{
line 311
;311:	G_SpawnInt( "damage", "0", &ent->damage );
ADDRGP4 $92
ARGP4
ADDRGP4 $93
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 552
ADDP4
ARGP4
ADDRGP4 G_SpawnInt
CALLI4
pop
line 312
;312:	G_SpawnFloat( "random", "0.5", &ent->random );
ADDRGP4 $134
ARGP4
ADDRGP4 $135
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 612
ADDP4
ARGP4
ADDRGP4 G_SpawnFloat
CALLI4
pop
line 313
;313:	G_SpawnFloat( "speed", "15.0", &ent->speed );
ADDRGP4 $136
ARGP4
ADDRGP4 $137
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 480
ADDP4
ARGP4
ADDRGP4 G_SpawnFloat
CALLI4
pop
line 316
;314:
;315:	// See if effect is supposed to be delayed
;316:	G_SpawnFloat( "wait", "2.0", &ent->wait );
ADDRGP4 $138
ARGP4
ADDRGP4 $139
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 608
ADDP4
ARGP4
ADDRGP4 G_SpawnFloat
CALLI4
pop
line 318
;317:
;318:	SnapVector(ent->s.origin);
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 92
ADDP4
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 4
ADDRFP4 0
INDIRP4
CNSTI4 96
ADDP4
ASGNP4
ADDRLP4 4
INDIRP4
ADDRLP4 4
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 8
ADDRFP4 0
INDIRP4
CNSTI4 100
ADDP4
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
line 319
;319:	VectorCopy( ent->s.origin, ent->s.pos.trBase );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
CNSTI4 24
ADDP4
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
INDIRB
ASGNB 12
line 321
;320:
;321:	ent->s.angles2[0] = ent->speed;
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CNSTI4 128
ADDP4
ADDRLP4 4
INDIRP4
CNSTI4 480
ADDP4
INDIRF4
ASGNF4
line 322
;322:	ent->s.angles2[1] = ent->random;
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
CNSTI4 132
ADDP4
ADDRLP4 8
INDIRP4
CNSTI4 612
ADDP4
INDIRF4
ASGNF4
line 324
;323:
;324:	if (ent->target)
ADDRFP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $140
line 325
;325:	{
line 326
;326:		ent->think = bolt_link;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 bolt_link
ASGNP4
line 327
;327:		ent->nextthink = level.time + 100;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 100
ADDI4
ASGNI4
line 328
;328:		return;
ADDRGP4 $133
JUMPV
LABELV $140
line 331
;329:	}
;330:
;331:	trap_LinkEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 332
;332:}
LABELV $133
endproc SP_fx_bolt 12 12
export transporter_link
proc transporter_link 0 12
line 342
;333:
;334:
;335://--------------------------------------------------
;336:/*QUAKED fx_transporter (0 0 1) (-8 -8 -8) (8 8 8)
;337:Emits transporter pad effect at the specified point. just rest it flush on top of the pad. 
;338:
;339:*/
;340:
;341:void transporter_link( gentity_t *ent )
;342:{
line 343
;343:	G_AddEvent( ent, EV_FX_TRANSPORTER_PAD, 0 );
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 80
ARGI4
CNSTI4 0
ARGI4
ADDRGP4 G_AddEvent
CALLV
pop
line 344
;344:}
LABELV $143
endproc transporter_link 0 12
export SP_fx_transporter
proc SP_fx_transporter 12 4
line 348
;345:
;346://------------------------------------------
;347:void SP_fx_transporter(gentity_t *ent)
;348:{
line 349
;349:	SnapVector(ent->s.origin);
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 92
ADDP4
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 4
ADDRFP4 0
INDIRP4
CNSTI4 96
ADDP4
ASGNP4
ADDRLP4 4
INDIRP4
ADDRLP4 4
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 8
ADDRFP4 0
INDIRP4
CNSTI4 100
ADDP4
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
line 350
;350:	VectorCopy( ent->s.origin, ent->s.pos.trBase );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
CNSTI4 24
ADDP4
ADDRLP4 0
INDIRP4
CNSTI4 92
ADDP4
INDIRB
ASGNB 12
line 352
;351:
;352:	ent->think = transporter_link; 
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 transporter_link
ASGNP4
line 353
;353:	ent->nextthink = level.time + 2000;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 2000
ADDI4
ASGNI4
line 355
;354:
;355:	trap_LinkEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 356
;356:}
LABELV $144
endproc SP_fx_transporter 12 4
export drip_think
proc drip_think 0 12
line 368
;357:
;358:
;359:
;360:/*QUAKED fx_drip (0 0 1) (-8 -8 -8) (8 8 8) STARTOFF
;361:
;362:  "damage" -- type of drips. 0 = water, 1 = oil, 2 = green
;363:  "random" -- (0...1) degree of drippiness. 0 = one drip, 1 = Niagara Falls
;364:*/
;365:
;366://------------------------------------------
;367:void drip_think( gentity_t *ent )
;368:{
line 369
;369:	G_AddEvent( ent, EV_FX_DRIP, 0 );
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 81
ARGI4
CNSTI4 0
ARGI4
ADDRGP4 G_AddEvent
CALLV
pop
line 370
;370:	ent->nextthink = level.time + 10000; // send a refresh message every 10 seconds
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 10000
ADDI4
ASGNI4
line 371
;371:}
LABELV $146
endproc drip_think 0 12
export SP_fx_drip
proc SP_fx_drip 20 4
line 375
;372:
;373://------------------------------------------
;374:void SP_fx_drip( gentity_t	*ent )
;375:{
line 376
;376:	ent->s.time2 = ent->damage; 
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
CNSTI4 88
ADDP4
ADDRLP4 0
INDIRP4
CNSTI4 552
ADDP4
INDIRI4
ASGNI4
line 378
;377:
;378:	ent->s.angles2[0] = ent->random; 
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CNSTI4 128
ADDP4
ADDRLP4 4
INDIRP4
CNSTI4 612
ADDP4
INDIRF4
ASGNF4
line 380
;379:
;380:	SnapVector(ent->s.origin);
ADDRLP4 8
ADDRFP4 0
INDIRP4
CNSTI4 92
ADDP4
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 12
ADDRFP4 0
INDIRP4
CNSTI4 96
ADDP4
ASGNP4
ADDRLP4 12
INDIRP4
ADDRLP4 12
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 16
ADDRFP4 0
INDIRP4
CNSTI4 100
ADDP4
ASGNP4
ADDRLP4 16
INDIRP4
ADDRLP4 16
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
line 381
;381:	VectorCopy( ent->s.origin, ent->s.pos.trBase );
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
CNSTI4 24
ADDP4
ADDRLP4 8
INDIRP4
CNSTI4 92
ADDP4
INDIRB
ASGNB 12
line 383
;382:
;383:	ent->think = drip_think; 
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 drip_think
ASGNP4
line 384
;384:	ent->nextthink = level.time + 1000;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 1000
ADDI4
ASGNI4
line 386
;385:
;386:	trap_LinkEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 387
;387:}
LABELV $148
endproc SP_fx_drip 20 4
import G_UnTimeShiftAllClients
import G_UnTimeShiftClient
import G_TimeShiftAllClients
import G_TimeShiftClient
import G_ResetTrail
import G_StoreTrail
import trap_GeneticParentsAndChildSelection
import trap_BotResetWeaponState
import trap_BotFreeWeaponState
import trap_BotAllocWeaponState
import trap_BotLoadWeaponWeights
import trap_BotGetWeaponInfo
import trap_BotChooseBestFightWeapon
import trap_BotInitMoveState
import trap_BotFreeMoveState
import trap_BotAllocMoveState
import trap_BotPredictVisiblePosition
import trap_BotMovementViewTarget
import trap_BotReachabilityArea
import trap_BotResetLastAvoidReach
import trap_BotResetAvoidReach
import trap_BotMoveInDirection
import trap_BotMoveToGoal
import trap_BotResetMoveState
import trap_BotFreeGoalState
import trap_BotAllocGoalState
import trap_BotMutateGoalFuzzyLogic
import trap_BotSaveGoalFuzzyLogic
import trap_BotInterbreedGoalFuzzyLogic
import trap_BotFreeItemWeights
import trap_BotLoadItemWeights
import trap_BotUpdateEntityItems
import trap_BotInitLevelItems
import trap_BotAvoidGoalTime
import trap_BotGetLevelItemGoal
import trap_BotGetMapLocationGoal
import trap_BotGetNextCampSpotGoal
import trap_BotItemGoalInVisButNotVisible
import trap_BotTouchingGoal
import trap_BotChooseNBGItem
import trap_BotChooseLTGItem
import trap_BotGetSecondGoal
import trap_BotGetTopGoal
import trap_BotGoalName
import trap_BotDumpGoalStack
import trap_BotDumpAvoidGoals
import trap_BotEmptyGoalStack
import trap_BotPopGoal
import trap_BotPushGoal
import trap_BotResetAvoidGoals
import trap_BotRemoveFromAvoidGoals
import trap_BotResetGoalState
import trap_BotSetChatName
import trap_BotSetChatGender
import trap_BotLoadChatFile
import trap_BotReplaceSynonyms
import trap_UnifyWhiteSpaces
import trap_BotMatchVariable
import trap_BotFindMatch
import trap_StringContains
import trap_BotGetChatMessage
import trap_BotEnterChat
import trap_BotChatLength
import trap_BotReplyChat
import trap_BotNumInitialChats
import trap_BotInitialChat
import trap_BotNumConsoleMessages
import trap_BotNextConsoleMessage
import trap_BotRemoveConsoleMessage
import trap_BotQueueConsoleMessage
import trap_BotFreeChatState
import trap_BotAllocChatState
import trap_Characteristic_String
import trap_Characteristic_BInteger
import trap_Characteristic_Integer
import trap_Characteristic_BFloat
import trap_Characteristic_Float
import trap_BotFreeCharacter
import trap_BotLoadCharacter
import trap_EA_ResetInput
import trap_EA_GetInput
import trap_EA_EndRegular
import trap_EA_View
import trap_EA_Move
import trap_EA_MoveRight
import trap_EA_MoveLeft
import trap_EA_MoveBack
import trap_EA_MoveForward
import trap_EA_MoveDown
import trap_EA_MoveUp
import trap_EA_Crouch
import trap_EA_DelayedJump
import trap_EA_Jump
import trap_EA_Respawn
import trap_EA_Use
import trap_EA_Alt_Attack
import trap_EA_Attack
import trap_EA_Talk
import trap_EA_SelectWeapon
import trap_EA_Command
import trap_EA_Gesture
import trap_EA_DropInv
import trap_EA_UseInv
import trap_EA_DropItem
import trap_EA_UseItem
import trap_EA_SayTeam
import trap_EA_Say
import trap_AAS_PredictClientMovement
import trap_AAS_Swimming
import trap_AAS_AreaTravelTimeToGoalArea
import trap_AAS_AreaReachability
import trap_AAS_IntForBSPEpairKey
import trap_AAS_FloatForBSPEpairKey
import trap_AAS_VectorForBSPEpairKey
import trap_AAS_ValueForBSPEpairKey
import trap_AAS_NextBSPEntity
import trap_AAS_PointContents
import trap_AAS_TraceAreas
import trap_AAS_PointAreaNum
import trap_AAS_Time
import trap_AAS_PresenceTypeBoundingBox
import trap_AAS_Initialized
import trap_AAS_EntityInfo
import trap_BotUserCommand
import trap_BotGetConsoleMessage
import trap_BotGetSnapshotEntity
import trap_BotLibTest
import trap_BotLibUpdateEntity
import trap_BotLibLoadMap
import trap_BotLibStartFrame
import trap_BotLibDefine
import trap_BotLibVarGet
import trap_BotLibVarSet
import trap_BotLibShutdown
import trap_BotLibSetup
import trap_DebugPolygonDelete
import trap_DebugPolygonCreate
import trap_GetEntityToken
import trap_GetUsercmd
import trap_BotFreeClient
import trap_BotAllocateClient
import trap_EntityContact
import trap_EntitiesInBox
import trap_UnlinkEntity
import trap_LinkEntity
import trap_AreasConnected
import trap_AdjustAreaPortalState
import trap_InPVSIgnorePortals
import trap_InPVS
import trap_PointContents
import trap_Trace
import trap_SetBrushModel
import trap_GetServerinfo
import trap_SetUserinfo
import trap_GetUserinfo
import trap_GetConfigstring
import trap_SetConfigstring
import trap_SendServerCommand
import trap_DropClient
import trap_LocateGameData
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableIntegerValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_SendConsoleCommand
import trap_FS_GetFileList
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Milliseconds
import trap_Error
import trap_Printf
import g_unlaggedVersion
import g_delagHitscan
import g_CStrikeVersion
import g_classChangeDebounceTime
import g_noJoinTimeout
import g_random_skin_limit
import g_team_group_blue
import g_team_group_red
import g_ghostRespawn
import g_holoIntro
import g_debugUp
import g_debugRight
import g_debugForward
import g_filterBan
import g_banIPs
import g_teamForceBalance
import g_teamAutoJoin
import g_allowVote
import g_doWarmup
import g_warmup
import g_motd
import g_synchronousClients
import g_adaptRespawn
import g_weaponRespawn
import g_debugDamage
import g_debugAlloc
import g_debugMove
import g_inactivity
import g_forcerespawn
import g_dmgmult
import g_knockback
import g_speed
import g_gravity
import g_needpass
import g_password
import g_friendlyFire
import g_capturelimit
import g_timelimitWinningTeam
import g_timelimit
import g_fraglimit
import g_dmflags
import g_language
import g_restarted
import g_maxGameClients
import g_maxclients
import g_cheats
import g_dedicated
import g_gametype
import g_pModElimination
import g_pModSpecialties
import g_pModActionHero
import g_pModDisintegration
import g_pModAssimilation
import g_entities
import level
import Pickup_Team
import CheckTeamStatus
import TeamplayInfoMessage
import Team_GetLocationMsg
import Team_GetLocation
import SelectCTFSpawnPoint
import Team_FreeEntity
import Team_ReturnFlag
import Team_InitGame
import Team_CheckHurtCarrier
import Team_FragBonuses
import Team_DroppedFlagThink
import TeamColorString
import OtherTeamName
import TeamName
import OtherTeam
import BotAIStartFrame
import BotAIShutdownClient
import BotAISetupClient
import BotAILoadMap
import BotAIShutdown
import BotAISetup
import BotInterbreedEndMatch
import Svcmd_BotList_f
import Svcmd_AddBot_f
import G_BotConnect
import G_QueueBotBegin
import G_CheckBotSpawn
import G_GetBotInfoByName
import G_GetBotInfoByNumber
import G_InitBots
import Svcmd_AbortPodium_f
import SpawnModelsOnVictoryPads
import UpdateTournamentInfo
import G_WriteSessionData
import G_InitWorldSession
import G_InitSessionData
import G_ReadSessionData
import Svcmd_GameMem_f
import G_InitMemory
import G_Alloc
import Team_CheckDroppedItem
import OnSameTeam
import Cmd_Ready_f
import G_RunClient
import ClientEndFrame
import ClientThink
import ClientCommand
import ClientBegin
import ClientDisconnect
import ClientUserinfoChanged
import ClientConnect
import GetFavoriteWeaponForClient
import GetWorstEnemyForClient
import GetFavoriteTargetForClient
import GetMaxKillsForClient
import GetMaxDeathsForClient
import CalculateTeamMVPByRank
import CalculateAwards
import G_ClearClientLog
import G_LogExit
import G_LogWeaponOutput
import G_LogWeaponInit
import G_LogWeaponItem
import G_LogWeaponPowerup
import G_LogWeaponFrag
import G_LogWeaponDeath
import G_LogWeaponKill
import G_LogWeaponDamage
import G_LogWeaponFire
import G_LogWeaponPickup
import G_LogPrintf
import G_Error
import G_Printf
import SendScoreboardMessageToAllClients
import G_RunThink
import FindIntermissionPoint
import DeathmatchScoreboardMessage
import G_SetStats
import MoveClientToIntermission
import FireWeapon
import G_FilterPacket
import G_ProcessIPBans
import ConsoleCommand
import SpotWouldTelefrag
import CalculateRanks
import AddScore
import player_die
import ClientSpawn
import InitBodyQue
import InitClientResp
import InitClientPersistant
import BeginIntermission
import respawn
import SelectSpawnPoint
import SetClientViewAngle
import PickTeam
import TeamCount
import FireSeeker
import SeekerAcquiresTarget
import SnapVectorTowards
import CalcMuzzlePoint
import LogAccuracyHit
import TransportPlayer
import TeleportPlayer
import trigger_teleporter_touch
import Touch_DoorTrigger
import G_RunMover
import fire_grapple
import fire_rocket
import fire_grenade
import fire_quantum
import fire_plasma
import fire_blaster
import G_RunMissile
import TossClientItems
import body_die
import G_RadiusDamage
import G_Damage
import CanDamage
import G_RadiusList
import G_SetOrigin
import G_AddEvent
import G_AddPredictableEvent
import vectoyaw
import vtos
import tv
import G_TouchSolids
import G_TouchTriggers
import G_FreeEntity
import G_Sound
import G_TempEntity
import G_Spawn
import G_InitGentity
import G_SetMovedir
import G_UseTargets2
import G_UseTargets
import G_PickTarget
import G_Find
import G_KillBox
import G_TeamCommand
import G_SoundIndex
import G_ModelIndex
import SaveRegisteredItems
import RegisterItem
import ClearRegisteredItems
import Touch_Item
import Add_Ammo
import ArmorIndex
import Think_Weapon
import FinishSpawningItem
import G_SpawnItem
import SetRespawn
import Drop_Item
import PrecacheItem
import UseHoldableItem
import RespawnItem
import G_RunItem
import G_CheckTeamItems
import Cmd_FollowCycle_f
import SetTeam
import BroadcastTeamChange
import StopFollowing
import Cmd_Score_f
import G_NewString
import G_SpawnEntitiesFromString
import G_SpawnVector
import G_SpawnInt
import G_SpawnFloat
import G_SpawnString
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $139
byte 1 50
byte 1 46
byte 1 48
byte 1 0
align 1
LABELV $138
byte 1 119
byte 1 97
byte 1 105
byte 1 116
byte 1 0
align 1
LABELV $137
byte 1 49
byte 1 53
byte 1 46
byte 1 48
byte 1 0
align 1
LABELV $136
byte 1 115
byte 1 112
byte 1 101
byte 1 101
byte 1 100
byte 1 0
align 1
LABELV $135
byte 1 48
byte 1 46
byte 1 53
byte 1 0
align 1
LABELV $134
byte 1 114
byte 1 97
byte 1 110
byte 1 100
byte 1 111
byte 1 109
byte 1 0
align 1
LABELV $127
byte 1 98
byte 1 111
byte 1 108
byte 1 116
byte 1 95
byte 1 108
byte 1 105
byte 1 110
byte 1 107
byte 1 58
byte 1 32
byte 1 117
byte 1 110
byte 1 97
byte 1 98
byte 1 108
byte 1 101
byte 1 32
byte 1 116
byte 1 111
byte 1 32
byte 1 102
byte 1 105
byte 1 110
byte 1 100
byte 1 32
byte 1 116
byte 1 97
byte 1 114
byte 1 103
byte 1 101
byte 1 116
byte 1 32
byte 1 37
byte 1 115
byte 1 10
byte 1 0
align 1
LABELV $93
byte 1 48
byte 1 0
align 1
LABELV $92
byte 1 100
byte 1 97
byte 1 109
byte 1 97
byte 1 103
byte 1 101
byte 1 0
align 1
LABELV $84
byte 1 115
byte 1 116
byte 1 101
byte 1 97
byte 1 109
byte 1 95
byte 1 108
byte 1 105
byte 1 110
byte 1 107
byte 1 58
byte 1 32
byte 1 117
byte 1 110
byte 1 97
byte 1 98
byte 1 108
byte 1 101
byte 1 32
byte 1 116
byte 1 111
byte 1 32
byte 1 102
byte 1 105
byte 1 110
byte 1 100
byte 1 32
byte 1 116
byte 1 97
byte 1 114
byte 1 103
byte 1 101
byte 1 116
byte 1 32
byte 1 37
byte 1 115
byte 1 10
byte 1 0
align 1
LABELV $63
byte 1 115
byte 1 112
byte 1 97
byte 1 114
byte 1 107
byte 1 95
byte 1 108
byte 1 105
byte 1 110
byte 1 107
byte 1 58
byte 1 32
byte 1 116
byte 1 97
byte 1 114
byte 1 103
byte 1 101
byte 1 116
byte 1 32
byte 1 115
byte 1 112
byte 1 101
byte 1 99
byte 1 105
byte 1 102
byte 1 105
byte 1 101
byte 1 100
byte 1 32
byte 1 98
byte 1 117
byte 1 116
byte 1 32
byte 1 110
byte 1 111
byte 1 116
byte 1 32
byte 1 102
byte 1 111
byte 1 117
byte 1 110
byte 1 100
byte 1 58
byte 1 32
byte 1 37
byte 1 115
byte 1 10
byte 1 0
