export adjustRespawnTime
code
proc adjustRespawnTime 0 0
file "../g_items.c"
line 34
;1:// Copyright (C) 1999-2000 Id Software, Inc.
;2://
;3:#include "g_local.h"
;4:
;5:/*
;6:
;7:  Items are any object that a player can touch to gain some effect.
;8:
;9:  Pickup will return the number of seconds until they should respawn.
;10:
;11:  all items should pop when dropped in lava or slime
;12:
;13:  Respawnable items don't actually go away when picked up, they are
;14:  just made invisible and untouchable.  This allows them to ride
;15:  movers and respawn apropriately.
;16:*/
;17:
;18:
;19:#define	RESPAWN_ARMOR		20
;20:#define	RESPAWN_TEAM_WEAPON	30
;21:#define	RESPAWN_HEALTH		30
;22:#define	RESPAWN_AMMO		40
;23:#define	RESPAWN_HOLDABLE	60
;24:#define	RESPAWN_MEGAHEALTH	120
;25:#define	RESPAWN_POWERUP		120
;26:
;27:
;28:/*QUAKED item_botroam (.5 .3 .7) (-16 -16 -24) (16 16 0)
;29:Bots in MP will go to these spots when there's nothing else to get- helps them patrol.
;30:*/
;31:
;32:// For more than four players, adjust the respawn times, up to 1/4.
;33:int adjustRespawnTime(float respawnTime)
;34:{
line 35
;35:	if (!g_adaptRespawn.integer)
ADDRGP4 g_adaptRespawn+12
INDIRI4
CNSTI4 0
NEI4 $56
line 36
;36:	{
line 37
;37:		return((int)respawnTime);
ADDRFP4 0
INDIRF4
CVFI4 4
RETI4
ADDRGP4 $55
JUMPV
LABELV $56
line 40
;38:	}
;39:
;40:	if (level.numPlayingClients > 4)
ADDRGP4 level+84
INDIRI4
CNSTI4 4
LEI4 $59
line 41
;41:	{	// Start scaling the respawn times.
line 42
;42:		if (level.numPlayingClients > 32)
ADDRGP4 level+84
INDIRI4
CNSTI4 32
LEI4 $62
line 43
;43:		{	// 1/4 time minimum.
line 44
;44:			respawnTime *= 0.25;
ADDRFP4 0
CNSTF4 1048576000
ADDRFP4 0
INDIRF4
MULF4
ASGNF4
line 45
;45:		}
ADDRGP4 $63
JUMPV
LABELV $62
line 46
;46:		else if (level.numPlayingClients > 12)
ADDRGP4 level+84
INDIRI4
CNSTI4 12
LEI4 $65
line 47
;47:		{	// From 12-32, scale from 0.5 to 0.25;
line 48
;48:			respawnTime *= 20.0 / (float)(level.numPlayingClients + 8);
ADDRFP4 0
ADDRFP4 0
INDIRF4
CNSTF4 1101004800
ADDRGP4 level+84
INDIRI4
CNSTI4 8
ADDI4
CVIF4 4
DIVF4
MULF4
ASGNF4
line 49
;49:		}
ADDRGP4 $66
JUMPV
LABELV $65
line 51
;50:		else 
;51:		{	// From 4-12, scale from 1.0 to 0.5;
line 52
;52:			respawnTime *= 8.0 / (float)(level.numPlayingClients + 4);
ADDRFP4 0
ADDRFP4 0
INDIRF4
CNSTF4 1090519040
ADDRGP4 level+84
INDIRI4
CNSTI4 4
ADDI4
CVIF4 4
DIVF4
MULF4
ASGNF4
line 53
;53:		}
LABELV $66
LABELV $63
line 54
;54:	}
LABELV $59
line 56
;55:
;56:	if (respawnTime < 1.0)
ADDRFP4 0
INDIRF4
CNSTF4 1065353216
GEF4 $70
line 57
;57:	{	// No matter what, don't go lower than 1 second, or the pickups become very noisy!
line 58
;58:		respawnTime = 1.0;
ADDRFP4 0
CNSTF4 1065353216
ASGNF4
line 59
;59:	}
LABELV $70
line 61
;60:
;61:	return ((int)respawnTime);
ADDRFP4 0
INDIRF4
CVFI4 4
RETI4
LABELV $55
endproc adjustRespawnTime 0 0
export Pickup_Powerup
proc Pickup_Powerup 132 28
line 67
;62:}
;63:
;64:
;65://======================================================================
;66:
;67:int Pickup_Powerup( gentity_t *ent, gentity_t *other ) {
line 72
;68:	int			quantity;
;69:	int			i;
;70:	gclient_t	*client;
;71:
;72:	if ( !other->client->ps.powerups[ent->item->giTag] ) {
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
CNSTI4 2
LSHI4
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 332
ADDP4
ADDP4
INDIRI4
CNSTI4 0
NEI4 $73
line 75
;73:		// round timing to seconds to make multiple powerup timers
;74:		// count in sync
;75:		other->client->ps.powerups[ent->item->giTag] = 
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
CNSTI4 2
LSHI4
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 332
ADDP4
ADDP4
ADDRGP4 level+32
INDIRI4
ADDRGP4 level+32
INDIRI4
CNSTI4 1000
MODI4
SUBI4
ASGNI4
line 79
;76:			level.time - ( level.time % 1000 );
;77:
;78:		// kef -- log the fact that we picked up this powerup
;79:		G_LogWeaponPowerup(other->s.number, ent->item->giTag);
ADDRFP4 4
INDIRP4
INDIRI4
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
ARGI4
ADDRGP4 G_LogWeaponPowerup
CALLV
pop
line 80
;80:	}
LABELV $73
line 82
;81:
;82:	if ( ent->count ) {
ADDRFP4 0
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
CNSTI4 0
EQI4 $77
line 83
;83:		quantity = ent->count;
ADDRLP4 8
ADDRFP4 0
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
ASGNI4
line 84
;84:	} else {
ADDRGP4 $78
JUMPV
LABELV $77
line 85
;85:		quantity = ent->item->quantity;
ADDRLP4 8
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 24
ADDP4
INDIRI4
ASGNI4
line 86
;86:	}
LABELV $78
line 88
;87:
;88:	other->client->ps.powerups[ent->item->giTag] += quantity * 1000;
ADDRLP4 12
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
CNSTI4 2
LSHI4
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 332
ADDP4
ADDP4
ASGNP4
ADDRLP4 12
INDIRP4
ADDRLP4 12
INDIRP4
INDIRI4
CNSTI4 1000
ADDRLP4 8
INDIRI4
MULI4
ADDI4
ASGNI4
line 92
;89:
;90:	// CGMarker: Use this for bomb zone point entity
;91:	// give any nearby players a "denied" anti-reward
;92:	for ( i = 0 ; i < level.maxclients ; i++ ) {
ADDRLP4 4
CNSTI4 0
ASGNI4
ADDRGP4 $82
JUMPV
LABELV $79
line 98
;93:		vec3_t		delta;
;94:		float		len;
;95:		vec3_t		forward;
;96:		trace_t		tr;
;97:
;98:		client = &level.clients[i];
ADDRLP4 0
CNSTI4 1320
ADDRLP4 4
INDIRI4
MULI4
ADDRGP4 level
INDIRP4
ADDP4
ASGNP4
line 99
;99:		if ( client == other->client ) {
ADDRLP4 0
INDIRP4
CVPU4 4
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CVPU4 4
NEU4 $84
line 100
;100:			continue;
ADDRGP4 $80
JUMPV
LABELV $84
line 102
;101:		}
;102:		if ( client->pers.connected == CON_DISCONNECTED ) {
ADDRLP4 0
INDIRP4
CNSTI4 468
ADDP4
INDIRI4
CNSTI4 0
NEI4 $86
line 103
;103:			continue;
ADDRGP4 $80
JUMPV
LABELV $86
line 105
;104:		}
;105:		if ( client->ps.stats[STAT_HEALTH] <= 0 ) {
ADDRLP4 0
INDIRP4
CNSTI4 204
ADDP4
INDIRI4
CNSTI4 0
GTI4 $88
line 106
;106:			continue;
ADDRGP4 $80
JUMPV
LABELV $88
line 111
;107:		}
;108:
;109:    // if same team in team game, no sound
;110:    // cannot use OnSameTeam as it expects to g_entities, not clients
;111:  	if ( g_gametype.integer >= GT_TEAM && other->client->sess.sessionTeam == client->sess.sessionTeam  ) {
ADDRGP4 g_gametype+12
INDIRI4
CNSTI4 3
LTI4 $90
ADDRLP4 100
CNSTI4 620
ASGNI4
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
ADDRLP4 100
INDIRI4
ADDP4
INDIRI4
ADDRLP4 0
INDIRP4
ADDRLP4 100
INDIRI4
ADDP4
INDIRI4
NEI4 $90
line 112
;112:      continue;
ADDRGP4 $80
JUMPV
LABELV $90
line 116
;113:    }
;114:
;115:		// if too far away, no sound
;116:		VectorSubtract( ent->s.pos.trBase, client->ps.origin, delta );
ADDRLP4 104
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 108
CNSTI4 24
ASGNI4
ADDRLP4 16
ADDRLP4 104
INDIRP4
ADDRLP4 108
INDIRI4
ADDP4
INDIRF4
ADDRLP4 0
INDIRP4
CNSTI4 20
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 16+4
ADDRLP4 104
INDIRP4
CNSTI4 28
ADDP4
INDIRF4
ADDRLP4 0
INDIRP4
ADDRLP4 108
INDIRI4
ADDP4
INDIRF4
SUBF4
ASGNF4
ADDRLP4 16+8
ADDRFP4 0
INDIRP4
CNSTI4 32
ADDP4
INDIRF4
ADDRLP4 0
INDIRP4
CNSTI4 28
ADDP4
INDIRF4
SUBF4
ASGNF4
line 117
;117:		len = VectorNormalize( delta );
ADDRLP4 16
ARGP4
ADDRLP4 116
ADDRGP4 VectorNormalize
CALLF4
ASGNF4
ADDRLP4 40
ADDRLP4 116
INDIRF4
ASGNF4
line 118
;118:		if ( len > 192 ) {
ADDRLP4 40
INDIRF4
CNSTF4 1128267776
LEF4 $95
line 119
;119:			continue;
ADDRGP4 $80
JUMPV
LABELV $95
line 123
;120:		}
;121:
;122:		// if not facing, no sound
;123:		AngleVectors( client->ps.viewangles, forward, NULL, NULL );
ADDRLP4 0
INDIRP4
CNSTI4 168
ADDP4
ARGP4
ADDRLP4 28
ARGP4
ADDRLP4 120
CNSTP4 0
ASGNP4
ADDRLP4 120
INDIRP4
ARGP4
ADDRLP4 120
INDIRP4
ARGP4
ADDRGP4 AngleVectors
CALLV
pop
line 124
;124:		if ( DotProduct( delta, forward ) < 0.4 ) {
ADDRLP4 16
INDIRF4
ADDRLP4 28
INDIRF4
MULF4
ADDRLP4 16+4
INDIRF4
ADDRLP4 28+4
INDIRF4
MULF4
ADDF4
ADDRLP4 16+8
INDIRF4
ADDRLP4 28+8
INDIRF4
MULF4
ADDF4
CNSTF4 1053609165
GEF4 $97
line 125
;125:			continue;
ADDRGP4 $80
JUMPV
LABELV $97
line 129
;126:		}
;127:
;128:		// if not line of sight, no sound
;129:		trap_Trace( &tr, client->ps.origin, NULL, NULL, ent->s.pos.trBase, ENTITYNUM_NONE, CONTENTS_SOLID );
ADDRLP4 44
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 20
ADDP4
ARGP4
ADDRLP4 124
CNSTP4 0
ASGNP4
ADDRLP4 124
INDIRP4
ARGP4
ADDRLP4 124
INDIRP4
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 24
ADDP4
ARGP4
CNSTI4 1023
ARGI4
CNSTI4 1
ARGI4
ADDRGP4 trap_Trace
CALLV
pop
line 130
;130:		if ( tr.fraction != 1.0 ) {
ADDRLP4 44+8
INDIRF4
CNSTF4 1065353216
EQF4 $103
line 131
;131:			continue;
ADDRGP4 $80
JUMPV
LABELV $103
line 135
;132:		}
;133:
;134:		// anti-reward
;135:		client->ps.persistant[PERS_REWARD_COUNT]++;
ADDRLP4 128
ADDRLP4 0
INDIRP4
CNSTI4 292
ADDP4
ASGNP4
ADDRLP4 128
INDIRP4
ADDRLP4 128
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 136
;136:		client->ps.persistant[PERS_REWARD] = REWARD_DENIED;
ADDRLP4 0
INDIRP4
CNSTI4 296
ADDP4
CNSTI4 3
ASGNI4
line 137
;137:	}
LABELV $80
line 92
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $82
ADDRLP4 4
INDIRI4
ADDRGP4 level+24
INDIRI4
LTI4 $79
line 139
;138:
;139:	return RESPAWN_POWERUP;
CNSTI4 120
RETI4
LABELV $72
endproc Pickup_Powerup 132 28
export Pickup_Holdable
proc Pickup_Holdable 8 8
line 145
;140:}
;141:
;142://======================================================================
;143:
;144:int Pickup_Holdable( gentity_t *ent, gentity_t *other )
;145:{
line 146
;146:	int nItem = ent->item - bg_itemlist;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CVPU4 4
ADDRGP4 bg_itemlist
CVPU4 4
SUBU4
CVUI4 4
CNSTI4 44
DIVI4
ASGNI4
line 148
;147:
;148:	other->client->ps.stats[STAT_HOLDABLE_ITEM] = nItem;
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 208
ADDP4
ADDRLP4 0
INDIRI4
ASGNI4
line 151
;149:
;150:	// if we just picked up the detpack, indicate that it has not been placed yet
;151:	if (HI_DETPACK == bg_itemlist[nItem].giTag)
CNSTI4 44
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 bg_itemlist+32
ADDP4
INDIRI4
CNSTI4 3
NEI4 $107
line 152
;152:	{
line 153
;153:		other->client->ps.stats[STAT_USEABLE_PLACED] = 0;
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 232
ADDP4
CNSTI4 0
ASGNI4
line 154
;154:	}
LABELV $107
line 156
;155:	// kef -- log the fact that we picked up this item
;156:	G_LogWeaponItem(other->s.number, bg_itemlist[nItem].giTag);
ADDRFP4 4
INDIRP4
INDIRI4
ARGI4
CNSTI4 44
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 bg_itemlist+32
ADDP4
INDIRI4
ARGI4
ADDRGP4 G_LogWeaponItem
CALLV
pop
line 158
;157:
;158:	return adjustRespawnTime(RESPAWN_HOLDABLE);
CNSTF4 1114636288
ARGF4
ADDRLP4 4
ADDRGP4 adjustRespawnTime
CALLI4
ASGNI4
ADDRLP4 4
INDIRI4
RETI4
LABELV $106
endproc Pickup_Holdable 8 8
export Add_Ammo
proc Add_Ammo 12 0
line 165
;159:}
;160:
;161:
;162://======================================================================
;163:
;164:void Add_Ammo (gentity_t *ent, int weapon, int count)
;165:{
line 166
;166:	ent->client->ps.ammo[weapon] += count;
ADDRLP4 0
ADDRFP4 4
INDIRI4
CNSTI4 2
LSHI4
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 396
ADDP4
ADDP4
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRI4
ADDRFP4 8
INDIRI4
ADDI4
ASGNI4
line 167
;167:	if ( ent->client->ps.ammo[weapon] > Max_Ammo[weapon] ) {
ADDRLP4 4
ADDRFP4 4
INDIRI4
CNSTI4 2
LSHI4
ASGNI4
ADDRLP4 4
INDIRI4
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 396
ADDP4
ADDP4
INDIRI4
ADDRLP4 4
INDIRI4
ADDRGP4 Max_Ammo
ADDP4
INDIRI4
LEI4 $112
line 168
;168:		ent->client->ps.ammo[weapon] = Max_Ammo[weapon];
ADDRLP4 8
ADDRFP4 4
INDIRI4
CNSTI4 2
LSHI4
ASGNI4
ADDRLP4 8
INDIRI4
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 396
ADDP4
ADDP4
ADDRLP4 8
INDIRI4
ADDRGP4 Max_Ammo
ADDP4
INDIRI4
ASGNI4
line 169
;169:	}
LABELV $112
line 170
;170:}
LABELV $111
endproc Add_Ammo 12 0
export Pickup_Ammo
proc Pickup_Ammo 8 12
line 173
;171:
;172:int Pickup_Ammo (gentity_t *ent, gentity_t *other)
;173:{
line 176
;174:	int		quantity;
;175:
;176:	if ( ent->count ) {
ADDRFP4 0
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
CNSTI4 0
EQI4 $115
line 177
;177:		quantity = ent->count;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
ASGNI4
line 178
;178:	} else {
ADDRGP4 $116
JUMPV
LABELV $115
line 179
;179:		quantity = ent->item->quantity;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 24
ADDP4
INDIRI4
ASGNI4
line 180
;180:	}
LABELV $116
line 182
;181:
;182:	Add_Ammo (other, ent->item->giTag, quantity);
ADDRFP4 4
INDIRP4
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
ARGI4
ADDRLP4 0
INDIRI4
ARGI4
ADDRGP4 Add_Ammo
CALLV
pop
line 184
;183:
;184:	return adjustRespawnTime(RESPAWN_AMMO);
CNSTF4 1109393408
ARGF4
ADDRLP4 4
ADDRGP4 adjustRespawnTime
CALLI4
ASGNI4
ADDRLP4 4
INDIRI4
RETI4
LABELV $114
endproc Pickup_Ammo 8 12
export Pickup_Weapon
proc Pickup_Weapon 12 12
line 190
;185:}
;186:
;187://======================================================================
;188:
;189:
;190:int Pickup_Weapon (gentity_t *ent, gentity_t *other) {
line 193
;191:	int		quantity;
;192:
;193:	if ( ent->count < 0 ) {
ADDRFP4 0
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
CNSTI4 0
GEI4 $118
line 194
;194:		quantity = 0; // None for you, sir!
ADDRLP4 0
CNSTI4 0
ASGNI4
line 195
;195:	} else {
ADDRGP4 $119
JUMPV
LABELV $118
line 196
;196:		if ( ent->count ) {
ADDRFP4 0
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
CNSTI4 0
EQI4 $120
line 197
;197:			quantity = ent->count;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
ASGNI4
line 198
;198:		} else {
ADDRGP4 $121
JUMPV
LABELV $120
line 199
;199:			quantity = ent->item->quantity;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 24
ADDP4
INDIRI4
ASGNI4
line 200
;200:		}
LABELV $121
line 203
;201:
;202:		// dropped items and teamplay weapons always have full ammo
;203:		if ( ! (ent->flags & FL_DROPPED_ITEM) && g_gametype.integer != GT_TEAM ) {
ADDRFP4 0
INDIRP4
CNSTI4 324
ADDP4
INDIRI4
CNSTI4 4096
BANDI4
CNSTI4 0
NEI4 $122
ADDRGP4 g_gametype+12
INDIRI4
CNSTI4 3
EQI4 $122
line 209
;204:			// respawning rules
;205:
;206:			// New method:  If the player has less than half the minimum, give them the minimum, else add 1/2 the min.
;207:
;208:			// drop the quantity if the already have over the minimum
;209:			if ( other->client->ps.ammo[ ent->item->giTag ] < quantity*0.5 ) {
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
CNSTI4 2
LSHI4
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 396
ADDP4
ADDP4
INDIRI4
CVIF4 4
CNSTF4 1056964608
ADDRLP4 0
INDIRI4
CVIF4 4
MULF4
GEF4 $125
line 210
;210:				quantity = quantity - other->client->ps.ammo[ ent->item->giTag ];
ADDRLP4 0
ADDRLP4 0
INDIRI4
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
CNSTI4 2
LSHI4
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 396
ADDP4
ADDP4
INDIRI4
SUBI4
ASGNI4
line 211
;211:			} else {
ADDRGP4 $126
JUMPV
LABELV $125
line 212
;212:				quantity = quantity*0.5;		// only add half the value.
ADDRLP4 0
CNSTF4 1056964608
ADDRLP4 0
INDIRI4
CVIF4 4
MULF4
CVFI4 4
ASGNI4
line 213
;213:			}
LABELV $126
line 224
;214:
;215:			// Old method:  If the player has less than the minimum, give them the minimum, else just add 1.
;216:/*
;217:			// drop the quantity if the already have over the minimum
;218:			if ( other->client->ps.ammo[ ent->item->giTag ] < quantity ) {
;219:				quantity = quantity - other->client->ps.ammo[ ent->item->giTag ];
;220:			} else {
;221:				quantity = 1;		// only add a single shot
;222:			}
;223:			*/
;224:		}
LABELV $122
line 225
;225:	}
LABELV $119
line 228
;226:
;227:	// add the weapon
;228:	other->client->ps.stats[STAT_WEAPONS] |= ( 1 << ent->item->giTag );
ADDRLP4 4
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 212
ADDP4
ASGNP4
ADDRLP4 4
INDIRP4
ADDRLP4 4
INDIRP4
INDIRI4
CNSTI4 1
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
LSHI4
BORI4
ASGNI4
line 231
;229:
;230:	// CGMarker: Hopefully this will carry over your weapon successfully without firing or buying
;231:	if (other->client->ps.stats[STAT_WEAPONS] & (1 << WP_DREADNOUGHT )) {
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 212
ADDP4
INDIRI4
CNSTI4 512
BANDI4
CNSTI4 0
EQI4 $127
line 232
;232:		other->client->sess.weld = 1;
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 668
ADDP4
CNSTI4 1
ASGNI4
line 233
;233:	}
LABELV $127
line 234
;234:	if (other->client->ps.stats[STAT_WEAPONS] & (1 << WP_QUANTUM_BURST )) {
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 212
ADDP4
INDIRI4
CNSTI4 256
BANDI4
CNSTI4 0
EQI4 $129
line 235
;235:		other->client->sess.phot = 1;
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 664
ADDP4
CNSTI4 1
ASGNI4
line 236
;236:	}
LABELV $129
line 237
;237:	if (other->client->ps.stats[STAT_WEAPONS] & (1 << WP_TETRION_DISRUPTOR )) {
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 212
ADDP4
INDIRI4
CNSTI4 128
BANDI4
CNSTI4 0
EQI4 $131
line 238
;238:		other->client->sess.tetr = 1;
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 660
ADDP4
CNSTI4 1
ASGNI4
line 239
;239:	}
LABELV $131
line 240
;240:	if (other->client->ps.stats[STAT_WEAPONS] & (1 << WP_GRENADE_LAUNCHER )) {
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 212
ADDP4
INDIRI4
CNSTI4 64
BANDI4
CNSTI4 0
EQI4 $133
line 241
;241:		other->client->sess.gren = 1;
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 656
ADDP4
CNSTI4 1
ASGNI4
line 242
;242:	}
LABELV $133
line 243
;243:	if (other->client->ps.stats[STAT_WEAPONS] & (1 << WP_STASIS )) {
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 212
ADDP4
INDIRI4
CNSTI4 32
BANDI4
CNSTI4 0
EQI4 $135
line 244
;244:		other->client->sess.stas = 1;
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 652
ADDP4
CNSTI4 1
ASGNI4
line 245
;245:	}
LABELV $135
line 246
;246:	if (other->client->ps.stats[STAT_WEAPONS] & (1 << WP_SCAVENGER_RIFLE )) {
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 212
ADDP4
INDIRI4
CNSTI4 16
BANDI4
CNSTI4 0
EQI4 $137
line 247
;247:		other->client->sess.scav = 1;
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 648
ADDP4
CNSTI4 1
ASGNI4
line 248
;248:	}
LABELV $137
line 249
;249:	if (other->client->ps.stats[STAT_WEAPONS] & (1 << WP_IMOD )) {
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 212
ADDP4
INDIRI4
CNSTI4 8
BANDI4
CNSTI4 0
EQI4 $139
line 250
;250:		other->client->sess.imod = 1;
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 644
ADDP4
CNSTI4 1
ASGNI4
line 251
;251:	}
LABELV $139
line 255
;252:	// End Hopefullness ^_^
;253:	
;254:
;255:	Add_Ammo( other, ent->item->giTag, quantity );
ADDRFP4 4
INDIRP4
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
ARGI4
ADDRLP4 0
INDIRI4
ARGI4
ADDRGP4 Add_Ammo
CALLV
pop
line 257
;256:
;257:	G_LogWeaponPickup(other->s.number, ent->item->giTag);
ADDRFP4 4
INDIRP4
INDIRI4
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
ARGI4
ADDRGP4 G_LogWeaponPickup
CALLV
pop
line 260
;258:	
;259:	// team deathmatch has slow weapon respawns
;260:	if ( g_gametype.integer == GT_TEAM ) 
ADDRGP4 g_gametype+12
INDIRI4
CNSTI4 3
NEI4 $141
line 261
;261:	{
line 262
;262:		return adjustRespawnTime(RESPAWN_TEAM_WEAPON);
CNSTF4 1106247680
ARGF4
ADDRLP4 8
ADDRGP4 adjustRespawnTime
CALLI4
ASGNI4
ADDRLP4 8
INDIRI4
RETI4
ADDRGP4 $117
JUMPV
LABELV $141
line 265
;263:	}
;264:
;265:	return adjustRespawnTime(g_weaponRespawn.integer);
ADDRGP4 g_weaponRespawn+12
INDIRI4
CVIF4 4
ARGF4
ADDRLP4 8
ADDRGP4 adjustRespawnTime
CALLI4
ASGNI4
ADDRLP4 8
INDIRI4
RETI4
LABELV $117
endproc Pickup_Weapon 12 12
export Pickup_Health
proc Pickup_Health 24 4
line 271
;266:}
;267:
;268:
;269://======================================================================
;270:
;271:int Pickup_Health (gentity_t *ent, gentity_t *other) {
line 276
;272:	int			max;
;273:	int			quantity;
;274:
;275:	// small and mega healths will go over the max
;276:	if ( ent->item->quantity != 5 && ent->item->quantity != 100  ) {
ADDRLP4 8
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 24
ADDP4
INDIRI4
ASGNI4
ADDRLP4 8
INDIRI4
CNSTI4 5
EQI4 $146
ADDRLP4 8
INDIRI4
CNSTI4 100
EQI4 $146
line 277
;277:		max = other->client->ps.stats[STAT_MAX_HEALTH];
ADDRLP4 0
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 228
ADDP4
INDIRI4
ASGNI4
line 278
;278:	} else {
ADDRGP4 $147
JUMPV
LABELV $146
line 279
;279:		max = other->client->ps.stats[STAT_MAX_HEALTH] * 2;
ADDRLP4 0
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 228
ADDP4
INDIRI4
CNSTI4 1
LSHI4
ASGNI4
line 280
;280:	}
LABELV $147
line 282
;281:
;282:	if ( ent->count ) {
ADDRFP4 0
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
CNSTI4 0
EQI4 $148
line 283
;283:		quantity = ent->count;
ADDRLP4 4
ADDRFP4 0
INDIRP4
CNSTI4 572
ADDP4
INDIRI4
ASGNI4
line 284
;284:	} else {
ADDRGP4 $149
JUMPV
LABELV $148
line 285
;285:		quantity = ent->item->quantity;
ADDRLP4 4
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 24
ADDP4
INDIRI4
ASGNI4
line 286
;286:	}
LABELV $149
line 288
;287:
;288:	other->health += quantity;
ADDRLP4 12
ADDRFP4 4
INDIRP4
CNSTI4 540
ADDP4
ASGNP4
ADDRLP4 12
INDIRP4
ADDRLP4 12
INDIRP4
INDIRI4
ADDRLP4 4
INDIRI4
ADDI4
ASGNI4
line 290
;289:
;290:	if (other->health > max ) {
ADDRFP4 4
INDIRP4
CNSTI4 540
ADDP4
INDIRI4
ADDRLP4 0
INDIRI4
LEI4 $150
line 291
;291:		other->health = max;
ADDRFP4 4
INDIRP4
CNSTI4 540
ADDP4
ADDRLP4 0
INDIRI4
ASGNI4
line 292
;292:	}
LABELV $150
line 293
;293:	other->client->ps.stats[STAT_HEALTH] = other->health;
ADDRLP4 16
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 16
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 204
ADDP4
ADDRLP4 16
INDIRP4
CNSTI4 540
ADDP4
INDIRI4
ASGNI4
line 295
;294:
;295:	if ( ent->item->giTag == 100 ) {		// mega health respawns slow
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
CNSTI4 100
NEI4 $152
line 296
;296:		return RESPAWN_MEGAHEALTH;			// It also does not adapt like other health pickups.
CNSTI4 120
RETI4
ADDRGP4 $145
JUMPV
LABELV $152
line 299
;297:	}
;298:
;299:	return adjustRespawnTime(RESPAWN_HEALTH);
CNSTF4 1106247680
ARGF4
ADDRLP4 20
ADDRGP4 adjustRespawnTime
CALLI4
ASGNI4
ADDRLP4 20
INDIRI4
RETI4
LABELV $145
endproc Pickup_Health 24 4
export Pickup_Armor
proc Pickup_Armor 12 4
line 304
;300:}
;301:
;302://======================================================================
;303:
;304:int Pickup_Armor( gentity_t *ent, gentity_t *other ) {
line 305
;305:	other->client->ps.stats[STAT_ARMOR] += ent->item->quantity;
ADDRLP4 0
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 216
ADDP4
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRI4
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 24
ADDP4
INDIRI4
ADDI4
ASGNI4
line 306
;306:	if ( other->client->ps.stats[STAT_ARMOR] > other->client->ps.stats[STAT_MAX_HEALTH] * 2 ) {
ADDRLP4 4
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CNSTI4 216
ADDP4
INDIRI4
ADDRLP4 4
INDIRP4
CNSTI4 228
ADDP4
INDIRI4
CNSTI4 1
LSHI4
LEI4 $155
line 307
;307:		other->client->ps.stats[STAT_ARMOR] = other->client->ps.stats[STAT_MAX_HEALTH] * 2;
ADDRLP4 8
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
CNSTI4 216
ADDP4
ADDRLP4 8
INDIRP4
CNSTI4 228
ADDP4
INDIRI4
CNSTI4 1
LSHI4
ASGNI4
line 308
;308:	}
LABELV $155
line 310
;309:
;310:	return adjustRespawnTime(RESPAWN_ARMOR);
CNSTF4 1101004800
ARGF4
ADDRLP4 8
ADDRGP4 adjustRespawnTime
CALLI4
ASGNI4
ADDRLP4 8
INDIRI4
RETI4
LABELV $154
endproc Pickup_Armor 12 4
export RespawnItem
proc RespawnItem 24 12
line 320
;311:}
;312:
;313://======================================================================
;314:
;315:/*
;316:===============
;317:RespawnItem
;318:===============
;319:*/
;320:void RespawnItem( gentity_t *ent ) {
line 322
;321:	// randomly select from teamed entities
;322:	if (ent->team) {
ADDRFP4 0
INDIRP4
CNSTI4 472
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $158
line 327
;323:		gentity_t	*master;
;324:		int	count;
;325:		int choice;
;326:
;327:		if ( !ent->teammaster ) {
ADDRFP4 0
INDIRP4
CNSTI4 592
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $160
line 328
;328:			G_Error( "RespawnItem: bad teammaster");
ADDRGP4 $162
ARGP4
ADDRGP4 G_Error
CALLV
pop
line 329
;329:		}
LABELV $160
line 330
;330:		master = ent->teammaster;
ADDRLP4 8
ADDRFP4 0
INDIRP4
CNSTI4 592
ADDP4
INDIRP4
ASGNP4
line 332
;331:
;332:		for (count = 0, ent = master; ent; ent = ent->teamchain, count++)
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRFP4 0
ADDRLP4 8
INDIRP4
ASGNP4
ADDRGP4 $166
JUMPV
LABELV $163
line 333
;333:			;
LABELV $164
line 332
ADDRFP4 0
ADDRFP4 0
INDIRP4
CNSTI4 588
ADDP4
INDIRP4
ASGNP4
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $166
ADDRFP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $163
line 335
;334:
;335:		choice = rand() % count;
ADDRLP4 12
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 4
ADDRLP4 12
INDIRI4
ADDRLP4 0
INDIRI4
MODI4
ASGNI4
line 337
;336:
;337:		for (count = 0, ent = master; count < choice; ent = ent->teamchain, count++)
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRFP4 0
ADDRLP4 8
INDIRP4
ASGNP4
ADDRGP4 $170
JUMPV
LABELV $167
line 338
;338:			;
LABELV $168
line 337
ADDRFP4 0
ADDRFP4 0
INDIRP4
CNSTI4 588
ADDP4
INDIRP4
ASGNP4
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $170
ADDRLP4 0
INDIRI4
ADDRLP4 4
INDIRI4
LTI4 $167
line 339
;339:	}
LABELV $158
line 341
;340:
;341:	ent->r.contents = CONTENTS_TRIGGER;
ADDRFP4 0
INDIRP4
CNSTI4 248
ADDP4
CNSTI4 1073741824
ASGNI4
line 342
;342:	ent->s.eFlags &= ~(EF_NODRAW | EF_ITEMPLACEHOLDER);
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRI4
CNSTI4 -131
BANDI4
ASGNI4
line 343
;343:	ent->r.svFlags &= ~SVF_NOCLIENT;
ADDRLP4 4
ADDRFP4 0
INDIRP4
CNSTI4 212
ADDP4
ASGNP4
ADDRLP4 4
INDIRP4
ADDRLP4 4
INDIRP4
INDIRI4
CNSTI4 -2
BANDI4
ASGNI4
line 344
;344:	trap_LinkEntity (ent);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 346
;345:
;346:	if ( ent->item->giType == IT_POWERUP ) {
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
CNSTI4 5
NEI4 $171
line 350
;347:		// play powerup spawn sound to all clients
;348:		gentity_t	*te;
;349:
;350:		te = G_TempEntity( ent->s.pos.trBase, EV_GLOBAL_SOUND );
ADDRFP4 0
INDIRP4
CNSTI4 24
ADDP4
ARGP4
CNSTI4 50
ARGI4
ADDRLP4 12
ADDRGP4 G_TempEntity
CALLP4
ASGNP4
ADDRLP4 8
ADDRLP4 12
INDIRP4
ASGNP4
line 351
;351:		te->s.eventParm = G_SoundIndex( "sound/items/poweruprespawn.wav" );//cgs.media.poweruprespawn
ADDRGP4 $173
ARGP4
ADDRLP4 16
ADDRGP4 G_SoundIndex
CALLI4
ASGNI4
ADDRLP4 8
INDIRP4
CNSTI4 184
ADDP4
ADDRLP4 16
INDIRI4
ASGNI4
line 352
;352:		te->r.svFlags |= SVF_BROADCAST;
ADDRLP4 20
ADDRLP4 8
INDIRP4
CNSTI4 212
ADDP4
ASGNP4
ADDRLP4 20
INDIRP4
ADDRLP4 20
INDIRP4
INDIRI4
CNSTI4 32
BORI4
ASGNI4
line 353
;353:	}
LABELV $171
line 356
;354:
;355:	// play the normal respawn sound only to nearby clients
;356:	G_AddEvent( ent, EV_ITEM_RESPAWN, 0 );
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 43
ARGI4
CNSTI4 0
ARGI4
ADDRGP4 G_AddEvent
CALLV
pop
line 358
;357:
;358:	ent->nextthink = 0;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
CNSTI4 0
ASGNI4
line 359
;359:}
LABELV $157
endproc RespawnItem 24 12
export Touch_Item
proc Touch_Item 44 12
line 367
;360:
;361:
;362:/*
;363:===============
;364:Touch_Item
;365:===============
;366:*/
;367:void Touch_Item (gentity_t *ent, gentity_t *other, trace_t *trace) {
line 370
;368:	int			respawn;
;369:
;370:	if (!other->client)
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $175
line 371
;371:		return;
ADDRGP4 $174
JUMPV
LABELV $175
line 372
;372:	if (other->health < 1)
ADDRFP4 4
INDIRP4
CNSTI4 540
ADDP4
INDIRI4
CNSTI4 1
GEI4 $177
line 373
;373:		return;		// dead people can't pickup
ADDRGP4 $174
JUMPV
LABELV $177
line 376
;374:
;375:	// If ghosted, then end the ghost-ness in favor of the pickup.
;376:	if (other->client->ps.powerups[PW_GHOST] >= level.time)
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 380
ADDP4
INDIRI4
ADDRGP4 level+32
INDIRI4
LTI4 $179
line 377
;377:	{
line 378
;378:		other->client->ps.powerups[PW_GHOST] = 0;	// Unghost the player.  This
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 380
ADDP4
CNSTI4 0
ASGNI4
line 379
;379:	}
LABELV $179
line 382
;380:
;381:	// the same pickup rules are used for client side and server side
;382:	if ( !BG_CanItemBeGrabbed( &ent->s, &other->client->ps ) ) {
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
ARGP4
ADDRLP4 4
ADDRGP4 BG_CanItemBeGrabbed
CALLI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 0
NEI4 $182
line 383
;383:		return;
ADDRGP4 $174
JUMPV
LABELV $182
line 386
;384:	}
;385:
;386:	G_LogPrintf( "Item: %i %s\n", other->s.number, ent->item->classname );
ADDRGP4 $184
ARGP4
ADDRFP4 4
INDIRP4
INDIRI4
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
INDIRP4
ARGP4
ADDRGP4 G_LogPrintf
CALLV
pop
line 389
;387:
;388:	// call the item-specific pickup function
;389:	switch( ent->item->giType ) {
ADDRLP4 8
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
ASGNI4
ADDRLP4 8
INDIRI4
CNSTI4 1
LTI4 $174
ADDRLP4 8
INDIRI4
CNSTI4 7
GTI4 $174
ADDRLP4 8
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 $195-4
ADDP4
INDIRP4
JUMPV
lit
align 4
LABELV $195
address $188
address $189
address $190
address $191
address $192
address $194
address $193
code
LABELV $188
line 391
;390:	case IT_WEAPON:
;391:		respawn = Pickup_Weapon(ent, other);
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 16
ADDRGP4 Pickup_Weapon
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 16
INDIRI4
ASGNI4
line 392
;392:		break;
ADDRGP4 $186
JUMPV
LABELV $189
line 394
;393:	case IT_AMMO:
;394:		respawn = Pickup_Ammo(ent, other);
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 20
ADDRGP4 Pickup_Ammo
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 20
INDIRI4
ASGNI4
line 395
;395:		break;
ADDRGP4 $186
JUMPV
LABELV $190
line 397
;396:	case IT_ARMOR:
;397:		respawn = Pickup_Armor(ent, other);
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 24
ADDRGP4 Pickup_Armor
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 24
INDIRI4
ASGNI4
line 398
;398:		break;
ADDRGP4 $186
JUMPV
LABELV $191
line 400
;399:	case IT_HEALTH:
;400:		respawn = Pickup_Health(ent, other);
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 28
ADDRGP4 Pickup_Health
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 28
INDIRI4
ASGNI4
line 401
;401:		break;
ADDRGP4 $186
JUMPV
LABELV $192
line 403
;402:	case IT_POWERUP:
;403:		respawn = Pickup_Powerup(ent, other);
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 32
ADDRGP4 Pickup_Powerup
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 32
INDIRI4
ASGNI4
line 404
;404:		break;
ADDRGP4 $186
JUMPV
LABELV $193
line 406
;405:	case IT_TEAM:
;406:		respawn = Pickup_Team(ent, other);
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 36
ADDRGP4 Pickup_Team
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 36
INDIRI4
ASGNI4
line 407
;407:		break;
ADDRGP4 $186
JUMPV
LABELV $194
line 409
;408:	case IT_HOLDABLE:
;409:		respawn = Pickup_Holdable(ent, other);
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 40
ADDRGP4 Pickup_Holdable
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 40
INDIRI4
ASGNI4
line 410
;410:		break;
line 412
;411:	default:
;412:		return;
LABELV $186
line 415
;413:	}
;414:
;415:	if ( !respawn ) {
ADDRLP4 0
INDIRI4
CNSTI4 0
NEI4 $197
line 416
;416:		return;
ADDRGP4 $174
JUMPV
LABELV $197
line 420
;417:	}
;418:
;419:	// play the normal pickup sound
;420:	if ( other->client->pers.predictItemPickup ) {
ADDRFP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 504
ADDP4
INDIRI4
CNSTI4 0
EQI4 $199
line 421
;421:		G_AddPredictableEvent( other, EV_ITEM_PICKUP, ent->s.modelindex );
ADDRFP4 4
INDIRP4
ARGP4
CNSTI4 19
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 160
ADDP4
INDIRI4
ARGI4
ADDRGP4 G_AddPredictableEvent
CALLV
pop
line 422
;422:	} else {
ADDRGP4 $200
JUMPV
LABELV $199
line 423
;423:		G_AddEvent( other, EV_ITEM_PICKUP, ent->s.modelindex );
ADDRFP4 4
INDIRP4
ARGP4
CNSTI4 19
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 160
ADDP4
INDIRI4
ARGI4
ADDRGP4 G_AddEvent
CALLV
pop
line 424
;424:	}
LABELV $200
line 427
;425:
;426:	// powerup pickups are global broadcasts
;427:	if ( ent->item->giType == IT_POWERUP || ent->item->giType == IT_TEAM) {
ADDRLP4 16
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
ASGNI4
ADDRLP4 16
INDIRI4
CNSTI4 5
EQI4 $203
ADDRLP4 16
INDIRI4
CNSTI4 7
NEI4 $201
LABELV $203
line 430
;428:		gentity_t	*te;
;429:
;430:		te = G_TempEntity( ent->s.pos.trBase, EV_GLOBAL_ITEM_PICKUP );
ADDRFP4 0
INDIRP4
CNSTI4 24
ADDP4
ARGP4
CNSTI4 20
ARGI4
ADDRLP4 24
ADDRGP4 G_TempEntity
CALLP4
ASGNP4
ADDRLP4 20
ADDRLP4 24
INDIRP4
ASGNP4
line 431
;431:		te->s.eventParm = ent->s.modelindex;
ADDRLP4 20
INDIRP4
CNSTI4 184
ADDP4
ADDRFP4 0
INDIRP4
CNSTI4 160
ADDP4
INDIRI4
ASGNI4
line 433
;432:		// tell us which client fired off this global sound
;433:		te->s.otherEntityNum = other->s.number;
ADDRLP4 20
INDIRP4
CNSTI4 140
ADDP4
ADDRFP4 4
INDIRP4
INDIRI4
ASGNI4
line 434
;434:		te->r.svFlags |= SVF_BROADCAST;
ADDRLP4 28
ADDRLP4 20
INDIRP4
CNSTI4 212
ADDP4
ASGNP4
ADDRLP4 28
INDIRP4
ADDRLP4 28
INDIRP4
INDIRI4
CNSTI4 32
BORI4
ASGNI4
line 435
;435:	}
LABELV $201
line 438
;436:
;437:	// fire item targets
;438:	G_UseTargets (ent, other);
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRGP4 G_UseTargets
CALLV
pop
line 441
;439:
;440:	// wait of -1 will not respawn
;441:	if ( ent->wait == -1 ) {
ADDRFP4 0
INDIRP4
CNSTI4 608
ADDP4
INDIRF4
CNSTF4 3212836864
NEF4 $204
line 442
;442:		ent->r.svFlags |= SVF_NOCLIENT;
ADDRLP4 20
ADDRFP4 0
INDIRP4
CNSTI4 212
ADDP4
ASGNP4
ADDRLP4 20
INDIRP4
ADDRLP4 20
INDIRP4
INDIRI4
CNSTI4 1
BORI4
ASGNI4
line 443
;443:		ent->s.eFlags |= EF_NODRAW;
ADDRLP4 24
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 24
INDIRP4
ADDRLP4 24
INDIRP4
INDIRI4
CNSTI4 128
BORI4
ASGNI4
line 444
;444:		ent->r.contents = 0;
ADDRFP4 0
INDIRP4
CNSTI4 248
ADDP4
CNSTI4 0
ASGNI4
line 445
;445:		ent->unlinkAfterEvent = qtrue;
ADDRFP4 0
INDIRP4
CNSTI4 348
ADDP4
CNSTI4 1
ASGNI4
line 446
;446:		return;
ADDRGP4 $174
JUMPV
LABELV $204
line 450
;447:	}
;448:
;449:	// non zero wait overrides respawn time
;450:	if ( ent->wait ) {
ADDRFP4 0
INDIRP4
CNSTI4 608
ADDP4
INDIRF4
CNSTF4 0
EQF4 $206
line 451
;451:		respawn = ent->wait;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 608
ADDP4
INDIRF4
CVFI4 4
ASGNI4
line 452
;452:	}
LABELV $206
line 455
;453:
;454:	// random can be used to vary the respawn time
;455:	if ( ent->random ) {
ADDRFP4 0
INDIRP4
CNSTI4 612
ADDP4
INDIRF4
CNSTF4 0
EQF4 $208
line 456
;456:		respawn += crandom() * ent->random;
ADDRLP4 20
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 0
INDIRI4
CVIF4 4
CNSTF4 1073741824
ADDRLP4 20
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
ADDRFP4 0
INDIRP4
CNSTI4 612
ADDP4
INDIRF4
MULF4
ADDF4
CVFI4 4
ASGNI4
line 457
;457:		if ( respawn < 1 ) {
ADDRLP4 0
INDIRI4
CNSTI4 1
GEI4 $210
line 458
;458:			respawn = 1;
ADDRLP4 0
CNSTI4 1
ASGNI4
line 459
;459:		}
LABELV $210
line 460
;460:	}
LABELV $208
line 463
;461:
;462:	// dropped items will not respawn
;463:	if ( ent->flags & FL_DROPPED_ITEM ) {
ADDRFP4 0
INDIRP4
CNSTI4 324
ADDP4
INDIRI4
CNSTI4 4096
BANDI4
CNSTI4 0
EQI4 $212
line 464
;464:		ent->freeAfterEvent = qtrue;
ADDRFP4 0
INDIRP4
CNSTI4 344
ADDP4
CNSTI4 1
ASGNI4
line 465
;465:	}
LABELV $212
line 470
;466:
;467:	// picked up items still stay around, they just don't
;468:	// draw anything.  This allows respawnable items
;469:	// to be placed on movers.
;470:	if (ent->item->giType==IT_WEAPON || ent->item->giType==IT_POWERUP)
ADDRLP4 20
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
ASGNI4
ADDRLP4 20
INDIRI4
CNSTI4 1
EQI4 $216
ADDRLP4 20
INDIRI4
CNSTI4 5
NEI4 $214
LABELV $216
line 471
;471:	{
line 472
;472:		ent->s.eFlags |= EF_ITEMPLACEHOLDER;
ADDRLP4 24
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 24
INDIRP4
ADDRLP4 24
INDIRP4
INDIRI4
CNSTI4 2
BORI4
ASGNI4
line 473
;473:	}
ADDRGP4 $215
JUMPV
LABELV $214
line 475
;474:	else
;475:	{
line 477
;476://	this line used to prevent items that were picked up from being drawn, but we now want to draw the techy grid thing instead
;477:		ent->s.eFlags |= EF_NODRAW;
ADDRLP4 24
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 24
INDIRP4
ADDRLP4 24
INDIRP4
INDIRI4
CNSTI4 128
BORI4
ASGNI4
line 478
;478:		ent->r.svFlags |= SVF_NOCLIENT;
ADDRLP4 28
ADDRFP4 0
INDIRP4
CNSTI4 212
ADDP4
ASGNP4
ADDRLP4 28
INDIRP4
ADDRLP4 28
INDIRP4
INDIRI4
CNSTI4 1
BORI4
ASGNI4
line 479
;479:	}
LABELV $215
line 483
;480:
;481:
;482:
;483:	ent->r.contents = 0;
ADDRFP4 0
INDIRP4
CNSTI4 248
ADDP4
CNSTI4 0
ASGNI4
line 490
;484:
;485:// ***************
;486:	// ZOID
;487:	// A negative respawn times means to never respawn this item (but don't 
;488:	// delete it).  This is used by items that are respawned by third party 
;489:	// events such as ctf flags
;490:	if ( respawn <= 0 ) {
ADDRLP4 0
INDIRI4
CNSTI4 0
GTI4 $217
line 491
;491:		ent->nextthink = 0;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
CNSTI4 0
ASGNI4
line 492
;492:		ent->think = 0;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
CNSTP4 0
ASGNP4
line 493
;493:	} else {
ADDRGP4 $218
JUMPV
LABELV $217
line 494
;494:		ent->nextthink = level.time + respawn * 1000;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 1000
ADDRLP4 0
INDIRI4
MULI4
ADDI4
ASGNI4
line 495
;495:		ent->think = RespawnItem;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 RespawnItem
ASGNP4
line 496
;496:	}
LABELV $218
line 497
;497:	trap_LinkEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 498
;498:}
LABELV $174
endproc Touch_Item 44 12
export LaunchItem
proc LaunchItem 28 8
line 510
;499:
;500:
;501://======================================================================
;502:
;503:/*
;504:================
;505:LaunchItem
;506:
;507:Spawns an item and tosses it forward
;508:================
;509:*/
;510:gentity_t *LaunchItem( gitem_t *item, vec3_t origin, vec3_t velocity ) {
line 513
;511:	gentity_t	*dropped;
;512:
;513:	dropped = G_Spawn();
ADDRLP4 4
ADDRGP4 G_Spawn
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 4
INDIRP4
ASGNP4
line 515
;514:
;515:	dropped->s.eType = ET_ITEM;
ADDRLP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 2
ASGNI4
line 516
;516:	dropped->s.modelindex = item - bg_itemlist;	// store item number in modelindex
ADDRLP4 0
INDIRP4
CNSTI4 160
ADDP4
ADDRFP4 0
INDIRP4
CVPU4 4
ADDRGP4 bg_itemlist
CVPU4 4
SUBU4
CVUI4 4
CNSTI4 44
DIVI4
ASGNI4
line 517
;517:	dropped->s.modelindex2 = 1; // This is non-zero is it's a dropped item
ADDRLP4 0
INDIRP4
CNSTI4 164
ADDP4
CNSTI4 1
ASGNI4
line 519
;518:
;519:	dropped->classname = item->classname;
ADDRLP4 0
INDIRP4
CNSTI4 312
ADDP4
ADDRFP4 0
INDIRP4
INDIRP4
ASGNP4
line 520
;520:	dropped->item = item;
ADDRLP4 0
INDIRP4
CNSTI4 616
ADDP4
ADDRFP4 0
INDIRP4
ASGNP4
line 521
;521:	VectorSet (dropped->r.mins, -ITEM_RADIUS, -ITEM_RADIUS, -ITEM_RADIUS);
ADDRLP4 0
INDIRP4
CNSTI4 224
ADDP4
CNSTF4 3245342720
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 228
ADDP4
CNSTF4 3245342720
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 232
ADDP4
CNSTF4 3245342720
ASGNF4
line 522
;522:	VectorSet (dropped->r.maxs, ITEM_RADIUS, ITEM_RADIUS, ITEM_RADIUS);
ADDRLP4 0
INDIRP4
CNSTI4 236
ADDP4
CNSTF4 1097859072
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 240
ADDP4
CNSTF4 1097859072
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 244
ADDP4
CNSTF4 1097859072
ASGNF4
line 523
;523:	dropped->r.contents = CONTENTS_TRIGGER;
ADDRLP4 0
INDIRP4
CNSTI4 248
ADDP4
CNSTI4 1073741824
ASGNI4
line 525
;524:
;525:	dropped->touch = Touch_Item;
ADDRLP4 0
INDIRP4
CNSTI4 512
ADDP4
ADDRGP4 Touch_Item
ASGNP4
line 527
;526:
;527:	G_SetOrigin( dropped, origin );
ADDRLP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 528
;528:	dropped->s.pos.trType = TR_GRAVITY;
ADDRLP4 0
INDIRP4
CNSTI4 12
ADDP4
CNSTI4 5
ASGNI4
line 529
;529:	dropped->s.pos.trTime = level.time;
ADDRLP4 0
INDIRP4
CNSTI4 16
ADDP4
ADDRGP4 level+32
INDIRI4
ASGNI4
line 530
;530:	VectorCopy( velocity, dropped->s.pos.trDelta );
ADDRLP4 0
INDIRP4
CNSTI4 36
ADDP4
ADDRFP4 8
INDIRP4
INDIRB
ASGNB 12
line 532
;531:
;532:	dropped->s.eFlags |= EF_BOUNCE_HALF;
ADDRLP4 8
ADDRLP4 0
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 8
INDIRP4
ADDRLP4 8
INDIRP4
INDIRI4
CNSTI4 32
BORI4
ASGNI4
line 533
;533:	dropped->s.eFlags |= EF_DEAD;	// Yes, this is totally lame, but we use it bg_misc to check
ADDRLP4 12
ADDRLP4 0
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 12
INDIRP4
ADDRLP4 12
INDIRP4
INDIRI4
CNSTI4 1
BORI4
ASGNI4
line 537
;534:									// if the item has been droped, and if so, make it pick-up-able
;535:									// cdr
;536:
;537:	if (item->giType == IT_TEAM) { // Special case for CTF flags
ADDRFP4 0
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
CNSTI4 7
NEI4 $222
line 540
;538:		gentity_t	*te;
;539:
;540:		VectorSet (dropped->r.mins, -23, -23, -15);
ADDRLP4 0
INDIRP4
CNSTI4 224
ADDP4
CNSTF4 3250061312
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 228
ADDP4
CNSTF4 3250061312
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 232
ADDP4
CNSTF4 3245342720
ASGNF4
line 541
;541:		VectorSet (dropped->r.maxs, 23, 23, 31);
ADDRLP4 0
INDIRP4
CNSTI4 236
ADDP4
CNSTF4 1102577664
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 240
ADDP4
CNSTF4 1102577664
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 244
ADDP4
CNSTF4 1106771968
ASGNF4
line 542
;542:		dropped->think = Team_DroppedFlagThink;
ADDRLP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 Team_DroppedFlagThink
ASGNP4
line 543
;543:		dropped->nextthink = level.time + 30000;
ADDRLP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 30000
ADDI4
ASGNI4
line 544
;544:		Team_CheckDroppedItem( dropped );
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 Team_CheckDroppedItem
CALLV
pop
line 547
;545:
;546:		// make the sound call for a dropped flag
;547:		te = G_TempEntity( dropped->s.pos.trBase, EV_TEAM_SOUND );
ADDRLP4 0
INDIRP4
CNSTI4 24
ADDP4
ARGP4
CNSTI4 51
ARGI4
ADDRLP4 20
ADDRGP4 G_TempEntity
CALLP4
ASGNP4
ADDRLP4 16
ADDRLP4 20
INDIRP4
ASGNP4
line 548
;548:		te->s.eventParm = DROPPED_FLAG_SOUND;
ADDRLP4 16
INDIRP4
CNSTI4 184
ADDP4
CNSTI4 2
ASGNI4
line 549
;549:		if (dropped->item->giTag == PW_REDFLAG)
ADDRLP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
CNSTI4 8
NEI4 $225
line 550
;550:		{
line 551
;551:			te->s.otherEntityNum = TEAM_RED;
ADDRLP4 16
INDIRP4
CNSTI4 140
ADDP4
CNSTI4 1
ASGNI4
line 552
;552:		}
ADDRGP4 $226
JUMPV
LABELV $225
line 554
;553:		else
;554:		{
line 555
;555:			te->s.otherEntityNum = TEAM_BLUE;
ADDRLP4 16
INDIRP4
CNSTI4 140
ADDP4
CNSTI4 2
ASGNI4
line 556
;556:		}
LABELV $226
line 558
;557:
;558:		te->r.svFlags |= SVF_BROADCAST;
ADDRLP4 24
ADDRLP4 16
INDIRP4
CNSTI4 212
ADDP4
ASGNP4
ADDRLP4 24
INDIRP4
ADDRLP4 24
INDIRP4
INDIRI4
CNSTI4 32
BORI4
ASGNI4
line 560
;559:
;560:	} else { // auto-remove after 30 seconds
ADDRGP4 $223
JUMPV
LABELV $222
line 561
;561:		dropped->think = G_FreeEntity;
ADDRLP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 G_FreeEntity
ASGNP4
line 562
;562:		dropped->nextthink = level.time + 30000;
ADDRLP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 30000
ADDI4
ASGNI4
line 563
;563:	}
LABELV $223
line 565
;564:
;565:	dropped->flags = FL_DROPPED_ITEM;
ADDRLP4 0
INDIRP4
CNSTI4 324
ADDP4
CNSTI4 4096
ASGNI4
line 567
;566:
;567:	trap_LinkEntity (dropped);
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 569
;568:
;569:	return dropped;
ADDRLP4 0
INDIRP4
RETP4
LABELV $220
endproc LaunchItem 28 8
export Drop_Item
proc Drop_Item 40 16
line 579
;570:}
;571:
;572:/*
;573:================
;574:Drop_Item
;575:
;576:Spawns an item and tosses it forward
;577:================
;578:*/
;579:gentity_t *Drop_Item( gentity_t *ent, gitem_t *item, float angle ) {
line 583
;580:	vec3_t	velocity;
;581:	vec3_t	angles;
;582:
;583:	VectorCopy( ent->s.apos.trBase, angles );
ADDRLP4 12
ADDRFP4 0
INDIRP4
CNSTI4 60
ADDP4
INDIRB
ASGNB 12
line 584
;584:	angles[YAW] += angle;
ADDRLP4 12+4
ADDRLP4 12+4
INDIRF4
ADDRFP4 8
INDIRF4
ADDF4
ASGNF4
line 585
;585:	angles[PITCH] = 0;	// always forward
ADDRLP4 12
CNSTF4 0
ASGNF4
line 587
;586:
;587:	AngleVectors( angles, velocity, NULL, NULL );
ADDRLP4 12
ARGP4
ADDRLP4 0
ARGP4
ADDRLP4 24
CNSTP4 0
ASGNP4
ADDRLP4 24
INDIRP4
ARGP4
ADDRLP4 24
INDIRP4
ARGP4
ADDRGP4 AngleVectors
CALLV
pop
line 588
;588:	VectorScale( velocity, 150, velocity );
ADDRLP4 28
CNSTF4 1125515264
ASGNF4
ADDRLP4 0
ADDRLP4 28
INDIRF4
ADDRLP4 0
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+4
ADDRLP4 28
INDIRF4
ADDRLP4 0+4
INDIRF4
MULF4
ASGNF4
ADDRLP4 0+8
CNSTF4 1125515264
ADDRLP4 0+8
INDIRF4
MULF4
ASGNF4
line 589
;589:	velocity[2] += 200 + crandom() * 50;
ADDRLP4 32
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 0+8
ADDRLP4 0+8
INDIRF4
CNSTF4 1112014848
CNSTF4 1073741824
ADDRLP4 32
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
MULF4
CNSTF4 1128792064
ADDF4
ADDF4
ASGNF4
line 591
;590:
;591:	return LaunchItem( item, ent->s.pos.trBase, velocity );
ADDRFP4 4
INDIRP4
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 24
ADDP4
ARGP4
ADDRLP4 0
ARGP4
ADDRLP4 36
ADDRGP4 LaunchItem
CALLP4
ASGNP4
ADDRLP4 36
INDIRP4
RETP4
LABELV $228
endproc Drop_Item 40 16
export Use_Item
proc Use_Item 0 0
line 602
;592:}
;593:
;594:
;595:/*
;596:================
;597:Use_Item
;598:
;599:Respawn the item
;600:================
;601:*/
;602:void Use_Item( gentity_t *ent, gentity_t *other, gentity_t *activator ) {
line 605
;603:	//CGMarker: Seeing if this can prevent detpack respawning
;604:	//RespawnItem( ent );
;605:}
LABELV $235
endproc Use_Item 0 0
export FinishSpawningItem
proc FinishSpawningItem 88 28
line 617
;606:
;607://======================================================================
;608:
;609:/*
;610:================
;611:FinishSpawningItem
;612:
;613:Traces down to find where an item should rest, instead of letting them
;614:free fall from their spawn points
;615:================
;616:*/
;617:void FinishSpawningItem( gentity_t *ent ) {
line 621
;618:	trace_t		tr;
;619:	vec3_t		dest;
;620:
;621:	VectorSet( ent->r.mins, -ITEM_RADIUS, -ITEM_RADIUS, -ITEM_RADIUS );
ADDRFP4 0
INDIRP4
CNSTI4 224
ADDP4
CNSTF4 3245342720
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 228
ADDP4
CNSTF4 3245342720
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 232
ADDP4
CNSTF4 3245342720
ASGNF4
line 622
;622:	VectorSet( ent->r.maxs, ITEM_RADIUS, ITEM_RADIUS, ITEM_RADIUS );
ADDRFP4 0
INDIRP4
CNSTI4 236
ADDP4
CNSTF4 1097859072
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 240
ADDP4
CNSTF4 1097859072
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 244
ADDP4
CNSTF4 1097859072
ASGNF4
line 624
;623:
;624:	ent->s.eType = ET_ITEM;
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 2
ASGNI4
line 625
;625:	ent->s.modelindex = ent->item - bg_itemlist;		// store item number in modelindex
ADDRLP4 68
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 68
INDIRP4
CNSTI4 160
ADDP4
ADDRLP4 68
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CVPU4 4
ADDRGP4 bg_itemlist
CVPU4 4
SUBU4
CVUI4 4
CNSTI4 44
DIVI4
ASGNI4
line 626
;626:	ent->s.modelindex2 = 0; // zero indicates this isn't a dropped item
ADDRFP4 0
INDIRP4
CNSTI4 164
ADDP4
CNSTI4 0
ASGNI4
line 628
;627:
;628:	ent->r.contents = CONTENTS_TRIGGER;
ADDRFP4 0
INDIRP4
CNSTI4 248
ADDP4
CNSTI4 1073741824
ASGNI4
line 629
;629:	ent->touch = Touch_Item;
ADDRFP4 0
INDIRP4
CNSTI4 512
ADDP4
ADDRGP4 Touch_Item
ASGNP4
line 631
;630:	// useing an item causes it to respawn
;631:	ent->use = Use_Item;
ADDRFP4 0
INDIRP4
CNSTI4 516
ADDP4
ADDRGP4 Use_Item
ASGNP4
line 634
;632:
;633:
;634:	if ( ent->item->giType == IT_TEAM )
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
CNSTI4 7
NEI4 $237
line 635
;635:	{
line 636
;636:		VectorSet( ent->r.mins, -23, -23, 0 );
ADDRFP4 0
INDIRP4
CNSTI4 224
ADDP4
CNSTF4 3250061312
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 228
ADDP4
CNSTF4 3250061312
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 232
ADDP4
CNSTF4 0
ASGNF4
line 637
;637:		VectorSet( ent->r.maxs, 23, 23, 47 );
ADDRFP4 0
INDIRP4
CNSTI4 236
ADDP4
CNSTF4 1102577664
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 240
ADDP4
CNSTF4 1102577664
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 244
ADDP4
CNSTF4 1111228416
ASGNF4
line 638
;638:	}
LABELV $237
line 640
;639:
;640:	if ( ent->spawnflags & 1 ) {
ADDRFP4 0
INDIRP4
CNSTI4 316
ADDP4
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
EQI4 $239
line 642
;641:		// suspended
;642:		G_SetOrigin( ent, ent->s.origin );
ADDRLP4 72
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 72
INDIRP4
ARGP4
ADDRLP4 72
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 643
;643:	} else {
ADDRGP4 $240
JUMPV
LABELV $239
line 645
;644:		// drop to floor
;645:		VectorSet( dest, ent->s.origin[0], ent->s.origin[1], ent->s.origin[2] - 4096 );
ADDRLP4 72
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 56
ADDRLP4 72
INDIRP4
CNSTI4 92
ADDP4
INDIRF4
ASGNF4
ADDRLP4 56+4
ADDRLP4 72
INDIRP4
CNSTI4 96
ADDP4
INDIRF4
ASGNF4
ADDRLP4 56+8
ADDRFP4 0
INDIRP4
CNSTI4 100
ADDP4
INDIRF4
CNSTF4 1166016512
SUBF4
ASGNF4
line 646
;646:		trap_Trace( &tr, ent->s.origin, ent->r.mins, ent->r.maxs, dest, ent->s.number, MASK_SOLID );
ADDRLP4 0
ARGP4
ADDRLP4 76
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 76
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRLP4 76
INDIRP4
CNSTI4 224
ADDP4
ARGP4
ADDRLP4 76
INDIRP4
CNSTI4 236
ADDP4
ARGP4
ADDRLP4 56
ARGP4
ADDRLP4 76
INDIRP4
INDIRI4
ARGI4
CNSTI4 1
ARGI4
ADDRGP4 trap_Trace
CALLV
pop
line 647
;647:		if ( tr.startsolid ) {
ADDRLP4 0+4
INDIRI4
CNSTI4 0
EQI4 $243
line 648
;648:			G_Printf ("FinishSpawningItem: removing %s startsolid at %s\n", ent->classname, vtos(ent->s.origin));
ADDRFP4 0
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRLP4 80
ADDRGP4 vtos
CALLP4
ASGNP4
ADDRGP4 $246
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 312
ADDP4
INDIRP4
ARGP4
ADDRLP4 80
INDIRP4
ARGP4
ADDRGP4 G_Printf
CALLV
pop
line 650
;649:#ifndef FINAL_BUILD
;650:			G_Error("FinishSpawningItem: removing %s startsolid at %s\n", ent->classname, vtos(ent->s.origin));
ADDRFP4 0
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRLP4 84
ADDRGP4 vtos
CALLP4
ASGNP4
ADDRGP4 $246
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 312
ADDP4
INDIRP4
ARGP4
ADDRLP4 84
INDIRP4
ARGP4
ADDRGP4 G_Error
CALLV
pop
line 652
;651:#endif
;652:			G_FreeEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_FreeEntity
CALLV
pop
line 653
;653:			return;
ADDRGP4 $236
JUMPV
LABELV $243
line 657
;654:		}
;655:
;656:		// allow to ride movers
;657:		ent->s.groundEntityNum = tr.entityNum;
ADDRFP4 0
INDIRP4
CNSTI4 148
ADDP4
ADDRLP4 0+52
INDIRI4
ASGNI4
line 659
;658:
;659:		G_SetOrigin( ent, tr.endpos );
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 0+12
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 660
;660:	}
LABELV $240
line 663
;661:
;662:	// team slaves and targeted items aren't present at start
;663:	if ( ( ent->flags & FL_TEAMSLAVE ) || ent->targetname ) {
ADDRLP4 72
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 72
INDIRP4
CNSTI4 324
ADDP4
INDIRI4
CNSTI4 1024
BANDI4
CNSTI4 0
NEI4 $251
ADDRLP4 72
INDIRP4
CNSTI4 468
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $249
LABELV $251
line 664
;664:		ent->s.eFlags |= EF_NODRAW;
ADDRLP4 76
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 76
INDIRP4
ADDRLP4 76
INDIRP4
INDIRI4
CNSTI4 128
BORI4
ASGNI4
line 665
;665:		ent->r.contents = 0;
ADDRFP4 0
INDIRP4
CNSTI4 248
ADDP4
CNSTI4 0
ASGNI4
line 666
;666:		return;
ADDRGP4 $236
JUMPV
LABELV $249
line 670
;667:	}
;668:
;669:	// powerups don't spawn in for a while
;670:	if ( ent->item->giType == IT_POWERUP ) {
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
CNSTI4 5
NEI4 $252
line 676
;671:		float	respawn;
;672:
;673:#ifdef _DEBUG
;674:		respawn = 1;		// This makes powerups spawn immediately in debug.
;675:#else // _DEBUG
;676:		respawn = 45 + crandom() * 15;
ADDRLP4 80
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 76
CNSTF4 1097859072
CNSTF4 1073741824
ADDRLP4 80
INDIRI4
CNSTI4 32767
BANDI4
CVIF4 4
CNSTF4 1191181824
DIVF4
CNSTF4 1056964608
SUBF4
MULF4
MULF4
CNSTF4 1110704128
ADDF4
ASGNF4
line 679
;677:#endif // _DEBUG
;678:
;679:		ent->s.eFlags |= EF_NODRAW;
ADDRLP4 84
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 84
INDIRP4
ADDRLP4 84
INDIRP4
INDIRI4
CNSTI4 128
BORI4
ASGNI4
line 680
;680:		ent->r.contents = 0;
ADDRFP4 0
INDIRP4
CNSTI4 248
ADDP4
CNSTI4 0
ASGNI4
line 681
;681:		ent->nextthink = level.time + respawn * 1000;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CVIF4 4
CNSTF4 1148846080
ADDRLP4 76
INDIRF4
MULF4
ADDF4
CVFI4 4
ASGNI4
line 682
;682:		ent->think = RespawnItem;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 RespawnItem
ASGNP4
line 683
;683:		return;
ADDRGP4 $236
JUMPV
LABELV $252
line 687
;684:	}
;685:
;686:
;687:	trap_LinkEntity (ent);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 688
;688:}
LABELV $236
endproc FinishSpawningItem 88 28
export FinishSpawningDetpack
proc FinishSpawningDetpack 92 28
line 702
;689:
;690:
;691:/*
;692:================
;693:FinishSpawningDetpack
;694:
;695:Traces down to find where an item should rest, instead of letting them
;696:free fall from their spawn points
;697:================
;698:*/
;699:extern void detpack_shot( gentity_t *self, gentity_t *inflictor, gentity_t *attacker, int damage, int meansOfDeath );
;700:
;701:qboolean FinishSpawningDetpack( gentity_t *ent, int itemIndex )
;702:{
line 706
;703:	trace_t		tr;
;704:	vec3_t		dest;
;705:
;706:	VectorSet( ent->r.mins, -ITEM_RADIUS, -ITEM_RADIUS, 0 );
ADDRFP4 0
INDIRP4
CNSTI4 224
ADDP4
CNSTF4 3245342720
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 228
ADDP4
CNSTF4 3245342720
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 232
ADDP4
CNSTF4 0
ASGNF4
line 707
;707:	VectorSet( ent->r.maxs, ITEM_RADIUS, ITEM_RADIUS, ITEM_RADIUS );
ADDRFP4 0
INDIRP4
CNSTI4 236
ADDP4
CNSTF4 1097859072
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 240
ADDP4
CNSTF4 1097859072
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 244
ADDP4
CNSTF4 1097859072
ASGNF4
line 709
;708:
;709:	ent->s.eType = ET_USEABLE;
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 12
ASGNI4
line 710
;710:	ent->s.modelindex = bg_itemlist[itemIndex].giTag;	// this'll be used in CG_Useable()
ADDRFP4 0
INDIRP4
CNSTI4 160
ADDP4
CNSTI4 44
ADDRFP4 4
INDIRI4
MULI4
ADDRGP4 bg_itemlist+32
ADDP4
INDIRI4
ASGNI4
line 711
;711:	ent->s.modelindex2 = itemIndex;	// store item number in modelindex
ADDRFP4 0
INDIRP4
CNSTI4 164
ADDP4
ADDRFP4 4
INDIRI4
ASGNI4
line 713
;712:
;713:	ent->classname = bg_itemlist[itemIndex].classname;
ADDRFP4 0
INDIRP4
CNSTI4 312
ADDP4
CNSTI4 44
ADDRFP4 4
INDIRI4
MULI4
ADDRGP4 bg_itemlist
ADDP4
INDIRP4
ASGNP4
line 714
;714:	ent->r.contents = CONTENTS_CORPSE;//CONTENTS_TRIGGER;
ADDRFP4 0
INDIRP4
CNSTI4 248
ADDP4
CNSTI4 67108864
ASGNI4
line 715
;715:	ent->takedamage = 0;
ADDRFP4 0
INDIRP4
CNSTI4 548
ADDP4
CNSTI4 0
ASGNI4
line 716
;716:	ent->health = 65536;
ADDRFP4 0
INDIRP4
CNSTI4 540
ADDP4
CNSTI4 65536
ASGNI4
line 717
;717:	ent->touch = 0;
ADDRFP4 0
INDIRP4
CNSTI4 512
ADDP4
CNSTP4 0
ASGNP4
line 718
;718:	ent->die = detpack_shot;
ADDRFP4 0
INDIRP4
CNSTI4 524
ADDP4
ADDRGP4 detpack_shot
ASGNP4
line 721
;719:
;720:	// useing an item causes it to respawn
;721:	ent->use = Use_Item;
ADDRFP4 0
INDIRP4
CNSTI4 516
ADDP4
ADDRGP4 Use_Item
ASGNP4
line 724
;722:
;723:	// drop to floor
;724:	VectorSet( dest, ent->s.origin[0], ent->s.origin[1], ent->s.origin[2] - 4096 );
ADDRLP4 68
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 56
ADDRLP4 68
INDIRP4
CNSTI4 92
ADDP4
INDIRF4
ASGNF4
ADDRLP4 56+4
ADDRLP4 68
INDIRP4
CNSTI4 96
ADDP4
INDIRF4
ASGNF4
ADDRLP4 56+8
ADDRFP4 0
INDIRP4
CNSTI4 100
ADDP4
INDIRF4
CNSTF4 1166016512
SUBF4
ASGNF4
line 725
;725:	trap_Trace( &tr, ent->s.origin, ent->r.mins, ent->r.maxs, dest, ent->s.number, MASK_SOLID );
ADDRLP4 0
ARGP4
ADDRLP4 72
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 72
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRLP4 72
INDIRP4
CNSTI4 224
ADDP4
ARGP4
ADDRLP4 72
INDIRP4
CNSTI4 236
ADDP4
ARGP4
ADDRLP4 56
ARGP4
ADDRLP4 72
INDIRP4
INDIRI4
ARGI4
CNSTI4 1
ARGI4
ADDRGP4 trap_Trace
CALLV
pop
line 726
;726:	if ( tr.startsolid )
ADDRLP4 0+4
INDIRI4
CNSTI4 0
EQI4 $259
line 727
;727:	{
line 728
;728:		G_FreeEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_FreeEntity
CALLV
pop
line 729
;729:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $255
JUMPV
LABELV $259
line 733
;730:	}
;731:
;732:	// allow to ride movers
;733:	ent->physicsObject = qtrue;
ADDRFP4 0
INDIRP4
CNSTI4 352
ADDP4
CNSTI4 1
ASGNI4
line 734
;734:	ent->s.groundEntityNum = tr.entityNum;
ADDRFP4 0
INDIRP4
CNSTI4 148
ADDP4
ADDRLP4 0+52
INDIRI4
ASGNI4
line 736
;735:
;736:	G_SetOrigin( ent, tr.endpos );
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 0+12
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 738
;737:
;738:	ent->s.eFlags &= ~EF_NODRAW;
ADDRLP4 76
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 76
INDIRP4
ADDRLP4 76
INDIRP4
INDIRI4
CNSTI4 -129
BANDI4
ASGNI4
line 739
;739:	ent->r.svFlags &= ~SVF_NOCLIENT;
ADDRLP4 80
ADDRFP4 0
INDIRP4
CNSTI4 212
ADDP4
ASGNP4
ADDRLP4 80
INDIRP4
ADDRLP4 80
INDIRP4
INDIRI4
CNSTI4 -2
BANDI4
ASGNI4
line 741
;740:
;741:	trap_LinkEntity (ent);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 743
;742:	
;743:	ent->noise_index = G_SoundIndex("sound/weapons/detpacklatch.wav");
ADDRGP4 $264
ARGP4
ADDRLP4 84
ADDRGP4 G_SoundIndex
CALLI4
ASGNI4
ADDRFP4 0
INDIRP4
CNSTI4 604
ADDP4
ADDRLP4 84
INDIRI4
ASGNI4
line 744
;744:	G_AddEvent( ent, EV_GENERAL_SOUND, ent->noise_index );
ADDRLP4 88
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 88
INDIRP4
ARGP4
CNSTI4 49
ARGI4
ADDRLP4 88
INDIRP4
CNSTI4 604
ADDP4
INDIRI4
ARGI4
ADDRGP4 G_AddEvent
CALLV
pop
line 745
;745:	return qtrue;
CNSTI4 1
RETI4
LABELV $255
endproc FinishSpawningDetpack 92 28
export FinishSpawningDecoy
proc FinishSpawningDecoy 84 28
line 758
;746:}
;747:
;748:
;749:/*
;750:================
;751:FinishSpawningDecoy
;752:
;753:Traces down to find where an item should rest, instead of letting them
;754:free fall from their spawn points
;755:================
;756:*/
;757:qboolean FinishSpawningDecoy( gentity_t *ent, int itemIndex )
;758:{
line 768
;759:	trace_t		tr;
;760:	vec3_t		dest;
;761:
;762:	// OLD RADIUS SETTINGS
;763://	VectorSet( ent->r.mins, -ITEM_RADIUS, -ITEM_RADIUS, -ITEM_RADIUS );
;764://	VectorSet( ent->r.maxs, ITEM_RADIUS, ITEM_RADIUS, ITEM_RADIUS );
;765://	ent->s.eType = ET_USEABLE;
;766://	ent->s.modelindex = bg_itemlist[itemIndex].giTag;	// this'll be used in CG_Useable()
;767:
;768:	ent->classname = bg_itemlist[itemIndex].classname;
ADDRFP4 0
INDIRP4
CNSTI4 312
ADDP4
CNSTI4 44
ADDRFP4 4
INDIRI4
MULI4
ADDRGP4 bg_itemlist
ADDP4
INDIRP4
ASGNP4
line 770
;769://	ent->r.contents = CONTENTS_CORPSE;
;770:	ent->touch = 0;				// null touch function pointer
ADDRFP4 0
INDIRP4
CNSTI4 512
ADDP4
CNSTP4 0
ASGNP4
line 772
;771:	// useing an item causes it to respawn
;772:	ent->use = Use_Item;
ADDRFP4 0
INDIRP4
CNSTI4 516
ADDP4
ADDRGP4 Use_Item
ASGNP4
line 775
;773:
;774:	// drop to floor
;775:	VectorSet( dest, ent->s.origin[0], ent->s.origin[1], ent->s.origin[2] - 4096 );
ADDRLP4 68
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 56
ADDRLP4 68
INDIRP4
CNSTI4 92
ADDP4
INDIRF4
ASGNF4
ADDRLP4 56+4
ADDRLP4 68
INDIRP4
CNSTI4 96
ADDP4
INDIRF4
ASGNF4
ADDRLP4 56+8
ADDRFP4 0
INDIRP4
CNSTI4 100
ADDP4
INDIRF4
CNSTF4 1166016512
SUBF4
ASGNF4
line 776
;776:	trap_Trace( &tr, ent->s.origin, ent->r.mins, ent->r.maxs, dest, ent->s.number, MASK_SOLID );
ADDRLP4 0
ARGP4
ADDRLP4 72
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 72
INDIRP4
CNSTI4 92
ADDP4
ARGP4
ADDRLP4 72
INDIRP4
CNSTI4 224
ADDP4
ARGP4
ADDRLP4 72
INDIRP4
CNSTI4 236
ADDP4
ARGP4
ADDRLP4 56
ARGP4
ADDRLP4 72
INDIRP4
INDIRI4
ARGI4
CNSTI4 1
ARGI4
ADDRGP4 trap_Trace
CALLV
pop
line 778
;777:
;778:	if ( tr.startsolid )
ADDRLP4 0+4
INDIRI4
CNSTI4 0
EQI4 $268
line 779
;779:	{	// If stuck in a solid, give up and go home
line 780
;780:		G_FreeEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_FreeEntity
CALLV
pop
line 781
;781:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $265
JUMPV
LABELV $268
line 784
;782:	}
;783:
;784:	G_SetOrigin( ent, tr.endpos );
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 0+12
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 787
;785:
;786:	// allow to ride movers
;787:	ent->physicsObject = qtrue;
ADDRFP4 0
INDIRP4
CNSTI4 352
ADDP4
CNSTI4 1
ASGNI4
line 788
;788:	ent->s.pos.trType = TR_GRAVITY;//have to do this because it thinks it's an ET_PLAYER
ADDRFP4 0
INDIRP4
CNSTI4 12
ADDP4
CNSTI4 5
ASGNI4
line 789
;789:	ent->s.groundEntityNum = tr.entityNum;
ADDRFP4 0
INDIRP4
CNSTI4 148
ADDP4
ADDRLP4 0+52
INDIRI4
ASGNI4
line 792
;790:
;791:	// Turn off the NODRAW and NOCLIENT flags
;792:	ent->s.eFlags &= ~EF_NODRAW;
ADDRLP4 76
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
ASGNP4
ADDRLP4 76
INDIRP4
ADDRLP4 76
INDIRP4
INDIRI4
CNSTI4 -129
BANDI4
ASGNI4
line 793
;793:	ent->r.svFlags &= ~SVF_NOCLIENT;
ADDRLP4 80
ADDRFP4 0
INDIRP4
CNSTI4 212
ADDP4
ASGNP4
ADDRLP4 80
INDIRP4
ADDRLP4 80
INDIRP4
INDIRI4
CNSTI4 -2
BANDI4
ASGNI4
line 795
;794:
;795:	trap_LinkEntity (ent);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 796
;796:	return qtrue;
CNSTI4 1
RETI4
LABELV $265
endproc FinishSpawningDecoy 84 28
export G_CheckTeamItems
proc G_CheckTeamItems 20 4
line 809
;797:}
;798:
;799:
;800:
;801:
;802:qboolean	itemRegistered[MAX_ITEMS];
;803:
;804:/*
;805:==================
;806:G_CheckTeamItems
;807:==================
;808:*/
;809:void G_CheckTeamItems( void ) {
line 812
;810:
;811:	// Set up team stuff
;812:	Team_InitGame();
ADDRGP4 Team_InitGame
CALLV
pop
line 814
;813:
;814:	if ( g_gametype.integer == GT_CTF ) {
ADDRGP4 g_gametype+12
INDIRI4
CNSTI4 4
NEI4 $274
line 818
;815:		gitem_t	*item;
;816:
;817:		// make sure we actually have two flags...
;818:		item = BG_FindItem( "Red Flag" );
ADDRGP4 $277
ARGP4
ADDRLP4 4
ADDRGP4 BG_FindItem
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 4
INDIRP4
ASGNP4
line 819
;819:		if ( !item || !itemRegistered[ item - bg_itemlist ] ) {
ADDRLP4 8
ADDRLP4 0
INDIRP4
CVPU4 4
ASGNU4
ADDRLP4 8
INDIRU4
CNSTU4 0
EQU4 $280
ADDRLP4 8
INDIRU4
ADDRGP4 bg_itemlist
CVPU4 4
SUBU4
CVUI4 4
CNSTI4 44
DIVI4
CNSTI4 2
LSHI4
ADDRGP4 itemRegistered
ADDP4
INDIRI4
CNSTI4 0
NEI4 $278
LABELV $280
line 820
;820:			G_Printf( "^1WARNING: No team_CTF_redflag in map" );
ADDRGP4 $281
ARGP4
ADDRGP4 G_Printf
CALLV
pop
line 821
;821:		}
LABELV $278
line 822
;822:		item = BG_FindItem( "Blue Flag" );
ADDRGP4 $282
ARGP4
ADDRLP4 12
ADDRGP4 BG_FindItem
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 12
INDIRP4
ASGNP4
line 823
;823:		if ( !item || !itemRegistered[ item - bg_itemlist ] ) {
ADDRLP4 16
ADDRLP4 0
INDIRP4
CVPU4 4
ASGNU4
ADDRLP4 16
INDIRU4
CNSTU4 0
EQU4 $285
ADDRLP4 16
INDIRU4
ADDRGP4 bg_itemlist
CVPU4 4
SUBU4
CVUI4 4
CNSTI4 44
DIVI4
CNSTI4 2
LSHI4
ADDRGP4 itemRegistered
ADDP4
INDIRI4
CNSTI4 0
NEI4 $283
LABELV $285
line 824
;824:			G_Printf( "^1WARNING: No team_CTF_blueflag in map" );
ADDRGP4 $286
ARGP4
ADDRGP4 G_Printf
CALLV
pop
line 825
;825:		}
LABELV $283
line 826
;826:	}
LABELV $274
line 827
;827:}
LABELV $273
endproc G_CheckTeamItems 20 4
export ClearRegisteredItems
proc ClearRegisteredItems 100 12
line 834
;828:
;829:/*
;830:==============
;831:ClearRegisteredItems
;832:==============
;833:*/
;834:void ClearRegisteredItems( void ) {
line 835
;835:	memset( itemRegistered, 0, sizeof( itemRegistered ) );
ADDRGP4 itemRegistered
ARGP4
CNSTI4 0
ARGI4
CNSTI4 1024
ARGI4
ADDRGP4 memset
CALLP4
pop
line 838
;836:
;837:	// players always start with the base weapon
;838:	RegisterItem( BG_FindItemForWeapon( WP_PHASER ) );
CNSTI4 1
ARGI4
ADDRLP4 0
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 839
;839:	RegisterItem( BG_FindItemForWeapon( WP_COMPRESSION_RIFLE ) );	//this is for the podium at the end, make sure we have the model
CNSTI4 2
ARGI4
ADDRLP4 4
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 4
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 840
;840:	RegisterItem( BG_FindItemForWeapon( WP_IMOD ) );				//CGMarker: from here down is hopefully to remove some of the lag of buying weapons
CNSTI4 3
ARGI4
ADDRLP4 8
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 8
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 841
;841:	RegisterItem( BG_FindItemForWeapon( WP_SCAVENGER_RIFLE ) );
CNSTI4 4
ARGI4
ADDRLP4 12
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 12
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 842
;842:	RegisterItem( BG_FindItemForWeapon( WP_STASIS ) );
CNSTI4 5
ARGI4
ADDRLP4 16
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 16
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 843
;843:	RegisterItem( BG_FindItemForWeapon( WP_GRENADE_LAUNCHER ) );
CNSTI4 6
ARGI4
ADDRLP4 20
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 20
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 844
;844:	RegisterItem( BG_FindItemForWeapon( WP_TETRION_DISRUPTOR ) );
CNSTI4 7
ARGI4
ADDRLP4 24
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 24
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 845
;845:	RegisterItem( BG_FindItemForWeapon( WP_QUANTUM_BURST ) );
CNSTI4 8
ARGI4
ADDRLP4 28
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 28
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 846
;846:	RegisterItem( BG_FindItemForWeapon( WP_DREADNOUGHT ) );
CNSTI4 9
ARGI4
ADDRLP4 32
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 32
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 849
;847:
;848:	// okay!  Now, based on what game mods we have one, we need to register even more stuff by default:
;849:	if ( g_pModSpecialties.integer )
ADDRGP4 g_pModSpecialties+12
INDIRI4
CNSTI4 0
EQI4 $288
line 850
;850:	{	//weapons
line 851
;851:		RegisterItem( BG_FindItemForWeapon( WP_IMOD ) );	//PC_SNIPER
CNSTI4 3
ARGI4
ADDRLP4 36
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 36
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 852
;852:		RegisterItem( BG_FindItemForWeapon( WP_TETRION_DISRUPTOR ) );	//PC_HEAVY
CNSTI4 7
ARGI4
ADDRLP4 40
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 40
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 853
;853:		RegisterItem( BG_FindItemForWeapon( WP_QUANTUM_BURST ) );	//PC_HEAVY
CNSTI4 8
ARGI4
ADDRLP4 44
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 44
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 854
;854:		RegisterItem( BG_FindItemForWeapon( WP_SCAVENGER_RIFLE ) );	//PC_DEMO
CNSTI4 4
ARGI4
ADDRLP4 48
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 48
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 855
;855:		RegisterItem( BG_FindItemForWeapon( WP_GRENADE_LAUNCHER ) );//PC_DEMO
CNSTI4 6
ARGI4
ADDRLP4 52
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 52
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 856
;856:		RegisterItem( BG_FindItemForWeapon( WP_DREADNOUGHT ) );		//PC_TECH
CNSTI4 9
ARGI4
ADDRLP4 56
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 56
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 857
;857:		RegisterItem( BG_FindItemForWeapon( WP_VOYAGER_HYPO ) );	//PC_MEDIC
CNSTI4 10
ARGI4
ADDRLP4 60
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 60
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 859
;858:		//items
;859:		RegisterItem( BG_FindItemForHoldable( HI_TRANSPORTER ) );	//PC_INFILTRATOR, PC_BORG
CNSTI4 1
ARGI4
ADDRLP4 64
ADDRGP4 BG_FindItemForHoldable
CALLP4
ASGNP4
ADDRLP4 64
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 860
;860:		RegisterItem( BG_FindItemForHoldable( HI_DECOY ) );	//PC_SNIPER
CNSTI4 5
ARGI4
ADDRLP4 68
ADDRGP4 BG_FindItemForHoldable
CALLP4
ASGNP4
ADDRLP4 68
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 861
;861:		RegisterItem( BG_FindItemForHoldable( HI_DETPACK ) );	//PC_DEMO
CNSTI4 3
ARGI4
ADDRLP4 72
ADDRGP4 BG_FindItemForHoldable
CALLP4
ASGNP4
ADDRLP4 72
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 862
;862:		RegisterItem( BG_FindItemForHoldable( HI_MEDKIT ) );	//PC_MEDIC
CNSTI4 2
ARGI4
ADDRLP4 76
ADDRGP4 BG_FindItemForHoldable
CALLP4
ASGNP4
ADDRLP4 76
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 863
;863:		RegisterItem( BG_FindItemForHoldable( HI_SHIELD ) );	//PC_TECH
CNSTI4 4
ARGI4
ADDRLP4 80
ADDRGP4 BG_FindItemForHoldable
CALLP4
ASGNP4
ADDRLP4 80
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 865
;864:		//power ups
;865:		RegisterItem( BG_FindItemForPowerup( PW_HASTE ) );	//PC_INFILTRATOR
CNSTI4 3
ARGI4
ADDRLP4 84
ADDRGP4 BG_FindItemForPowerup
CALLP4
ASGNP4
ADDRLP4 84
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 866
;866:		RegisterItem( BG_FindItemForPowerup( PW_REGEN ) );	//PC_MEDIC, PC_ACTIONHERO
CNSTI4 5
ARGI4
ADDRLP4 88
ADDRGP4 BG_FindItemForPowerup
CALLP4
ASGNP4
ADDRLP4 88
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 867
;867:		RegisterItem( BG_FindItemForPowerup( PW_SEEKER ) );	//PC_TECH. PC_VIP
CNSTI4 7
ARGI4
ADDRLP4 92
ADDRGP4 BG_FindItemForPowerup
CALLP4
ASGNP4
ADDRLP4 92
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 868
;868:		RegisterItem( BG_FindItemForPowerup( PW_INVIS ) );	//PC_TECH
CNSTI4 4
ARGI4
ADDRLP4 96
ADDRGP4 BG_FindItemForPowerup
CALLP4
ASGNP4
ADDRLP4 96
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 870
;869:		//Tech power stations
;870:		G_ModelIndex( "models/mapobjects/dn/powercell.md3" );
ADDRGP4 $291
ARGP4
ADDRGP4 G_ModelIndex
CALLI4
pop
line 871
;871:		G_ModelIndex( "models/mapobjects/dn/powercell2.md3" );
ADDRGP4 $292
ARGP4
ADDRGP4 G_ModelIndex
CALLI4
pop
line 872
;872:		G_SoundIndex( "sound/player/suitenergy.wav" );
ADDRGP4 $293
ARGP4
ADDRGP4 G_SoundIndex
CALLI4
pop
line 873
;873:		G_SoundIndex( "sound/weapons/noammo.wav" );
ADDRGP4 $294
ARGP4
ADDRGP4 G_SoundIndex
CALLI4
pop
line 874
;874:		G_SoundIndex( "sound/weapons/explosions/cargoexplode.wav" );
ADDRGP4 $295
ARGP4
ADDRGP4 G_SoundIndex
CALLI4
pop
line 875
;875:		G_SoundIndex( "sound/items/respawn1.wav" );
ADDRGP4 $296
ARGP4
ADDRGP4 G_SoundIndex
CALLI4
pop
line 876
;876:	}
LABELV $288
line 877
;877:	if ( g_pModActionHero.integer )
ADDRGP4 g_pModActionHero+12
INDIRI4
CNSTI4 0
EQI4 $297
line 878
;878:	{
line 879
;879:		RegisterItem( BG_FindItemForWeapon( WP_IMOD ) );
CNSTI4 3
ARGI4
ADDRLP4 36
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 36
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 880
;880:		RegisterItem( BG_FindItemForWeapon( WP_SCAVENGER_RIFLE ) );
CNSTI4 4
ARGI4
ADDRLP4 40
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 40
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 881
;881:		RegisterItem( BG_FindItemForWeapon( WP_STASIS ) );
CNSTI4 5
ARGI4
ADDRLP4 44
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 44
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 882
;882:		RegisterItem( BG_FindItemForWeapon( WP_GRENADE_LAUNCHER ) );
CNSTI4 6
ARGI4
ADDRLP4 48
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 48
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 883
;883:		RegisterItem( BG_FindItemForWeapon( WP_TETRION_DISRUPTOR ) );
CNSTI4 7
ARGI4
ADDRLP4 52
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 52
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 884
;884:		RegisterItem( BG_FindItemForWeapon( WP_QUANTUM_BURST ) );
CNSTI4 8
ARGI4
ADDRLP4 56
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 56
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 885
;885:		RegisterItem( BG_FindItemForWeapon( WP_DREADNOUGHT ) );
CNSTI4 9
ARGI4
ADDRLP4 60
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 60
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 886
;886:	}
LABELV $297
line 887
;887:	if ( g_pModAssimilation.integer )
ADDRGP4 g_pModAssimilation+12
INDIRI4
CNSTI4 0
EQI4 $300
line 888
;888:	{
line 889
;889:		RegisterItem( BG_FindItemForWeapon( WP_BORG_ASSIMILATOR ) );
CNSTI4 11
ARGI4
ADDRLP4 36
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 36
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 890
;890:		RegisterItem( BG_FindItemForWeapon( WP_BORG_WEAPON ) );	//queen
CNSTI4 12
ARGI4
ADDRLP4 40
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 40
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 891
;891:		RegisterItem( BG_FindItemForPowerup( PW_REGEN ) );	//queen
CNSTI4 5
ARGI4
ADDRLP4 44
ADDRGP4 BG_FindItemForPowerup
CALLP4
ASGNP4
ADDRLP4 44
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 892
;892:	}
LABELV $300
line 893
;893:}
LABELV $287
endproc ClearRegisteredItems 100 12
export RegisterItem
proc RegisterItem 0 4
line 902
;894:
;895:/*
;896:===============
;897:RegisterItem
;898:
;899:The item will be added to the precache list
;900:===============
;901:*/
;902:void RegisterItem( gitem_t *item ) {
line 903
;903:	if ( !item ) {
ADDRFP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $304
line 904
;904:		G_Error( "RegisterItem: NULL" );
ADDRGP4 $306
ARGP4
ADDRGP4 G_Error
CALLV
pop
line 905
;905:	}
LABELV $304
line 906
;906:	itemRegistered[ item - bg_itemlist ] = qtrue;
ADDRFP4 0
INDIRP4
CVPU4 4
ADDRGP4 bg_itemlist
CVPU4 4
SUBU4
CVUI4 4
CNSTI4 44
DIVI4
CNSTI4 2
LSHI4
ADDRGP4 itemRegistered
ADDP4
CNSTI4 1
ASGNI4
line 907
;907:}
LABELV $303
endproc RegisterItem 0 4
export SaveRegisteredItems
proc SaveRegisteredItems 268 8
line 918
;908:
;909:
;910:/*
;911:===============
;912:SaveRegisteredItems
;913:
;914:Write the needed items to a config string
;915:so the client will know which ones to precache
;916:===============
;917:*/
;918:void SaveRegisteredItems( void ) {
line 923
;919:	char	string[MAX_ITEMS+1];
;920:	int		i;
;921:	int		count;
;922:
;923:	count = 0;
ADDRLP4 264
CNSTI4 0
ASGNI4
line 924
;924:	for ( i = 0 ; i < bg_numItems ; i++ ) {
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $311
JUMPV
LABELV $308
line 925
;925:		if ( itemRegistered[i] ) {
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 itemRegistered
ADDP4
INDIRI4
CNSTI4 0
EQI4 $312
line 926
;926:			count++;
ADDRLP4 264
ADDRLP4 264
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 927
;927:			string[i] = '1';
ADDRLP4 0
INDIRI4
ADDRLP4 4
ADDP4
CNSTI1 49
ASGNI1
line 928
;928:		} else {
ADDRGP4 $313
JUMPV
LABELV $312
line 929
;929:			string[i] = '0';
ADDRLP4 0
INDIRI4
ADDRLP4 4
ADDP4
CNSTI1 48
ASGNI1
line 930
;930:		}
LABELV $313
line 931
;931:	}
LABELV $309
line 924
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $311
ADDRLP4 0
INDIRI4
ADDRGP4 bg_numItems
INDIRI4
LTI4 $308
line 932
;932:	string[ bg_numItems ] = 0;
ADDRGP4 bg_numItems
INDIRI4
ADDRLP4 4
ADDP4
CNSTI1 0
ASGNI1
line 934
;933:
;934:	G_Printf( "%i items registered\n", count );
ADDRGP4 $314
ARGP4
ADDRLP4 264
INDIRI4
ARGI4
ADDRGP4 G_Printf
CALLV
pop
line 935
;935:	trap_SetConfigstring(CS_ITEMS, string);
CNSTI4 27
ARGI4
ADDRLP4 4
ARGP4
ADDRGP4 trap_SetConfigstring
CALLV
pop
line 936
;936:}
LABELV $307
endproc SaveRegisteredItems 268 8
export G_ItemSuppressed
proc G_ItemSuppressed 12 0
line 940
;937:
;938:
;939:qboolean G_ItemSuppressed( int itemType, int itemTag )
;940:{
line 941
;941:	if ( g_pModDisintegration.integer != 0 )
ADDRGP4 g_pModDisintegration+12
INDIRI4
CNSTI4 0
EQI4 $316
line 942
;942:	{//FIXME: instagib
line 943
;943:		switch( itemType )
ADDRLP4 0
ADDRFP4 0
INDIRI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 1
LTI4 $317
ADDRLP4 0
INDIRI4
CNSTI4 6
GTI4 $317
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 $332-4
ADDP4
INDIRP4
JUMPV
lit
align 4
LABELV $332
address $321
address $321
address $321
address $321
address $326
address $322
code
line 944
;944:		{
LABELV $321
line 949
;945:		case IT_ARMOR://useless
;946:		case IT_WEAPON://only compression rifle
;947:		case IT_HEALTH://useless
;948:		case IT_AMMO://only compression rifle ammo
;949:			return qtrue;
CNSTI4 1
RETI4
ADDRGP4 $315
JUMPV
line 950
;950:			break;
LABELV $322
line 952
;951:		case IT_HOLDABLE:
;952:			switch ( itemTag )
ADDRLP4 4
ADDRFP4 4
INDIRI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 2
EQI4 $325
ADDRLP4 4
INDIRI4
CNSTI4 3
EQI4 $325
ADDRGP4 $317
JUMPV
line 953
;953:			{
LABELV $325
line 956
;954:			case HI_MEDKIT:
;955:			case HI_DETPACK:
;956:				return qtrue;
CNSTI4 1
RETI4
ADDRGP4 $315
JUMPV
line 957
;957:				break;
line 959
;958:			}
;959:			break;
LABELV $326
line 961
;960:		case IT_POWERUP:
;961:			switch ( itemTag )
ADDRLP4 8
ADDRFP4 4
INDIRI4
ASGNI4
ADDRLP4 8
INDIRI4
CNSTI4 1
LTI4 $317
ADDRLP4 8
INDIRI4
CNSTI4 7
GTI4 $317
ADDRLP4 8
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 $330-4
ADDP4
INDIRP4
JUMPV
lit
align 4
LABELV $330
address $329
address $329
address $317
address $317
address $329
address $317
address $329
code
line 962
;962:			{
LABELV $329
line 967
;963:			case PW_BATTLESUIT:
;964:			case PW_QUAD:
;965:			case PW_REGEN:
;966:			case PW_SEEKER:
;967:				return qtrue;
CNSTI4 1
RETI4
ADDRGP4 $315
JUMPV
line 968
;968:				break;
line 970
;969:			}
;970:			break;
line 972
;971:		}
;972:	}
LABELV $316
line 973
;973:	else if ( g_pModSpecialties.integer != 0 )
ADDRGP4 g_pModSpecialties+12
INDIRI4
CNSTI4 0
EQI4 $334
line 974
;974:	{
line 975
;975:		switch( itemType )
ADDRLP4 0
ADDRFP4 0
INDIRI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 1
LTI4 $337
ADDRLP4 0
INDIRI4
CNSTI4 6
GTI4 $337
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 $346-4
ADDP4
INDIRP4
JUMPV
lit
align 4
LABELV $346
address $339
address $339
address $339
address $339
address $340
address $339
code
line 976
;976:		{
LABELV $339
line 982
;977:		case IT_ARMOR://given to classes
;978:		case IT_WEAPON://spread out among classes
;979:		case IT_HOLDABLE://spread out among classes
;980:		case IT_HEALTH://given by medics
;981:		case IT_AMMO://given by technician
;982:			return qtrue;
CNSTI4 1
RETI4
ADDRGP4 $315
JUMPV
line 983
;983:			break;
LABELV $340
line 985
;984:		case IT_POWERUP:
;985:			switch ( itemTag )
ADDRLP4 4
ADDRFP4 4
INDIRI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 3
LTI4 $338
ADDRLP4 4
INDIRI4
CNSTI4 7
GTI4 $338
ADDRLP4 4
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 $344-12
ADDP4
INDIRP4
JUMPV
lit
align 4
LABELV $344
address $343
address $343
address $343
address $338
address $343
code
line 986
;986:			{
LABELV $343
line 991
;987:			case PW_HASTE:
;988:			case PW_INVIS:
;989:			case PW_REGEN:
;990:			case PW_SEEKER:
;991:				return qtrue;
CNSTI4 1
RETI4
ADDRGP4 $315
JUMPV
line 992
;992:				break;
line 994
;993:			}
;994:			break;
LABELV $337
LABELV $338
line 996
;995:		}
;996:	}
LABELV $334
LABELV $317
line 997
;997:	return qfalse;
CNSTI4 0
RETI4
LABELV $315
endproc G_ItemSuppressed 12 0
export G_ItemClassnameSuppressed
proc G_ItemClassnameSuppressed 20 8
line 1001
;998:}
;999:
;1000:qboolean G_ItemClassnameSuppressed( char *itemname )
;1001:{
line 1002
;1002:	gitem_t *item = NULL;
ADDRLP4 0
CNSTP4 0
ASGNP4
line 1003
;1003:	int		itemType = 0;
ADDRLP4 4
CNSTI4 0
ASGNI4
line 1004
;1004:	int		itemTag = 0;
ADDRLP4 8
CNSTI4 0
ASGNI4
line 1006
;1005:
;1006:	item = BG_FindItemWithClassname( itemname );
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 12
ADDRGP4 BG_FindItemWithClassname
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 12
INDIRP4
ASGNP4
line 1008
;1007:
;1008:	if ( !item )
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $349
line 1009
;1009:	{
line 1010
;1010:		return qfalse;
CNSTI4 0
RETI4
ADDRGP4 $348
JUMPV
LABELV $349
line 1012
;1011:	}
;1012:	itemType = item->giType;
ADDRLP4 4
ADDRLP4 0
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
ASGNI4
line 1013
;1013:	itemTag = item->giTag;
ADDRLP4 8
ADDRLP4 0
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
ASGNI4
line 1015
;1014:
;1015:	return G_ItemSuppressed( itemType, itemTag );
ADDRLP4 4
INDIRI4
ARGI4
ADDRLP4 8
INDIRI4
ARGI4
ADDRLP4 16
ADDRGP4 G_ItemSuppressed
CALLI4
ASGNI4
ADDRLP4 16
INDIRI4
RETI4
LABELV $348
endproc G_ItemClassnameSuppressed 20 8
export G_CheckReplaceItem
proc G_CheckReplaceItem 28 4
line 1019
;1016:}
;1017:
;1018:gitem_t *G_CheckReplaceItem( gentity_t *ent, gitem_t *item )
;1019:{
line 1020
;1020:	gitem_t *newitem = item;
ADDRLP4 0
ADDRFP4 4
INDIRP4
ASGNP4
line 1021
;1021:	if ( g_pModAssimilation.integer != 0 )
ADDRGP4 g_pModAssimilation+12
INDIRI4
CNSTI4 0
EQI4 $352
line 1022
;1022:	{//replace tetryon and scav rifles with I-Mods
line 1023
;1023:		switch ( item->giTag )
ADDRLP4 4
ADDRFP4 4
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 4
EQI4 $358
ADDRLP4 4
INDIRI4
CNSTI4 7
EQI4 $358
ADDRGP4 $356
JUMPV
line 1024
;1024:		{
LABELV $358
line 1027
;1025:		case WP_SCAVENGER_RIFLE:
;1026:		case WP_TETRION_DISRUPTOR:
;1027:			switch( item->giType )
ADDRLP4 12
ADDRFP4 4
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
ASGNI4
ADDRLP4 12
INDIRI4
CNSTI4 1
EQI4 $362
ADDRLP4 12
INDIRI4
CNSTI4 2
EQI4 $364
ADDRGP4 $356
JUMPV
line 1028
;1028:			{
LABELV $362
line 1030
;1029:			case IT_WEAPON:
;1030:				newitem = BG_FindItemForWeapon( WP_IMOD );
CNSTI4 3
ARGI4
ADDRLP4 20
ADDRGP4 BG_FindItemForWeapon
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 20
INDIRP4
ASGNP4
line 1031
;1031:				ent->classname = "weapon_imod";
ADDRFP4 0
INDIRP4
CNSTI4 312
ADDP4
ADDRGP4 $363
ASGNP4
line 1032
;1032:				break;
ADDRGP4 $356
JUMPV
LABELV $364
line 1034
;1033:			case IT_AMMO:
;1034:				newitem = BG_FindItemForAmmo( WP_IMOD );
CNSTI4 3
ARGI4
ADDRLP4 24
ADDRGP4 BG_FindItemForAmmo
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 24
INDIRP4
ASGNP4
line 1035
;1035:				ent->classname = "ammo_imod";
ADDRFP4 0
INDIRP4
CNSTI4 312
ADDP4
ADDRGP4 $365
ASGNP4
line 1036
;1036:				break;
line 1038
;1037:			default:
;1038:				break;
line 1040
;1039:			}
;1040:			break;
line 1042
;1041:		default:
;1042:			break;
LABELV $356
line 1044
;1043:		}
;1044:	}
LABELV $352
line 1045
;1045:	return newitem;
ADDRLP4 0
INDIRP4
RETP4
LABELV $351
endproc G_CheckReplaceItem 28 4
export G_SpawnItem
proc G_SpawnItem 12 12
line 1057
;1046:}
;1047:/*
;1048:============
;1049:G_SpawnItem
;1050:
;1051:Sets the clipping size and plants the object on the floor.
;1052:
;1053:Items can't be immediately dropped to floor, because they might
;1054:be on an entity that hasn't spawned yet.
;1055:============
;1056:*/
;1057:void G_SpawnItem (gentity_t *ent, gitem_t *item) {
line 1058
;1058:	if ( G_ItemSuppressed( item->giType, item->giTag ) )
ADDRLP4 0
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
ARGI4
ADDRLP4 0
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
ARGI4
ADDRLP4 4
ADDRGP4 G_ItemSuppressed
CALLI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 0
EQI4 $367
line 1059
;1059:	{
line 1060
;1060:		return;
ADDRGP4 $366
JUMPV
LABELV $367
line 1062
;1061:	}
;1062:	item = G_CheckReplaceItem( ent, item );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 8
ADDRGP4 G_CheckReplaceItem
CALLP4
ASGNP4
ADDRFP4 4
ADDRLP4 8
INDIRP4
ASGNP4
line 1064
;1063:
;1064:	G_SpawnFloat( "random", "0", &ent->random );
ADDRGP4 $369
ARGP4
ADDRGP4 $370
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 612
ADDP4
ARGP4
ADDRGP4 G_SpawnFloat
CALLI4
pop
line 1065
;1065:	G_SpawnFloat( "wait", "0", &ent->wait );
ADDRGP4 $371
ARGP4
ADDRGP4 $370
ARGP4
ADDRFP4 0
INDIRP4
CNSTI4 608
ADDP4
ARGP4
ADDRGP4 G_SpawnFloat
CALLI4
pop
line 1067
;1066:
;1067:	RegisterItem( item );
ADDRFP4 4
INDIRP4
ARGP4
ADDRGP4 RegisterItem
CALLV
pop
line 1068
;1068:	ent->item = item;
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
ADDRFP4 4
INDIRP4
ASGNP4
line 1071
;1069:	// some movers spawn on the second frame, so delay item
;1070:	// spawns until the third frame so they can ride trains
;1071:	ent->nextthink = level.time + FRAMETIME * 2;
ADDRFP4 0
INDIRP4
CNSTI4 496
ADDP4
ADDRGP4 level+32
INDIRI4
CNSTI4 200
ADDI4
ASGNI4
line 1072
;1072:	ent->think = FinishSpawningItem;
ADDRFP4 0
INDIRP4
CNSTI4 500
ADDP4
ADDRGP4 FinishSpawningItem
ASGNP4
line 1074
;1073:
;1074:	ent->physicsBounce = 0.50;		// items are bouncy
ADDRFP4 0
INDIRP4
CNSTI4 356
ADDP4
CNSTF4 1056964608
ASGNF4
line 1076
;1075:
;1076:	if ( item->giType == IT_POWERUP ) {
ADDRFP4 4
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
CNSTI4 5
NEI4 $373
line 1077
;1077:		G_SoundIndex( "sound/items/poweruprespawn.wav" );//cgs.media.poweruprespawn
ADDRGP4 $173
ARGP4
ADDRGP4 G_SoundIndex
CALLI4
pop
line 1078
;1078:	}
LABELV $373
line 1079
;1079:}
LABELV $366
endproc G_SpawnItem 12 12
export G_BounceItem
proc G_BounceItem 64 12
line 1088
;1080:
;1081:
;1082:/*
;1083:================
;1084:G_BounceItem
;1085:
;1086:================
;1087:*/
;1088:void G_BounceItem( gentity_t *ent, trace_t *trace ) {
line 1094
;1089:	vec3_t	velocity;
;1090:	float	dot;
;1091:	int		hitTime;
;1092:
;1093:	// reflect the velocity on the trace plane
;1094:	hitTime = level.previousTime + ( level.time - level.previousTime ) * trace->fraction;
ADDRLP4 16
ADDRGP4 level+36
INDIRI4
CVIF4 4
ADDRGP4 level+32
INDIRI4
ADDRGP4 level+36
INDIRI4
SUBI4
CVIF4 4
ADDRFP4 4
INDIRP4
CNSTI4 8
ADDP4
INDIRF4
MULF4
ADDF4
CVFI4 4
ASGNI4
line 1095
;1095:	BG_EvaluateTrajectoryDelta( &ent->s.pos, hitTime, velocity );
ADDRFP4 0
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRLP4 16
INDIRI4
ARGI4
ADDRLP4 0
ARGP4
ADDRGP4 BG_EvaluateTrajectoryDelta
CALLV
pop
line 1096
;1096:	dot = DotProduct( velocity, trace->plane.normal );
ADDRLP4 20
ADDRFP4 4
INDIRP4
ASGNP4
ADDRLP4 12
ADDRLP4 0
INDIRF4
ADDRLP4 20
INDIRP4
CNSTI4 24
ADDP4
INDIRF4
MULF4
ADDRLP4 0+4
INDIRF4
ADDRLP4 20
INDIRP4
CNSTI4 28
ADDP4
INDIRF4
MULF4
ADDF4
ADDRLP4 0+8
INDIRF4
ADDRLP4 20
INDIRP4
CNSTI4 32
ADDP4
INDIRF4
MULF4
ADDF4
ASGNF4
line 1097
;1097:	VectorMA( velocity, -2*dot, trace->plane.normal, ent->s.pos.trDelta );
ADDRFP4 0
INDIRP4
CNSTI4 36
ADDP4
ADDRLP4 0
INDIRF4
ADDRFP4 4
INDIRP4
CNSTI4 24
ADDP4
INDIRF4
CNSTF4 3221225472
ADDRLP4 12
INDIRF4
MULF4
MULF4
ADDF4
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 40
ADDP4
ADDRLP4 0+4
INDIRF4
ADDRFP4 4
INDIRP4
CNSTI4 28
ADDP4
INDIRF4
CNSTF4 3221225472
ADDRLP4 12
INDIRF4
MULF4
MULF4
ADDF4
ASGNF4
ADDRFP4 0
INDIRP4
CNSTI4 44
ADDP4
ADDRLP4 0+8
INDIRF4
ADDRFP4 4
INDIRP4
CNSTI4 32
ADDP4
INDIRF4
CNSTF4 3221225472
ADDRLP4 12
INDIRF4
MULF4
MULF4
ADDF4
ASGNF4
line 1100
;1098:
;1099:	// cut the velocity to keep from bouncing forever
;1100:	VectorScale( ent->s.pos.trDelta, ent->physicsBounce, ent->s.pos.trDelta );
ADDRLP4 24
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 28
ADDRLP4 24
INDIRP4
CNSTI4 36
ADDP4
ASGNP4
ADDRLP4 28
INDIRP4
ADDRLP4 28
INDIRP4
INDIRF4
ADDRLP4 24
INDIRP4
CNSTI4 356
ADDP4
INDIRF4
MULF4
ASGNF4
ADDRLP4 32
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 36
ADDRLP4 32
INDIRP4
CNSTI4 40
ADDP4
ASGNP4
ADDRLP4 36
INDIRP4
ADDRLP4 36
INDIRP4
INDIRF4
ADDRLP4 32
INDIRP4
CNSTI4 356
ADDP4
INDIRF4
MULF4
ASGNF4
ADDRLP4 40
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 44
ADDRLP4 40
INDIRP4
CNSTI4 44
ADDP4
ASGNP4
ADDRLP4 44
INDIRP4
ADDRLP4 44
INDIRP4
INDIRF4
ADDRLP4 40
INDIRP4
CNSTI4 356
ADDP4
INDIRF4
MULF4
ASGNF4
line 1103
;1101:
;1102:	// check for stop
;1103:	if ( trace->plane.normal[2] > 0 && ent->s.pos.trDelta[2] < 40 ) {
ADDRFP4 4
INDIRP4
CNSTI4 32
ADDP4
INDIRF4
CNSTF4 0
LEF4 $383
ADDRFP4 0
INDIRP4
CNSTI4 44
ADDP4
INDIRF4
CNSTF4 1109393408
GEF4 $383
line 1104
;1104:		trace->endpos[2] += 1.0;	// make sure it is off ground
ADDRLP4 48
ADDRFP4 4
INDIRP4
CNSTI4 20
ADDP4
ASGNP4
ADDRLP4 48
INDIRP4
ADDRLP4 48
INDIRP4
INDIRF4
CNSTF4 1065353216
ADDF4
ASGNF4
line 1105
;1105:		SnapVector( trace->endpos );
ADDRLP4 52
ADDRFP4 4
INDIRP4
CNSTI4 12
ADDP4
ASGNP4
ADDRLP4 52
INDIRP4
ADDRLP4 52
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 56
ADDRFP4 4
INDIRP4
CNSTI4 16
ADDP4
ASGNP4
ADDRLP4 56
INDIRP4
ADDRLP4 56
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 60
ADDRFP4 4
INDIRP4
CNSTI4 20
ADDP4
ASGNP4
ADDRLP4 60
INDIRP4
ADDRLP4 60
INDIRP4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
line 1106
;1106:		G_SetOrigin( ent, trace->endpos );
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 1107
;1107:		ent->s.groundEntityNum = trace->entityNum;
ADDRFP4 0
INDIRP4
CNSTI4 148
ADDP4
ADDRFP4 4
INDIRP4
CNSTI4 52
ADDP4
INDIRI4
ASGNI4
line 1108
;1108:		return;
ADDRGP4 $375
JUMPV
LABELV $383
line 1111
;1109:	}
;1110:
;1111:	VectorAdd( ent->r.currentOrigin, trace->plane.normal, ent->r.currentOrigin);
ADDRLP4 48
ADDRFP4 0
INDIRP4
CNSTI4 276
ADDP4
ASGNP4
ADDRLP4 48
INDIRP4
ADDRLP4 48
INDIRP4
INDIRF4
ADDRFP4 4
INDIRP4
CNSTI4 24
ADDP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 52
ADDRFP4 0
INDIRP4
CNSTI4 280
ADDP4
ASGNP4
ADDRLP4 52
INDIRP4
ADDRLP4 52
INDIRP4
INDIRF4
ADDRFP4 4
INDIRP4
CNSTI4 28
ADDP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 56
ADDRFP4 0
INDIRP4
CNSTI4 284
ADDP4
ASGNP4
ADDRLP4 56
INDIRP4
ADDRLP4 56
INDIRP4
INDIRF4
ADDRFP4 4
INDIRP4
CNSTI4 32
ADDP4
INDIRF4
ADDF4
ASGNF4
line 1112
;1112:	VectorCopy( ent->r.currentOrigin, ent->s.pos.trBase );
ADDRLP4 60
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 60
INDIRP4
CNSTI4 24
ADDP4
ADDRLP4 60
INDIRP4
CNSTI4 276
ADDP4
INDIRB
ASGNB 12
line 1113
;1113:	ent->s.pos.trTime = level.time;
ADDRFP4 0
INDIRP4
CNSTI4 16
ADDP4
ADDRGP4 level+32
INDIRI4
ASGNI4
line 1114
;1114:}
LABELV $375
endproc G_BounceItem 64 12
export G_RunItem
proc G_RunItem 88 28
line 1123
;1115:
;1116:
;1117:/*
;1118:================
;1119:G_RunItem
;1120:
;1121:================
;1122:*/
;1123:void G_RunItem( gentity_t *ent ) {
line 1130
;1124:	vec3_t		origin;
;1125:	trace_t		tr;
;1126:	int			contents;
;1127:	int			mask;
;1128:
;1129:	// if groundentity has been set to -1, it may have been pushed off an edge
;1130:	if ( ent->s.groundEntityNum == -1 ) {
ADDRFP4 0
INDIRP4
CNSTI4 148
ADDP4
INDIRI4
CNSTI4 -1
NEI4 $387
line 1131
;1131:		if ( ent->s.pos.trType != TR_GRAVITY ) {
ADDRFP4 0
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
CNSTI4 5
EQI4 $389
line 1132
;1132:			ent->s.pos.trType = TR_GRAVITY;
ADDRFP4 0
INDIRP4
CNSTI4 12
ADDP4
CNSTI4 5
ASGNI4
line 1133
;1133:			ent->s.pos.trTime = level.time;
ADDRFP4 0
INDIRP4
CNSTI4 16
ADDP4
ADDRGP4 level+32
INDIRI4
ASGNI4
line 1134
;1134:		}
LABELV $389
line 1135
;1135:	}
LABELV $387
line 1137
;1136:
;1137:	if ( ent->s.pos.trType == TR_STATIONARY ) {
ADDRFP4 0
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
CNSTI4 0
NEI4 $392
line 1139
;1138:		// check think function
;1139:		G_RunThink( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_RunThink
CALLV
pop
line 1140
;1140:		return;
ADDRGP4 $386
JUMPV
LABELV $392
line 1144
;1141:	}
;1142:
;1143:	// get current position
;1144:	BG_EvaluateTrajectory( &ent->s.pos, level.time, origin );
ADDRFP4 0
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRGP4 level+32
INDIRI4
ARGI4
ADDRLP4 56
ARGP4
ADDRGP4 BG_EvaluateTrajectory
CALLV
pop
line 1147
;1145:
;1146:	// trace a line from the previous position to the current position
;1147:	if ( ent->clipmask ) {
ADDRFP4 0
INDIRP4
CNSTI4 360
ADDP4
INDIRI4
CNSTI4 0
EQI4 $395
line 1148
;1148:		mask = ent->clipmask;
ADDRLP4 72
ADDRFP4 0
INDIRP4
CNSTI4 360
ADDP4
INDIRI4
ASGNI4
line 1149
;1149:	} else {
ADDRGP4 $396
JUMPV
LABELV $395
line 1150
;1150:		mask = MASK_PLAYERSOLID & ~CONTENTS_BODY;//MASK_SOLID;
ADDRLP4 72
CNSTI4 65537
ASGNI4
line 1151
;1151:	}
LABELV $396
line 1152
;1152:	trap_Trace( &tr, ent->r.currentOrigin, ent->r.mins, ent->r.maxs, origin, 
ADDRLP4 0
ARGP4
ADDRLP4 76
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 76
INDIRP4
CNSTI4 276
ADDP4
ARGP4
ADDRLP4 76
INDIRP4
CNSTI4 224
ADDP4
ARGP4
ADDRLP4 76
INDIRP4
CNSTI4 236
ADDP4
ARGP4
ADDRLP4 56
ARGP4
ADDRLP4 76
INDIRP4
CNSTI4 300
ADDP4
INDIRI4
ARGI4
ADDRLP4 72
INDIRI4
ARGI4
ADDRGP4 trap_Trace
CALLV
pop
line 1155
;1153:		ent->r.ownerNum, mask );
;1154:
;1155:	VectorCopy( tr.endpos, ent->r.currentOrigin );
ADDRFP4 0
INDIRP4
CNSTI4 276
ADDP4
ADDRLP4 0+12
INDIRB
ASGNB 12
line 1157
;1156:
;1157:	if ( tr.startsolid ) {
ADDRLP4 0+4
INDIRI4
CNSTI4 0
EQI4 $398
line 1158
;1158:		tr.fraction = 0;
ADDRLP4 0+8
CNSTF4 0
ASGNF4
line 1159
;1159:	}
LABELV $398
line 1161
;1160:
;1161:	trap_LinkEntity( ent );	// FIXME: avoid this for stationary?
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 1164
;1162:
;1163:	// check think function
;1164:	G_RunThink( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_RunThink
CALLV
pop
line 1166
;1165:
;1166:	if ( tr.fraction == 1 ) {
ADDRLP4 0+8
INDIRF4
CNSTF4 1065353216
NEF4 $402
line 1167
;1167:		return;
ADDRGP4 $386
JUMPV
LABELV $402
line 1171
;1168:	}
;1169:
;1170:	// if it is in a nodrop volume, remove it
;1171:	contents = trap_PointContents( ent->r.currentOrigin, -1 );
ADDRFP4 0
INDIRP4
CNSTI4 276
ADDP4
ARGP4
CNSTI4 -1
ARGI4
ADDRLP4 80
ADDRGP4 trap_PointContents
CALLI4
ASGNI4
ADDRLP4 68
ADDRLP4 80
INDIRI4
ASGNI4
line 1172
;1172:	if ( contents & CONTENTS_NODROP ) {
ADDRLP4 68
INDIRI4
CVIU4 4
CNSTU4 2147483648
BANDU4
CNSTU4 0
EQU4 $405
line 1173
;1173:		if (ent->item && ent->item->giType == IT_TEAM) {
ADDRLP4 84
ADDRFP4 0
INDIRP4
CNSTI4 616
ADDP4
INDIRP4
ASGNP4
ADDRLP4 84
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $407
ADDRLP4 84
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
CNSTI4 7
NEI4 $407
line 1174
;1174:			Team_FreeEntity(ent);
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 Team_FreeEntity
CALLV
pop
line 1175
;1175:		} else {
ADDRGP4 $386
JUMPV
LABELV $407
line 1176
;1176:			G_FreeEntity( ent );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_FreeEntity
CALLV
pop
line 1177
;1177:		}
line 1178
;1178:		return;
ADDRGP4 $386
JUMPV
LABELV $405
line 1181
;1179:	}
;1180:
;1181:	G_BounceItem( ent, &tr );
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 0
ARGP4
ADDRGP4 G_BounceItem
CALLV
pop
line 1182
;1182:}
LABELV $386
endproc G_RunItem 88 28
bss
export itemRegistered
align 4
LABELV itemRegistered
skip 1024
import detpack_shot
import G_UnTimeShiftAllClients
import G_UnTimeShiftClient
import G_TimeShiftAllClients
import G_TimeShiftClient
import G_ResetTrail
import G_StoreTrail
import trap_GeneticParentsAndChildSelection
import trap_BotResetWeaponState
import trap_BotFreeWeaponState
import trap_BotAllocWeaponState
import trap_BotLoadWeaponWeights
import trap_BotGetWeaponInfo
import trap_BotChooseBestFightWeapon
import trap_BotInitMoveState
import trap_BotFreeMoveState
import trap_BotAllocMoveState
import trap_BotPredictVisiblePosition
import trap_BotMovementViewTarget
import trap_BotReachabilityArea
import trap_BotResetLastAvoidReach
import trap_BotResetAvoidReach
import trap_BotMoveInDirection
import trap_BotMoveToGoal
import trap_BotResetMoveState
import trap_BotFreeGoalState
import trap_BotAllocGoalState
import trap_BotMutateGoalFuzzyLogic
import trap_BotSaveGoalFuzzyLogic
import trap_BotInterbreedGoalFuzzyLogic
import trap_BotFreeItemWeights
import trap_BotLoadItemWeights
import trap_BotUpdateEntityItems
import trap_BotInitLevelItems
import trap_BotAvoidGoalTime
import trap_BotGetLevelItemGoal
import trap_BotGetMapLocationGoal
import trap_BotGetNextCampSpotGoal
import trap_BotItemGoalInVisButNotVisible
import trap_BotTouchingGoal
import trap_BotChooseNBGItem
import trap_BotChooseLTGItem
import trap_BotGetSecondGoal
import trap_BotGetTopGoal
import trap_BotGoalName
import trap_BotDumpGoalStack
import trap_BotDumpAvoidGoals
import trap_BotEmptyGoalStack
import trap_BotPopGoal
import trap_BotPushGoal
import trap_BotResetAvoidGoals
import trap_BotRemoveFromAvoidGoals
import trap_BotResetGoalState
import trap_BotSetChatName
import trap_BotSetChatGender
import trap_BotLoadChatFile
import trap_BotReplaceSynonyms
import trap_UnifyWhiteSpaces
import trap_BotMatchVariable
import trap_BotFindMatch
import trap_StringContains
import trap_BotGetChatMessage
import trap_BotEnterChat
import trap_BotChatLength
import trap_BotReplyChat
import trap_BotNumInitialChats
import trap_BotInitialChat
import trap_BotNumConsoleMessages
import trap_BotNextConsoleMessage
import trap_BotRemoveConsoleMessage
import trap_BotQueueConsoleMessage
import trap_BotFreeChatState
import trap_BotAllocChatState
import trap_Characteristic_String
import trap_Characteristic_BInteger
import trap_Characteristic_Integer
import trap_Characteristic_BFloat
import trap_Characteristic_Float
import trap_BotFreeCharacter
import trap_BotLoadCharacter
import trap_EA_ResetInput
import trap_EA_GetInput
import trap_EA_EndRegular
import trap_EA_View
import trap_EA_Move
import trap_EA_MoveRight
import trap_EA_MoveLeft
import trap_EA_MoveBack
import trap_EA_MoveForward
import trap_EA_MoveDown
import trap_EA_MoveUp
import trap_EA_Crouch
import trap_EA_DelayedJump
import trap_EA_Jump
import trap_EA_Respawn
import trap_EA_Use
import trap_EA_Alt_Attack
import trap_EA_Attack
import trap_EA_Talk
import trap_EA_SelectWeapon
import trap_EA_Command
import trap_EA_Gesture
import trap_EA_DropInv
import trap_EA_UseInv
import trap_EA_DropItem
import trap_EA_UseItem
import trap_EA_SayTeam
import trap_EA_Say
import trap_AAS_PredictClientMovement
import trap_AAS_Swimming
import trap_AAS_AreaTravelTimeToGoalArea
import trap_AAS_AreaReachability
import trap_AAS_IntForBSPEpairKey
import trap_AAS_FloatForBSPEpairKey
import trap_AAS_VectorForBSPEpairKey
import trap_AAS_ValueForBSPEpairKey
import trap_AAS_NextBSPEntity
import trap_AAS_PointContents
import trap_AAS_TraceAreas
import trap_AAS_PointAreaNum
import trap_AAS_Time
import trap_AAS_PresenceTypeBoundingBox
import trap_AAS_Initialized
import trap_AAS_EntityInfo
import trap_BotUserCommand
import trap_BotGetConsoleMessage
import trap_BotGetSnapshotEntity
import trap_BotLibTest
import trap_BotLibUpdateEntity
import trap_BotLibLoadMap
import trap_BotLibStartFrame
import trap_BotLibDefine
import trap_BotLibVarGet
import trap_BotLibVarSet
import trap_BotLibShutdown
import trap_BotLibSetup
import trap_DebugPolygonDelete
import trap_DebugPolygonCreate
import trap_GetEntityToken
import trap_GetUsercmd
import trap_BotFreeClient
import trap_BotAllocateClient
import trap_EntityContact
import trap_EntitiesInBox
import trap_UnlinkEntity
import trap_LinkEntity
import trap_AreasConnected
import trap_AdjustAreaPortalState
import trap_InPVSIgnorePortals
import trap_InPVS
import trap_PointContents
import trap_Trace
import trap_SetBrushModel
import trap_GetServerinfo
import trap_SetUserinfo
import trap_GetUserinfo
import trap_GetConfigstring
import trap_SetConfigstring
import trap_SendServerCommand
import trap_DropClient
import trap_LocateGameData
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableIntegerValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_SendConsoleCommand
import trap_FS_GetFileList
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Milliseconds
import trap_Error
import trap_Printf
import g_unlaggedVersion
import g_delagHitscan
import g_CStrikeVersion
import g_classChangeDebounceTime
import g_noJoinTimeout
import g_random_skin_limit
import g_team_group_blue
import g_team_group_red
import g_ghostRespawn
import g_holoIntro
import g_debugUp
import g_debugRight
import g_debugForward
import g_filterBan
import g_banIPs
import g_teamForceBalance
import g_teamAutoJoin
import g_allowVote
import g_doWarmup
import g_warmup
import g_motd
import g_synchronousClients
import g_adaptRespawn
import g_weaponRespawn
import g_debugDamage
import g_debugAlloc
import g_debugMove
import g_inactivity
import g_forcerespawn
import g_dmgmult
import g_knockback
import g_speed
import g_gravity
import g_needpass
import g_password
import g_friendlyFire
import g_capturelimit
import g_timelimitWinningTeam
import g_timelimit
import g_fraglimit
import g_dmflags
import g_language
import g_restarted
import g_maxGameClients
import g_maxclients
import g_cheats
import g_dedicated
import g_gametype
import g_pModElimination
import g_pModSpecialties
import g_pModActionHero
import g_pModDisintegration
import g_pModAssimilation
import g_entities
import level
import Pickup_Team
import CheckTeamStatus
import TeamplayInfoMessage
import Team_GetLocationMsg
import Team_GetLocation
import SelectCTFSpawnPoint
import Team_FreeEntity
import Team_ReturnFlag
import Team_InitGame
import Team_CheckHurtCarrier
import Team_FragBonuses
import Team_DroppedFlagThink
import TeamColorString
import OtherTeamName
import TeamName
import OtherTeam
import BotAIStartFrame
import BotAIShutdownClient
import BotAISetupClient
import BotAILoadMap
import BotAIShutdown
import BotAISetup
import BotInterbreedEndMatch
import Svcmd_BotList_f
import Svcmd_AddBot_f
import G_BotConnect
import G_QueueBotBegin
import G_CheckBotSpawn
import G_GetBotInfoByName
import G_GetBotInfoByNumber
import G_InitBots
import Svcmd_AbortPodium_f
import SpawnModelsOnVictoryPads
import UpdateTournamentInfo
import G_WriteSessionData
import G_InitWorldSession
import G_InitSessionData
import G_ReadSessionData
import Svcmd_GameMem_f
import G_InitMemory
import G_Alloc
import Team_CheckDroppedItem
import OnSameTeam
import Cmd_Ready_f
import G_RunClient
import ClientEndFrame
import ClientThink
import ClientCommand
import ClientBegin
import ClientDisconnect
import ClientUserinfoChanged
import ClientConnect
import GetFavoriteWeaponForClient
import GetWorstEnemyForClient
import GetFavoriteTargetForClient
import GetMaxKillsForClient
import GetMaxDeathsForClient
import CalculateTeamMVPByRank
import CalculateAwards
import G_ClearClientLog
import G_LogExit
import G_LogWeaponOutput
import G_LogWeaponInit
import G_LogWeaponItem
import G_LogWeaponPowerup
import G_LogWeaponFrag
import G_LogWeaponDeath
import G_LogWeaponKill
import G_LogWeaponDamage
import G_LogWeaponFire
import G_LogWeaponPickup
import G_LogPrintf
import G_Error
import G_Printf
import SendScoreboardMessageToAllClients
import G_RunThink
import FindIntermissionPoint
import DeathmatchScoreboardMessage
import G_SetStats
import MoveClientToIntermission
import FireWeapon
import G_FilterPacket
import G_ProcessIPBans
import ConsoleCommand
import SpotWouldTelefrag
import CalculateRanks
import AddScore
import player_die
import ClientSpawn
import InitBodyQue
import InitClientResp
import InitClientPersistant
import BeginIntermission
import respawn
import SelectSpawnPoint
import SetClientViewAngle
import PickTeam
import TeamCount
import FireSeeker
import SeekerAcquiresTarget
import SnapVectorTowards
import CalcMuzzlePoint
import LogAccuracyHit
import TransportPlayer
import TeleportPlayer
import trigger_teleporter_touch
import Touch_DoorTrigger
import G_RunMover
import fire_grapple
import fire_rocket
import fire_grenade
import fire_quantum
import fire_plasma
import fire_blaster
import G_RunMissile
import TossClientItems
import body_die
import G_RadiusDamage
import G_Damage
import CanDamage
import G_RadiusList
import G_SetOrigin
import G_AddEvent
import G_AddPredictableEvent
import vectoyaw
import vtos
import tv
import G_TouchSolids
import G_TouchTriggers
import G_FreeEntity
import G_Sound
import G_TempEntity
import G_Spawn
import G_InitGentity
import G_SetMovedir
import G_UseTargets2
import G_UseTargets
import G_PickTarget
import G_Find
import G_KillBox
import G_TeamCommand
import G_SoundIndex
import G_ModelIndex
import ArmorIndex
import Think_Weapon
import SetRespawn
import PrecacheItem
import UseHoldableItem
import Cmd_FollowCycle_f
import SetTeam
import BroadcastTeamChange
import StopFollowing
import Cmd_Score_f
import G_NewString
import G_SpawnEntitiesFromString
import G_SpawnVector
import G_SpawnInt
import G_SpawnFloat
import G_SpawnString
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $371
byte 1 119
byte 1 97
byte 1 105
byte 1 116
byte 1 0
align 1
LABELV $370
byte 1 48
byte 1 0
align 1
LABELV $369
byte 1 114
byte 1 97
byte 1 110
byte 1 100
byte 1 111
byte 1 109
byte 1 0
align 1
LABELV $365
byte 1 97
byte 1 109
byte 1 109
byte 1 111
byte 1 95
byte 1 105
byte 1 109
byte 1 111
byte 1 100
byte 1 0
align 1
LABELV $363
byte 1 119
byte 1 101
byte 1 97
byte 1 112
byte 1 111
byte 1 110
byte 1 95
byte 1 105
byte 1 109
byte 1 111
byte 1 100
byte 1 0
align 1
LABELV $314
byte 1 37
byte 1 105
byte 1 32
byte 1 105
byte 1 116
byte 1 101
byte 1 109
byte 1 115
byte 1 32
byte 1 114
byte 1 101
byte 1 103
byte 1 105
byte 1 115
byte 1 116
byte 1 101
byte 1 114
byte 1 101
byte 1 100
byte 1 10
byte 1 0
align 1
LABELV $306
byte 1 82
byte 1 101
byte 1 103
byte 1 105
byte 1 115
byte 1 116
byte 1 101
byte 1 114
byte 1 73
byte 1 116
byte 1 101
byte 1 109
byte 1 58
byte 1 32
byte 1 78
byte 1 85
byte 1 76
byte 1 76
byte 1 0
align 1
LABELV $296
byte 1 115
byte 1 111
byte 1 117
byte 1 110
byte 1 100
byte 1 47
byte 1 105
byte 1 116
byte 1 101
byte 1 109
byte 1 115
byte 1 47
byte 1 114
byte 1 101
byte 1 115
byte 1 112
byte 1 97
byte 1 119
byte 1 110
byte 1 49
byte 1 46
byte 1 119
byte 1 97
byte 1 118
byte 1 0
align 1
LABELV $295
byte 1 115
byte 1 111
byte 1 117
byte 1 110
byte 1 100
byte 1 47
byte 1 119
byte 1 101
byte 1 97
byte 1 112
byte 1 111
byte 1 110
byte 1 115
byte 1 47
byte 1 101
byte 1 120
byte 1 112
byte 1 108
byte 1 111
byte 1 115
byte 1 105
byte 1 111
byte 1 110
byte 1 115
byte 1 47
byte 1 99
byte 1 97
byte 1 114
byte 1 103
byte 1 111
byte 1 101
byte 1 120
byte 1 112
byte 1 108
byte 1 111
byte 1 100
byte 1 101
byte 1 46
byte 1 119
byte 1 97
byte 1 118
byte 1 0
align 1
LABELV $294
byte 1 115
byte 1 111
byte 1 117
byte 1 110
byte 1 100
byte 1 47
byte 1 119
byte 1 101
byte 1 97
byte 1 112
byte 1 111
byte 1 110
byte 1 115
byte 1 47
byte 1 110
byte 1 111
byte 1 97
byte 1 109
byte 1 109
byte 1 111
byte 1 46
byte 1 119
byte 1 97
byte 1 118
byte 1 0
align 1
LABELV $293
byte 1 115
byte 1 111
byte 1 117
byte 1 110
byte 1 100
byte 1 47
byte 1 112
byte 1 108
byte 1 97
byte 1 121
byte 1 101
byte 1 114
byte 1 47
byte 1 115
byte 1 117
byte 1 105
byte 1 116
byte 1 101
byte 1 110
byte 1 101
byte 1 114
byte 1 103
byte 1 121
byte 1 46
byte 1 119
byte 1 97
byte 1 118
byte 1 0
align 1
LABELV $292
byte 1 109
byte 1 111
byte 1 100
byte 1 101
byte 1 108
byte 1 115
byte 1 47
byte 1 109
byte 1 97
byte 1 112
byte 1 111
byte 1 98
byte 1 106
byte 1 101
byte 1 99
byte 1 116
byte 1 115
byte 1 47
byte 1 100
byte 1 110
byte 1 47
byte 1 112
byte 1 111
byte 1 119
byte 1 101
byte 1 114
byte 1 99
byte 1 101
byte 1 108
byte 1 108
byte 1 50
byte 1 46
byte 1 109
byte 1 100
byte 1 51
byte 1 0
align 1
LABELV $291
byte 1 109
byte 1 111
byte 1 100
byte 1 101
byte 1 108
byte 1 115
byte 1 47
byte 1 109
byte 1 97
byte 1 112
byte 1 111
byte 1 98
byte 1 106
byte 1 101
byte 1 99
byte 1 116
byte 1 115
byte 1 47
byte 1 100
byte 1 110
byte 1 47
byte 1 112
byte 1 111
byte 1 119
byte 1 101
byte 1 114
byte 1 99
byte 1 101
byte 1 108
byte 1 108
byte 1 46
byte 1 109
byte 1 100
byte 1 51
byte 1 0
align 1
LABELV $286
byte 1 94
byte 1 49
byte 1 87
byte 1 65
byte 1 82
byte 1 78
byte 1 73
byte 1 78
byte 1 71
byte 1 58
byte 1 32
byte 1 78
byte 1 111
byte 1 32
byte 1 116
byte 1 101
byte 1 97
byte 1 109
byte 1 95
byte 1 67
byte 1 84
byte 1 70
byte 1 95
byte 1 98
byte 1 108
byte 1 117
byte 1 101
byte 1 102
byte 1 108
byte 1 97
byte 1 103
byte 1 32
byte 1 105
byte 1 110
byte 1 32
byte 1 109
byte 1 97
byte 1 112
byte 1 0
align 1
LABELV $282
byte 1 66
byte 1 108
byte 1 117
byte 1 101
byte 1 32
byte 1 70
byte 1 108
byte 1 97
byte 1 103
byte 1 0
align 1
LABELV $281
byte 1 94
byte 1 49
byte 1 87
byte 1 65
byte 1 82
byte 1 78
byte 1 73
byte 1 78
byte 1 71
byte 1 58
byte 1 32
byte 1 78
byte 1 111
byte 1 32
byte 1 116
byte 1 101
byte 1 97
byte 1 109
byte 1 95
byte 1 67
byte 1 84
byte 1 70
byte 1 95
byte 1 114
byte 1 101
byte 1 100
byte 1 102
byte 1 108
byte 1 97
byte 1 103
byte 1 32
byte 1 105
byte 1 110
byte 1 32
byte 1 109
byte 1 97
byte 1 112
byte 1 0
align 1
LABELV $277
byte 1 82
byte 1 101
byte 1 100
byte 1 32
byte 1 70
byte 1 108
byte 1 97
byte 1 103
byte 1 0
align 1
LABELV $264
byte 1 115
byte 1 111
byte 1 117
byte 1 110
byte 1 100
byte 1 47
byte 1 119
byte 1 101
byte 1 97
byte 1 112
byte 1 111
byte 1 110
byte 1 115
byte 1 47
byte 1 100
byte 1 101
byte 1 116
byte 1 112
byte 1 97
byte 1 99
byte 1 107
byte 1 108
byte 1 97
byte 1 116
byte 1 99
byte 1 104
byte 1 46
byte 1 119
byte 1 97
byte 1 118
byte 1 0
align 1
LABELV $246
byte 1 70
byte 1 105
byte 1 110
byte 1 105
byte 1 115
byte 1 104
byte 1 83
byte 1 112
byte 1 97
byte 1 119
byte 1 110
byte 1 105
byte 1 110
byte 1 103
byte 1 73
byte 1 116
byte 1 101
byte 1 109
byte 1 58
byte 1 32
byte 1 114
byte 1 101
byte 1 109
byte 1 111
byte 1 118
byte 1 105
byte 1 110
byte 1 103
byte 1 32
byte 1 37
byte 1 115
byte 1 32
byte 1 115
byte 1 116
byte 1 97
byte 1 114
byte 1 116
byte 1 115
byte 1 111
byte 1 108
byte 1 105
byte 1 100
byte 1 32
byte 1 97
byte 1 116
byte 1 32
byte 1 37
byte 1 115
byte 1 10
byte 1 0
align 1
LABELV $184
byte 1 73
byte 1 116
byte 1 101
byte 1 109
byte 1 58
byte 1 32
byte 1 37
byte 1 105
byte 1 32
byte 1 37
byte 1 115
byte 1 10
byte 1 0
align 1
LABELV $173
byte 1 115
byte 1 111
byte 1 117
byte 1 110
byte 1 100
byte 1 47
byte 1 105
byte 1 116
byte 1 101
byte 1 109
byte 1 115
byte 1 47
byte 1 112
byte 1 111
byte 1 119
byte 1 101
byte 1 114
byte 1 117
byte 1 112
byte 1 114
byte 1 101
byte 1 115
byte 1 112
byte 1 97
byte 1 119
byte 1 110
byte 1 46
byte 1 119
byte 1 97
byte 1 118
byte 1 0
align 1
LABELV $162
byte 1 82
byte 1 101
byte 1 115
byte 1 112
byte 1 97
byte 1 119
byte 1 110
byte 1 73
byte 1 116
byte 1 101
byte 1 109
byte 1 58
byte 1 32
byte 1 98
byte 1 97
byte 1 100
byte 1 32
byte 1 116
byte 1 101
byte 1 97
byte 1 109
byte 1 109
byte 1 97
byte 1 115
byte 1 116
byte 1 101
byte 1 114
byte 1 0
