export G_FindConfigstringIndex
code
proc G_FindConfigstringIndex 1036 12
file "../g_utils.c"
line 21
;1:// Copyright (C) 1999-2000 Id Software, Inc.
;2://
;3:// g_utils.c -- misc utility functions for game module
;4:
;5:#include "g_local.h"
;6:
;7:/*
;8:=========================================================================
;9:
;10:model / sound configstring indexes
;11:
;12:=========================================================================
;13:*/
;14:
;15:/*
;16:================
;17:G_FindConfigstringIndex
;18:
;19:================
;20:*/
;21:int G_FindConfigstringIndex( char *name, int start, int max, qboolean create ) {
line 25
;22:	int		i;
;23:	char	s[MAX_STRING_CHARS];
;24:
;25:	if ( !name || !name[0] ) {
ADDRLP4 1028
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 1028
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $58
ADDRLP4 1028
INDIRP4
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $56
LABELV $58
line 26
;26:		return 0;
CNSTI4 0
RETI4
ADDRGP4 $55
JUMPV
LABELV $56
line 29
;27:	}
;28:
;29:	for ( i=1 ; i<max ; i++ ) {
ADDRLP4 1024
CNSTI4 1
ASGNI4
ADDRGP4 $62
JUMPV
LABELV $59
line 30
;30:		trap_GetConfigstring( start + i, s, sizeof( s ) );
ADDRFP4 4
INDIRI4
ADDRLP4 1024
INDIRI4
ADDI4
ARGI4
ADDRLP4 0
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 trap_GetConfigstring
CALLV
pop
line 31
;31:		if ( !s[0] ) {
ADDRLP4 0
INDIRI1
CVII4 1
CNSTI4 0
NEI4 $63
line 32
;32:			break;
ADDRGP4 $61
JUMPV
LABELV $63
line 34
;33:		}
;34:		if ( !strcmp( s, name ) ) {
ADDRLP4 0
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 1032
ADDRGP4 strcmp
CALLI4
ASGNI4
ADDRLP4 1032
INDIRI4
CNSTI4 0
NEI4 $65
line 35
;35:			return i;
ADDRLP4 1024
INDIRI4
RETI4
ADDRGP4 $55
JUMPV
LABELV $65
line 37
;36:		}
;37:	}
LABELV $60
line 29
ADDRLP4 1024
ADDRLP4 1024
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $62
ADDRLP4 1024
INDIRI4
ADDRFP4 8
INDIRI4
LTI4 $59
LABELV $61
line 39
;38:
;39:	if ( !create ) {
ADDRFP4 12
INDIRI4
CNSTI4 0
NEI4 $67
line 40
;40:		return 0;
CNSTI4 0
RETI4
ADDRGP4 $55
JUMPV
LABELV $67
line 43
;41:	}
;42:
;43:	if ( i == max ) {
ADDRLP4 1024
INDIRI4
ADDRFP4 8
INDIRI4
NEI4 $69
line 44
;44:		G_Error( "G_FindConfigstringIndex: overflow" );
ADDRGP4 $71
ARGP4
ADDRGP4 G_Error
CALLV
pop
line 45
;45:	}
LABELV $69
line 47
;46:
;47:	trap_SetConfigstring( start + i, name );
ADDRFP4 4
INDIRI4
ADDRLP4 1024
INDIRI4
ADDI4
ARGI4
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_SetConfigstring
CALLV
pop
line 49
;48:
;49:	return i;
ADDRLP4 1024
INDIRI4
RETI4
LABELV $55
endproc G_FindConfigstringIndex 1036 12
export G_ModelIndex
proc G_ModelIndex 4 16
line 53
;50:}
;51:
;52:
;53:int G_ModelIndex( char *name ) {
line 54
;54:	return G_FindConfigstringIndex (name, CS_MODELS, MAX_MODELS, qtrue);
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 32
ARGI4
CNSTI4 256
ARGI4
CNSTI4 1
ARGI4
ADDRLP4 0
ADDRGP4 G_FindConfigstringIndex
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
RETI4
LABELV $72
endproc G_ModelIndex 4 16
export G_SoundIndex
proc G_SoundIndex 4 16
line 57
;55:}
;56:
;57:int G_SoundIndex( char *name ) {
line 58
;58:	return G_FindConfigstringIndex (name, CS_SOUNDS, MAX_SOUNDS, qtrue);
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 288
ARGI4
CNSTI4 256
ARGI4
CNSTI4 1
ARGI4
ADDRLP4 0
ADDRGP4 G_FindConfigstringIndex
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
RETI4
LABELV $73
endproc G_SoundIndex 4 16
export G_TeamCommand
proc G_TeamCommand 8 8
line 71
;59:}
;60:
;61://=====================================================================
;62:
;63:
;64:/*
;65:================
;66:G_TeamCommand
;67:
;68:Broadcasts a command to only a specific team
;69:================
;70:*/
;71:void G_TeamCommand( team_t team, char *cmd ) {
line 74
;72:	int		i;
;73:
;74:	for ( i = 0 ; i < level.maxclients ; i++ ) {
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $78
JUMPV
LABELV $75
line 75
;75:		if ( level.clients[i].pers.connected == CON_CONNECTED ) {
CNSTI4 1320
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 level
INDIRP4
ADDP4
CNSTI4 468
ADDP4
INDIRI4
CNSTI4 2
NEI4 $80
line 76
;76:			if ( level.clients[i].sess.sessionTeam == team ) {
CNSTI4 1320
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 level
INDIRP4
ADDP4
CNSTI4 620
ADDP4
INDIRI4
ADDRFP4 0
INDIRI4
NEI4 $82
line 77
;77:				trap_SendServerCommand( i, va("%s", cmd ));
ADDRGP4 $84
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 4
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 4
INDIRP4
ARGP4
ADDRGP4 trap_SendServerCommand
CALLV
pop
line 78
;78:			}
LABELV $82
line 79
;79:		}
LABELV $80
line 80
;80:	}
LABELV $76
line 74
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $78
ADDRLP4 0
INDIRI4
ADDRGP4 level+24
INDIRI4
LTI4 $75
line 81
;81:}
LABELV $74
endproc G_TeamCommand 8 8
export G_Find
proc G_Find 8 8
line 97
;82:
;83:
;84:/*
;85:=============
;86:G_Find
;87:
;88:Searches all active entities for the next one that holds
;89:the matching string at fieldofs (use the FOFS() macro) in the structure.
;90:
;91:Searches beginning at the entity after from, or the beginning if NULL
;92:NULL will be returned if the end of the list is reached.
;93:
;94:=============
;95:*/
;96:gentity_t *G_Find (gentity_t *from, int fieldofs, const char *match)
;97:{
line 100
;98:	char	*s;
;99:
;100:	if (!from)
ADDRFP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $86
line 101
;101:		from = g_entities;
ADDRFP4 0
ADDRGP4 g_entities
ASGNP4
ADDRGP4 $91
JUMPV
LABELV $86
line 103
;102:	else
;103:		from++;
ADDRFP4 0
ADDRFP4 0
INDIRP4
CNSTI4 624
ADDP4
ASGNP4
line 105
;104:
;105:	for ( ; from < &g_entities[level.num_entities] ; from++)
ADDRGP4 $91
JUMPV
LABELV $88
line 106
;106:	{
line 107
;107:		if (!from->inuse)
ADDRFP4 0
INDIRP4
CNSTI4 308
ADDP4
INDIRI4
CNSTI4 0
NEI4 $93
line 108
;108:			continue;
ADDRGP4 $89
JUMPV
LABELV $93
line 109
;109:		s = *(char **) ((byte *)from + fieldofs);
ADDRLP4 0
ADDRFP4 4
INDIRI4
ADDRFP4 0
INDIRP4
ADDP4
INDIRP4
ASGNP4
line 110
;110:		if (!s)
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $95
line 111
;111:			continue;
ADDRGP4 $89
JUMPV
LABELV $95
line 112
;112:		if (!Q_stricmp (s, match))
ADDRLP4 0
INDIRP4
ARGP4
ADDRFP4 8
INDIRP4
ARGP4
ADDRLP4 4
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 0
NEI4 $97
line 113
;113:			return from;
ADDRFP4 0
INDIRP4
RETP4
ADDRGP4 $85
JUMPV
LABELV $97
line 114
;114:	}
LABELV $89
line 105
ADDRFP4 0
ADDRFP4 0
INDIRP4
CNSTI4 624
ADDP4
ASGNP4
LABELV $91
ADDRFP4 0
INDIRP4
CVPU4 4
CNSTI4 624
ADDRGP4 level+12
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
CVPU4 4
LTU4 $88
line 116
;115:
;116:	return NULL;
CNSTP4 0
RETP4
LABELV $85
endproc G_Find 8 8
export G_PickTarget
proc G_PickTarget 144 12
line 130
;117:}
;118:
;119:
;120:/*
;121:=============
;122:G_PickTarget
;123:
;124:Selects a random entity from among the targets
;125:=============
;126:*/
;127:#define MAXCHOICES	32
;128:
;129:gentity_t *G_PickTarget (char *targetname)
;130:{
line 131
;131:	gentity_t	*ent = NULL;
ADDRLP4 0
CNSTP4 0
ASGNP4
line 132
;132:	int		num_choices = 0;
ADDRLP4 4
CNSTI4 0
ASGNI4
line 135
;133:	gentity_t	*choice[MAXCHOICES];
;134:
;135:	if (!targetname)
ADDRFP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $104
line 136
;136:	{
line 137
;137:		G_Printf("G_PickTarget called with NULL targetname\n");
ADDRGP4 $102
ARGP4
ADDRGP4 G_Printf
CALLV
pop
line 138
;138:		return NULL;
CNSTP4 0
RETP4
ADDRGP4 $99
JUMPV
LABELV $103
line 142
;139:	}
;140:
;141:	while(1)
;142:	{
line 143
;143:		ent = G_Find (ent, FOFS(targetname), targetname);
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 468
ARGI4
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 136
ADDRGP4 G_Find
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 136
INDIRP4
ASGNP4
line 144
;144:		if (!ent)
ADDRLP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $106
line 145
;145:			break;
ADDRGP4 $105
JUMPV
LABELV $106
line 146
;146:		choice[num_choices++] = ent;
ADDRLP4 140
ADDRLP4 4
INDIRI4
ASGNI4
ADDRLP4 4
ADDRLP4 140
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 140
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 8
ADDP4
ADDRLP4 0
INDIRP4
ASGNP4
line 147
;147:		if (num_choices == MAXCHOICES)
ADDRLP4 4
INDIRI4
CNSTI4 32
NEI4 $108
line 148
;148:			break;
ADDRGP4 $105
JUMPV
LABELV $108
line 149
;149:	}
LABELV $104
line 141
ADDRGP4 $103
JUMPV
LABELV $105
line 151
;150:
;151:	if (!num_choices)
ADDRLP4 4
INDIRI4
CNSTI4 0
NEI4 $110
line 152
;152:	{
line 153
;153:		G_Printf("G_PickTarget: target %s not found\n", targetname);
ADDRGP4 $112
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 G_Printf
CALLV
pop
line 154
;154:		return NULL;
CNSTP4 0
RETP4
ADDRGP4 $99
JUMPV
LABELV $110
line 157
;155:	}
;156:
;157:	return choice[rand() % num_choices];
ADDRLP4 136
ADDRGP4 rand
CALLI4
ASGNI4
ADDRLP4 136
INDIRI4
ADDRLP4 4
INDIRI4
MODI4
CNSTI4 2
LSHI4
ADDRLP4 8
ADDP4
INDIRP4
RETP4
LABELV $99
endproc G_PickTarget 144 12
export G_UseTargets2
proc G_UseTargets2 8 12
line 172
;158:}
;159:
;160:
;161:/*
;162:==============================
;163:G_UseTargets
;164:
;165:"activator" should be set to the entity that initiated the firing.
;166:
;167:Search for (string)targetname in all entities that
;168:match (string)self.target and call their .use function
;169:
;170:==============================
;171:*/
;172:void G_UseTargets2( gentity_t *ent, gentity_t *activator, char *target ) {
line 175
;173:	gentity_t		*t;
;174:	
;175:	if ( !ent ) {
ADDRFP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $114
line 176
;176:		return;
ADDRGP4 $113
JUMPV
LABELV $114
line 178
;177:	}
;178:	if ( !target ) {
ADDRFP4 8
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $116
line 179
;179:		return;
ADDRGP4 $113
JUMPV
LABELV $116
line 182
;180:	}
;181:
;182:	t = NULL;
ADDRLP4 0
CNSTP4 0
ASGNP4
ADDRGP4 $119
JUMPV
LABELV $118
line 183
;183:	while ( (t = G_Find (t, FOFS(targetname), target)) != NULL ) {
line 184
;184:		if ( t == ent ) {
ADDRLP4 0
INDIRP4
CVPU4 4
ADDRFP4 0
INDIRP4
CVPU4 4
NEU4 $121
line 185
;185:			G_Printf ("WARNING: Entity used itself.\n");
ADDRGP4 $123
ARGP4
ADDRGP4 G_Printf
CALLV
pop
line 186
;186:		} else {
ADDRGP4 $122
JUMPV
LABELV $121
line 187
;187:			if ( t->use ) {
ADDRLP4 0
INDIRP4
CNSTI4 516
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $124
line 188
;188:				t->use (t, ent, activator);
ADDRLP4 0
INDIRP4
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 516
ADDP4
INDIRP4
CALLV
pop
line 189
;189:			}
LABELV $124
line 190
;190:		}
LABELV $122
line 191
;191:		if ( !ent->inuse ) {
ADDRFP4 0
INDIRP4
CNSTI4 308
ADDP4
INDIRI4
CNSTI4 0
NEI4 $126
line 192
;192:			G_Printf("entity was removed while using targets\n");
ADDRGP4 $128
ARGP4
ADDRGP4 G_Printf
CALLV
pop
line 193
;193:			return;
ADDRGP4 $113
JUMPV
LABELV $126
line 195
;194:		}
;195:	}
LABELV $119
line 183
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 468
ARGI4
ADDRFP4 8
INDIRP4
ARGP4
ADDRLP4 4
ADDRGP4 G_Find
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 4
INDIRP4
ASGNP4
ADDRLP4 4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $118
line 196
;196:}
LABELV $113
endproc G_UseTargets2 8 12
export G_UseTargets
proc G_UseTargets 4 12
line 209
;197:
;198:/*
;199:==============================
;200:G_UseTargets
;201:
;202:"activator" should be set to the entity that initiated the firing.
;203:
;204:Search for (string)targetname in all entities that
;205:match (string)self.target and call their .use function
;206:
;207:==============================
;208:*/
;209:void G_UseTargets( gentity_t *ent, gentity_t *activator ) {
line 210
;210:	if ( !ent ) {
ADDRFP4 0
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $130
line 211
;211:		return;
ADDRGP4 $129
JUMPV
LABELV $130
line 213
;212:	}
;213:	G_UseTargets2( ent, activator, ent->target );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 0
INDIRP4
CNSTI4 460
ADDP4
INDIRP4
ARGP4
ADDRGP4 G_UseTargets2
CALLV
pop
line 214
;214:}
LABELV $129
endproc G_UseTargets 4 12
bss
align 4
LABELV $133
skip 4
align 4
LABELV $134
skip 96
export tv
code
proc tv 8 0
line 225
;215:
;216:
;217:/*
;218:=============
;219:TempVector
;220:
;221:This is just a convenience function
;222:for making temporary vectors for function calls
;223:=============
;224:*/
;225:float	*tv( float x, float y, float z ) {
line 232
;226:	static	int		index;
;227:	static	vec3_t	vecs[8];
;228:	float	*v;
;229:
;230:	// use an array so that multiple tempvectors won't collide
;231:	// for a while
;232:	v = vecs[index];
ADDRLP4 0
CNSTI4 12
ADDRGP4 $133
INDIRI4
MULI4
ADDRGP4 $134
ADDP4
ASGNP4
line 233
;233:	index = (index + 1)&7;
ADDRLP4 4
ADDRGP4 $133
ASGNP4
ADDRLP4 4
INDIRP4
ADDRLP4 4
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
CNSTI4 7
BANDI4
ASGNI4
line 235
;234:
;235:	v[0] = x;
ADDRLP4 0
INDIRP4
ADDRFP4 0
INDIRF4
ASGNF4
line 236
;236:	v[1] = y;
ADDRLP4 0
INDIRP4
CNSTI4 4
ADDP4
ADDRFP4 4
INDIRF4
ASGNF4
line 237
;237:	v[2] = z;
ADDRLP4 0
INDIRP4
CNSTI4 8
ADDP4
ADDRFP4 8
INDIRF4
ASGNF4
line 239
;238:
;239:	return v;
ADDRLP4 0
INDIRP4
RETP4
LABELV $132
endproc tv 8 0
bss
align 4
LABELV $136
skip 4
align 1
LABELV $137
skip 256
export vtos
code
proc vtos 12 24
line 251
;240:}
;241:
;242:
;243:/*
;244:=============
;245:VectorToString
;246:
;247:This is just a convenience function
;248:for printing vectors
;249:=============
;250:*/
;251:char	*vtos( const vec3_t v ) {
line 257
;252:	static	int		index;
;253:	static	char	str[8][32];
;254:	char	*s;
;255:
;256:	// use an array so that multiple vtos won't collide
;257:	s = str[index];
ADDRLP4 0
ADDRGP4 $136
INDIRI4
CNSTI4 5
LSHI4
ADDRGP4 $137
ADDP4
ASGNP4
line 258
;258:	index = (index + 1)&7;
ADDRLP4 4
ADDRGP4 $136
ASGNP4
ADDRLP4 4
INDIRP4
ADDRLP4 4
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
CNSTI4 7
BANDI4
ASGNI4
line 260
;259:
;260:	Com_sprintf (s, 32, "(%i %i %i)", (int)v[0], (int)v[1], (int)v[2]);
ADDRLP4 0
INDIRP4
ARGP4
CNSTI4 32
ARGI4
ADDRGP4 $138
ARGP4
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
INDIRF4
CVFI4 4
ARGI4
ADDRLP4 8
INDIRP4
CNSTI4 4
ADDP4
INDIRF4
CVFI4 4
ARGI4
ADDRLP4 8
INDIRP4
CNSTI4 8
ADDP4
INDIRF4
CVFI4 4
ARGI4
ADDRGP4 Com_sprintf
CALLV
pop
line 262
;261:
;262:	return s;
ADDRLP4 0
INDIRP4
RETP4
LABELV $135
endproc vtos 12 24
data
align 4
LABELV $140
byte 4 0
byte 4 3212836864
byte 4 0
align 4
LABELV $141
byte 4 0
byte 4 0
byte 4 1065353216
align 4
LABELV $142
byte 4 0
byte 4 3221225472
byte 4 0
align 4
LABELV $143
byte 4 0
byte 4 0
byte 4 3212836864
export G_SetMovedir
code
proc G_SetMovedir 16 16
line 276
;263:}
;264:
;265:
;266:/*
;267:===============
;268:G_SetMovedir
;269:
;270:The editor only specifies a single value for angles (yaw),
;271:but we have special constants to generate an up or down direction.
;272:Angles will be cleared, because it is being used to represent a direction
;273:instead of an orientation.
;274:===============
;275:*/
;276:void G_SetMovedir( vec3_t angles, vec3_t movedir ) {
line 282
;277:	static vec3_t VEC_UP		= {0, -1, 0};
;278:	static vec3_t MOVEDIR_UP	= {0, 0, 1};
;279:	static vec3_t VEC_DOWN		= {0, -2, 0};
;280:	static vec3_t MOVEDIR_DOWN	= {0, 0, -1};
;281:
;282:	if ( VectorCompare (angles, VEC_UP) ) {
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $140
ARGP4
ADDRLP4 0
ADDRGP4 VectorCompare
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 0
EQI4 $144
line 283
;283:		VectorCopy (MOVEDIR_UP, movedir);
ADDRFP4 4
INDIRP4
ADDRGP4 $141
INDIRB
ASGNB 12
line 284
;284:	} else if ( VectorCompare (angles, VEC_DOWN) ) {
ADDRGP4 $145
JUMPV
LABELV $144
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $142
ARGP4
ADDRLP4 4
ADDRGP4 VectorCompare
CALLI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 0
EQI4 $146
line 285
;285:		VectorCopy (MOVEDIR_DOWN, movedir);
ADDRFP4 4
INDIRP4
ADDRGP4 $143
INDIRB
ASGNB 12
line 286
;286:	} else {
ADDRGP4 $147
JUMPV
LABELV $146
line 287
;287:		AngleVectors (angles, movedir, NULL, NULL);
ADDRFP4 0
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
ADDRLP4 8
CNSTP4 0
ASGNP4
ADDRLP4 8
INDIRP4
ARGP4
ADDRLP4 8
INDIRP4
ARGP4
ADDRGP4 AngleVectors
CALLV
pop
line 288
;288:	}
LABELV $147
LABELV $145
line 289
;289:	VectorClear( angles );
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12
CNSTF4 0
ASGNF4
ADDRLP4 8
INDIRP4
CNSTI4 8
ADDP4
ADDRLP4 12
INDIRF4
ASGNF4
ADDRLP4 8
INDIRP4
CNSTI4 4
ADDP4
ADDRLP4 12
INDIRF4
ASGNF4
ADDRLP4 8
INDIRP4
ADDRLP4 12
INDIRF4
ASGNF4
line 290
;290:}
LABELV $139
endproc G_SetMovedir 16 16
export vectoyaw
proc vectoyaw 20 8
line 293
;291:
;292:
;293:float vectoyaw( const vec3_t vec ) {
line 296
;294:	float	yaw;
;295:	
;296:	if (vec[YAW] == 0 && vec[PITCH] == 0) {
ADDRLP4 4
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
CNSTF4 0
ASGNF4
ADDRLP4 4
INDIRP4
CNSTI4 4
ADDP4
INDIRF4
ADDRLP4 8
INDIRF4
NEF4 $149
ADDRLP4 4
INDIRP4
INDIRF4
ADDRLP4 8
INDIRF4
NEF4 $149
line 297
;297:		yaw = 0;
ADDRLP4 0
CNSTF4 0
ASGNF4
line 298
;298:	} else {
ADDRGP4 $150
JUMPV
LABELV $149
line 299
;299:		if (vec[PITCH]) {
ADDRFP4 0
INDIRP4
INDIRF4
CNSTF4 0
EQF4 $151
line 300
;300:			yaw = ( atan2( vec[YAW], vec[PITCH]) * 180 / M_PI );
ADDRLP4 12
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12
INDIRP4
CNSTI4 4
ADDP4
INDIRF4
ARGF4
ADDRLP4 12
INDIRP4
INDIRF4
ARGF4
ADDRLP4 16
ADDRGP4 atan2
CALLF4
ASGNF4
ADDRLP4 0
CNSTF4 1127481344
ADDRLP4 16
INDIRF4
MULF4
CNSTF4 1078530011
DIVF4
ASGNF4
line 301
;301:		} else if (vec[YAW] > 0) {
ADDRGP4 $152
JUMPV
LABELV $151
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
INDIRF4
CNSTF4 0
LEF4 $153
line 302
;302:			yaw = 90;
ADDRLP4 0
CNSTF4 1119092736
ASGNF4
line 303
;303:		} else {
ADDRGP4 $154
JUMPV
LABELV $153
line 304
;304:			yaw = 270;
ADDRLP4 0
CNSTF4 1132920832
ASGNF4
line 305
;305:		}
LABELV $154
LABELV $152
line 306
;306:		if (yaw < 0) {
ADDRLP4 0
INDIRF4
CNSTF4 0
GEF4 $155
line 307
;307:			yaw += 360;
ADDRLP4 0
ADDRLP4 0
INDIRF4
CNSTF4 1135869952
ADDF4
ASGNF4
line 308
;308:		}
LABELV $155
line 309
;309:	}
LABELV $150
line 311
;310:
;311:	return yaw;
ADDRLP4 0
INDIRF4
RETF4
LABELV $148
endproc vectoyaw 20 8
export G_InitGentity
proc G_InitGentity 4 0
line 315
;312:}
;313:
;314:
;315:void G_InitGentity( gentity_t *e ) {
line 316
;316:	e->inuse = qtrue;
ADDRFP4 0
INDIRP4
CNSTI4 308
ADDP4
CNSTI4 1
ASGNI4
line 317
;317:	e->classname = "noclass";
ADDRFP4 0
INDIRP4
CNSTI4 312
ADDP4
ADDRGP4 $158
ASGNP4
line 318
;318:	e->s.number = e - g_entities;
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
CVPU4 4
ADDRGP4 g_entities
CVPU4 4
SUBU4
CVUI4 4
CNSTI4 624
DIVI4
ASGNI4
line 319
;319:	e->r.ownerNum = ENTITYNUM_NONE;
ADDRFP4 0
INDIRP4
CNSTI4 300
ADDP4
CNSTI4 1023
ASGNI4
line 320
;320:}
LABELV $157
endproc G_InitGentity 4 0
export G_Spawn
proc G_Spawn 16 20
line 337
;321:
;322:/*
;323:=================
;324:G_Spawn
;325:
;326:Either finds a free entity, or allocates a new one.
;327:
;328:  The slots from 0 to MAX_CLIENTS-1 are always reserved for clients, and will
;329:never be used by anything else.
;330:
;331:Try to avoid reusing an entity that was recently freed, because it
;332:can cause the client to think the entity morphed into something else
;333:instead of being removed and recreated, which can cause interpolated
;334:angles and bad trails.
;335:=================
;336:*/
;337:gentity_t *G_Spawn( void ) {
line 341
;338:	int			i, force;
;339:	gentity_t	*e;
;340:
;341:	e = NULL;	// shut up warning
ADDRLP4 0
CNSTP4 0
ASGNP4
line 342
;342:	i = 0;		// shut up warning
ADDRLP4 4
CNSTI4 0
ASGNI4
line 343
;343:	for ( force = 0 ; force < 2 ; force++ ) {
ADDRLP4 8
CNSTI4 0
ASGNI4
LABELV $160
line 346
;344:		// if we go through all entities and can't find one to free,
;345:		// override the normal minimum times before use
;346:		e = &g_entities[MAX_CLIENTS];
ADDRLP4 0
ADDRGP4 g_entities+79872
ASGNP4
line 347
;347:		for ( i = MAX_CLIENTS ; i<level.num_entities ; i++, e++) {
ADDRLP4 4
CNSTI4 128
ASGNI4
ADDRGP4 $168
JUMPV
LABELV $165
line 348
;348:			if ( e->inuse ) {
ADDRLP4 0
INDIRP4
CNSTI4 308
ADDP4
INDIRI4
CNSTI4 0
EQI4 $170
line 349
;349:				continue;
ADDRGP4 $166
JUMPV
LABELV $170
line 354
;350:			}
;351:
;352:			// the first couple seconds of server time can involve a lot of
;353:			// freeing and allocating, so relax the replacement policy
;354:			if ( !force && e->freetime > level.startTime + 2000 && level.time - e->freetime < 1000 ) {
ADDRLP4 8
INDIRI4
CNSTI4 0
NEI4 $172
ADDRLP4 12
ADDRLP4 0
INDIRP4
CNSTI4 336
ADDP4
INDIRI4
ASGNI4
ADDRLP4 12
INDIRI4
ADDRGP4 level+44
INDIRI4
CNSTI4 2000
ADDI4
LEI4 $172
ADDRGP4 level+32
INDIRI4
ADDRLP4 12
INDIRI4
SUBI4
CNSTI4 1000
GEI4 $172
line 355
;355:				continue;
ADDRGP4 $166
JUMPV
LABELV $172
line 359
;356:			}
;357:
;358:			// reuse this slot
;359:			G_InitGentity( e );
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 G_InitGentity
CALLV
pop
line 360
;360:			return e;
ADDRLP4 0
INDIRP4
RETP4
ADDRGP4 $159
JUMPV
LABELV $166
line 347
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
ADDRLP4 0
INDIRP4
CNSTI4 624
ADDP4
ASGNP4
LABELV $168
ADDRLP4 4
INDIRI4
ADDRGP4 level+12
INDIRI4
LTI4 $165
line 362
;361:		}
;362:		if ( i != ENTITYNUM_MAX_NORMAL ) {
ADDRLP4 4
INDIRI4
CNSTI4 1022
EQI4 $176
line 363
;363:			break;
ADDRGP4 $162
JUMPV
LABELV $176
line 365
;364:		}
;365:	}
LABELV $161
line 343
ADDRLP4 8
ADDRLP4 8
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 8
INDIRI4
CNSTI4 2
LTI4 $160
LABELV $162
line 366
;366:	if ( i == ENTITYNUM_MAX_NORMAL ) {
ADDRLP4 4
INDIRI4
CNSTI4 1022
NEI4 $178
line 367
;367:		G_Error( "G_Spawn: no free entities" );
ADDRGP4 $180
ARGP4
ADDRGP4 G_Error
CALLV
pop
line 368
;368:	}
LABELV $178
line 371
;369:	
;370:	// open up a new slot
;371:	level.num_entities++;
ADDRLP4 12
ADDRGP4 level+12
ASGNP4
ADDRLP4 12
INDIRP4
ADDRLP4 12
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 374
;372:
;373:	// let the server system know that there are more entities
;374:	trap_LocateGameData( level.gentities, level.num_entities, sizeof( gentity_t ), 
ADDRGP4 level+4
INDIRP4
ARGP4
ADDRGP4 level+12
INDIRI4
ARGI4
CNSTI4 624
ARGI4
ADDRGP4 level
INDIRP4
ARGP4
CNSTI4 1320
ARGI4
ADDRGP4 trap_LocateGameData
CALLV
pop
line 377
;375:		&level.clients[0].ps, sizeof( level.clients[0] ) );
;376:
;377:	G_InitGentity( e );
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 G_InitGentity
CALLV
pop
line 378
;378:	return e;
ADDRLP4 0
INDIRP4
RETP4
LABELV $159
endproc G_Spawn 16 20
export G_FreeEntity
proc G_FreeEntity 0 12
line 389
;379:}
;380:
;381:
;382:/*
;383:=================
;384:G_FreeEntity
;385:
;386:Marks the entity as free
;387:=================
;388:*/
;389:void G_FreeEntity( gentity_t *ed ) {
line 390
;390:	trap_UnlinkEntity (ed);		// unlink from world
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 trap_UnlinkEntity
CALLV
pop
line 392
;391:
;392:	if ( ed->neverFree ) {
ADDRFP4 0
INDIRP4
CNSTI4 320
ADDP4
INDIRI4
CNSTI4 0
EQI4 $185
line 393
;393:		return;
ADDRGP4 $184
JUMPV
LABELV $185
line 396
;394:	}
;395:
;396:	memset (ed, 0, sizeof(*ed));
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 0
ARGI4
CNSTI4 624
ARGI4
ADDRGP4 memset
CALLP4
pop
line 397
;397:	ed->classname = "freed";
ADDRFP4 0
INDIRP4
CNSTI4 312
ADDP4
ADDRGP4 $187
ASGNP4
line 398
;398:	ed->freetime = level.time;
ADDRFP4 0
INDIRP4
CNSTI4 336
ADDP4
ADDRGP4 level+32
INDIRI4
ASGNI4
line 399
;399:	ed->inuse = qfalse;
ADDRFP4 0
INDIRP4
CNSTI4 308
ADDP4
CNSTI4 0
ASGNI4
line 400
;400:}
LABELV $184
endproc G_FreeEntity 0 12
export G_TempEntity
proc G_TempEntity 20 8
line 411
;401:
;402:/*
;403:=================
;404:G_TempEntity
;405:
;406:Spawns an event entity that will be auto-removed
;407:The origin will be snapped to save net bandwidth, so care
;408:must be taken if the origin is right on a surface (snap towards start vector first)
;409:=================
;410:*/
;411:gentity_t *G_TempEntity( vec3_t origin, int event ) {
line 415
;412:	gentity_t		*e;
;413:	vec3_t		snapped;
;414:
;415:	e = G_Spawn();
ADDRLP4 16
ADDRGP4 G_Spawn
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 16
INDIRP4
ASGNP4
line 416
;416:	e->s.eType = ET_EVENTS + event;
ADDRLP4 0
INDIRP4
CNSTI4 4
ADDP4
ADDRFP4 4
INDIRI4
CNSTI4 13
ADDI4
ASGNI4
line 418
;417:
;418:	e->classname = "tempEntity";
ADDRLP4 0
INDIRP4
CNSTI4 312
ADDP4
ADDRGP4 $190
ASGNP4
line 419
;419:	e->eventTime = level.time;
ADDRLP4 0
INDIRP4
CNSTI4 340
ADDP4
ADDRGP4 level+32
INDIRI4
ASGNI4
line 420
;420:	e->freeAfterEvent = qtrue;
ADDRLP4 0
INDIRP4
CNSTI4 344
ADDP4
CNSTI4 1
ASGNI4
line 422
;421:
;422:	VectorCopy( origin, snapped );
ADDRLP4 4
ADDRFP4 0
INDIRP4
INDIRB
ASGNB 12
line 423
;423:	SnapVector( snapped );		// save network bandwidth
ADDRLP4 4
ADDRLP4 4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 4+4
ADDRLP4 4+4
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
ADDRLP4 4+8
ADDRLP4 4+8
INDIRF4
CVFI4 4
CVIF4 4
ASGNF4
line 424
;424:	G_SetOrigin( e, snapped );
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 4
ARGP4
ADDRGP4 G_SetOrigin
CALLV
pop
line 427
;425:
;426:	// find cluster for PVS
;427:	trap_LinkEntity( e );
ADDRLP4 0
INDIRP4
ARGP4
ADDRGP4 trap_LinkEntity
CALLV
pop
line 429
;428:
;429:	return e;
ADDRLP4 0
INDIRP4
RETP4
LABELV $189
endproc G_TempEntity 20 8
export G_KillBox
proc G_KillBox 4168 32
line 451
;430:}
;431:
;432:
;433:
;434:/*
;435:==============================================================================
;436:
;437:Kill box
;438:
;439:==============================================================================
;440:*/
;441:
;442:/*
;443:=================
;444:G_KillBox
;445:
;446:Kills all entities that would touch the proposed new positioning
;447:of ent.  Ent should be unlinked before calling this!
;448:=================
;449:*/
;450:extern int borgQueenClientNum;
;451:void G_KillBox (gentity_t *ent) {
line 457
;452:	int			i, num;
;453:	int			touch[MAX_GENTITIES];
;454:	gentity_t	*hit;
;455:	vec3_t		mins, maxs;
;456:
;457:	VectorAdd( ent->client->ps.origin, ent->r.mins, mins );
ADDRLP4 4132
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4136
ADDRLP4 4132
INDIRP4
CNSTI4 304
ADDP4
ASGNP4
ADDRLP4 4108
ADDRLP4 4136
INDIRP4
INDIRP4
CNSTI4 20
ADDP4
INDIRF4
ADDRLP4 4132
INDIRP4
CNSTI4 224
ADDP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 4108+4
ADDRLP4 4136
INDIRP4
INDIRP4
CNSTI4 24
ADDP4
INDIRF4
ADDRLP4 4132
INDIRP4
CNSTI4 228
ADDP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 4140
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4108+8
ADDRLP4 4140
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 28
ADDP4
INDIRF4
ADDRLP4 4140
INDIRP4
CNSTI4 232
ADDP4
INDIRF4
ADDF4
ASGNF4
line 458
;458:	VectorAdd( ent->client->ps.origin, ent->r.maxs, maxs );
ADDRLP4 4144
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4148
ADDRLP4 4144
INDIRP4
CNSTI4 304
ADDP4
ASGNP4
ADDRLP4 4120
ADDRLP4 4148
INDIRP4
INDIRP4
CNSTI4 20
ADDP4
INDIRF4
ADDRLP4 4144
INDIRP4
CNSTI4 236
ADDP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 4120+4
ADDRLP4 4148
INDIRP4
INDIRP4
CNSTI4 24
ADDP4
INDIRF4
ADDRLP4 4144
INDIRP4
CNSTI4 240
ADDP4
INDIRF4
ADDF4
ASGNF4
ADDRLP4 4152
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4120+8
ADDRLP4 4152
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 28
ADDP4
INDIRF4
ADDRLP4 4152
INDIRP4
CNSTI4 244
ADDP4
INDIRF4
ADDF4
ASGNF4
line 459
;459:	num = trap_EntitiesInBox( mins, maxs, touch, MAX_GENTITIES );
ADDRLP4 4108
ARGP4
ADDRLP4 4120
ARGP4
ADDRLP4 8
ARGP4
CNSTI4 1024
ARGI4
ADDRLP4 4156
ADDRGP4 trap_EntitiesInBox
CALLI4
ASGNI4
ADDRLP4 4104
ADDRLP4 4156
INDIRI4
ASGNI4
line 461
;460:
;461:	for (i=0 ; i<num ; i++) {
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $204
JUMPV
LABELV $201
line 462
;462:		hit = &g_entities[touch[i]];
ADDRLP4 4
CNSTI4 624
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 8
ADDP4
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 463
;463:		if ( !hit->client ) {
ADDRLP4 4
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $205
line 464
;464:			continue;
ADDRGP4 $202
JUMPV
LABELV $205
line 467
;465:		}
;466:	
;467:		if ( g_pModAssimilation.integer && touch[i] == borgQueenClientNum )
ADDRGP4 g_pModAssimilation+12
INDIRI4
CNSTI4 0
EQI4 $207
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 8
ADDP4
INDIRI4
ADDRGP4 borgQueenClientNum
INDIRI4
NEI4 $207
line 468
;468:		{//kill me instead
line 469
;469:			G_Damage ( ent, hit, hit, NULL, NULL,
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 4
INDIRP4
ARGP4
ADDRLP4 4
INDIRP4
ARGP4
ADDRLP4 4164
CNSTP4 0
ASGNP4
ADDRLP4 4164
INDIRP4
ARGP4
ADDRLP4 4164
INDIRP4
ARGP4
CNSTI4 100000
ARGI4
CNSTI4 32
ARGI4
CNSTI4 5
ARGI4
ADDRGP4 G_Damage
CALLV
pop
line 471
;470:				100000, DAMAGE_NO_PROTECTION, MOD_TELEFRAG);
;471:			return;
ADDRGP4 $196
JUMPV
LABELV $207
line 475
;472:		}
;473:
;474:		// nail it
;475:		G_Damage ( hit, ent, ent, NULL, NULL,
ADDRLP4 4
INDIRP4
ARGP4
ADDRLP4 4160
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4160
INDIRP4
ARGP4
ADDRLP4 4160
INDIRP4
ARGP4
ADDRLP4 4164
CNSTP4 0
ASGNP4
ADDRLP4 4164
INDIRP4
ARGP4
ADDRLP4 4164
INDIRP4
ARGP4
CNSTI4 100000
ARGI4
CNSTI4 32
ARGI4
CNSTI4 5
ARGI4
ADDRGP4 G_Damage
CALLV
pop
line 477
;476:			100000, DAMAGE_NO_PROTECTION, MOD_TELEFRAG);
;477:	}
LABELV $202
line 461
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $204
ADDRLP4 0
INDIRI4
ADDRLP4 4104
INDIRI4
LTI4 $201
line 479
;478:
;479:}
LABELV $196
endproc G_KillBox 4168 32
export G_AddPredictableEvent
proc G_AddPredictableEvent 0 12
line 492
;480:
;481://==============================================================================
;482:
;483:/*
;484:===============
;485:G_AddPredictableEvent
;486:
;487:Use for non-pmove events that would also be predicted on the
;488:client side: jumppads and item pickups
;489:Adds an event+parm and twiddles the event counter
;490:===============
;491:*/
;492:void G_AddPredictableEvent( gentity_t *ent, int event, int eventParm ) {
line 493
;493:	if ( !ent->client ) {
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
NEU4 $211
line 494
;494:		return;
ADDRGP4 $210
JUMPV
LABELV $211
line 496
;495:	}
;496:	BG_AddPredictableEventToPlayerstate( event, eventParm, &ent->client->ps );
ADDRFP4 4
INDIRI4
ARGI4
ADDRFP4 8
INDIRI4
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
ARGP4
ADDRGP4 BG_AddPredictableEventToPlayerstate
CALLV
pop
line 497
;497:}
LABELV $210
endproc G_AddPredictableEvent 0 12
export G_AddEvent
proc G_AddEvent 4 8
line 507
;498:
;499:
;500:/*
;501:===============
;502:G_AddEvent
;503:
;504:Adds an event+parm and twiddles the event counter
;505:===============
;506:*/
;507:void G_AddEvent( gentity_t *ent, int event, int eventParm ) {
line 510
;508:	int		bits;
;509:
;510:	if ( !event ) {
ADDRFP4 4
INDIRI4
CNSTI4 0
NEI4 $214
line 511
;511:		G_Printf( "G_AddEvent: zero event added for entity %i\n", ent->s.number );
ADDRGP4 $216
ARGP4
ADDRFP4 0
INDIRP4
INDIRI4
ARGI4
ADDRGP4 G_Printf
CALLV
pop
line 512
;512:		return;
ADDRGP4 $213
JUMPV
LABELV $214
line 516
;513:	}
;514:
;515:	// clients need to add the event in playerState_t instead of entityState_t
;516:	if ( ent->client ) {
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $217
line 517
;517:		bits = ent->client->ps.externalEvent & EV_EVENT_BITS;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 144
ADDP4
INDIRI4
CNSTI4 768
BANDI4
ASGNI4
line 518
;518:		bits = ( bits + EV_EVENT_BIT1 ) & EV_EVENT_BITS;
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 256
ADDI4
CNSTI4 768
BANDI4
ASGNI4
line 519
;519:		ent->client->ps.externalEvent = event | bits;
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 144
ADDP4
ADDRFP4 4
INDIRI4
ADDRLP4 0
INDIRI4
BORI4
ASGNI4
line 520
;520:		ent->client->ps.externalEventParm = eventParm;
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 148
ADDP4
ADDRFP4 8
INDIRI4
ASGNI4
line 521
;521:		ent->client->ps.externalEventTime = level.time;
ADDRFP4 0
INDIRP4
CNSTI4 304
ADDP4
INDIRP4
CNSTI4 152
ADDP4
ADDRGP4 level+32
INDIRI4
ASGNI4
line 522
;522:	} else {
ADDRGP4 $218
JUMPV
LABELV $217
line 523
;523:		bits = ent->s.event & EV_EVENT_BITS;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 180
ADDP4
INDIRI4
CNSTI4 768
BANDI4
ASGNI4
line 524
;524:		bits = ( bits + EV_EVENT_BIT1 ) & EV_EVENT_BITS;
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 256
ADDI4
CNSTI4 768
BANDI4
ASGNI4
line 525
;525:		ent->s.event = event | bits;
ADDRFP4 0
INDIRP4
CNSTI4 180
ADDP4
ADDRFP4 4
INDIRI4
ADDRLP4 0
INDIRI4
BORI4
ASGNI4
line 526
;526:		ent->s.eventParm = eventParm;
ADDRFP4 0
INDIRP4
CNSTI4 184
ADDP4
ADDRFP4 8
INDIRI4
ASGNI4
line 527
;527:	}
LABELV $218
line 528
;528:	ent->eventTime = level.time;
ADDRFP4 0
INDIRP4
CNSTI4 340
ADDP4
ADDRGP4 level+32
INDIRI4
ASGNI4
line 529
;529:}
LABELV $213
endproc G_AddEvent 4 8
export G_Sound
proc G_Sound 8 8
line 537
;530:
;531:
;532:/*
;533:=============
;534:G_Sound
;535:=============
;536:*/
;537:void G_Sound( gentity_t *ent, int soundIndex ) {
line 540
;538:	gentity_t	*te;
;539:
;540:	te = G_TempEntity( ent->r.currentOrigin, EV_GENERAL_SOUND );
ADDRFP4 0
INDIRP4
CNSTI4 276
ADDP4
ARGP4
CNSTI4 49
ARGI4
ADDRLP4 4
ADDRGP4 G_TempEntity
CALLP4
ASGNP4
ADDRLP4 0
ADDRLP4 4
INDIRP4
ASGNP4
line 541
;541:	te->s.eventParm = soundIndex;
ADDRLP4 0
INDIRP4
CNSTI4 184
ADDP4
ADDRFP4 4
INDIRI4
ASGNI4
line 542
;542:}
LABELV $221
endproc G_Sound 8 8
export G_SetOrigin
proc G_SetOrigin 8 0
line 555
;543:
;544:
;545://==============================================================================
;546:
;547:
;548:/*
;549:================
;550:G_SetOrigin
;551:
;552:Sets the pos trajectory for a fixed position
;553:================
;554:*/
;555:void G_SetOrigin( gentity_t *ent, vec3_t origin ) {
line 556
;556:	VectorCopy( origin, ent->s.pos.trBase );
ADDRFP4 0
INDIRP4
CNSTI4 24
ADDP4
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 557
;557:	ent->s.pos.trType = TR_STATIONARY;
ADDRFP4 0
INDIRP4
CNSTI4 12
ADDP4
CNSTI4 0
ASGNI4
line 558
;558:	ent->s.pos.trTime = 0;
ADDRFP4 0
INDIRP4
CNSTI4 16
ADDP4
CNSTI4 0
ASGNI4
line 559
;559:	ent->s.pos.trDuration = 0;
ADDRFP4 0
INDIRP4
CNSTI4 20
ADDP4
CNSTI4 0
ASGNI4
line 560
;560:	VectorClear( ent->s.pos.trDelta );
ADDRLP4 0
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 4
CNSTF4 0
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 44
ADDP4
ADDRLP4 4
INDIRF4
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 40
ADDP4
ADDRLP4 4
INDIRF4
ASGNF4
ADDRLP4 0
INDIRP4
CNSTI4 36
ADDP4
ADDRLP4 4
INDIRF4
ASGNF4
line 562
;561:
;562:	VectorCopy( origin, ent->r.currentOrigin );
ADDRFP4 0
INDIRP4
CNSTI4 276
ADDP4
ADDRFP4 4
INDIRP4
INDIRB
ASGNB 12
line 563
;563:}
LABELV $222
endproc G_SetOrigin 8 0
export G_RadiusList
proc G_RadiusList 4176 16
line 571
;564:
;565:/*
;566:============
;567:G_RadiusList - given an origin and a radius, return all entities that are in use that are within the list
;568:============
;569:*/
;570:int G_RadiusList ( vec3_t origin, float radius,	gentity_t *ignore, qboolean takeDamage, gentity_t *ent_list[MAX_GENTITIES])					  
;571:{
line 579
;572:	float		dist;
;573:	gentity_t	*ent;
;574:	int			entityList[MAX_GENTITIES];
;575:	int			numListedEntities;
;576:	vec3_t		mins, maxs;
;577:	vec3_t		v;
;578:	int			i, e;
;579:	int			ent_count = 0;
ADDRLP4 24
CNSTI4 0
ASGNI4
line 581
;580:
;581:	if ( radius < 1 ) 
ADDRFP4 4
INDIRF4
CNSTF4 1065353216
GEF4 $224
line 582
;582:	{
line 583
;583:		radius = 1;
ADDRFP4 4
CNSTF4 1065353216
ASGNF4
line 584
;584:	}
LABELV $224
line 586
;585:
;586:	for ( i = 0 ; i < 3 ; i++ ) 
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $226
line 587
;587:	{
line 588
;588:		mins[i] = origin[i] - radius;
ADDRLP4 4156
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ASGNI4
ADDRLP4 4156
INDIRI4
ADDRLP4 4132
ADDP4
ADDRLP4 4156
INDIRI4
ADDRFP4 0
INDIRP4
ADDP4
INDIRF4
ADDRFP4 4
INDIRF4
SUBF4
ASGNF4
line 589
;589:		maxs[i] = origin[i] + radius;
ADDRLP4 4160
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ASGNI4
ADDRLP4 4160
INDIRI4
ADDRLP4 4144
ADDP4
ADDRLP4 4160
INDIRI4
ADDRFP4 0
INDIRP4
ADDP4
INDIRF4
ADDRFP4 4
INDIRF4
ADDF4
ASGNF4
line 590
;590:	}
LABELV $227
line 586
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 3
LTI4 $226
line 592
;591:
;592:	numListedEntities = trap_EntitiesInBox( mins, maxs, entityList, MAX_GENTITIES );
ADDRLP4 4132
ARGP4
ADDRLP4 4144
ARGP4
ADDRLP4 32
ARGP4
CNSTI4 1024
ARGI4
ADDRLP4 4156
ADDRGP4 trap_EntitiesInBox
CALLI4
ASGNI4
ADDRLP4 4128
ADDRLP4 4156
INDIRI4
ASGNI4
line 594
;593:
;594:	for ( e = 0 ; e < numListedEntities ; e++ ) 
ADDRLP4 20
CNSTI4 0
ASGNI4
ADDRGP4 $233
JUMPV
LABELV $230
line 595
;595:	{
line 596
;596:		ent = &g_entities[entityList[e]];
ADDRLP4 4
CNSTI4 624
ADDRLP4 20
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 32
ADDP4
INDIRI4
MULI4
ADDRGP4 g_entities
ADDP4
ASGNP4
line 598
;597:
;598:		if ((ent == ignore) || !(ent->inuse) || ent->takedamage != takeDamage)
ADDRLP4 4
INDIRP4
CVPU4 4
ADDRFP4 8
INDIRP4
CVPU4 4
EQU4 $237
ADDRLP4 4
INDIRP4
CNSTI4 308
ADDP4
INDIRI4
CNSTI4 0
EQI4 $237
ADDRLP4 4
INDIRP4
CNSTI4 548
ADDP4
INDIRI4
ADDRFP4 12
INDIRI4
EQI4 $234
LABELV $237
line 599
;599:			continue;
ADDRGP4 $231
JUMPV
LABELV $234
line 602
;600:
;601:		// find the distance from the edge of the bounding box
;602:		for ( i = 0 ; i < 3 ; i++ ) 
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $238
line 603
;603:		{
line 604
;604:			if ( origin[i] < ent->r.absmin[i] ) 
ADDRLP4 4164
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ASGNI4
ADDRLP4 4164
INDIRI4
ADDRFP4 0
INDIRP4
ADDP4
INDIRF4
ADDRLP4 4164
INDIRI4
ADDRLP4 4
INDIRP4
CNSTI4 252
ADDP4
ADDP4
INDIRF4
GEF4 $242
line 605
;605:			{
line 606
;606:				v[i] = ent->r.absmin[i] - origin[i];
ADDRLP4 4168
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ASGNI4
ADDRLP4 4168
INDIRI4
ADDRLP4 8
ADDP4
ADDRLP4 4168
INDIRI4
ADDRLP4 4
INDIRP4
CNSTI4 252
ADDP4
ADDP4
INDIRF4
ADDRLP4 4168
INDIRI4
ADDRFP4 0
INDIRP4
ADDP4
INDIRF4
SUBF4
ASGNF4
line 607
;607:			} else if ( origin[i] > ent->r.absmax[i] ) 
ADDRGP4 $243
JUMPV
LABELV $242
ADDRLP4 4168
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ASGNI4
ADDRLP4 4168
INDIRI4
ADDRFP4 0
INDIRP4
ADDP4
INDIRF4
ADDRLP4 4168
INDIRI4
ADDRLP4 4
INDIRP4
CNSTI4 264
ADDP4
ADDP4
INDIRF4
LEF4 $244
line 608
;608:			{
line 609
;609:				v[i] = origin[i] - ent->r.absmax[i];
ADDRLP4 4172
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ASGNI4
ADDRLP4 4172
INDIRI4
ADDRLP4 8
ADDP4
ADDRLP4 4172
INDIRI4
ADDRFP4 0
INDIRP4
ADDP4
INDIRF4
ADDRLP4 4172
INDIRI4
ADDRLP4 4
INDIRP4
CNSTI4 264
ADDP4
ADDP4
INDIRF4
SUBF4
ASGNF4
line 610
;610:			} else 
ADDRGP4 $245
JUMPV
LABELV $244
line 611
;611:			{
line 612
;612:				v[i] = 0;
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRLP4 8
ADDP4
CNSTF4 0
ASGNF4
line 613
;613:			}
LABELV $245
LABELV $243
line 614
;614:		}
LABELV $239
line 602
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 3
LTI4 $238
line 616
;615:
;616:		dist = VectorLength( v );
ADDRLP4 8
ARGP4
ADDRLP4 4164
ADDRGP4 VectorLength
CALLF4
ASGNF4
ADDRLP4 28
ADDRLP4 4164
INDIRF4
ASGNF4
line 617
;617:		if ( dist >= radius ) 
ADDRLP4 28
INDIRF4
ADDRFP4 4
INDIRF4
LTF4 $246
line 618
;618:		{
line 619
;619:			continue;
ADDRGP4 $231
JUMPV
LABELV $246
line 623
;620:		}
;621:		
;622:		// ok, we are within the radius, add us to the incoming list
;623:		ent_list[ent_count] = ent;
ADDRLP4 24
INDIRI4
CNSTI4 2
LSHI4
ADDRFP4 16
INDIRP4
ADDP4
ADDRLP4 4
INDIRP4
ASGNP4
line 624
;624:		ent_count++;
ADDRLP4 24
ADDRLP4 24
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 626
;625:
;626:	}
LABELV $231
line 594
ADDRLP4 20
ADDRLP4 20
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $233
ADDRLP4 20
INDIRI4
ADDRLP4 4128
INDIRI4
LTI4 $230
line 628
;627:	// we are done, return how many we found
;628:	return(ent_count);
ADDRLP4 24
INDIRI4
RETI4
LABELV $223
endproc G_RadiusList 4176 16
import borgQueenClientNum
import G_UnTimeShiftAllClients
import G_UnTimeShiftClient
import G_TimeShiftAllClients
import G_TimeShiftClient
import G_ResetTrail
import G_StoreTrail
import trap_GeneticParentsAndChildSelection
import trap_BotResetWeaponState
import trap_BotFreeWeaponState
import trap_BotAllocWeaponState
import trap_BotLoadWeaponWeights
import trap_BotGetWeaponInfo
import trap_BotChooseBestFightWeapon
import trap_BotInitMoveState
import trap_BotFreeMoveState
import trap_BotAllocMoveState
import trap_BotPredictVisiblePosition
import trap_BotMovementViewTarget
import trap_BotReachabilityArea
import trap_BotResetLastAvoidReach
import trap_BotResetAvoidReach
import trap_BotMoveInDirection
import trap_BotMoveToGoal
import trap_BotResetMoveState
import trap_BotFreeGoalState
import trap_BotAllocGoalState
import trap_BotMutateGoalFuzzyLogic
import trap_BotSaveGoalFuzzyLogic
import trap_BotInterbreedGoalFuzzyLogic
import trap_BotFreeItemWeights
import trap_BotLoadItemWeights
import trap_BotUpdateEntityItems
import trap_BotInitLevelItems
import trap_BotAvoidGoalTime
import trap_BotGetLevelItemGoal
import trap_BotGetMapLocationGoal
import trap_BotGetNextCampSpotGoal
import trap_BotItemGoalInVisButNotVisible
import trap_BotTouchingGoal
import trap_BotChooseNBGItem
import trap_BotChooseLTGItem
import trap_BotGetSecondGoal
import trap_BotGetTopGoal
import trap_BotGoalName
import trap_BotDumpGoalStack
import trap_BotDumpAvoidGoals
import trap_BotEmptyGoalStack
import trap_BotPopGoal
import trap_BotPushGoal
import trap_BotResetAvoidGoals
import trap_BotRemoveFromAvoidGoals
import trap_BotResetGoalState
import trap_BotSetChatName
import trap_BotSetChatGender
import trap_BotLoadChatFile
import trap_BotReplaceSynonyms
import trap_UnifyWhiteSpaces
import trap_BotMatchVariable
import trap_BotFindMatch
import trap_StringContains
import trap_BotGetChatMessage
import trap_BotEnterChat
import trap_BotChatLength
import trap_BotReplyChat
import trap_BotNumInitialChats
import trap_BotInitialChat
import trap_BotNumConsoleMessages
import trap_BotNextConsoleMessage
import trap_BotRemoveConsoleMessage
import trap_BotQueueConsoleMessage
import trap_BotFreeChatState
import trap_BotAllocChatState
import trap_Characteristic_String
import trap_Characteristic_BInteger
import trap_Characteristic_Integer
import trap_Characteristic_BFloat
import trap_Characteristic_Float
import trap_BotFreeCharacter
import trap_BotLoadCharacter
import trap_EA_ResetInput
import trap_EA_GetInput
import trap_EA_EndRegular
import trap_EA_View
import trap_EA_Move
import trap_EA_MoveRight
import trap_EA_MoveLeft
import trap_EA_MoveBack
import trap_EA_MoveForward
import trap_EA_MoveDown
import trap_EA_MoveUp
import trap_EA_Crouch
import trap_EA_DelayedJump
import trap_EA_Jump
import trap_EA_Respawn
import trap_EA_Use
import trap_EA_Alt_Attack
import trap_EA_Attack
import trap_EA_Talk
import trap_EA_SelectWeapon
import trap_EA_Command
import trap_EA_Gesture
import trap_EA_DropInv
import trap_EA_UseInv
import trap_EA_DropItem
import trap_EA_UseItem
import trap_EA_SayTeam
import trap_EA_Say
import trap_AAS_PredictClientMovement
import trap_AAS_Swimming
import trap_AAS_AreaTravelTimeToGoalArea
import trap_AAS_AreaReachability
import trap_AAS_IntForBSPEpairKey
import trap_AAS_FloatForBSPEpairKey
import trap_AAS_VectorForBSPEpairKey
import trap_AAS_ValueForBSPEpairKey
import trap_AAS_NextBSPEntity
import trap_AAS_PointContents
import trap_AAS_TraceAreas
import trap_AAS_PointAreaNum
import trap_AAS_Time
import trap_AAS_PresenceTypeBoundingBox
import trap_AAS_Initialized
import trap_AAS_EntityInfo
import trap_BotUserCommand
import trap_BotGetConsoleMessage
import trap_BotGetSnapshotEntity
import trap_BotLibTest
import trap_BotLibUpdateEntity
import trap_BotLibLoadMap
import trap_BotLibStartFrame
import trap_BotLibDefine
import trap_BotLibVarGet
import trap_BotLibVarSet
import trap_BotLibShutdown
import trap_BotLibSetup
import trap_DebugPolygonDelete
import trap_DebugPolygonCreate
import trap_GetEntityToken
import trap_GetUsercmd
import trap_BotFreeClient
import trap_BotAllocateClient
import trap_EntityContact
import trap_EntitiesInBox
import trap_UnlinkEntity
import trap_LinkEntity
import trap_AreasConnected
import trap_AdjustAreaPortalState
import trap_InPVSIgnorePortals
import trap_InPVS
import trap_PointContents
import trap_Trace
import trap_SetBrushModel
import trap_GetServerinfo
import trap_SetUserinfo
import trap_GetUserinfo
import trap_GetConfigstring
import trap_SetConfigstring
import trap_SendServerCommand
import trap_DropClient
import trap_LocateGameData
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableIntegerValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_SendConsoleCommand
import trap_FS_GetFileList
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Args
import trap_Argv
import trap_Argc
import trap_Milliseconds
import trap_Error
import trap_Printf
import g_unlaggedVersion
import g_delagHitscan
import g_CStrikeVersion
import g_classChangeDebounceTime
import g_noJoinTimeout
import g_random_skin_limit
import g_team_group_blue
import g_team_group_red
import g_ghostRespawn
import g_holoIntro
import g_debugUp
import g_debugRight
import g_debugForward
import g_filterBan
import g_banIPs
import g_teamForceBalance
import g_teamAutoJoin
import g_allowVote
import g_doWarmup
import g_warmup
import g_motd
import g_synchronousClients
import g_adaptRespawn
import g_weaponRespawn
import g_debugDamage
import g_debugAlloc
import g_debugMove
import g_inactivity
import g_forcerespawn
import g_dmgmult
import g_knockback
import g_speed
import g_gravity
import g_needpass
import g_password
import g_friendlyFire
import g_capturelimit
import g_timelimitWinningTeam
import g_timelimit
import g_fraglimit
import g_dmflags
import g_language
import g_restarted
import g_maxGameClients
import g_maxclients
import g_cheats
import g_dedicated
import g_gametype
import g_pModElimination
import g_pModSpecialties
import g_pModActionHero
import g_pModDisintegration
import g_pModAssimilation
import g_entities
import level
import Pickup_Team
import CheckTeamStatus
import TeamplayInfoMessage
import Team_GetLocationMsg
import Team_GetLocation
import SelectCTFSpawnPoint
import Team_FreeEntity
import Team_ReturnFlag
import Team_InitGame
import Team_CheckHurtCarrier
import Team_FragBonuses
import Team_DroppedFlagThink
import TeamColorString
import OtherTeamName
import TeamName
import OtherTeam
import BotAIStartFrame
import BotAIShutdownClient
import BotAISetupClient
import BotAILoadMap
import BotAIShutdown
import BotAISetup
import BotInterbreedEndMatch
import Svcmd_BotList_f
import Svcmd_AddBot_f
import G_BotConnect
import G_QueueBotBegin
import G_CheckBotSpawn
import G_GetBotInfoByName
import G_GetBotInfoByNumber
import G_InitBots
import Svcmd_AbortPodium_f
import SpawnModelsOnVictoryPads
import UpdateTournamentInfo
import G_WriteSessionData
import G_InitWorldSession
import G_InitSessionData
import G_ReadSessionData
import Svcmd_GameMem_f
import G_InitMemory
import G_Alloc
import Team_CheckDroppedItem
import OnSameTeam
import Cmd_Ready_f
import G_RunClient
import ClientEndFrame
import ClientThink
import ClientCommand
import ClientBegin
import ClientDisconnect
import ClientUserinfoChanged
import ClientConnect
import GetFavoriteWeaponForClient
import GetWorstEnemyForClient
import GetFavoriteTargetForClient
import GetMaxKillsForClient
import GetMaxDeathsForClient
import CalculateTeamMVPByRank
import CalculateAwards
import G_ClearClientLog
import G_LogExit
import G_LogWeaponOutput
import G_LogWeaponInit
import G_LogWeaponItem
import G_LogWeaponPowerup
import G_LogWeaponFrag
import G_LogWeaponDeath
import G_LogWeaponKill
import G_LogWeaponDamage
import G_LogWeaponFire
import G_LogWeaponPickup
import G_LogPrintf
import G_Error
import G_Printf
import SendScoreboardMessageToAllClients
import G_RunThink
import FindIntermissionPoint
import DeathmatchScoreboardMessage
import G_SetStats
import MoveClientToIntermission
import FireWeapon
import G_FilterPacket
import G_ProcessIPBans
import ConsoleCommand
import SpotWouldTelefrag
import CalculateRanks
import AddScore
import player_die
import ClientSpawn
import InitBodyQue
import InitClientResp
import InitClientPersistant
import BeginIntermission
import respawn
import SelectSpawnPoint
import SetClientViewAngle
import PickTeam
import TeamCount
import FireSeeker
import SeekerAcquiresTarget
import SnapVectorTowards
import CalcMuzzlePoint
import LogAccuracyHit
import TransportPlayer
import TeleportPlayer
import trigger_teleporter_touch
import Touch_DoorTrigger
import G_RunMover
import fire_grapple
import fire_rocket
import fire_grenade
import fire_quantum
import fire_plasma
import fire_blaster
import G_RunMissile
import TossClientItems
import body_die
import G_RadiusDamage
import G_Damage
import CanDamage
import G_TouchSolids
import G_TouchTriggers
import SaveRegisteredItems
import RegisterItem
import ClearRegisteredItems
import Touch_Item
import Add_Ammo
import ArmorIndex
import Think_Weapon
import FinishSpawningItem
import G_SpawnItem
import SetRespawn
import Drop_Item
import PrecacheItem
import UseHoldableItem
import RespawnItem
import G_RunItem
import G_CheckTeamItems
import Cmd_FollowCycle_f
import SetTeam
import BroadcastTeamChange
import StopFollowing
import Cmd_Score_f
import G_NewString
import G_SpawnEntitiesFromString
import G_SpawnVector
import G_SpawnInt
import G_SpawnFloat
import G_SpawnString
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $216
byte 1 71
byte 1 95
byte 1 65
byte 1 100
byte 1 100
byte 1 69
byte 1 118
byte 1 101
byte 1 110
byte 1 116
byte 1 58
byte 1 32
byte 1 122
byte 1 101
byte 1 114
byte 1 111
byte 1 32
byte 1 101
byte 1 118
byte 1 101
byte 1 110
byte 1 116
byte 1 32
byte 1 97
byte 1 100
byte 1 100
byte 1 101
byte 1 100
byte 1 32
byte 1 102
byte 1 111
byte 1 114
byte 1 32
byte 1 101
byte 1 110
byte 1 116
byte 1 105
byte 1 116
byte 1 121
byte 1 32
byte 1 37
byte 1 105
byte 1 10
byte 1 0
align 1
LABELV $190
byte 1 116
byte 1 101
byte 1 109
byte 1 112
byte 1 69
byte 1 110
byte 1 116
byte 1 105
byte 1 116
byte 1 121
byte 1 0
align 1
LABELV $187
byte 1 102
byte 1 114
byte 1 101
byte 1 101
byte 1 100
byte 1 0
align 1
LABELV $180
byte 1 71
byte 1 95
byte 1 83
byte 1 112
byte 1 97
byte 1 119
byte 1 110
byte 1 58
byte 1 32
byte 1 110
byte 1 111
byte 1 32
byte 1 102
byte 1 114
byte 1 101
byte 1 101
byte 1 32
byte 1 101
byte 1 110
byte 1 116
byte 1 105
byte 1 116
byte 1 105
byte 1 101
byte 1 115
byte 1 0
align 1
LABELV $158
byte 1 110
byte 1 111
byte 1 99
byte 1 108
byte 1 97
byte 1 115
byte 1 115
byte 1 0
align 1
LABELV $138
byte 1 40
byte 1 37
byte 1 105
byte 1 32
byte 1 37
byte 1 105
byte 1 32
byte 1 37
byte 1 105
byte 1 41
byte 1 0
align 1
LABELV $128
byte 1 101
byte 1 110
byte 1 116
byte 1 105
byte 1 116
byte 1 121
byte 1 32
byte 1 119
byte 1 97
byte 1 115
byte 1 32
byte 1 114
byte 1 101
byte 1 109
byte 1 111
byte 1 118
byte 1 101
byte 1 100
byte 1 32
byte 1 119
byte 1 104
byte 1 105
byte 1 108
byte 1 101
byte 1 32
byte 1 117
byte 1 115
byte 1 105
byte 1 110
byte 1 103
byte 1 32
byte 1 116
byte 1 97
byte 1 114
byte 1 103
byte 1 101
byte 1 116
byte 1 115
byte 1 10
byte 1 0
align 1
LABELV $123
byte 1 87
byte 1 65
byte 1 82
byte 1 78
byte 1 73
byte 1 78
byte 1 71
byte 1 58
byte 1 32
byte 1 69
byte 1 110
byte 1 116
byte 1 105
byte 1 116
byte 1 121
byte 1 32
byte 1 117
byte 1 115
byte 1 101
byte 1 100
byte 1 32
byte 1 105
byte 1 116
byte 1 115
byte 1 101
byte 1 108
byte 1 102
byte 1 46
byte 1 10
byte 1 0
align 1
LABELV $112
byte 1 71
byte 1 95
byte 1 80
byte 1 105
byte 1 99
byte 1 107
byte 1 84
byte 1 97
byte 1 114
byte 1 103
byte 1 101
byte 1 116
byte 1 58
byte 1 32
byte 1 116
byte 1 97
byte 1 114
byte 1 103
byte 1 101
byte 1 116
byte 1 32
byte 1 37
byte 1 115
byte 1 32
byte 1 110
byte 1 111
byte 1 116
byte 1 32
byte 1 102
byte 1 111
byte 1 117
byte 1 110
byte 1 100
byte 1 10
byte 1 0
align 1
LABELV $102
byte 1 71
byte 1 95
byte 1 80
byte 1 105
byte 1 99
byte 1 107
byte 1 84
byte 1 97
byte 1 114
byte 1 103
byte 1 101
byte 1 116
byte 1 32
byte 1 99
byte 1 97
byte 1 108
byte 1 108
byte 1 101
byte 1 100
byte 1 32
byte 1 119
byte 1 105
byte 1 116
byte 1 104
byte 1 32
byte 1 78
byte 1 85
byte 1 76
byte 1 76
byte 1 32
byte 1 116
byte 1 97
byte 1 114
byte 1 103
byte 1 101
byte 1 116
byte 1 110
byte 1 97
byte 1 109
byte 1 101
byte 1 10
byte 1 0
align 1
LABELV $84
byte 1 37
byte 1 115
byte 1 0
align 1
LABELV $71
byte 1 71
byte 1 95
byte 1 70
byte 1 105
byte 1 110
byte 1 100
byte 1 67
byte 1 111
byte 1 110
byte 1 102
byte 1 105
byte 1 103
byte 1 115
byte 1 116
byte 1 114
byte 1 105
byte 1 110
byte 1 103
byte 1 73
byte 1 110
byte 1 100
byte 1 101
byte 1 120
byte 1 58
byte 1 32
byte 1 111
byte 1 118
byte 1 101
byte 1 114
byte 1 102
byte 1 108
byte 1 111
byte 1 119
byte 1 0
