code
proc UI_AddBotsMenu_BotEvent 0 0
file "../ui_addbots.c"
line 59
;1:// Copyright (C) 1999-2000 Id Software, Inc.
;2://
;3:/*
;4:=======================================================================
;5:
;6:ADD BOTS MENU
;7:
;8:=======================================================================
;9:*/
;10:#include "ui_local.h"
;11:
;12:#define BOTS_VIEWABLE		11
;13:
;14:#define ID_BACK				10
;15:#define ID_GO				11
;16:#define ID_LIST				12
;17:#define ID_UP				13
;18:#define ID_DOWN				14
;19:#define ID_SKILL			15
;20:#define ID_TEAM				16
;21:#define ID_BOTNAME0			20
;22:#define ID_BOTNAME1			21
;23:#define ID_BOTNAME2			22
;24:#define ID_BOTNAME3			23
;25:#define ID_BOTNAME4			24
;26:#define ID_BOTNAME5			25
;27:#define ID_BOTNAME6			26
;28:#define ID_PCLASS			27
;29:
;30:
;31:typedef struct {
;32:	menuframework_s	menu;
;33:	menubitmap_s	arrows;
;34:	menubitmap_s	up;
;35:	menubitmap_s	down;
;36:	menutext_s		bots[BOTS_VIEWABLE];
;37:	menulist_s		skill;
;38:	menulist_s		team;
;39:	menulist_s		pclass;
;40:	menubitmap_s	go;
;41:	menubitmap_s	back;
;42:
;43:	int				numBots;
;44:	int				delay;
;45:	int				baseBotNum;
;46:	int				selectedBotNum;
;47:	int				sortedBotNums[MAX_BOTS];
;48:	char			botnames[BOTS_VIEWABLE][32];
;49:} addBotsMenuInfo_t;
;50:
;51:static addBotsMenuInfo_t	addBotsMenuInfo;
;52:
;53:
;54:/*
;55:=================
;56:UI_AddBotsMenu_BotEvent
;57:=================
;58:*/
;59:static void UI_AddBotsMenu_BotEvent( void* ptr, int event ) {
line 60
;60:	if (event != QM_ACTIVATED) {
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $76
line 61
;61:		return;
ADDRGP4 $75
JUMPV
LABELV $76
line 64
;62:	}
;63:
;64:	addBotsMenuInfo.bots[addBotsMenuInfo.selectedBotNum].color = colorTable[CT_DKGOLD1];
CNSTI4 116
ADDRGP4 addBotsMenuInfo+2800
INDIRI4
MULI4
ADDRGP4 addBotsMenuInfo+756+92
ADDP4
ADDRGP4 colorTable+496
ASGNP4
line 65
;65:	addBotsMenuInfo.selectedBotNum = ((menucommon_s*)ptr)->id - ID_BOTNAME0;
ADDRGP4 addBotsMenuInfo+2800
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
CNSTI4 20
SUBI4
ASGNI4
line 66
;66:	addBotsMenuInfo.bots[addBotsMenuInfo.selectedBotNum].color = colorTable[CT_YELLOW];
CNSTI4 116
ADDRGP4 addBotsMenuInfo+2800
INDIRI4
MULI4
ADDRGP4 addBotsMenuInfo+756+92
ADDP4
ADDRGP4 colorTable+80
ASGNP4
line 67
;67:}
LABELV $75
endproc UI_AddBotsMenu_BotEvent 0 0
proc UI_AddBotsMenu_BackEvent 0 0
line 75
;68:
;69:
;70:/*
;71:=================
;72:UI_AddBotsMenu_BackEvent
;73:=================
;74:*/
;75:static void UI_AddBotsMenu_BackEvent( void* ptr, int event ) {
line 76
;76:	if (event != QM_ACTIVATED) {
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $88
line 77
;77:		return;
ADDRGP4 $87
JUMPV
LABELV $88
line 79
;78:	}
;79:	UI_PopMenu();
ADDRGP4 UI_PopMenu
CALLV
pop
line 80
;80:}
LABELV $87
endproc UI_AddBotsMenu_BackEvent 0 0
proc UI_AddBotsMenu_SetBotNames 16 12
line 88
;81:
;82:
;83:/*
;84:=================
;85:UI_AddBotsMenu_SetBotNames
;86:=================
;87:*/
;88:static void UI_AddBotsMenu_SetBotNames( void ) {
line 92
;89:	int			n;
;90:	const char	*info;
;91:
;92:	for ( n = 0; n < BOTS_VIEWABLE; n++ ) 
ADDRLP4 0
CNSTI4 0
ASGNI4
LABELV $91
line 93
;93:	{
line 94
;94:		info = UI_GetBotInfoByNumber( addBotsMenuInfo.sortedBotNums[addBotsMenuInfo.baseBotNum + n] );
ADDRGP4 addBotsMenuInfo+2796
INDIRI4
ADDRLP4 0
INDIRI4
ADDI4
CNSTI4 2
LSHI4
ADDRGP4 addBotsMenuInfo+2804
ADDP4
INDIRI4
ARGI4
ADDRLP4 8
ADDRGP4 UI_GetBotInfoByNumber
CALLP4
ASGNP4
ADDRLP4 4
ADDRLP4 8
INDIRP4
ASGNP4
line 95
;95:		Q_strncpyz( addBotsMenuInfo.botnames[n], Info_ValueForKey( info, "name" ), sizeof(addBotsMenuInfo.botnames[n]) );
ADDRLP4 4
INDIRP4
ARGP4
ADDRGP4 $98
ARGP4
ADDRLP4 12
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 0
INDIRI4
CNSTI4 5
LSHI4
ADDRGP4 addBotsMenuInfo+6900
ADDP4
ARGP4
ADDRLP4 12
INDIRP4
ARGP4
CNSTI4 32
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 96
;96:	}
LABELV $92
line 92
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 11
LTI4 $91
line 98
;97:
;98:}
LABELV $90
endproc UI_AddBotsMenu_SetBotNames 16 12
proc UI_AddBotsMenu_UpEvent 4 0
line 106
;99:
;100:
;101:/*
;102:=================
;103:UI_AddBotsMenu_UpEvent
;104:=================
;105:*/
;106:static void UI_AddBotsMenu_UpEvent( void* ptr, int event ) {
line 107
;107:	if (event != QM_ACTIVATED) {
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $101
line 108
;108:		return;
ADDRGP4 $100
JUMPV
LABELV $101
line 111
;109:	}
;110:
;111:	if( addBotsMenuInfo.baseBotNum > 0 ) {
ADDRGP4 addBotsMenuInfo+2796
INDIRI4
CNSTI4 0
LEI4 $103
line 112
;112:		addBotsMenuInfo.baseBotNum--;
ADDRLP4 0
ADDRGP4 addBotsMenuInfo+2796
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
line 113
;113:		UI_AddBotsMenu_SetBotNames();
ADDRGP4 UI_AddBotsMenu_SetBotNames
CALLV
pop
line 114
;114:	}
LABELV $103
line 115
;115:}
LABELV $100
endproc UI_AddBotsMenu_UpEvent 4 0
proc UI_AddBotsMenu_DownEvent 4 0
line 123
;116:
;117:
;118:/*
;119:=================
;120:UI_AddBotsMenu_DownEvent
;121:=================
;122:*/
;123:static void UI_AddBotsMenu_DownEvent( void* ptr, int event ) {
line 124
;124:	if (event != QM_ACTIVATED) {
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $108
line 125
;125:		return;
ADDRGP4 $107
JUMPV
LABELV $108
line 128
;126:	}
;127:
;128:	if( addBotsMenuInfo.baseBotNum + BOTS_VIEWABLE < addBotsMenuInfo.numBots ) {
ADDRGP4 addBotsMenuInfo+2796
INDIRI4
CNSTI4 11
ADDI4
ADDRGP4 addBotsMenuInfo+2788
INDIRI4
GEI4 $110
line 129
;129:		addBotsMenuInfo.baseBotNum++;
ADDRLP4 0
ADDRGP4 addBotsMenuInfo+2796
ASGNP4
ADDRLP4 0
INDIRP4
ADDRLP4 0
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 130
;130:		UI_AddBotsMenu_SetBotNames();
ADDRGP4 UI_AddBotsMenu_SetBotNames
CALLV
pop
line 131
;131:	}
LABELV $110
line 132
;132:}
LABELV $107
endproc UI_AddBotsMenu_DownEvent 4 0
proc UI_AddBotsMenu_SortCompare 44 8
line 140
;133:
;134:
;135:/*
;136:=================
;137:UI_AddBotsMenu_GetSortedBotNums
;138:=================
;139:*/
;140:static int QDECL UI_AddBotsMenu_SortCompare( const void *arg1, const void *arg2 ) {
line 145
;141:	int			num1, num2;
;142:	const char	*info1, *info2;
;143:	const char	*name1, *name2;
;144:
;145:	num1 = *(int *)arg1;
ADDRLP4 0
ADDRFP4 0
INDIRP4
INDIRI4
ASGNI4
line 146
;146:	num2 = *(int *)arg2;
ADDRLP4 4
ADDRFP4 4
INDIRP4
INDIRI4
ASGNI4
line 148
;147:
;148:	info1 = UI_GetBotInfoByNumber( num1 );
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 24
ADDRGP4 UI_GetBotInfoByNumber
CALLP4
ASGNP4
ADDRLP4 8
ADDRLP4 24
INDIRP4
ASGNP4
line 149
;149:	info2 = UI_GetBotInfoByNumber( num2 );
ADDRLP4 4
INDIRI4
ARGI4
ADDRLP4 28
ADDRGP4 UI_GetBotInfoByNumber
CALLP4
ASGNP4
ADDRLP4 12
ADDRLP4 28
INDIRP4
ASGNP4
line 151
;150:
;151:	name1 = Info_ValueForKey( info1, "name" );
ADDRLP4 8
INDIRP4
ARGP4
ADDRGP4 $98
ARGP4
ADDRLP4 32
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 16
ADDRLP4 32
INDIRP4
ASGNP4
line 152
;152:	name2 = Info_ValueForKey( info2, "name" );
ADDRLP4 12
INDIRP4
ARGP4
ADDRGP4 $98
ARGP4
ADDRLP4 36
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 20
ADDRLP4 36
INDIRP4
ASGNP4
line 154
;153:
;154:	return Q_stricmp( name1, name2 );
ADDRLP4 16
INDIRP4
ARGP4
ADDRLP4 20
INDIRP4
ARGP4
ADDRLP4 40
ADDRGP4 Q_stricmp
CALLI4
ASGNI4
ADDRLP4 40
INDIRI4
RETI4
LABELV $115
endproc UI_AddBotsMenu_SortCompare 44 8
proc UI_AddBotsMenu_GetSortedBotNums 8 16
line 157
;155:}
;156:
;157:static void UI_AddBotsMenu_GetSortedBotNums( void ) {
line 161
;158:	int		n;
;159:
;160:	// initialize the array
;161:	for( n = 0; n < addBotsMenuInfo.numBots; n++ ) {
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $120
JUMPV
LABELV $117
line 162
;162:		addBotsMenuInfo.sortedBotNums[n] = n;
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 addBotsMenuInfo+2804
ADDP4
ADDRLP4 0
INDIRI4
ASGNI4
line 163
;163:	}
LABELV $118
line 161
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $120
ADDRLP4 0
INDIRI4
ADDRGP4 addBotsMenuInfo+2788
INDIRI4
LTI4 $117
line 165
;164:
;165:	qsort( addBotsMenuInfo.sortedBotNums, addBotsMenuInfo.numBots, sizeof(addBotsMenuInfo.sortedBotNums[0]), UI_AddBotsMenu_SortCompare );
ADDRGP4 addBotsMenuInfo+2804
ARGP4
ADDRGP4 addBotsMenuInfo+2788
INDIRI4
ARGI4
CNSTI4 4
ARGI4
ADDRGP4 UI_AddBotsMenu_SortCompare
ARGP4
ADDRGP4 qsort
CALLV
pop
line 166
;166:}
LABELV $116
endproc UI_AddBotsMenu_GetSortedBotNums 8 16
proc UI_AddBotsMenu_Draw 0 20
line 175
;167:
;168:
;169:/*
;170:=================
;171:UI_AddBotsMenu_Draw
;172:=================
;173:*/
;174:static void UI_AddBotsMenu_Draw( void ) 
;175:{
line 176
;176:	UI_MenuFrame(&addBotsMenuInfo.menu);
ADDRGP4 addBotsMenuInfo
ARGP4
ADDRGP4 UI_MenuFrame
CALLV
pop
line 178
;177:
;178:	trap_R_SetColor( colorTable[CT_DKPURPLE2]);
ADDRGP4 colorTable+624
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 179
;179:	UI_DrawHandlePic(30,201,  47, 90, uis.whiteShader);	//Left side of frame
CNSTF4 1106247680
ARGF4
CNSTF4 1128857600
ARGF4
CNSTF4 1111228416
ARGF4
CNSTF4 1119092736
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 180
;180:	UI_DrawHandlePic(30,293,  47, 97, uis.whiteShader);
CNSTF4 1106247680
ARGF4
CNSTF4 1133674496
ARGF4
CNSTF4 1111228416
ARGF4
CNSTF4 1120010240
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 183
;181:
;182:	// Bot name frame
;183:	trap_R_SetColor( colorTable[CT_DKBLUE1]);
ADDRGP4 colorTable+304
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 184
;184:	UI_DrawHandlePic( 81, 172,  225,  18, uis.whiteShader);	// Top
CNSTF4 1117913088
ARGF4
CNSTF4 1126957056
ARGF4
CNSTF4 1130430464
ARGF4
CNSTF4 1099956224
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 185
;185:	UI_DrawHandlePic(288, 189,   18, 246, uis.whiteShader);	// Side
CNSTF4 1133510656
ARGF4
CNSTF4 1128071168
ARGF4
CNSTF4 1099956224
ARGF4
CNSTF4 1131806720
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 186
;186:	UI_DrawProportionalString( 90, 173, menu_normal_text[MNT_HOLOGRAPHIC_CHARS],UI_SMALLFONT,colorTable[CT_BLACK]);	// Top
CNSTI4 90
ARGI4
CNSTI4 173
ARGI4
ADDRGP4 menu_normal_text+1004
INDIRP4
ARGP4
CNSTI4 16
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 189
;187:
;188:	// Bot settings frame
;189:	trap_R_SetColor( colorTable[CT_DKBLUE1]);
ADDRGP4 colorTable+304
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 190
;190:	UI_DrawHandlePic( 316, 172,  295,  18, uis.whiteShader);	// Top
CNSTF4 1134428160
ARGF4
CNSTF4 1126957056
ARGF4
CNSTF4 1133740032
ARGF4
CNSTF4 1099956224
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 191
;191:	UI_DrawHandlePic( 316, 185,   18,  94, uis.whiteShader);	// Side
CNSTF4 1134428160
ARGF4
CNSTF4 1127809024
ARGF4
CNSTF4 1099956224
ARGF4
CNSTF4 1119617024
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 192
;192:	UI_DrawHandlePic( 316, 282,  295,  18, uis.whiteShader);	// Bottom
CNSTF4 1134428160
ARGF4
CNSTF4 1133314048
ARGF4
CNSTF4 1133740032
ARGF4
CNSTF4 1099956224
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 193
;193:	UI_DrawProportionalString( 340, 173, menu_normal_text[MNT_SETTINGS],UI_SMALLFONT,colorTable[CT_BLACK]);	// Top
CNSTI4 340
ARGI4
CNSTI4 173
ARGI4
ADDRGP4 menu_normal_text+1008
INDIRP4
ARGP4
CNSTI4 16
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 196
;194:
;195:	// standard menu drawing
;196:	Menu_Draw( &addBotsMenuInfo.menu );
ADDRGP4 addBotsMenuInfo
ARGP4
ADDRGP4 Menu_Draw
CALLV
pop
line 197
;197:}
LABELV $126
endproc UI_AddBotsMenu_Draw 0 20
data
align 4
LABELV skillNames
byte 4 141
byte 4 142
byte 4 143
byte 4 144
byte 4 145
byte 4 0
align 4
LABELV teamNames1
byte 4 248
byte 4 0
align 4
LABELV teamNames2
byte 4 153
byte 4 152
byte 4 0
align 4
LABELV Game_teamNames1
address $141
align 4
LABELV Game_teamNames2
address $142
address $143
align 4
LABELV pClassNames
byte 4 421
byte 4 422
byte 4 423
byte 4 424
byte 4 425
byte 4 426
byte 4 0
align 4
LABELV pClassNames2
byte 4 420
byte 4 0
align 4
LABELV Game_pClassNames
address $144
address $145
address $146
address $147
address $148
address $149
align 4
LABELV Game_pClassNames2
address $150
code
proc UI_AddBotsMenu_FightEvent 20 24
line 276
;198:
;199:	
;200:/*
;201:=================
;202:UI_AddBotsMenu_Init
;203:=================
;204:*/
;205:static int skillNames[] =
;206:{
;207:MNT_BABYLEVEL,
;208:MNT_EASYLEVEL,
;209:MNT_MEDIUMLEVEL,
;210:MNT_HARDLEVEL,
;211:MNT_NIGHTMARELEVEL,
;212:0
;213:};
;214:
;215:static int teamNames1[] = 
;216:{
;217:	MNT_FREE,
;218:	0
;219:};
;220:
;221:static int teamNames2[] = 
;222:{
;223:	MNT_TEAM_RED,
;224:	MNT_TEAM_BLUE,
;225:	0
;226:};
;227:
;228:static char* Game_teamNames1[] = 
;229:{
;230:	"free",
;231:};
;232:
;233:static char* Game_teamNames2[] = 
;234:{
;235:	"red",
;236:	"blue",
;237:};
;238:
;239:static int pClassNames[] = 
;240:{
;241:	MNT_PC_INFILTRATOR,
;242:	MNT_PC_SNIPER,
;243:	MNT_PC_HEAVY,
;244:	MNT_PC_DEMO,
;245:	MNT_PC_MEDIC,
;246:	MNT_PC_TECH,
;247:	0
;248:};
;249:
;250:static int pClassNames2[] = 
;251:{
;252:	MNT_PC_NOCLASS,
;253:	0
;254:};
;255:
;256:static char* Game_pClassNames[] = 
;257:{
;258:	"infiltrator",
;259:	"sniper",
;260:	"heavy",
;261:	"demo",
;262:	"medic",
;263:	"tech",
;264:};
;265:
;266:static char* Game_pClassNames2[] = 
;267:{
;268:	"noclass"
;269:};
;270:
;271:/*
;272:=================
;273:UI_AddBotsMenu_FightEvent
;274:=================
;275:*/
;276:static void UI_AddBotsMenu_FightEvent( void* ptr, int event ) {
line 281
;277:	const char	*team;
;278:	const char	*pclass;
;279:	int			skill;
;280:
;281:	if (event != QM_ACTIVATED) {
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $152
line 282
;282:		return;
ADDRGP4 $151
JUMPV
LABELV $152
line 288
;283:	}
;284:
;285://	team = menu_normal_text[addBotsMenuInfo.team.listnames[addBotsMenuInfo.team.curvalue]];
;286://	pclass = menu_normal_text[addBotsMenuInfo.pclass.listnames[addBotsMenuInfo.pclass.curvalue]];
;287:	//can't translate these, game code is in english only
;288:	if (addBotsMenuInfo.team.listnames == teamNames1) {
ADDRGP4 addBotsMenuInfo+2188+80
INDIRP4
CVPU4 4
ADDRGP4 teamNames1
CVPU4 4
NEU4 $154
line 289
;289:		team = Game_teamNames1[addBotsMenuInfo.team.curvalue];
ADDRLP4 0
ADDRGP4 addBotsMenuInfo+2188+64
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 Game_teamNames1
ADDP4
INDIRP4
ASGNP4
line 290
;290:	} else {
ADDRGP4 $155
JUMPV
LABELV $154
line 291
;291:		team = Game_teamNames2[addBotsMenuInfo.team.curvalue];
ADDRLP4 0
ADDRGP4 addBotsMenuInfo+2188+64
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 Game_teamNames2
ADDP4
INDIRP4
ASGNP4
line 292
;292:	}
LABELV $155
line 293
;293:	if (addBotsMenuInfo.pclass.listnames == pClassNames) {
ADDRGP4 addBotsMenuInfo+2344+80
INDIRP4
CVPU4 4
ADDRGP4 pClassNames
CVPU4 4
NEU4 $162
line 294
;294:		pclass = Game_pClassNames[addBotsMenuInfo.pclass.curvalue];
ADDRLP4 4
ADDRGP4 addBotsMenuInfo+2344+64
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 Game_pClassNames
ADDP4
INDIRP4
ASGNP4
line 295
;295:	} else {
ADDRGP4 $163
JUMPV
LABELV $162
line 296
;296:		pclass = Game_pClassNames2[addBotsMenuInfo.pclass.curvalue];
ADDRLP4 4
ADDRGP4 addBotsMenuInfo+2344+64
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 Game_pClassNames2
ADDP4
INDIRP4
ASGNP4
line 297
;297:	}
LABELV $163
line 299
;298:
;299:	skill = addBotsMenuInfo.skill.curvalue + 1;
ADDRLP4 8
ADDRGP4 addBotsMenuInfo+2032+64
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 301
;300:
;301:	trap_Cmd_ExecuteText( EXEC_APPEND, va("addbot %s %i %s %s %i\n",
ADDRGP4 $172
ARGP4
ADDRGP4 addBotsMenuInfo+2800
INDIRI4
CNSTI4 5
LSHI4
ADDRGP4 addBotsMenuInfo+6900
ADDP4
ARGP4
ADDRLP4 8
INDIRI4
ARGI4
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 4
INDIRP4
ARGP4
ADDRGP4 addBotsMenuInfo+2792
INDIRI4
ARGI4
ADDRLP4 12
ADDRGP4 va
CALLP4
ASGNP4
CNSTI4 2
ARGI4
ADDRLP4 12
INDIRP4
ARGP4
ADDRGP4 trap_Cmd_ExecuteText
CALLV
pop
line 304
;302:		addBotsMenuInfo.botnames[addBotsMenuInfo.selectedBotNum], skill, team, pclass, addBotsMenuInfo.delay) );
;303:
;304:	addBotsMenuInfo.delay += 1500;
ADDRLP4 16
ADDRGP4 addBotsMenuInfo+2792
ASGNP4
ADDRLP4 16
INDIRP4
ADDRLP4 16
INDIRP4
INDIRI4
CNSTI4 1500
ADDI4
ASGNI4
line 305
;305:}
LABELV $151
endproc UI_AddBotsMenu_FightEvent 20 24
proc UI_AddBotsMenu_Init 1080 12
line 309
;306:
;307:
;308:static void UI_AddBotsMenu_Init( void ) 
;309:{
line 316
;310:	int		n;
;311:	int		y,x;
;312:	int		gametype, specialties;
;313:	int		count;
;314:	char	info[MAX_INFO_STRING];
;315:
;316:	trap_GetConfigString(CS_SERVERINFO, info, MAX_INFO_STRING);   
CNSTI4 0
ARGI4
ADDRLP4 16
ARGP4
CNSTI4 1024
ARGI4
ADDRGP4 trap_GetConfigString
CALLI4
pop
line 317
;317:	gametype = atoi( Info_ValueForKey( info,"g_gametype" ) );
ADDRLP4 16
ARGP4
ADDRGP4 $178
ARGP4
ADDRLP4 1048
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 1048
INDIRP4
ARGP4
ADDRLP4 1052
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRLP4 1040
ADDRLP4 1052
INDIRI4
ASGNI4
line 318
;318:	specialties = atoi( Info_ValueForKey( info,"g_pModSpecialties" ) );
ADDRLP4 16
ARGP4
ADDRGP4 $179
ARGP4
ADDRLP4 1056
ADDRGP4 Info_ValueForKey
CALLP4
ASGNP4
ADDRLP4 1056
INDIRP4
ARGP4
ADDRLP4 1060
ADDRGP4 atoi
CALLI4
ASGNI4
ADDRLP4 1044
ADDRLP4 1060
INDIRI4
ASGNI4
line 320
;319:
;320:	memset( &addBotsMenuInfo, 0 ,sizeof(addBotsMenuInfo) );
ADDRGP4 addBotsMenuInfo
ARGP4
CNSTI4 0
ARGI4
CNSTI4 7252
ARGI4
ADDRGP4 memset
CALLP4
pop
line 321
;321:	addBotsMenuInfo.menu.draw = UI_AddBotsMenu_Draw;
ADDRGP4 addBotsMenuInfo+268
ADDRGP4 UI_AddBotsMenu_Draw
ASGNP4
line 322
;322:	addBotsMenuInfo.menu.fullscreen = qtrue;
ADDRGP4 addBotsMenuInfo+280
CNSTI4 1
ASGNI4
line 323
;323:	addBotsMenuInfo.menu.wrapAround = qtrue;
ADDRGP4 addBotsMenuInfo+276
CNSTI4 1
ASGNI4
line 324
;324:	addBotsMenuInfo.delay = 1000;
ADDRGP4 addBotsMenuInfo+2792
CNSTI4 1000
ASGNI4
line 325
;325:	addBotsMenuInfo.menu.descX						= MENU_DESC_X;
ADDRGP4 addBotsMenuInfo+292
CNSTI4 100
ASGNI4
line 326
;326:	addBotsMenuInfo.menu.descY						= MENU_DESC_Y;
ADDRGP4 addBotsMenuInfo+296
CNSTI4 444
ASGNI4
line 327
;327:	addBotsMenuInfo.menu.titleX						= MENU_TITLE_X;
ADDRGP4 addBotsMenuInfo+308
CNSTI4 611
ASGNI4
line 328
;328:	addBotsMenuInfo.menu.titleY						= MENU_TITLE_Y;
ADDRGP4 addBotsMenuInfo+312
CNSTI4 24
ASGNI4
line 329
;329:	addBotsMenuInfo.menu.titleI						= MNT_ADD_HCS_TITLE;
ADDRGP4 addBotsMenuInfo+316
CNSTI4 249
ASGNI4
line 330
;330:	addBotsMenuInfo.menu.footNoteEnum				= MNT_ADD_HCS;
ADDRGP4 addBotsMenuInfo+320
CNSTI4 250
ASGNI4
line 332
;331:
;332:	UI_AddBots_Cache();
ADDRGP4 UI_AddBots_Cache
CALLV
pop
line 334
;333:
;334:	addBotsMenuInfo.numBots = UI_GetNumBots();
ADDRLP4 1064
ADDRGP4 UI_GetNumBots
CALLI4
ASGNI4
ADDRGP4 addBotsMenuInfo+2788
ADDRLP4 1064
INDIRI4
ASGNI4
line 335
;335:	count = addBotsMenuInfo.numBots < BOTS_VIEWABLE ? addBotsMenuInfo.numBots : BOTS_VIEWABLE;
ADDRGP4 addBotsMenuInfo+2788
INDIRI4
CNSTI4 11
GEI4 $194
ADDRLP4 1068
ADDRGP4 addBotsMenuInfo+2788
INDIRI4
ASGNI4
ADDRGP4 $195
JUMPV
LABELV $194
ADDRLP4 1068
CNSTI4 11
ASGNI4
LABELV $195
ADDRLP4 8
ADDRLP4 1068
INDIRI4
ASGNI4
line 337
;336:
;337:	addBotsMenuInfo.up.generic.type					= MTYPE_BITMAP;
ADDRGP4 addBotsMenuInfo+468
CNSTI4 6
ASGNI4
line 338
;338:	addBotsMenuInfo.up.generic.flags				= QMF_HIGHLIGHT_IF_FOCUS;
ADDRGP4 addBotsMenuInfo+468+44
CNSTU4 128
ASGNU4
line 339
;339:	addBotsMenuInfo.up.generic.x					= 289;
ADDRGP4 addBotsMenuInfo+468+12
CNSTI4 289
ASGNI4
line 340
;340:	addBotsMenuInfo.up.generic.y					= 196;
ADDRGP4 addBotsMenuInfo+468+16
CNSTI4 196
ASGNI4
line 341
;341:	addBotsMenuInfo.up.generic.id					= ID_UP;
ADDRGP4 addBotsMenuInfo+468+8
CNSTI4 13
ASGNI4
line 342
;342:	addBotsMenuInfo.up.generic.callback				= UI_AddBotsMenu_UpEvent;
ADDRGP4 addBotsMenuInfo+468+48
ADDRGP4 UI_AddBotsMenu_UpEvent
ASGNP4
line 343
;343:	addBotsMenuInfo.up.width  						= 16;
ADDRGP4 addBotsMenuInfo+468+92
CNSTI4 16
ASGNI4
line 344
;344:	addBotsMenuInfo.up.height  						= 16;
ADDRGP4 addBotsMenuInfo+468+96
CNSTI4 16
ASGNI4
line 345
;345:	addBotsMenuInfo.up.color  						= CT_DKGOLD1;
ADDRGP4 addBotsMenuInfo+468+104
CNSTI4 31
ASGNI4
line 346
;346:	addBotsMenuInfo.up.color2  						= CT_LTGOLD1;
ADDRGP4 addBotsMenuInfo+468+108
CNSTI4 30
ASGNI4
line 347
;347:	addBotsMenuInfo.up.generic.name					= "menu/common/arrow_up_16.tga";
ADDRGP4 addBotsMenuInfo+468+4
ADDRGP4 $217
ASGNP4
line 350
;348:
;349:
;350:	addBotsMenuInfo.down.generic.type				= MTYPE_BITMAP;
ADDRGP4 addBotsMenuInfo+612
CNSTI4 6
ASGNI4
line 351
;351:	addBotsMenuInfo.down.generic.flags				= QMF_HIGHLIGHT_IF_FOCUS;
ADDRGP4 addBotsMenuInfo+612+44
CNSTU4 128
ASGNU4
line 352
;352:	addBotsMenuInfo.down.generic.x					= 289;
ADDRGP4 addBotsMenuInfo+612+12
CNSTI4 289
ASGNI4
line 353
;353:	addBotsMenuInfo.down.generic.y					= 407;
ADDRGP4 addBotsMenuInfo+612+16
CNSTI4 407
ASGNI4
line 354
;354:	addBotsMenuInfo.down.generic.id					= ID_DOWN;
ADDRGP4 addBotsMenuInfo+612+8
CNSTI4 14
ASGNI4
line 355
;355:	addBotsMenuInfo.down.generic.callback			= UI_AddBotsMenu_DownEvent;
ADDRGP4 addBotsMenuInfo+612+48
ADDRGP4 UI_AddBotsMenu_DownEvent
ASGNP4
line 356
;356:	addBotsMenuInfo.down.width  					= 16;
ADDRGP4 addBotsMenuInfo+612+92
CNSTI4 16
ASGNI4
line 357
;357:	addBotsMenuInfo.down.height  					= 16;
ADDRGP4 addBotsMenuInfo+612+96
CNSTI4 16
ASGNI4
line 358
;358:	addBotsMenuInfo.down.color  					= CT_DKGOLD1;
ADDRGP4 addBotsMenuInfo+612+104
CNSTI4 31
ASGNI4
line 359
;359:	addBotsMenuInfo.down.color2  					= CT_LTGOLD1;
ADDRGP4 addBotsMenuInfo+612+108
CNSTI4 30
ASGNI4
line 360
;360:	addBotsMenuInfo.down.generic.name				= "menu/common/arrow_dn_16.tga";
ADDRGP4 addBotsMenuInfo+612+4
ADDRGP4 $239
ASGNP4
line 362
;361:
;362:	for( n = 0, y = 194; n < count; n++, y += 20 ) 
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRLP4 4
CNSTI4 194
ASGNI4
ADDRGP4 $243
JUMPV
LABELV $240
line 363
;363:	{
line 364
;364:		addBotsMenuInfo.bots[n].generic.type		= MTYPE_PTEXT;
CNSTI4 116
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 addBotsMenuInfo+756
ADDP4
CNSTI4 9
ASGNI4
line 365
;365:		addBotsMenuInfo.bots[n].generic.flags		= QMF_HIGHLIGHT_IF_FOCUS;
CNSTI4 116
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 addBotsMenuInfo+756+44
ADDP4
CNSTU4 128
ASGNU4
line 366
;366:		addBotsMenuInfo.bots[n].generic.id			= ID_BOTNAME0 + n;
CNSTI4 116
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 addBotsMenuInfo+756+8
ADDP4
ADDRLP4 0
INDIRI4
CNSTI4 20
ADDI4
ASGNI4
line 367
;367:		addBotsMenuInfo.bots[n].generic.x			= 108;
CNSTI4 116
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 addBotsMenuInfo+756+12
ADDP4
CNSTI4 108
ASGNI4
line 368
;368:		addBotsMenuInfo.bots[n].generic.y			= y;
CNSTI4 116
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 addBotsMenuInfo+756+16
ADDP4
ADDRLP4 4
INDIRI4
ASGNI4
line 369
;369:		addBotsMenuInfo.bots[n].generic.callback	= UI_AddBotsMenu_BotEvent;
CNSTI4 116
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 addBotsMenuInfo+756+48
ADDP4
ADDRGP4 UI_AddBotsMenu_BotEvent
ASGNP4
line 370
;370:		addBotsMenuInfo.bots[n].string				= addBotsMenuInfo.botnames[n];
CNSTI4 116
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 addBotsMenuInfo+756+60
ADDP4
ADDRLP4 0
INDIRI4
CNSTI4 5
LSHI4
ADDRGP4 addBotsMenuInfo+6900
ADDP4
ASGNP4
line 371
;371:		addBotsMenuInfo.bots[n].color				= colorTable[CT_DKGOLD1];
CNSTI4 116
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 addBotsMenuInfo+756+92
ADDP4
ADDRGP4 colorTable+496
ASGNP4
line 372
;372:		addBotsMenuInfo.bots[n].color2				= colorTable[CT_LTGOLD1];
CNSTI4 116
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 addBotsMenuInfo+756+96
ADDP4
ADDRGP4 colorTable+480
ASGNP4
line 373
;373:		addBotsMenuInfo.bots[n].style				= UI_LEFT|UI_SMALLFONT;
CNSTI4 116
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 addBotsMenuInfo+756+88
ADDP4
CNSTI4 16
ASGNI4
line 374
;374:	}
LABELV $241
line 362
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 20
ADDI4
ASGNI4
LABELV $243
ADDRLP4 0
INDIRI4
ADDRLP4 8
INDIRI4
LTI4 $240
line 376
;375:
;376:	y = 204;
ADDRLP4 4
CNSTI4 204
ASGNI4
line 377
;377:	x = 348;
ADDRLP4 12
CNSTI4 348
ASGNI4
line 380
;378:
;379://team button
;380:	UI_InitSpinControl(&addBotsMenuInfo.team);
ADDRGP4 addBotsMenuInfo+2188
ARGP4
ADDRGP4 UI_InitSpinControl
CALLV
pop
line 381
;381:	addBotsMenuInfo.team.generic.x					= x;
ADDRGP4 addBotsMenuInfo+2188+12
ADDRLP4 12
INDIRI4
ASGNI4
line 382
;382:	addBotsMenuInfo.team.generic.y					= y;
ADDRGP4 addBotsMenuInfo+2188+16
ADDRLP4 4
INDIRI4
ASGNI4
line 383
;383:	addBotsMenuInfo.team.textEnum					= MBT_TEAM;
ADDRGP4 addBotsMenuInfo+2188+112
CNSTI4 167
ASGNI4
line 384
;384:	addBotsMenuInfo.team.generic.id					= ID_TEAM;
ADDRGP4 addBotsMenuInfo+2188+8
CNSTI4 16
ASGNI4
line 385
;385:	if( gametype >= GT_TEAM ) 
ADDRLP4 1040
INDIRI4
CNSTI4 3
LTI4 $275
line 386
;386:	{
line 387
;387:		addBotsMenuInfo.team.listnames			= teamNames2;
ADDRGP4 addBotsMenuInfo+2188+80
ADDRGP4 teamNames2
ASGNP4
line 388
;388:	}
ADDRGP4 $276
JUMPV
LABELV $275
line 390
;389:	else 
;390:	{
line 391
;391:		addBotsMenuInfo.team.listnames			= teamNames1;
ADDRGP4 addBotsMenuInfo+2188+80
ADDRGP4 teamNames1
ASGNP4
line 392
;392:		addBotsMenuInfo.team.generic.flags		= QMF_GRAYED;
ADDRGP4 addBotsMenuInfo+2188+44
CNSTU4 8192
ASGNU4
line 393
;393:	}
LABELV $276
line 397
;394:
;395://MCG ADDED:
;396://class button
;397:	y += SMALLCHAR_HEIGHT + 8;
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 24
ADDI4
ASGNI4
line 398
;398:	UI_InitSpinControl(&addBotsMenuInfo.pclass);
ADDRGP4 addBotsMenuInfo+2344
ARGP4
ADDRGP4 UI_InitSpinControl
CALLV
pop
line 399
;399:	addBotsMenuInfo.pclass.generic.x				= x;
ADDRGP4 addBotsMenuInfo+2344+12
ADDRLP4 12
INDIRI4
ASGNI4
line 400
;400:	addBotsMenuInfo.pclass.generic.y				= y;
ADDRGP4 addBotsMenuInfo+2344+16
ADDRLP4 4
INDIRI4
ASGNI4
line 401
;401:	addBotsMenuInfo.pclass.textEnum					= MBT_PLAYERCLASS;
ADDRGP4 addBotsMenuInfo+2344+112
CNSTI4 261
ASGNI4
line 402
;402:	addBotsMenuInfo.pclass.generic.id				= ID_PCLASS;
ADDRGP4 addBotsMenuInfo+2344+8
CNSTI4 27
ASGNI4
line 403
;403:	if ( specialties )
ADDRLP4 1044
INDIRI4
CNSTI4 0
EQI4 $292
line 404
;404:	{
line 405
;405:		addBotsMenuInfo.pclass.listnames			= pClassNames;
ADDRGP4 addBotsMenuInfo+2344+80
ADDRGP4 pClassNames
ASGNP4
line 406
;406:	}
ADDRGP4 $293
JUMPV
LABELV $292
line 408
;407:	else
;408:	{
line 409
;409:		addBotsMenuInfo.pclass.listnames			= pClassNames2;
ADDRGP4 addBotsMenuInfo+2344+80
ADDRGP4 pClassNames2
ASGNP4
line 410
;410:		addBotsMenuInfo.pclass.generic.flags			= QMF_GRAYED;
ADDRGP4 addBotsMenuInfo+2344+44
CNSTU4 8192
ASGNU4
line 411
;411:	}
LABELV $293
line 415
;412://MCG END
;413:
;414://skill button
;415:	y += SMALLCHAR_HEIGHT + 8;
ADDRLP4 4
ADDRLP4 4
INDIRI4
CNSTI4 24
ADDI4
ASGNI4
line 416
;416:	UI_InitSpinControl(&addBotsMenuInfo.skill);
ADDRGP4 addBotsMenuInfo+2032
ARGP4
ADDRGP4 UI_InitSpinControl
CALLV
pop
line 417
;417:	addBotsMenuInfo.skill.generic.x					= x;
ADDRGP4 addBotsMenuInfo+2032+12
ADDRLP4 12
INDIRI4
ASGNI4
line 418
;418:	addBotsMenuInfo.skill.generic.y					= y;
ADDRGP4 addBotsMenuInfo+2032+16
ADDRLP4 4
INDIRI4
ASGNI4
line 419
;419:	addBotsMenuInfo.skill.generic.id				= ID_SKILL;
ADDRGP4 addBotsMenuInfo+2032+8
CNSTI4 15
ASGNI4
line 420
;420:	addBotsMenuInfo.skill.curvalue					= Com_Clamp( 0, 4, (int)trap_Cvar_VariableValue( "g_spSkill" ) - 1 );
ADDRGP4 $309
ARGP4
ADDRLP4 1072
ADDRGP4 trap_Cvar_VariableValue
CALLF4
ASGNF4
CNSTF4 0
ARGF4
CNSTF4 1082130432
ARGF4
ADDRLP4 1072
INDIRF4
CVFI4 4
CNSTI4 1
SUBI4
CVIF4 4
ARGF4
ADDRLP4 1076
ADDRGP4 Com_Clamp
CALLF4
ASGNF4
ADDRGP4 addBotsMenuInfo+2032+64
ADDRLP4 1076
INDIRF4
CVFI4 4
ASGNI4
line 421
;421:	addBotsMenuInfo.skill.textEnum					= MBT_SKILL;
ADDRGP4 addBotsMenuInfo+2032+112
CNSTI4 168
ASGNI4
line 423
;422:	//addBotsMenuInfo.skill.generic.id				= ID_TEAM;
;423:	addBotsMenuInfo.skill.listnames					= skillNames;
ADDRGP4 addBotsMenuInfo+2032+80
ADDRGP4 skillNames
ASGNP4
line 425
;424://go button
;425:	addBotsMenuInfo.go.generic.type				= MTYPE_BITMAP;
ADDRGP4 addBotsMenuInfo+2500
CNSTI4 6
ASGNI4
line 426
;426:	addBotsMenuInfo.go.generic.name				= GRAPHIC_SQUARE;
ADDRGP4 addBotsMenuInfo+2500+4
ADDRGP4 $317
ASGNP4
line 427
;427:	addBotsMenuInfo.go.generic.flags			= QMF_HIGHLIGHT_IF_FOCUS;
ADDRGP4 addBotsMenuInfo+2500+44
CNSTU4 128
ASGNU4
line 428
;428:	addBotsMenuInfo.go.generic.id				= ID_GO;
ADDRGP4 addBotsMenuInfo+2500+8
CNSTI4 11
ASGNI4
line 429
;429:	addBotsMenuInfo.go.generic.callback			= UI_AddBotsMenu_FightEvent;
ADDRGP4 addBotsMenuInfo+2500+48
ADDRGP4 UI_AddBotsMenu_FightEvent
ASGNP4
line 430
;430:	addBotsMenuInfo.go.generic.x				= 356;
ADDRGP4 addBotsMenuInfo+2500+12
CNSTI4 356
ASGNI4
line 431
;431:	addBotsMenuInfo.go.generic.y				= 342;
ADDRGP4 addBotsMenuInfo+2500+16
CNSTI4 342
ASGNI4
line 432
;432:	addBotsMenuInfo.go.width  					= MENU_BUTTON_MED_WIDTH;
ADDRGP4 addBotsMenuInfo+2500+92
CNSTI4 130
ASGNI4
line 433
;433:	addBotsMenuInfo.go.height  					= MENU_BUTTON_MED_HEIGHT * 2;
ADDRGP4 addBotsMenuInfo+2500+96
CNSTI4 36
ASGNI4
line 434
;434:	addBotsMenuInfo.go.color					= CT_DKPURPLE1;
ADDRGP4 addBotsMenuInfo+2500+104
CNSTI4 35
ASGNI4
line 435
;435:	addBotsMenuInfo.go.color2					= CT_LTPURPLE1;
ADDRGP4 addBotsMenuInfo+2500+108
CNSTI4 34
ASGNI4
line 436
;436:	addBotsMenuInfo.go.textX					= MENU_BUTTON_TEXT_X;
ADDRGP4 addBotsMenuInfo+2500+124
CNSTI4 5
ASGNI4
line 437
;437:	addBotsMenuInfo.go.textY					= MENU_BUTTON_TEXT_Y;
ADDRGP4 addBotsMenuInfo+2500+128
CNSTI4 1
ASGNI4
line 438
;438:	addBotsMenuInfo.go.textEnum					= MBT_ACCEPT;
ADDRGP4 addBotsMenuInfo+2500+116
CNSTI4 166
ASGNI4
line 439
;439:	addBotsMenuInfo.go.textcolor				= CT_BLACK;
ADDRGP4 addBotsMenuInfo+2500+132
CNSTI4 1
ASGNI4
line 440
;440:	addBotsMenuInfo.go.textcolor2				= CT_WHITE;
ADDRGP4 addBotsMenuInfo+2500+136
CNSTI4 8
ASGNI4
line 442
;441://back button
;442:	addBotsMenuInfo.back.generic.type			= MTYPE_BITMAP;
ADDRGP4 addBotsMenuInfo+2644
CNSTI4 6
ASGNI4
line 443
;443:	addBotsMenuInfo.back.generic.name			= BUTTON_GRAPHIC_LONGRIGHT;
ADDRGP4 addBotsMenuInfo+2644+4
ADDRGP4 $349
ASGNP4
line 444
;444:	addBotsMenuInfo.back.generic.flags			= QMF_HIGHLIGHT_IF_FOCUS;
ADDRGP4 addBotsMenuInfo+2644+44
CNSTU4 128
ASGNU4
line 445
;445:	addBotsMenuInfo.back.generic.id				= ID_BACK;
ADDRGP4 addBotsMenuInfo+2644+8
CNSTI4 10
ASGNI4
line 446
;446:	addBotsMenuInfo.back.generic.callback		= UI_AddBotsMenu_BackEvent;
ADDRGP4 addBotsMenuInfo+2644+48
ADDRGP4 UI_AddBotsMenu_BackEvent
ASGNP4
line 447
;447:	addBotsMenuInfo.back.generic.x				= 482;
ADDRGP4 addBotsMenuInfo+2644+12
CNSTI4 482
ASGNI4
line 448
;448:	addBotsMenuInfo.back.generic.y				= 136;
ADDRGP4 addBotsMenuInfo+2644+16
CNSTI4 136
ASGNI4
line 449
;449:	addBotsMenuInfo.back.width  				= MENU_BUTTON_MED_WIDTH;
ADDRGP4 addBotsMenuInfo+2644+92
CNSTI4 130
ASGNI4
line 450
;450:	addBotsMenuInfo.back.height  				= MENU_BUTTON_MED_HEIGHT;
ADDRGP4 addBotsMenuInfo+2644+96
CNSTI4 18
ASGNI4
line 451
;451:	addBotsMenuInfo.back.color					= CT_DKPURPLE1;
ADDRGP4 addBotsMenuInfo+2644+104
CNSTI4 35
ASGNI4
line 452
;452:	addBotsMenuInfo.back.color2					= CT_LTPURPLE1;
ADDRGP4 addBotsMenuInfo+2644+108
CNSTI4 34
ASGNI4
line 453
;453:	addBotsMenuInfo.back.textX					= MENU_BUTTON_TEXT_X;
ADDRGP4 addBotsMenuInfo+2644+124
CNSTI4 5
ASGNI4
line 454
;454:	addBotsMenuInfo.back.textY					= MENU_BUTTON_TEXT_Y;
ADDRGP4 addBotsMenuInfo+2644+128
CNSTI4 1
ASGNI4
line 455
;455:	addBotsMenuInfo.back.textEnum				= MBT_INGAMEMENU;
ADDRGP4 addBotsMenuInfo+2644+116
CNSTI4 110
ASGNI4
line 456
;456:	addBotsMenuInfo.back.textcolor				= CT_BLACK;
ADDRGP4 addBotsMenuInfo+2644+132
CNSTI4 1
ASGNI4
line 457
;457:	addBotsMenuInfo.back.textcolor2				= CT_WHITE;
ADDRGP4 addBotsMenuInfo+2644+136
CNSTI4 8
ASGNI4
line 460
;458:
;459:
;460:	addBotsMenuInfo.baseBotNum = 0;
ADDRGP4 addBotsMenuInfo+2796
CNSTI4 0
ASGNI4
line 461
;461:	addBotsMenuInfo.selectedBotNum = 0;
ADDRGP4 addBotsMenuInfo+2800
CNSTI4 0
ASGNI4
line 464
;462://	addBotsMenuInfo.bots[0].color = color_white;
;463:
;464:	UI_AddBotsMenu_GetSortedBotNums();
ADDRGP4 UI_AddBotsMenu_GetSortedBotNums
CALLV
pop
line 465
;465:	UI_AddBotsMenu_SetBotNames();
ADDRGP4 UI_AddBotsMenu_SetBotNames
CALLV
pop
line 467
;466:
;467:	Menu_AddItem( &addBotsMenuInfo.menu, &addBotsMenuInfo.up );
ADDRGP4 addBotsMenuInfo
ARGP4
ADDRGP4 addBotsMenuInfo+468
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 468
;468:	Menu_AddItem( &addBotsMenuInfo.menu, &addBotsMenuInfo.down );
ADDRGP4 addBotsMenuInfo
ARGP4
ADDRGP4 addBotsMenuInfo+612
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 469
;469:	for( n = 0; n < count; n++ ) 
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $385
JUMPV
LABELV $382
line 470
;470:	{
line 471
;471:		Menu_AddItem( &addBotsMenuInfo.menu, &addBotsMenuInfo.bots[n] );
ADDRGP4 addBotsMenuInfo
ARGP4
CNSTI4 116
ADDRLP4 0
INDIRI4
MULI4
ADDRGP4 addBotsMenuInfo+756
ADDP4
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 472
;472:	}
LABELV $383
line 469
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $385
ADDRLP4 0
INDIRI4
ADDRLP4 8
INDIRI4
LTI4 $382
line 473
;473:	Menu_AddItem( &addBotsMenuInfo.menu, &addBotsMenuInfo.skill );
ADDRGP4 addBotsMenuInfo
ARGP4
ADDRGP4 addBotsMenuInfo+2032
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 474
;474:	Menu_AddItem( &addBotsMenuInfo.menu, &addBotsMenuInfo.team );
ADDRGP4 addBotsMenuInfo
ARGP4
ADDRGP4 addBotsMenuInfo+2188
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 475
;475:	Menu_AddItem( &addBotsMenuInfo.menu, &addBotsMenuInfo.pclass );
ADDRGP4 addBotsMenuInfo
ARGP4
ADDRGP4 addBotsMenuInfo+2344
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 476
;476:	Menu_AddItem( &addBotsMenuInfo.menu, &addBotsMenuInfo.go );
ADDRGP4 addBotsMenuInfo
ARGP4
ADDRGP4 addBotsMenuInfo+2500
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 477
;477:	Menu_AddItem( &addBotsMenuInfo.menu, &addBotsMenuInfo.back );
ADDRGP4 addBotsMenuInfo
ARGP4
ADDRGP4 addBotsMenuInfo+2644
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 478
;478:}
LABELV $177
endproc UI_AddBotsMenu_Init 1080 12
export UI_AddBots_Cache
proc UI_AddBots_Cache 0 4
line 487
;479:
;480:
;481:/*
;482:=================
;483:UI_AddBots_Cache
;484:=================
;485:*/
;486:void UI_AddBots_Cache( void ) 
;487:{
line 488
;488:	trap_R_RegisterShaderNoMip( "menu/common/arrow_up_16.tga" );
ADDRGP4 $217
ARGP4
ADDRGP4 trap_R_RegisterShaderNoMip
CALLI4
pop
line 489
;489:	trap_R_RegisterShaderNoMip( "menu/common/arrow_dn_16.tga" );
ADDRGP4 $239
ARGP4
ADDRGP4 trap_R_RegisterShaderNoMip
CALLI4
pop
line 490
;490:}
LABELV $392
endproc UI_AddBots_Cache 0 4
export UI_AddBotsMenu
proc UI_AddBotsMenu 0 4
line 499
;491:
;492:
;493:/*
;494:=================
;495:UI_AddBotsMenu
;496:=================
;497:*/
;498:void UI_AddBotsMenu( void ) 
;499:{
line 500
;500:	UI_AddBotsMenu_Init();
ADDRGP4 UI_AddBotsMenu_Init
CALLV
pop
line 501
;501:	UI_PushMenu( &addBotsMenuInfo.menu );
ADDRGP4 addBotsMenuInfo
ARGP4
ADDRGP4 UI_PushMenu
CALLV
pop
line 502
;502:}
LABELV $393
endproc UI_AddBotsMenu 0 4
bss
align 4
LABELV addBotsMenuInfo
skip 7252
import JoyYButtonCallback
import JoyXButtonCallback
import AnisotropicFilteringCallback
import SmoothMouseCallback
import MouseSpeedCallback
import InvertMouseCallback
import UI_PrintMenuGraphics
import UI_MenuBottomLineEnd_Graphics
import UI_InitGameinfo
import UI_GetAwardLevel
import UI_LogAwardData
import UI_NewGame
import UI_GetCurrentGame
import UI_CanShowTierVideo
import UI_ShowTierVideo
import UI_TierCompleted
import UI_SetBestScore
import UI_GetBestScore
import UI_GetNumBots
import UI_GetBotInfoByName
import UI_GetBotInfoByNumber
import UI_ServerAdvancedOptions
import UI_GetNumSPTiers
import UI_GetNumSPArenas
import UI_GetNumArenas
import UI_GetSpecialArenaInfo
import UI_GetArenaInfoByMap
import UI_GetArenaInfoByNumber
import UI_NetworkOptionsMenu
import UI_NetworkOptionsMenu_Cache
import ScreensizeCallback
import GammaCallback
import UI_FontsMenu
import UI_SoundMenu_Cache
import UI_SoundMenu
import setup_menubuttons
import UI_DisplayOptionsMenu
import UI_TeamOrdersMenu_Cache
import UI_TeamOrdersMenu_f
import UI_TeamOrdersMenu
import UI_RemoveBotsMenu
import UI_RemoveBots_Cache
import trap_R_ModelBounds
import trap_SetCDKey
import trap_MemoryRemaining
import trap_LAN_GetPingInfo
import trap_LAN_GetPing
import trap_LAN_ClearPing
import trap_LAN_GetPingQueueCount
import trap_LAN_GetGlobalServerAddressString
import trap_LAN_GetGlobalServerCount
import trap_LAN_GetLocalServerAddressString
import trap_LAN_GetLocalServerCount
import trap_GetConfigString
import trap_GetGlconfig
import trap_GetClientState
import trap_GetClipboardData
import trap_Key_SetCatcher
import trap_Key_GetCatcher
import trap_Key_ClearStates
import trap_Key_SetOverstrikeMode
import trap_Key_GetOverstrikeMode
import trap_Key_IsDown
import trap_Key_SetBinding
import trap_Key_GetBindingBuf
import trap_Key_KeynumToStringBuf
import trap_S_RegisterSound
import trap_S_StartLocalSound
import trap_CM_LerpTag
import trap_UpdateScreen
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_RenderScene
import trap_R_AddLightToScene
import trap_R_AddPolyToScene
import trap_R_AddRefEntityToScene
import trap_R_ClearScene
import trap_R_RegisterShaderNoMip
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_FS_GetFileList
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Cmd_ExecuteText
import trap_Argv
import trap_Argc
import trap_Cvar_InfoStringBuffer
import trap_Cvar_Create
import trap_Cvar_Reset
import trap_Cvar_SetValue
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import UI_SPSkillMenu_Cache
import UI_SPSkillMenu
import UI_SPPostgameMenu_f
import UI_SPPostgameMenu_Cache
import UI_SPArena_Start
import UI_ResetGameMenu_Cache
import UI_SPLevelMenu_ReInit
import UI_SPLevelMenu_f
import UI_SPLevelMenu
import UI_SPLevelMenu_Cache
import uis
import m_entersound
import UI_MenuFrame2
import UI_MenuFrame
import UI_PrecacheMenuGraphics
import UI_Cvar_VariableString
import UI_Argv
import UI_ForceMenuOff
import UI_PopMenu
import UI_PushMenu
import UI_SetActiveMenu
import UI_IsFullscreen
import UI_AdjustFrom640
import UI_CursorInRect
import UI_DrawChar
import UI_DrawString
import UI_ProportionalStringWidth
import UI_DrawProportionalString
import UI_ProportionalSizeScale
import UI_DrawBannerString
import UI_DrawRect
import UI_FillRect
import UI_DrawHandlePic
import UI_DrawNamedPic
import UI_ClampCvar
import UI_ConsoleCommand
import UI_Refresh
import UI_MouseEvent
import UI_KeyEvent
import UI_Shutdown
import UI_Init
import UI_InitSpinControl
import UI_LoadButtonText
import UI_LoadMenuText
import UI_RegisterClientModelname
import UI_PlayerInfo_SetInfo
import UI_PlayerInfo_SetModel
import UI_DrawPlayer
import UI_VideoDriverMenu_Cache
import UI_VideoData2Menu_Cache
import UI_VideoDataMenu_Cache
import UI_VideoDataMenu
import DriverInfo_Cache
import ServerInfo_Cache
import UI_ServerInfoMenu
import UI_BotSelectMenu_Cache
import UI_BotSelectMenu
import ServerOptions_Cache
import StartServer_Cache
import UI_StartServerMenu
import UI_ChooseServerTypeMenu_Cache
import ArenaServers_Cache
import UI_ArenaServersMenu
import SpecifyServer_Cache
import UI_SpecifyServerMenu
import s_voicelanguage_Names
import s_textlanguage_Names
import UI_GameOptionsMenu_Cache
import UI_GameOptionsMenu
import PlayerSettings_Cache
import UI_PlayerSettingsMenu
import PlayerModel_Cache
import UI_PlayerModelMenu
import UI_CDKeyMenu2
import UI_CDKeyMenu_f
import UI_CDKeyMenu_Cache
import UI_CDKeyMenu
import UI_ModsMenu_Cache
import UI_ModsMenu
import UI_DemosMenu
import SetupMenu_TopButtons
import UI_ControlsMouseJoyStickMenu_Cache
import Controls_Cache
import UI_DrawConnectScreen
import TeamMain_Cache
import UI_TeamMainMenu
import UI_ConfirmMenu
import ConfirmMenu_Cache
import UI_BotCommandMenu_f
import UI_DynamicMenu
import UI_DynamicMenuCache
import UI_InGameMenu
import InGame_Cache
import ingameFlag
import UI_DemosMenu_Cache
import UI_QuitMenu_Cache
import UI_ChooseServerTypeMenu
import UI_QuitMenu
import UI_Setup_MenuButtons
import UI_UpdateCvars
import UI_RegisterCvars
import UI_MainMenu
import MainMenu_Cache
import MenuField_Key
import MenuField_Draw
import MenuField_Init
import MField_Draw
import MField_CharEvent
import MField_KeyDownEvent
import MField_Clear
import ui_medalSounds
import ui_medalPicNames
import ui_medalNames
import text_color_highlight
import text_color_normal
import text_color_disabled
import listbar_color
import list_color
import name_color
import color_dim
import color_red
import color_orange
import color_blue
import color_yellow
import color_white
import menu_dim_color
import menu_black_color
import menu_red_color
import menu_highlight_color
import menu_dark_color
import menu_grayed_color
import menu_text_color
import menu_null_sound
import menu_buzz_sound
import menu_out_sound
import menu_move_sound
import menu_in_sound
import ScrollList_Key
import ScrollList_Draw
import Bitmap_Draw
import Bitmap_Init
import Menu_DefaultKey
import Menu_SetCursorToItem
import Menu_SetCursor
import Menu_ActivateItem
import Menu_ItemAtCursor
import Menu_Draw
import Menu_AdjustCursor
import Menu_AddItem
import Menu_Focus
import Menu_Cache
import UI_HolomatchInMenu_Cache
import Mouse_Show
import Mouse_Hide
import ui_playerclass
import ui_cdkeychecked2
import ui_cdkeychecked
import ui_server16
import ui_server15
import ui_server14
import ui_server13
import ui_server12
import ui_server11
import ui_server10
import ui_server9
import ui_server8
import ui_server7
import ui_server6
import ui_server5
import ui_server4
import ui_server3
import ui_server2
import ui_server1
import ui_marks
import ui_drawCrosshairNames
import ui_drawCrosshair
import ui_brassTime
import ui_browserShowEmpty
import ui_browserShowFull
import ui_browserSortKey
import ui_browserGameType
import ui_browserMaster
import ui_spSelection
import ui_team_race_red
import ui_team_race_blue
import ui_dowarmup
import ui_warmup
import ui_respawnGhostTime
import ui_forcerespawn
import ui_holoIntro
import ui_adaptRespawn
import ui_dmgmult
import ui_knockback
import ui_gravity
import ui_speed
import ui_weaponrespawn
import ui_spSkill
import ui_spVideos
import ui_spAwards
import ui_spScores5
import ui_spScores4
import ui_spScores3
import ui_spScores2
import ui_spScores1
import ui_botminplayers
import ui_botsFile
import ui_arenasFile
import ui_ctf_friendly
import ui_ctf_timelimit
import ui_ctf_capturelimit
import ui_team_friendly
import ui_team_timelimit
import ui_team_fraglimit
import ui_tourney_timelimit
import ui_tourney_fraglimit
import ui_ffa_timelimit
import ui_ffa_fraglimit
import menu_button_text
import menu_normal_text
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $349
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 98
byte 1 97
byte 1 114
byte 1 49
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $317
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 115
byte 1 113
byte 1 117
byte 1 97
byte 1 114
byte 1 101
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $309
byte 1 103
byte 1 95
byte 1 115
byte 1 112
byte 1 83
byte 1 107
byte 1 105
byte 1 108
byte 1 108
byte 1 0
align 1
LABELV $239
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 97
byte 1 114
byte 1 114
byte 1 111
byte 1 119
byte 1 95
byte 1 100
byte 1 110
byte 1 95
byte 1 49
byte 1 54
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $217
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 97
byte 1 114
byte 1 114
byte 1 111
byte 1 119
byte 1 95
byte 1 117
byte 1 112
byte 1 95
byte 1 49
byte 1 54
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $179
byte 1 103
byte 1 95
byte 1 112
byte 1 77
byte 1 111
byte 1 100
byte 1 83
byte 1 112
byte 1 101
byte 1 99
byte 1 105
byte 1 97
byte 1 108
byte 1 116
byte 1 105
byte 1 101
byte 1 115
byte 1 0
align 1
LABELV $178
byte 1 103
byte 1 95
byte 1 103
byte 1 97
byte 1 109
byte 1 101
byte 1 116
byte 1 121
byte 1 112
byte 1 101
byte 1 0
align 1
LABELV $172
byte 1 97
byte 1 100
byte 1 100
byte 1 98
byte 1 111
byte 1 116
byte 1 32
byte 1 37
byte 1 115
byte 1 32
byte 1 37
byte 1 105
byte 1 32
byte 1 37
byte 1 115
byte 1 32
byte 1 37
byte 1 115
byte 1 32
byte 1 37
byte 1 105
byte 1 10
byte 1 0
align 1
LABELV $150
byte 1 110
byte 1 111
byte 1 99
byte 1 108
byte 1 97
byte 1 115
byte 1 115
byte 1 0
align 1
LABELV $149
byte 1 116
byte 1 101
byte 1 99
byte 1 104
byte 1 0
align 1
LABELV $148
byte 1 109
byte 1 101
byte 1 100
byte 1 105
byte 1 99
byte 1 0
align 1
LABELV $147
byte 1 100
byte 1 101
byte 1 109
byte 1 111
byte 1 0
align 1
LABELV $146
byte 1 104
byte 1 101
byte 1 97
byte 1 118
byte 1 121
byte 1 0
align 1
LABELV $145
byte 1 115
byte 1 110
byte 1 105
byte 1 112
byte 1 101
byte 1 114
byte 1 0
align 1
LABELV $144
byte 1 105
byte 1 110
byte 1 102
byte 1 105
byte 1 108
byte 1 116
byte 1 114
byte 1 97
byte 1 116
byte 1 111
byte 1 114
byte 1 0
align 1
LABELV $143
byte 1 98
byte 1 108
byte 1 117
byte 1 101
byte 1 0
align 1
LABELV $142
byte 1 114
byte 1 101
byte 1 100
byte 1 0
align 1
LABELV $141
byte 1 102
byte 1 114
byte 1 101
byte 1 101
byte 1 0
align 1
LABELV $98
byte 1 110
byte 1 97
byte 1 109
byte 1 101
byte 1 0
