code
proc ConfirmMenu_Event 4 4
file "../ui_confirm.c"
line 42
;1:// Copyright (C) 1999-2000 Id Software, Inc.
;2://
;3:/*
;4:=======================================================================
;5:
;6:CONFIRMATION MENU
;7:
;8:=======================================================================
;9:*/
;10:
;11:
;12:#include "ui_local.h"
;13:
;14:
;15:#define ID_CONFIRM_NO		10
;16:#define ID_CONFIRM_YES		11
;17:
;18:
;19:typedef struct 
;20:{
;21:	menuframework_s menu;
;22:
;23:	menubitmap_s	no;
;24:	menubitmap_s	yes;
;25:
;26:	const char *	question;
;27:	void			(*draw)( void );
;28:	void			(*action)( qboolean result );
;29:	qhandle_t		cornerPic;
;30:} confirmMenu_t;
;31:
;32:
;33:static confirmMenu_t	s_confirm;
;34:
;35:
;36:/*
;37:=================
;38:ConfirmMenu_Event
;39:=================
;40:*/
;41:static void ConfirmMenu_Event( void* ptr, int event ) 
;42:{
line 45
;43:	qboolean	result;
;44:
;45:	if( event != QM_ACTIVATED ) 
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $76
line 46
;46:	{
line 47
;47:		return;
ADDRGP4 $75
JUMPV
LABELV $76
line 50
;48:	}
;49:
;50:	UI_PopMenu();
ADDRGP4 UI_PopMenu
CALLV
pop
line 52
;51:
;52:	if( ((menucommon_s*)ptr)->id == ID_CONFIRM_NO ) 
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
CNSTI4 10
NEI4 $78
line 53
;53:	{
line 54
;54:		result = qfalse;
ADDRLP4 0
CNSTI4 0
ASGNI4
line 55
;55:	}
ADDRGP4 $79
JUMPV
LABELV $78
line 57
;56:	else 
;57:	{
line 58
;58:		result = qtrue;
ADDRLP4 0
CNSTI4 1
ASGNI4
line 59
;59:	}
LABELV $79
line 61
;60:
;61:	if( s_confirm.action ) 
ADDRGP4 s_confirm+620
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $80
line 62
;62:	{
line 63
;63:		s_confirm.action( result );
ADDRLP4 0
INDIRI4
ARGI4
ADDRGP4 s_confirm+620
INDIRP4
CALLV
pop
line 64
;64:	}
LABELV $80
line 65
;65:}
LABELV $75
endproc ConfirmMenu_Event 4 4
proc ConfirmMenu_Key 32 8
line 74
;66:
;67:
;68:/*
;69:=================
;70:ConfirmMenu_Key
;71:=================
;72:*/
;73:static sfxHandle_t ConfirmMenu_Key( int key ) 
;74:{
line 75
;75:	switch ( key ) 
ADDRLP4 0
ADDRFP4 0
INDIRI4
ASGNI4
ADDRLP4 4
CNSTI4 110
ASGNI4
ADDRLP4 0
INDIRI4
ADDRLP4 4
INDIRI4
EQI4 $88
ADDRLP4 0
INDIRI4
ADDRLP4 4
INDIRI4
GTI4 $93
LABELV $92
ADDRLP4 8
ADDRFP4 0
INDIRI4
ASGNI4
ADDRLP4 12
CNSTI4 78
ASGNI4
ADDRLP4 8
INDIRI4
ADDRLP4 12
INDIRI4
EQI4 $88
ADDRLP4 8
INDIRI4
ADDRLP4 12
INDIRI4
LTI4 $85
LABELV $94
ADDRFP4 0
INDIRI4
CNSTI4 89
EQI4 $90
ADDRGP4 $85
JUMPV
LABELV $93
ADDRLP4 16
ADDRFP4 0
INDIRI4
ASGNI4
ADDRLP4 16
INDIRI4
CNSTI4 134
EQI4 $87
ADDRLP4 20
CNSTI4 135
ASGNI4
ADDRLP4 16
INDIRI4
ADDRLP4 20
INDIRI4
EQI4 $87
ADDRLP4 16
INDIRI4
ADDRLP4 20
INDIRI4
GTI4 $96
LABELV $95
ADDRFP4 0
INDIRI4
CNSTI4 121
EQI4 $90
ADDRGP4 $85
JUMPV
LABELV $96
ADDRLP4 24
ADDRFP4 0
INDIRI4
ASGNI4
ADDRLP4 24
INDIRI4
CNSTI4 163
EQI4 $87
ADDRLP4 24
INDIRI4
CNSTI4 165
EQI4 $87
ADDRGP4 $85
JUMPV
line 76
;76:	{
LABELV $87
line 81
;77:	case K_KP_LEFTARROW:
;78:	case K_LEFTARROW:
;79:	case K_KP_RIGHTARROW:
;80:	case K_RIGHTARROW:
;81:		key = K_TAB;
ADDRFP4 0
CNSTI4 9
ASGNI4
line 82
;82:		break;
ADDRGP4 $86
JUMPV
LABELV $88
line 86
;83:
;84:	case 'n':
;85:	case 'N':
;86:		ConfirmMenu_Event( &s_confirm.no, QM_ACTIVATED );
ADDRGP4 s_confirm+324
ARGP4
CNSTI4 3
ARGI4
ADDRGP4 ConfirmMenu_Event
CALLV
pop
line 87
;87:		break;
ADDRGP4 $86
JUMPV
LABELV $90
line 91
;88:
;89:	case 'y':
;90:	case 'Y':
;91:		ConfirmMenu_Event( &s_confirm.yes, QM_ACTIVATED );
ADDRGP4 s_confirm+468
ARGP4
CNSTI4 3
ARGI4
ADDRGP4 ConfirmMenu_Event
CALLV
pop
line 92
;92:		break;
LABELV $85
LABELV $86
line 95
;93:	}
;94:
;95:	return Menu_DefaultKey( &s_confirm.menu, key );
ADDRGP4 s_confirm
ARGP4
ADDRFP4 0
INDIRI4
ARGI4
ADDRLP4 28
ADDRGP4 Menu_DefaultKey
CALLI4
ASGNI4
ADDRLP4 28
INDIRI4
RETI4
LABELV $84
endproc ConfirmMenu_Key 32 8
proc ConfirmMenu_Draw 0 20
line 105
;96:}
;97:
;98:
;99:/*
;100:=================
;101:ConfirmMenu_Draw
;102:=================
;103:*/
;104:static void ConfirmMenu_Draw( void ) 
;105:{
line 106
;106:	UI_MenuFrame(&s_confirm.menu);
ADDRGP4 s_confirm
ARGP4
ADDRGP4 UI_MenuFrame
CALLV
pop
line 109
;107:
;108:	// End of upper line
;109:	trap_R_SetColor( colorTable[CT_LTBROWN1]);
ADDRGP4 colorTable+416
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 110
;110:	UI_DrawHandlePic( 482, 136,  MENU_BUTTON_MED_WIDTH - 22, MENU_BUTTON_MED_HEIGHT, uis.whiteShader);
CNSTF4 1139867648
ARGF4
CNSTF4 1124597760
ARGF4
CNSTF4 1121452032
ARGF4
CNSTF4 1099956224
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 111
;111:	UI_DrawHandlePic( 460 + MENU_BUTTON_MED_WIDTH -6 , 136,  -19,  MENU_BUTTON_MED_HEIGHT, uis.graphicButtonLeftEnd);	//right
CNSTF4 1142030336
ARGF4
CNSTF4 1124597760
ARGF4
CNSTF4 3247964160
ARGF4
CNSTF4 1099956224
ARGF4
ADDRGP4 uis+5352
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 113
;112:
;113:	trap_R_SetColor( colorTable[CT_DKBLUE2]);
ADDRGP4 colorTable+368
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 114
;114:	UI_DrawHandlePic( 30,  203,  47,  186, uis.whiteShader);	// Left hand column
CNSTF4 1106247680
ARGF4
CNSTF4 1128988672
ARGF4
CNSTF4 1111228416
ARGF4
CNSTF4 1127874560
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 116
;115:
;116:	UI_DrawProportionalString(  74,  66, "286",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 66
ARGI4
ADDRGP4 $103
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 117
;117:	UI_DrawProportionalString(  74,  84, "386",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 84
ARGI4
ADDRGP4 $105
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 118
;118:	UI_DrawProportionalString(  74,  188, "486",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 188
ARGI4
ADDRGP4 $107
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 119
;119:	UI_DrawProportionalString(  74,  207, "8088",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 207
ARGI4
ADDRGP4 $109
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 120
;120:	UI_DrawProportionalString(  74,  395, "12799",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 395
ARGI4
ADDRGP4 $111
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 123
;121:
;122:
;123:	trap_R_SetColor( colorTable[CT_LTBLUE1]);
ADDRGP4 colorTable+288
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 124
;124:	UI_DrawHandlePic( 132, 142,  128,  -64, s_confirm.cornerPic);	// Top Left corner
CNSTF4 1124335616
ARGF4
CNSTF4 1124990976
ARGF4
CNSTF4 1124073472
ARGF4
CNSTF4 3263168512
ARGF4
ADDRGP4 s_confirm+624
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 125
;125:	UI_DrawHandlePic( 132, 352,  128,   64, s_confirm.cornerPic);	// Bottom Left corner
CNSTF4 1124335616
ARGF4
CNSTF4 1135607808
ARGF4
CNSTF4 1124073472
ARGF4
CNSTF4 1115684864
ARGF4
ADDRGP4 s_confirm+624
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 127
;126:
;127:	UI_DrawHandlePic( 429, 142, -128,  -64, s_confirm.cornerPic);	// Top Right corner
CNSTF4 1138130944
ARGF4
CNSTF4 1124990976
ARGF4
CNSTF4 3271557120
ARGF4
CNSTF4 3263168512
ARGF4
ADDRGP4 s_confirm+624
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 128
;128:	UI_DrawHandlePic( 429, 352, -128,   64, s_confirm.cornerPic);	// Bottom Right corner
CNSTF4 1138130944
ARGF4
CNSTF4 1135607808
ARGF4
CNSTF4 3271557120
ARGF4
CNSTF4 1115684864
ARGF4
ADDRGP4 s_confirm+624
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 130
;129:
;130:	UI_DrawHandlePic(145,175,  395, 18, uis.whiteShader);		// Top
CNSTF4 1125187584
ARGF4
CNSTF4 1127153664
ARGF4
CNSTF4 1137016832
ARGF4
CNSTF4 1099956224
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 131
;131:	UI_DrawHandlePic(132,193,  47, 175, uis.whiteShader);		// Left side
CNSTF4 1124335616
ARGF4
CNSTF4 1128333312
ARGF4
CNSTF4 1111228416
ARGF4
CNSTF4 1127153664
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 132
;132:	UI_DrawHandlePic(510,193,  47, 175, uis.whiteShader);		// Right side
CNSTF4 1140785152
ARGF4
CNSTF4 1128333312
ARGF4
CNSTF4 1111228416
ARGF4
CNSTF4 1127153664
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 133
;133:	UI_DrawHandlePic(147,365,  65, 18, uis.whiteShader);		// Bottom Left
CNSTF4 1125318656
ARGF4
CNSTF4 1136033792
ARGF4
CNSTF4 1115815936
ARGF4
CNSTF4 1099956224
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 134
;134:	UI_DrawHandlePic(477,365,  65, 18, uis.whiteShader);		// Bottom Right
CNSTF4 1139703808
ARGF4
CNSTF4 1136033792
ARGF4
CNSTF4 1115815936
ARGF4
CNSTF4 1099956224
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 137
;135:
;136:
;137:	UI_DrawProportionalString( 345, 269, s_confirm.question, UI_SMALLFONT | UI_CENTER, color_red );
CNSTI4 345
ARGI4
CNSTI4 269
ARGI4
ADDRGP4 s_confirm+612
INDIRP4
ARGP4
CNSTI4 17
ARGI4
ADDRGP4 color_red
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 138
;138:	Menu_Draw( &s_confirm.menu );
ADDRGP4 s_confirm
ARGP4
ADDRGP4 Menu_Draw
CALLV
pop
line 140
;139:
;140:	if( s_confirm.draw ) 
ADDRGP4 s_confirm+616
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $124
line 141
;141:	{
line 142
;142:		s_confirm.draw();
ADDRGP4 s_confirm+616
INDIRP4
CALLV
pop
line 143
;143:	}
LABELV $124
line 144
;144:}
LABELV $97
endproc ConfirmMenu_Draw 0 20
export ConfirmMenu_Cache
proc ConfirmMenu_Cache 4 4
line 153
;145:
;146:
;147:/*
;148:=================
;149:ConfirmMenu_Cache
;150:=================
;151:*/
;152:void ConfirmMenu_Cache( void ) 
;153:{
line 154
;154:	s_confirm.cornerPic = trap_R_RegisterShaderNoMip("menu/common/corner_ll_47_18.tga");
ADDRGP4 $130
ARGP4
ADDRLP4 0
ADDRGP4 trap_R_RegisterShaderNoMip
CALLI4
ASGNI4
ADDRGP4 s_confirm+624
ADDRLP4 0
INDIRI4
ASGNI4
line 155
;155:}
LABELV $128
endproc ConfirmMenu_Cache 4 4
bss
align 1
LABELV $132
skip 128
code
proc TranslateQuestion 36 12
line 157
;156:
;157:static const char* TranslateQuestion(const char *question) {
line 160
;158:	static char translatedQuestion[128];
;159:
;160:	if (!strcmp(question, "Unpure client detected. Invalid .PK3 files referenced!")) {
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $135
ARGP4
ADDRLP4 0
ADDRGP4 strcmp
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 0
NEI4 $133
line 161
;161:		return menu_normal_text[MNT_UNPURECLIENT];
ADDRGP4 menu_normal_text+1640
INDIRP4
RETP4
ADDRGP4 $131
JUMPV
LABELV $133
line 164
;162:	}
;163:
;164:	if (!strcmp(question, "Cannot validate pure client!")) {
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $139
ARGP4
ADDRLP4 4
ADDRGP4 strcmp
CALLI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 0
NEI4 $137
line 165
;165:		return menu_normal_text[MNT_CANNOTVALIDATE];
ADDRGP4 menu_normal_text+1644
INDIRP4
RETP4
ADDRGP4 $131
JUMPV
LABELV $137
line 168
;166:	}
;167:
;168:	if (!strcmp(question, "kicked")) {
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $143
ARGP4
ADDRLP4 8
ADDRGP4 strcmp
CALLI4
ASGNI4
ADDRLP4 8
INDIRI4
CNSTI4 0
NEI4 $141
line 169
;169:		return menu_normal_text[MNT_KICKED];
ADDRGP4 menu_normal_text+1648
INDIRP4
RETP4
ADDRGP4 $131
JUMPV
LABELV $141
line 172
;170:	}
;171:
;172:	if (!strcmp(question, "timed out")) {
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $147
ARGP4
ADDRLP4 12
ADDRGP4 strcmp
CALLI4
ASGNI4
ADDRLP4 12
INDIRI4
CNSTI4 0
NEI4 $145
line 173
;173:		return menu_normal_text[MNT_TIMEDOUT];
ADDRGP4 menu_normal_text+1652
INDIRP4
RETP4
ADDRGP4 $131
JUMPV
LABELV $145
line 176
;174:	}
;175:
;176:	if (!strcmp(question, "server shut down")) {
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $151
ARGP4
ADDRLP4 16
ADDRGP4 strcmp
CALLI4
ASGNI4
ADDRLP4 16
INDIRI4
CNSTI4 0
NEI4 $149
line 177
;177:		return menu_normal_text[MNT_SERVERSHUTDOWN];
ADDRGP4 menu_normal_text+1656
INDIRP4
RETP4
ADDRGP4 $131
JUMPV
LABELV $149
line 180
;178:	}
;179:
;180:	if (!strcmp(question, "disconnected")) {
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $155
ARGP4
ADDRLP4 20
ADDRGP4 strcmp
CALLI4
ASGNI4
ADDRLP4 20
INDIRI4
CNSTI4 0
NEI4 $153
line 181
;181:		return menu_normal_text[MNT_DISCONNECTED];
ADDRGP4 menu_normal_text+1660
INDIRP4
RETP4
ADDRGP4 $131
JUMPV
LABELV $153
line 184
;182:	}
;183:
;184:	if (!strcmp(question, "broken download")) {
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $159
ARGP4
ADDRLP4 24
ADDRGP4 strcmp
CALLI4
ASGNI4
ADDRLP4 24
INDIRI4
CNSTI4 0
NEI4 $157
line 185
;185:		return menu_normal_text[MNT_BROKENDOWNLOAD];
ADDRGP4 menu_normal_text+1664
INDIRP4
RETP4
ADDRGP4 $131
JUMPV
LABELV $157
line 188
;186:	}
;187:
;188:	if (!strcmp(question, "Server command overflow")) {
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $163
ARGP4
ADDRLP4 28
ADDRGP4 strcmp
CALLI4
ASGNI4
ADDRLP4 28
INDIRI4
CNSTI4 0
NEI4 $161
line 189
;189:		return menu_normal_text[MNT_SERVERCOMMANDOVERFLOW];
ADDRGP4 menu_normal_text+1668
INDIRP4
RETP4
ADDRGP4 $131
JUMPV
LABELV $161
line 192
;190:	}
;191:
;192:	if (!strcmp(question, "Lost reliable commands")) {
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 $167
ARGP4
ADDRLP4 32
ADDRGP4 strcmp
CALLI4
ASGNI4
ADDRLP4 32
INDIRI4
CNSTI4 0
NEI4 $165
line 193
;193:		return menu_normal_text[MNT_LOSTRELIABLECOMMANDS];
ADDRGP4 menu_normal_text+1672
INDIRP4
RETP4
ADDRGP4 $131
JUMPV
LABELV $165
line 196
;194:	}
;195:	
;196:	Q_strncpyz(translatedQuestion, question, sizeof(translatedQuestion));
ADDRGP4 $132
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 128
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 197
;197:	return translatedQuestion;
ADDRGP4 $132
RETP4
LABELV $131
endproc TranslateQuestion 36 12
export UI_ConfirmMenu
proc UI_ConfirmMenu 4 12
line 206
;198:}
;199:
;200:/*
;201:=================
;202:UI_ConfirmMenu
;203:=================
;204:*/
;205:void UI_ConfirmMenu( const char *question, void (*draw)( void ), void (*action)( qboolean result ) ) 
;206:{
line 210
;207://	uiClientState_t	cstate;
;208:
;209:	// zero set all our globals
;210:	memset( &s_confirm, 0, sizeof(s_confirm) );
ADDRGP4 s_confirm
ARGP4
CNSTI4 0
ARGI4
CNSTI4 628
ARGI4
ADDRGP4 memset
CALLP4
pop
line 212
;211:
;212:	ConfirmMenu_Cache();
ADDRGP4 ConfirmMenu_Cache
CALLV
pop
line 214
;213:
;214:	Mouse_Show();
ADDRGP4 Mouse_Show
CALLV
pop
line 216
;215:
;216:	s_confirm.question = TranslateQuestion(question);
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 0
ADDRGP4 TranslateQuestion
CALLP4
ASGNP4
ADDRGP4 s_confirm+612
ADDRLP4 0
INDIRP4
ASGNP4
line 217
;217:	s_confirm.draw = draw;
ADDRGP4 s_confirm+616
ADDRFP4 4
INDIRP4
ASGNP4
line 218
;218:	s_confirm.action = action;
ADDRGP4 s_confirm+620
ADDRFP4 8
INDIRP4
ASGNP4
line 220
;219:
;220:	s_confirm.menu.draw							= ConfirmMenu_Draw;
ADDRGP4 s_confirm+268
ADDRGP4 ConfirmMenu_Draw
ASGNP4
line 221
;221:	s_confirm.menu.key							= ConfirmMenu_Key;
ADDRGP4 s_confirm+272
ADDRGP4 ConfirmMenu_Key
ASGNP4
line 222
;222:	s_confirm.menu.wrapAround					= qtrue;
ADDRGP4 s_confirm+276
CNSTI4 1
ASGNI4
line 223
;223:	s_confirm.menu.fullscreen					= qtrue;
ADDRGP4 s_confirm+280
CNSTI4 1
ASGNI4
line 224
;224:	s_confirm.menu.descX						= MENU_DESC_X;
ADDRGP4 s_confirm+292
CNSTI4 100
ASGNI4
line 225
;225:	s_confirm.menu.descY						= MENU_DESC_Y;
ADDRGP4 s_confirm+296
CNSTI4 444
ASGNI4
line 226
;226:	s_confirm.menu.titleX						= MENU_TITLE_X;
ADDRGP4 s_confirm+308
CNSTI4 611
ASGNI4
line 227
;227:	s_confirm.menu.titleY						= MENU_TITLE_Y;
ADDRGP4 s_confirm+312
CNSTI4 24
ASGNI4
line 228
;228:	s_confirm.menu.titleI						= MNT_CONFIRMATIONMENU_TITLE;
ADDRGP4 s_confirm+316
CNSTI4 347
ASGNI4
line 229
;229:	s_confirm.menu.footNoteEnum					= MNT_CONFIRMATION;
ADDRGP4 s_confirm+320
CNSTI4 348
ASGNI4
line 242
;230:
;231:
;232:/*	trap_GetClientState( &cstate );
;233:	if ( cstate.connState >= CA_CONNECTED ) 
;234:	{
;235:		s_confirm.menu.fullscreen = qfalse;
;236:	}
;237:	else 
;238:	{
;239:		s_confirm.menu.fullscreen = qtrue;
;240:	}
;241:*/
;242:	s_confirm.yes.generic.type			= MTYPE_BITMAP;      
ADDRGP4 s_confirm+468
CNSTI4 6
ASGNI4
line 243
;243:	s_confirm.yes.generic.flags			= QMF_HIGHLIGHT_IF_FOCUS; 
ADDRGP4 s_confirm+468+44
CNSTU4 128
ASGNU4
line 244
;244:	s_confirm.yes.generic.x				= 215;
ADDRGP4 s_confirm+468+12
CNSTI4 215
ASGNI4
line 245
;245:	s_confirm.yes.generic.y				= 365;
ADDRGP4 s_confirm+468+16
CNSTI4 365
ASGNI4
line 246
;246:	s_confirm.yes.generic.callback		= ConfirmMenu_Event;
ADDRGP4 s_confirm+468+48
ADDRGP4 ConfirmMenu_Event
ASGNP4
line 247
;247:	s_confirm.yes.generic.id			= ID_CONFIRM_YES;
ADDRGP4 s_confirm+468+8
CNSTI4 11
ASGNI4
line 248
;248:	s_confirm.yes.generic.name			= GRAPHIC_SQUARE;
ADDRGP4 s_confirm+468+4
ADDRGP4 $196
ASGNP4
line 249
;249:	s_confirm.yes.width					= MENU_BUTTON_MED_WIDTH;
ADDRGP4 s_confirm+468+92
CNSTI4 130
ASGNI4
line 250
;250:	s_confirm.yes.height				= MENU_BUTTON_MED_HEIGHT;
ADDRGP4 s_confirm+468+96
CNSTI4 18
ASGNI4
line 251
;251:	s_confirm.yes.color					= CT_DKPURPLE1;
ADDRGP4 s_confirm+468+104
CNSTI4 35
ASGNI4
line 252
;252:	s_confirm.yes.color2				= CT_LTPURPLE1;
ADDRGP4 s_confirm+468+108
CNSTI4 34
ASGNI4
line 253
;253:	s_confirm.yes.textX					= MENU_BUTTON_TEXT_X;
ADDRGP4 s_confirm+468+124
CNSTI4 5
ASGNI4
line 254
;254:	s_confirm.yes.textY					= MENU_BUTTON_TEXT_Y;
ADDRGP4 s_confirm+468+128
CNSTI4 1
ASGNI4
line 255
;255:	s_confirm.yes.textEnum				= MBT_GENERIC_YES;
ADDRGP4 s_confirm+468+116
CNSTI4 8
ASGNI4
line 256
;256:	s_confirm.yes.textcolor				= CT_BLACK;
ADDRGP4 s_confirm+468+132
CNSTI4 1
ASGNI4
line 257
;257:	s_confirm.yes.textcolor2			= CT_WHITE;
ADDRGP4 s_confirm+468+136
CNSTI4 8
ASGNI4
line 259
;258:
;259:	s_confirm.no.generic.type			= MTYPE_BITMAP;      
ADDRGP4 s_confirm+324
CNSTI4 6
ASGNI4
line 260
;260:	s_confirm.no.generic.flags			= QMF_HIGHLIGHT_IF_FOCUS; 
ADDRGP4 s_confirm+324+44
CNSTU4 128
ASGNU4
line 261
;261:	s_confirm.no.generic.x				= 371;
ADDRGP4 s_confirm+324+12
CNSTI4 371
ASGNI4
line 262
;262:	s_confirm.no.generic.y				= 365;
ADDRGP4 s_confirm+324+16
CNSTI4 365
ASGNI4
line 263
;263:	s_confirm.no.generic.callback		= ConfirmMenu_Event;
ADDRGP4 s_confirm+324+48
ADDRGP4 ConfirmMenu_Event
ASGNP4
line 264
;264:	s_confirm.no.generic.id				= ID_CONFIRM_NO;
ADDRGP4 s_confirm+324+8
CNSTI4 10
ASGNI4
line 265
;265:	s_confirm.no.generic.name			= GRAPHIC_SQUARE;
ADDRGP4 s_confirm+324+4
ADDRGP4 $196
ASGNP4
line 266
;266:	s_confirm.no.width					= 103;
ADDRGP4 s_confirm+324+92
CNSTI4 103
ASGNI4
line 267
;267:	s_confirm.no.height					= MENU_BUTTON_MED_HEIGHT;
ADDRGP4 s_confirm+324+96
CNSTI4 18
ASGNI4
line 268
;268:	s_confirm.no.color					= CT_DKPURPLE1;
ADDRGP4 s_confirm+324+104
CNSTI4 35
ASGNI4
line 269
;269:	s_confirm.no.color2					= CT_LTPURPLE1;
ADDRGP4 s_confirm+324+108
CNSTI4 34
ASGNI4
line 270
;270:	s_confirm.no.textX					= MENU_BUTTON_TEXT_X;
ADDRGP4 s_confirm+324+124
CNSTI4 5
ASGNI4
line 271
;271:	s_confirm.no.textY					= MENU_BUTTON_TEXT_Y;
ADDRGP4 s_confirm+324+128
CNSTI4 1
ASGNI4
line 272
;272:	s_confirm.no.textEnum				= MBT_GENERIC_NO;
ADDRGP4 s_confirm+324+116
CNSTI4 7
ASGNI4
line 273
;273:	s_confirm.no.textcolor				= CT_BLACK;
ADDRGP4 s_confirm+324+132
CNSTI4 1
ASGNI4
line 274
;274:	s_confirm.no.textcolor2				= CT_WHITE;
ADDRGP4 s_confirm+324+136
CNSTI4 8
ASGNI4
line 276
;275:
;276:	Menu_AddItem( &s_confirm.menu,	&s_confirm.yes );             
ADDRGP4 s_confirm
ARGP4
ADDRGP4 s_confirm+468
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 277
;277:	if (action) {
ADDRFP4 8
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $247
line 278
;278:		Menu_AddItem( &s_confirm.menu,	&s_confirm.no );
ADDRGP4 s_confirm
ARGP4
ADDRGP4 s_confirm+324
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 279
;279:	}
LABELV $247
line 281
;280:
;281:	UI_PushMenu( &s_confirm.menu );
ADDRGP4 s_confirm
ARGP4
ADDRGP4 UI_PushMenu
CALLV
pop
line 283
;282:
;283:	Menu_SetCursorToItem( &s_confirm.menu, &s_confirm.no );
ADDRGP4 s_confirm
ARGP4
ADDRGP4 s_confirm+324
ARGP4
ADDRGP4 Menu_SetCursorToItem
CALLV
pop
line 284
;284:}
LABELV $169
endproc UI_ConfirmMenu 4 12
bss
align 4
LABELV s_confirm
skip 628
import JoyYButtonCallback
import JoyXButtonCallback
import AnisotropicFilteringCallback
import SmoothMouseCallback
import MouseSpeedCallback
import InvertMouseCallback
import UI_PrintMenuGraphics
import UI_MenuBottomLineEnd_Graphics
import UI_InitGameinfo
import UI_GetAwardLevel
import UI_LogAwardData
import UI_NewGame
import UI_GetCurrentGame
import UI_CanShowTierVideo
import UI_ShowTierVideo
import UI_TierCompleted
import UI_SetBestScore
import UI_GetBestScore
import UI_GetNumBots
import UI_GetBotInfoByName
import UI_GetBotInfoByNumber
import UI_ServerAdvancedOptions
import UI_GetNumSPTiers
import UI_GetNumSPArenas
import UI_GetNumArenas
import UI_GetSpecialArenaInfo
import UI_GetArenaInfoByMap
import UI_GetArenaInfoByNumber
import UI_NetworkOptionsMenu
import UI_NetworkOptionsMenu_Cache
import ScreensizeCallback
import GammaCallback
import UI_FontsMenu
import UI_SoundMenu_Cache
import UI_SoundMenu
import setup_menubuttons
import UI_DisplayOptionsMenu
import UI_TeamOrdersMenu_Cache
import UI_TeamOrdersMenu_f
import UI_TeamOrdersMenu
import UI_RemoveBotsMenu
import UI_RemoveBots_Cache
import UI_AddBotsMenu
import UI_AddBots_Cache
import trap_R_ModelBounds
import trap_SetCDKey
import trap_MemoryRemaining
import trap_LAN_GetPingInfo
import trap_LAN_GetPing
import trap_LAN_ClearPing
import trap_LAN_GetPingQueueCount
import trap_LAN_GetGlobalServerAddressString
import trap_LAN_GetGlobalServerCount
import trap_LAN_GetLocalServerAddressString
import trap_LAN_GetLocalServerCount
import trap_GetConfigString
import trap_GetGlconfig
import trap_GetClientState
import trap_GetClipboardData
import trap_Key_SetCatcher
import trap_Key_GetCatcher
import trap_Key_ClearStates
import trap_Key_SetOverstrikeMode
import trap_Key_GetOverstrikeMode
import trap_Key_IsDown
import trap_Key_SetBinding
import trap_Key_GetBindingBuf
import trap_Key_KeynumToStringBuf
import trap_S_RegisterSound
import trap_S_StartLocalSound
import trap_CM_LerpTag
import trap_UpdateScreen
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_RenderScene
import trap_R_AddLightToScene
import trap_R_AddPolyToScene
import trap_R_AddRefEntityToScene
import trap_R_ClearScene
import trap_R_RegisterShaderNoMip
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_FS_GetFileList
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Cmd_ExecuteText
import trap_Argv
import trap_Argc
import trap_Cvar_InfoStringBuffer
import trap_Cvar_Create
import trap_Cvar_Reset
import trap_Cvar_SetValue
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import UI_SPSkillMenu_Cache
import UI_SPSkillMenu
import UI_SPPostgameMenu_f
import UI_SPPostgameMenu_Cache
import UI_SPArena_Start
import UI_ResetGameMenu_Cache
import UI_SPLevelMenu_ReInit
import UI_SPLevelMenu_f
import UI_SPLevelMenu
import UI_SPLevelMenu_Cache
import uis
import m_entersound
import UI_MenuFrame2
import UI_MenuFrame
import UI_PrecacheMenuGraphics
import UI_Cvar_VariableString
import UI_Argv
import UI_ForceMenuOff
import UI_PopMenu
import UI_PushMenu
import UI_SetActiveMenu
import UI_IsFullscreen
import UI_AdjustFrom640
import UI_CursorInRect
import UI_DrawChar
import UI_DrawString
import UI_ProportionalStringWidth
import UI_DrawProportionalString
import UI_ProportionalSizeScale
import UI_DrawBannerString
import UI_DrawRect
import UI_FillRect
import UI_DrawHandlePic
import UI_DrawNamedPic
import UI_ClampCvar
import UI_ConsoleCommand
import UI_Refresh
import UI_MouseEvent
import UI_KeyEvent
import UI_Shutdown
import UI_Init
import UI_InitSpinControl
import UI_LoadButtonText
import UI_LoadMenuText
import UI_RegisterClientModelname
import UI_PlayerInfo_SetInfo
import UI_PlayerInfo_SetModel
import UI_DrawPlayer
import UI_VideoDriverMenu_Cache
import UI_VideoData2Menu_Cache
import UI_VideoDataMenu_Cache
import UI_VideoDataMenu
import DriverInfo_Cache
import ServerInfo_Cache
import UI_ServerInfoMenu
import UI_BotSelectMenu_Cache
import UI_BotSelectMenu
import ServerOptions_Cache
import StartServer_Cache
import UI_StartServerMenu
import UI_ChooseServerTypeMenu_Cache
import ArenaServers_Cache
import UI_ArenaServersMenu
import SpecifyServer_Cache
import UI_SpecifyServerMenu
import s_voicelanguage_Names
import s_textlanguage_Names
import UI_GameOptionsMenu_Cache
import UI_GameOptionsMenu
import PlayerSettings_Cache
import UI_PlayerSettingsMenu
import PlayerModel_Cache
import UI_PlayerModelMenu
import UI_CDKeyMenu2
import UI_CDKeyMenu_f
import UI_CDKeyMenu_Cache
import UI_CDKeyMenu
import UI_ModsMenu_Cache
import UI_ModsMenu
import UI_DemosMenu
import SetupMenu_TopButtons
import UI_ControlsMouseJoyStickMenu_Cache
import Controls_Cache
import UI_DrawConnectScreen
import TeamMain_Cache
import UI_TeamMainMenu
import UI_BotCommandMenu_f
import UI_DynamicMenu
import UI_DynamicMenuCache
import UI_InGameMenu
import InGame_Cache
import ingameFlag
import UI_DemosMenu_Cache
import UI_QuitMenu_Cache
import UI_ChooseServerTypeMenu
import UI_QuitMenu
import UI_Setup_MenuButtons
import UI_UpdateCvars
import UI_RegisterCvars
import UI_MainMenu
import MainMenu_Cache
import MenuField_Key
import MenuField_Draw
import MenuField_Init
import MField_Draw
import MField_CharEvent
import MField_KeyDownEvent
import MField_Clear
import ui_medalSounds
import ui_medalPicNames
import ui_medalNames
import text_color_highlight
import text_color_normal
import text_color_disabled
import listbar_color
import list_color
import name_color
import color_dim
import color_red
import color_orange
import color_blue
import color_yellow
import color_white
import menu_dim_color
import menu_black_color
import menu_red_color
import menu_highlight_color
import menu_dark_color
import menu_grayed_color
import menu_text_color
import menu_null_sound
import menu_buzz_sound
import menu_out_sound
import menu_move_sound
import menu_in_sound
import ScrollList_Key
import ScrollList_Draw
import Bitmap_Draw
import Bitmap_Init
import Menu_DefaultKey
import Menu_SetCursorToItem
import Menu_SetCursor
import Menu_ActivateItem
import Menu_ItemAtCursor
import Menu_Draw
import Menu_AdjustCursor
import Menu_AddItem
import Menu_Focus
import Menu_Cache
import UI_HolomatchInMenu_Cache
import Mouse_Show
import Mouse_Hide
import ui_playerclass
import ui_cdkeychecked2
import ui_cdkeychecked
import ui_server16
import ui_server15
import ui_server14
import ui_server13
import ui_server12
import ui_server11
import ui_server10
import ui_server9
import ui_server8
import ui_server7
import ui_server6
import ui_server5
import ui_server4
import ui_server3
import ui_server2
import ui_server1
import ui_marks
import ui_drawCrosshairNames
import ui_drawCrosshair
import ui_brassTime
import ui_browserShowEmpty
import ui_browserShowFull
import ui_browserSortKey
import ui_browserGameType
import ui_browserMaster
import ui_spSelection
import ui_team_race_red
import ui_team_race_blue
import ui_dowarmup
import ui_warmup
import ui_respawnGhostTime
import ui_forcerespawn
import ui_holoIntro
import ui_adaptRespawn
import ui_dmgmult
import ui_knockback
import ui_gravity
import ui_speed
import ui_weaponrespawn
import ui_spSkill
import ui_spVideos
import ui_spAwards
import ui_spScores5
import ui_spScores4
import ui_spScores3
import ui_spScores2
import ui_spScores1
import ui_botminplayers
import ui_botsFile
import ui_arenasFile
import ui_ctf_friendly
import ui_ctf_timelimit
import ui_ctf_capturelimit
import ui_team_friendly
import ui_team_timelimit
import ui_team_fraglimit
import ui_tourney_timelimit
import ui_tourney_fraglimit
import ui_ffa_timelimit
import ui_ffa_fraglimit
import menu_button_text
import menu_normal_text
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $196
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 115
byte 1 113
byte 1 117
byte 1 97
byte 1 114
byte 1 101
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $167
byte 1 76
byte 1 111
byte 1 115
byte 1 116
byte 1 32
byte 1 114
byte 1 101
byte 1 108
byte 1 105
byte 1 97
byte 1 98
byte 1 108
byte 1 101
byte 1 32
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 97
byte 1 110
byte 1 100
byte 1 115
byte 1 0
align 1
LABELV $163
byte 1 83
byte 1 101
byte 1 114
byte 1 118
byte 1 101
byte 1 114
byte 1 32
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 97
byte 1 110
byte 1 100
byte 1 32
byte 1 111
byte 1 118
byte 1 101
byte 1 114
byte 1 102
byte 1 108
byte 1 111
byte 1 119
byte 1 0
align 1
LABELV $159
byte 1 98
byte 1 114
byte 1 111
byte 1 107
byte 1 101
byte 1 110
byte 1 32
byte 1 100
byte 1 111
byte 1 119
byte 1 110
byte 1 108
byte 1 111
byte 1 97
byte 1 100
byte 1 0
align 1
LABELV $155
byte 1 100
byte 1 105
byte 1 115
byte 1 99
byte 1 111
byte 1 110
byte 1 110
byte 1 101
byte 1 99
byte 1 116
byte 1 101
byte 1 100
byte 1 0
align 1
LABELV $151
byte 1 115
byte 1 101
byte 1 114
byte 1 118
byte 1 101
byte 1 114
byte 1 32
byte 1 115
byte 1 104
byte 1 117
byte 1 116
byte 1 32
byte 1 100
byte 1 111
byte 1 119
byte 1 110
byte 1 0
align 1
LABELV $147
byte 1 116
byte 1 105
byte 1 109
byte 1 101
byte 1 100
byte 1 32
byte 1 111
byte 1 117
byte 1 116
byte 1 0
align 1
LABELV $143
byte 1 107
byte 1 105
byte 1 99
byte 1 107
byte 1 101
byte 1 100
byte 1 0
align 1
LABELV $139
byte 1 67
byte 1 97
byte 1 110
byte 1 110
byte 1 111
byte 1 116
byte 1 32
byte 1 118
byte 1 97
byte 1 108
byte 1 105
byte 1 100
byte 1 97
byte 1 116
byte 1 101
byte 1 32
byte 1 112
byte 1 117
byte 1 114
byte 1 101
byte 1 32
byte 1 99
byte 1 108
byte 1 105
byte 1 101
byte 1 110
byte 1 116
byte 1 33
byte 1 0
align 1
LABELV $135
byte 1 85
byte 1 110
byte 1 112
byte 1 117
byte 1 114
byte 1 101
byte 1 32
byte 1 99
byte 1 108
byte 1 105
byte 1 101
byte 1 110
byte 1 116
byte 1 32
byte 1 100
byte 1 101
byte 1 116
byte 1 101
byte 1 99
byte 1 116
byte 1 101
byte 1 100
byte 1 46
byte 1 32
byte 1 73
byte 1 110
byte 1 118
byte 1 97
byte 1 108
byte 1 105
byte 1 100
byte 1 32
byte 1 46
byte 1 80
byte 1 75
byte 1 51
byte 1 32
byte 1 102
byte 1 105
byte 1 108
byte 1 101
byte 1 115
byte 1 32
byte 1 114
byte 1 101
byte 1 102
byte 1 101
byte 1 114
byte 1 101
byte 1 110
byte 1 99
byte 1 101
byte 1 100
byte 1 33
byte 1 0
align 1
LABELV $130
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 99
byte 1 111
byte 1 114
byte 1 110
byte 1 101
byte 1 114
byte 1 95
byte 1 108
byte 1 108
byte 1 95
byte 1 52
byte 1 55
byte 1 95
byte 1 49
byte 1 56
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $111
byte 1 49
byte 1 50
byte 1 55
byte 1 57
byte 1 57
byte 1 0
align 1
LABELV $109
byte 1 56
byte 1 48
byte 1 56
byte 1 56
byte 1 0
align 1
LABELV $107
byte 1 52
byte 1 56
byte 1 54
byte 1 0
align 1
LABELV $105
byte 1 51
byte 1 56
byte 1 54
byte 1 0
align 1
LABELV $103
byte 1 50
byte 1 56
byte 1 54
byte 1 0
