export M_GridFont_Graphics
code
proc M_GridFont_Graphics 32 20
file "../ui_fonts.c"
line 41
;1:#include "ui_local.h"
;2:
;3://===================================================================
;4://
;5:// CDKey Menu
;6://
;7://===================================================================
;8:
;9:static int currentFont;
;10:
;11:// menu action identifiers
;12:#define ID_MAINMENU		100
;13:#define ID_CONTROLS		101
;14:#define ID_VIDEO		102
;15:#define ID_SOUND		103
;16:#define ID_CDKEY		104
;17:
;18:#define ID_FONT_SMALL		301
;19:#define ID_FONT_MEDIUM		302
;20:#define ID_FONT_LARGE		303
;21:#define ID_FONT_GRID		304
;22:
;23:static menuframework_s	s_fonts_menu;
;24:static menubitmap_s			s_cdkey_mainmenu;
;25:static menubitmap_s			s_cdkey_controls;
;26:static menubitmap_s			s_cdkey_video;
;27:static menubitmap_s			s_cdkey_sound;
;28:static menubitmap_s			s_cdkey_game;
;29:static menubitmap_s			s_cdkey_cdkey;
;30:static menubitmap_s			s_fonts_small;
;31:static menubitmap_s			s_fonts_medium;
;32:static menubitmap_s			s_fonts_large;
;33:static menubitmap_s			s_fonts_grid;
;34:
;35:/*
;36:=================
;37:M_GridFont_Graphics
;38:=================
;39:*/
;40:void M_GridFont_Graphics (void)
;41:{
line 46
;42:	int x,y,color;
;43:	int i,i2,xInc;
;44:	char	character[2];
;45:
;46:	character[1] = 0;
ADDRLP4 12+1
CNSTI1 0
ASGNI1
line 47
;47:	y = 190;
ADDRLP4 20
CNSTI4 190
ASGNI4
line 48
;48:	color = CT_LTORANGE;
ADDRLP4 24
CNSTI4 14
ASGNI4
line 49
;49:	for (i=32;i<256;)
ADDRLP4 0
CNSTI4 32
ASGNI4
LABELV $76
line 50
;50:	{
line 51
;51:		x = 100;
ADDRLP4 16
CNSTI4 100
ASGNI4
line 52
;52:		for (i2=0;i2<30;++i2,++i)
ADDRLP4 8
CNSTI4 0
ASGNI4
LABELV $80
line 53
;53:		{
line 54
;54:			character[0] = i;
ADDRLP4 12
ADDRLP4 0
INDIRI4
CVII1 4
ASGNI1
line 55
;55:			UI_DrawString(x, y, character, UI_SMALLFONT, colorTable[CT_WHITE]);
ADDRLP4 16
INDIRI4
ARGI4
ADDRLP4 20
INDIRI4
ARGI4
ADDRLP4 12
ARGP4
CNSTI4 16
ARGI4
ADDRGP4 colorTable+128
ARGP4
ADDRGP4 UI_DrawString
CALLV
pop
line 57
;56:
;57:			xInc =SMALLCHAR_WIDTH + 1;
ADDRLP4 4
CNSTI4 9
ASGNI4
line 59
;58:
;59:			if (xInc > 0)
ADDRLP4 4
INDIRI4
CNSTI4 0
LEI4 $85
line 60
;60:			{
line 61
;61:				x += xInc;
ADDRLP4 16
ADDRLP4 16
INDIRI4
ADDRLP4 4
INDIRI4
ADDI4
ASGNI4
line 62
;62:			}
LABELV $85
line 64
;63:
;64:			if (i>=256)
ADDRLP4 0
INDIRI4
CNSTI4 256
LTI4 $87
line 65
;65:			{
line 66
;66:				break;
ADDRGP4 $82
JUMPV
LABELV $87
line 68
;67:			}
;68:		}
LABELV $81
line 52
ADDRLP4 28
CNSTI4 1
ASGNI4
ADDRLP4 8
ADDRLP4 8
INDIRI4
ADDRLP4 28
INDIRI4
ADDI4
ASGNI4
ADDRLP4 0
ADDRLP4 0
INDIRI4
ADDRLP4 28
INDIRI4
ADDI4
ASGNI4
ADDRLP4 8
INDIRI4
CNSTI4 30
LTI4 $80
LABELV $82
line 69
;69:		y += (SMALLCHAR_HEIGHT * 1.25);
ADDRLP4 20
ADDRLP4 20
INDIRI4
CVIF4 4
CNSTF4 1101004800
ADDF4
CVFI4 4
ASGNI4
line 70
;70:	}
LABELV $77
line 49
ADDRLP4 0
INDIRI4
CNSTI4 256
LTI4 $76
line 71
;71:}
LABELV $74
endproc M_GridFont_Graphics 32 20
export M_LargeFont_Graphics
proc M_LargeFont_Graphics 32 20
line 79
;72:
;73:/*
;74:=================
;75:M_LargeFont_Graphics
;76:=================
;77:*/
;78:void M_LargeFont_Graphics (void)
;79:{
line 84
;80:	int x,y,color;
;81:	int i,i2,xInc;
;82:	char	character[2];
;83:
;84:	character[1] = 0;
ADDRLP4 4+1
CNSTI1 0
ASGNI1
line 85
;85:	y = 190;
ADDRLP4 20
CNSTI4 190
ASGNI4
line 86
;86:	color = CT_LTORANGE;
ADDRLP4 24
CNSTI4 14
ASGNI4
line 87
;87:	for (i=32;i<256;)
ADDRLP4 0
CNSTI4 32
ASGNI4
LABELV $91
line 88
;88:	{
line 89
;89:		x = 100;
ADDRLP4 16
CNSTI4 100
ASGNI4
line 90
;90:		for (i2=0;i2<30;++i2,++i)
ADDRLP4 12
CNSTI4 0
ASGNI4
LABELV $95
line 91
;91:		{
line 92
;92:			character[0] = i;
ADDRLP4 4
ADDRLP4 0
INDIRI4
CVII1 4
ASGNI1
line 93
;93:			UI_DrawProportionalString( x, y, character, UI_BIGFONT, colorTable[color] );
ADDRLP4 16
INDIRI4
ARGI4
ADDRLP4 20
INDIRI4
ARGI4
ADDRLP4 4
ARGP4
CNSTI4 32
ARGI4
ADDRLP4 24
INDIRI4
CNSTI4 4
LSHI4
ADDRGP4 colorTable
ADDP4
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 94
;94:			xInc = UI_ProportionalStringWidth( character,UI_BIGFONT) + 1;
ADDRLP4 4
ARGP4
CNSTI4 32
ARGI4
ADDRLP4 28
ADDRGP4 UI_ProportionalStringWidth
CALLI4
ASGNI4
ADDRLP4 8
ADDRLP4 28
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 96
;95:
;96:			if (xInc > 0)
ADDRLP4 8
INDIRI4
CNSTI4 0
LEI4 $99
line 97
;97:			{
line 98
;98:				x += xInc;
ADDRLP4 16
ADDRLP4 16
INDIRI4
ADDRLP4 8
INDIRI4
ADDI4
ASGNI4
line 99
;99:			}
LABELV $99
line 101
;100:
;101:			if (i>=256)
ADDRLP4 0
INDIRI4
CNSTI4 256
LTI4 $101
line 102
;102:			{
line 103
;103:				break;
ADDRGP4 $97
JUMPV
LABELV $101
line 105
;104:			}
;105:		}
LABELV $96
line 90
ADDRLP4 28
CNSTI4 1
ASGNI4
ADDRLP4 12
ADDRLP4 12
INDIRI4
ADDRLP4 28
INDIRI4
ADDI4
ASGNI4
ADDRLP4 0
ADDRLP4 0
INDIRI4
ADDRLP4 28
INDIRI4
ADDI4
ASGNI4
ADDRLP4 12
INDIRI4
CNSTI4 30
LTI4 $95
LABELV $97
line 106
;106:		y += 30;
ADDRLP4 20
ADDRLP4 20
INDIRI4
CNSTI4 30
ADDI4
ASGNI4
line 107
;107:	}
LABELV $92
line 87
ADDRLP4 0
INDIRI4
CNSTI4 256
LTI4 $91
line 109
;108:
;109:}
LABELV $89
endproc M_LargeFont_Graphics 32 20
export M_MediumFont_Graphics
proc M_MediumFont_Graphics 32 20
line 117
;110:
;111:/*
;112:=================
;113:M_MediumFont_Graphics
;114:=================
;115:*/
;116:void M_MediumFont_Graphics (void)
;117:{
line 122
;118:	int x,y,color;
;119:	int i,i2,xInc;
;120:	char	character[2];
;121:
;122:	character[1] = 0;
ADDRLP4 4+1
CNSTI1 0
ASGNI1
line 123
;123:	y = 190;
ADDRLP4 20
CNSTI4 190
ASGNI4
line 124
;124:	color = CT_LTORANGE;
ADDRLP4 24
CNSTI4 14
ASGNI4
line 125
;125:	for (i=32;i<256;)
ADDRLP4 0
CNSTI4 32
ASGNI4
LABELV $105
line 126
;126:	{
line 127
;127:		x = 100;
ADDRLP4 16
CNSTI4 100
ASGNI4
line 128
;128:		for (i2=0;i2<30;++i2,++i)
ADDRLP4 12
CNSTI4 0
ASGNI4
LABELV $109
line 129
;129:		{
line 130
;130:			character[0] = i;
ADDRLP4 4
ADDRLP4 0
INDIRI4
CVII1 4
ASGNI1
line 131
;131:			UI_DrawProportionalString( x, y, character, UI_SMALLFONT, colorTable[color] );
ADDRLP4 16
INDIRI4
ARGI4
ADDRLP4 20
INDIRI4
ARGI4
ADDRLP4 4
ARGP4
CNSTI4 16
ARGI4
ADDRLP4 24
INDIRI4
CNSTI4 4
LSHI4
ADDRGP4 colorTable
ADDP4
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 132
;132:			xInc = UI_ProportionalStringWidth( character,UI_SMALLFONT) + 1;
ADDRLP4 4
ARGP4
CNSTI4 16
ARGI4
ADDRLP4 28
ADDRGP4 UI_ProportionalStringWidth
CALLI4
ASGNI4
ADDRLP4 8
ADDRLP4 28
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 134
;133:
;134:			if (xInc > 0)
ADDRLP4 8
INDIRI4
CNSTI4 0
LEI4 $113
line 135
;135:			{
line 136
;136:				x += xInc;
ADDRLP4 16
ADDRLP4 16
INDIRI4
ADDRLP4 8
INDIRI4
ADDI4
ASGNI4
line 137
;137:			}
LABELV $113
line 139
;138:
;139:			if (i>=256)
ADDRLP4 0
INDIRI4
CNSTI4 256
LTI4 $115
line 140
;140:			{
line 141
;141:				break;
ADDRGP4 $111
JUMPV
LABELV $115
line 143
;142:			}
;143:		}
LABELV $110
line 128
ADDRLP4 28
CNSTI4 1
ASGNI4
ADDRLP4 12
ADDRLP4 12
INDIRI4
ADDRLP4 28
INDIRI4
ADDI4
ASGNI4
ADDRLP4 0
ADDRLP4 0
INDIRI4
ADDRLP4 28
INDIRI4
ADDI4
ASGNI4
ADDRLP4 12
INDIRI4
CNSTI4 30
LTI4 $109
LABELV $111
line 144
;144:		y += 24;
ADDRLP4 20
ADDRLP4 20
INDIRI4
CNSTI4 24
ADDI4
ASGNI4
line 145
;145:	}
LABELV $106
line 125
ADDRLP4 0
INDIRI4
CNSTI4 256
LTI4 $105
line 146
;146:}
LABELV $103
endproc M_MediumFont_Graphics 32 20
export M_SmallFont_Graphics
proc M_SmallFont_Graphics 32 20
line 154
;147:
;148:/*
;149:=================
;150:M_SmallFont_Graphics
;151:=================
;152:*/
;153:void M_SmallFont_Graphics (void)
;154:{
line 159
;155:	int x,y,color;
;156:	int i,i2,xInc;
;157:	char	character[2];
;158:
;159:	character[1] = 0;
ADDRLP4 4+1
CNSTI1 0
ASGNI1
line 160
;160:	y = 190;
ADDRLP4 20
CNSTI4 190
ASGNI4
line 161
;161:	color = CT_LTORANGE;
ADDRLP4 24
CNSTI4 14
ASGNI4
line 162
;162:	for (i=32;i<256;)
ADDRLP4 0
CNSTI4 32
ASGNI4
LABELV $119
line 163
;163:	{
line 164
;164:		x = 100;
ADDRLP4 16
CNSTI4 100
ASGNI4
line 165
;165:		for (i2=0;i2<30;++i2,++i)
ADDRLP4 12
CNSTI4 0
ASGNI4
LABELV $123
line 166
;166:		{
line 167
;167:			character[0] = i;
ADDRLP4 4
ADDRLP4 0
INDIRI4
CVII1 4
ASGNI1
line 168
;168:			UI_DrawProportionalString( x, y, character, UI_TINYFONT, colorTable[color] );
ADDRLP4 16
INDIRI4
ARGI4
ADDRLP4 20
INDIRI4
ARGI4
ADDRLP4 4
ARGP4
CNSTI4 65536
ARGI4
ADDRLP4 24
INDIRI4
CNSTI4 4
LSHI4
ADDRGP4 colorTable
ADDP4
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 169
;169:			xInc = UI_ProportionalStringWidth( character,UI_TINYFONT) + 1;
ADDRLP4 4
ARGP4
CNSTI4 65536
ARGI4
ADDRLP4 28
ADDRGP4 UI_ProportionalStringWidth
CALLI4
ASGNI4
ADDRLP4 8
ADDRLP4 28
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 171
;170:
;171:			if (xInc > 0)
ADDRLP4 8
INDIRI4
CNSTI4 0
LEI4 $127
line 172
;172:			{
line 173
;173:				x += xInc;
ADDRLP4 16
ADDRLP4 16
INDIRI4
ADDRLP4 8
INDIRI4
ADDI4
ASGNI4
line 174
;174:			}
LABELV $127
line 176
;175:
;176:			if (i>=256)
ADDRLP4 0
INDIRI4
CNSTI4 256
LTI4 $129
line 177
;177:			{
line 178
;178:				break;
ADDRGP4 $125
JUMPV
LABELV $129
line 180
;179:			}
;180:		}
LABELV $124
line 165
ADDRLP4 28
CNSTI4 1
ASGNI4
ADDRLP4 12
ADDRLP4 12
INDIRI4
ADDRLP4 28
INDIRI4
ADDI4
ASGNI4
ADDRLP4 0
ADDRLP4 0
INDIRI4
ADDRLP4 28
INDIRI4
ADDI4
ASGNI4
ADDRLP4 12
INDIRI4
CNSTI4 30
LTI4 $123
LABELV $125
line 181
;181:		y += 16;
ADDRLP4 20
ADDRLP4 20
INDIRI4
CNSTI4 16
ADDI4
ASGNI4
line 182
;182:	}
LABELV $120
line 162
ADDRLP4 0
INDIRI4
CNSTI4 256
LTI4 $119
line 183
;183:}
LABELV $117
endproc M_SmallFont_Graphics 32 20
export M_Fonts_Graphics
proc M_Fonts_Graphics 4 20
line 192
;184:
;185:
;186:/*
;187:=================
;188:M_Fonts_Graphics
;189:=================
;190:*/
;191:void M_Fonts_Graphics (void)
;192:{
line 194
;193:
;194:	UI_MenuFrame(&s_fonts_menu);
ADDRGP4 s_fonts_menu
ARGP4
ADDRGP4 UI_MenuFrame
CALLV
pop
line 196
;195:
;196:	UI_Setup_MenuButtons();
ADDRGP4 UI_Setup_MenuButtons
CALLV
pop
line 198
;197:
;198:	trap_R_SetColor( colorTable[CT_LTBROWN1]);
ADDRGP4 colorTable+416
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 199
;199:	UI_DrawHandlePic(30,203,  47, 186, uis.whiteShader);	// Long left column square on bottom 3rd
CNSTF4 1106247680
ARGF4
CNSTF4 1128988672
ARGF4
CNSTF4 1111228416
ARGF4
CNSTF4 1127874560
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 201
;200:
;201:	switch (currentFont)
ADDRLP4 0
ADDRGP4 currentFont
INDIRI4
ASGNI4
ADDRLP4 0
INDIRI4
CNSTI4 301
LTI4 $134
ADDRLP4 0
INDIRI4
CNSTI4 304
GTI4 $134
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 $140-1204
ADDP4
INDIRP4
JUMPV
lit
align 4
LABELV $140
address $136
address $137
address $138
address $139
code
line 202
;202:	{
LABELV $136
line 204
;203:	case ID_FONT_SMALL :
;204:		M_SmallFont_Graphics();
ADDRGP4 M_SmallFont_Graphics
CALLV
pop
line 205
;205:		break;
ADDRGP4 $135
JUMPV
LABELV $137
line 207
;206:	case ID_FONT_MEDIUM :
;207:		M_MediumFont_Graphics();
ADDRGP4 M_MediumFont_Graphics
CALLV
pop
line 208
;208:		break;
ADDRGP4 $135
JUMPV
LABELV $138
line 210
;209:	case ID_FONT_LARGE :
;210:		M_LargeFont_Graphics();
ADDRGP4 M_LargeFont_Graphics
CALLV
pop
line 211
;211:		break;
ADDRGP4 $135
JUMPV
LABELV $139
line 214
;212:
;213:	case ID_FONT_GRID :
;214:		M_GridFont_Graphics();
ADDRGP4 M_GridFont_Graphics
CALLV
pop
line 215
;215:		break;
LABELV $134
LABELV $135
line 218
;216:	}
;217:
;218:}
LABELV $131
endproc M_Fonts_Graphics 4 20
export M_Fonts_MenuDraw
proc M_Fonts_MenuDraw 0 4
line 226
;219:
;220:/*
;221:=================
;222:M_Fonts_MenuDraw
;223:=================
;224:*/
;225:void M_Fonts_MenuDraw (void)
;226:{
line 227
;227:	M_Fonts_Graphics();
ADDRGP4 M_Fonts_Graphics
CALLV
pop
line 229
;228:
;229:	Menu_Draw( &s_fonts_menu );
ADDRGP4 s_fonts_menu
ARGP4
ADDRGP4 Menu_Draw
CALLV
pop
line 230
;230:}
LABELV $142
endproc M_Fonts_MenuDraw 0 4
proc Fonts_MenuEvent 16 0
line 238
;231:
;232:/*
;233:=================
;234:Fonts_MenuEvent
;235:=================
;236:*/
;237:static void Fonts_MenuEvent( void* ptr, int notification )
;238:{
line 241
;239:	menuframework_s*	m;
;240:
;241:	if (notification != QM_ACTIVATED)
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $144
line 242
;242:		return;
ADDRGP4 $143
JUMPV
LABELV $144
line 244
;243:
;244:	m = ((menucommon_s*)ptr)->parent;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 36
ADDP4
INDIRP4
ASGNP4
line 246
;245:
;246:	switch (((menucommon_s*)ptr)->id)
ADDRLP4 4
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 100
LTI4 $146
ADDRLP4 4
INDIRI4
CNSTI4 104
GTI4 $158
ADDRLP4 4
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 $159-400
ADDP4
INDIRP4
JUMPV
lit
align 4
LABELV $159
address $157
address $154
address $153
address $155
address $156
code
LABELV $158
ADDRLP4 4
INDIRI4
CNSTI4 301
LTI4 $146
ADDRLP4 4
INDIRI4
CNSTI4 304
GTI4 $146
ADDRLP4 4
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 $161-1204
ADDP4
INDIRP4
JUMPV
lit
align 4
LABELV $161
address $149
address $150
address $151
address $152
code
line 247
;247:	{
LABELV $149
line 249
;248:		case ID_FONT_SMALL:
;249:			currentFont = ID_FONT_SMALL;
ADDRGP4 currentFont
CNSTI4 301
ASGNI4
line 250
;250:			break;
ADDRGP4 $147
JUMPV
LABELV $150
line 252
;251:		case ID_FONT_MEDIUM:
;252:			currentFont = ID_FONT_MEDIUM;
ADDRGP4 currentFont
CNSTI4 302
ASGNI4
line 253
;253:			break;
ADDRGP4 $147
JUMPV
LABELV $151
line 255
;254:		case ID_FONT_LARGE:
;255:			currentFont = ID_FONT_LARGE;
ADDRGP4 currentFont
CNSTI4 303
ASGNI4
line 256
;256:			break;
ADDRGP4 $147
JUMPV
LABELV $152
line 258
;257:		case ID_FONT_GRID:
;258:			currentFont = ID_FONT_GRID;
ADDRGP4 currentFont
CNSTI4 304
ASGNI4
line 259
;259:			break;
ADDRGP4 $147
JUMPV
LABELV $153
line 261
;260:		case ID_VIDEO:
;261:			UI_PopMenu();
ADDRGP4 UI_PopMenu
CALLV
pop
line 262
;262:			UI_VideoDataMenu();
ADDRGP4 UI_VideoDataMenu
CALLV
pop
line 263
;263:			return;
ADDRGP4 $143
JUMPV
LABELV $154
line 265
;264:		case ID_CONTROLS:
;265:			UI_PopMenu();
ADDRGP4 UI_PopMenu
CALLV
pop
line 267
;266://			UI_SetupWeaponsMenu();
;267:			break;
ADDRGP4 $147
JUMPV
LABELV $155
line 269
;268:		case ID_SOUND:
;269:			UI_PopMenu();
ADDRGP4 UI_PopMenu
CALLV
pop
line 270
;270:			UI_SoundMenu();
ADDRGP4 UI_SoundMenu
CALLV
pop
line 271
;271:			break;
ADDRGP4 $147
JUMPV
LABELV $156
line 273
;272:		case ID_CDKEY:
;273:			UI_PopMenu();
ADDRGP4 UI_PopMenu
CALLV
pop
line 274
;274:			UI_CDKeyMenu();
ADDRGP4 UI_CDKeyMenu
CALLV
pop
line 275
;275:			break;
ADDRGP4 $147
JUMPV
LABELV $157
line 277
;276:		case ID_MAINMENU:
;277:			UI_PopMenu();
ADDRGP4 UI_PopMenu
CALLV
pop
line 278
;278:			break;
LABELV $146
LABELV $147
line 280
;279:	}
;280:}
LABELV $143
endproc Fonts_MenuEvent 16 0
proc M_Fonts_MenuKey 4 8
line 288
;281:
;282:/*
;283:=================
;284:M_Fonts_MenuKey
;285:=================
;286:*/
;287:static sfxHandle_t M_Fonts_MenuKey( int key )
;288:{
line 289
;289:	return Menu_DefaultKey( &s_fonts_menu, key );
ADDRGP4 s_fonts_menu
ARGP4
ADDRFP4 0
INDIRI4
ARGI4
ADDRLP4 0
ADDRGP4 Menu_DefaultKey
CALLI4
ASGNI4
ADDRLP4 0
INDIRI4
RETI4
LABELV $163
endproc M_Fonts_MenuKey 4 8
export UI_FontsMenu_Cache
proc UI_FontsMenu_Cache 0 0
line 299
;290:}
;291:
;292:
;293:/*
;294:===============
;295:UI_FontsMenu_Cache
;296:===============
;297:*/
;298:void UI_FontsMenu_Cache( void ) 
;299:{
line 300
;300:	;
line 301
;301:}
LABELV $164
endproc UI_FontsMenu_Cache 0 0
export FontsMenu_Init
proc FontsMenu_Init 0 12
line 310
;302:
;303:
;304:/*
;305:===============
;306:FontsMenu_Init
;307:===============
;308:*/
;309:void FontsMenu_Init(void) 
;310:{
line 311
;311:	UI_FontsMenu_Cache();
ADDRGP4 UI_FontsMenu_Cache
CALLV
pop
line 313
;312:
;313:	s_fonts_menu.nitems					= 0;
ADDRGP4 s_fonts_menu+8
CNSTI4 0
ASGNI4
line 314
;314:	s_fonts_menu.wrapAround				= qtrue;
ADDRGP4 s_fonts_menu+276
CNSTI4 1
ASGNI4
line 315
;315:	s_fonts_menu.draw					= M_Fonts_MenuDraw;
ADDRGP4 s_fonts_menu+268
ADDRGP4 M_Fonts_MenuDraw
ASGNP4
line 316
;316:	s_fonts_menu.key					= M_Fonts_MenuKey;
ADDRGP4 s_fonts_menu+272
ADDRGP4 M_Fonts_MenuKey
ASGNP4
line 317
;317:	s_fonts_menu.fullscreen				= qtrue;
ADDRGP4 s_fonts_menu+280
CNSTI4 1
ASGNI4
line 318
;318:	s_fonts_menu.wrapAround				= qfalse;
ADDRGP4 s_fonts_menu+276
CNSTI4 0
ASGNI4
line 319
;319:	s_fonts_menu.descX					= MENU_DESC_X;
ADDRGP4 s_fonts_menu+292
CNSTI4 100
ASGNI4
line 320
;320:	s_fonts_menu.descY					= MENU_DESC_Y;
ADDRGP4 s_fonts_menu+296
CNSTI4 444
ASGNI4
line 321
;321:	s_fonts_menu.titleX					= MENU_TITLE_X;
ADDRGP4 s_fonts_menu+308
CNSTI4 611
ASGNI4
line 322
;322:	s_fonts_menu.titleY					= MENU_TITLE_Y;
ADDRGP4 s_fonts_menu+312
CNSTI4 24
ASGNI4
line 323
;323:	s_fonts_menu.titleI					= MNT_CONTROLSMENU_TITLE;
ADDRGP4 s_fonts_menu+316
CNSTI4 4
ASGNI4
line 324
;324:	s_fonts_menu.footNoteEnum			= MNT_FONTS_DEVELOPER;
ADDRGP4 s_fonts_menu+320
CNSTI4 404
ASGNI4
line 326
;325:
;326:	SetupMenu_TopButtons(&s_fonts_menu,MENU_FONTS,NULL);
ADDRGP4 s_fonts_menu
ARGP4
CNSTI4 7
ARGI4
CNSTP4 0
ARGP4
ADDRGP4 SetupMenu_TopButtons
CALLV
pop
line 328
;327:
;328:	s_fonts_small.generic.type			= MTYPE_BITMAP;      
ADDRGP4 s_fonts_small
CNSTI4 6
ASGNI4
line 329
;329:	s_fonts_small.generic.flags			= QMF_HIGHLIGHT_IF_FOCUS;
ADDRGP4 s_fonts_small+44
CNSTU4 128
ASGNU4
line 330
;330:	s_fonts_small.generic.x				= 100;
ADDRGP4 s_fonts_small+12
CNSTI4 100
ASGNI4
line 331
;331:	s_fonts_small.generic.y				= 170;
ADDRGP4 s_fonts_small+16
CNSTI4 170
ASGNI4
line 332
;332:	s_fonts_small.generic.name			= GRAPHIC_BUTTONRIGHT;
ADDRGP4 s_fonts_small+4
ADDRGP4 $182
ASGNP4
line 333
;333:	s_fonts_small.generic.id			= ID_FONT_SMALL;
ADDRGP4 s_fonts_small+8
CNSTI4 301
ASGNI4
line 334
;334:	s_fonts_small.generic.callback		= Fonts_MenuEvent;
ADDRGP4 s_fonts_small+48
ADDRGP4 Fonts_MenuEvent
ASGNP4
line 335
;335:	s_fonts_small.width					= 100;
ADDRGP4 s_fonts_small+92
CNSTI4 100
ASGNI4
line 336
;336:	s_fonts_small.height				= MENU_BUTTON_MED_HEIGHT;
ADDRGP4 s_fonts_small+96
CNSTI4 18
ASGNI4
line 337
;337:	s_fonts_small.color					= CT_DKPURPLE1;
ADDRGP4 s_fonts_small+104
CNSTI4 35
ASGNI4
line 338
;338:	s_fonts_small.color2				= CT_LTPURPLE1;
ADDRGP4 s_fonts_small+108
CNSTI4 34
ASGNI4
line 339
;339:	s_fonts_small.textX					= 5;
ADDRGP4 s_fonts_small+124
CNSTI4 5
ASGNI4
line 340
;340:	s_fonts_small.textY					= 2;
ADDRGP4 s_fonts_small+128
CNSTI4 2
ASGNI4
line 341
;341:	s_fonts_small.textEnum				= MBT_FONTSSMALL;
ADDRGP4 s_fonts_small+116
CNSTI4 249
ASGNI4
line 342
;342:	s_fonts_small.textcolor				= CT_BLACK;
ADDRGP4 s_fonts_small+132
CNSTI4 1
ASGNI4
line 343
;343:	s_fonts_small.textcolor2			= CT_WHITE;
ADDRGP4 s_fonts_small+136
CNSTI4 8
ASGNI4
line 345
;344:
;345:	s_fonts_medium.generic.type			= MTYPE_BITMAP;      
ADDRGP4 s_fonts_medium
CNSTI4 6
ASGNI4
line 346
;346:	s_fonts_medium.generic.flags		= QMF_HIGHLIGHT_IF_FOCUS;
ADDRGP4 s_fonts_medium+44
CNSTU4 128
ASGNU4
line 347
;347:	s_fonts_medium.generic.x			= 250;
ADDRGP4 s_fonts_medium+12
CNSTI4 250
ASGNI4
line 348
;348:	s_fonts_medium.generic.y			= 170;
ADDRGP4 s_fonts_medium+16
CNSTI4 170
ASGNI4
line 349
;349:	s_fonts_medium.generic.name			= GRAPHIC_BUTTONRIGHT;
ADDRGP4 s_fonts_medium+4
ADDRGP4 $182
ASGNP4
line 350
;350:	s_fonts_medium.generic.id			= ID_FONT_MEDIUM;
ADDRGP4 s_fonts_medium+8
CNSTI4 302
ASGNI4
line 351
;351:	s_fonts_medium.generic.callback		= Fonts_MenuEvent;
ADDRGP4 s_fonts_medium+48
ADDRGP4 Fonts_MenuEvent
ASGNP4
line 352
;352:	s_fonts_medium.width				= 100;
ADDRGP4 s_fonts_medium+92
CNSTI4 100
ASGNI4
line 353
;353:	s_fonts_medium.height				= MENU_BUTTON_MED_HEIGHT;
ADDRGP4 s_fonts_medium+96
CNSTI4 18
ASGNI4
line 354
;354:	s_fonts_medium.color				= CT_DKPURPLE1;
ADDRGP4 s_fonts_medium+104
CNSTI4 35
ASGNI4
line 355
;355:	s_fonts_medium.color2				= CT_LTPURPLE1;
ADDRGP4 s_fonts_medium+108
CNSTI4 34
ASGNI4
line 356
;356:	s_fonts_medium.textX				= 5;
ADDRGP4 s_fonts_medium+124
CNSTI4 5
ASGNI4
line 357
;357:	s_fonts_medium.textY				= 2;
ADDRGP4 s_fonts_medium+128
CNSTI4 2
ASGNI4
line 358
;358:	s_fonts_medium.textEnum				= MBT_FONTSMEDIUM;
ADDRGP4 s_fonts_medium+116
CNSTI4 250
ASGNI4
line 359
;359:	s_fonts_medium.textcolor			= CT_BLACK;
ADDRGP4 s_fonts_medium+132
CNSTI4 1
ASGNI4
line 360
;360:	s_fonts_medium.textcolor2			= CT_WHITE;
ADDRGP4 s_fonts_medium+136
CNSTI4 8
ASGNI4
line 362
;361:
;362:	s_fonts_large.generic.type			= MTYPE_BITMAP;      
ADDRGP4 s_fonts_large
CNSTI4 6
ASGNI4
line 363
;363:	s_fonts_large.generic.flags			= QMF_HIGHLIGHT_IF_FOCUS;
ADDRGP4 s_fonts_large+44
CNSTU4 128
ASGNU4
line 364
;364:	s_fonts_large.generic.x				= 400;
ADDRGP4 s_fonts_large+12
CNSTI4 400
ASGNI4
line 365
;365:	s_fonts_large.generic.y				= 170;
ADDRGP4 s_fonts_large+16
CNSTI4 170
ASGNI4
line 366
;366:	s_fonts_large.generic.name			= GRAPHIC_BUTTONRIGHT;
ADDRGP4 s_fonts_large+4
ADDRGP4 $182
ASGNP4
line 367
;367:	s_fonts_large.generic.id			= ID_FONT_LARGE;
ADDRGP4 s_fonts_large+8
CNSTI4 303
ASGNI4
line 368
;368:	s_fonts_large.generic.callback		= Fonts_MenuEvent;
ADDRGP4 s_fonts_large+48
ADDRGP4 Fonts_MenuEvent
ASGNP4
line 369
;369:	s_fonts_large.width					= 100;
ADDRGP4 s_fonts_large+92
CNSTI4 100
ASGNI4
line 370
;370:	s_fonts_large.height				= MENU_BUTTON_MED_HEIGHT;
ADDRGP4 s_fonts_large+96
CNSTI4 18
ASGNI4
line 371
;371:	s_fonts_large.color					= CT_DKPURPLE1;
ADDRGP4 s_fonts_large+104
CNSTI4 35
ASGNI4
line 372
;372:	s_fonts_large.color2				= CT_LTPURPLE1;
ADDRGP4 s_fonts_large+108
CNSTI4 34
ASGNI4
line 373
;373:	s_fonts_large.textX					= 5;
ADDRGP4 s_fonts_large+124
CNSTI4 5
ASGNI4
line 374
;374:	s_fonts_large.textY					= 2;
ADDRGP4 s_fonts_large+128
CNSTI4 2
ASGNI4
line 375
;375:	s_fonts_large.textEnum				= MBT_FONTSLARGE;
ADDRGP4 s_fonts_large+116
CNSTI4 251
ASGNI4
line 376
;376:	s_fonts_large.textcolor				= CT_BLACK;
ADDRGP4 s_fonts_large+132
CNSTI4 1
ASGNI4
line 377
;377:	s_fonts_large.textcolor2			= CT_WHITE;
ADDRGP4 s_fonts_large+136
CNSTI4 8
ASGNI4
line 379
;378:
;379:	s_fonts_grid.generic.type			= MTYPE_BITMAP;      
ADDRGP4 s_fonts_grid
CNSTI4 6
ASGNI4
line 380
;380:	s_fonts_grid.generic.flags			= QMF_HIGHLIGHT_IF_FOCUS;
ADDRGP4 s_fonts_grid+44
CNSTU4 128
ASGNU4
line 381
;381:	s_fonts_grid.generic.x				= 550;
ADDRGP4 s_fonts_grid+12
CNSTI4 550
ASGNI4
line 382
;382:	s_fonts_grid.generic.y				= 170;
ADDRGP4 s_fonts_grid+16
CNSTI4 170
ASGNI4
line 383
;383:	s_fonts_grid.generic.name			= GRAPHIC_BUTTONRIGHT;
ADDRGP4 s_fonts_grid+4
ADDRGP4 $182
ASGNP4
line 384
;384:	s_fonts_grid.generic.id			= ID_FONT_GRID;
ADDRGP4 s_fonts_grid+8
CNSTI4 304
ASGNI4
line 385
;385:	s_fonts_grid.generic.callback		= Fonts_MenuEvent;
ADDRGP4 s_fonts_grid+48
ADDRGP4 Fonts_MenuEvent
ASGNP4
line 386
;386:	s_fonts_grid.width					= 100;
ADDRGP4 s_fonts_grid+92
CNSTI4 100
ASGNI4
line 387
;387:	s_fonts_grid.height				= MENU_BUTTON_MED_HEIGHT;
ADDRGP4 s_fonts_grid+96
CNSTI4 18
ASGNI4
line 388
;388:	s_fonts_grid.color					= CT_DKPURPLE1;
ADDRGP4 s_fonts_grid+104
CNSTI4 35
ASGNI4
line 389
;389:	s_fonts_grid.color2				= CT_LTPURPLE1;
ADDRGP4 s_fonts_grid+108
CNSTI4 34
ASGNI4
line 390
;390:	s_fonts_grid.textX					= 5;
ADDRGP4 s_fonts_grid+124
CNSTI4 5
ASGNI4
line 391
;391:	s_fonts_grid.textY					= 2;
ADDRGP4 s_fonts_grid+128
CNSTI4 2
ASGNI4
line 392
;392:	s_fonts_grid.textEnum				= MBT_FONTSGRID;
ADDRGP4 s_fonts_grid+116
CNSTI4 252
ASGNI4
line 393
;393:	s_fonts_grid.textcolor				= CT_BLACK;
ADDRGP4 s_fonts_grid+132
CNSTI4 1
ASGNI4
line 394
;394:	s_fonts_grid.textcolor2			= CT_WHITE;
ADDRGP4 s_fonts_grid+136
CNSTI4 8
ASGNI4
line 396
;395:
;396:	Menu_AddItem( &s_fonts_menu, ( void * )&s_fonts_small);
ADDRGP4 s_fonts_menu
ARGP4
ADDRGP4 s_fonts_small
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 397
;397:	Menu_AddItem( &s_fonts_menu, ( void * )&s_fonts_medium);
ADDRGP4 s_fonts_menu
ARGP4
ADDRGP4 s_fonts_medium
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 398
;398:	Menu_AddItem( &s_fonts_menu, ( void * )&s_fonts_large);
ADDRGP4 s_fonts_menu
ARGP4
ADDRGP4 s_fonts_large
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 399
;399:	Menu_AddItem( &s_fonts_menu, ( void * )&s_fonts_grid);
ADDRGP4 s_fonts_menu
ARGP4
ADDRGP4 s_fonts_grid
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 401
;400:
;401:	currentFont = ID_FONT_SMALL;
ADDRGP4 currentFont
CNSTI4 301
ASGNI4
line 403
;402:
;403:}
LABELV $165
endproc FontsMenu_Init 0 12
export UI_FontsMenu
proc UI_FontsMenu 0 4
line 411
;404:
;405:/*
;406:===============
;407:UI_FontsMenu
;408:===============
;409:*/
;410:void UI_FontsMenu( void) 
;411:{
line 413
;412:	
;413:	FontsMenu_Init(); 
ADDRGP4 FontsMenu_Init
CALLV
pop
line 415
;414:
;415:	UI_PushMenu( &s_fonts_menu);
ADDRGP4 s_fonts_menu
ARGP4
ADDRGP4 UI_PushMenu
CALLV
pop
line 416
;416:}
LABELV $239
endproc UI_FontsMenu 0 4
bss
align 4
LABELV s_fonts_grid
skip 144
align 4
LABELV s_fonts_large
skip 144
align 4
LABELV s_fonts_medium
skip 144
align 4
LABELV s_fonts_small
skip 144
align 4
LABELV s_cdkey_cdkey
skip 144
align 4
LABELV s_cdkey_game
skip 144
align 4
LABELV s_cdkey_sound
skip 144
align 4
LABELV s_cdkey_video
skip 144
align 4
LABELV s_cdkey_controls
skip 144
align 4
LABELV s_cdkey_mainmenu
skip 144
align 4
LABELV s_fonts_menu
skip 324
align 4
LABELV currentFont
skip 4
import JoyYButtonCallback
import JoyXButtonCallback
import AnisotropicFilteringCallback
import SmoothMouseCallback
import MouseSpeedCallback
import InvertMouseCallback
import UI_PrintMenuGraphics
import UI_MenuBottomLineEnd_Graphics
import UI_InitGameinfo
import UI_GetAwardLevel
import UI_LogAwardData
import UI_NewGame
import UI_GetCurrentGame
import UI_CanShowTierVideo
import UI_ShowTierVideo
import UI_TierCompleted
import UI_SetBestScore
import UI_GetBestScore
import UI_GetNumBots
import UI_GetBotInfoByName
import UI_GetBotInfoByNumber
import UI_ServerAdvancedOptions
import UI_GetNumSPTiers
import UI_GetNumSPArenas
import UI_GetNumArenas
import UI_GetSpecialArenaInfo
import UI_GetArenaInfoByMap
import UI_GetArenaInfoByNumber
import UI_NetworkOptionsMenu
import UI_NetworkOptionsMenu_Cache
import ScreensizeCallback
import GammaCallback
import UI_SoundMenu_Cache
import UI_SoundMenu
import setup_menubuttons
import UI_DisplayOptionsMenu
import UI_TeamOrdersMenu_Cache
import UI_TeamOrdersMenu_f
import UI_TeamOrdersMenu
import UI_RemoveBotsMenu
import UI_RemoveBots_Cache
import UI_AddBotsMenu
import UI_AddBots_Cache
import trap_R_ModelBounds
import trap_SetCDKey
import trap_MemoryRemaining
import trap_LAN_GetPingInfo
import trap_LAN_GetPing
import trap_LAN_ClearPing
import trap_LAN_GetPingQueueCount
import trap_LAN_GetGlobalServerAddressString
import trap_LAN_GetGlobalServerCount
import trap_LAN_GetLocalServerAddressString
import trap_LAN_GetLocalServerCount
import trap_GetConfigString
import trap_GetGlconfig
import trap_GetClientState
import trap_GetClipboardData
import trap_Key_SetCatcher
import trap_Key_GetCatcher
import trap_Key_ClearStates
import trap_Key_SetOverstrikeMode
import trap_Key_GetOverstrikeMode
import trap_Key_IsDown
import trap_Key_SetBinding
import trap_Key_GetBindingBuf
import trap_Key_KeynumToStringBuf
import trap_S_RegisterSound
import trap_S_StartLocalSound
import trap_CM_LerpTag
import trap_UpdateScreen
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_RenderScene
import trap_R_AddLightToScene
import trap_R_AddPolyToScene
import trap_R_AddRefEntityToScene
import trap_R_ClearScene
import trap_R_RegisterShaderNoMip
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_FS_GetFileList
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Cmd_ExecuteText
import trap_Argv
import trap_Argc
import trap_Cvar_InfoStringBuffer
import trap_Cvar_Create
import trap_Cvar_Reset
import trap_Cvar_SetValue
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import UI_SPSkillMenu_Cache
import UI_SPSkillMenu
import UI_SPPostgameMenu_f
import UI_SPPostgameMenu_Cache
import UI_SPArena_Start
import UI_ResetGameMenu_Cache
import UI_SPLevelMenu_ReInit
import UI_SPLevelMenu_f
import UI_SPLevelMenu
import UI_SPLevelMenu_Cache
import uis
import m_entersound
import UI_MenuFrame2
import UI_MenuFrame
import UI_PrecacheMenuGraphics
import UI_Cvar_VariableString
import UI_Argv
import UI_ForceMenuOff
import UI_PopMenu
import UI_PushMenu
import UI_SetActiveMenu
import UI_IsFullscreen
import UI_AdjustFrom640
import UI_CursorInRect
import UI_DrawChar
import UI_DrawString
import UI_ProportionalStringWidth
import UI_DrawProportionalString
import UI_ProportionalSizeScale
import UI_DrawBannerString
import UI_DrawRect
import UI_FillRect
import UI_DrawHandlePic
import UI_DrawNamedPic
import UI_ClampCvar
import UI_ConsoleCommand
import UI_Refresh
import UI_MouseEvent
import UI_KeyEvent
import UI_Shutdown
import UI_Init
import UI_InitSpinControl
import UI_LoadButtonText
import UI_LoadMenuText
import UI_RegisterClientModelname
import UI_PlayerInfo_SetInfo
import UI_PlayerInfo_SetModel
import UI_DrawPlayer
import UI_VideoDriverMenu_Cache
import UI_VideoData2Menu_Cache
import UI_VideoDataMenu_Cache
import UI_VideoDataMenu
import DriverInfo_Cache
import ServerInfo_Cache
import UI_ServerInfoMenu
import UI_BotSelectMenu_Cache
import UI_BotSelectMenu
import ServerOptions_Cache
import StartServer_Cache
import UI_StartServerMenu
import UI_ChooseServerTypeMenu_Cache
import ArenaServers_Cache
import UI_ArenaServersMenu
import SpecifyServer_Cache
import UI_SpecifyServerMenu
import s_voicelanguage_Names
import s_textlanguage_Names
import UI_GameOptionsMenu_Cache
import UI_GameOptionsMenu
import PlayerSettings_Cache
import UI_PlayerSettingsMenu
import PlayerModel_Cache
import UI_PlayerModelMenu
import UI_CDKeyMenu2
import UI_CDKeyMenu_f
import UI_CDKeyMenu_Cache
import UI_CDKeyMenu
import UI_ModsMenu_Cache
import UI_ModsMenu
import UI_DemosMenu
import SetupMenu_TopButtons
import UI_ControlsMouseJoyStickMenu_Cache
import Controls_Cache
import UI_DrawConnectScreen
import TeamMain_Cache
import UI_TeamMainMenu
import UI_ConfirmMenu
import ConfirmMenu_Cache
import UI_BotCommandMenu_f
import UI_DynamicMenu
import UI_DynamicMenuCache
import UI_InGameMenu
import InGame_Cache
import ingameFlag
import UI_DemosMenu_Cache
import UI_QuitMenu_Cache
import UI_ChooseServerTypeMenu
import UI_QuitMenu
import UI_Setup_MenuButtons
import UI_UpdateCvars
import UI_RegisterCvars
import UI_MainMenu
import MainMenu_Cache
import MenuField_Key
import MenuField_Draw
import MenuField_Init
import MField_Draw
import MField_CharEvent
import MField_KeyDownEvent
import MField_Clear
import ui_medalSounds
import ui_medalPicNames
import ui_medalNames
import text_color_highlight
import text_color_normal
import text_color_disabled
import listbar_color
import list_color
import name_color
import color_dim
import color_red
import color_orange
import color_blue
import color_yellow
import color_white
import menu_dim_color
import menu_black_color
import menu_red_color
import menu_highlight_color
import menu_dark_color
import menu_grayed_color
import menu_text_color
import menu_null_sound
import menu_buzz_sound
import menu_out_sound
import menu_move_sound
import menu_in_sound
import ScrollList_Key
import ScrollList_Draw
import Bitmap_Draw
import Bitmap_Init
import Menu_DefaultKey
import Menu_SetCursorToItem
import Menu_SetCursor
import Menu_ActivateItem
import Menu_ItemAtCursor
import Menu_Draw
import Menu_AdjustCursor
import Menu_AddItem
import Menu_Focus
import Menu_Cache
import UI_HolomatchInMenu_Cache
import Mouse_Show
import Mouse_Hide
import ui_playerclass
import ui_cdkeychecked2
import ui_cdkeychecked
import ui_server16
import ui_server15
import ui_server14
import ui_server13
import ui_server12
import ui_server11
import ui_server10
import ui_server9
import ui_server8
import ui_server7
import ui_server6
import ui_server5
import ui_server4
import ui_server3
import ui_server2
import ui_server1
import ui_marks
import ui_drawCrosshairNames
import ui_drawCrosshair
import ui_brassTime
import ui_browserShowEmpty
import ui_browserShowFull
import ui_browserSortKey
import ui_browserGameType
import ui_browserMaster
import ui_spSelection
import ui_team_race_red
import ui_team_race_blue
import ui_dowarmup
import ui_warmup
import ui_respawnGhostTime
import ui_forcerespawn
import ui_holoIntro
import ui_adaptRespawn
import ui_dmgmult
import ui_knockback
import ui_gravity
import ui_speed
import ui_weaponrespawn
import ui_spSkill
import ui_spVideos
import ui_spAwards
import ui_spScores5
import ui_spScores4
import ui_spScores3
import ui_spScores2
import ui_spScores1
import ui_botminplayers
import ui_botsFile
import ui_arenasFile
import ui_ctf_friendly
import ui_ctf_timelimit
import ui_ctf_capturelimit
import ui_team_friendly
import ui_team_timelimit
import ui_team_fraglimit
import ui_tourney_timelimit
import ui_tourney_fraglimit
import ui_ffa_timelimit
import ui_ffa_fraglimit
import menu_button_text
import menu_normal_text
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $182
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 110
byte 1 101
byte 1 119
byte 1 47
byte 1 98
byte 1 97
byte 1 114
byte 1 49
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
