export MField_Draw
code
proc MField_Draw 1060 20
file "../ui_mfield.c"
line 13
;1:// Copyright (C) 1999-2000 Id Software, Inc.
;2://
;3:#include "ui_local.h"
;4:
;5:/*
;6:===================
;7:MField_Draw
;8:
;9:Handles horizontal scrolling and cursor blinking
;10:x, y, are in pixels
;11:===================
;12:*/
;13:void MField_Draw( mfield_t *edit, int x, int y, int style, vec4_t color,int cursor ) {
line 21
;14:	int		len;
;15:	int		charw,charh;
;16:	int		drawLen;
;17:	int		prestep;
;18:	int		cursorChar;
;19:	char	str[MAX_STRING_CHARS];
;20:
;21:	drawLen = edit->widthInChars;
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
ASGNI4
line 22
;22:	len     = strlen( edit->buffer ) + 1;
ADDRFP4 0
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRLP4 1048
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 4
ADDRLP4 1048
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 25
;23:
;24:	// guarantee that cursor will be visible
;25:	if ( len <= drawLen ) 
ADDRLP4 4
INDIRI4
ADDRLP4 0
INDIRI4
GTI4 $75
line 26
;26:	{
line 27
;27:		prestep = 0;
ADDRLP4 8
CNSTI4 0
ASGNI4
line 28
;28:	} 
ADDRGP4 $76
JUMPV
LABELV $75
line 30
;29:	else 
;30:	{
line 31
;31:		if ( edit->scroll + drawLen > len ) 
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
ADDRLP4 0
INDIRI4
ADDI4
ADDRLP4 4
INDIRI4
LEI4 $77
line 32
;32:		{
line 33
;33:			edit->scroll = len - drawLen;
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
ADDRLP4 4
INDIRI4
ADDRLP4 0
INDIRI4
SUBI4
ASGNI4
line 34
;34:			if ( edit->scroll < 0 ) 
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
CNSTI4 0
GEI4 $79
line 35
;35:			{
line 36
;36:				edit->scroll = 0;
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 0
ASGNI4
line 37
;37:			}
LABELV $79
line 38
;38:		}
LABELV $77
line 39
;39:		prestep = edit->scroll;
ADDRLP4 8
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
ASGNI4
line 40
;40:	}
LABELV $76
line 42
;41:
;42:	if ( prestep + drawLen > len ) 
ADDRLP4 8
INDIRI4
ADDRLP4 0
INDIRI4
ADDI4
ADDRLP4 4
INDIRI4
LEI4 $81
line 43
;43:	{
line 44
;44:		drawLen = len - prestep;
ADDRLP4 0
ADDRLP4 4
INDIRI4
ADDRLP4 8
INDIRI4
SUBI4
ASGNI4
line 45
;45:	}
LABELV $81
line 48
;46:
;47:	// extract <drawLen> characters from the field at <prestep>
;48:	if ( drawLen >= MAX_STRING_CHARS ) 
ADDRLP4 0
INDIRI4
CNSTI4 1024
LTI4 $83
line 49
;49:	{
line 50
;50:		trap_Error( "drawLen >= MAX_STRING_CHARS" );
ADDRGP4 $85
ARGP4
ADDRGP4 trap_Error
CALLV
pop
line 51
;51:	}
LABELV $83
line 52
;52:	memcpy( str, edit->buffer + prestep, drawLen );
ADDRLP4 12
ARGP4
ADDRLP4 8
INDIRI4
ADDRFP4 0
INDIRP4
CNSTI4 12
ADDP4
ADDP4
ARGP4
ADDRLP4 0
INDIRI4
ARGI4
ADDRGP4 memcpy
CALLP4
pop
line 53
;53:	str[ drawLen ] = 0;
ADDRLP4 0
INDIRI4
ADDRLP4 12
ADDP4
CNSTI1 0
ASGNI1
line 55
;54:
;55:	UI_DrawString( x, y, str, style, color );
ADDRFP4 4
INDIRI4
ARGI4
ADDRFP4 8
INDIRI4
ARGI4
ADDRLP4 12
ARGP4
ADDRFP4 12
INDIRI4
ARGI4
ADDRFP4 16
INDIRP4
ARGP4
ADDRGP4 UI_DrawString
CALLV
pop
line 58
;56:
;57:	// draw the cursor
;58:	if (!cursor) 
ADDRFP4 20
INDIRI4
CNSTI4 0
NEI4 $86
line 59
;59:	{
line 60
;60:		return;
ADDRGP4 $74
JUMPV
LABELV $86
line 63
;61:	}
;62:
;63:	if ( trap_Key_GetOverstrikeMode() ) 
ADDRLP4 1052
ADDRGP4 trap_Key_GetOverstrikeMode
CALLI4
ASGNI4
ADDRLP4 1052
INDIRI4
CNSTI4 0
EQI4 $88
line 64
;64:	{
line 65
;65:		cursorChar = 11;
ADDRLP4 1040
CNSTI4 11
ASGNI4
line 66
;66:	} 
ADDRGP4 $89
JUMPV
LABELV $88
line 68
;67:	else 
;68:	{
line 69
;69:		cursorChar = 10;
ADDRLP4 1040
CNSTI4 10
ASGNI4
line 70
;70:	}
LABELV $89
line 72
;71:
;72:	if (style & UI_SMALLFONT)
ADDRFP4 12
INDIRI4
CNSTI4 16
BANDI4
CNSTI4 0
EQI4 $90
line 73
;73:	{
line 74
;74:		charh = SMALLCHAR_HEIGHT;
ADDRLP4 1044
CNSTI4 16
ASGNI4
line 75
;75:		charw =	SMALLCHAR_WIDTH;
ADDRLP4 1036
CNSTI4 8
ASGNI4
line 76
;76:	}
ADDRGP4 $91
JUMPV
LABELV $90
line 77
;77:	else if (style & UI_GIANTFONT)
ADDRFP4 12
INDIRI4
CNSTI4 64
BANDI4
CNSTI4 0
EQI4 $92
line 78
;78:	{
line 79
;79:		charh = GIANTCHAR_HEIGHT;
ADDRLP4 1044
CNSTI4 48
ASGNI4
line 80
;80:		charw =	GIANTCHAR_WIDTH;
ADDRLP4 1036
CNSTI4 32
ASGNI4
line 81
;81:	}
ADDRGP4 $93
JUMPV
LABELV $92
line 83
;82:	else
;83:	{
line 84
;84:		charh = BIGCHAR_HEIGHT;
ADDRLP4 1044
CNSTI4 16
ASGNI4
line 85
;85:		charw =	BIGCHAR_WIDTH;
ADDRLP4 1036
CNSTI4 16
ASGNI4
line 86
;86:	}
LABELV $93
LABELV $91
line 88
;87:
;88:	if (style & UI_CENTER)
ADDRFP4 12
INDIRI4
CNSTI4 1
BANDI4
CNSTI4 0
EQI4 $94
line 89
;89:	{
line 90
;90:		len = strlen(str);
ADDRLP4 12
ARGP4
ADDRLP4 1056
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 4
ADDRLP4 1056
INDIRI4
ASGNI4
line 91
;91:		x = x - (len * (charw/2));
ADDRFP4 4
ADDRFP4 4
INDIRI4
ADDRLP4 4
INDIRI4
ADDRLP4 1036
INDIRI4
CNSTI4 2
DIVI4
MULI4
SUBI4
ASGNI4
line 92
;92:	}
ADDRGP4 $95
JUMPV
LABELV $94
line 93
;93:	else if (style & UI_RIGHT)
ADDRFP4 12
INDIRI4
CNSTI4 2
BANDI4
CNSTI4 0
EQI4 $96
line 94
;94:	{
line 95
;95:		len = strlen(str);
ADDRLP4 12
ARGP4
ADDRLP4 1056
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 4
ADDRLP4 1056
INDIRI4
ASGNI4
line 96
;96:		x = x - len*charw;
ADDRFP4 4
ADDRFP4 4
INDIRI4
ADDRLP4 4
INDIRI4
ADDRLP4 1036
INDIRI4
MULI4
SUBI4
ASGNI4
line 97
;97:	}
LABELV $96
LABELV $95
line 99
;98:	
;99:	if(!((uis.realtime/BLINK_DIVISOR) & 1))
ADDRGP4 uis+4
INDIRI4
CNSTI4 600
DIVI4
CNSTI4 1
BANDI4
CNSTI4 0
NEI4 $98
line 100
;100:	{
line 101
;101:		UI_DrawChar( x + ( edit->cursor - prestep ) * charw, y, cursorChar, style & ~(UI_CENTER|UI_RIGHT), color );
ADDRFP4 4
INDIRI4
ADDRFP4 0
INDIRP4
INDIRI4
ADDRLP4 8
INDIRI4
SUBI4
ADDRLP4 1036
INDIRI4
MULI4
ADDI4
ARGI4
ADDRFP4 8
INDIRI4
ARGI4
ADDRLP4 1040
INDIRI4
ARGI4
ADDRFP4 12
INDIRI4
CNSTI4 -4
BANDI4
ARGI4
ADDRFP4 16
INDIRP4
ARGP4
ADDRGP4 UI_DrawChar
CALLV
pop
line 102
;102:	}
LABELV $98
line 103
;103:}
LABELV $74
endproc MField_Draw 1060 20
export MField_Paste
proc MField_Paste 76 8
line 110
;104:
;105:/*
;106:================
;107:MField_Paste
;108:================
;109:*/
;110:void MField_Paste( mfield_t *edit ) {
line 114
;111:	char	pasteBuffer[64];
;112:	int		pasteLen, i;
;113:
;114:	trap_GetClipboardData( pasteBuffer, 64 );
ADDRLP4 4
ARGP4
CNSTI4 64
ARGI4
ADDRGP4 trap_GetClipboardData
CALLV
pop
line 117
;115:
;116:	// send as if typed, so insert / overstrike works properly
;117:	pasteLen = strlen( pasteBuffer );
ADDRLP4 4
ARGP4
ADDRLP4 72
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 68
ADDRLP4 72
INDIRI4
ASGNI4
line 118
;118:	for ( i = 0 ; i < pasteLen ; i++ ) {
ADDRLP4 0
CNSTI4 0
ASGNI4
ADDRGP4 $105
JUMPV
LABELV $102
line 119
;119:		MField_CharEvent( edit, pasteBuffer[i] );
ADDRFP4 0
INDIRP4
ARGP4
ADDRLP4 0
INDIRI4
ADDRLP4 4
ADDP4
INDIRI1
CVII4 1
ARGI4
ADDRGP4 MField_CharEvent
CALLV
pop
line 120
;120:	}
LABELV $103
line 118
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $105
ADDRLP4 0
INDIRI4
ADDRLP4 68
INDIRI4
LTI4 $102
line 121
;121:}
LABELV $101
endproc MField_Paste 76 8
export MField_KeyDownEvent
proc MField_KeyDownEvent 64 12
line 133
;122:
;123:/*
;124:=================
;125:MField_KeyDownEvent
;126:
;127:Performs the basic line editing functions for the console,
;128:in-game talk, and menu fields
;129:
;130:Key events are used for non-printable characters, others are gotten from char events.
;131:=================
;132:*/
;133:void MField_KeyDownEvent( mfield_t *edit, int key ) {
line 137
;134:	int		len;
;135:
;136:	// shift-insert is paste
;137:	if ( ( ( key == K_INS ) || ( key == K_KP_INS ) ) && trap_Key_IsDown( K_SHIFT ) ) {
ADDRLP4 4
ADDRFP4 4
INDIRI4
ASGNI4
ADDRLP4 4
INDIRI4
CNSTI4 139
EQI4 $109
ADDRLP4 4
INDIRI4
CNSTI4 170
NEI4 $107
LABELV $109
CNSTI4 138
ARGI4
ADDRLP4 8
ADDRGP4 trap_Key_IsDown
CALLI4
ASGNI4
ADDRLP4 8
INDIRI4
CNSTI4 0
EQI4 $107
line 138
;138:		MField_Paste( edit );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 MField_Paste
CALLV
pop
line 139
;139:		return;
ADDRGP4 $106
JUMPV
LABELV $107
line 142
;140:	}
;141:
;142:	len = strlen( edit->buffer );
ADDRFP4 0
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRLP4 12
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 12
INDIRI4
ASGNI4
line 144
;143:
;144:	if ( key == K_DEL || key == K_KP_DEL ) {
ADDRLP4 16
ADDRFP4 4
INDIRI4
ASGNI4
ADDRLP4 16
INDIRI4
CNSTI4 140
EQI4 $112
ADDRLP4 16
INDIRI4
CNSTI4 171
NEI4 $110
LABELV $112
line 145
;145:		if ( edit->cursor < len ) {
ADDRFP4 0
INDIRP4
INDIRI4
ADDRLP4 0
INDIRI4
GEI4 $106
line 146
;146:			memmove( edit->buffer + edit->cursor, 
ADDRLP4 20
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 24
ADDRLP4 20
INDIRP4
INDIRI4
ASGNI4
ADDRLP4 28
ADDRLP4 24
INDIRI4
ADDRLP4 20
INDIRP4
CNSTI4 12
ADDP4
ADDP4
ASGNP4
ADDRLP4 28
INDIRP4
ARGP4
ADDRLP4 28
INDIRP4
CNSTI4 1
ADDP4
ARGP4
ADDRLP4 0
INDIRI4
ADDRLP4 24
INDIRI4
SUBI4
ARGI4
ADDRGP4 memmove
CALLP4
pop
line 148
;147:				edit->buffer + edit->cursor + 1, len - edit->cursor );
;148:		}
line 149
;149:		return;
ADDRGP4 $106
JUMPV
LABELV $110
line 152
;150:	}
;151:
;152:	if ( key == K_RIGHTARROW || key == K_KP_RIGHTARROW ) 
ADDRLP4 20
ADDRFP4 4
INDIRI4
ASGNI4
ADDRLP4 20
INDIRI4
CNSTI4 135
EQI4 $117
ADDRLP4 20
INDIRI4
CNSTI4 165
NEI4 $115
LABELV $117
line 153
;153:	{
line 154
;154:		if ( edit->cursor < len ) {
ADDRFP4 0
INDIRP4
INDIRI4
ADDRLP4 0
INDIRI4
GEI4 $118
line 155
;155:			edit->cursor++;
ADDRLP4 24
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 24
INDIRP4
ADDRLP4 24
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 156
;156:		}
LABELV $118
line 157
;157:		if ( edit->cursor >= edit->scroll + edit->widthInChars && edit->cursor <= len )
ADDRLP4 24
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 28
ADDRLP4 24
INDIRP4
INDIRI4
ASGNI4
ADDRLP4 28
INDIRI4
ADDRLP4 24
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
ADDRLP4 24
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
ADDI4
LTI4 $106
ADDRLP4 28
INDIRI4
ADDRLP4 0
INDIRI4
GTI4 $106
line 158
;158:		{
line 159
;159:			edit->scroll++;
ADDRLP4 32
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
ASGNP4
ADDRLP4 32
INDIRP4
ADDRLP4 32
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 160
;160:		}
line 161
;161:		return;
ADDRGP4 $106
JUMPV
LABELV $115
line 164
;162:	}
;163:
;164:	if ( key == K_LEFTARROW || key == K_KP_LEFTARROW ) 
ADDRLP4 24
ADDRFP4 4
INDIRI4
ASGNI4
ADDRLP4 24
INDIRI4
CNSTI4 134
EQI4 $124
ADDRLP4 24
INDIRI4
CNSTI4 163
NEI4 $122
LABELV $124
line 165
;165:	{
line 166
;166:		if ( edit->cursor > 0 ) {
ADDRFP4 0
INDIRP4
INDIRI4
CNSTI4 0
LEI4 $125
line 167
;167:			edit->cursor--;
ADDRLP4 28
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 28
INDIRP4
ADDRLP4 28
INDIRP4
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
line 168
;168:		}
LABELV $125
line 169
;169:		if ( edit->cursor < edit->scroll )
ADDRLP4 28
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 28
INDIRP4
INDIRI4
ADDRLP4 28
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
GEI4 $106
line 170
;170:		{
line 171
;171:			edit->scroll--;
ADDRLP4 32
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
ASGNP4
ADDRLP4 32
INDIRP4
ADDRLP4 32
INDIRP4
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
line 172
;172:		}
line 173
;173:		return;
ADDRGP4 $106
JUMPV
LABELV $122
line 176
;174:	}
;175:
;176:	if ( key == K_HOME || key == K_KP_HOME || ( tolower(key) == 'a' && trap_Key_IsDown( K_CTRL ) ) ) {
ADDRLP4 28
ADDRFP4 4
INDIRI4
ASGNI4
ADDRLP4 28
INDIRI4
CNSTI4 143
EQI4 $132
ADDRLP4 28
INDIRI4
CNSTI4 160
EQI4 $132
ADDRLP4 28
INDIRI4
ARGI4
ADDRLP4 32
ADDRGP4 tolower
CALLI4
ASGNI4
ADDRLP4 32
INDIRI4
CNSTI4 97
NEI4 $129
CNSTI4 137
ARGI4
ADDRLP4 36
ADDRGP4 trap_Key_IsDown
CALLI4
ASGNI4
ADDRLP4 36
INDIRI4
CNSTI4 0
EQI4 $129
LABELV $132
line 177
;177:		edit->cursor = 0;
ADDRFP4 0
INDIRP4
CNSTI4 0
ASGNI4
line 178
;178:		edit->scroll = 0;
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 0
ASGNI4
line 179
;179:		return;
ADDRGP4 $106
JUMPV
LABELV $129
line 182
;180:	}
;181:
;182:	if ( key == K_END || key == K_KP_END || ( tolower(key) == 'e' && trap_Key_IsDown( K_CTRL ) ) ) {
ADDRLP4 40
ADDRFP4 4
INDIRI4
ASGNI4
ADDRLP4 40
INDIRI4
CNSTI4 144
EQI4 $136
ADDRLP4 40
INDIRI4
CNSTI4 166
EQI4 $136
ADDRLP4 40
INDIRI4
ARGI4
ADDRLP4 44
ADDRGP4 tolower
CALLI4
ASGNI4
ADDRLP4 44
INDIRI4
CNSTI4 101
NEI4 $133
CNSTI4 137
ARGI4
ADDRLP4 48
ADDRGP4 trap_Key_IsDown
CALLI4
ASGNI4
ADDRLP4 48
INDIRI4
CNSTI4 0
EQI4 $133
LABELV $136
line 183
;183:		edit->cursor = len;
ADDRFP4 0
INDIRP4
ADDRLP4 0
INDIRI4
ASGNI4
line 184
;184:		edit->scroll = len - edit->widthInChars + 1;
ADDRLP4 52
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 52
INDIRP4
CNSTI4 4
ADDP4
ADDRLP4 0
INDIRI4
ADDRLP4 52
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
SUBI4
CNSTI4 1
ADDI4
ASGNI4
line 185
;185:		if (edit->scroll < 0)
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
CNSTI4 0
GEI4 $106
line 186
;186:			edit->scroll = 0;
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 0
ASGNI4
line 187
;187:		return;
ADDRGP4 $106
JUMPV
LABELV $133
line 190
;188:	}
;189:
;190:	if ( key == K_INS || key == K_KP_INS ) {
ADDRLP4 52
ADDRFP4 4
INDIRI4
ASGNI4
ADDRLP4 52
INDIRI4
CNSTI4 139
EQI4 $141
ADDRLP4 52
INDIRI4
CNSTI4 170
NEI4 $139
LABELV $141
line 191
;191:		trap_Key_SetOverstrikeMode( !trap_Key_GetOverstrikeMode() );
ADDRLP4 60
ADDRGP4 trap_Key_GetOverstrikeMode
CALLI4
ASGNI4
ADDRLP4 60
INDIRI4
CNSTI4 0
NEI4 $143
ADDRLP4 56
CNSTI4 1
ASGNI4
ADDRGP4 $144
JUMPV
LABELV $143
ADDRLP4 56
CNSTI4 0
ASGNI4
LABELV $144
ADDRLP4 56
INDIRI4
ARGI4
ADDRGP4 trap_Key_SetOverstrikeMode
CALLV
pop
line 192
;192:		return;
LABELV $139
line 194
;193:	}
;194:}
LABELV $106
endproc MField_KeyDownEvent 64 12
export MField_CharEvent
proc MField_CharEvent 36 12
line 201
;195:
;196:/*
;197:==================
;198:MField_CharEvent
;199:==================
;200:*/
;201:void MField_CharEvent( mfield_t *edit, int ch ) {
line 204
;202:	int		len;
;203:
;204:	if ( ch == 'v' - 'a' + 1 ) {	// ctrl-v is paste
ADDRFP4 4
INDIRI4
CNSTI4 22
NEI4 $146
line 205
;205:		MField_Paste( edit );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 MField_Paste
CALLV
pop
line 206
;206:		return;
ADDRGP4 $145
JUMPV
LABELV $146
line 209
;207:	}
;208:
;209:	if ( ch == 'c' - 'a' + 1 ) {	// ctrl-c clears the field
ADDRFP4 4
INDIRI4
CNSTI4 3
NEI4 $148
line 210
;210:		MField_Clear( edit );
ADDRFP4 0
INDIRP4
ARGP4
ADDRGP4 MField_Clear
CALLV
pop
line 211
;211:		return;
ADDRGP4 $145
JUMPV
LABELV $148
line 214
;212:	}
;213:
;214:	len = strlen( edit->buffer );
ADDRFP4 0
INDIRP4
CNSTI4 12
ADDP4
ARGP4
ADDRLP4 4
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 4
INDIRI4
ASGNI4
line 216
;215:
;216:	if ( ch == 'h' - 'a' + 1 )	{	// ctrl-h is backspace
ADDRFP4 4
INDIRI4
CNSTI4 8
NEI4 $150
line 217
;217:		if ( edit->cursor > 0 ) {
ADDRFP4 0
INDIRP4
INDIRI4
CNSTI4 0
LEI4 $145
line 218
;218:			memmove( edit->buffer + edit->cursor - 1, 
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12
ADDRLP4 8
INDIRP4
INDIRI4
ASGNI4
ADDRLP4 16
ADDRLP4 12
INDIRI4
ADDRLP4 8
INDIRP4
CNSTI4 12
ADDP4
ADDP4
ASGNP4
ADDRLP4 16
INDIRP4
CNSTI4 -1
ADDP4
ARGP4
ADDRLP4 16
INDIRP4
ARGP4
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ADDRLP4 12
INDIRI4
SUBI4
ARGI4
ADDRGP4 memmove
CALLP4
pop
line 220
;219:				edit->buffer + edit->cursor, len + 1 - edit->cursor );
;220:			edit->cursor--;
ADDRLP4 20
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 20
INDIRP4
ADDRLP4 20
INDIRP4
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
line 221
;221:			if ( edit->cursor < edit->scroll )
ADDRLP4 24
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 24
INDIRP4
INDIRI4
ADDRLP4 24
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
GEI4 $145
line 222
;222:			{
line 223
;223:				edit->scroll--;
ADDRLP4 28
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
ASGNP4
ADDRLP4 28
INDIRP4
ADDRLP4 28
INDIRP4
INDIRI4
CNSTI4 1
SUBI4
ASGNI4
line 224
;224:			}
line 225
;225:		}
line 226
;226:		return;
ADDRGP4 $145
JUMPV
LABELV $150
line 229
;227:	}
;228:
;229:	if ( ch == 'a' - 'a' + 1 ) {	// ctrl-a is home
ADDRFP4 4
INDIRI4
CNSTI4 1
NEI4 $156
line 230
;230:		edit->cursor = 0;
ADDRFP4 0
INDIRP4
CNSTI4 0
ASGNI4
line 231
;231:		edit->scroll = 0;
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 0
ASGNI4
line 232
;232:		return;
ADDRGP4 $145
JUMPV
LABELV $156
line 235
;233:	}
;234:
;235:	if ( ch == 'e' - 'a' + 1 ) {	// ctrl-e is end
ADDRFP4 4
INDIRI4
CNSTI4 5
NEI4 $158
line 236
;236:		edit->cursor = len;
ADDRFP4 0
INDIRP4
ADDRLP4 0
INDIRI4
ASGNI4
line 237
;237:		edit->scroll = edit->cursor - edit->widthInChars + 1;
ADDRLP4 8
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 8
INDIRP4
CNSTI4 4
ADDP4
ADDRLP4 8
INDIRP4
INDIRI4
ADDRLP4 8
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
SUBI4
CNSTI4 1
ADDI4
ASGNI4
line 238
;238:		if (edit->scroll < 0)
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
INDIRI4
CNSTI4 0
GEI4 $145
line 239
;239:			edit->scroll = 0;
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 0
ASGNI4
line 240
;240:		return;
ADDRGP4 $145
JUMPV
LABELV $158
line 246
;241:	}
;242:
;243:	//
;244:	// ignore any other non printable chars
;245:	//
;246:	if ( ch < 32 ) {
ADDRFP4 4
INDIRI4
CNSTI4 32
GEI4 $162
line 247
;247:		return;
ADDRGP4 $145
JUMPV
LABELV $162
line 250
;248:	}
;249:
;250:	if ( !trap_Key_GetOverstrikeMode() ) {	
ADDRLP4 8
ADDRGP4 trap_Key_GetOverstrikeMode
CALLI4
ASGNI4
ADDRLP4 8
INDIRI4
CNSTI4 0
NEI4 $164
line 251
;251:		if ((edit->cursor == MAX_EDIT_LINE - 1) || (edit->maxchars && edit->cursor >= edit->maxchars))
ADDRLP4 12
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 16
ADDRLP4 12
INDIRP4
INDIRI4
ASGNI4
ADDRLP4 16
INDIRI4
CNSTI4 255
EQI4 $168
ADDRLP4 20
ADDRLP4 12
INDIRP4
CNSTI4 268
ADDP4
INDIRI4
ASGNI4
ADDRLP4 20
INDIRI4
CNSTI4 0
EQI4 $165
ADDRLP4 16
INDIRI4
ADDRLP4 20
INDIRI4
LTI4 $165
LABELV $168
line 252
;252:			return;
ADDRGP4 $145
JUMPV
line 253
;253:	} else {
LABELV $164
line 255
;254:		// insert mode
;255:		if (( len == MAX_EDIT_LINE - 1 ) || (edit->maxchars && len >= edit->maxchars))
ADDRLP4 0
INDIRI4
CNSTI4 255
EQI4 $171
ADDRLP4 16
ADDRFP4 0
INDIRP4
CNSTI4 268
ADDP4
INDIRI4
ASGNI4
ADDRLP4 16
INDIRI4
CNSTI4 0
EQI4 $169
ADDRLP4 0
INDIRI4
ADDRLP4 16
INDIRI4
LTI4 $169
LABELV $171
line 256
;256:			return;
ADDRGP4 $145
JUMPV
LABELV $169
line 257
;257:		memmove( edit->buffer + edit->cursor + 1, edit->buffer + edit->cursor, len + 1 - edit->cursor );
ADDRLP4 20
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 24
ADDRLP4 20
INDIRP4
INDIRI4
ASGNI4
ADDRLP4 28
ADDRLP4 24
INDIRI4
ADDRLP4 20
INDIRP4
CNSTI4 12
ADDP4
ADDP4
ASGNP4
ADDRLP4 32
CNSTI4 1
ASGNI4
ADDRLP4 28
INDIRP4
ADDRLP4 32
INDIRI4
ADDP4
ARGP4
ADDRLP4 28
INDIRP4
ARGP4
ADDRLP4 0
INDIRI4
ADDRLP4 32
INDIRI4
ADDI4
ADDRLP4 24
INDIRI4
SUBI4
ARGI4
ADDRGP4 memmove
CALLP4
pop
line 258
;258:	}
LABELV $165
line 260
;259:
;260:	edit->buffer[edit->cursor] = ch;
ADDRLP4 12
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12
INDIRP4
INDIRI4
ADDRLP4 12
INDIRP4
CNSTI4 12
ADDP4
ADDP4
ADDRFP4 4
INDIRI4
CVII1 4
ASGNI1
line 261
;261:	if (!edit->maxchars || edit->cursor < edit->maxchars-1)
ADDRLP4 16
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 20
ADDRLP4 16
INDIRP4
CNSTI4 268
ADDP4
INDIRI4
ASGNI4
ADDRLP4 20
INDIRI4
CNSTI4 0
EQI4 $174
ADDRLP4 16
INDIRP4
INDIRI4
ADDRLP4 20
INDIRI4
CNSTI4 1
SUBI4
GEI4 $172
LABELV $174
line 262
;262:		edit->cursor++;
ADDRLP4 24
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 24
INDIRP4
ADDRLP4 24
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $172
line 264
;263:
;264:	if ( edit->cursor >= edit->widthInChars )
ADDRLP4 28
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 28
INDIRP4
INDIRI4
ADDRLP4 28
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
LTI4 $175
line 265
;265:	{
line 266
;266:		edit->scroll++;
ADDRLP4 32
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
ASGNP4
ADDRLP4 32
INDIRP4
ADDRLP4 32
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 267
;267:	}
LABELV $175
line 269
;268:
;269:	if ( edit->cursor == len + 1) {
ADDRFP4 0
INDIRP4
INDIRI4
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
NEI4 $177
line 270
;270:		edit->buffer[edit->cursor] = 0;
ADDRLP4 32
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 32
INDIRP4
INDIRI4
ADDRLP4 32
INDIRP4
CNSTI4 12
ADDP4
ADDP4
CNSTI1 0
ASGNI1
line 271
;271:	}
LABELV $177
line 272
;272:}
LABELV $145
endproc MField_CharEvent 36 12
export MField_Clear
proc MField_Clear 0 0
line 279
;273:
;274:/*
;275:==================
;276:MField_Clear
;277:==================
;278:*/
;279:void MField_Clear( mfield_t *edit ) {
line 280
;280:	edit->buffer[0] = 0;
ADDRFP4 0
INDIRP4
CNSTI4 12
ADDP4
CNSTI1 0
ASGNI1
line 281
;281:	edit->cursor = 0;
ADDRFP4 0
INDIRP4
CNSTI4 0
ASGNI4
line 282
;282:	edit->scroll = 0;
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
CNSTI4 0
ASGNI4
line 283
;283:}
LABELV $179
endproc MField_Clear 0 0
export MenuField_Init
proc MenuField_Init 32 4
line 290
;284:
;285:/*
;286:==================
;287:MenuField_Init
;288:==================
;289:*/
;290:void MenuField_Init( menufield_s* m ) {
line 295
;291:	int	l;
;292:	int	w;
;293:	int	h;
;294:
;295:	MField_Clear( &m->field );
ADDRFP4 0
INDIRP4
CNSTI4 60
ADDP4
ARGP4
ADDRGP4 MField_Clear
CALLV
pop
line 297
;296:
;297:	if (m->field.style & UI_TINYFONT)
ADDRFP4 0
INDIRP4
CNSTI4 332
ADDP4
INDIRI4
CNSTI4 65536
BANDI4
CNSTI4 0
EQI4 $181
line 298
;298:	{
line 299
;299:		w = TINYCHAR_WIDTH;
ADDRLP4 0
CNSTI4 8
ASGNI4
line 300
;300:		h = TINYCHAR_HEIGHT;
ADDRLP4 8
CNSTI4 8
ASGNI4
line 301
;301:	}
ADDRGP4 $182
JUMPV
LABELV $181
line 302
;302:	else if (m->field.style & UI_BIGFONT)
ADDRFP4 0
INDIRP4
CNSTI4 332
ADDP4
INDIRI4
CNSTI4 32
BANDI4
CNSTI4 0
EQI4 $183
line 303
;303:	{
line 304
;304:		w = BIGCHAR_WIDTH;
ADDRLP4 0
CNSTI4 16
ASGNI4
line 305
;305:		h = BIGCHAR_HEIGHT;
ADDRLP4 8
CNSTI4 16
ASGNI4
line 306
;306:	}
ADDRGP4 $184
JUMPV
LABELV $183
line 307
;307:	else if (m->field.style & UI_GIANTFONT)
ADDRFP4 0
INDIRP4
CNSTI4 332
ADDP4
INDIRI4
CNSTI4 64
BANDI4
CNSTI4 0
EQI4 $185
line 308
;308:	{
line 309
;309:		w = GIANTCHAR_WIDTH;
ADDRLP4 0
CNSTI4 32
ASGNI4
line 310
;310:		h = GIANTCHAR_HEIGHT;
ADDRLP4 8
CNSTI4 48
ASGNI4
line 311
;311:	}	
ADDRGP4 $186
JUMPV
LABELV $185
line 313
;312:	else 
;313:	{
line 314
;314:		w = SMALLCHAR_WIDTH;
ADDRLP4 0
CNSTI4 8
ASGNI4
line 315
;315:		h = SMALLCHAR_HEIGHT;
ADDRLP4 8
CNSTI4 16
ASGNI4
line 316
;316:	}
LABELV $186
LABELV $184
LABELV $182
line 320
;317:
;318:
;319:
;320:	if (m->generic.name) {
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $187
line 321
;321:		l = (strlen( m->generic.name )+1) * w;		
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
INDIRP4
ARGP4
ADDRLP4 12
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 4
ADDRLP4 12
INDIRI4
CNSTI4 1
ADDI4
ADDRLP4 0
INDIRI4
MULI4
ASGNI4
line 322
;322:	}
ADDRGP4 $188
JUMPV
LABELV $187
line 323
;323:	else {
line 324
;324:		l = 0;
ADDRLP4 4
CNSTI4 0
ASGNI4
line 325
;325:	}
LABELV $188
line 327
;326:
;327:	m->generic.left   = m->generic.x - l;
ADDRLP4 12
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 12
INDIRP4
CNSTI4 20
ADDP4
ADDRLP4 12
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
ADDRLP4 4
INDIRI4
SUBI4
ASGNI4
line 328
;328:	m->generic.top    = m->generic.y;
ADDRLP4 16
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 16
INDIRP4
CNSTI4 24
ADDP4
ADDRLP4 16
INDIRP4
CNSTI4 16
ADDP4
INDIRI4
ASGNI4
line 329
;329:	m->generic.right  = m->generic.x + w + m->field.widthInChars*w;
ADDRLP4 20
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 20
INDIRP4
CNSTI4 28
ADDP4
ADDRLP4 20
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
ADDRLP4 0
INDIRI4
ADDI4
ADDRLP4 20
INDIRP4
CNSTI4 68
ADDP4
INDIRI4
ADDRLP4 0
INDIRI4
MULI4
ADDI4
ASGNI4
line 330
;330:	m->generic.bottom = m->generic.y + h;
ADDRLP4 28
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 28
INDIRP4
CNSTI4 32
ADDP4
ADDRLP4 28
INDIRP4
CNSTI4 16
ADDP4
INDIRI4
ADDRLP4 8
INDIRI4
ADDI4
ASGNI4
line 331
;331:}
LABELV $180
endproc MenuField_Init 32 4
export MenuField_Draw
proc MenuField_Draw 64 24
line 339
;332:
;333:/*
;334:==================
;335:MenuField_Draw
;336:==================
;337:*/
;338:void MenuField_Draw( menufield_s *f )
;339:{
line 349
;340:	int			x;
;341:	int			y;
;342:	int			w;
;343:	int			h;
;344:	int			style;
;345:	qboolean	focus;
;346:	int			color,titleColor;
;347:	menuframework_s *menu;
;348:
;349:	x =	f->generic.x;
ADDRLP4 4
ADDRFP4 0
INDIRP4
CNSTI4 12
ADDP4
INDIRI4
ASGNI4
line 350
;350:	y =	f->generic.y;
ADDRLP4 8
ADDRFP4 0
INDIRP4
CNSTI4 16
ADDP4
INDIRI4
ASGNI4
line 352
;351:
;352:	if (f->field.style & UI_TINYFONT)
ADDRFP4 0
INDIRP4
CNSTI4 332
ADDP4
INDIRI4
CNSTI4 65536
BANDI4
CNSTI4 0
EQI4 $190
line 353
;353:	{
line 354
;354:		w = TINYCHAR_WIDTH;
ADDRLP4 20
CNSTI4 8
ASGNI4
line 355
;355:		h = TINYCHAR_HEIGHT;
ADDRLP4 24
CNSTI4 8
ASGNI4
line 356
;356:		style = UI_TINYFONT;
ADDRLP4 12
CNSTI4 65536
ASGNI4
line 357
;357:	}
ADDRGP4 $191
JUMPV
LABELV $190
line 358
;358:	else if (f->field.style & UI_BIGFONT)
ADDRFP4 0
INDIRP4
CNSTI4 332
ADDP4
INDIRI4
CNSTI4 32
BANDI4
CNSTI4 0
EQI4 $192
line 359
;359:	{
line 360
;360:		w = BIGCHAR_WIDTH;
ADDRLP4 20
CNSTI4 16
ASGNI4
line 361
;361:		h = BIGCHAR_HEIGHT;
ADDRLP4 24
CNSTI4 16
ASGNI4
line 362
;362:		style = UI_BIGFONT;
ADDRLP4 12
CNSTI4 32
ASGNI4
line 363
;363:	}
ADDRGP4 $193
JUMPV
LABELV $192
line 364
;364:	else if (f->field.style & UI_GIANTFONT)
ADDRFP4 0
INDIRP4
CNSTI4 332
ADDP4
INDIRI4
CNSTI4 64
BANDI4
CNSTI4 0
EQI4 $194
line 365
;365:	{
line 366
;366:		w = GIANTCHAR_WIDTH;
ADDRLP4 20
CNSTI4 32
ASGNI4
line 367
;367:		h = GIANTCHAR_HEIGHT;
ADDRLP4 24
CNSTI4 48
ASGNI4
line 368
;368:		style = UI_GIANTFONT;
ADDRLP4 12
CNSTI4 64
ASGNI4
line 369
;369:	}	
ADDRGP4 $195
JUMPV
LABELV $194
line 371
;370:	else 
;371:	{
line 372
;372:		w = SMALLCHAR_WIDTH;
ADDRLP4 20
CNSTI4 8
ASGNI4
line 373
;373:		h = SMALLCHAR_HEIGHT;
ADDRLP4 24
CNSTI4 16
ASGNI4
line 374
;374:		style = UI_SMALLFONT;
ADDRLP4 12
CNSTI4 16
ASGNI4
line 375
;375:	}
LABELV $195
LABELV $193
LABELV $191
line 378
;376:
;377:
;378:	if (Menu_ItemAtCursor( f->generic.parent ) == f) 
ADDRLP4 36
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 36
INDIRP4
CNSTI4 36
ADDP4
INDIRP4
ARGP4
ADDRLP4 40
ADDRGP4 Menu_ItemAtCursor
CALLP4
ASGNP4
ADDRLP4 36
INDIRP4
CVPU4 4
ADDRLP4 40
INDIRP4
CVPU4 4
NEU4 $196
line 379
;379:	{
line 380
;380:		focus = qtrue;
ADDRLP4 0
CNSTI4 1
ASGNI4
line 381
;381:		style |= UI_SHOWCOLOR;
ADDRLP4 12
ADDRLP4 12
INDIRI4
CNSTI4 131072
BORI4
ASGNI4
line 382
;382:	}
ADDRGP4 $197
JUMPV
LABELV $196
line 383
;383:	else {
line 384
;384:		focus = qfalse;
ADDRLP4 0
CNSTI4 0
ASGNI4
line 385
;385:	}
LABELV $197
line 387
;386:
;387:	if (f->generic.flags & QMF_GRAYED)
ADDRFP4 0
INDIRP4
CNSTI4 44
ADDP4
INDIRU4
CNSTU4 8192
BANDU4
CNSTU4 0
EQU4 $198
line 388
;388:	{
line 389
;389:		color = CT_DKGREY;
ADDRLP4 16
CNSTI4 11
ASGNI4
line 390
;390:	}
ADDRGP4 $199
JUMPV
LABELV $198
line 391
;391:	else if (focus)
ADDRLP4 0
INDIRI4
CNSTI4 0
EQI4 $200
line 392
;392:	{
line 393
;393:		color = f->field.textcolor2;
ADDRLP4 16
ADDRFP4 0
INDIRP4
CNSTI4 348
ADDP4
INDIRI4
ASGNI4
line 394
;394:	}
ADDRGP4 $201
JUMPV
LABELV $200
line 396
;395:	else
;396:	{
line 397
;397:		color = f->field.textcolor;
ADDRLP4 16
ADDRFP4 0
INDIRP4
CNSTI4 344
ADDP4
INDIRI4
ASGNI4
line 398
;398:	}
LABELV $201
LABELV $199
line 401
;399:
;400:	// draw higlighted box
;401:	if ( focus )
ADDRLP4 0
INDIRI4
CNSTI4 0
EQI4 $202
line 402
;402:	{
line 403
;403:		UI_FillRect( f->generic.left, f->generic.top, f->generic.right-f->generic.left+1, 
ADDRLP4 44
ADDRFP4 0
INDIRP4
ASGNP4
ADDRLP4 48
ADDRLP4 44
INDIRP4
CNSTI4 20
ADDP4
INDIRI4
ASGNI4
ADDRLP4 48
INDIRI4
CVIF4 4
ARGF4
ADDRLP4 52
ADDRLP4 44
INDIRP4
CNSTI4 24
ADDP4
INDIRI4
ASGNI4
ADDRLP4 52
INDIRI4
CVIF4 4
ARGF4
ADDRLP4 56
CNSTI4 1
ASGNI4
ADDRLP4 44
INDIRP4
CNSTI4 28
ADDP4
INDIRI4
ADDRLP4 48
INDIRI4
SUBI4
ADDRLP4 56
INDIRI4
ADDI4
CVIF4 4
ARGF4
ADDRLP4 44
INDIRP4
CNSTI4 32
ADDP4
INDIRI4
ADDRLP4 52
INDIRI4
SUBI4
ADDRLP4 56
INDIRI4
ADDI4
CVIF4 4
ARGF4
ADDRGP4 listbar_color
ARGP4
ADDRGP4 UI_FillRect
CALLV
pop
line 407
;404:			f->generic.bottom-f->generic.top+1, listbar_color ); 
;405:
;406:		// Print description
;407:		if (menu_button_text[f->field.titleEnum][1])
ADDRFP4 0
INDIRP4
CNSTI4 336
ADDP4
INDIRI4
CNSTI4 3
LSHI4
ADDRGP4 menu_button_text+4
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $204
line 408
;408:		{
line 409
;409:			menu = f->generic.parent;
ADDRLP4 32
ADDRFP4 0
INDIRP4
CNSTI4 36
ADDP4
INDIRP4
ASGNP4
line 410
;410:			UI_DrawProportionalString( menu->descX, menu->descY, menu_button_text[f->field.titleEnum][1], UI_LEFT|UI_TINYFONT, colorTable[CT_BLACK]);
ADDRLP4 60
ADDRLP4 32
INDIRP4
ASGNP4
ADDRLP4 60
INDIRP4
CNSTI4 292
ADDP4
INDIRI4
ARGI4
ADDRLP4 60
INDIRP4
CNSTI4 296
ADDP4
INDIRI4
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 336
ADDP4
INDIRI4
CNSTI4 3
LSHI4
ADDRGP4 menu_button_text+4
ADDP4
INDIRP4
ARGP4
CNSTI4 65536
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 411
;411:		}
LABELV $204
line 412
;412:	}
LABELV $202
line 414
;413:
;414:	if ( f->field.titleEnum ) 
ADDRFP4 0
INDIRP4
CNSTI4 336
ADDP4
INDIRI4
CNSTI4 0
EQI4 $209
line 415
;415:	{
line 416
;416:		if (f->field.titlecolor)
ADDRFP4 0
INDIRP4
CNSTI4 340
ADDP4
INDIRI4
CNSTI4 0
EQI4 $211
line 417
;417:		{ 
line 418
;418:			titleColor = f->field.titlecolor;
ADDRLP4 28
ADDRFP4 0
INDIRP4
CNSTI4 340
ADDP4
INDIRI4
ASGNI4
line 419
;419:		}
ADDRGP4 $212
JUMPV
LABELV $211
line 421
;420:		else
;421:		{ 
line 422
;422:			titleColor = CT_BLACK;
ADDRLP4 28
CNSTI4 1
ASGNI4
line 423
;423:		}
LABELV $212
line 425
;424:
;425:		UI_DrawProportionalString(  x - 10, y, menu_button_text[f->field.titleEnum][0],UI_RIGHT | UI_SMALLFONT, colorTable[titleColor]);	
ADDRLP4 4
INDIRI4
CNSTI4 10
SUBI4
ARGI4
ADDRLP4 8
INDIRI4
ARGI4
ADDRFP4 0
INDIRP4
CNSTI4 336
ADDP4
INDIRI4
CNSTI4 3
LSHI4
ADDRGP4 menu_button_text
ADDP4
INDIRP4
ARGP4
CNSTI4 18
ARGI4
ADDRLP4 28
INDIRI4
CNSTI4 4
LSHI4
ADDRGP4 colorTable
ADDP4
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 426
;426:	}
LABELV $209
line 428
;427:
;428:	if ( f->generic.name ) 
ADDRFP4 0
INDIRP4
CNSTI4 4
ADDP4
INDIRP4
CVPU4 4
CNSTU4 0
EQU4 $213
line 429
;429:	{
line 430
;430:		UI_DrawString( x - w, y, f->generic.name, style|UI_RIGHT, colorTable[color] );
ADDRLP4 4
INDIRI4
ADDRLP4 20
INDIRI4
SUBI4
ARGI4
ADDRLP4 8
INDIRI4
ARGI4
ADDRLP4 44
CNSTI4 4
ASGNI4
ADDRFP4 0
INDIRP4
ADDRLP4 44
INDIRI4
ADDP4
INDIRP4
ARGP4
ADDRLP4 12
INDIRI4
CNSTI4 2
BORI4
ARGI4
ADDRLP4 16
INDIRI4
ADDRLP4 44
INDIRI4
LSHI4
ADDRGP4 colorTable
ADDP4
ARGP4
ADDRGP4 UI_DrawString
CALLV
pop
line 431
;431:	}
LABELV $213
line 433
;432:
;433:	MField_Draw( &f->field, x, y, style, colorTable[color],focus );
ADDRFP4 0
INDIRP4
CNSTI4 60
ADDP4
ARGP4
ADDRLP4 4
INDIRI4
ARGI4
ADDRLP4 8
INDIRI4
ARGI4
ADDRLP4 12
INDIRI4
ARGI4
ADDRLP4 16
INDIRI4
CNSTI4 4
LSHI4
ADDRGP4 colorTable
ADDP4
ARGP4
ADDRLP4 0
INDIRI4
ARGI4
ADDRGP4 MField_Draw
CALLV
pop
line 435
;434:
;435:}
LABELV $189
endproc MenuField_Draw 64 24
export MenuField_Key
proc MenuField_Key 44 8
line 443
;436:
;437:/*
;438:==================
;439:MenuField_Key
;440:==================
;441:*/
;442:sfxHandle_t MenuField_Key( menufield_s* m, int* key )
;443:{
line 446
;444:	int keycode;
;445:
;446:	keycode = *key;
ADDRLP4 0
ADDRFP4 4
INDIRP4
INDIRI4
ASGNI4
line 448
;447:
;448:	switch ( keycode )
ADDRLP4 0
INDIRI4
CNSTI4 132
EQI4 $217
ADDRLP4 8
CNSTI4 133
ASGNI4
ADDRLP4 0
INDIRI4
ADDRLP4 8
INDIRI4
EQI4 $217
ADDRLP4 0
INDIRI4
ADDRLP4 8
INDIRI4
GTI4 $229
LABELV $228
ADDRLP4 16
CNSTI4 9
ASGNI4
ADDRLP4 0
INDIRI4
ADDRLP4 16
INDIRI4
EQI4 $217
ADDRLP4 0
INDIRI4
ADDRLP4 16
INDIRI4
LTI4 $216
LABELV $230
ADDRLP4 0
INDIRI4
CNSTI4 13
EQI4 $218
ADDRGP4 $216
JUMPV
LABELV $229
ADDRLP4 0
INDIRI4
CNSTI4 167
EQI4 $217
ADDRLP4 24
CNSTI4 169
ASGNI4
ADDRLP4 0
INDIRI4
ADDRLP4 24
INDIRI4
EQI4 $218
ADDRLP4 0
INDIRI4
ADDRLP4 24
INDIRI4
GTI4 $232
LABELV $231
ADDRLP4 0
INDIRI4
CNSTI4 161
EQI4 $217
ADDRGP4 $216
JUMPV
LABELV $232
ADDRLP4 0
INDIRI4
CNSTI4 185
LTI4 $216
ADDRLP4 0
INDIRI4
CNSTI4 188
GTI4 $216
ADDRLP4 0
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 $233-740
ADDP4
INDIRP4
JUMPV
lit
align 4
LABELV $233
address $218
address $218
address $218
address $218
code
line 449
;449:	{
LABELV $218
line 457
;450:		case K_KP_ENTER:
;451:		case K_ENTER:
;452:		case K_JOY1:
;453:		case K_JOY2:
;454:		case K_JOY3:
;455:		case K_JOY4:
;456:			// have enter go to next cursor point
;457:			*key = K_TAB;
ADDRFP4 4
INDIRP4
CNSTI4 9
ASGNI4
line 458
;458:			break;
ADDRGP4 $217
JUMPV
line 465
;459:
;460:		case K_TAB:
;461:		case K_KP_DOWNARROW:
;462:		case K_DOWNARROW:
;463:		case K_KP_UPARROW:
;464:		case K_UPARROW:
;465:			break;
LABELV $216
line 468
;466:
;467:		default:
;468:			if ( keycode & K_CHAR_FLAG )
ADDRLP4 0
INDIRI4
CNSTI4 1024
BANDI4
CNSTI4 0
EQI4 $220
line 469
;469:			{
line 470
;470:				keycode &= ~K_CHAR_FLAG;
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 -1025
BANDI4
ASGNI4
line 472
;471:
;472:				if ((m->generic.flags & QMF_UPPERCASE) && Q_islower( keycode ))
ADDRFP4 0
INDIRP4
CNSTI4 44
ADDP4
INDIRU4
CNSTU4 524288
BANDU4
CNSTU4 0
EQU4 $222
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 32
ADDRGP4 Q_islower
CALLI4
ASGNI4
ADDRLP4 32
INDIRI4
CNSTI4 0
EQI4 $222
line 473
;473:					keycode -= 'a' - 'A';
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 32
SUBI4
ASGNI4
ADDRGP4 $223
JUMPV
LABELV $222
line 474
;474:				else if ((m->generic.flags & QMF_LOWERCASE) && Q_isupper( keycode ))
ADDRFP4 0
INDIRP4
CNSTI4 44
ADDP4
INDIRU4
CNSTU4 262144
BANDU4
CNSTU4 0
EQU4 $224
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 36
ADDRGP4 Q_isupper
CALLI4
ASGNI4
ADDRLP4 36
INDIRI4
CNSTI4 0
EQI4 $224
line 475
;475:					keycode -= 'A' - 'a';
ADDRLP4 0
ADDRLP4 0
INDIRI4
CNSTI4 -32
SUBI4
ASGNI4
ADDRGP4 $225
JUMPV
LABELV $224
line 476
;476:				else if ((m->generic.flags & QMF_NUMBERSONLY) && Q_isalpha( keycode ))
ADDRFP4 0
INDIRP4
CNSTI4 44
ADDP4
INDIRU4
CNSTU4 32
BANDU4
CNSTU4 0
EQU4 $226
ADDRLP4 0
INDIRI4
ARGI4
ADDRLP4 40
ADDRGP4 Q_isalpha
CALLI4
ASGNI4
ADDRLP4 40
INDIRI4
CNSTI4 0
EQI4 $226
line 477
;477:					return (menu_buzz_sound);
ADDRGP4 menu_buzz_sound
INDIRI4
RETI4
ADDRGP4 $215
JUMPV
LABELV $226
LABELV $225
LABELV $223
line 479
;478:
;479:				MField_CharEvent( &m->field, keycode);
ADDRFP4 0
INDIRP4
CNSTI4 60
ADDP4
ARGP4
ADDRLP4 0
INDIRI4
ARGI4
ADDRGP4 MField_CharEvent
CALLV
pop
line 480
;480:			}
ADDRGP4 $217
JUMPV
LABELV $220
line 482
;481:			else
;482:				MField_KeyDownEvent( &m->field, keycode );
ADDRFP4 0
INDIRP4
CNSTI4 60
ADDP4
ARGP4
ADDRLP4 0
INDIRI4
ARGI4
ADDRGP4 MField_KeyDownEvent
CALLV
pop
line 483
;483:			break;
LABELV $217
line 486
;484:	}
;485:
;486:	return (0);
CNSTI4 0
RETI4
LABELV $215
endproc MenuField_Key 44 8
import JoyYButtonCallback
import JoyXButtonCallback
import AnisotropicFilteringCallback
import SmoothMouseCallback
import MouseSpeedCallback
import InvertMouseCallback
import UI_PrintMenuGraphics
import UI_MenuBottomLineEnd_Graphics
import UI_InitGameinfo
import UI_GetAwardLevel
import UI_LogAwardData
import UI_NewGame
import UI_GetCurrentGame
import UI_CanShowTierVideo
import UI_ShowTierVideo
import UI_TierCompleted
import UI_SetBestScore
import UI_GetBestScore
import UI_GetNumBots
import UI_GetBotInfoByName
import UI_GetBotInfoByNumber
import UI_ServerAdvancedOptions
import UI_GetNumSPTiers
import UI_GetNumSPArenas
import UI_GetNumArenas
import UI_GetSpecialArenaInfo
import UI_GetArenaInfoByMap
import UI_GetArenaInfoByNumber
import UI_NetworkOptionsMenu
import UI_NetworkOptionsMenu_Cache
import ScreensizeCallback
import GammaCallback
import UI_FontsMenu
import UI_SoundMenu_Cache
import UI_SoundMenu
import setup_menubuttons
import UI_DisplayOptionsMenu
import UI_TeamOrdersMenu_Cache
import UI_TeamOrdersMenu_f
import UI_TeamOrdersMenu
import UI_RemoveBotsMenu
import UI_RemoveBots_Cache
import UI_AddBotsMenu
import UI_AddBots_Cache
import trap_R_ModelBounds
import trap_SetCDKey
import trap_MemoryRemaining
import trap_LAN_GetPingInfo
import trap_LAN_GetPing
import trap_LAN_ClearPing
import trap_LAN_GetPingQueueCount
import trap_LAN_GetGlobalServerAddressString
import trap_LAN_GetGlobalServerCount
import trap_LAN_GetLocalServerAddressString
import trap_LAN_GetLocalServerCount
import trap_GetConfigString
import trap_GetGlconfig
import trap_GetClientState
import trap_GetClipboardData
import trap_Key_SetCatcher
import trap_Key_GetCatcher
import trap_Key_ClearStates
import trap_Key_SetOverstrikeMode
import trap_Key_GetOverstrikeMode
import trap_Key_IsDown
import trap_Key_SetBinding
import trap_Key_GetBindingBuf
import trap_Key_KeynumToStringBuf
import trap_S_RegisterSound
import trap_S_StartLocalSound
import trap_CM_LerpTag
import trap_UpdateScreen
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_RenderScene
import trap_R_AddLightToScene
import trap_R_AddPolyToScene
import trap_R_AddRefEntityToScene
import trap_R_ClearScene
import trap_R_RegisterShaderNoMip
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_FS_GetFileList
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Cmd_ExecuteText
import trap_Argv
import trap_Argc
import trap_Cvar_InfoStringBuffer
import trap_Cvar_Create
import trap_Cvar_Reset
import trap_Cvar_SetValue
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import UI_SPSkillMenu_Cache
import UI_SPSkillMenu
import UI_SPPostgameMenu_f
import UI_SPPostgameMenu_Cache
import UI_SPArena_Start
import UI_ResetGameMenu_Cache
import UI_SPLevelMenu_ReInit
import UI_SPLevelMenu_f
import UI_SPLevelMenu
import UI_SPLevelMenu_Cache
import uis
import m_entersound
import UI_MenuFrame2
import UI_MenuFrame
import UI_PrecacheMenuGraphics
import UI_Cvar_VariableString
import UI_Argv
import UI_ForceMenuOff
import UI_PopMenu
import UI_PushMenu
import UI_SetActiveMenu
import UI_IsFullscreen
import UI_AdjustFrom640
import UI_CursorInRect
import UI_DrawChar
import UI_DrawString
import UI_ProportionalStringWidth
import UI_DrawProportionalString
import UI_ProportionalSizeScale
import UI_DrawBannerString
import UI_DrawRect
import UI_FillRect
import UI_DrawHandlePic
import UI_DrawNamedPic
import UI_ClampCvar
import UI_ConsoleCommand
import UI_Refresh
import UI_MouseEvent
import UI_KeyEvent
import UI_Shutdown
import UI_Init
import UI_InitSpinControl
import UI_LoadButtonText
import UI_LoadMenuText
import UI_RegisterClientModelname
import UI_PlayerInfo_SetInfo
import UI_PlayerInfo_SetModel
import UI_DrawPlayer
import UI_VideoDriverMenu_Cache
import UI_VideoData2Menu_Cache
import UI_VideoDataMenu_Cache
import UI_VideoDataMenu
import DriverInfo_Cache
import ServerInfo_Cache
import UI_ServerInfoMenu
import UI_BotSelectMenu_Cache
import UI_BotSelectMenu
import ServerOptions_Cache
import StartServer_Cache
import UI_StartServerMenu
import UI_ChooseServerTypeMenu_Cache
import ArenaServers_Cache
import UI_ArenaServersMenu
import SpecifyServer_Cache
import UI_SpecifyServerMenu
import s_voicelanguage_Names
import s_textlanguage_Names
import UI_GameOptionsMenu_Cache
import UI_GameOptionsMenu
import PlayerSettings_Cache
import UI_PlayerSettingsMenu
import PlayerModel_Cache
import UI_PlayerModelMenu
import UI_CDKeyMenu2
import UI_CDKeyMenu_f
import UI_CDKeyMenu_Cache
import UI_CDKeyMenu
import UI_ModsMenu_Cache
import UI_ModsMenu
import UI_DemosMenu
import SetupMenu_TopButtons
import UI_ControlsMouseJoyStickMenu_Cache
import Controls_Cache
import UI_DrawConnectScreen
import TeamMain_Cache
import UI_TeamMainMenu
import UI_ConfirmMenu
import ConfirmMenu_Cache
import UI_BotCommandMenu_f
import UI_DynamicMenu
import UI_DynamicMenuCache
import UI_InGameMenu
import InGame_Cache
import ingameFlag
import UI_DemosMenu_Cache
import UI_QuitMenu_Cache
import UI_ChooseServerTypeMenu
import UI_QuitMenu
import UI_Setup_MenuButtons
import UI_UpdateCvars
import UI_RegisterCvars
import UI_MainMenu
import MainMenu_Cache
import ui_medalSounds
import ui_medalPicNames
import ui_medalNames
import text_color_highlight
import text_color_normal
import text_color_disabled
import listbar_color
import list_color
import name_color
import color_dim
import color_red
import color_orange
import color_blue
import color_yellow
import color_white
import menu_dim_color
import menu_black_color
import menu_red_color
import menu_highlight_color
import menu_dark_color
import menu_grayed_color
import menu_text_color
import menu_null_sound
import menu_buzz_sound
import menu_out_sound
import menu_move_sound
import menu_in_sound
import ScrollList_Key
import ScrollList_Draw
import Bitmap_Draw
import Bitmap_Init
import Menu_DefaultKey
import Menu_SetCursorToItem
import Menu_SetCursor
import Menu_ActivateItem
import Menu_ItemAtCursor
import Menu_Draw
import Menu_AdjustCursor
import Menu_AddItem
import Menu_Focus
import Menu_Cache
import UI_HolomatchInMenu_Cache
import Mouse_Show
import Mouse_Hide
import ui_playerclass
import ui_cdkeychecked2
import ui_cdkeychecked
import ui_server16
import ui_server15
import ui_server14
import ui_server13
import ui_server12
import ui_server11
import ui_server10
import ui_server9
import ui_server8
import ui_server7
import ui_server6
import ui_server5
import ui_server4
import ui_server3
import ui_server2
import ui_server1
import ui_marks
import ui_drawCrosshairNames
import ui_drawCrosshair
import ui_brassTime
import ui_browserShowEmpty
import ui_browserShowFull
import ui_browserSortKey
import ui_browserGameType
import ui_browserMaster
import ui_spSelection
import ui_team_race_red
import ui_team_race_blue
import ui_dowarmup
import ui_warmup
import ui_respawnGhostTime
import ui_forcerespawn
import ui_holoIntro
import ui_adaptRespawn
import ui_dmgmult
import ui_knockback
import ui_gravity
import ui_speed
import ui_weaponrespawn
import ui_spSkill
import ui_spVideos
import ui_spAwards
import ui_spScores5
import ui_spScores4
import ui_spScores3
import ui_spScores2
import ui_spScores1
import ui_botminplayers
import ui_botsFile
import ui_arenasFile
import ui_ctf_friendly
import ui_ctf_timelimit
import ui_ctf_capturelimit
import ui_team_friendly
import ui_team_timelimit
import ui_team_fraglimit
import ui_tourney_timelimit
import ui_tourney_fraglimit
import ui_ffa_timelimit
import ui_ffa_fraglimit
import menu_button_text
import menu_normal_text
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $85
byte 1 100
byte 1 114
byte 1 97
byte 1 119
byte 1 76
byte 1 101
byte 1 110
byte 1 32
byte 1 62
byte 1 61
byte 1 32
byte 1 77
byte 1 65
byte 1 88
byte 1 95
byte 1 83
byte 1 84
byte 1 82
byte 1 73
byte 1 78
byte 1 71
byte 1 95
byte 1 67
byte 1 72
byte 1 65
byte 1 82
byte 1 83
byte 1 0
