code
proc Mods_MenuEvent 12 8
file "../ui_mods.c"
line 48
;1:// Copyright (C) 1999-2000 Id Software, Inc.
;2://
;3:#include "ui_local.h"
;4:
;5:#define MAX_MODS			64
;6:#define NAMEBUFSIZE			( MAX_MODS * 48 )
;7:#define GAMEBUFSIZE			( MAX_MODS * 16 )
;8:
;9:#define ID_BACK				10
;10:#define ID_GO				11
;11:#define ID_LIST				12
;12:#define ID_MAINMENU			100
;13:
;14:
;15:typedef struct 
;16:{
;17:	menuframework_s	menu;
;18:
;19:	menulist_s		list;
;20:
;21:	menubitmap_s	mainmenu;
;22:	menubitmap_s	go;
;23:
;24:	qhandle_t		corner_ul;
;25:	qhandle_t		corner_ur;
;26:	qhandle_t		corner_ll;
;27:	qhandle_t		corner_lr;
;28:
;29:	char			description[NAMEBUFSIZE];
;30:	char			fs_game[GAMEBUFSIZE];
;31:
;32:	char			*descriptionPtr;
;33:	char			*fs_gamePtr;
;34:
;35:	char			*descriptionList[MAX_MODS];
;36:	char			*fs_gameList[MAX_MODS];
;37:} mods_t;
;38:
;39:static mods_t	s_mods;
;40:
;41:
;42:/*
;43:===============
;44:Mods_MenuEvent
;45:===============
;46:*/
;47:static void Mods_MenuEvent( void *ptr, int event ) 
;48:{
line 49
;49:	if( event != QM_ACTIVATED ) 
ADDRFP4 4
INDIRI4
CNSTI4 3
EQI4 $76
line 50
;50:	{
line 51
;51:		return;
ADDRGP4 $75
JUMPV
LABELV $76
line 54
;52:	}
;53:
;54:	switch ( ((menucommon_s*)ptr)->id ) 
ADDRLP4 0
ADDRFP4 0
INDIRP4
CNSTI4 8
ADDP4
INDIRI4
ASGNI4
ADDRLP4 8
CNSTI4 11
ASGNI4
ADDRLP4 0
INDIRI4
ADDRLP4 8
INDIRI4
EQI4 $81
ADDRLP4 0
INDIRI4
ADDRLP4 8
INDIRI4
LTI4 $78
LABELV $88
ADDRLP4 0
INDIRI4
CNSTI4 100
EQI4 $87
ADDRGP4 $78
JUMPV
line 55
;55:	{
LABELV $81
line 57
;56:	case ID_GO:
;57:		trap_Cvar_Set( "fs_game", s_mods.fs_gameList[s_mods.list.curvalue] );
ADDRGP4 $82
ARGP4
ADDRGP4 s_mods+324+64
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 s_mods+5144
ADDP4
INDIRP4
ARGP4
ADDRGP4 trap_Cvar_Set
CALLV
pop
line 58
;58:		trap_Cmd_ExecuteText( EXEC_APPEND, "vid_restart;" );
CNSTI4 2
ARGI4
ADDRGP4 $86
ARGP4
ADDRGP4 trap_Cmd_ExecuteText
CALLV
pop
line 59
;59:		UI_PopMenu();
ADDRGP4 UI_PopMenu
CALLV
pop
line 60
;60:		break;
ADDRGP4 $79
JUMPV
LABELV $87
line 63
;61:
;62:	case ID_MAINMENU:
;63:		UI_PopMenu();
ADDRGP4 UI_PopMenu
CALLV
pop
line 64
;64:		break;
LABELV $78
LABELV $79
line 66
;65:	}
;66:}
LABELV $75
endproc Mods_MenuEvent 12 8
proc UI_Mods_ParseInfos 20 12
line 75
;67:
;68:
;69:/*
;70:===============
;71:UI_Mods_ParseInfos
;72:===============
;73:*/
;74:static void UI_Mods_ParseInfos( char *modDir, char *modDesc ) 
;75:{
line 76
;76:	s_mods.fs_gameList[s_mods.list.numitems] = s_mods.fs_gamePtr;
ADDRGP4 s_mods+324+68
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 s_mods+5144
ADDP4
ADDRGP4 s_mods+4884
INDIRP4
ASGNP4
line 77
;77:	Q_strncpyz( s_mods.fs_gamePtr, modDir, 16 );
ADDRGP4 s_mods+4884
INDIRP4
ARGP4
ADDRFP4 0
INDIRP4
ARGP4
CNSTI4 16
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 79
;78:
;79:	s_mods.descriptionList[s_mods.list.numitems] = s_mods.descriptionPtr;
ADDRGP4 s_mods+324+68
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 s_mods+4888
ADDP4
ADDRGP4 s_mods+4880
INDIRP4
ASGNP4
line 80
;80:	Q_strncpyz( s_mods.descriptionPtr, modDesc, 48 );
ADDRGP4 s_mods+4880
INDIRP4
ARGP4
ADDRFP4 4
INDIRP4
ARGP4
CNSTI4 48
ARGI4
ADDRGP4 Q_strncpyz
CALLV
pop
line 82
;81:
;82:	s_mods.list.itemnames[s_mods.list.numitems] = s_mods.descriptionPtr;
ADDRGP4 s_mods+324+68
INDIRI4
CNSTI4 2
LSHI4
ADDRGP4 s_mods+324+76
INDIRP4
ADDP4
ADDRGP4 s_mods+4880
INDIRP4
ASGNP4
line 83
;83:	s_mods.descriptionPtr += strlen( s_mods.descriptionPtr ) + 1;
ADDRGP4 s_mods+4880
INDIRP4
ARGP4
ADDRLP4 0
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 4
ADDRGP4 s_mods+4880
ASGNP4
ADDRLP4 4
INDIRP4
ADDRLP4 0
INDIRI4
CNSTI4 1
ADDI4
ADDRLP4 4
INDIRP4
INDIRP4
ADDP4
ASGNP4
line 84
;84:	s_mods.fs_gamePtr += strlen( s_mods.fs_gamePtr ) + 1;
ADDRGP4 s_mods+4884
INDIRP4
ARGP4
ADDRLP4 8
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 12
ADDRGP4 s_mods+4884
ASGNP4
ADDRLP4 12
INDIRP4
ADDRLP4 8
INDIRI4
CNSTI4 1
ADDI4
ADDRLP4 12
INDIRP4
INDIRP4
ADDP4
ASGNP4
line 85
;85:	s_mods.list.numitems++;
ADDRLP4 16
ADDRGP4 s_mods+324+68
ASGNP4
ADDRLP4 16
INDIRP4
ADDRLP4 16
INDIRP4
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 86
;86:}
LABELV $89
endproc UI_Mods_ParseInfos 20 12
proc Mods_LoadMods 2084 16
line 135
;87:
;88:
;89:/*
;90:===============
;91:UI_Mods_LoadModsFromFile
;92:===============
;93:*/
;94:/*
;95:static void UI_Mods_LoadModsFromFile( char *filename ) 
;96:{
;97:	int				len;
;98:	fileHandle_t	f;
;99:	char			buf[1024];
;100:
;101:	len = trap_FS_FOpenFile( filename, &f, FS_READ );
;102:	if ( !f ) 
;103:	{
;104:		trap_Print( va( S_COLOR_RED "File not found: %s\n", filename ) );
;105:		return;
;106:	}
;107:
;108:	if ( len >= sizeof(buf) ) 
;109:	{
;110:		trap_Print( va( S_COLOR_RED "File too large: %s is %i, max allowed is %i", filename, len, sizeof(buf) ));
;111:		trap_FS_FCloseFile( f );
;112:		return;
;113:	}
;114:
;115:	trap_FS_Read( buf, len, f );
;116:	buf[len] = 0;
;117:	trap_FS_FCloseFile( f );
;118:
;119:	len = strlen( filename );
;120:	if( !Q_stricmp(filename +  len - 4,".mod") ) 
;121:	{
;122:		filename[len-4] = '\0';
;123:	}
;124:
;125:	UI_Mods_ParseInfos( filename, buf );
;126:}
;127:*/
;128:
;129:/*
;130:===============
;131:Mods_LoadMods
;132:===============
;133:*/
;134:static void Mods_LoadMods( void ) 
;135:{
line 143
;136:	int		numdirs;
;137:	char	dirlist[2048];
;138:	char	*dirptr;
;139:	char	*descptr;
;140:	int		i;
;141:	int		dirlen;
;142:
;143:	s_mods.list.itemnames = (const char **)s_mods.descriptionList;
ADDRGP4 s_mods+324+76
ADDRGP4 s_mods+4888
ASGNP4
line 144
;144:	s_mods.descriptionPtr = s_mods.description;
ADDRGP4 s_mods+4880
ADDRGP4 s_mods+784
ASGNP4
line 145
;145:	s_mods.fs_gamePtr = s_mods.fs_game;
ADDRGP4 s_mods+4884
ADDRGP4 s_mods+3856
ASGNP4
line 148
;146:
;147:	// always start off with baseEF
;148:	s_mods.list.numitems = 1;
ADDRGP4 s_mods+324+68
CNSTI4 1
ASGNI4
line 149
;149:	s_mods.list.itemnames[0] = s_mods.descriptionList[0] = (char*)menu_normal_text[MNT_ELITEFORCE_HOLOMATCH];
ADDRLP4 2068
ADDRGP4 menu_normal_text+504
INDIRP4
ASGNP4
ADDRGP4 s_mods+4888
ADDRLP4 2068
INDIRP4
ASGNP4
ADDRGP4 s_mods+324+76
INDIRP4
ADDRLP4 2068
INDIRP4
ASGNP4
line 150
;150:	s_mods.fs_gameList[0] = "";
ADDRGP4 s_mods+5144
ADDRGP4 $126
ASGNP4
line 152
;151:
;152:	numdirs = trap_FS_GetFileList( "$modlist", "", dirlist, sizeof(dirlist) );
ADDRGP4 $127
ARGP4
ADDRGP4 $126
ARGP4
ADDRLP4 20
ARGP4
CNSTI4 2048
ARGI4
ADDRLP4 2072
ADDRGP4 trap_FS_GetFileList
CALLI4
ASGNI4
ADDRLP4 16
ADDRLP4 2072
INDIRI4
ASGNI4
line 153
;153:	dirptr  = dirlist;
ADDRLP4 0
ADDRLP4 20
ASGNP4
line 154
;154:	for( i = 0; i < numdirs; i++ ) 
ADDRLP4 12
CNSTI4 0
ASGNI4
ADDRGP4 $131
JUMPV
LABELV $128
line 155
;155:	{
line 156
;156:		dirlen = strlen( dirptr ) + 1;
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 2076
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 8
ADDRLP4 2076
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
line 157
;157:		descptr = dirptr + dirlen;
ADDRLP4 4
ADDRLP4 8
INDIRI4
ADDRLP4 0
INDIRP4
ADDP4
ASGNP4
line 158
;158:  		UI_Mods_ParseInfos( dirptr, descptr);
ADDRLP4 0
INDIRP4
ARGP4
ADDRLP4 4
INDIRP4
ARGP4
ADDRGP4 UI_Mods_ParseInfos
CALLV
pop
line 159
;159:		dirptr += dirlen + strlen(descptr) + 1;
ADDRLP4 4
INDIRP4
ARGP4
ADDRLP4 2080
ADDRGP4 strlen
CALLI4
ASGNI4
ADDRLP4 0
ADDRLP4 8
INDIRI4
ADDRLP4 2080
INDIRI4
ADDI4
CNSTI4 1
ADDI4
ADDRLP4 0
INDIRP4
ADDP4
ASGNP4
line 160
;160:	}
LABELV $129
line 154
ADDRLP4 12
ADDRLP4 12
INDIRI4
CNSTI4 1
ADDI4
ASGNI4
LABELV $131
ADDRLP4 12
INDIRI4
ADDRLP4 16
INDIRI4
LTI4 $128
line 162
;161:
;162:	trap_Print(va("%i mods parsed\n", s_mods.list.numitems));
ADDRGP4 $132
ARGP4
ADDRGP4 s_mods+324+68
INDIRI4
ARGI4
ADDRLP4 2076
ADDRGP4 va
CALLP4
ASGNP4
ADDRLP4 2076
INDIRP4
ARGP4
ADDRGP4 trap_Print
CALLV
pop
line 163
;163:	if (s_mods.list.numitems > MAX_MODS) 
ADDRGP4 s_mods+324+68
INDIRI4
CNSTI4 64
LEI4 $135
line 164
;164:	{
line 165
;165:		s_mods.list.numitems = MAX_MODS;
ADDRGP4 s_mods+324+68
CNSTI4 64
ASGNI4
line 166
;166:	}
LABELV $135
line 167
;167:}
LABELV $111
endproc Mods_LoadMods 2084 16
export ModsMenu_Graphics
proc ModsMenu_Graphics 16 20
line 176
;168:
;169:
;170:/*
;171:=================
;172:M_MainMenu_Graphics
;173:=================
;174:*/
;175:void ModsMenu_Graphics (void)
;176:{
line 178
;177:	// Draw the basic screen layout
;178:	UI_MenuFrame(&s_mods.menu);
ADDRGP4 s_mods
ARGP4
ADDRGP4 UI_MenuFrame
CALLV
pop
line 180
;179:
;180:	UI_DrawProportionalString(  74,  66, "66",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 66
ARGI4
ADDRGP4 $142
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 181
;181:	UI_DrawProportionalString(  74,  84, "122855",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 84
ARGI4
ADDRGP4 $144
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 182
;182:	UI_DrawProportionalString(  74,  188, "81",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 188
ARGI4
ADDRGP4 $146
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 183
;183:	UI_DrawProportionalString(  74,  206, "4561",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 206
ARGI4
ADDRGP4 $148
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 184
;184:	UI_DrawProportionalString(  74,  395, "2000",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 395
ARGI4
ADDRGP4 $150
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 186
;185:
;186:	trap_R_SetColor( colorTable[CT_LTBROWN1]);
ADDRGP4 colorTable+416
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 187
;187:	UI_DrawHandlePic(30,203,  47, 123, uis.whiteShader);	// Top left column square on bottom 3rd 
CNSTF4 1106247680
ARGF4
CNSTF4 1128988672
ARGF4
CNSTF4 1111228416
ARGF4
CNSTF4 1123418112
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 188
;188:	UI_DrawHandlePic(30,328,  47, 61, uis.whiteShader);	// Bottom left column square on bottom 3rd
CNSTF4 1106247680
ARGF4
CNSTF4 1134821376
ARGF4
CNSTF4 1111228416
ARGF4
CNSTF4 1114898432
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 190
;189:
;190:	UI_DrawProportionalString(  74,  206, "38",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 206
ARGI4
ADDRGP4 $155
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 191
;191:	UI_DrawProportionalString(  74,  332, "28",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 74
ARGI4
CNSTI4 332
ARGI4
ADDRGP4 $157
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 194
;192:
;193:
;194:	trap_R_SetColor( colorTable[CT_DKPURPLE3]);
ADDRGP4 colorTable+688
ARGP4
ADDRGP4 trap_R_SetColor
CALLV
pop
line 195
;195:	UI_DrawHandlePic(127, 167,  32,  32, s_mods.corner_ul);
CNSTF4 1123942400
ARGF4
CNSTF4 1126629376
ARGF4
ADDRLP4 0
CNSTF4 1107296256
ASGNF4
ADDRLP4 0
INDIRF4
ARGF4
ADDRLP4 0
INDIRF4
ARGF4
ADDRGP4 s_mods+768
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 196
;196:	UI_DrawHandlePic(550, 167,  32,  32, s_mods.corner_ur);
CNSTF4 1141473280
ARGF4
CNSTF4 1126629376
ARGF4
ADDRLP4 4
CNSTF4 1107296256
ASGNF4
ADDRLP4 4
INDIRF4
ARGF4
ADDRLP4 4
INDIRF4
ARGF4
ADDRGP4 s_mods+772
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 198
;197:
;198:	UI_DrawHandlePic(127, 410,  32,  32, s_mods.corner_ll);
CNSTF4 1123942400
ARGF4
CNSTF4 1137508352
ARGF4
ADDRLP4 8
CNSTF4 1107296256
ASGNF4
ADDRLP4 8
INDIRF4
ARGF4
ADDRLP4 8
INDIRF4
ARGF4
ADDRGP4 s_mods+776
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 199
;199:	UI_DrawHandlePic(550, 410,  32,  32, s_mods.corner_lr);
CNSTF4 1141473280
ARGF4
CNSTF4 1137508352
ARGF4
ADDRLP4 12
CNSTF4 1107296256
ASGNF4
ADDRLP4 12
INDIRF4
ARGF4
ADDRLP4 12
INDIRF4
ARGF4
ADDRGP4 s_mods+780
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 201
;200:
;201:	UI_DrawHandlePic(149, 167, 402,  18, uis.whiteShader);	//	Top line
CNSTF4 1125449728
ARGF4
CNSTF4 1126629376
ARGF4
CNSTF4 1137246208
ARGF4
CNSTF4 1099956224
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 202
;202:	UI_DrawHandlePic(127, 192,  18, 215, uis.whiteShader);	//	Left side
CNSTF4 1123942400
ARGF4
CNSTF4 1128267776
ARGF4
CNSTF4 1099956224
ARGF4
CNSTF4 1129775104
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 203
;203:	UI_DrawHandlePic(554, 192,  18, 215, uis.whiteShader);	//	Right side
CNSTF4 1141538816
ARGF4
CNSTF4 1128267776
ARGF4
CNSTF4 1099956224
ARGF4
CNSTF4 1129775104
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 205
;204:
;205:	UI_DrawHandlePic(149, 414, 133,  18, uis.whiteShader);	//	Bottom line to left of button
CNSTF4 1125449728
ARGF4
CNSTF4 1137639424
ARGF4
CNSTF4 1124401152
ARGF4
CNSTF4 1099956224
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 206
;206:	UI_DrawHandlePic(418, 414, 133,  18, uis.whiteShader);	//	Bottom line to right of button
CNSTF4 1137770496
ARGF4
CNSTF4 1137639424
ARGF4
CNSTF4 1124401152
ARGF4
CNSTF4 1099956224
ARGF4
ADDRGP4 uis+5252
INDIRI4
ARGI4
ADDRGP4 UI_DrawHandlePic
CALLV
pop
line 208
;207:
;208:	UI_DrawProportionalString(  210, 168, menu_normal_text[MNT_AVAILABLEMODS], UI_SMALLFONT, colorTable[CT_LTPURPLE3]);
CNSTI4 210
ARGI4
CNSTI4 168
ARGI4
ADDRGP4 menu_normal_text+512
INDIRP4
ARGP4
CNSTI4 16
ARGI4
ADDRGP4 colorTable+672
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 209
;209:	UI_DrawProportionalString(  568, 170, "38-56",UI_RIGHT|UI_TINYFONT, colorTable[CT_BLACK]);
CNSTI4 568
ARGI4
CNSTI4 170
ARGI4
ADDRGP4 $171
ARGP4
CNSTI4 65538
ARGI4
ADDRGP4 colorTable+16
ARGP4
ADDRGP4 UI_DrawProportionalString
CALLV
pop
line 210
;210:}
LABELV $141
endproc ModsMenu_Graphics 16 20
export ModsMenu_Draw
proc ModsMenu_Draw 0 4
line 218
;211:
;212:/*
;213:=================
;214:ModsMenu_Draw
;215:=================
;216:*/
;217:void ModsMenu_Draw (void)
;218:{
line 220
;219:	// Draw graphics particular to Mods Menu
;220:	ModsMenu_Graphics();
ADDRGP4 ModsMenu_Graphics
CALLV
pop
line 222
;221:
;222:	Menu_Draw( &s_mods.menu );
ADDRGP4 s_mods
ARGP4
ADDRGP4 Menu_Draw
CALLV
pop
line 223
;223:}
LABELV $173
endproc ModsMenu_Draw 0 4
export UI_ModsMenu_Cache
proc UI_ModsMenu_Cache 16 4
line 231
;224:
;225:/*
;226:=================
;227:UI_Mods_Cache
;228:=================
;229:*/
;230:void UI_ModsMenu_Cache( void ) 
;231:{
line 232
;232:	s_mods.corner_ul	= trap_R_RegisterShaderNoMip("menu/common/corner_ul_18_18.tga");
ADDRGP4 $176
ARGP4
ADDRLP4 0
ADDRGP4 trap_R_RegisterShaderNoMip
CALLI4
ASGNI4
ADDRGP4 s_mods+768
ADDRLP4 0
INDIRI4
ASGNI4
line 233
;233:	s_mods.corner_ur	= trap_R_RegisterShaderNoMip("menu/common/corner_ur_18_18.tga");
ADDRGP4 $178
ARGP4
ADDRLP4 4
ADDRGP4 trap_R_RegisterShaderNoMip
CALLI4
ASGNI4
ADDRGP4 s_mods+772
ADDRLP4 4
INDIRI4
ASGNI4
line 234
;234:	s_mods.corner_ll	= trap_R_RegisterShaderNoMip("menu/common/corner_ll_18_18.tga");
ADDRGP4 $180
ARGP4
ADDRLP4 8
ADDRGP4 trap_R_RegisterShaderNoMip
CALLI4
ASGNI4
ADDRGP4 s_mods+776
ADDRLP4 8
INDIRI4
ASGNI4
line 235
;235:	s_mods.corner_lr	= trap_R_RegisterShaderNoMip("menu/common/corner_lr_18_18.tga");
ADDRGP4 $182
ARGP4
ADDRLP4 12
ADDRGP4 trap_R_RegisterShaderNoMip
CALLI4
ASGNI4
ADDRGP4 s_mods+780
ADDRLP4 12
INDIRI4
ASGNI4
line 236
;236:}
LABELV $174
endproc UI_ModsMenu_Cache 16 4
proc UI_Mods_MenuInit 0 12
line 244
;237:
;238:/*
;239:===============
;240:UI_Mods_MenuInit
;241:===============
;242:*/
;243:static void UI_Mods_MenuInit( void ) 
;244:{
line 246
;245:	// Menu Data
;246:	memset( &s_mods, 0 ,sizeof(mods_t) );
ADDRGP4 s_mods
ARGP4
CNSTI4 0
ARGI4
CNSTI4 5400
ARGI4
ADDRGP4 memset
CALLP4
pop
line 247
;247:	s_mods.menu.wrapAround					= qtrue;
ADDRGP4 s_mods+276
CNSTI4 1
ASGNI4
line 248
;248:	s_mods.menu.fullscreen					= qtrue;
ADDRGP4 s_mods+280
CNSTI4 1
ASGNI4
line 249
;249:	s_mods.menu.draw						= ModsMenu_Draw;
ADDRGP4 s_mods+268
ADDRGP4 ModsMenu_Draw
ASGNP4
line 250
;250:	s_mods.menu.descX						= MENU_DESC_X;
ADDRGP4 s_mods+292
CNSTI4 100
ASGNI4
line 251
;251:	s_mods.menu.descY						= MENU_DESC_Y;	
ADDRGP4 s_mods+296
CNSTI4 444
ASGNI4
line 252
;252:	s_mods.menu.titleX						= MENU_TITLE_X;
ADDRGP4 s_mods+308
CNSTI4 611
ASGNI4
line 253
;253:	s_mods.menu.titleY						= MENU_TITLE_Y;
ADDRGP4 s_mods+312
CNSTI4 24
ASGNI4
line 254
;254:	s_mods.menu.titleI						= MNT_MODS_TITLE;
ADDRGP4 s_mods+316
CNSTI4 7
ASGNI4
line 255
;255:	s_mods.menu.footNoteEnum				= MNT_MODS;
ADDRGP4 s_mods+320
CNSTI4 127
ASGNI4
line 257
;256:
;257:	UI_ModsMenu_Cache();
ADDRGP4 UI_ModsMenu_Cache
CALLV
pop
line 260
;258:
;259:	// Button Data
;260:	s_mods.mainmenu.generic.type			= MTYPE_BITMAP;      
ADDRGP4 s_mods+480
CNSTI4 6
ASGNI4
line 261
;261:	s_mods.mainmenu.generic.flags			= QMF_HIGHLIGHT_IF_FOCUS;
ADDRGP4 s_mods+480+44
CNSTU4 128
ASGNU4
line 262
;262:	s_mods.mainmenu.generic.x				= 482;
ADDRGP4 s_mods+480+12
CNSTI4 482
ASGNI4
line 263
;263:	s_mods.mainmenu.generic.y				= 136;
ADDRGP4 s_mods+480+16
CNSTI4 136
ASGNI4
line 264
;264:	s_mods.mainmenu.generic.name			= BUTTON_GRAPHIC_LONGRIGHT;
ADDRGP4 s_mods+480+4
ADDRGP4 $202
ASGNP4
line 265
;265:	s_mods.mainmenu.generic.id				= ID_MAINMENU;
ADDRGP4 s_mods+480+8
CNSTI4 100
ASGNI4
line 266
;266:	s_mods.mainmenu.generic.callback		= Mods_MenuEvent;
ADDRGP4 s_mods+480+48
ADDRGP4 Mods_MenuEvent
ASGNP4
line 267
;267:	s_mods.mainmenu.width					= MENU_BUTTON_MED_WIDTH;
ADDRGP4 s_mods+480+92
CNSTI4 130
ASGNI4
line 268
;268:	s_mods.mainmenu.height					= MENU_BUTTON_MED_HEIGHT;
ADDRGP4 s_mods+480+96
CNSTI4 18
ASGNI4
line 269
;269:	s_mods.mainmenu.color					= CT_DKPURPLE1;
ADDRGP4 s_mods+480+104
CNSTI4 35
ASGNI4
line 270
;270:	s_mods.mainmenu.color2					= CT_LTPURPLE1;
ADDRGP4 s_mods+480+108
CNSTI4 34
ASGNI4
line 271
;271:	s_mods.mainmenu.textX					= MENU_BUTTON_TEXT_X;
ADDRGP4 s_mods+480+124
CNSTI4 5
ASGNI4
line 272
;272:	s_mods.mainmenu.textY					= MENU_BUTTON_TEXT_Y;
ADDRGP4 s_mods+480+128
CNSTI4 1
ASGNI4
line 273
;273:	s_mods.mainmenu.textEnum				= MBT_MAINMENU;
ADDRGP4 s_mods+480+116
CNSTI4 9
ASGNI4
line 274
;274:	s_mods.mainmenu.textcolor				= CT_BLACK;
ADDRGP4 s_mods+480+132
CNSTI4 1
ASGNI4
line 275
;275:	s_mods.mainmenu.textcolor2				= CT_WHITE;
ADDRGP4 s_mods+480+136
CNSTI4 8
ASGNI4
line 277
;276:
;277:	s_mods.go.generic.type					= MTYPE_BITMAP;
ADDRGP4 s_mods+624
CNSTI4 6
ASGNI4
line 278
;278:	s_mods.go.generic.flags					= QMF_HIGHLIGHT_IF_FOCUS;
ADDRGP4 s_mods+624+44
CNSTU4 128
ASGNU4
line 279
;279:	s_mods.go.generic.x						= 285;
ADDRGP4 s_mods+624+12
CNSTI4 285
ASGNI4
line 280
;280:	s_mods.go.generic.y						= 414;
ADDRGP4 s_mods+624+16
CNSTI4 414
ASGNI4
line 281
;281:	s_mods.go.generic.name					= GRAPHIC_SQUARE;
ADDRGP4 s_mods+624+4
ADDRGP4 $234
ASGNP4
line 282
;282:	s_mods.go.generic.id					= ID_GO;
ADDRGP4 s_mods+624+8
CNSTI4 11
ASGNI4
line 283
;283:	s_mods.go.generic.callback				= Mods_MenuEvent;
ADDRGP4 s_mods+624+48
ADDRGP4 Mods_MenuEvent
ASGNP4
line 284
;284:	s_mods.go.width							= MENU_BUTTON_MED_WIDTH;
ADDRGP4 s_mods+624+92
CNSTI4 130
ASGNI4
line 285
;285:	s_mods.go.height						= MENU_BUTTON_MED_HEIGHT;
ADDRGP4 s_mods+624+96
CNSTI4 18
ASGNI4
line 286
;286:	s_mods.go.color							= CT_DKPURPLE1;
ADDRGP4 s_mods+624+104
CNSTI4 35
ASGNI4
line 287
;287:	s_mods.go.color2						= CT_LTPURPLE1;
ADDRGP4 s_mods+624+108
CNSTI4 34
ASGNI4
line 288
;288:	s_mods.go.textX							= MENU_BUTTON_TEXT_X;
ADDRGP4 s_mods+624+124
CNSTI4 5
ASGNI4
line 289
;289:	s_mods.go.textY							= MENU_BUTTON_TEXT_Y;
ADDRGP4 s_mods+624+128
CNSTI4 1
ASGNI4
line 290
;290:	s_mods.go.textEnum						= MBT_LOADMOD;
ADDRGP4 s_mods+624+116
CNSTI4 92
ASGNI4
line 291
;291:	s_mods.go.textcolor						= CT_BLACK;
ADDRGP4 s_mods+624+132
CNSTI4 1
ASGNI4
line 292
;292:	s_mods.go.textcolor2					= CT_WHITE;
ADDRGP4 s_mods+624+136
CNSTI4 8
ASGNI4
line 295
;293:
;294:	// scan for mods
;295:	s_mods.list.generic.type				= MTYPE_SCROLLLIST;
ADDRGP4 s_mods+324
CNSTI4 8
ASGNI4
line 296
;296:	s_mods.list.generic.flags				= QMF_PULSEIFFOCUS;
ADDRGP4 s_mods+324+44
CNSTU4 256
ASGNU4
line 297
;297:	s_mods.list.generic.callback			= Mods_MenuEvent;
ADDRGP4 s_mods+324+48
ADDRGP4 Mods_MenuEvent
ASGNP4
line 298
;298:	s_mods.list.generic.id					= ID_LIST;
ADDRGP4 s_mods+324+8
CNSTI4 12
ASGNI4
line 299
;299:	s_mods.list.generic.x					= 159;
ADDRGP4 s_mods+324+12
CNSTI4 159
ASGNI4
line 300
;300:	s_mods.list.generic.y					= 195;
ADDRGP4 s_mods+324+16
CNSTI4 195
ASGNI4
line 301
;301:	s_mods.list.width						= 48;
ADDRGP4 s_mods+324+88
CNSTI4 48
ASGNI4
line 302
;302:	s_mods.list.height						= 14;
ADDRGP4 s_mods+324+92
CNSTI4 14
ASGNI4
line 304
;303:
;304:	Mods_LoadMods();
ADDRGP4 Mods_LoadMods
CALLV
pop
line 306
;305:
;306:	Menu_AddItem( &s_mods.menu, &s_mods.mainmenu );
ADDRGP4 s_mods
ARGP4
ADDRGP4 s_mods+480
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 307
;307:	Menu_AddItem( &s_mods.menu, &s_mods.list );
ADDRGP4 s_mods
ARGP4
ADDRGP4 s_mods+324
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 308
;308:	Menu_AddItem( &s_mods.menu, &s_mods.go );
ADDRGP4 s_mods
ARGP4
ADDRGP4 s_mods+624
ARGP4
ADDRGP4 Menu_AddItem
CALLV
pop
line 309
;309:}
LABELV $183
endproc UI_Mods_MenuInit 0 12
export UI_ModsMenu
proc UI_ModsMenu 0 4
line 318
;310:
;311:
;312:/*
;313:===============
;314:UI_ModsMenu
;315:===============
;316:*/
;317:void UI_ModsMenu( void ) 
;318:{
line 319
;319:	UI_Mods_MenuInit();
ADDRGP4 UI_Mods_MenuInit
CALLV
pop
line 320
;320:	UI_PushMenu( &s_mods.menu );
ADDRGP4 s_mods
ARGP4
ADDRGP4 UI_PushMenu
CALLV
pop
line 321
;321:}
LABELV $275
endproc UI_ModsMenu 0 4
bss
align 4
LABELV s_mods
skip 5400
import JoyYButtonCallback
import JoyXButtonCallback
import AnisotropicFilteringCallback
import SmoothMouseCallback
import MouseSpeedCallback
import InvertMouseCallback
import UI_PrintMenuGraphics
import UI_MenuBottomLineEnd_Graphics
import UI_InitGameinfo
import UI_GetAwardLevel
import UI_LogAwardData
import UI_NewGame
import UI_GetCurrentGame
import UI_CanShowTierVideo
import UI_ShowTierVideo
import UI_TierCompleted
import UI_SetBestScore
import UI_GetBestScore
import UI_GetNumBots
import UI_GetBotInfoByName
import UI_GetBotInfoByNumber
import UI_ServerAdvancedOptions
import UI_GetNumSPTiers
import UI_GetNumSPArenas
import UI_GetNumArenas
import UI_GetSpecialArenaInfo
import UI_GetArenaInfoByMap
import UI_GetArenaInfoByNumber
import UI_NetworkOptionsMenu
import UI_NetworkOptionsMenu_Cache
import ScreensizeCallback
import GammaCallback
import UI_FontsMenu
import UI_SoundMenu_Cache
import UI_SoundMenu
import setup_menubuttons
import UI_DisplayOptionsMenu
import UI_TeamOrdersMenu_Cache
import UI_TeamOrdersMenu_f
import UI_TeamOrdersMenu
import UI_RemoveBotsMenu
import UI_RemoveBots_Cache
import UI_AddBotsMenu
import UI_AddBots_Cache
import trap_R_ModelBounds
import trap_SetCDKey
import trap_MemoryRemaining
import trap_LAN_GetPingInfo
import trap_LAN_GetPing
import trap_LAN_ClearPing
import trap_LAN_GetPingQueueCount
import trap_LAN_GetGlobalServerAddressString
import trap_LAN_GetGlobalServerCount
import trap_LAN_GetLocalServerAddressString
import trap_LAN_GetLocalServerCount
import trap_GetConfigString
import trap_GetGlconfig
import trap_GetClientState
import trap_GetClipboardData
import trap_Key_SetCatcher
import trap_Key_GetCatcher
import trap_Key_ClearStates
import trap_Key_SetOverstrikeMode
import trap_Key_GetOverstrikeMode
import trap_Key_IsDown
import trap_Key_SetBinding
import trap_Key_GetBindingBuf
import trap_Key_KeynumToStringBuf
import trap_S_RegisterSound
import trap_S_StartLocalSound
import trap_CM_LerpTag
import trap_UpdateScreen
import trap_R_DrawStretchPic
import trap_R_SetColor
import trap_R_RenderScene
import trap_R_AddLightToScene
import trap_R_AddPolyToScene
import trap_R_AddRefEntityToScene
import trap_R_ClearScene
import trap_R_RegisterShaderNoMip
import trap_R_RegisterSkin
import trap_R_RegisterModel
import trap_FS_GetFileList
import trap_FS_FCloseFile
import trap_FS_Write
import trap_FS_Read
import trap_FS_FOpenFile
import trap_Cmd_ExecuteText
import trap_Argv
import trap_Argc
import trap_Cvar_InfoStringBuffer
import trap_Cvar_Create
import trap_Cvar_Reset
import trap_Cvar_SetValue
import trap_Cvar_VariableStringBuffer
import trap_Cvar_VariableValue
import trap_Cvar_Set
import trap_Cvar_Update
import trap_Cvar_Register
import trap_Milliseconds
import trap_Error
import trap_Print
import UI_SPSkillMenu_Cache
import UI_SPSkillMenu
import UI_SPPostgameMenu_f
import UI_SPPostgameMenu_Cache
import UI_SPArena_Start
import UI_ResetGameMenu_Cache
import UI_SPLevelMenu_ReInit
import UI_SPLevelMenu_f
import UI_SPLevelMenu
import UI_SPLevelMenu_Cache
import uis
import m_entersound
import UI_MenuFrame2
import UI_MenuFrame
import UI_PrecacheMenuGraphics
import UI_Cvar_VariableString
import UI_Argv
import UI_ForceMenuOff
import UI_PopMenu
import UI_PushMenu
import UI_SetActiveMenu
import UI_IsFullscreen
import UI_AdjustFrom640
import UI_CursorInRect
import UI_DrawChar
import UI_DrawString
import UI_ProportionalStringWidth
import UI_DrawProportionalString
import UI_ProportionalSizeScale
import UI_DrawBannerString
import UI_DrawRect
import UI_FillRect
import UI_DrawHandlePic
import UI_DrawNamedPic
import UI_ClampCvar
import UI_ConsoleCommand
import UI_Refresh
import UI_MouseEvent
import UI_KeyEvent
import UI_Shutdown
import UI_Init
import UI_InitSpinControl
import UI_LoadButtonText
import UI_LoadMenuText
import UI_RegisterClientModelname
import UI_PlayerInfo_SetInfo
import UI_PlayerInfo_SetModel
import UI_DrawPlayer
import UI_VideoDriverMenu_Cache
import UI_VideoData2Menu_Cache
import UI_VideoDataMenu_Cache
import UI_VideoDataMenu
import DriverInfo_Cache
import ServerInfo_Cache
import UI_ServerInfoMenu
import UI_BotSelectMenu_Cache
import UI_BotSelectMenu
import ServerOptions_Cache
import StartServer_Cache
import UI_StartServerMenu
import UI_ChooseServerTypeMenu_Cache
import ArenaServers_Cache
import UI_ArenaServersMenu
import SpecifyServer_Cache
import UI_SpecifyServerMenu
import s_voicelanguage_Names
import s_textlanguage_Names
import UI_GameOptionsMenu_Cache
import UI_GameOptionsMenu
import PlayerSettings_Cache
import UI_PlayerSettingsMenu
import PlayerModel_Cache
import UI_PlayerModelMenu
import UI_CDKeyMenu2
import UI_CDKeyMenu_f
import UI_CDKeyMenu_Cache
import UI_CDKeyMenu
import UI_DemosMenu
import SetupMenu_TopButtons
import UI_ControlsMouseJoyStickMenu_Cache
import Controls_Cache
import UI_DrawConnectScreen
import TeamMain_Cache
import UI_TeamMainMenu
import UI_ConfirmMenu
import ConfirmMenu_Cache
import UI_BotCommandMenu_f
import UI_DynamicMenu
import UI_DynamicMenuCache
import UI_InGameMenu
import InGame_Cache
import ingameFlag
import UI_DemosMenu_Cache
import UI_QuitMenu_Cache
import UI_ChooseServerTypeMenu
import UI_QuitMenu
import UI_Setup_MenuButtons
import UI_UpdateCvars
import UI_RegisterCvars
import UI_MainMenu
import MainMenu_Cache
import MenuField_Key
import MenuField_Draw
import MenuField_Init
import MField_Draw
import MField_CharEvent
import MField_KeyDownEvent
import MField_Clear
import ui_medalSounds
import ui_medalPicNames
import ui_medalNames
import text_color_highlight
import text_color_normal
import text_color_disabled
import listbar_color
import list_color
import name_color
import color_dim
import color_red
import color_orange
import color_blue
import color_yellow
import color_white
import menu_dim_color
import menu_black_color
import menu_red_color
import menu_highlight_color
import menu_dark_color
import menu_grayed_color
import menu_text_color
import menu_null_sound
import menu_buzz_sound
import menu_out_sound
import menu_move_sound
import menu_in_sound
import ScrollList_Key
import ScrollList_Draw
import Bitmap_Draw
import Bitmap_Init
import Menu_DefaultKey
import Menu_SetCursorToItem
import Menu_SetCursor
import Menu_ActivateItem
import Menu_ItemAtCursor
import Menu_Draw
import Menu_AdjustCursor
import Menu_AddItem
import Menu_Focus
import Menu_Cache
import UI_HolomatchInMenu_Cache
import Mouse_Show
import Mouse_Hide
import ui_playerclass
import ui_cdkeychecked2
import ui_cdkeychecked
import ui_server16
import ui_server15
import ui_server14
import ui_server13
import ui_server12
import ui_server11
import ui_server10
import ui_server9
import ui_server8
import ui_server7
import ui_server6
import ui_server5
import ui_server4
import ui_server3
import ui_server2
import ui_server1
import ui_marks
import ui_drawCrosshairNames
import ui_drawCrosshair
import ui_brassTime
import ui_browserShowEmpty
import ui_browserShowFull
import ui_browserSortKey
import ui_browserGameType
import ui_browserMaster
import ui_spSelection
import ui_team_race_red
import ui_team_race_blue
import ui_dowarmup
import ui_warmup
import ui_respawnGhostTime
import ui_forcerespawn
import ui_holoIntro
import ui_adaptRespawn
import ui_dmgmult
import ui_knockback
import ui_gravity
import ui_speed
import ui_weaponrespawn
import ui_spSkill
import ui_spVideos
import ui_spAwards
import ui_spScores5
import ui_spScores4
import ui_spScores3
import ui_spScores2
import ui_spScores1
import ui_botminplayers
import ui_botsFile
import ui_arenasFile
import ui_ctf_friendly
import ui_ctf_timelimit
import ui_ctf_capturelimit
import ui_team_friendly
import ui_team_timelimit
import ui_team_fraglimit
import ui_tourney_timelimit
import ui_tourney_fraglimit
import ui_ffa_timelimit
import ui_ffa_fraglimit
import menu_button_text
import menu_normal_text
import Max_Ammo
import BG_PlayerTouchesItem
import BG_PlayerStateToEntityState
import BG_AddPredictableEventToPlayerstate
import BG_EvaluateTrajectoryDelta
import BG_EvaluateTrajectory
import BG_CanItemBeGrabbed
import BG_FindItemForHoldable
import BG_FindItemForPowerup
import BG_FindItemForAmmo
import BG_FindItemForWeapon
import BG_FindItem
import BG_FindClassnameForHoldable
import BG_FindItemWithClassname
import bg_numItems
import bg_itemlist
import Pmove
import PM_UpdateViewAngles
import Com_Printf
import Com_Error
import Info_NextPair
import Info_Validate
import Info_SetValueForKey_Big
import Info_SetValueForKey
import Info_RemoveKey_big
import Info_RemoveKey
import Info_ValueForKey
import va
import Swap_Init
import BigFloat
import BigLong
import BigShort
import Q_CleanStr
import Q_PrintStrlen
import Q_strcat
import Q_strncpyz
import Q_strrchr
import Q_strupr
import Q_strlwr
import Q_stricmpn
import Q_strncmp
import Q_stricmp
import Q_isalpha
import Q_isupper
import Q_islower
import Q_isprint
import Com_sprintf
import Parse3DMatrix
import Parse2DMatrix
import Parse1DMatrix
import SkipRestOfLine
import SkipBracedSection
import COM_MatchToken
import COM_ParseExt
import COM_Parse
import COM_GetCurrentParseLine
import COM_BeginParseSession
import COM_DefaultExtension
import COM_StripExtension
import COM_SkipPath
import Com_Clamp
import UnVectorShort
import VectorShort
import PerpendicularVector
import AngleVectors
import MatrixMultiply
import PlaneTypeForNormal
import MakeNormalVectors
import RotateAroundDirection
import RotatePointAroundVector
import ProjectPointOnPlane
import PlaneFromPoints
import AngleDelta
import AngleNormalize180
import AngleNormalize360
import AnglesSubtract
import AngleSubtract
import LerpAngle
import AngleMod
import BoxOnPlaneSide
import SetPlaneSignbits
import AxisCopy
import AxisClear
import AnglesToAxis
import vectoangles
import irandom
import flrandom
import Q_crandom
import Q_random
import Q_rand
import Q_log2
import VectorRotate
import Vector4Scale
import VectorInverse
import VectorNormalize2
import VectorNormalizeFast
import VectorNormalize
import CrossProduct
import DistanceSquared
import Distance
import VectorLengthSquared
import VectorLength
import VectorCompare
import AddPointToBounds
import ClearBounds
import RadiusFromBounds
import NormalizeColor
import ColorBytes4
import ColorBytes3
import _VectorMA
import _VectorScale
import _VectorCopy
import _VectorAdd
import _VectorSubtract
import _DotProduct
import ByteToDir
import DirToByte
import ClampShort
import ClampChar
import Q_rsqrt
import Q_fabs
import axisDefault
import vec3_origin
import g_color_table
import colorDkGrey
import colorMdGrey
import colorLtGrey
import colorWhite
import colorCyan
import colorMagenta
import colorYellow
import colorBlue
import colorGreen
import colorRed
import colorBlack
import colorTable
import bytedirs
import fabs
import abs
import tan
import atan2
import cos
import sin
import sqrt
import floor
import ceil
import memcpy
import memset
import memmove
import sscanf
import vsprintf
import _atoi
import atoi
import _atof
import atof
import toupper
import tolower
import strncpy
import strstr
import strchr
import strcmp
import strcpy
import strcat
import strlen
import rand
import srand
import qsort
lit
align 1
LABELV $234
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 115
byte 1 113
byte 1 117
byte 1 97
byte 1 114
byte 1 101
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $202
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 98
byte 1 97
byte 1 114
byte 1 49
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $182
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 99
byte 1 111
byte 1 114
byte 1 110
byte 1 101
byte 1 114
byte 1 95
byte 1 108
byte 1 114
byte 1 95
byte 1 49
byte 1 56
byte 1 95
byte 1 49
byte 1 56
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $180
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 99
byte 1 111
byte 1 114
byte 1 110
byte 1 101
byte 1 114
byte 1 95
byte 1 108
byte 1 108
byte 1 95
byte 1 49
byte 1 56
byte 1 95
byte 1 49
byte 1 56
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $178
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 99
byte 1 111
byte 1 114
byte 1 110
byte 1 101
byte 1 114
byte 1 95
byte 1 117
byte 1 114
byte 1 95
byte 1 49
byte 1 56
byte 1 95
byte 1 49
byte 1 56
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $176
byte 1 109
byte 1 101
byte 1 110
byte 1 117
byte 1 47
byte 1 99
byte 1 111
byte 1 109
byte 1 109
byte 1 111
byte 1 110
byte 1 47
byte 1 99
byte 1 111
byte 1 114
byte 1 110
byte 1 101
byte 1 114
byte 1 95
byte 1 117
byte 1 108
byte 1 95
byte 1 49
byte 1 56
byte 1 95
byte 1 49
byte 1 56
byte 1 46
byte 1 116
byte 1 103
byte 1 97
byte 1 0
align 1
LABELV $171
byte 1 51
byte 1 56
byte 1 45
byte 1 53
byte 1 54
byte 1 0
align 1
LABELV $157
byte 1 50
byte 1 56
byte 1 0
align 1
LABELV $155
byte 1 51
byte 1 56
byte 1 0
align 1
LABELV $150
byte 1 50
byte 1 48
byte 1 48
byte 1 48
byte 1 0
align 1
LABELV $148
byte 1 52
byte 1 53
byte 1 54
byte 1 49
byte 1 0
align 1
LABELV $146
byte 1 56
byte 1 49
byte 1 0
align 1
LABELV $144
byte 1 49
byte 1 50
byte 1 50
byte 1 56
byte 1 53
byte 1 53
byte 1 0
align 1
LABELV $142
byte 1 54
byte 1 54
byte 1 0
align 1
LABELV $132
byte 1 37
byte 1 105
byte 1 32
byte 1 109
byte 1 111
byte 1 100
byte 1 115
byte 1 32
byte 1 112
byte 1 97
byte 1 114
byte 1 115
byte 1 101
byte 1 100
byte 1 10
byte 1 0
align 1
LABELV $127
byte 1 36
byte 1 109
byte 1 111
byte 1 100
byte 1 108
byte 1 105
byte 1 115
byte 1 116
byte 1 0
align 1
LABELV $126
byte 1 0
align 1
LABELV $86
byte 1 118
byte 1 105
byte 1 100
byte 1 95
byte 1 114
byte 1 101
byte 1 115
byte 1 116
byte 1 97
byte 1 114
byte 1 116
byte 1 59
byte 1 0
align 1
LABELV $82
byte 1 102
byte 1 115
byte 1 95
byte 1 103
byte 1 97
byte 1 109
byte 1 101
byte 1 0
